
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2011, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 * Portions Copyright (c) 2010-2013, Postgres-XC Development Group
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "miscadmin.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "nodes/nodes.h"
#include "pgxc/poolmgr.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner);



/* Line 189 of yacc.c  */
#line 236 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BARRIER = 295,
     BEFORE = 296,
     BEGIN_P = 297,
     BETWEEN = 298,
     BIGINT = 299,
     BINARY = 300,
     BIT = 301,
     BOOLEAN_P = 302,
     BOTH = 303,
     BY = 304,
     CACHE = 305,
     CALLED = 306,
     CASCADE = 307,
     CASCADED = 308,
     CASE = 309,
     CAST = 310,
     CATALOG_P = 311,
     CHAIN = 312,
     CHAR_P = 313,
     CHARACTER = 314,
     CHARACTERISTICS = 315,
     CHECK = 316,
     CHECKPOINT = 317,
     CLASS = 318,
     CLEAN = 319,
     CLOSE = 320,
     CLUSTER = 321,
     COALESCE = 322,
     COLLATE = 323,
     COLLATION = 324,
     COLUMN = 325,
     COMMENT = 326,
     COMMENTS = 327,
     COMMIT = 328,
     COMMITTED = 329,
     CONCURRENTLY = 330,
     CONFIGURATION = 331,
     CONNECTION = 332,
     CONSTRAINT = 333,
     CONSTRAINTS = 334,
     CONTENT_P = 335,
     CONTINUE_P = 336,
     CONVERSION_P = 337,
     COORDINATOR = 338,
     COPY = 339,
     COST = 340,
     CREATE = 341,
     CROSS = 342,
     CSV = 343,
     CURRENT_P = 344,
     CURRENT_CATALOG = 345,
     CURRENT_DATE = 346,
     CURRENT_ROLE = 347,
     CURRENT_SCHEMA = 348,
     CURRENT_TIME = 349,
     CURRENT_TIMESTAMP = 350,
     CURRENT_USER = 351,
     CURSOR = 352,
     CYCLE = 353,
     DATA_P = 354,
     DATABASE = 355,
     DAY_P = 356,
     DEALLOCATE = 357,
     DEC = 358,
     DECIMAL_P = 359,
     DECLARE = 360,
     DEFAULT = 361,
     DEFAULTS = 362,
     DEFERRABLE = 363,
     DEFERRED = 364,
     DEFINER = 365,
     DELETE_P = 366,
     DELIMITER = 367,
     DELIMITERS = 368,
     DESC = 369,
     DICTIONARY = 370,
     DIRECT = 371,
     DISABLE_P = 372,
     DISCARD = 373,
     DISTINCT = 374,
     DISTRIBUTE = 375,
     DO = 376,
     DOCUMENT_P = 377,
     DOMAIN_P = 378,
     DOUBLE_P = 379,
     DROP = 380,
     EACH = 381,
     ELSE = 382,
     ENABLE_P = 383,
     ENCODING = 384,
     ENCRYPTED = 385,
     END_P = 386,
     ENUM_P = 387,
     ESCAPE = 388,
     EXCEPT = 389,
     EXCLUDE = 390,
     EXCLUDING = 391,
     EXCLUSIVE = 392,
     EXECUTE = 393,
     EXISTS = 394,
     EXPLAIN = 395,
     EXTENSION = 396,
     EXTERNAL = 397,
     EXTRACT = 398,
     FALSE_P = 399,
     FAMILY = 400,
     FETCH = 401,
     FIRST_P = 402,
     FLOAT_P = 403,
     FOLLOWING = 404,
     FOR = 405,
     FORCE = 406,
     FOREIGN = 407,
     FORWARD = 408,
     FREEZE = 409,
     FROM = 410,
     FULL = 411,
     FUNCTION = 412,
     FUNCTIONS = 413,
     GLOBAL = 414,
     GRANT = 415,
     GRANTED = 416,
     GREATEST = 417,
     GROUP_P = 418,
     HANDLER = 419,
     HASH = 420,
     HAVING = 421,
     HEADER_P = 422,
     HOLD = 423,
     HOUR_P = 424,
     IDENTITY_P = 425,
     IF_P = 426,
     ILIKE = 427,
     IMMEDIATE = 428,
     IMMUTABLE = 429,
     IMPLICIT_P = 430,
     IN_P = 431,
     INCLUDING = 432,
     INCREMENT = 433,
     INDEX = 434,
     INDEXES = 435,
     INHERIT = 436,
     INHERITS = 437,
     INITIALLY = 438,
     INLINE_P = 439,
     INNER_P = 440,
     INOUT = 441,
     INPUT_P = 442,
     INSENSITIVE = 443,
     INSERT = 444,
     INSTEAD = 445,
     INT_P = 446,
     INTEGER = 447,
     INTERSECT = 448,
     INTERVAL = 449,
     INTO = 450,
     INVOKER = 451,
     IS = 452,
     ISNULL = 453,
     ISOLATION = 454,
     JOIN = 455,
     KEY = 456,
     LABEL = 457,
     LANGUAGE = 458,
     LARGE_P = 459,
     LAST_P = 460,
     LC_COLLATE_P = 461,
     LC_CTYPE_P = 462,
     LEADING = 463,
     LEAST = 464,
     LEFT = 465,
     LEVEL = 466,
     LIKE = 467,
     LIMIT = 468,
     LISTEN = 469,
     LOAD = 470,
     LOCAL = 471,
     LOCALTIME = 472,
     LOCALTIMESTAMP = 473,
     LOCATION = 474,
     LOCK_P = 475,
     MAPPING = 476,
     MATCH = 477,
     MAXVALUE = 478,
     MINUTE_P = 479,
     MINVALUE = 480,
     MODE = 481,
     MODULO = 482,
     MONTH_P = 483,
     MOVE = 484,
     NAME_P = 485,
     NAMES = 486,
     NATIONAL = 487,
     NATURAL = 488,
     NCHAR = 489,
     NEXT = 490,
     NO = 491,
     NODE = 492,
     NONE = 493,
     NOT = 494,
     NOTHING = 495,
     NOTIFY = 496,
     NOTNULL = 497,
     NOWAIT = 498,
     NULL_P = 499,
     NULLIF = 500,
     NULLS_P = 501,
     NUMERIC = 502,
     OBJECT_P = 503,
     OF = 504,
     OFF = 505,
     OFFSET = 506,
     OIDS = 507,
     ON = 508,
     ONLY = 509,
     OPERATOR = 510,
     OPTION = 511,
     OPTIONS = 512,
     OR = 513,
     ORDER = 514,
     OUT_P = 515,
     OUTER_P = 516,
     OVER = 517,
     OVERLAPS = 518,
     OVERLAY = 519,
     OWNED = 520,
     OWNER = 521,
     PARSER = 522,
     PARTIAL = 523,
     PARTITION = 524,
     PASSING = 525,
     PASSWORD = 526,
     PLACING = 527,
     PLANS = 528,
     POSITION = 529,
     PRECEDING = 530,
     PRECISION = 531,
     PREFERRED = 532,
     PRESERVE = 533,
     PREPARE = 534,
     PREPARED = 535,
     PRIMARY = 536,
     PRIOR = 537,
     PRIVILEGES = 538,
     PROCEDURAL = 539,
     PROCEDURE = 540,
     QUOTE = 541,
     RANGE = 542,
     READ = 543,
     REAL = 544,
     REASSIGN = 545,
     RECHECK = 546,
     RECURSIVE = 547,
     REF = 548,
     REFERENCES = 549,
     REINDEX = 550,
     RELATIVE_P = 551,
     RELEASE = 552,
     RENAME = 553,
     REPEATABLE = 554,
     REPLACE = 555,
     REPLICA = 556,
     REPLICATION = 557,
     RESET = 558,
     RESTART = 559,
     RESTRICT = 560,
     RETURNING = 561,
     RETURNS = 562,
     REVOKE = 563,
     RIGHT = 564,
     ROBIN = 565,
     ROLE = 566,
     ROLLBACK = 567,
     ROUND = 568,
     ROW = 569,
     ROWS = 570,
     RULE = 571,
     SAVEPOINT = 572,
     SCHEMA = 573,
     SCROLL = 574,
     SEARCH = 575,
     SECOND_P = 576,
     SECURITY = 577,
     SELECT = 578,
     SEQUENCE = 579,
     SEQUENCES = 580,
     SERIALIZABLE = 581,
     SERVER = 582,
     SESSION = 583,
     SESSION_USER = 584,
     SET = 585,
     SETOF = 586,
     SHARE = 587,
     SHOW = 588,
     SIMILAR = 589,
     SIMPLE = 590,
     SMALLINT = 591,
     SOME = 592,
     STABLE = 593,
     STANDALONE_P = 594,
     START = 595,
     STATEMENT = 596,
     STATISTICS = 597,
     STDIN = 598,
     STDOUT = 599,
     STORAGE = 600,
     STRICT_P = 601,
     STRIP_P = 602,
     SUBSTRING = 603,
     SYMMETRIC = 604,
     SYSID = 605,
     SYSTEM_P = 606,
     TABLE = 607,
     TABLES = 608,
     TABLESPACE = 609,
     TEMP = 610,
     TEMPLATE = 611,
     TEMPORARY = 612,
     TEXT_P = 613,
     THEN = 614,
     TIME = 615,
     TIMESTAMP = 616,
     TO = 617,
     TRAILING = 618,
     TRANSACTION = 619,
     TREAT = 620,
     TRIGGER = 621,
     TRIM = 622,
     TRUE_P = 623,
     TRUNCATE = 624,
     TRUSTED = 625,
     TYPE_P = 626,
     UNBOUNDED = 627,
     UNCOMMITTED = 628,
     UNENCRYPTED = 629,
     UNION = 630,
     UNIQUE = 631,
     UNKNOWN = 632,
     UNLISTEN = 633,
     UNLOGGED = 634,
     UNTIL = 635,
     UPDATE = 636,
     USER = 637,
     USING = 638,
     VACUUM = 639,
     VALID = 640,
     VALIDATE = 641,
     VALIDATOR = 642,
     VALUE_P = 643,
     VALUES = 644,
     VARCHAR = 645,
     VARIADIC = 646,
     VARYING = 647,
     VERBOSE = 648,
     VERSION_P = 649,
     VIEW = 650,
     VOLATILE = 651,
     WHEN = 652,
     WHERE = 653,
     WHITESPACE_P = 654,
     WINDOW = 655,
     WITH = 656,
     WITHOUT = 657,
     WORK = 658,
     WRAPPER = 659,
     WRITE = 660,
     XML_P = 661,
     XMLATTRIBUTES = 662,
     XMLCONCAT = 663,
     XMLELEMENT = 664,
     XMLEXISTS = 665,
     XMLFOREST = 666,
     XMLPARSE = 667,
     XMLPI = 668,
     XMLROOT = 669,
     XMLSERIALIZE = 670,
     YEAR_P = 671,
     YES_P = 672,
     ZONE = 673,
     NULLS_FIRST = 674,
     NULLS_LAST = 675,
     WITH_TIME = 676,
     POSTFIXOP = 677,
     UMINUS = 678
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 164 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
/* PGXC_BEGIN */
	DistributeBy		*distby;
	PGXCSubCluster		*subclus;
/* PGXC_END */



/* Line 214 of yacc.c  */
#line 738 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 763 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  721
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   71508

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  441
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  562
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2266
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4273

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   678

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   430,     2,     2,
     435,   436,   428,   426,   439,   427,   437,   429,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   440,   438,
     423,   422,   424,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   433,     2,   434,   431,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   425,   432
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     241,   243,   245,   247,   248,   254,   256,   257,   260,   261,
     264,   265,   268,   271,   275,   279,   281,   285,   289,   292,
     294,   296,   298,   301,   304,   307,   311,   315,   321,   327,
     328,   332,   338,   344,   349,   353,   359,   363,   369,   375,
     382,   384,   386,   390,   396,   403,   408,   410,   411,   414,
     415,   417,   419,   421,   423,   425,   427,   430,   434,   438,
     442,   446,   450,   454,   458,   462,   465,   471,   474,   477,
     480,   483,   487,   491,   495,   497,   501,   503,   507,   509,
     511,   514,   517,   520,   522,   524,   526,   528,   530,   532,
     534,   538,   545,   547,   549,   551,   553,   555,   556,   558,
     560,   563,   567,   572,   576,   579,   582,   584,   587,   591,
     596,   600,   603,   608,   610,   612,   614,   616,   618,   621,
     624,   627,   630,   635,   640,   645,   650,   652,   656,   659,
     663,   668,   675,   682,   689,   695,   701,   708,   715,   720,
     729,   732,   736,   743,   748,   752,   756,   760,   764,   768,
     773,   778,   782,   786,   790,   794,   798,   802,   807,   812,
     816,   819,   823,   826,   829,   833,   837,   840,   843,   845,
     849,   852,   854,   856,   857,   860,   861,   864,   865,   869,
     872,   873,   875,   879,   883,   885,   891,   895,   900,   902,
     906,   911,   918,   923,   932,   935,   938,   949,   956,   958,
     960,   962,   964,   966,   968,   972,   975,   976,   978,   980,
     984,   988,   990,   992,   996,  1000,  1004,  1008,  1013,  1016,
    1018,  1019,  1022,  1023,  1027,  1028,  1030,  1031,  1033,  1037,
    1040,  1042,  1044,  1046,  1050,  1051,  1053,  1057,  1059,  1073,
    1090,  1103,  1119,  1121,  1123,  1126,  1129,  1132,  1135,  1137,
    1138,  1140,  1141,  1145,  1146,  1148,  1152,  1154,  1158,  1160,
    1162,  1164,  1166,  1168,  1172,  1177,  1180,  1181,  1185,  1187,
    1189,  1192,  1195,  1197,  1201,  1206,  1211,  1214,  1220,  1222,
    1225,  1228,  1231,  1235,  1239,  1243,  1244,  1246,  1248,  1250,
    1252,  1254,  1256,  1260,  1262,  1268,  1276,  1280,  1289,  1294,
    1304,  1316,  1320,  1321,  1323,  1327,  1329,  1332,  1335,  1338,
    1339,  1341,  1345,  1349,  1356,  1361,  1362,  1364,  1366,  1369,
    1372,  1373,  1377,  1381,  1384,  1386,  1388,  1391,  1394,  1399,
    1400,  1403,  1406,  1409,  1410,  1414,  1419,  1424,  1425,  1428,
    1429,  1432,  1436,  1441,  1448,  1452,  1457,  1458,  1462,  1466,
    1467,  1472,  1473,  1477,  1485,  1493,  1497,  1498,  1500,  1504,
    1506,  1509,  1513,  1514,  1520,  1525,  1527,  1528,  1530,  1533,
    1536,  1538,  1541,  1545,  1548,  1551,  1554,  1557,  1561,  1565,
    1567,  1571,  1573,  1574,  1576,  1579,  1581,  1583,  1587,  1594,
    1605,  1607,  1608,  1610,  1613,  1616,  1617,  1620,  1623,  1625,
    1626,  1632,  1640,  1642,  1643,  1650,  1653,  1654,  1658,  1664,
    1670,  1679,  1682,  1683,  1686,  1689,  1692,  1698,  1701,  1702,
    1705,  1713,  1724,  1731,  1738,  1745,  1752,  1760,  1768,  1778,
    1788,  1795,  1802,  1811,  1820,  1829,  1838,  1845,  1852,  1860,
    1869,  1876,  1883,  1891,  1894,  1897,  1900,  1903,  1905,  1908,
    1910,  1911,  1918,  1927,  1935,  1942,  1947,  1948,  1950,  1954,
    1959,  1961,  1965,  1967,  1970,  1973,  1976,  1979,  1981,  1983,
    1994,  1997,  1998,  2001,  2004,  2006,  2007,  2012,  2019,  2025,
    2030,  2035,  2044,  2056,  2060,  2063,  2065,  2069,  2071,  2077,
    2086,  2088,  2090,  2092,  2100,  2110,  2119,  2135,  2156,  2158,
    2160,  2163,  2165,  2169,  2171,  2173,  2175,  2179,  2181,  2185,
    2186,  2188,  2189,  2191,  2193,  2198,  2199,  2201,  2205,  2206,
    2208,  2210,  2212,  2214,  2217,  2218,  2219,  2222,  2225,  2227,
    2230,  2233,  2236,  2243,  2252,  2261,  2266,  2272,  2277,  2282,
    2287,  2291,  2299,  2308,  2315,  2322,  2329,  2336,  2341,  2347,
    2351,  2353,  2357,  2361,  2363,  2365,  2367,  2369,  2371,  2373,
    2377,  2381,  2385,  2387,  2391,  2395,  2397,  2398,  2400,  2404,
    2411,  2420,  2429,  2443,  2445,  2449,  2455,  2462,  2467,  2475,
    2478,  2480,  2481,  2484,  2485,  2488,  2493,  2494,  2496,  2497,
    2504,  2513,  2522,  2524,  2528,  2534,  2540,  2548,  2558,  2566,
    2576,  2582,  2589,  2596,  2601,  2603,  2605,  2607,  2609,  2612,
    2614,  2616,  2618,  2620,  2622,  2624,  2628,  2632,  2636,  2640,
    2642,  2646,  2648,  2651,  2654,  2658,  2664,  2667,  2670,  2671,
    2678,  2686,  2694,  2702,  2711,  2720,  2727,  2736,  2746,  2756,
    2764,  2775,  2783,  2792,  2801,  2810,  2819,  2821,  2823,  2825,
    2827,  2829,  2831,  2833,  2835,  2837,  2839,  2841,  2843,  2845,
    2847,  2850,  2852,  2856,  2858,  2860,  2869,  2879,  2889,  2899,
    2909,  2912,  2913,  2915,  2918,  2920,  2922,  2924,  2926,  2928,
    2930,  2932,  2934,  2937,  2940,  2942,  2945,  2949,  2953,  2957,
    2961,  2966,  2971,  2975,  2979,  2983,  2988,  2993,  2997,  3002,
    3007,  3009,  3011,  3013,  3014,  3022,  3030,  3041,  3043,  3045,
    3048,  3053,  3059,  3061,  3065,  3068,  3071,  3074,  3077,  3079,
    3082,  3085,  3090,  3094,  3097,  3100,  3103,  3107,  3110,  3113,
    3119,  3125,  3131,  3133,  3137,  3139,  3142,  3146,  3147,  3149,
    3153,  3156,  3163,  3170,  3180,  3184,  3185,  3189,  3190,  3196,
    3199,  3200,  3204,  3208,  3212,  3220,  3228,  3239,  3241,  3243,
    3245,  3260,  3262,  3263,  3265,  3266,  3268,  3269,  3272,  3273,
    3275,  3279,  3285,  3291,  3299,  3302,  3303,  3305,  3308,  3309,
    3311,  3313,  3314,  3316,  3318,  3319,  3329,  3342,  3350,  3353,
    3354,  3358,  3361,  3363,  3367,  3371,  3374,  3376,  3380,  3384,
    3388,  3391,  3394,  3396,  3398,  3400,  3402,  3405,  3407,  3409,
    3411,  3413,  3418,  3424,  3426,  3430,  3434,  3436,  3439,  3444,
    3450,  3452,  3454,  3456,  3458,  3462,  3466,  3469,  3472,  3475,
    3478,  3480,  3483,  3486,  3488,  3490,  3492,  3496,  3499,  3500,
    3503,  3505,  3509,  3515,  3517,  3520,  3522,  3523,  3529,  3537,
    3543,  3551,  3557,  3565,  3569,  3575,  3581,  3587,  3589,  3593,
    3596,  3598,  3601,  3603,  3606,  3618,  3629,  3640,  3643,  3646,
    3647,  3657,  3660,  3661,  3666,  3671,  3676,  3678,  3680,  3682,
    3683,  3691,  3698,  3705,  3712,  3719,  3726,  3734,  3744,  3754,
    3761,  3768,  3775,  3782,  3789,  3797,  3806,  3816,  3825,  3832,
    3839,  3846,  3852,  3858,  3867,  3876,  3885,  3894,  3901,  3911,
    3913,  3914,  3917,  3918,  3926,  3933,  3940,  3947,  3954,  3961,
    3969,  3979,  3989,  3996,  4005,  4014,  4023,  4032,  4039,  4046,
    4054,  4061,  4069,  4076,  4083,  4090,  4097,  4104,  4112,  4120,
    4128,  4138,  4148,  4155,  4162,  4169,  4178,  4187,  4196,  4203,
    4217,  4219,  4221,  4225,  4229,  4231,  4233,  4235,  4237,  4239,
    4241,  4243,  4244,  4246,  4248,  4250,  4252,  4254,  4256,  4257,
    4264,  4273,  4277,  4280,  4281,  4284,  4287,  4290,  4293,  4297,
    4301,  4304,  4307,  4310,  4313,  4317,  4320,  4326,  4331,  4335,
    4339,  4343,  4345,  4347,  4348,  4352,  4355,  4358,  4360,  4363,
    4365,  4369,  4372,  4374,  4375,  4384,  4395,  4399,  4404,  4409,
    4410,  4413,  4419,  4422,  4423,  4427,  4431,  4435,  4439,  4443,
    4447,  4451,  4455,  4459,  4463,  4467,  4471,  4475,  4480,  4484,
    4488,  4490,  4491,  4497,  4504,  4509,  4512,  4513,  4518,  4522,
    4528,  4535,  4540,  4547,  4554,  4560,  4568,  4570,  4571,  4578,
    4590,  4602,  4614,  4628,  4638,  4650,  4661,  4666,  4669,  4675,
    4678,  4679,  4684,  4690,  4696,  4701,  4708,  4710,  4714,  4716,
    4718,  4720,  4722,  4725,  4730,  4732,  4734,  4736,  4737,  4739,
    4740,  4742,  4743,  4747,  4748,  4752,  4754,  4755,  4760,  4762,
    4764,  4768,  4770,  4775,  4779,  4786,  4791,  4794,  4799,  4803,
    4809,  4811,  4813,  4815,  4817,  4819,  4821,  4823,  4825,  4829,
    4832,  4834,  4836,  4838,  4840,  4842,  4843,  4849,  4851,  4859,
    4867,  4875,  4879,  4882,  4883,  4887,  4890,  4891,  4897,  4901,
    4902,  4904,  4906,  4908,  4910,  4914,  4923,  4927,  4928,  4931,
    4935,  4938,  4942,  4949,  4951,  4956,  4959,  4961,  4965,  4968,
    4971,  4972,  4980,  4983,  4984,  4990,  4994,  4995,  4998,  5001,
    5004,  5008,  5010,  5014,  5016,  5019,  5021,  5022,  5031,  5033,
    5037,  5039,  5041,  5045,  5051,  5054,  5056,  5060,  5068,  5070,
    5071,  5075,  5078,  5081,  5084,  5085,  5088,  5091,  5093,  5095,
    5099,  5103,  5105,  5108,  5113,  5118,  5121,  5125,  5131,  5137,
    5139,  5141,  5151,  5153,  5156,  5161,  5166,  5171,  5174,  5178,
    5180,  5184,  5191,  5193,  5194,  5197,  5198,  5202,  5206,  5211,
    5216,  5221,  5226,  5230,  5233,  5235,  5237,  5238,  5240,  5242,
    5243,  5245,  5251,  5253,  5254,  5256,  5257,  5261,  5263,  5267,
    5272,  5276,  5279,  5282,  5284,  5286,  5288,  5289,  5292,  5297,
    5303,  5306,  5310,  5312,  5314,  5316,  5318,  5322,  5323,  5325,
    5327,  5329,  5331,  5333,  5337,  5338,  5341,  5342,  5344,  5348,
    5350,  5351,  5353,  5356,  5361,  5366,  5369,  5370,  5373,  5377,
    5380,  5381,  5383,  5387,  5389,  5392,  5394,  5397,  5403,  5410,
    5416,  5418,  5421,  5423,  5428,  5432,  5437,  5443,  5448,  5454,
    5459,  5465,  5468,  5473,  5475,  5478,  5481,  5484,  5486,  5488,
    5489,  5494,  5497,  5499,  5502,  5505,  5510,  5512,  5516,  5518,
    5521,  5525,  5527,  5530,  5531,  5534,  5539,  5540,  5542,  5543,
    5545,  5549,  5553,  5556,  5560,  5566,  5573,  5576,  5580,  5584,
    5589,  5590,  5592,  5594,  5596,  5598,  5600,  5603,  5609,  5611,
    5613,  5615,  5617,  5620,  5624,  5628,  5629,  5631,  5633,  5635,
    5637,  5639,  5642,  5645,  5648,  5651,  5654,  5656,  5660,  5661,
    5663,  5665,  5667,  5669,  5675,  5678,  5680,  5682,  5684,  5686,
    5692,  5695,  5698,  5701,  5703,  5707,  5711,  5714,  5716,  5717,
    5721,  5722,  5728,  5731,  5737,  5740,  5742,  5745,  5749,  5750,
    5752,  5754,  5756,  5758,  5760,  5762,  5766,  5770,  5774,  5778,
    5782,  5786,  5790,  5791,  5793,  5798,  5800,  5804,  5808,  5814,
    5817,  5820,  5824,  5828,  5832,  5836,  5840,  5844,  5848,  5852,
    5856,  5860,  5863,  5866,  5870,  5874,  5877,  5881,  5887,  5892,
    5899,  5903,  5909,  5914,  5921,  5926,  5933,  5939,  5947,  5951,
    5954,  5959,  5962,  5966,  5970,  5975,  5979,  5984,  5988,  5993,
    5999,  6006,  6013,  6021,  6028,  6036,  6043,  6051,  6055,  6060,
    6065,  6072,  6075,  6079,  6084,  6086,  6090,  6093,  6096,  6100,
    6104,  6108,  6112,  6116,  6120,  6124,  6128,  6132,  6136,  6139,
    6142,  6148,  6155,  6162,  6170,  6174,  6179,  6181,  6183,  6186,
    6191,  6193,  6195,  6197,  6200,  6203,  6206,  6208,  6213,  6219,
    6226,  6235,  6242,  6250,  6258,  6264,  6266,  6268,  6273,  6275,
    6280,  6282,  6287,  6289,  6294,  6296,  6298,  6300,  6302,  6304,
    6306,  6313,  6318,  6323,  6328,  6333,  6340,  6346,  6352,  6358,
    6363,  6370,  6375,  6380,  6385,  6390,  6396,  6404,  6412,  6422,
    6428,  6433,  6440,  6446,  6454,  6462,  6470,  6473,  6477,  6481,
    6485,  6490,  6491,  6496,  6498,  6502,  6506,  6508,  6510,  6512,
    6515,  6518,  6519,  6522,  6527,  6532,  6539,  6542,  6543,  6545,
    6549,  6553,  6556,  6559,  6560,  6567,  6569,  6570,  6574,  6575,
    6578,  6581,  6582,  6584,  6589,  6592,  6595,  6598,  6601,  6604,
    6609,  6613,  6619,  6621,  6623,  6625,  6627,  6629,  6631,  6633,
    6635,  6637,  6639,  6641,  6643,  6645,  6647,  6649,  6654,  6656,
    6661,  6663,  6668,  6670,  6673,  6675,  6678,  6680,  6684,  6686,
    6690,  6692,  6696,  6698,  6702,  6706,  6710,  6713,  6715,  6719,
    6723,  6724,  6726,  6728,  6730,  6732,  6734,  6736,  6738,  6740,
    6745,  6749,  6752,  6756,  6757,  6761,  6765,  6768,  6771,  6773,
    6774,  6777,  6780,  6784,  6787,  6789,  6791,  6795,  6801,  6803,
    6806,  6811,  6814,  6815,  6817,  6818,  6820,  6823,  6826,  6829,
    6833,  6839,  6841,  6844,  6845,  6848,  6850,  6851,  6853,  6855,
    6857,  6861,  6865,  6867,  6871,  6875,  6878,  6880,  6882,  6884,
    6888,  6890,  6893,  6895,  6899,  6901,  6903,  6905,  6907,  6909,
    6911,  6913,  6916,  6918,  6920,  6922,  6924,  6926,  6929,  6935,
    6938,  6942,  6949,  6951,  6953,  6955,  6957,  6959,  6961,  6963,
    6966,  6969,  6971,  6973,  6975,  6977,  6979,  6981,  6983,  6985,
    6987,  6989,  6991,  6993,  6995,  6997,  6999,  7001,  7003,  7005,
    7007,  7009,  7011,  7013,  7015,  7017,  7019,  7021,  7023,  7025,
    7027,  7029,  7031,  7033,  7035,  7037,  7039,  7041,  7043,  7045,
    7047,  7049,  7051,  7053,  7055,  7057,  7059,  7061,  7063,  7065,
    7067,  7069,  7071,  7073,  7075,  7077,  7079,  7081,  7083,  7085,
    7087,  7089,  7091,  7093,  7095,  7097,  7099,  7101,  7103,  7105,
    7107,  7109,  7111,  7113,  7115,  7117,  7119,  7121,  7123,  7125,
    7127,  7129,  7131,  7133,  7135,  7137,  7139,  7141,  7143,  7145,
    7147,  7149,  7151,  7153,  7155,  7157,  7159,  7161,  7163,  7165,
    7167,  7169,  7171,  7173,  7175,  7177,  7179,  7181,  7183,  7185,
    7187,  7189,  7191,  7193,  7195,  7197,  7199,  7201,  7203,  7205,
    7207,  7209,  7211,  7213,  7215,  7217,  7219,  7221,  7223,  7225,
    7227,  7229,  7231,  7233,  7235,  7237,  7239,  7241,  7243,  7245,
    7247,  7249,  7251,  7253,  7255,  7257,  7259,  7261,  7263,  7265,
    7267,  7269,  7271,  7273,  7275,  7277,  7279,  7281,  7283,  7285,
    7287,  7289,  7291,  7293,  7295,  7297,  7299,  7301,  7303,  7305,
    7307,  7309,  7311,  7313,  7315,  7317,  7319,  7321,  7323,  7325,
    7327,  7329,  7331,  7333,  7335,  7337,  7339,  7341,  7343,  7345,
    7347,  7349,  7351,  7353,  7355,  7357,  7359,  7361,  7363,  7365,
    7367,  7369,  7371,  7373,  7375,  7377,  7379,  7381,  7383,  7385,
    7387,  7389,  7391,  7393,  7395,  7397,  7399,  7401,  7403,  7405,
    7407,  7409,  7411,  7413,  7415,  7417,  7419,  7421,  7423,  7425,
    7427,  7429,  7431,  7433,  7435,  7437,  7439,  7441,  7443,  7445,
    7447,  7449,  7451,  7453,  7455,  7457,  7459,  7461,  7463,  7465,
    7467,  7469,  7471,  7473,  7475,  7477,  7479,  7481,  7483,  7485,
    7487,  7489,  7491,  7493,  7495,  7497,  7499,  7501,  7503,  7505,
    7507,  7509,  7511,  7513,  7515,  7517,  7519,  7521,  7523,  7525,
    7527,  7529,  7531,  7533,  7535,  7537,  7539,  7541,  7543,  7545,
    7547,  7549,  7551,  7553,  7555,  7557,  7559,  7561,  7563,  7565,
    7567,  7569,  7571,  7573,  7575,  7577,  7579,  7581,  7583,  7585,
    7587,  7589,  7591,  7593,  7595,  7597,  7599,  7601,  7603,  7605,
    7607,  7609,  7611,  7613,  7615,  7617,  7619,  7621,  7623,  7625,
    7627,  7629,  7631,  7633,  7635,  7637,  7639,  7641,  7643,  7645,
    7647,  7649,  7651,  7653,  7655,  7657,  7659,  7661,  7663,  7665,
    7667,  7669,  7671,  7673,  7675,  7677,  7679,  7681,  7683,  7685,
    7687,  7689,  7691,  7693,  7695,  7697,  7699,  7701,  7703,  7705,
    7707,  7709,  7711,  7713,  7715,  7717,  7719,  7721,  7723,  7725,
    7727,  7729,  7731,  7733,  7735,  7737,  7739,  7741,  7743,  7745,
    7747,  7749,  7751,  7753,  7755,  7757,  7759,  7761,  7763,  7765,
    7767,  7769,  7771,  7773,  7775,  7777,  7779,  7781,  7783,  7785,
    7787,  7789,  7791,  7793,  7795,  7797,  7799
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     442,     0,    -1,   443,    -1,   443,   438,   444,    -1,   444,
      -1,   773,    -1,   774,    -1,   691,    -1,   779,    -1,   642,
      -1,   582,    -1,   585,    -1,   591,    -1,   605,    -1,   610,
      -1,   726,    -1,   460,    -1,   801,    -1,   747,    -1,   748,
      -1,   561,    -1,   485,    -1,   496,    -1,   454,    -1,   452,
      -1,   782,    -1,   781,    -1,   614,    -1,   456,    -1,   455,
      -1,   789,    -1,   795,    -1,   483,    -1,   813,    -1,   499,
      -1,   784,    -1,   665,    -1,   480,    -1,   500,    -1,   554,
      -1,   629,    -1,   737,    -1,   783,    -1,   778,    -1,   579,
      -1,   586,    -1,   600,    -1,   606,    -1,   707,    -1,   459,
      -1,   803,    -1,   797,    -1,   643,    -1,   650,    -1,   651,
      -1,   568,    -1,   463,    -1,   560,    -1,   515,    -1,   576,
      -1,   615,    -1,   445,    -1,   451,    -1,   611,    -1,   769,
      -1,   821,    -1,   840,    -1,   631,    -1,   827,    -1,   484,
      -1,   734,    -1,   630,    -1,   739,    -1,   590,    -1,   604,
      -1,   462,    -1,   804,    -1,   802,    -1,   654,    -1,   655,
      -1,   656,    -1,   574,    -1,   756,    -1,   658,    -1,   578,
      -1,   628,    -1,   457,    -1,   458,    -1,   613,    -1,   777,
      -1,   819,    -1,   811,    -1,   805,    -1,   672,    -1,   676,
      -1,   687,    -1,   696,    -1,   822,    -1,   759,    -1,   768,
      -1,   829,    -1,   757,    -1,   816,    -1,   657,    -1,   741,
      -1,   730,    -1,   729,    -1,   731,    -1,   744,    -1,   677,
      -1,   688,    -1,   749,    -1,   668,    -1,   844,    -1,   761,
      -1,   663,    -1,   760,    -1,   833,    -1,   786,    -1,   477,
      -1,   467,    -1,   479,    -1,   766,    -1,    -1,    86,   311,
     994,   446,   447,    -1,   401,    -1,    -1,   447,   450,    -1,
      -1,   448,   449,    -1,    -1,   271,   993,    -1,   271,   244,
      -1,   130,   271,   993,    -1,   374,   271,   993,    -1,   181,
      -1,    77,   213,   995,    -1,   385,   380,   993,    -1,   382,
     983,    -1,   302,    -1,     3,    -1,   449,    -1,   350,   992,
      -1,    19,   983,    -1,   311,   983,    -1,   176,   311,   983,
      -1,   176,   163,   983,    -1,    86,   382,   994,   446,   447,
      -1,    24,   311,   994,   446,   448,    -1,    -1,   176,   100,
     985,    -1,    24,   311,   994,   453,   478,    -1,    24,   382,
     994,   446,   448,    -1,    24,   382,   994,   478,    -1,   125,
     311,   983,    -1,   125,   311,   171,   139,   983,    -1,   125,
     382,   983,    -1,   125,   382,   171,   139,   983,    -1,    86,
     163,   994,   446,   447,    -1,    24,   163,   994,   461,   382,
     983,    -1,    18,    -1,   125,    -1,   125,   163,   983,    -1,
     125,   163,   171,   139,   983,    -1,    86,   318,   464,    38,
     994,   465,    -1,    86,   318,   996,   465,    -1,   996,    -1,
      -1,   465,   466,    -1,    -1,   515,    -1,   696,    -1,   560,
      -1,   615,    -1,   676,    -1,   766,    -1,   330,   468,    -1,
     330,   216,   468,    -1,   330,   328,   468,    -1,   469,   362,
     470,    -1,   469,   422,   470,    -1,   469,   362,   106,    -1,
     469,   422,   106,    -1,   469,   155,    89,    -1,   360,   418,
     474,    -1,   364,   764,    -1,   328,    60,    31,   364,   764,
      -1,    56,   993,    -1,   318,   993,    -1,   231,   475,    -1,
     311,   476,    -1,   328,    38,   476,    -1,   328,    38,   106,
      -1,   406,   256,   930,    -1,   996,    -1,   469,   437,   996,
      -1,   471,    -1,   470,   439,   471,    -1,   473,    -1,   566,
      -1,   288,   373,    -1,   288,    74,    -1,   299,   288,    -1,
     326,    -1,   368,    -1,   144,    -1,   253,    -1,   476,    -1,
     993,    -1,     3,    -1,   917,   993,   919,    -1,   917,   435,
     992,   436,   993,   919,    -1,   566,    -1,   106,    -1,   216,
      -1,   993,    -1,   106,    -1,    -1,   996,    -1,   993,    -1,
     303,   469,    -1,   303,   360,   418,    -1,   303,   364,   199,
     211,    -1,   303,   328,    38,    -1,   303,    22,    -1,   330,
     468,    -1,   477,    -1,   333,   469,    -1,   333,   360,   418,
      -1,   333,   364,   199,   211,    -1,   333,   328,    38,    -1,
     333,    22,    -1,   330,    79,   481,   482,    -1,    22,    -1,
     981,    -1,   109,    -1,   173,    -1,    62,    -1,   118,    22,
      -1,   118,   355,    -1,   118,   357,    -1,   118,   273,    -1,
      24,   352,   888,   486,    -1,    24,   179,   982,   486,    -1,
      24,   324,   982,   486,    -1,    24,   395,   982,   486,    -1,
     487,    -1,   486,   439,   487,    -1,    18,   523,    -1,    18,
      70,   523,    -1,    24,   745,   996,   488,    -1,    24,   745,
     996,   125,   239,   244,    -1,    24,   745,   996,   330,   239,
     244,    -1,    24,   745,   996,   330,   342,   995,    -1,    24,
     745,   996,   330,   492,    -1,    24,   745,   996,   303,   492,
      -1,    24,   745,   996,   330,   345,   996,    -1,   125,   745,
     171,   139,   996,   489,    -1,   125,   745,   996,   489,    -1,
      24,   745,   996,   746,   371,   897,   490,   491,    -1,    18,
     532,    -1,   386,    78,   984,    -1,   125,    78,   171,   139,
     984,   489,    -1,   125,    78,   984,   489,    -1,   330,   401,
     252,    -1,   330,   402,   252,    -1,    66,   253,   984,    -1,
     330,   402,    66,    -1,   128,   366,   984,    -1,   128,    25,
     366,   984,    -1,   128,   301,   366,   984,    -1,   128,   366,
      22,    -1,   128,   366,   382,    -1,   117,   366,   984,    -1,
     117,   366,    22,    -1,   117,   366,   382,    -1,   128,   316,
     984,    -1,   128,    25,   316,   984,    -1,   128,   301,   316,
     984,    -1,   117,   316,   984,    -1,   181,   982,    -1,   236,
     181,   982,    -1,   249,   661,    -1,   239,   249,    -1,   266,
     362,   994,    -1,   330,   354,   984,    -1,   330,   492,    -1,
     303,   492,    -1,   594,    -1,   330,   106,   921,    -1,   125,
     106,    -1,    52,    -1,   305,    -1,    -1,    68,   661,    -1,
      -1,   383,   921,    -1,    -1,   435,   494,   436,    -1,   401,
     492,    -1,    -1,   495,    -1,   494,   439,   495,    -1,   998,
     422,   635,    -1,   998,    -1,   998,   437,   998,   422,   635,
      -1,   998,   437,   998,    -1,    24,   371,   661,   497,    -1,
     498,    -1,   497,   439,   498,    -1,    18,    37,   896,   489,
      -1,   125,    37,   171,   139,   996,   489,    -1,   125,    37,
     996,   489,    -1,    24,    37,   996,   746,   371,   897,   490,
     489,    -1,    65,   841,    -1,    65,    22,    -1,    84,   506,
     982,   534,   507,   501,   502,   508,   446,   503,    -1,    84,
     845,   362,   502,   446,   503,    -1,   155,    -1,   362,    -1,
     993,    -1,   343,    -1,   344,    -1,   504,    -1,   435,   510,
     436,    -1,   504,   505,    -1,    -1,    45,    -1,   252,    -1,
     112,   780,   993,    -1,   244,   780,   993,    -1,    88,    -1,
     167,    -1,   286,   780,   993,    -1,   133,   780,   993,    -1,
     151,   286,   535,    -1,   151,   286,   428,    -1,   151,   239,
     244,   535,    -1,   129,   993,    -1,    45,    -1,    -1,   401,
     252,    -1,    -1,   509,   113,   993,    -1,    -1,   383,    -1,
      -1,   511,    -1,   510,   439,   511,    -1,   998,   512,    -1,
     473,    -1,   566,    -1,   428,    -1,   435,   513,   436,    -1,
      -1,   514,    -1,   513,   439,   514,    -1,   473,    -1,    86,
     516,   352,   982,   435,   517,   436,   545,   546,   547,   548,
     550,   551,    -1,    86,   516,   352,   171,   239,   139,   982,
     435,   517,   436,   545,   546,   547,   548,   550,   551,    -1,
      86,   516,   352,   982,   249,   661,   518,   546,   547,   548,
     550,   551,    -1,    86,   516,   352,   171,   239,   139,   982,
     249,   661,   518,   546,   547,   548,   550,   551,    -1,   357,
      -1,   355,    -1,   216,   357,    -1,   216,   355,    -1,   159,
     357,    -1,   159,   355,    -1,   379,    -1,    -1,   519,    -1,
      -1,   435,   520,   436,    -1,    -1,   521,    -1,   519,   439,
     521,    -1,   522,    -1,   520,   439,   522,    -1,   523,    -1,
     529,    -1,   532,    -1,   524,    -1,   532,    -1,   996,   897,
     525,    -1,   996,   401,   257,   525,    -1,   525,   526,    -1,
      -1,    78,   984,   527,    -1,   527,    -1,   528,    -1,    68,
     661,    -1,   239,   244,    -1,   244,    -1,   376,   723,   552,
      -1,   281,   201,   723,   552,    -1,    61,   435,   921,   436,
      -1,   106,   922,    -1,   294,   982,   534,   537,   541,    -1,
     108,    -1,   239,   108,    -1,   183,   109,    -1,   183,   173,
      -1,   212,   982,   530,    -1,   530,   177,   531,    -1,   530,
     136,   531,    -1,    -1,   107,    -1,    79,    -1,   180,    -1,
     345,    -1,    72,    -1,    22,    -1,    78,   984,   533,    -1,
     533,    -1,    61,   435,   921,   436,   626,    -1,   376,   435,
     535,   436,   723,   552,   626,    -1,   376,   553,   626,    -1,
     281,   201,   435,   535,   436,   723,   552,   626,    -1,   281,
     201,   553,   626,    -1,   135,   700,   435,   538,   436,   723,
     552,   540,   626,    -1,   152,   201,   435,   535,   436,   294,
     982,   534,   537,   541,   626,    -1,   435,   535,   436,    -1,
      -1,   536,    -1,   535,   439,   536,    -1,   996,    -1,   222,
     156,    -1,   222,   268,    -1,   222,   335,    -1,    -1,   539,
      -1,   538,   439,   539,    -1,   702,   401,   733,    -1,   702,
     401,   255,   435,   733,   436,    -1,   398,   435,   921,   436,
      -1,    -1,   542,    -1,   543,    -1,   542,   543,    -1,   543,
     542,    -1,    -1,   253,   381,   544,    -1,   253,   111,   544,
      -1,   236,    17,    -1,   305,    -1,    52,    -1,   330,   244,
      -1,   330,   106,    -1,   182,   435,   981,   436,    -1,    -1,
     401,   492,    -1,   401,   252,    -1,   402,   252,    -1,    -1,
     253,    73,   125,    -1,   253,    73,   111,   315,    -1,   253,
      73,   278,   315,    -1,    -1,   354,   984,    -1,    -1,   120,
      49,    -1,   120,    49,   165,    -1,   549,   435,   984,   436,
      -1,   120,    49,   227,   435,   984,   436,    -1,   120,    49,
     302,    -1,   120,    49,   313,   310,    -1,    -1,   362,   237,
     800,    -1,   362,   163,   799,    -1,    -1,   383,   179,   354,
     984,    -1,    -1,   383,   179,   988,    -1,    86,   516,   352,
     555,    31,   844,   559,    -1,   982,   556,   546,   547,   548,
     550,   551,    -1,   435,   557,   436,    -1,    -1,   558,    -1,
     557,   439,   558,    -1,   996,    -1,   401,    99,    -1,   401,
     236,    99,    -1,    -1,    86,   516,   324,   982,   562,    -1,
      24,   324,   982,   563,    -1,   563,    -1,    -1,   564,    -1,
     563,   564,    -1,    50,   566,    -1,    98,    -1,   236,    98,
      -1,   178,   565,   566,    -1,   223,   566,    -1,   225,   566,
      -1,   236,   223,    -1,   236,   225,    -1,   265,    49,   661,
      -1,   340,   446,   566,    -1,   304,    -1,   304,   446,   566,
      -1,    49,    -1,    -1,     4,    -1,   427,     4,    -1,   995,
      -1,   566,    -1,   567,   439,   566,    -1,    86,   708,   569,
     575,   203,   476,    -1,    86,   708,   569,   575,   203,   476,
     164,   570,   571,   573,    -1,   370,    -1,    -1,   984,    -1,
     984,   662,    -1,   184,   570,    -1,    -1,   387,   570,    -1,
     236,   387,    -1,   572,    -1,    -1,   125,   575,   203,   476,
     489,    -1,   125,   575,   203,   171,   139,   476,   489,    -1,
     284,    -1,    -1,    86,   354,   984,   577,   219,   993,    -1,
     266,   984,    -1,    -1,   125,   354,   984,    -1,   125,   354,
     171,   139,   984,    -1,    86,   141,   984,   446,   580,    -1,
      86,   141,   171,   239,   139,   984,   446,   580,    -1,   580,
     581,    -1,    -1,   318,   984,    -1,   394,   476,    -1,   155,
     476,    -1,    24,   141,   984,   381,   583,    -1,   583,   584,
      -1,    -1,   362,   476,    -1,    24,   141,   984,   461,    21,
     990,   636,    -1,    24,   141,   984,   461,    55,   435,   897,
      31,   897,   436,    -1,    24,   141,   984,   461,    69,   661,
      -1,    24,   141,   984,   461,    82,   661,    -1,    24,   141,
     984,   461,   123,   661,    -1,    24,   141,   984,   461,   157,
     686,    -1,    24,   141,   984,   461,   575,   203,   984,    -1,
      24,   141,   984,   461,   255,   733,   732,    -1,    24,   141,
     984,   461,   255,    63,   661,   383,   986,    -1,    24,   141,
     984,   461,   255,   145,   661,   383,   986,    -1,    24,   141,
     984,   461,   318,   984,    -1,    24,   141,   984,   461,   352,
     661,    -1,    24,   141,   984,   461,   358,   320,   267,   661,
      -1,    24,   141,   984,   461,   358,   320,   115,   661,    -1,
      24,   141,   984,   461,   358,   320,   356,   661,    -1,    24,
     141,   984,   461,   358,   320,    76,   661,    -1,    24,   141,
     984,   461,   324,   661,    -1,    24,   141,   984,   461,   395,
     661,    -1,    24,   141,   984,   461,   152,   352,   661,    -1,
      24,   141,   984,   461,   152,    99,   404,   984,    -1,    24,
     141,   984,   461,   327,   984,    -1,    24,   141,   984,   461,
     371,   661,    -1,    86,   152,    99,   404,   984,   589,   592,
      -1,   164,   570,    -1,   236,   164,    -1,   387,   570,    -1,
     236,   387,    -1,   587,    -1,   588,   587,    -1,   588,    -1,
      -1,   125,   152,    99,   404,   984,   489,    -1,   125,   152,
      99,   404,   171,   139,   984,   489,    -1,    24,   152,    99,
     404,   984,   589,   594,    -1,    24,   152,    99,   404,   984,
     588,    -1,   257,   435,   593,   436,    -1,    -1,   597,    -1,
     593,   439,   597,    -1,   257,   435,   595,   436,    -1,   596,
      -1,   595,   439,   596,    -1,   597,    -1,   330,   597,    -1,
      18,   597,    -1,   125,   598,    -1,   598,   599,    -1,   998,
      -1,   993,    -1,    86,   327,   984,   601,   603,   152,    99,
     404,   984,   592,    -1,   371,   993,    -1,    -1,   394,   993,
      -1,   394,   244,    -1,   602,    -1,    -1,   125,   327,   984,
     489,    -1,   125,   327,   171,   139,   984,   489,    -1,    24,
     327,   984,   602,   594,    -1,    24,   327,   984,   602,    -1,
      24,   327,   984,   594,    -1,    86,   152,   352,   982,   607,
     327,   984,   592,    -1,    86,   152,   352,   171,   239,   139,
     982,   607,   327,   984,   592,    -1,   435,   608,   436,    -1,
     435,   436,    -1,   609,    -1,   608,   439,   609,    -1,   523,
      -1,    24,   152,   352,   888,   486,    -1,    86,   382,   221,
     150,   612,   327,   984,   592,    -1,    96,    -1,   382,    -1,
     994,    -1,   125,   382,   221,   150,   612,   327,   984,    -1,
     125,   382,   221,   171,   139,   150,   612,   327,   984,    -1,
      24,   382,   221,   150,   612,   327,   984,   594,    -1,    86,
     366,   984,   616,   617,   253,   982,   619,   622,   138,   285,
     990,   435,   623,   436,    -1,    86,    78,   366,   984,    20,
     617,   253,   982,   625,   626,   150,   126,   314,   622,   138,
     285,   990,   435,   623,   436,    -1,    41,    -1,    20,    -1,
     190,   249,    -1,   618,    -1,   617,   258,   618,    -1,   189,
      -1,   111,    -1,   381,    -1,   381,   249,   535,    -1,   369,
      -1,   150,   620,   621,    -1,    -1,   126,    -1,    -1,   314,
      -1,   341,    -1,   397,   435,   921,   436,    -1,    -1,   624,
      -1,   623,   439,   624,    -1,    -1,   992,    -1,     4,    -1,
     993,    -1,   998,    -1,   155,   982,    -1,    -1,    -1,   626,
     627,    -1,   239,   108,    -1,   108,    -1,   183,   173,    -1,
     183,   109,    -1,   239,   385,    -1,   125,   366,   984,   253,
     982,   489,    -1,   125,   366,   171,   139,   984,   253,   982,
     489,    -1,    86,    33,   984,    61,   435,   921,   436,   626,
      -1,   125,    33,   984,   489,    -1,    86,    21,   990,   636,
     632,    -1,    86,    21,   990,   637,    -1,    86,   255,   733,
     632,    -1,    86,   371,   661,   632,    -1,    86,   371,   661,
      -1,    86,   371,   661,    31,   435,   894,   436,    -1,    86,
     371,   661,    31,   132,   435,   640,   436,    -1,    86,   358,
     320,   267,   661,   632,    -1,    86,   358,   320,   115,   661,
     632,    -1,    86,   358,   320,   356,   661,   632,    -1,    86,
     358,   320,    76,   661,   632,    -1,    86,    69,   661,   632,
      -1,    86,    69,   661,   155,   661,    -1,   435,   633,   436,
      -1,   634,    -1,   633,   439,   634,    -1,   998,   422,   635,
      -1,   998,    -1,   717,    -1,  1002,    -1,   948,    -1,   566,
      -1,   993,    -1,   435,   953,   436,    -1,   435,   428,   436,
      -1,   435,   638,   436,    -1,   639,    -1,   638,   439,   639,
      -1,     3,   422,   635,    -1,   641,    -1,    -1,   993,    -1,
     641,   439,   993,    -1,    24,   371,   661,    18,   388,   993,
      -1,    24,   371,   661,    18,   388,   993,    41,   993,    -1,
      24,   371,   661,    18,   388,   993,    20,   993,    -1,    86,
     255,    63,   661,   646,   150,   371,   897,   383,   986,   647,
      31,   644,    -1,   645,    -1,   644,   439,   645,    -1,   255,
     992,   733,   648,   649,    -1,   255,   992,   733,   732,   648,
     649,    -1,   157,   992,   990,   709,    -1,   157,   992,   435,
     953,   436,   990,   709,    -1,   345,   897,    -1,   106,    -1,
      -1,   145,   661,    -1,    -1,   150,   320,    -1,   150,   259,
      49,   661,    -1,    -1,   291,    -1,    -1,    86,   255,   145,
     661,   383,   986,    -1,    24,   255,   145,   661,   383,   986,
      18,   644,    -1,    24,   255,   145,   661,   383,   986,   125,
     652,    -1,   653,    -1,   652,   439,   653,    -1,   255,   992,
     435,   953,   436,    -1,   157,   992,   435,   953,   436,    -1,
     125,   255,    63,   661,   383,   986,   489,    -1,   125,   255,
      63,   171,   139,   661,   383,   986,   489,    -1,   125,   255,
     145,   661,   383,   986,   489,    -1,   125,   255,   145,   171,
     139,   661,   383,   986,   489,    -1,   125,   265,    49,   983,
     489,    -1,   290,   265,    49,   983,   362,   984,    -1,   125,
     659,   171,   139,   660,   489,    -1,   125,   659,   660,   489,
      -1,   352,    -1,   324,    -1,   395,    -1,   179,    -1,   152,
     352,    -1,   371,    -1,   123,    -1,    69,    -1,    82,    -1,
     318,    -1,   141,    -1,   358,   320,   267,    -1,   358,   320,
     115,    -1,   358,   320,   356,    -1,   358,   320,    76,    -1,
     661,    -1,   660,   439,   661,    -1,   996,    -1,   996,   662,
      -1,   437,   987,    -1,   662,   437,   987,    -1,   369,   855,
     889,   664,   489,    -1,    81,   170,    -1,   304,   170,    -1,
      -1,    71,   253,   666,   661,   197,   667,    -1,    71,   253,
      21,   990,   636,   197,   667,    -1,    71,   253,   157,   990,
     709,   197,   667,    -1,    71,   253,   255,   733,   732,   197,
     667,    -1,    71,   253,    78,   984,   253,   661,   197,   667,
      -1,    71,   253,   316,   984,   253,   661,   197,   667,    -1,
      71,   253,   316,   984,   197,   667,    -1,    71,   253,   366,
     984,   253,   661,   197,   667,    -1,    71,   253,   255,    63,
     661,   383,   986,   197,   667,    -1,    71,   253,   255,   145,
     661,   383,   986,   197,   667,    -1,    71,   253,   204,   248,
     566,   197,   667,    -1,    71,   253,    55,   435,   897,    31,
     897,   436,   197,   667,    -1,    71,   253,   575,   203,   661,
     197,   667,    -1,    71,   253,   358,   320,   267,   661,   197,
     667,    -1,    71,   253,   358,   320,   115,   661,   197,   667,
      -1,    71,   253,   358,   320,   356,   661,   197,   667,    -1,
      71,   253,   358,   320,    76,   661,   197,   667,    -1,    70,
      -1,   100,    -1,   318,    -1,   179,    -1,   324,    -1,   352,
      -1,   123,    -1,   371,    -1,   395,    -1,    69,    -1,    82,
      -1,   354,    -1,   141,    -1,   311,    -1,   152,   352,    -1,
     327,    -1,   152,    99,   404,    -1,   993,    -1,   244,    -1,
     322,   202,   669,   253,   670,   661,   197,   671,    -1,   322,
     202,   669,   253,    21,   990,   636,   197,   671,    -1,   322,
     202,   669,   253,   157,   990,   709,   197,   671,    -1,   322,
     202,   669,   253,   204,   248,   566,   197,   671,    -1,   322,
     202,   669,   253,   575,   203,   661,   197,   671,    -1,   150,
     476,    -1,    -1,    70,    -1,   152,   352,    -1,   318,    -1,
     324,    -1,   352,    -1,   123,    -1,   371,    -1,   395,    -1,
     993,    -1,   244,    -1,   146,   673,    -1,   229,   673,    -1,
     841,    -1,   674,   841,    -1,   235,   675,   841,    -1,   282,
     675,   841,    -1,   147,   675,   841,    -1,   205,   675,   841,
      -1,    15,   995,   675,   841,    -1,   296,   995,   675,   841,
      -1,   995,   675,   841,    -1,    22,   675,   841,    -1,   153,
     675,   841,    -1,   153,   995,   675,   841,    -1,   153,    22,
     675,   841,    -1,    39,   675,   841,    -1,    39,   995,   675,
     841,    -1,    39,    22,   675,   841,    -1,   155,    -1,   176,
      -1,   674,    -1,    -1,   160,   678,   253,   681,   362,   682,
     684,    -1,   308,   678,   253,   681,   155,   682,   489,    -1,
     308,   160,   256,   150,   678,   253,   681,   155,   682,   489,
      -1,   679,    -1,    22,    -1,    22,   283,    -1,    22,   435,
     535,   436,    -1,    22,   283,   435,   535,   436,    -1,   680,
      -1,   679,   439,   680,    -1,   323,   534,    -1,   294,   534,
      -1,    86,   534,    -1,   996,   534,    -1,   981,    -1,   352,
     981,    -1,   324,   981,    -1,   152,    99,   404,   983,    -1,
     152,   327,   983,    -1,   157,   685,    -1,   100,   983,    -1,
     203,   983,    -1,   204,   248,   567,    -1,   318,   983,    -1,
     354,   983,    -1,    22,   353,   176,   318,   983,    -1,    22,
     325,   176,   318,   983,    -1,    22,   158,   176,   318,   983,
      -1,   683,    -1,   682,   439,   683,    -1,   994,    -1,   163,
     994,    -1,   401,   160,   256,    -1,    -1,   686,    -1,   685,
     439,   686,    -1,   990,   709,    -1,   160,   679,   362,   983,
     689,   690,    -1,   308,   679,   155,   983,   690,   489,    -1,
     308,    19,   256,   150,   679,   155,   983,   690,   489,    -1,
     401,    19,   256,    -1,    -1,   161,    49,   994,    -1,    -1,
      24,   106,   283,   692,   694,    -1,   692,   693,    -1,    -1,
     176,   318,   983,    -1,   150,   311,   983,    -1,   150,   382,
     983,    -1,   160,   678,   253,   695,   362,   682,   684,    -1,
     308,   678,   253,   695,   155,   682,   489,    -1,   308,   160,
     256,   150,   678,   253,   695,   155,   682,   489,    -1,   353,
      -1,   158,    -1,   325,    -1,    86,   697,   179,   698,   699,
     253,   982,   700,   435,   701,   436,   493,   548,   892,    -1,
     376,    -1,    -1,    75,    -1,    -1,   988,    -1,    -1,   383,
     986,    -1,    -1,   702,    -1,   701,   439,   702,    -1,   996,
     703,   704,   705,   706,    -1,   924,   703,   704,   705,   706,
      -1,   435,   921,   436,   703,   704,   705,   706,    -1,    68,
     661,    -1,    -1,   661,    -1,   383,   661,    -1,    -1,    32,
      -1,   114,    -1,    -1,   419,    -1,   420,    -1,    -1,    86,
     708,   157,   990,   711,   307,   716,   719,   723,    -1,    86,
     708,   157,   990,   711,   307,   352,   435,   725,   436,   719,
     723,    -1,    86,   708,   157,   990,   711,   719,   723,    -1,
     258,   300,    -1,    -1,   435,   710,   436,    -1,   435,   436,
      -1,   713,    -1,   710,   439,   713,    -1,   435,   712,   436,
      -1,   435,   436,    -1,   718,    -1,   712,   439,   718,    -1,
     714,   715,   717,    -1,   715,   714,   717,    -1,   715,   717,
      -1,   714,   717,    -1,   717,    -1,   176,    -1,   260,    -1,
     186,    -1,   176,   260,    -1,   391,    -1,   997,    -1,   717,
      -1,   897,    -1,   997,   662,   430,   371,    -1,   331,   997,
     662,   430,   371,    -1,   713,    -1,   713,   106,   921,    -1,
     713,   422,   921,    -1,   721,    -1,   719,   721,    -1,    51,
     253,   244,   187,    -1,   307,   244,   253,   244,   187,    -1,
     346,    -1,   174,    -1,   338,    -1,   396,    -1,   142,   322,
     110,    -1,   142,   322,   196,    -1,   322,   110,    -1,   322,
     196,    -1,    85,   566,    -1,   315,   566,    -1,   478,    -1,
      31,   722,    -1,   203,   476,    -1,   400,    -1,   720,    -1,
     993,    -1,   993,   439,   993,    -1,   401,   632,    -1,    -1,
     715,   717,    -1,   724,    -1,   725,   439,   724,    -1,    24,
     157,   686,   727,   728,    -1,   720,    -1,   727,   720,    -1,
     305,    -1,    -1,   125,   157,   990,   709,   489,    -1,   125,
     157,   171,   139,   990,   709,   489,    -1,   125,    21,   990,
     636,   489,    -1,   125,    21,   171,   139,   990,   636,   489,
      -1,   125,   255,   733,   732,   489,    -1,   125,   255,   171,
     139,   733,   732,   489,    -1,   435,   897,   436,    -1,   435,
     897,   439,   897,   436,    -1,   435,   238,   439,   897,   436,
      -1,   435,   897,   439,   238,   436,    -1,   945,    -1,   996,
     437,   733,    -1,   121,   735,    -1,   736,    -1,   735,   736,
      -1,   993,    -1,   203,   476,    -1,    86,    55,   435,   897,
      31,   897,   436,   401,   157,   686,   738,    -1,    86,    55,
     435,   897,    31,   897,   436,   402,   157,   738,    -1,    86,
      55,   435,   897,    31,   897,   436,   401,   186,   738,    -1,
      31,   175,    -1,    31,    34,    -1,    -1,   125,    55,   740,
     435,   897,    31,   897,   436,   489,    -1,   171,   139,    -1,
      -1,   295,   742,   982,   743,    -1,   295,   351,   984,   743,
      -1,   295,   100,   984,   743,    -1,   179,    -1,   352,    -1,
     151,    -1,    -1,    24,    21,   990,   636,   298,   362,   984,
      -1,    24,    69,   661,   298,   362,   984,    -1,    24,    82,
     661,   298,   362,   984,    -1,    24,   100,   985,   298,   362,
     985,    -1,    24,   157,   686,   298,   362,   984,    -1,    24,
     163,   994,   298,   362,   994,    -1,    24,   575,   203,   984,
     298,   362,   984,    -1,    24,   255,    63,   661,   383,   986,
     298,   362,   984,    -1,    24,   255,   145,   661,   383,   986,
     298,   362,   984,    -1,    24,   318,   984,   298,   362,   984,
      -1,    24,   352,   888,   298,   362,   984,    -1,    24,   324,
     982,   298,   362,   984,    -1,    24,   395,   982,   298,   362,
     984,    -1,    24,   179,   982,   298,   362,   984,    -1,    24,
     152,   352,   888,   298,   362,   984,    -1,    24,   352,   888,
     298,   745,   984,   362,   984,    -1,    24,   152,   352,   888,
     298,   745,   984,   362,   984,    -1,    24,   366,   984,   253,
     982,   298,   362,   984,    -1,    24,   311,   994,   298,   362,
     994,    -1,    24,   382,   994,   298,   362,   994,    -1,    24,
     354,   984,   298,   362,   984,    -1,    24,   354,   984,   330,
     492,    -1,    24,   354,   984,   303,   492,    -1,    24,   358,
     320,   267,   661,   298,   362,   984,    -1,    24,   358,   320,
     115,   661,   298,   362,   984,    -1,    24,   358,   320,   356,
     661,   298,   362,   984,    -1,    24,   358,   320,    76,   661,
     298,   362,   984,    -1,    24,   371,   661,   298,   362,   984,
      -1,    24,   371,   661,   298,    37,   984,   362,   984,   489,
      -1,    70,    -1,    -1,   330,    99,    -1,    -1,    24,    21,
     990,   636,   330,   318,   984,    -1,    24,    69,   661,   330,
     318,   984,    -1,    24,    82,   661,   330,   318,   984,    -1,
      24,   123,   661,   330,   318,   984,    -1,    24,   141,   661,
     330,   318,   984,    -1,    24,   157,   686,   330,   318,   984,
      -1,    24,   255,   733,   732,   330,   318,   984,    -1,    24,
     255,    63,   661,   383,   986,   330,   318,   984,    -1,    24,
     255,   145,   661,   383,   986,   330,   318,   984,    -1,    24,
     352,   888,   330,   318,   984,    -1,    24,   358,   320,   267,
     661,   330,   318,   984,    -1,    24,   358,   320,   115,   661,
     330,   318,   984,    -1,    24,   358,   320,   356,   661,   330,
     318,   984,    -1,    24,   358,   320,    76,   661,   330,   318,
     984,    -1,    24,   324,   982,   330,   318,   984,    -1,    24,
     395,   982,   330,   318,   984,    -1,    24,   152,   352,   888,
     330,   318,   984,    -1,    24,   371,   661,   330,   318,   984,
      -1,    24,    21,   990,   636,   266,   362,   994,    -1,    24,
      69,   661,   266,   362,   994,    -1,    24,    82,   661,   266,
     362,   994,    -1,    24,   100,   985,   266,   362,   994,    -1,
      24,   123,   661,   266,   362,   994,    -1,    24,   157,   686,
     266,   362,   994,    -1,    24,   575,   203,   984,   266,   362,
     994,    -1,    24,   204,   248,   566,   266,   362,   994,    -1,
      24,   255,   733,   732,   266,   362,   994,    -1,    24,   255,
      63,   661,   383,   986,   266,   362,   994,    -1,    24,   255,
     145,   661,   383,   986,   266,   362,   994,    -1,    24,   318,
     984,   266,   362,   994,    -1,    24,   371,   661,   266,   362,
     994,    -1,    24,   354,   984,   266,   362,   994,    -1,    24,
     358,   320,   115,   661,   266,   362,   994,    -1,    24,   358,
     320,    76,   661,   266,   362,   994,    -1,    24,   152,    99,
     404,   984,   266,   362,   994,    -1,    24,   327,   984,   266,
     362,   994,    -1,    86,   708,   316,   984,    31,   253,   754,
     362,   982,   892,   121,   755,   750,    -1,   240,    -1,   752,
      -1,   435,   751,   436,    -1,   751,   438,   753,    -1,   753,
      -1,   844,    -1,   822,    -1,   833,    -1,   827,    -1,   757,
      -1,   752,    -1,    -1,   323,    -1,   381,    -1,   111,    -1,
     189,    -1,   190,    -1,    23,    -1,    -1,   125,   316,   984,
     253,   982,   489,    -1,   125,   316,   171,   139,   984,   253,
     982,   489,    -1,   241,   996,   758,    -1,   439,   993,    -1,
      -1,   214,   996,    -1,   378,   996,    -1,   378,   428,    -1,
      14,   762,    -1,    42,   762,   765,    -1,   340,   364,   765,
      -1,    73,   762,    -1,   131,   762,    -1,   312,   762,    -1,
     317,   996,    -1,   297,   317,   996,    -1,   297,   996,    -1,
     312,   762,   362,   317,   996,    -1,   312,   762,   362,   996,
      -1,   279,   364,   993,    -1,    73,   280,   993,    -1,   312,
     280,   993,    -1,   403,    -1,   364,    -1,    -1,   199,   211,
     472,    -1,   288,   254,    -1,   288,   405,    -1,   108,    -1,
     239,   108,    -1,   763,    -1,   764,   439,   763,    -1,   764,
     763,    -1,   764,    -1,    -1,    86,   516,   395,   982,   534,
      31,   844,   767,    -1,    86,   258,   300,   516,   395,   982,
     534,    31,   844,   767,    -1,   401,    61,   256,    -1,   401,
      53,    61,   256,    -1,   401,   216,    61,   256,    -1,    -1,
     215,   989,    -1,    86,   100,   985,   446,   770,    -1,   770,
     771,    -1,    -1,   354,   772,   984,    -1,   354,   772,   106,
      -1,   219,   772,   993,    -1,   219,   772,   106,    -1,   356,
     772,   984,    -1,   356,   772,   106,    -1,   129,   772,   993,
      -1,   129,   772,   992,    -1,   129,   772,   106,    -1,   206,
     772,   993,    -1,   206,   772,   106,    -1,   207,   772,   993,
      -1,   207,   772,   106,    -1,    77,   213,   772,   995,    -1,
     266,   772,   984,    -1,   266,   772,   106,    -1,   422,    -1,
      -1,    24,   100,   985,   446,   775,    -1,    24,   100,   985,
     330,   354,   984,    -1,    24,   100,   985,   478,    -1,   775,
     776,    -1,    -1,    77,   213,   772,   995,    -1,   125,   100,
     985,    -1,   125,   100,   171,   139,   985,    -1,    86,   123,
     661,   780,   897,   525,    -1,    24,   123,   661,   488,    -1,
      24,   123,   661,   125,   239,   244,    -1,    24,   123,   661,
     330,   239,   244,    -1,    24,   123,   661,    18,   532,    -1,
      24,   123,   661,   125,    78,   984,   489,    -1,    31,    -1,
      -1,    24,   358,   320,   115,   661,   632,    -1,    24,   358,
     320,    76,   661,    18,   221,   150,   983,   401,   660,    -1,
      24,   358,   320,    76,   661,    24,   221,   150,   983,   401,
     660,    -1,    24,   358,   320,    76,   661,    24,   221,   300,
     661,   401,   661,    -1,    24,   358,   320,    76,   661,    24,
     221,   150,   983,   300,   661,   401,   661,    -1,    24,   358,
     320,    76,   661,   125,   221,   150,   983,    -1,    24,   358,
     320,    76,   661,   125,   221,   171,   139,   150,   983,    -1,
      86,   646,    82,   661,   150,   993,   362,   993,   155,   661,
      -1,    66,   791,   982,   785,    -1,    66,   791,    -1,    66,
     791,   988,   253,   982,    -1,   383,   988,    -1,    -1,   384,
     792,   793,   791,    -1,   384,   792,   793,   791,   982,    -1,
     384,   792,   793,   791,   789,    -1,   384,   435,   787,   436,
      -1,   384,   435,   787,   436,   982,   794,    -1,   788,    -1,
     787,   439,   788,    -1,   790,    -1,   393,    -1,   154,    -1,
     156,    -1,   790,   791,    -1,   790,   791,   982,   794,    -1,
      27,    -1,    26,    -1,   393,    -1,    -1,   156,    -1,    -1,
     154,    -1,    -1,   435,   983,   436,    -1,    -1,    86,    40,
     796,    -1,   993,    -1,    -1,    86,   237,   798,   546,    -1,
     996,    -1,   996,    -1,   800,   439,   798,    -1,   798,    -1,
      24,   237,   798,   546,    -1,   125,   237,   798,    -1,    86,
     237,   163,   799,   401,   800,    -1,   125,   237,   163,   799,
      -1,   140,   806,    -1,   140,   790,   791,   806,    -1,   140,
     393,   806,    -1,   140,   435,   807,   436,   806,    -1,   844,
      -1,   822,    -1,   833,    -1,   827,    -1,   840,    -1,   554,
      -1,   819,    -1,   808,    -1,   807,   439,   808,    -1,   809,
     810,    -1,   996,    -1,   790,    -1,   393,    -1,   473,    -1,
     566,    -1,    -1,   138,   116,   253,   800,   812,    -1,   993,
      -1,    64,    77,   362,    83,   800,   814,   815,    -1,    64,
      77,   362,   237,   800,   814,   815,    -1,    64,    77,   362,
      22,   743,   814,   815,    -1,   150,   100,   985,    -1,   150,
     985,    -1,    -1,   362,   382,   994,    -1,   362,   994,    -1,
      -1,   279,   984,   817,    31,   818,    -1,   435,   953,   436,
      -1,    -1,   844,    -1,   822,    -1,   833,    -1,   827,    -1,
     138,   984,   820,    -1,    86,   516,   352,   555,    31,   138,
     984,   820,    -1,   435,   950,   436,    -1,    -1,   102,   984,
      -1,   102,   279,   984,    -1,   102,    22,    -1,   102,   279,
      22,    -1,   852,   189,   195,   982,   823,   826,    -1,   844,
      -1,   435,   824,   436,   844,    -1,   106,   389,    -1,   825,
      -1,   824,   439,   825,    -1,   996,   974,    -1,   306,   979,
      -1,    -1,   852,   111,   155,   890,   828,   893,   826,    -1,
     383,   881,    -1,    -1,   220,   855,   889,   830,   832,    -1,
     176,   831,   226,    -1,    -1,    16,   332,    -1,   314,   332,
      -1,   314,   137,    -1,   332,   381,   137,    -1,   332,    -1,
     332,   314,   137,    -1,   137,    -1,    16,   137,    -1,   243,
      -1,    -1,   852,   381,   890,   330,   834,   880,   893,   826,
      -1,   835,    -1,   834,   439,   835,    -1,   836,    -1,   837,
      -1,   838,   422,   976,    -1,   435,   839,   436,   422,   978,
      -1,   996,   974,    -1,   838,    -1,   839,   439,   838,    -1,
     105,   841,   842,    97,   843,   150,   844,    -1,   984,    -1,
      -1,   842,   236,   319,    -1,   842,   319,    -1,   842,    45,
      -1,   842,   188,    -1,    -1,   401,   168,    -1,   402,   168,
      -1,   846,    -1,   845,    -1,   435,   846,   436,    -1,   435,
     845,   436,    -1,   848,    -1,   847,   859,    -1,   847,   858,
     874,   863,    -1,   847,   858,   862,   875,    -1,   849,   847,
      -1,   849,   847,   859,    -1,   849,   847,   858,   874,   863,
      -1,   849,   847,   858,   862,   875,    -1,   848,    -1,   845,
      -1,   323,   857,   979,   853,   880,   892,   872,   873,   933,
      -1,   879,    -1,   352,   888,    -1,   847,   375,   856,   847,
      -1,   847,   193,   856,   847,    -1,   847,   134,   856,   847,
      -1,   401,   850,    -1,   401,   292,   850,    -1,   851,    -1,
     850,   439,   851,    -1,   984,   794,    31,   435,   818,   436,
      -1,   849,    -1,    -1,   195,   854,    -1,    -1,   357,   855,
     982,    -1,   355,   855,   982,    -1,   216,   357,   855,   982,
      -1,   216,   355,   855,   982,    -1,   159,   357,   855,   982,
      -1,   159,   355,   855,   982,    -1,   379,   855,   982,    -1,
     352,   982,    -1,   982,    -1,   352,    -1,    -1,    22,    -1,
     119,    -1,    -1,   119,    -1,   119,   253,   435,   950,   436,
      -1,    22,    -1,    -1,   859,    -1,    -1,   259,    49,   860,
      -1,   861,    -1,   860,   439,   861,    -1,   921,   383,   948,
     706,    -1,   921,   705,   706,    -1,   864,   865,    -1,   865,
     864,    -1,   864,    -1,   865,    -1,   862,    -1,    -1,   213,
     866,    -1,   213,   866,   439,   867,    -1,   146,   871,   868,
     870,   254,    -1,   251,   867,    -1,   251,   869,   870,    -1,
     921,    -1,    22,    -1,   921,    -1,   995,    -1,   435,   921,
     436,    -1,    -1,   923,    -1,   314,    -1,   315,    -1,   147,
      -1,   235,    -1,   163,    49,   950,    -1,    -1,   166,   921,
      -1,    -1,   876,    -1,   150,   288,   254,    -1,   874,    -1,
      -1,   877,    -1,   876,   877,    -1,   150,   381,   878,   832,
      -1,   150,   332,   878,   832,    -1,   249,   981,    -1,    -1,
     389,   978,    -1,   879,   439,   978,    -1,   155,   881,    -1,
      -1,   882,    -1,   881,   439,   882,    -1,   888,    -1,   888,
     884,    -1,   891,    -1,   891,   884,    -1,   891,    31,   435,
     895,   436,    -1,   891,    31,   996,   435,   895,   436,    -1,
     891,   996,   435,   895,   436,    -1,   845,    -1,   845,   884,
      -1,   883,    -1,   435,   883,   436,   884,    -1,   435,   883,
     436,    -1,   882,    87,   200,   882,    -1,   882,   885,   200,
     882,   887,    -1,   882,   200,   882,   887,    -1,   882,   233,
     885,   200,   882,    -1,   882,   233,   200,   882,    -1,    31,
     996,   435,   983,   436,    -1,    31,   996,    -1,   996,   435,
     983,   436,    -1,   996,    -1,   156,   886,    -1,   210,   886,
      -1,   309,   886,    -1,   185,    -1,   261,    -1,    -1,   383,
     435,   983,   436,    -1,   253,   921,    -1,   982,    -1,   982,
     428,    -1,   254,   982,    -1,   254,   435,   982,   436,    -1,
     888,    -1,   889,   439,   888,    -1,   888,    -1,   888,   996,
      -1,   888,    31,   996,    -1,   924,    -1,   398,   921,    -1,
      -1,   398,   921,    -1,   398,    89,   249,   841,    -1,    -1,
     895,    -1,    -1,   896,    -1,   895,   439,   896,    -1,   996,
     897,   490,    -1,   899,   898,    -1,   331,   899,   898,    -1,
     899,    30,   433,   992,   434,    -1,   331,   899,    30,   433,
     992,   434,    -1,   899,    30,    -1,   331,   899,    30,    -1,
     898,   433,   434,    -1,   898,   433,   992,   434,    -1,    -1,
     901,    -1,   903,    -1,   905,    -1,   909,    -1,   916,    -1,
     917,   919,    -1,   917,   435,   992,   436,   919,    -1,   903,
      -1,   906,    -1,   910,    -1,   916,    -1,   997,   902,    -1,
     997,   662,   902,    -1,   435,   950,   436,    -1,    -1,   191,
      -1,   192,    -1,   336,    -1,    44,    -1,   289,    -1,   148,
     904,    -1,   124,   276,    -1,   104,   902,    -1,   103,   902,
      -1,   247,   902,    -1,    47,    -1,   435,   992,   436,    -1,
      -1,   907,    -1,   908,    -1,   907,    -1,   908,    -1,    46,
     914,   435,   950,   436,    -1,    46,   914,    -1,   911,    -1,
     912,    -1,   911,    -1,   912,    -1,   913,   435,   992,   436,
     915,    -1,   913,   915,    -1,    59,   914,    -1,    58,   914,
      -1,   390,    -1,   232,    59,   914,    -1,   232,    58,   914,
      -1,   234,   914,    -1,   392,    -1,    -1,    59,   330,   996,
      -1,    -1,   361,   435,   992,   436,   918,    -1,   361,   918,
      -1,   360,   435,   992,   436,   918,    -1,   360,   918,    -1,
     194,    -1,   421,   418,    -1,   402,   360,   418,    -1,    -1,
     416,    -1,   228,    -1,   101,    -1,   169,    -1,   224,    -1,
     920,    -1,   416,   362,   228,    -1,   101,   362,   169,    -1,
     101,   362,   224,    -1,   101,   362,   920,    -1,   169,   362,
     224,    -1,   169,   362,   920,    -1,   224,   362,   920,    -1,
      -1,   321,    -1,   321,   435,   992,   436,    -1,   923,    -1,
     921,    11,   897,    -1,   921,    68,   661,    -1,   921,    36,
     360,   418,   921,    -1,   426,   921,    -1,   427,   921,    -1,
     921,   426,   921,    -1,   921,   427,   921,    -1,   921,   428,
     921,    -1,   921,   429,   921,    -1,   921,   430,   921,    -1,
     921,   431,   921,    -1,   921,   423,   921,    -1,   921,   424,
     921,    -1,   921,   422,   921,    -1,   921,   947,   921,    -1,
     947,   921,    -1,   921,   947,    -1,   921,    28,   921,    -1,
     921,   258,   921,    -1,   239,   921,    -1,   921,   212,   921,
      -1,   921,   212,   921,   133,   921,    -1,   921,   239,   212,
     921,    -1,   921,   239,   212,   921,   133,   921,    -1,   921,
     172,   921,    -1,   921,   172,   921,   133,   921,    -1,   921,
     239,   172,   921,    -1,   921,   239,   172,   921,   133,   921,
      -1,   921,   334,   362,   921,    -1,   921,   334,   362,   921,
     133,   921,    -1,   921,   239,   334,   362,   921,    -1,   921,
     239,   334,   362,   921,   133,   921,    -1,   921,   197,   244,
      -1,   921,   198,    -1,   921,   197,   239,   244,    -1,   921,
     242,    -1,   943,   263,   943,    -1,   921,   197,   368,    -1,
     921,   197,   239,   368,    -1,   921,   197,   144,    -1,   921,
     197,   239,   144,    -1,   921,   197,   377,    -1,   921,   197,
     239,   377,    -1,   921,   197,   119,   155,   921,    -1,   921,
     197,   239,   119,   155,   921,    -1,   921,   197,   249,   435,
     953,   436,    -1,   921,   197,   239,   249,   435,   953,   436,
      -1,   921,    43,   975,   922,    28,   922,    -1,   921,   239,
      43,   975,   922,    28,   922,    -1,   921,    43,   349,   922,
      28,   922,    -1,   921,   239,    43,   349,   922,    28,   922,
      -1,   921,   176,   965,    -1,   921,   239,   176,   965,    -1,
     921,   949,   944,   845,    -1,   921,   949,   944,   435,   921,
     436,    -1,   376,   845,    -1,   921,   197,   122,    -1,   921,
     197,   239,   122,    -1,   923,    -1,   922,    11,   897,    -1,
     426,   922,    -1,   427,   922,    -1,   922,   426,   922,    -1,
     922,   427,   922,    -1,   922,   428,   922,    -1,   922,   429,
     922,    -1,   922,   430,   922,    -1,   922,   431,   922,    -1,
     922,   423,   922,    -1,   922,   424,   922,    -1,   922,   422,
     922,    -1,   922,   947,   922,    -1,   947,   922,    -1,   922,
     947,    -1,   922,   197,   119,   155,   922,    -1,   922,   197,
     239,   119,   155,   922,    -1,   922,   197,   249,   435,   953,
     436,    -1,   922,   197,   239,   249,   435,   953,   436,    -1,
     922,   197,   122,    -1,   922,   197,   239,   122,    -1,   971,
      -1,   991,    -1,    10,   974,    -1,   435,   921,   436,   974,
      -1,   966,    -1,   924,    -1,   845,    -1,   139,   845,    -1,
      30,   845,    -1,    30,   954,    -1,   943,    -1,   990,   435,
     436,   936,    -1,   990,   435,   951,   436,   936,    -1,   990,
     435,   391,   952,   436,   936,    -1,   990,   435,   951,   439,
     391,   952,   436,   936,    -1,   990,   435,   951,   859,   436,
     936,    -1,   990,   435,    22,   951,   858,   436,   936,    -1,
     990,   435,   119,   951,   858,   436,   936,    -1,   990,   435,
     428,   436,   936,    -1,    91,    -1,    94,    -1,    94,   435,
     992,   436,    -1,    95,    -1,    95,   435,   992,   436,    -1,
     217,    -1,   217,   435,   992,   436,    -1,   218,    -1,   218,
     435,   992,   436,    -1,    92,    -1,    96,    -1,   329,    -1,
     382,    -1,    90,    -1,    93,    -1,    55,   435,   921,    31,
     897,   436,    -1,   143,   435,   956,   436,    -1,   264,   435,
     958,   436,    -1,   274,   435,   960,   436,    -1,   348,   435,
     961,   436,    -1,   365,   435,   921,    31,   897,   436,    -1,
     367,   435,    48,   964,   436,    -1,   367,   435,   208,   964,
     436,    -1,   367,   435,   363,   964,   436,    -1,   367,   435,
     964,   436,    -1,   245,   435,   921,   439,   921,   436,    -1,
      67,   435,   950,   436,    -1,   162,   435,   950,   436,    -1,
     209,   435,   950,   436,    -1,   408,   435,   950,   436,    -1,
     409,   435,   230,   998,   436,    -1,   409,   435,   230,   998,
     439,   927,   436,    -1,   409,   435,   230,   998,   439,   950,
     436,    -1,   409,   435,   230,   998,   439,   927,   439,   950,
     436,    -1,   410,   435,   923,   932,   436,    -1,   411,   435,
     928,   436,    -1,   412,   435,   930,   921,   931,   436,    -1,
     413,   435,   230,   998,   436,    -1,   413,   435,   230,   998,
     439,   921,   436,    -1,   414,   435,   921,   439,   925,   926,
     436,    -1,   415,   435,   930,   921,    31,   899,   436,    -1,
     394,   921,    -1,   394,   236,   388,    -1,   439,   339,   417,
      -1,   439,   339,   236,    -1,   439,   339,   236,   388,    -1,
      -1,   407,   435,   928,   436,    -1,   929,    -1,   928,   439,
     929,    -1,   921,    31,   998,    -1,   921,    -1,   122,    -1,
      80,    -1,   278,   399,    -1,   347,   399,    -1,    -1,   270,
     923,    -1,   270,   923,    49,   293,    -1,   270,    49,   293,
     923,    -1,   270,    49,   293,   923,    49,   293,    -1,   400,
     934,    -1,    -1,   935,    -1,   934,   439,   935,    -1,   996,
      31,   937,    -1,   262,   937,    -1,   262,   996,    -1,    -1,
     435,   938,   939,   858,   940,   436,    -1,   996,    -1,    -1,
     269,    49,   950,    -1,    -1,   287,   941,    -1,   315,   941,
      -1,    -1,   942,    -1,    43,   942,    28,   942,    -1,   372,
     275,    -1,   372,   149,    -1,    89,   314,    -1,   921,   275,
      -1,   921,   149,    -1,   314,   435,   950,   436,    -1,   314,
     435,   436,    -1,   435,   950,   439,   921,   436,    -1,    29,
      -1,   337,    -1,    22,    -1,     8,    -1,   946,    -1,   426,
      -1,   427,    -1,   428,    -1,   429,    -1,   430,    -1,   431,
      -1,   423,    -1,   424,    -1,   422,    -1,     8,    -1,   255,
     435,   733,   436,    -1,   945,    -1,   255,   435,   733,   436,
      -1,   945,    -1,   255,   435,   733,   436,    -1,   212,    -1,
     239,   212,    -1,   172,    -1,   239,   172,    -1,   921,    -1,
     950,   439,   921,    -1,   952,    -1,   951,   439,   952,    -1,
     921,    -1,   715,    13,   921,    -1,   897,    -1,   953,   439,
     897,    -1,   433,   950,   434,    -1,   433,   955,   434,    -1,
     433,   434,    -1,   954,    -1,   955,   439,   954,    -1,   957,
     155,   921,    -1,    -1,     3,    -1,   416,    -1,   228,    -1,
     101,    -1,   169,    -1,   224,    -1,   321,    -1,   993,    -1,
     921,   959,   962,   963,    -1,   921,   959,   962,    -1,   272,
     921,    -1,   922,   176,   922,    -1,    -1,   921,   962,   963,
      -1,   921,   963,   962,    -1,   921,   962,    -1,   921,   963,
      -1,   950,    -1,    -1,   155,   921,    -1,   150,   921,    -1,
     921,   155,   950,    -1,   155,   950,    -1,   950,    -1,   845,
      -1,   435,   950,   436,    -1,    54,   970,   967,   969,   131,
      -1,   968,    -1,   967,   968,    -1,   397,   921,   359,   921,
      -1,   127,   921,    -1,    -1,   921,    -1,    -1,   996,    -1,
     996,   973,    -1,   437,   987,    -1,   437,   428,    -1,   433,
     921,   434,    -1,   433,   921,   440,   921,   434,    -1,   972,
      -1,   973,   972,    -1,    -1,   974,   972,    -1,    35,    -1,
      -1,   921,    -1,   106,    -1,   976,    -1,   977,   439,   976,
      -1,   435,   977,   436,    -1,   980,    -1,   979,   439,   980,
      -1,   921,    31,   998,    -1,   921,     3,    -1,   921,    -1,
     428,    -1,   982,    -1,   981,   439,   982,    -1,   996,    -1,
     996,   973,    -1,   984,    -1,   983,   439,   984,    -1,   996,
      -1,   996,    -1,   996,    -1,   998,    -1,   996,    -1,   993,
      -1,   997,    -1,   996,   973,    -1,   992,    -1,     4,    -1,
     993,    -1,     6,    -1,     7,    -1,   990,   993,    -1,   990,
     435,   951,   436,   993,    -1,   900,   993,    -1,   917,   993,
     919,    -1,   917,   435,   992,   436,   993,   919,    -1,   368,
      -1,   144,    -1,   244,    -1,     9,    -1,     5,    -1,   996,
      -1,   992,    -1,   426,   992,    -1,   427,   992,    -1,     3,
      -1,   999,    -1,  1000,    -1,     3,    -1,   999,    -1,  1001,
      -1,     3,    -1,   999,    -1,  1000,    -1,  1001,    -1,  1002,
      -1,    14,    -1,    15,    -1,    16,    -1,    17,    -1,    18,
      -1,    19,    -1,    20,    -1,    21,    -1,    23,    -1,    24,
      -1,    25,    -1,    33,    -1,    34,    -1,    36,    -1,    37,
      -1,    39,    -1,    40,    -1,    41,    -1,    42,    -1,    49,
      -1,    50,    -1,    51,    -1,    52,    -1,    53,    -1,    56,
      -1,    57,    -1,    60,    -1,    62,    -1,    63,    -1,    64,
      -1,    65,    -1,    66,    -1,    69,    -1,    71,    -1,    72,
      -1,    73,    -1,    74,    -1,    76,    -1,    77,    -1,    79,
      -1,    80,    -1,    81,    -1,    82,    -1,    83,    -1,    84,
      -1,    85,    -1,    88,    -1,    89,    -1,    97,    -1,    98,
      -1,    99,    -1,   100,    -1,   101,    -1,   102,    -1,   105,
      -1,   107,    -1,   109,    -1,   110,    -1,   111,    -1,   112,
      -1,   113,    -1,   115,    -1,   116,    -1,   117,    -1,   118,
      -1,   120,    -1,   122,    -1,   123,    -1,   124,    -1,   125,
      -1,   126,    -1,   128,    -1,   129,    -1,   130,    -1,   132,
      -1,   133,    -1,   135,    -1,   136,    -1,   137,    -1,   138,
      -1,   140,    -1,   141,    -1,   142,    -1,   145,    -1,   147,
      -1,   149,    -1,   151,    -1,   153,    -1,   157,    -1,   158,
      -1,   159,    -1,   161,    -1,   164,    -1,   165,    -1,   167,
      -1,   168,    -1,   169,    -1,   170,    -1,   171,    -1,   173,
      -1,   174,    -1,   175,    -1,   177,    -1,   178,    -1,   179,
      -1,   180,    -1,   181,    -1,   182,    -1,   184,    -1,   187,
      -1,   188,    -1,   189,    -1,   190,    -1,   196,    -1,   199,
      -1,   201,    -1,   202,    -1,   203,    -1,   204,    -1,   205,
      -1,   206,    -1,   207,    -1,   211,    -1,   214,    -1,   215,
      -1,   216,    -1,   219,    -1,   220,    -1,   221,    -1,   222,
      -1,   223,    -1,   224,    -1,   225,    -1,   226,    -1,   227,
      -1,   228,    -1,   229,    -1,   230,    -1,   231,    -1,   235,
      -1,   236,    -1,   237,    -1,   240,    -1,   241,    -1,   243,
      -1,   246,    -1,   248,    -1,   249,    -1,   250,    -1,   252,
      -1,   255,    -1,   256,    -1,   257,    -1,   265,    -1,   266,
      -1,   267,    -1,   268,    -1,   269,    -1,   270,    -1,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,   279,    -1,   280,
      -1,   278,    -1,   282,    -1,   283,    -1,   284,    -1,   285,
      -1,   286,    -1,   287,    -1,   288,    -1,   290,    -1,   291,
      -1,   292,    -1,   293,    -1,   295,    -1,   296,    -1,   297,
      -1,   298,    -1,   299,    -1,   300,    -1,   301,    -1,   302,
      -1,   303,    -1,   304,    -1,   305,    -1,   307,    -1,   308,
      -1,   310,    -1,   311,    -1,   312,    -1,   313,    -1,   315,
      -1,   316,    -1,   317,    -1,   318,    -1,   319,    -1,   320,
      -1,   321,    -1,   322,    -1,   324,    -1,   325,    -1,   326,
      -1,   327,    -1,   328,    -1,   330,    -1,   332,    -1,   333,
      -1,   335,    -1,   338,    -1,   339,    -1,   340,    -1,   341,
      -1,   342,    -1,   343,    -1,   344,    -1,   345,    -1,   346,
      -1,   347,    -1,   350,    -1,   351,    -1,   353,    -1,   354,
      -1,   355,    -1,   356,    -1,   357,    -1,   358,    -1,   364,
      -1,   366,    -1,   369,    -1,   370,    -1,   371,    -1,   372,
      -1,   373,    -1,   374,    -1,   377,    -1,   378,    -1,   379,
      -1,   380,    -1,   381,    -1,   384,    -1,   385,    -1,   386,
      -1,   387,    -1,   388,    -1,   392,    -1,   394,    -1,   395,
      -1,   396,    -1,   399,    -1,   402,    -1,   403,    -1,   404,
      -1,   405,    -1,   406,    -1,   416,    -1,   417,    -1,   418,
      -1,    43,    -1,    44,    -1,    46,    -1,    47,    -1,    58,
      -1,    59,    -1,    67,    -1,   103,    -1,   104,    -1,   139,
      -1,   143,    -1,   148,    -1,   162,    -1,   186,    -1,   191,
      -1,   192,    -1,   194,    -1,   209,    -1,   232,    -1,   234,
      -1,   238,    -1,   245,    -1,   247,    -1,   260,    -1,   264,
      -1,   274,    -1,   276,    -1,   289,    -1,   314,    -1,   331,
      -1,   336,    -1,   348,    -1,   360,    -1,   361,    -1,   365,
      -1,   367,    -1,   389,    -1,   390,    -1,   407,    -1,   408,
      -1,   409,    -1,   410,    -1,   411,    -1,   412,    -1,   413,
      -1,   414,    -1,   415,    -1,    38,    -1,    45,    -1,    75,
      -1,    87,    -1,    93,    -1,   154,    -1,   156,    -1,   172,
      -1,   185,    -1,   197,    -1,   198,    -1,   200,    -1,   210,
      -1,   212,    -1,   233,    -1,   242,    -1,   261,    -1,   262,
      -1,   263,    -1,   309,    -1,   334,    -1,   393,    -1,    22,
      -1,    26,    -1,    27,    -1,    28,    -1,    29,    -1,    30,
      -1,    31,    -1,    32,    -1,    35,    -1,    48,    -1,    54,
      -1,    55,    -1,    61,    -1,    68,    -1,    70,    -1,    78,
      -1,    86,    -1,    90,    -1,    91,    -1,    92,    -1,    94,
      -1,    95,    -1,    96,    -1,   106,    -1,   108,    -1,   114,
      -1,   119,    -1,   121,    -1,   127,    -1,   131,    -1,   134,
      -1,   144,    -1,   146,    -1,   150,    -1,   152,    -1,   155,
      -1,   160,    -1,   163,    -1,   166,    -1,   176,    -1,   183,
      -1,   193,    -1,   195,    -1,   208,    -1,   213,    -1,   217,
      -1,   218,    -1,   239,    -1,   244,    -1,   251,    -1,   253,
      -1,   254,    -1,   258,    -1,   259,    -1,   272,    -1,   281,
      -1,   294,    -1,   306,    -1,   323,    -1,   329,    -1,   337,
      -1,   349,    -1,   352,    -1,   359,    -1,   362,    -1,   363,
      -1,   368,    -1,   375,    -1,   376,    -1,   382,    -1,   383,
      -1,   391,    -1,   397,    -1,   398,    -1,   400,    -1,   401,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   686,   686,   693,   700,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   829,   839,   850,   851,   860,   861,   865,
     866,   870,   875,   879,   884,   889,   893,   897,   902,   908,
     913,   967,   969,   973,   977,   981,   985,   999,  1017,  1028,
    1029,  1033,  1051,  1063,  1084,  1091,  1110,  1117,  1134,  1152,
    1163,  1164,  1176,  1183,  1200,  1212,  1224,  1225,  1229,  1230,
    1238,  1239,  1240,  1241,  1242,  1243,  1257,  1263,  1269,  1278,
    1286,  1294,  1301,  1308,  1316,  1327,  1335,  1343,  1351,  1359,
    1370,  1378,  1386,  1393,  1403,  1404,  1411,  1412,  1415,  1417,
    1421,  1422,  1423,  1424,  1428,  1429,  1430,  1436,  1448,  1452,
    1456,  1471,  1494,  1495,  1496,  1500,  1501,  1502,  1506,  1507,
    1511,  1518,  1525,  1532,  1539,  1549,  1550,  1555,  1561,  1567,
    1573,  1579,  1589,  1599,  1600,  1604,  1605,  1613,  1628,  1634,
    1640,  1646,  1664,  1672,  1680,  1688,  1699,  1700,  1705,  1713,
    1721,  1730,  1738,  1746,  1755,  1764,  1773,  1782,  1792,  1805,
    1819,  1827,  1835,  1845,  1855,  1862,  1869,  1877,  1885,  1893,
    1901,  1909,  1916,  1923,  1931,  1938,  1945,  1953,  1961,  1969,
    1977,  1985,  1993,  2003,  2010,  2018,  2026,  2034,  2041,  2051,
    2052,  2056,  2057,  2058,  2062,  2070,  2074,  2075,  2079,  2082,
    2083,  2087,  2088,  2093,  2097,  2101,  2106,  2121,  2134,  2135,
    2140,  2149,  2159,  2169,  2194,  2200,  2227,  2249,  2263,  2264,
    2273,  2274,  2275,  2278,  2279,  2284,  2285,  2289,  2293,  2297,
    2301,  2305,  2309,  2313,  2317,  2321,  2325,  2329,  2333,  2342,
    2346,  2350,  2354,  2358,  2362,  2366,  2367,  2372,  2376,  2383,
    2390,  2391,  2392,  2393,  2394,  2398,  2402,  2410,  2428,  2450,
    2478,  2506,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,
    2554,  2555,  2559,  2560,  2564,  2568,  2575,  2579,  2586,  2587,
    2588,  2592,  2593,  2596,  2615,  2635,  2636,  2640,  2648,  2649,
    2650,  2681,  2688,  2695,  2706,  2717,  2726,  2735,  2768,  2775,
    2782,  2789,  2808,  2818,  2819,  2820,  2824,  2825,  2826,  2827,
    2828,  2829,  2838,  2846,  2850,  2862,  2877,  2891,  2906,  2920,
    2938,  2960,  2961,  2965,  2966,  2969,  2975,  2979,  2987,  2992,
    2998,  2999,  3003,  3008,  3015,  3016,  3026,  3028,  3030,  3032,
    3035,  3038,  3041,  3045,  3046,  3047,  3048,  3049,  3052,  3053,
    3058,  3059,  3060,  3061,  3064,  3065,  3066,  3067,  3070,  3071,
    3075,  3076,  3079,  3086,  3093,  3100,  3107,  3111,  3118,  3125,
    3129,  3130,  3133,  3143,  3168,  3187,  3188,  3192,  3193,  3197,
    3217,  3218,  3219,  3232,  3247,  3259,  3260,  3263,  3264,  3267,
    3271,  3275,  3279,  3283,  3287,  3291,  3295,  3299,  3303,  3307,
    3311,  3317,  3318,  3322,  3323,  3328,  3331,  3332,  3344,  3356,
    3371,  3372,  3380,  3381,  3385,  3386,  3390,  3391,  3395,  3396,
    3400,  3408,  3419,  3420,  3430,  3440,  3441,  3454,  3461,  3478,
    3486,  3497,  3500,  3504,  3508,  3512,  3524,  3534,  3537,  3541,
    3554,  3564,  3574,  3583,  3592,  3601,  3611,  3620,  3630,  3640,
    3650,  3659,  3668,  3677,  3686,  3695,  3704,  3713,  3722,  3731,
    3740,  3749,  3767,  3778,  3779,  3780,  3781,  3785,  3786,  3790,
    3791,  3801,  3809,  3826,  3834,  3846,  3847,  3851,  3855,  3863,
    3867,  3871,  3878,  3882,  3887,  3892,  3899,  3906,  3911,  3921,
    3935,  3936,  3941,  3942,  3946,  3947,  3957,  3965,  3982,  3991,
    3999,  4016,  4031,  4049,  4050,  4054,  4058,  4065,  4076,  4093,
    4105,  4106,  4107,  4117,  4125,  4142,  4161,  4181,  4206,  4207,
    4208,  4212,  4214,  4236,  4238,  4240,  4242,  4244,  4249,  4254,
    4264,  4265,  4269,  4270,  4274,  4275,  4279,  4280,  4281,  4285,
    4291,  4292,  4293,  4297,  4298,  4303,  4304,  4331,  4332,  4333,
    4334,  4335,  4340,  4350,  4372,  4392,  4415,  4425,  4436,  4446,
    4456,  4467,  4476,  4483,  4492,  4501,  4510,  4519,  4528,  4539,
    4542,  4543,  4546,  4550,  4557,  4558,  4559,  4560,  4561,  4564,
    4565,  4568,  4571,  4572,  4580,  4587,  4588,  4591,  4593,  4604,
    4613,  4622,  4646,  4661,  4662,  4666,  4676,  4687,  4696,  4706,
    4715,  4716,  4719,  4720,  4723,  4724,  4725,  4728,  4742,  4747,
    4757,  4766,  4778,  4779,  4783,  4791,  4803,  4812,  4824,  4833,
    4854,  4864,  4882,  4891,  4903,  4904,  4905,  4906,  4907,  4908,
    4909,  4910,  4911,  4912,  4913,  4914,  4915,  4916,  4917,  4921,
    4922,  4925,  4926,  4929,  4931,  4944,  4955,  4956,  4957,  4983,
    4992,  5001,  5010,  5019,  5028,  5037,  5047,  5056,  5065,  5074,
    5083,  5092,  5101,  5109,  5117,  5125,  5136,  5137,  5138,  5139,
    5140,  5141,  5142,  5143,  5144,  5145,  5146,  5147,  5148,  5149,
    5150,  5151,  5152,  5156,  5157,  5171,  5182,  5193,  5204,  5215,
    5228,  5229,  5233,  5234,  5235,  5236,  5237,  5238,  5239,  5240,
    5243,  5244,  5254,  5260,  5268,  5276,  5284,  5292,  5300,  5308,
    5316,  5324,  5332,  5340,  5348,  5356,  5364,  5372,  5380,  5388,
    5398,  5399,  5402,  5403,  5413,  5429,  5443,  5469,  5471,  5473,
    5475,  5482,  5491,  5492,  5495,  5502,  5509,  5516,  5530,  5538,
    5546,  5554,  5562,  5570,  5578,  5586,  5594,  5602,  5610,  5618,
    5626,  5634,  5646,  5647,  5650,  5660,  5674,  5675,  5679,  5680,
    5685,  5701,  5714,  5724,  5736,  5737,  5740,  5741,  5751,  5761,
    5762,  5766,  5770,  5774,  5785,  5798,  5812,  5829,  5830,  5831,
    5843,  5863,  5864,  5868,  5869,  5873,  5874,  5878,  5879,  5882,
    5883,  5891,  5902,  5913,  5926,  5927,  5930,  5931,  5932,  5935,
    5936,  5937,  5940,  5941,  5942,  5958,  5970,  5983,  5998,  5999,
    6002,  6003,  6007,  6008,  6016,  6017,  6021,  6022,  6037,  6046,
    6055,  6064,  6073,  6085,  6086,  6087,  6088,  6089,  6095,  6099,
    6114,  6115,  6121,  6131,  6135,  6140,  6150,  6151,  6158,  6162,
    6166,  6170,  6174,  6178,  6182,  6186,  6190,  6194,  6198,  6202,
    6206,  6214,  6218,  6222,  6226,  6232,  6233,  6240,  6241,  6244,
    6256,  6260,  6275,  6286,  6287,  6292,  6293,  6308,  6318,  6331,
    6341,  6354,  6364,  6377,  6385,  6387,  6389,  6394,  6396,  6409,
    6418,  6419,  6423,  6427,  6439,  6450,  6461,  6474,  6475,  6476,
    6480,  6491,  6492,  6506,  6514,  6524,  6537,  6538,  6541,  6542,
    6552,  6561,  6569,  6577,  6585,  6594,  6602,  6610,  6619,  6628,
    6636,  6645,  6654,  6663,  6672,  6681,  6691,  6701,  6710,  6718,
    6726,  6734,  6743,  6752,  6760,  6768,  6776,  6784,  6792,  6805,
    6806,  6809,  6810,  6820,  6829,  6837,  6845,  6853,  6861,  6870,
    6879,  6888,  6897,  6905,  6913,  6921,  6929,  6937,  6945,  6953,
    6961,  6977,  6986,  6994,  7002,  7010,  7018,  7027,  7035,  7043,
    7052,  7061,  7070,  7078,  7086,  7094,  7102,  7110,  7118,  7135,
    7152,  7153,  7154,  7159,  7165,  7174,  7175,  7176,  7177,  7178,
    7182,  7183,  7186,  7187,  7188,  7189,  7193,  7194,  7195,  7200,
    7210,  7231,  7241,  7242,  7245,  7254,  7260,  7279,  7286,  7293,
    7300,  7307,  7314,  7321,  7329,  7337,  7345,  7353,  7361,  7368,
    7375,  7384,  7385,  7386,  7390,  7393,  7396,  7399,  7402,  7409,
    7411,  7413,  7418,  7420,  7432,  7443,  7457,  7463,  7469,  7475,
    7485,  7501,  7511,  7512,  7516,  7520,  7524,  7528,  7532,  7536,
    7540,  7544,  7548,  7552,  7556,  7560,  7564,  7568,  7572,  7576,
    7586,  7587,  7598,  7605,  7616,  7627,  7628,  7632,  7646,  7653,
    7670,  7683,  7692,  7700,  7708,  7717,  7728,  7729,  7740,  7750,
    7760,  7770,  7780,  7790,  7798,  7819,  7842,  7850,  7859,  7870,
    7871,  7883,  7897,  7911,  7923,  7935,  7952,  7953,  7957,  7958,
    7959,  7960,  7964,  7976,  7991,  7992,  7996,  7997,  8000,  8001,
    8004,  8005,  8009,  8010,  8015,  8024,  8029,  8049,  8059,  8062,
    8065,  8066,  8083,  8099,  8114,  8130,  8149,  8156,  8166,  8173,
    8183,  8184,  8185,  8186,  8187,  8188,  8189,  8193,  8197,  8204,
    8211,  8212,  8213,  8217,  8218,  8219,  8229,  8244,  8257,  8267,
    8277,  8289,  8290,  8291,  8294,  8295,  8296,  8307,  8317,  8318,
    8322,  8323,  8324,  8325,  8335,  8343,  8365,  8366,  8376,  8382,
    8388,  8394,  8410,  8420,  8426,  8432,  8441,  8443,  8448,  8459,
    8460,  8471,  8485,  8486,  8497,  8508,  8509,  8512,  8513,  8514,
    8515,  8516,  8517,  8518,  8519,  8522,  8523,  8534,  8552,  8553,
    8557,  8558,  8562,  8570,  8598,  8609,  8610,  8620,  8631,  8634,
    8635,  8636,  8637,  8638,  8641,  8642,  8643,  8691,  8692,  8696,
    8697,  8711,  8712,  8719,  8727,  8735,  8743,  8751,  8759,  8770,
    8771,  8798,  8813,  8814,  8833,  8837,  8841,  8856,  8863,  8873,
    8874,  8877,  8889,  8890,  8894,  8904,  8912,  8917,  8922,  8927,
    8932,  8937,  8942,  8947,  8952,  8959,  8960,  8963,  8964,  8965,
    8972,  8973,  8974,  8975,  8979,  8980,  8984,  8988,  8989,  8992,
    9001,  9014,  9015,  9016,  9017,  9021,  9022,  9026,  9028,  9038,
    9043,  9046,  9051,  9052,  9060,  9070,  9071,  9072,  9080,  9084,
    9085,  9088,  9089,  9094,  9095,  9099,  9100,  9104,  9105,  9109,
    9110,  9114,  9115,  9119,  9127,  9138,  9139,  9144,  9150,  9168,
    9169,  9173,  9174,  9184,  9188,  9193,  9200,  9208,  9215,  9225,
    9235,  9263,  9270,  9274,  9300,  9304,  9316,  9329,  9343,  9354,
    9369,  9375,  9380,  9386,  9393,  9394,  9395,  9396,  9400,  9401,
    9413,  9414,  9419,  9426,  9433,  9440,  9451,  9452,  9465,  9469,
    9476,  9486,  9491,  9492,  9497,  9498,  9506,  9511,  9512,  9516,
    9520,  9526,  9555,  9560,  9567,  9572,  9578,  9583,  9592,  9594,
    9597,  9601,  9602,  9603,  9604,  9605,  9606,  9611,  9641,  9642,
    9643,  9644,  9655,  9661,  9669,  9670,  9676,  9681,  9686,  9691,
    9696,  9701,  9706,  9711,  9717,  9723,  9729,  9736,  9758,  9767,
    9771,  9779,  9783,  9791,  9803,  9824,  9828,  9834,  9838,  9851,
    9870,  9893,  9895,  9897,  9899,  9901,  9903,  9908,  9909,  9913,
    9914,  9921,  9930,  9938,  9947,  9958,  9966,  9967,  9968,  9972,
    9974,  9976,  9978,  9980,  9982,  9984,  9989,  9994, 10000, 10008,
   10013, 10020, 10027, 10031, 10035, 10065, 10066, 10068, 10076, 10098,
   10100, 10102, 10104, 10106, 10108, 10110, 10112, 10114, 10116, 10118,
   10121, 10123, 10125, 10128, 10130, 10132, 10135, 10137, 10150, 10152,
   10165, 10167, 10180, 10182, 10196, 10209, 10222, 10235, 10258, 10265,
   10272, 10279, 10286, 10290, 10297, 10304, 10311, 10318, 10325, 10332,
   10336, 10344, 10348, 10358, 10365, 10372, 10385, 10398, 10417, 10438,
   10448, 10455, 10471, 10476, 10494, 10496, 10498, 10500, 10502, 10504,
   10506, 10508, 10510, 10512, 10514, 10516, 10518, 10520, 10522, 10524,
   10526, 10530, 10535, 10539, 10543, 10548, 10565, 10566, 10567, 10582,
   10594, 10596, 10598, 10608, 10618, 10628, 10636, 10654, 10667, 10680,
   10693, 10706, 10719, 10736, 10749, 10772, 10793, 10803, 10816, 10833,
   10846, 10856, 10869, 10879, 10892, 10905, 10918, 10931, 10944, 10957,
   10970, 10972, 10985, 11003, 11017, 11033, 11055, 11071, 11084, 11097,
   11110, 11114, 11121, 11129, 11137, 11141, 11145, 11149, 11153, 11157,
   11172, 11176, 11185, 11189, 11193, 11198, 11212, 11214, 11218, 11220,
   11222, 11225, 11228, 11231, 11232, 11235, 11243, 11253, 11254, 11257,
   11258, 11259, 11264, 11268, 11272, 11276, 11287, 11288, 11292, 11293,
   11298, 11306, 11308, 11322, 11325, 11352, 11353, 11356, 11357, 11368,
   11386, 11393, 11402, 11419, 11464, 11472, 11480, 11488, 11496, 11517,
   11518, 11519, 11522, 11523, 11524, 11527, 11528, 11531, 11532, 11533,
   11534, 11535, 11536, 11537, 11538, 11539, 11542, 11544, 11549, 11551,
   11556, 11558, 11560, 11562, 11564, 11566, 11578, 11582, 11589, 11593,
   11599, 11603, 11614, 11615, 11618, 11622, 11626, 11632, 11633, 11638,
   11642, 11649, 11650, 11651, 11652, 11653, 11654, 11655, 11656, 11666,
   11670, 11677, 11684, 11685, 11701, 11705, 11710, 11714, 11729, 11734,
   11738, 11741, 11744, 11745, 11746, 11749, 11756, 11766, 11780, 11781,
   11785, 11796, 11797, 11800, 11801, 11804, 11808, 11815, 11819, 11823,
   11830, 11840, 11841, 11845, 11846, 11849, 11850, 11861, 11862, 11871,
   11872, 11880, 11891, 11892, 11895, 11911, 11919, 11927, 11949, 11950,
   11961, 11965, 11992, 11994, 11999, 12002, 12005, 12007, 12009, 12011,
   12021, 12023, 12034, 12038, 12042, 12046, 12050, 12059, 12066, 12091,
   12095, 12101, 12118, 12122, 12126, 12132, 12133, 12134, 12136, 12137,
   12138, 12154, 12155, 12156, 12161, 12162, 12163, 12169, 12170, 12171,
   12172, 12173, 12195, 12196, 12197, 12198, 12199, 12200, 12201, 12202,
   12203, 12204, 12205, 12206, 12207, 12208, 12209, 12210, 12212, 12214,
   12215, 12216, 12217, 12218, 12219, 12220, 12221, 12222, 12223, 12224,
   12225, 12226, 12227, 12228, 12229, 12230, 12231, 12232, 12233, 12234,
   12235, 12236, 12237, 12238, 12239, 12240, 12241, 12242, 12243, 12244,
   12245, 12246, 12247, 12248, 12249, 12250, 12251, 12252, 12253, 12254,
   12255, 12256, 12257, 12258, 12259, 12260, 12261, 12263, 12265, 12266,
   12267, 12268, 12269, 12270, 12271, 12272, 12273, 12274, 12275, 12276,
   12277, 12278, 12279, 12280, 12281, 12282, 12283, 12284, 12285, 12286,
   12287, 12288, 12289, 12290, 12291, 12293, 12295, 12296, 12297, 12298,
   12299, 12300, 12301, 12302, 12303, 12304, 12305, 12306, 12307, 12308,
   12309, 12310, 12311, 12312, 12313, 12314, 12315, 12316, 12317, 12318,
   12319, 12320, 12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328,
   12329, 12330, 12331, 12332, 12333, 12334, 12336, 12338, 12339, 12340,
   12341, 12342, 12343, 12344, 12345, 12346, 12347, 12348, 12349, 12350,
   12351, 12352, 12353, 12354, 12355, 12356, 12357, 12358, 12359, 12360,
   12361, 12362, 12363, 12364, 12366, 12368, 12369, 12370, 12371, 12372,
   12373, 12374, 12375, 12376, 12377, 12378, 12379, 12380, 12381, 12382,
   12383, 12384, 12385, 12386, 12387, 12388, 12390, 12392, 12393, 12394,
   12395, 12396, 12398, 12400, 12401, 12403, 12405, 12406, 12407, 12408,
   12409, 12410, 12411, 12412, 12413, 12414, 12415, 12416, 12417, 12418,
   12419, 12420, 12421, 12422, 12423, 12424, 12425, 12426, 12427, 12428,
   12429, 12430, 12431, 12432, 12433, 12434, 12435, 12436, 12437, 12438,
   12439, 12440, 12441, 12442, 12443, 12444, 12445, 12446, 12447, 12448,
   12449, 12450, 12451, 12452, 12453, 12454, 12455, 12456, 12457, 12458,
   12459, 12460, 12461, 12462, 12463, 12464, 12465, 12466, 12467, 12468,
   12469, 12470, 12484, 12485, 12486, 12487, 12488, 12489, 12490, 12491,
   12492, 12493, 12494, 12495, 12496, 12497, 12498, 12499, 12500, 12501,
   12502, 12503, 12504, 12505, 12506, 12507, 12508, 12509, 12510, 12511,
   12512, 12513, 12514, 12515, 12516, 12517, 12518, 12519, 12520, 12521,
   12522, 12523, 12524, 12525, 12526, 12527, 12528, 12529, 12530, 12544,
   12545, 12546, 12547, 12548, 12549, 12550, 12551, 12552, 12553, 12554,
   12555, 12556, 12557, 12558, 12559, 12560, 12561, 12562, 12563, 12564,
   12565, 12575, 12576, 12577, 12578, 12579, 12580, 12581, 12582, 12583,
   12584, 12585, 12586, 12587, 12588, 12589, 12590, 12591, 12592, 12593,
   12594, 12595, 12596, 12597, 12598, 12599, 12600, 12601, 12602, 12603,
   12604, 12605, 12606, 12607, 12608, 12609, 12610, 12611, 12612, 12613,
   12614, 12615, 12616, 12617, 12618, 12619, 12620, 12621, 12622, 12623,
   12624, 12625, 12626, 12627, 12628, 12629, 12630, 12631, 12632, 12633,
   12634, 12635, 12636, 12637, 12638, 12639, 12640, 12641, 12642, 12643,
   12644, 12645, 12646, 12647, 12648, 12649, 12650
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BARRIER",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLEAN", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COORDINATOR",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DIRECT", "DISABLE_P",
  "DISCARD", "DISTINCT", "DISTRIBUTE", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "HANDLER", "HASH", "HAVING", "HEADER_P", "HOLD",
  "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE",
  "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "MAPPING", "MATCH", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MODULO", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NODE", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PREFERRED", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "REPLICATION", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROBIN", "ROLE", "ROLLBACK",
  "ROUND", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SOME", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID",
  "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT",
  "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT",
  "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT",
  "XMLSERIALIZE", "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST",
  "WITH_TIME", "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'",
  "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding", "ColId_or_Sconst",
  "VariableResetStmt", "SetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "DistributeByHash", "OptDistributeBy",
  "OptSubCluster", "OptConsTableSpace", "ExistingIndex", "CreateAsStmt",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "BarrierStmt",
  "opt_barrier_id", "CreateNodeStmt", "pgxcnode_name", "pgxcgroup_name",
  "pgxcnode_list", "AlterNodeStmt", "DropNodeStmt", "CreateNodeGroupStmt",
  "DropNodeGroupStmt", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "ExecDirectStmt", "DirectStmt", "CleanConnStmt",
  "CleanConnDbName", "CleanConnUserName", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,    61,    60,    62,   677,    43,    45,    42,    47,
      37,    94,   678,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   441,   442,   443,   443,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   445,   446,   446,   447,   447,   448,
     448,   449,   449,   449,   449,   449,   449,   449,   449,   449,
     449,   450,   450,   450,   450,   450,   450,   451,   452,   453,
     453,   454,   455,   456,   457,   457,   458,   458,   459,   460,
     461,   461,   462,   462,   463,   463,   464,   464,   465,   465,
     466,   466,   466,   466,   466,   466,   467,   467,   467,   468,
     468,   468,   468,   468,   468,   468,   468,   468,   468,   468,
     468,   468,   468,   468,   469,   469,   470,   470,   471,   471,
     472,   472,   472,   472,   473,   473,   473,   473,   474,   474,
     474,   474,   474,   474,   474,   475,   475,   475,   476,   476,
     477,   477,   477,   477,   477,   478,   478,   479,   479,   479,
     479,   479,   480,   481,   481,   482,   482,   483,   484,   484,
     484,   484,   485,   485,   485,   485,   486,   486,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   488,
     488,   489,   489,   489,   490,   490,   491,   491,   492,   493,
     493,   494,   494,   495,   495,   495,   495,   496,   497,   497,
     498,   498,   498,   498,   499,   499,   500,   500,   501,   501,
     502,   502,   502,   503,   503,   504,   504,   505,   505,   505,
     505,   505,   505,   505,   505,   505,   505,   505,   505,   506,
     506,   507,   507,   508,   508,   509,   509,   510,   510,   511,
     512,   512,   512,   512,   512,   513,   513,   514,   515,   515,
     515,   515,   516,   516,   516,   516,   516,   516,   516,   516,
     517,   517,   518,   518,   519,   519,   520,   520,   521,   521,
     521,   522,   522,   523,   524,   525,   525,   526,   526,   526,
     526,   527,   527,   527,   527,   527,   527,   527,   528,   528,
     528,   528,   529,   530,   530,   530,   531,   531,   531,   531,
     531,   531,   532,   532,   533,   533,   533,   533,   533,   533,
     533,   534,   534,   535,   535,   536,   537,   537,   537,   537,
     538,   538,   539,   539,   540,   540,   541,   541,   541,   541,
     541,   542,   543,   544,   544,   544,   544,   544,   545,   545,
     546,   546,   546,   546,   547,   547,   547,   547,   548,   548,
     549,   549,   550,   550,   550,   550,   550,   551,   551,   551,
     552,   552,   553,   554,   555,   556,   556,   557,   557,   558,
     559,   559,   559,   560,   561,   562,   562,   563,   563,   564,
     564,   564,   564,   564,   564,   564,   564,   564,   564,   564,
     564,   565,   565,   566,   566,   566,   567,   567,   568,   568,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     574,   574,   575,   575,   576,   577,   577,   578,   578,   579,
     579,   580,   580,   581,   581,   581,   582,   583,   583,   584,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   586,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   593,   593,   594,
     595,   595,   596,   596,   596,   596,   597,   598,   599,   600,
     601,   601,   602,   602,   603,   603,   604,   604,   605,   605,
     605,   606,   606,   607,   607,   608,   608,   609,   610,   611,
     612,   612,   612,   613,   613,   614,   615,   615,   616,   616,
     616,   617,   617,   618,   618,   618,   618,   618,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   623,   623,   624,
     624,   624,   624,   625,   625,   626,   626,   627,   627,   627,
     627,   627,   628,   628,   629,   630,   631,   631,   631,   631,
     631,   631,   631,   631,   631,   631,   631,   631,   631,   632,
     633,   633,   634,   634,   635,   635,   635,   635,   635,   636,
     636,   637,   638,   638,   639,   640,   640,   641,   641,   642,
     642,   642,   643,   644,   644,   645,   645,   645,   645,   645,
     646,   646,   647,   647,   648,   648,   648,   649,   649,   650,
     651,   651,   652,   652,   653,   653,   654,   654,   655,   655,
     656,   657,   658,   658,   659,   659,   659,   659,   659,   659,
     659,   659,   659,   659,   659,   659,   659,   659,   659,   660,
     660,   661,   661,   662,   662,   663,   664,   664,   664,   665,
     665,   665,   665,   665,   665,   665,   665,   665,   665,   665,
     665,   665,   665,   665,   665,   665,   666,   666,   666,   666,
     666,   666,   666,   666,   666,   666,   666,   666,   666,   666,
     666,   666,   666,   667,   667,   668,   668,   668,   668,   668,
     669,   669,   670,   670,   670,   670,   670,   670,   670,   670,
     671,   671,   672,   672,   673,   673,   673,   673,   673,   673,
     673,   673,   673,   673,   673,   673,   673,   673,   673,   673,
     674,   674,   675,   675,   676,   677,   677,   678,   678,   678,
     678,   678,   679,   679,   680,   680,   680,   680,   681,   681,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   681,
     681,   681,   682,   682,   683,   683,   684,   684,   685,   685,
     686,   687,   688,   688,   689,   689,   690,   690,   691,   692,
     692,   693,   693,   693,   694,   694,   694,   695,   695,   695,
     696,   697,   697,   698,   698,   699,   699,   700,   700,   701,
     701,   702,   702,   702,   703,   703,   704,   704,   704,   705,
     705,   705,   706,   706,   706,   707,   707,   707,   708,   708,
     709,   709,   710,   710,   711,   711,   712,   712,   713,   713,
     713,   713,   713,   714,   714,   714,   714,   714,   715,   716,
     717,   717,   717,   718,   718,   718,   719,   719,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   721,   721,   721,   721,   722,   722,   723,   723,   724,
     725,   725,   726,   727,   727,   728,   728,   729,   729,   730,
     730,   731,   731,   732,   732,   732,   732,   733,   733,   734,
     735,   735,   736,   736,   737,   737,   737,   738,   738,   738,
     739,   740,   740,   741,   741,   741,   742,   742,   743,   743,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   745,
     745,   746,   746,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   749,
     750,   750,   750,   751,   751,   752,   752,   752,   752,   752,
     753,   753,   754,   754,   754,   754,   755,   755,   755,   756,
     756,   757,   758,   758,   759,   760,   760,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   762,   762,   762,   763,   763,   763,   763,   763,   764,
     764,   764,   765,   765,   766,   766,   767,   767,   767,   767,
     768,   769,   770,   770,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     772,   772,   773,   773,   774,   775,   775,   776,   777,   777,
     778,   779,   779,   779,   779,   779,   780,   780,   781,   782,
     782,   782,   782,   782,   782,   783,   784,   784,   784,   785,
     785,   786,   786,   786,   786,   786,   787,   787,   788,   788,
     788,   788,   789,   789,   790,   790,   791,   791,   792,   792,
     793,   793,   794,   794,   795,   796,   796,   797,   798,   799,
     800,   800,   801,   802,   803,   804,   805,   805,   805,   805,
     806,   806,   806,   806,   806,   806,   806,   807,   807,   808,
     809,   809,   809,   810,   810,   810,   811,   812,   813,   813,
     813,   814,   814,   814,   815,   815,   815,   816,   817,   817,
     818,   818,   818,   818,   819,   819,   820,   820,   821,   821,
     821,   821,   822,   823,   823,   823,   824,   824,   825,   826,
     826,   827,   828,   828,   829,   830,   830,   831,   831,   831,
     831,   831,   831,   831,   831,   832,   832,   833,   834,   834,
     835,   835,   836,   837,   838,   839,   839,   840,   841,   842,
     842,   842,   842,   842,   843,   843,   843,   844,   844,   845,
     845,   846,   846,   846,   846,   846,   846,   846,   846,   847,
     847,   848,   848,   848,   848,   848,   848,   849,   849,   850,
     850,   851,   852,   852,   853,   853,   854,   854,   854,   854,
     854,   854,   854,   854,   854,   855,   855,   856,   856,   856,
     857,   857,   857,   857,   858,   858,   859,   860,   860,   861,
     861,   862,   862,   862,   862,   863,   863,   864,   864,   864,
     865,   865,   866,   866,   867,   868,   868,   868,   869,   870,
     870,   871,   871,   872,   872,   873,   873,   874,   874,   875,
     875,   876,   876,   877,   877,   878,   878,   879,   879,   880,
     880,   881,   881,   882,   882,   882,   882,   882,   882,   882,
     882,   882,   882,   882,   883,   883,   883,   883,   883,   883,
     884,   884,   884,   884,   885,   885,   885,   885,   886,   886,
     887,   887,   888,   888,   888,   888,   889,   889,   890,   890,
     890,   891,   892,   892,   893,   893,   893,   894,   894,   895,
     895,   896,   897,   897,   897,   897,   897,   897,   898,   898,
     898,   899,   899,   899,   899,   899,   899,   899,   900,   900,
     900,   900,   901,   901,   902,   902,   903,   903,   903,   903,
     903,   903,   903,   903,   903,   903,   903,   904,   904,   905,
     905,   906,   906,   907,   908,   909,   909,   910,   910,   911,
     912,   913,   913,   913,   913,   913,   913,   914,   914,   915,
     915,   916,   916,   916,   916,   917,   918,   918,   918,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   920,   920,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   923,   923,   923,   923,
     923,   923,   923,   923,   923,   923,   923,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   925,   925,   926,   926,
     926,   926,   927,   928,   928,   929,   929,   930,   930,   931,
     931,   931,   932,   932,   932,   932,   933,   933,   934,   934,
     935,   936,   936,   936,   937,   938,   938,   939,   939,   940,
     940,   940,   941,   941,   942,   942,   942,   942,   942,   943,
     943,   943,   944,   944,   944,   945,   945,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   947,   947,   948,   948,
     949,   949,   949,   949,   949,   949,   950,   950,   951,   951,
     952,   952,   953,   953,   954,   954,   954,   955,   955,   956,
     956,   957,   957,   957,   957,   957,   957,   957,   957,   958,
     958,   959,   960,   960,   961,   961,   961,   961,   961,   961,
     962,   963,   964,   964,   964,   965,   965,   966,   967,   967,
     968,   969,   969,   970,   970,   971,   971,   972,   972,   972,
     972,   973,   973,   974,   974,   975,   975,   976,   976,   977,
     977,   978,   979,   979,   980,   980,   980,   980,   981,   981,
     982,   982,   983,   983,   984,   985,   986,   987,   988,   989,
     990,   990,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   992,   993,   994,   995,   995,
     995,   996,   996,   996,   997,   997,   997,   998,   998,   998,
     998,   998,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1001,
    1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,
    1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,
    1001,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     1,     0,     2,     0,     2,
       0,     2,     2,     3,     3,     1,     3,     3,     2,     1,
       1,     1,     2,     2,     2,     3,     3,     5,     5,     0,
       3,     5,     5,     4,     3,     5,     3,     5,     5,     6,
       1,     1,     3,     5,     6,     4,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     5,     2,     2,     2,
       2,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     3,     4,
       3,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     4,     4,     4,     4,     1,     3,     2,     3,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     8,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    13,    16,
      12,    15,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     3,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     4,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       2,     3,     4,     6,     3,     4,     0,     3,     3,     0,
       4,     0,     3,     7,     7,     3,     0,     1,     3,     1,
       2,     3,     0,     5,     4,     1,     0,     1,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     1,
       3,     1,     0,     1,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       5,     7,     1,     0,     6,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     5,     2,     0,     2,
       7,    10,     6,     6,     6,     6,     7,     7,     9,     9,
       6,     6,     8,     8,     8,     8,     6,     6,     7,     8,
       6,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     6,     8,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,     8,    11,     3,     2,     1,     3,     1,     5,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     6,     8,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     4,     5,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     1,     3,     3,     1,     0,     1,     3,     6,
       8,     8,    13,     1,     3,     5,     6,     4,     7,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       3,     1,     2,     2,     3,     5,     2,     2,     0,     6,
       7,     7,     7,     8,     8,     6,     8,     9,     9,     7,
      10,     7,     8,     8,     8,     8,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     4,     4,     3,     4,     4,
       1,     1,     1,     0,     7,     7,    10,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     3,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
      14,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     2,     0,     1,     2,     0,     1,
       1,     0,     1,     1,     0,     9,    12,     7,     2,     0,
       3,     2,     1,     3,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     2,     4,     5,
       1,     1,     1,     1,     3,     3,     2,     2,     2,     2,
       1,     2,     2,     1,     1,     1,     3,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       6,     6,     6,     6,     7,     8,     9,     8,     6,     6,
       6,     5,     5,     8,     8,     8,     8,     6,     9,     1,
       0,     2,     0,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     8,     8,     8,     8,     6,     6,     7,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     8,    10,     3,     4,     4,     0,
       2,     5,     2,     0,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     4,     3,     3,
       1,     0,     5,     6,     4,     2,     0,     4,     3,     5,
       6,     4,     6,     6,     5,     7,     1,     0,     6,    11,
      11,    11,    13,     9,    11,    10,     4,     2,     5,     2,
       0,     4,     5,     5,     4,     6,     1,     3,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     0,     1,     0,
       1,     0,     3,     0,     3,     1,     0,     4,     1,     1,
       3,     1,     4,     3,     6,     4,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     0,     5,     1,     7,     7,
       7,     3,     2,     0,     3,     2,     0,     5,     3,     0,
       1,     1,     1,     1,     3,     8,     3,     0,     2,     3,
       2,     3,     6,     1,     4,     2,     1,     3,     2,     2,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     8,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     0,
       3,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     1,     2,     4,     4,     4,     2,     3,     1,
       3,     6,     1,     0,     2,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     0,     3,     1,     3,     4,
       3,     2,     2,     1,     1,     1,     0,     2,     4,     5,
       2,     3,     1,     1,     1,     1,     3,     0,     1,     1,
       1,     1,     1,     3,     0,     2,     0,     1,     3,     1,
       0,     1,     2,     4,     4,     2,     0,     2,     3,     2,
       0,     1,     3,     1,     2,     1,     2,     5,     6,     5,
       1,     2,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     1,     4,     5,     6,
       8,     6,     7,     7,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1333,  1113,   523,  1195,  1194,  1113,   237,     0,     0,  1197,
       0,  1113,   340,   909,     0,     0,     0,     0,   523,  1113,
       0,  1333,     0,     0,     0,     0,  1346,     0,     0,     0,
       0,     0,     0,     0,     0,  1113,     0,     0,  1353,     0,
       0,     0,     0,  1346,     0,  1199,     0,     0,     0,     0,
       2,     4,    61,    62,    24,    23,    29,    28,    86,    87,
      49,    16,    75,    56,   120,   119,   121,    37,    32,    69,
      21,    22,    34,    38,    58,    39,    57,    20,    55,    81,
      59,    84,    44,    10,    11,    45,    73,    12,    46,    74,
      13,    47,    14,    63,    88,    27,    60,    85,    40,    71,
      67,     9,    52,    53,    54,    78,    79,    80,   103,    83,
     115,    36,   112,    93,    94,   109,    95,   110,     7,    96,
      48,    15,   106,   105,   107,    70,    41,    72,   104,   108,
      18,    19,   111,    82,   101,    98,   116,   114,   122,    99,
      64,     5,     6,    89,    43,     8,    26,    25,    42,    35,
     118,    30,  1197,    31,    51,    17,    77,    50,    76,    92,
      91,    33,   102,    90,    65,    97,    68,   100,   117,    66,
     113,  1320,  1307,  1355,  1319,  1332,     0,  1322,  1112,  1111,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   522,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,     0,
    1851,  1862,  1863,  1864,  1865,  1866,  1867,  1868,  1869,   315,
    1870,  1871,  1872,  1873,  1874,  1875,  1876,  1877,  1878,  1879,
    1880,  2122,  2123,  2124,  2125,  1881,  1882,  1883,  1884,  1885,
    1886,  1887,  2126,  2127,  1888,  1889,  1890,  1891,  1892,  1893,
    2128,  1894,  1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,
    1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,
    1913,  1914,  1915,  2129,  2130,  1916,  1917,  1918,  1919,  1920,
    1921,  1922,  1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,
    1931,  1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1941,  2131,  1942,  1943,  1944,  2132,  1945,  1946,  2133,  1947,
    1948,  1949,  1950,  1951,  1952,  1953,  2134,  1954,  1955,  1956,
    1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,  1966,
    1967,  1968,  1969,  1970,  2135,  1971,  1972,  1973,  1974,  2136,
    2137,  2138,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,
    1983,  2139,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,
    1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2140,
    2141,  2001,  2002,  2003,  2142,  2004,  2005,  2006,  2143,  2007,
    2144,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2145,  2146,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2147,  2023,
    2148,  2024,  2027,  2025,  2026,  2028,  2029,  2030,  2031,  2032,
    2033,  2034,  2149,  2035,  2036,  2037,  2038,  2039,  2040,  2041,
    2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,
    2052,  2053,  2054,  2055,  2150,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2151,
    2070,  2071,  2072,  2152,  2073,  2074,  2075,  2076,  2077,  2078,
    2079,  2080,  2081,  2082,  2153,  2083,  2084,  2085,  2086,  2087,
    2088,  2089,  2090,  2154,  2155,  2091,  2156,  2092,  2157,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2158,  2159,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2119,  2120,  2121,   314,
    1298,  1824,  1852,  1853,  1196,  1177,   523,     0,  1100,   339,
       0,     0,     0,     0,  1206,     0,     0,     0,     0,   700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     167,     0,     0,   363,   362,     0,     0,     0,   881,   368,
       0,     0,     0,     0,   511,  1260,  2025,  1258,  1299,   238,
     241,   239,   240,  1846,     0,   979,   980,   982,     0,     0,
     992,   731,   732,     0,   730,   734,     0,     0,     0,   727,
       0,     0,     0,     0,     0,   733,   725,     0,   724,     0,
       0,     0,   729,     0,   726,     0,     0,  1101,  1924,  1257,
     369,     0,  1333,     0,  1225,  1197,  1216,  1226,  1221,  1223,
    1222,  1224,  1220,  1845,  1863,   823,   823,   823,   823,   820,
     821,   823,   823,   823,  2040,     0,     0,   802,     0,   804,
    1848,   823,   828,   422,   422,   422,     0,   827,   832,   422,
    1094,  1130,  1829,  1345,     0,   803,  1093,  2091,  1249,     0,
       0,   996,     0,   997,     0,  2058,  1105,   224,  2068,  2154,
    2091,   220,   194,  1867,     0,     0,   827,     0,  1102,  1103,
     791,  1352,  1350,     0,  1886,  1901,  1987,   217,  2053,  2059,
    2068,  2154,  2091,  2118,   176,     0,   231,  2068,  2154,  2091,
     227,  1123,     0,  1323,  1432,  1820,     0,  1096,  1095,  1198,
       0,  1201,     0,  1397,  2037,  1327,  1329,  1203,  1320,     0,
       0,     1,  1333,  1192,  1349,  1349,     0,  1349,     0,  1312,
    1320,  1315,  1319,     0,     0,     0,     0,  1851,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
       0,     0,  1830,  1852,  1856,     0,   741,     0,   126,  1825,
     870,     0,     0,     0,  1824,     0,     0,     0,     0,     0,
    1847,     0,     0,   453,  1208,  1725,  1890,  1945,  1735,  1733,
    1734,  1727,  1728,  1729,  1730,  1731,  1732,     0,   977,  1726,
       0,   126,     0,     0,     0,     0,     0,     0,     0,     0,
    1990,   126,     0,     0,  1117,     0,     0,     0,  1119,  1122,
    1098,     0,  1180,     0,  1820,     0,     0,   775,   766,     0,
     776,   767,   772,   778,     0,     0,   769,     0,     0,   779,
       0,   768,   770,   781,   771,   777,     0,     0,   773,   774,
       0,     0,  1109,   422,     0,     0,     0,  1204,  1205,     0,
       0,     0,   126,  1167,  1960,   126,     0,     0,   367,   366,
     126,   365,   364,     0,   453,  1890,  1945,     0,   908,   126,
       0,   169,   591,   526,     0,     0,   660,  1990,   126,     0,
       0,     0,     0,   884,     0,     0,   510,   523,  1261,  1259,
       0,   983,   219,   218,   981,  1960,     0,   293,     0,     0,
    1960,  1158,     0,   728,  1960,     0,  1960,   162,  1822,     0,
    1213,  1890,  1945,  1960,     0,     0,  1960,   154,  1960,     0,
    1960,   293,  1960,   527,     0,  1960,     0,  1960,  1990,   156,
       0,  1960,   293,   739,     0,     0,  1254,     0,  1218,  2158,
    1232,  1231,     0,  1227,  1235,  1230,  1333,   823,   822,     0,
     823,     0,   823,     0,   823,     0,   823,     0,     0,     0,
     823,  1849,  1850,   805,     0,   829,     0,     0,   836,   835,
     834,     0,     0,     0,   837,  1436,  1276,     0,  1091,  1108,
       0,     0,     0,   999,   999,   999,  1104,   223,   221,     0,
       0,     0,     0,     0,     0,  1110,     0,     0,     0,     0,
    1833,  1835,  1836,  1736,  1803,     0,  2123,  2124,  2125,  1794,
       0,  2126,  2127,  2128,  1648,  1635,  1644,  1649,  1636,  1638,
    1645,  2129,  2130,  1930,  2131,  2132,  1843,  2133,  2134,  2136,
    2137,  2138,  2139,  1640,  1642,  2140,  2141,     0,  1844,  2143,
    2144,  2012,  2146,  2147,  2149,  2150,  1646,  2152,  2153,  2154,
    2155,  2156,  2157,  1842,     0,  1647,  2159,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,     0,     0,  1817,     0,  1622,
       0,  1468,  1469,  1491,  1492,  1470,  1497,  1498,  1510,  1471,
       0,  1816,  1535,  1621,  1626,     0,  1620,  1616,  1335,  1812,
       0,  1617,  1832,  1834,  1795,   187,   233,     0,   234,  1818,
    2068,   177,   216,   189,   215,   190,   188,     0,  1888,   178,
       0,   185,     0,     0,     0,     0,   230,   228,     0,  1099,
       0,  1434,  1433,     0,     0,  1801,  1821,   748,  1190,  1191,
    1189,     0,  1186,  1188,  1200,  1197,  1808,  1807,  1809,     0,
    1328,     0,     0,     0,  1310,  1309,     3,  1203,  1347,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1390,  1363,
    1364,  1366,  1387,  1391,     0,  1316,     0,     0,  1438,     0,
    1398,     0,     0,  1831,     0,     0,     0,     0,   742,     0,
       0,     0,     0,     0,     0,   125,  1156,   226,  1154,     0,
       0,     0,     0,     0,  1161,     0,   160,   161,   538,   523,
       0,     0,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,   942,   940,   943,   950,   963,   966,     0,   860,
       0,     0,     0,  1030,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   243,   246,
     288,   503,     0,     0,   505,     0,     0,  1212,     0,     0,
       0,     0,     0,     0,     0,   130,     0,     0,     0,     0,
     490,   502,     0,     0,     0,     0,     0,   499,     0,   126,
     244,   484,   487,     0,     0,   600,   599,  1030,     0,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   307,   308,     0,     0,     0,
     130,   153,     0,     0,   245,     0,     0,  1118,  1115,  1116,
       0,  1121,   999,     0,     0,     0,  1176,     0,     0,     0,
       0,     0,   780,     0,     0,  1890,  1945,     0,     0,     0,
       0,     0,     0,   342,   321,   322,   126,   320,     0,     0,
     657,     0,  1854,  1479,  1508,  1486,  1508,  1508,  1475,  1475,
    1488,  1476,  1477,  1515,     0,  1508,  1475,  1480,     0,  1478,
    1518,  1518,  1503,     0,  1460,  1461,  1462,  1463,  1489,  1490,
    1464,  1495,  1496,  1465,  1532,  1475,  1855,     0,     0,   667,
       0,  1133,  1166,     0,     0,   532,     0,  1960,     0,   128,
       0,  1209,  1207,   701,     0,   658,     0,   128,     0,   165,
       0,   595,     0,     0,     0,     0,     0,     0,   619,   618,
       0,     0,     0,   659,     0,   128,   486,  1960,     0,   476,
     422,     0,   883,   886,     0,     0,     0,  1302,  1304,  1303,
       0,  1301,     0,   293,   291,   292,   655,   991,     0,     0,
       0,     0,   293,     0,     0,  1215,  1960,     0,  1960,     0,
       0,   293,   293,     0,     0,     0,     0,   596,     0,   738,
     736,   735,   737,     0,     0,     0,     0,     0,  1960,   293,
       0,     0,   723,  1211,     0,  1746,     0,     0,  1333,     0,
     205,   206,   204,  1233,   207,  1234,  1229,  1217,     0,   813,
       0,   817,     0,   808,     0,   814,     0,   809,   806,   807,
       0,   812,     0,     0,   423,   425,     0,     0,  1913,     0,
    1950,  1979,  1980,  2059,  2064,     0,  2086,     0,   838,   865,
     833,     0,     0,  1286,  1092,  1752,     0,  1333,     0,   998,
     995,   994,   993,   222,   195,     0,     0,     0,   867,  2058,
    1107,   790,   523,     0,  1618,     0,  1624,  1625,  1507,  1494,
    1793,     0,     0,  1502,  1501,     0,     0,     0,     0,  1484,
    1483,  1482,  1623,  1760,     0,  1481,     0,     0,     0,     0,
    1508,  1508,  1506,  1555,     0,  1485,     0,     0,  1773,     0,
    1779,     0,     0,     0,  1514,     0,  1512,     0,     0,  1591,
       0,     0,     0,     0,     0,     0,     0,     0,  1539,  1540,
    1622,  1746,     0,  1839,     0,     0,  1500,     0,  1532,  1815,
    1736,     0,     0,     0,     0,  1806,     0,  1744,     0,     0,
    1569,  1742,     0,  1571,     0,     0,     0,  1735,  1733,  1734,
    1727,  1728,  1729,  1730,  1731,  1732,  1740,  1552,     0,     0,
    1551,     0,     0,  1400,     0,  1837,  1796,   235,   236,   232,
       0,     0,   192,   191,     0,   209,   213,   214,   184,   212,
       0,   208,  1688,  1687,   193,   183,   181,   179,   196,   198,
     199,   182,   180,   229,     0,     0,  1857,  2191,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,
    2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2265,  2266,  1798,  1797,  1827,  1858,  1859,  1860,  1861,
    1802,     0,     0,   293,  1184,     0,  1181,  1811,     0,  1330,
       0,     0,  1193,  1326,  1325,  1356,  1357,   901,  1324,  1381,
    1382,  1377,     0,  1396,  1396,  1373,  1367,  1372,  1370,     0,
    1374,  1535,  1389,  1314,  1361,  1362,  1365,  1313,     0,  1392,
    1390,  1366,  1273,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,  2086,   225,  1152,     0,     0,     0,     0,   869,
     868,     0,     0,   888,     0,     0,     0,  1164,   413,     0,
     290,     0,     0,     0,     0,     0,     0,   536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   570,  1030,     0,   608,     0,   948,
       0,     0,     0,     0,   949,   946,   947,  2059,   965,   964,
     962,   923,   925,   924,     0,   927,   911,     0,   912,     0,
       0,   922,   930,   928,     0,     0,     0,  1938,   248,   260,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   280,     0,   283,   282,     0,     0,     0,     0,
     287,     0,     0,     0,   286,     0,     0,   504,     0,   451,
     450,   452,     0,     0,     0,     0,     0,     0,   978,     0,
       0,   148,   151,     0,     0,   489,   501,     0,   493,   494,
     491,   495,   496,     0,     0,     0,     0,     0,     0,   488,
       0,   593,   592,   598,     0,     0,     0,     0,     0,  1022,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   610,   611,     0,   612,     0,
     152,     0,     0,     0,     0,     0,     0,   203,  1114,  1120,
    1243,  1243,  1243,  1179,  1828,  1178,     0,     0,     0,   782,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   326,  1854,     0,   682,
     656,     0,  1460,     0,  1456,  1452,  1521,  1522,  1523,  1520,
    1533,  1519,     0,  1466,  1524,  1475,  1472,   668,     0,   670,
     673,     0,  1131,   386,     0,   529,   570,     0,     0,     0,
     158,     0,     0,     0,     0,   124,   169,   369,     0,   168,
     170,   172,   173,   174,   171,   175,   590,   594,     0,   525,
       0,     0,     0,     0,     0,   620,   624,   623,   627,   625,
       0,   621,     0,  1448,     0,   147,   483,   485,     0,     0,
       0,   371,   453,     0,     0,     0,   885,     0,     0,     0,
       0,     0,     0,     0,  1300,     0,   969,     0,  1159,  1960,
     293,     0,   967,   163,  1823,     0,     0,     0,     0,     0,
     971,   720,   155,     0,   293,   293,   528,     0,   293,   157,
       0,     0,     0,   520,   293,   740,     0,  1236,  1237,  1256,
       0,   476,  1219,  1228,   810,   819,   818,   816,   815,   811,
       0,   830,     0,   421,     0,     0,     0,   844,     0,     0,
     843,   858,   845,     0,   847,   840,   839,   848,     0,     0,
     867,     0,  1283,     0,  1281,     0,  1437,  1285,  1274,  1248,
       0,  1247,  1251,  1253,  1252,  1250,     0,     0,     0,   827,
       0,     0,   293,  1106,     0,   792,   797,     0,     0,     0,
     794,   795,   796,   798,   799,     0,     0,     0,  1804,  1756,
       0,  1757,     0,     0,     0,  1792,  1788,     0,     0,     0,
       0,     0,  1761,  1764,  1765,  1766,  1763,  1767,  1762,     0,
       0,  1768,     0,     0,     0,     0,     0,  1505,  1504,     0,
       0,     0,     0,     0,     0,     0,  1594,  1626,     0,     0,
    1720,     0,  1746,  1778,     0,     0,  1516,     0,     0,     0,
       0,     0,     0,     0,  1746,  1784,     0,     0,     0,     0,
    1686,     0,  1683,     0,     0,     0,     0,  1803,     0,     0,
       0,     0,  1840,  1536,  1553,  1814,     0,  1805,     0,     0,
    1537,  1560,     0,  1785,  1587,     0,  1592,  1575,     0,  1568,
       0,  1573,  1577,  1556,  1806,  1745,     0,  1743,     0,     0,
    1554,     0,  1549,  1547,  1548,  1541,  1542,  1543,  1544,  1545,
    1546,  1550,  1724,  1722,  1723,     0,     0,     0,  1572,  1952,
    1987,     0,  1346,  1346,  1346,  1334,  1344,  1813,     0,  1443,
       0,     0,     0,     0,  1703,     0,  1750,     0,  1748,  1830,
    1819,     0,     0,  1532,     0,  1435,  1799,     0,   746,   747,
     745,  1203,  1187,  1183,  1182,  1810,  1202,  1333,     0,   899,
     900,     0,   904,     0,     0,  1375,  1388,     0,  1286,  1286,
       0,  1379,  1380,  1371,  1318,  1317,     0,  1446,     0,     0,
    1270,  1263,  1440,     0,  1400,  1288,  1290,  1291,     0,  1803,
     680,   679,     0,     0,     0,  1052,  1001,  1034,   744,  1053,
    1002,  1035,  1054,  1003,  1153,     0,  1155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   293,  1162,  1055,   289,  1163,  1036,  1037,     0,
     537,     0,     0,   542,   543,   544,     0,     0,   545,  1890,
    1945,     0,   550,   556,   560,   551,     0,   561,   557,     0,
       0,     0,     0,     0,   567,   574,     0,     0,     0,     0,
       0,   944,   945,  1056,  1004,     0,  1038,   926,  1475,   910,
       0,     0,   921,     0,   920,  1475,  1475,  1005,   159,   249,
     386,  1032,   266,   279,   274,   275,   273,  1960,   293,  1960,
     293,     0,     0,     0,     0,   276,   271,   272,   268,   281,
    1866,  1931,  2069,     0,   580,   582,     0,   587,   284,  1013,
       0,   301,   304,   285,   264,   267,   265,   261,   247,     0,
       0,  1826,     0,     0,   973,     0,     0,     0,   150,  1018,
     140,     0,     0,   135,     0,   139,     0,     0,     0,   129,
    1062,  1009,   492,   497,  1011,   500,  1047,   498,  1068,  1010,
       0,  1042,  1064,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1168,     0,     0,     0,     0,     0,   293,
       0,   689,  1032,  1960,   293,  1063,     0,  1027,  1050,     0,
     309,     0,  1019,  1012,  1048,     0,     0,   201,   200,   202,
       0,  1246,  1246,  1246,     0,     0,     0,     0,     0,     0,
       0,     0,   784,   755,   783,     0,     0,     0,     0,     0,
       0,     0,   749,   341,   318,   319,     0,     0,   317,   323,
       0,   681,     0,     0,  1457,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1473,   669,     0,     0,     0,
       0,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1132,  1160,
     126,     0,     0,     0,   531,   569,   576,     0,   604,   607,
       0,   605,     0,     0,     0,     0,     0,   141,   127,  1214,
       0,   709,   422,   164,     0,     0,     0,   524,   666,   664,
     663,   665,     0,     0,     0,   686,     0,  1447,  1449,     0,
       0,     0,   482,   373,     0,     0,   370,   374,   378,   379,
     380,     0,   477,   479,   457,     0,     0,     0,   915,     0,
     933,   916,     0,     0,     0,   953,   958,   954,   936,     0,
     508,  1305,  1306,     0,   293,     0,     0,   571,   293,     0,
     293,     0,   293,   293,     0,  1089,   597,     0,   652,     0,
       0,   293,   722,  1210,  1747,     0,   831,   424,     0,     0,
       0,     0,   842,     0,   506,   846,     0,   857,   852,   854,
       0,   861,  1284,  1277,  1279,  1278,     0,     0,  1275,  1753,
     721,     0,     0,   293,     0,   862,     0,   793,     0,     0,
       0,     0,  1351,  1754,  1755,     0,     0,     0,     0,  1789,
       0,     0,  1661,  1637,  1639,  1474,  1651,     0,  1487,  1662,
    1663,  1641,  1643,     0,  1737,     0,     0,  1652,  1596,  1597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1609,  1608,  1653,  1719,     0,     0,  1776,
    1777,  1654,  1517,  1518,  1518,     0,     0,  1783,     0,     0,
       0,  1659,  1664,     0,     0,     0,     0,  1670,     0,  1691,
       0,     0,     0,  1619,  1747,  1509,  1510,     0,     0,     0,
       0,     0,     0,     0,     0,  1593,  1576,  1570,     0,  1574,
    1578,     0,     0,     0,     0,  1562,  1588,  1558,     0,     0,
    1564,     0,  1589,  1346,  1346,  1346,  1346,  1343,     0,     0,
       0,     0,  1410,  1399,  1401,  1412,  1403,  1405,  1441,     0,
    1820,     0,  1384,  1355,  1355,     0,  1703,     0,  1627,     0,
    1703,     0,     0,   186,     0,   210,   197,     0,  1185,     0,
    1358,     0,  1738,   904,   902,   903,  1360,     0,     0,  1395,
    1394,  1393,  1368,  1272,     0,  1270,  1265,     0,  1266,  1803,
       0,  1262,  1295,     0,     0,  1446,     0,  1294,  1051,  1000,
    1033,  1151,   872,   873,     0,   871,     0,     0,     0,   412,
     887,     0,     0,     0,   645,     0,     0,   416,  1165,   539,
     540,     0,     0,   558,     0,     0,   547,     0,     0,     0,
       0,   546,   563,   512,   564,   566,     0,   565,   568,   573,
    1014,     0,  1049,   938,     0,  1475,   913,   918,   919,     0,
     383,     0,     0,     0,   250,     0,     0,   263,     0,   258,
     277,   269,   278,   270,   584,   585,   583,   579,     0,   586,
     588,   298,     0,     0,     0,  1058,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,  1039,     0,
       0,   132,   131,     0,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   310,   295,     0,     0,     0,     0,     0,   312,     0,
       0,  1057,  1006,  1913,  1242,     0,  1240,  1238,  1239,   750,
       0,     0,   751,   759,     0,     0,   752,     0,     0,     0,
       0,     0,     0,   761,   344,     0,   347,   354,   327,   331,
    1167,     0,  1167,     0,   332,  1167,   328,  1167,   325,  2012,
    1727,  1728,   677,   684,   674,   676,   678,   675,     0,   683,
     645,     0,     0,     0,  1458,     0,  1526,  1527,  1528,  1529,
    1530,  1531,     0,  1525,  1532,   671,   672,     0,  1151,  1150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   398,     0,     0,   392,     0,     0,   958,   385,   388,
     389,   532,   535,   533,   534,     0,   562,     0,   603,     0,
     576,   143,     0,     0,   144,   142,     0,     0,   369,     0,
       0,   626,   629,   622,     0,   685,   687,   661,     0,   576,
       0,  1257,     0,   473,     0,   453,   405,   449,     0,   475,
       0,     0,   459,  1129,     0,   888,   914,     0,     0,     0,
     951,   955,   952,     0,     0,   929,     0,   937,   907,  1084,
    1085,  1082,  1083,     0,     0,  1297,   970,     0,   293,   968,
       0,   716,     0,   718,   972,   293,   293,   613,     0,   521,
     479,     0,     0,     0,   841,   859,     0,   855,     0,     0,
     824,   864,  1282,  1280,   867,     0,   825,   866,     0,     0,
       0,     0,     0,  1758,  1493,     0,  1791,  1787,     0,  1759,
       0,  1771,  1770,  1595,  1772,     0,  1614,     0,     0,  1606,
    1604,  1605,  1598,  1599,  1600,  1601,  1602,  1603,  1607,  1781,
    1780,  1774,  1775,  1513,  1511,     0,  1656,  1657,  1658,  1782,
    1665,     0,  1881,  1692,  1669,  1685,  1684,     0,     0,     0,
    1672,     0,     0,  1681,     0,  1721,  1499,  1532,  1538,     0,
       0,  1561,  1786,  1579,     0,     0,     0,  1557,     0,     0,
       0,     0,  1566,  1737,     0,     0,     0,     0,     0,     0,
    1337,  1336,  1342,  1320,     0,  1412,     0,  1411,  1423,     0,
       0,  1429,  1427,     0,  1429,     0,  1429,     0,  1404,     0,
    1406,  1423,     0,  1821,  1442,     0,  1386,     0,     0,  1354,
       0,  1703,  1634,  1706,  1701,  1702,  1751,  1628,  1838,     0,
    1749,  1703,     0,  1800,  1331,     0,  1359,  1376,  1369,  1909,
    1444,  1271,     0,     0,  1268,  1269,     0,     0,  1289,  1270,
    1292,     0,   878,   879,   877,     0,     0,     0,   645,     0,
       0,   430,     0,   895,   895,     0,     0,   418,   472,   958,
     648,     0,     0,   646,     0,   559,     0,     0,   555,   553,
     552,   554,   513,  1067,     0,   939,     0,   931,     0,   255,
    1031,     0,     0,     0,   254,     0,   293,   293,   581,   302,
     303,   306,     0,     0,     0,     0,     0,     0,   710,   693,
       0,     0,   711,   712,     0,     0,     0,   975,   976,   974,
     136,   133,   134,   137,  1015,     0,     0,     0,     0,     0,
    1066,  1026,  1046,  1065,  1024,  1044,  1023,  1043,  1025,  1045,
    1017,     0,  1451,   691,   690,     0,   293,   293,   615,  1241,
       0,  1245,     0,   753,     0,     0,   754,   765,   763,   762,
     764,   756,   345,   126,     0,   324,     0,   352,     0,   350,
     349,   351,     0,   338,     0,     0,     0,     0,     0,   654,
       0,     0,     0,  1454,  1459,  1534,  1467,   644,     0,  1142,
    1141,  1140,  1144,  1143,  1146,  1145,  1137,  1136,  1149,  1148,
    1135,  1134,  1139,  1138,     0,   390,     0,   396,   400,   401,
     399,   391,   958,   422,   471,   530,     0,     0,   606,   601,
     146,   145,     0,     0,     0,     0,   631,   635,   662,     0,
    1450,   609,     0,   371,  1255,   480,     0,     0,   376,   381,
     382,     0,   457,   402,     0,   453,   375,   478,     0,     0,
     466,     0,  1124,     0,     0,   917,   934,   935,     0,     0,
     958,   957,     0,   515,   293,   572,   293,   293,  1090,   653,
       0,   851,   850,   849,   507,     0,   853,   293,     0,     0,
       0,     0,     0,   801,   785,   800,  1790,  1650,  1660,  1769,
       0,     0,  1615,     0,     0,  1655,  2160,     0,     0,     0,
       0,  1689,  1690,  1671,     0,  2002,  1676,     0,     0,     0,
    1841,  1585,  1583,  1580,     0,  1581,     0,     0,  1563,  1559,
       0,  1565,  1590,  1341,  1340,  1339,  1338,  1414,  1421,     0,
    1402,     0,  1428,  1424,     0,  1425,     0,     0,  1426,     0,
       0,  1421,     0,     0,     0,     0,  1697,  1703,  1703,  1629,
    1708,  1705,     0,  1631,  1532,     0,     0,  1264,  1267,     0,
    1296,  1287,  1157,     0,     0,     0,   414,     0,   958,     0,
       0,     0,   898,   898,     0,   958,   471,   650,   649,   647,
     651,     0,   548,   549,  1016,   932,   251,   252,   253,   256,
     295,   262,   257,     0,  1060,  1007,  1040,     0,     0,   699,
       0,     0,     0,     0,  1061,  1008,  1041,     0,     0,     0,
    1173,     0,   294,   295,   311,  1028,  1244,     0,   757,   758,
     326,     0,   348,   357,     0,   355,   329,   334,     0,   336,
     335,   330,   333,  1455,     0,   989,   989,     0,   645,  1147,
       0,     0,   387,   471,   429,     0,   393,     0,   577,     0,
       0,  1129,   371,   576,   630,     0,     0,     0,   688,   373,
       0,   481,   372,     0,     0,   459,     0,     0,     0,   457,
       0,   454,     0,   458,     0,     0,   469,     0,     0,     0,
       0,     0,   956,     0,   960,     0,   928,   905,  1443,     0,
     519,   990,   717,   719,   614,   856,   863,   293,   786,   787,
     788,   789,  1610,     0,     0,     0,     0,  1666,     0,  1667,
    1694,  1693,  1673,  1677,     0,  1674,  1675,  1582,  1586,  1584,
    1567,  1413,     0,     0,  1415,     0,     0,  1417,  1419,     0,
       0,     0,     0,     0,  1824,  1703,  1383,  1385,     0,  1321,
    1632,  1633,     0,  1355,  1703,   211,  1739,  1445,  1293,   857,
       0,   293,   895,   471,   431,  2012,   432,   894,     0,   896,
     901,   901,     0,   471,   645,   541,   297,   305,     0,     0,
     706,   694,     0,     0,   713,     0,     0,     0,     0,     0,
     293,   760,   316,   343,   353,     0,   337,   989,     0,   986,
     985,   643,     0,   395,   394,     0,   440,     0,   575,     0,
     576,   703,  1125,   589,   632,   633,   628,     0,     0,   453,
     449,   377,   386,   466,   411,   410,   407,   406,   408,   409,
     404,   403,     0,   459,   455,   456,   460,     0,     0,   474,
       0,  1126,     0,  1175,     0,   889,   959,     0,     0,     0,
     514,     0,     0,   518,   509,   826,  1611,     0,  1612,     0,
       0,     0,  1679,  1678,     0,  1422,  1431,     0,  1418,  1416,
    1407,     0,  1409,  1696,  1698,     0,     0,  1711,  1630,   874,
       0,   875,   898,   435,     0,   897,   904,   904,   422,   645,
     415,     0,   259,     0,   697,     0,   708,   706,     0,     0,
    1169,     0,  1170,  1171,  1174,   313,   356,   984,   988,   987,
       0,   426,   427,   428,     0,   397,   436,   437,     0,   578,
     602,     0,     0,     0,     0,   457,   453,   384,   469,   448,
     466,   461,     0,   464,     0,     0,     0,     0,  1127,  1128,
     300,     0,   958,   961,  1088,   517,   516,  1613,  1682,  1668,
    1695,  1680,  1420,     0,  1408,     0,     0,  1707,     0,     0,
       0,     0,   901,     0,   645,     0,   892,   891,   429,   417,
     296,     0,     0,   704,   707,   695,   708,   715,   714,     0,
       0,     0,     0,     0,   438,     0,   439,   470,   702,     0,
     634,     0,   459,   457,   360,   469,     0,   465,   462,   468,
     467,     0,   459,   890,   906,  1087,  1086,  1333,  1430,  1699,
    1700,  2122,  1909,  2096,     0,  1709,  1712,  1710,  1704,   293,
     904,     0,   419,   433,   440,     0,     0,   696,  1172,   635,
     445,     0,   444,     0,   442,   441,   692,   638,   466,   459,
     358,     0,   299,  1443,  1070,  1333,  1069,  1071,  1079,  1076,
    1078,  1077,  1075,     0,  1716,  1715,  1714,  1718,  1717,   876,
     893,     0,   645,   698,   705,     0,   443,   447,   446,   640,
       0,   636,   639,   641,   642,   469,   466,   463,   880,     0,
    1080,  1074,  1320,  1307,     0,   434,   420,     0,   616,     0,
     361,   469,  1072,  1333,  1713,     0,   637,   359,  1073,     0,
     638,     0,   617
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1196,  2070,  1951,  2697,  2698,
      53,    54,  1266,    55,    56,    57,    58,    59,    60,    61,
    1209,    62,    63,   880,  1409,  2079,    64,  1833,   695,  1677,
    1678,  2008,  1679,  1668,  1113,  1494,  1197,  1225,    66,    67,
    1107,  1659,    68,    69,    70,  1248,  1249,  1204,  1446,  3522,
    4062,  1934,  4172,  2540,  2541,    71,  1305,  1306,    72,    73,
    2646,  1346,  2648,  2649,  3138,   530,  2035,  3543,  3544,  3125,
    3126,  3550,  3804,  3805,    74,  1406,  2725,  3225,  2726,  3617,
    2727,  3618,  2728,  3619,  2679,  3188,  3189,  3190,  2729,  3623,
    4000,  2730,  1848,   978,  1513,  1514,  3976,  3440,  3441,  4134,
    4085,  4086,  4087,  4204,  3625,  1257,  3232,  3630,  3855,  3856,
    4009,  3826,  2451,   614,  1428,  2112,  2731,  2732,  3223,    76,
      77,  2106,  1281,  1282,  1957,  3142,  2785,    78,   897,  3012,
    3870,  4023,  4024,    79,   207,    80,  1413,    81,    82,  2065,
    2684,    83,  1857,  2460,    84,    85,  2484,  2485,  2486,    86,
      87,  3196,  3827,  1250,  2533,  2534,  2535,  2536,  3049,    88,
    1411,  1286,  2088,    89,    90,    91,  2069,  2690,  2691,    92,
      93,  1997,    94,    95,    96,  1421,  2100,  2101,  3607,  3835,
    3986,  3837,  4240,  4241,  3818,  2997,  3453,    97,    98,    99,
     100,  1389,  2058,  2059,  3143,  1182,  1350,  2038,  2039,  3214,
    3215,   101,   102,  3488,  3489,   562,  4092,  4066,  4145,   103,
     104,  3492,  3493,   105,   106,   107,   108,   109,   606,   942,
     943,  1188,   110,  1773,   111,   851,  2633,   112,  1008,  2226,
    3664,   113,   637,   958,   959,   114,   115,   646,  2209,   648,
    1527,  2787,  2788,  3280,  2180,   777,   116,   117,  2190,  2212,
     118,  1199,  1839,  1840,  3435,   119,   563,  1433,  2115,  2446,
    4014,  3442,  3752,  3940,  2392,  2956,   120,   564,  1229,  1897,
    2118,  2739,  2740,  1899,  2365,  3244,  1901,  2741,  2746,  2747,
    2748,  3240,  3248,  3864,  3865,   121,  1227,  1890,   122,   123,
     124,  1261,   797,   125,   575,   576,   126,  3969,   127,   909,
     128,   664,  1540,   129,  1912,  3035,   130,   131,   132,  4216,
    4249,  4250,  4251,  3253,  4177,   133,  4218,   988,   135,   136,
     137,   180,   818,   819,   820,   138,  3632,   139,   140,  2062,
    2678,  3170,   141,   142,  1834,  2436,   143,   144,   145,  1393,
     146,   147,   148,   149,  1326,   150,  1141,  1142,   151,   152,
     525,   711,  1145,  1153,   153,   857,   154,  1483,  1400,  1484,
     155,   156,   157,   158,   159,   616,   952,   953,   954,  1496,
     160,  2157,   161,  2621,  3106,   162,   991,  2201,   617,   946,
     164,   618,  2410,  2967,  2968,  2971,   619,  2407,   167,  1533,
    2195,  2198,   620,  2414,  2415,  2416,  2417,  2418,  2973,   621,
     639,   900,  2123,   622,  1079,   172,   173,   174,   720,   715,
     716,   176,  1653,  2355,   654,  1160,   683,   728,  3399,  1785,
    1786,  1806,  1807,  1169,  1170,  1796,  1798,  2394,  1799,  2403,
    1791,  3396,  3726,  1802,  1803,  1172,  1173,  2398,   177,  2359,
    2923,  2924,  2925,  3377,  3387,  3713,  3907,  2926,   986,  1179,
    2927,  2932,  2965,  2716,  2717,  2718,  1902,  2045,  1374,  1080,
    1375,  2056,  1081,  1575,  1377,  1082,  1083,  1084,  1380,  1085,
    1086,  1087,  1088,  1559,  1616,  1089,  1090,  1594,  2053,  2054,
    1485,  2265,  1092,  1093,  3343,  3688,  3677,  2291,  2292,  1674,
    3339,  2875,  3919,  4043,  4044,  3407,  3404,  3730,  3923,  4130,
    4185,  4186,  1094,  2345,  1646,   799,  1095,  3145,  1648,  2285,
    2367,  2368,  1818,  1557,  2232,  2249,  2250,  2262,  2836,  2269,
    2274,  2859,  2860,  2286,  2314,  1096,  2235,  2236,  2820,  1561,
    1097,  1135,  1136,  1554,  2309,  1148,  1149,   713,  1098,  1099,
    1528,   704,  3903,   918,   768,  2550,  1764,   823,   651,  1100,
    1101,  1102,  1103,  2789,  1254,   521,   762,  2537,   522,   523,
     764,  1769
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3851
static const int yypact[] =
{
    7784,   -12, 11877, -3851, -3851,   -12, -3851,   271, 45791,   -14,
     523,    49,   132, 12638, 46207, 54527,   427,   792,  8590,   -12,
   54943,  1724, 36639, 41631, 54527,   417,   505, 36639, 54527, 55359,
     797,   708, 55775, 46623, 40383,  1247, 54527,   757,   311, 56191,
   47039,   763, 47455,   505, 33747,    64,   658, 56607,  1558,  1270,
     913, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851,   -14, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851,   183, -3851,   870,   184,  1412,   685,   895, -3851, -3851,
   -3851, 38303, 54527, 54527, 54527,  1099, 54527, 54527,   154, 38303,
   54527, 54527,  1218, 54527, 30339, -3851, 54527, 54527, 54527, 54527,
   47455, 54527,  1157, 54527, 54527, 57023, 54527,  1298,  1070,  1159,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, 54527,  7400,   417, -3851, -3851,
   54527,  1168, 38303, 54527,   417,  1147, 54527,  1228, 54527, -3851,
   54527, 57439,   264,  1010, 54527,  1268, 47871, 30768,  1313, 54527,
   54527, 54527, 54527, -3851, -3851,  1304, 54527, 54527, -3851, -3851,
   57855,  1385,  1557,  1520,   676, -3851, 48287, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, 48703,   792, -3851, -3851, 38719, 54527,
    1559, -3851, -3851, 58271, -3851, -3851,   340, 39135, 58687, -3851,
   49119, 31197,  1732, 59103, 59519, -3851, -3851, 59935, -3851, 60351,
    1448, 60767, -3851, 61183, -3851,  1634, 61599, -3851,  1552,  1411,
    1219, 54527,   903, 27378, -3851,   -14, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851,   306,  1256,   199,   179,   216, -3851,
   -3851,   185,   218,   231,   306,  1846,  1846, -3851, 54527, -3851,
   -3851,  1256,   461,  1428,  1428,  1428,  1620,   -25, -3851,  1428,
   -3851, -3851, -3851, -3851, 47455, -3851,  1455,   417,  1470,  1890,
   54527, -3851, 54527, -3851, 54527, 54527, -3851, -3851,  1873,  1538,
    1746,  1481, -3851,  1704,  1716,  1726,   106,   417,  1652, -3851,
    1833, -3851,  1770, 17946,   417, 49535, 62015,   161, 48703,   417,
   49951,  1601,  1070,  1772, -3851,   550, -3851,  2019,  1642,  1884,
    1481,  1070, 28222, -3851,  1645,  1397, 47455, -3851, -3851, -3851,
     384,  1938, 18379, -3851, 54527,  1658, -3851,  1672,  1666,  1686,
    1412, -3851,  7784, 54527,  1011,  1011,  2091,  1011,  1541,  1543,
   -3851,  1523, -3851,  1990,  1966, 47455,   658,   206, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    1751,  1397, -3851,   209, -3851,  1260,  1743,  1282,  1251, -3851,
   -3851,   239,  1871,   195,   610,  1805, 47455,  2502,  1781,   467,
   -3851,  3071,   304,  1549, -3851, -3851, 54527, 54527, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851,  1785, -3851, -3851,
    1787,   801,  1231,  6469,   638,  4118,  1355,   665,  1977,   823,
    2089,  1579,  4216, 54527, -3851,  2048,  2157,    48, -3851,    96,
   -3851,   267,  1893,  2033,   852, 38303,  1900, -3851, -3851, 54527,
   -3851, -3851, -3851, -3851,   404, 38303, -3851,  2049, 31626, -3851,
   54527, -3851, -3851, -3851, -3851, -3851,  1983, 54527, -3851, -3851,
    2106, 54527, -3851,  1428,   193,  1922,  2307, -3851, -3851, 69875,
     145, 54527,  1969,  2341,  2137,  1969,  1975, 62431, -3851, -3851,
    1969, -3851, -3851, 54527,  1549, 54527, 54527,  1947,  1097,  1969,
    2345,  2347,  2015,  2130,   858,   962,   137,  2248,  1969, 54527,
   62847, 54527, 54527,  2325, 38303, 54527, -3851,  2117, -3851, -3851,
    1166, -3851, -3851, -3851, -3851,  2264,  1751,   700,  2266,  1973,
    2273, -3851,  2009, -3851,  2275,  1781,  2277,  1986, -3851, 54527,
   -3851, 63263, 63679,  2287,  1785, 54527,  2289,  1986,  2290,  2177,
    2292,   700,  2296, -3851,   868,  2299,  2186,  2301,  1592,  1986,
   50367,  2302,   135, -3851, 54527, 20111, -3851,  2092, -3851,   658,
   -3851, -3851,  1047, -3851, 36223, -3851,   903,  1256, -3851, 54527,
    1256, 54527,  1256, 54527,  1256, 54527,  1256, 54527, 54527, 54527,
    1256, -3851, -3851, -3851, 54527,  2008, 54527, 54527, -3851, -3851,
   -3851, 42463, 54527, 42879, -3851, -3851,   274,   417, -3851, -3851,
   69875,  2416, 54527,  2297,  2297,  2297, -3851, -3851, -3851,  2238,
   54527,  2303,  2304, 42463, 54527, -3851, 64095, 48703,  2199,  2020,
   -3851, -3851, -3851, -3851, -3851,  1382,  2451,   167,  2452, 20111,
    2023,   171,   171,  2024, -3851, -3851, -3851,   210,  2025,  2028,
   -3851,   236,   236,  2188,  2031,  2034, -3851,   241,  2035,  2466,
    2468,   242,  2041,  2042,  2043,  2075,   171, 20111, -3851,  2044,
     236,  2045,  2046,  2050,  2479,  2052, -3851,  2483,  2054,   229,
     237,  2056,  2058, -3851,  2031, -3851,   235,  2059,  2061,  2062,
    2063,  2064,  2065,  2066,  2067, 20111, 20111, -3851, 17080, -3851,
     417, -3851, -3851, -3851, -3851, -3851, -3851, -3851,   119, -3851,
     246,  4544, -3851, -3851,  2242, 20111, -3851, -3851,    53, -3851,
     247, -3851, -3851, -3851,  1397, -3851, -3851,   692,  2068, -3851,
    1621, -3851, -3851, -3851, -3851, -3851, -3851, 43711,  2481, -3851,
     275,    96,   296,  2421, 35391, 35807, -3851, -3851,  2305, -3851,
   54527, -3851, -3851, 20111, 33331, -3851,  1397,   194, -3851, -3851,
   -3851,  1095, -3851, -3851, -3851,   -14, -3851, 11464, -3851,  1322,
    1658, 54527, 54527,  2484, -3851, -3851, -3851,  1672, -3851, -3851,
    1412,  1412, 20111,  1412,   180,    36, 18812, 20111,  2364,  2267,
     960,  1089,  2367, -3851,  1541,  1543, 47455, 54527, 64511,  2189,
   -3851, 34579,  1317,  1397,  2160,  2161,  2206, 37471,  2088,  2164,
    2166,  2214,  2172,  2173, 64927, -3851, -3851, -3851, -3851,   810,
     694,  1233,  2174,   770, -3851,  2219, -3851, -3851, -3851,  4052,
   54527,  5101,  2285,   304,  2217, -3851,  2196,  2197,  2306,   304,
    1123, 65343, -3851, -3851, -3851, -3851, -3851,  2925, 15837, -3851,
    2198,  2179, 39551,  2493,  2309,   476,  1614,   225, 54527,  2383,
    2316, 54527,  2131,  2205,  2209,  2133,  1484,  2494,  2134, -3851,
   -3851, -3851,  1725,  2308, -3851,    52,  2323, -3851,  2193,  2194,
   69065,    72, 32055,  2482,  2222, -3851,  1243,  2223,  2224,   304,
   -3851,  2530,   304,   304,  1300,  2532,  2226,   292,  1225,  1969,
    2134,  1996, -3851,  2228,   418, -3851,  2338,   158,  1278,  2134,
    2234,  2235,  2133,  2133, 54527, 54527, 54527, 54527, 54527,   169,
    2561,  2562,  2241,   170,  2291,  2168, -3851, 44127,  2243, 62015,
   -3851, -3851,  2246,  1449,  2134,  1258,  1194, -3851, -3851, -3851,
    1070, -3851,  2297, 54527, 54527, 54527, -3851, 54527,  1751, 69875,
    2357,  2208, -3851,  1781,   304, 54527, 54527,  1785,  1130,   954,
    2360, 54527,  2417,  2215, -3851, -3851,  1969, -3851, 34985,  1947,
   -3851,  2182, -3851, -3851,  2231, -3851,  2231,  2231,  2192,  2192,
    2195, -3851, -3851, -3851,  2075,  2231,  2192, -3851, 70685, -3851,
    1363,  1418, -3851,  2597,  2599, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851,   698,  1353, -3851, 54527, 37471, -3851,
    2614, -3851, -3851, 69875,  2496, -3851, 54527,  2401,  2210, -3851,
    2247, -3851, -3851,  2537,  2263, -3851,  2254, -3851, 54527,   732,
     417,  2256, 54527,  2432, 54527, 54527, 54527, 54527, -3851, -3851,
    2405,  1082,    78, -3851, 44127, -3851,  1996,  2418,  2629,    42,
    1428,  2506, -3851, 54527,  2230,  2630,  2470, -3851,  1748, -3851,
    2358, -3851, 38303,   700, -3851, -3851, -3851, -3851, 69875, 54527,
   65759, 38303,   700, 54527, 54527, -3851,  2541,  2298,  2545,  2311,
   32055,   700,   136, 54527, 54527, 54527, 54527, -3851, 54527, -3851,
   -3851, -3851, -3851, 54527, 54527, 54527, 44127,  2550,  2551,   700,
   54527, 54527, -3851, -3851,   162, 11464,  1392, 54527,   903, 43295,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, 54527, -3851,
   54527, -3851, 54527, -3851, 54527, -3851, 54527, -3851, -3851, -3851,
   54527, -3851, 54527,  1454, -3851, -3851,  1545,   628, 54527,   157,
   38303, 54527,  2443, 54527, 54527, 54527, 54527,  2330,  2068,   -54,
   -3851,   481, 47455,  2453, -3851, -3851,  1561,  1558,   -23, -3851,
   -3851, -3851, -3851, -3851, -3851, 42879, 41631,  2540,    82, 54527,
   -3851, -3851,  1683, 20111,  1397, 17513, -3851, -3851, -3851,  2262,
   11464,  2310, 20111, -3851, -3851, 20111,  1846,  1846, 20111, -3851,
   -3851, -3851, -3851,   827,  1846, -3851, 20111, 20111,  1846,  1846,
    2231,  2231, -3851,  3493, 20111, -3851, 32055, 20111, 22709, 14566,
   20111,  2342,  2280,  1846, -3851,  1846, -3851, 20111, 16647, -3851,
   20111,  2469, 23569, 20111,   296,  2471, 20111,   296,  2692,  2692,
    1443,  4857,  2269, -3851,  2379,  1846, -3851,  1846,   889, -3851,
     301, 69875, 20111, 37471,  2350,   204, 54527, 20111,  2276,  1456,
   -3851, 20111,   878, -3851,  2279, 20111,  2353, 20111, 20111, 20111,
   20111, 20111, 20111, 20111, 20111, 20111, -3851, 24413,   409,   -11,
     999, 50783, 17946,  2557, 14132, -3851,   230, -3851, -3851, -3851,
   54527,  2481, -3851, -3851,  2352, -3851, -3851, -3851, -3851, -3851,
     249, -3851, -3851, -3851, -3851, -3851, -3851,  2281, -3851, -3851,
   -3851, -3851,  2281, -3851,  2319,  3254, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851,  2553,  2555,   700, 54527,   384, 44543, -3851, 18379, -3851,
    1569,  2317, -3851,  2544, -3851,  2318, -3851,  6573,  2544, -3851,
   -3851,   262,  2486,  2489,  2489, -3851,  2320, 11464, -3851,  2014,
   11464,  2029, -3851, -3851, -3851, -3851, -3851, -3851,   565, -3851,
    2364,  1089,  2359,   648, 54527, -3851, 28644,  2322,  1603,  2382,
    2398,  2423, 54527, 54527, 54527, -3851, 37471, 54527, 54527, 54527,
   54527, 54527, 54527, -3851,  2668,    38, 41631,  2444, 40799, -3851,
   -3851,  2326, 54527,  2381,  2564,  2566,   644, -3851, -3851, 54527,
   -3851,  2526, 54527, 20111,  2527, 54527, 54527,  2410, 38303,  2340,
   54527, 54527, 54527,   660, 38303, 32484, 54527, 54527, 54527, 54527,
    2454, 54527, 54527,  2570,    85,   188,  1465,  2134,  2533, -3851,
    1193, 54527, 54527,  2523, -3851, -3851, -3851, 48703, -3851, -3851,
   -3851,  2518, -3851, -3851, 70685, -3851, -3851,  1609, -3851, 70280,
   67839, -3851, -3851,   472, 54527, 54527, 54527,   893, -3851, -3851,
   69875, -3851, 54527, 54527, 54527, 44959, 66175, 66591,   842,   883,
   54527, 45375, -3851, 54527, -3851, -3851, 37887, 54527, 54527, 37471,
   -3851, 54527,  2528,   227, -3851, 54527,  3919, -3851,  2422, -3851,
   -3851, -3851, 54527, 54527,  2346,  1613,  2424,  2461, -3851, 54527,
   54527,  1467, -3851, 54527, 54527, -3851, -3851,   304, -3851, -3851,
   -3851, -3851, -3851, 54527, 54527,   304, 54527,   304,  1264, -3851,
   54527, -3851, -3851, -3851, 54527, 54527, 54527, 54527, 54527, -3851,
   -3851,  1050,  1025,  1230,  1332,  2490, 54527,   417, 54527, 67007,
   54527, 54527, 54527, 54527,   851, -3851, -3851,  2460, -3851, 54527,
    1467, 54527, 54527,  2427,  2429,   138,  2504, -3851, -3851, -3851,
    2644,    83,    83, -3851, -3851, -3851,  2598,  2765, 54527, -3851,
    2600,  2602,  2419,  2420,  2604,   526, 54527, 54527, 54527, 54527,
   54527, 54527,  2607,   526,  2554,   131,  2372,  2386,  1625, -3851,
   -3851, 20111,  2780, 69875,  2378,  2380,  2450,  2456,  2457, -3851,
    2388,  2459,  1846, -3851, -3851,  1533, -3851, -3851,  1633, -3851,
    2392,  1082,  1814, -3851, 54527,   623,   716,  2677, 15414,  2499,
    2060, 54527,  2679, 54527, 54527,  2060, -3851,  2245, 41631, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,  2675, -3851,
     417,  1947,  1947,  1947,  1947, -3851, -3851, -3851, -3851,  2581,
    1486, -3851,  2396, 54527,  2508,  2060, -3851,  1996,  2694,   956,
   54527, 39967,  1549,  2805,   417,  2584, -3851, 16242,  3642,  2585,
   48703,  2673,  2674,  2693, -3851,  1751, -3851,  2814, -3851,  2707,
     700,  1781, -3851,  1986, -3851, 54527, 54527, 54527, 54527,  1785,
   -3851, -3851,  1986,  2594,   700,   700, -3851,  2596,   700,  1986,
    2524,  2700, 48703, -3851,   135, -3851, 54527, -3851, -3851, -3851,
   20111,  2425, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    1635, -3851, 54527, -3851,  2676,  2678,  2681,  1986,  2449, 54527,
    2431, -3851,  1986,   304,  1986,  2068,  2068,  1986, 51199,  2836,
    2697,   151, -3851,   765,  1032,  2633, -3851, -3851, -3851, -3851,
   69875, -3851, -3851, -3851, -3851, -3851, 54527,   122,  2608,  2433,
   51199,  2813,   700, -3851, 38303, -3851, -3851,  2511, 38303,  2616,
   -3851, -3851, -3851, -3851, -3851,  2665, 54527,  1646, -3851, -3851,
    1373, -3851,  1441, 20111, 20111,   190, -3851,  7562,  1657,  2435,
    2437,  1665, -3851, -3851, -3851, -3851, -3851, -3851, -3851,  2438,
    2721, -3851,  2441,  1667,  1676,  2445,  2455, -3851, -3851,  3579,
    2458, 10383,  2464, 22709, 22709,  1500, -3851, -3851, 22709,  2467,
   -3851,  1680,  5765,  2465,  2472,  2478, -3851,  2473,  2474, 10078,
   19245, 20111, 19245, 19245, 10687,  2465,  2477,  1684, 37471,  2627,
   10697,  1691, -3851, 20111, 37471,  4266, 20111, -3851, 20111, 54527,
    2480,  2487, -3851, -3851,  3493, -3851,  2488, -3851, 22709, 22709,
   -3851,  1660, 17080, -3851, -3851,  2750, -3851, -3851,  1497, -3851,
    2485, -3851, -3851,  1853,   233, 20111,  2276, 20111,  2552, 32055,
    8207, 20111,  4381,  9142,  9142,   460,   460,   254,   254,   254,
    1410,   999, -3851, -3851, -3851,  2491,  2052, 20111, -3851,  1632,
    1641, 54527,  2156,  2492,  2866, -3851, -3851, -3851, 25690,  2509,
   20111, 20111, 20111,  2497,  2653,  2904, 11464,   969, -3851,  2905,
   -3851,  1070,  1846,   889, 36223, -3851, -3851, 20111, -3851, -3851,
   -3851,  1672, -3851, -3851, -3851, -3851, -3851,  1558, 20111, -3851,
   -3851,   455,  1776, 20111,  2014, -3851, -3851, 54527,  2453,  2453,
   20111, -3851, -3851, -3851, -3851, -3851, 25690,  2521,  2535, 27800,
    2621, -3851, -3851, 54527,   156, -3851, -3851, -3851,  2510, -3851,
   -3851, -3851, 54527, 54527, 54527, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851,  2722, -3851, 54527, 54527,  2683,
   54527,  2682,  2684, 20111,   201, 54527,  2507,  2512,   988,  2760,
   54527, -3851,   700, -3851, -3851, 11464, -3851, -3851, -3851, 48703,
   -3851,  1751, 69875, -3851, -3851, -3851,  2539, 54527, -3851, 54527,
   54527,  1785, -3851, -3851, -3851, -3851,   981, -3851, -3851, 54527,
   54527,    99,  2579, 54527, -3851,   850,  2338, 54527, 54527, 54527,
    2761, -3851, -3851, -3851, -3851,  2705, -3851, -3851,  1353, -3851,
   67839, 70280, -3851, 70280, -3851,  1353,   -70, -3851,  1986, -3851,
   -3851,   681, -3851, -3851, -3851, -3851, -3851,  2811,   700,  2812,
     700, 54527, 54527, 54527, 54527, -3851, -3851, -3851, -3851, -3851,
   37471, 37471, 37471,  1692, -3851, -3851,   417, -3851, -3851, -3851,
    1696, -3851,   793, -3851, -3851, -3851, -3851, -3851, -3851, 54527,
    1493, -3851,   970, 69875, -3851, 69470, 54527, 54527, -3851, -3851,
   -3851,  2745,  2688, -3851,   812, -3851,  2689, 54527,  2573, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    2606, -3851, -3851, -3851,  2741,  2743,  2748,  2609,  2610,  2643,
    2611,  2612,  2652, -3851,  2613,  2660,  2617,  2662,  2623,   700,
   69875,  1597,  2656,  2844,   700, -3851,  2626, -3851, -3851,  2950,
   -3851, 54527, -3851, -3851, -3851, 54527, 54527, -3851, -3851, -3851,
   67423,  2628,  2628,  2628,   526, 69875,  2792,   526,   526, 54527,
   54527,   526, -3851, -3851, -3851,  2794,  2796,  2798,  2799,  2802,
    2806,   526, -3851, -3851, -3851, -3851,   193, 37471, -3851,  2339,
   29910, -3851,  2999,  5154,  2572,  2380,  2571,  1846,   165,   896,
     856,  2685,  1846,  2783,  2577, -3851, -3851, 37471, 29910,  1648,
    2801,  2593,  2593,  2593,  2593,  2593,  2593,  2593, -3851,  1527,
    1969, 48703, 54527, 48703, -3851,   716,  2762, 54527, -3851, -3851,
    1702, -3851, 54527, 54527,   134, 54527,  1846, -3851, -3851,  2578,
    2647, -3851,  1428,   732,  2720,  1391,  2923, -3851, -3851, -3851,
   -3851, -3851, 54527, 54527,  1082,   417,  2588,  2586, -3851, 54527,
   54527, 54527,  2632,  2592, 54527,  2603,  2595, -3851, -3851, -3851,
   -3851,  1703, -3851, 69875,  2782,  1558,  2680, 54527, -3851,  1708,
     121, -3851,   417, 48703, 68244, -3851,  2946, -3851, -3851,   729,
    2872, -3851, -3851,  1558,   700, 69875, 54527, -3851,   700,  2655,
     700,  2657,   700,   700, 54527, -3851, -3851, 54527, -3851, 54527,
   44127,   700, -3851, -3851, 11464, 54527, -3851, -3851,  2723,  2725,
    2728, 54527,  1986, 38303, -3851,  2618, 54527,   965, -3851, -3851,
    2804, -3851, -3851, -3851, -3851, -3851,  2921,  2926, -3851, -3851,
   -3851, 54527, 42463,   150, 54527, -3851,  1751, -3851,  1781,   304,
   54527,  2865, -3851, -3851, -3851,  2635,  1719, 10984, 20111, -3851,
    2934, 69875, -3851, -3851, -3851, -3851, -3851, 20111, -3851, -3851,
   -3851, -3851, -3851, 20111, -3851, 20111,  2914, -3851,  3059,  3059,
   69875, 22709,  1073,  2045, 22709, 22709, 22709, 22709, 22709, 22709,
   22709, 22709, 22709, 24846,   739, -3851, -3851, 20111, 20111,  2922,
    2914, -3851, -3851,   -28,   -28, 69875,  2637,  2465,  2638,  2640,
   20111, -3851, -3851,  1721, 23991,  2641, 37471, -3851, 20111,  8794,
    1737,  2686, 11415,  1397,  5441, -3851,  3012,   417, 20111,   397,
    1924, 20111,  1745, 20111,  2927, -3851, -3851, -3851,  2646, -3851,
   -3851, 69875, 20111, 22709, 22709,  1991, -3851,  3736, 20111,  2651,
    4061, 17080, -3851,   505,   505,   505,   505, -3851, 54527, 54527,
   54527, 25268, 51615,  2658,  1478, -3851, 51615, 52031, -3851,  2661,
    1397, 20111,  2928,   603,   603,  2654,  2653, 29066, -3851, 20111,
     459, 19678,  2664,    96,  2667, -3851, -3851,  5714, -3851,  2669,
   -3851,  2663, -3851,  1776, -3851, -3851, -3851,  5830,  2838,  2068,
   -3851, -3851, -3851,  2658, 20544,  2621, -3851,  1755, -3851, -3851,
   17946, -3851, -3851,  1761, 28644,  2521, 18379,  1397, -3851, -3851,
   -3851,  2593,  1986,  1986,   748,  1986,  2951,   748,  6324, -3851,
   -3851, 26112, 54527, 54527, -3851, 54527,  1766,  1026, -3851, -3851,
   -3851,  3073, 54527, -3851,  2724,  2731, -3851, 54527, 54527, 54527,
   54527, -3851, -3851,  1743, -3851, -3851, 54527, -3851, -3851, -3851,
   -3851,  2744, -3851, -3851,  2929,  1462, -3851, -3851, -3851,  2752,
    1527,   203,  2133,   703, -3851,  2753, 54527, -3851, 54527, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, 37887, -3851,
   -3851, -3851, 37471, 29910, 37471, -3851,  2757,  2759,  2797,   103,
     746,  2766,  2767,  2809,  2695,  2698,  2699, -3851, -3851,   306,
     417, -3851, -3851,   417,  1986,   417, 54527,  2983,   723,  1654,
   54527, 54527, 54527, 54527, 54527, 54527, 54527, 54527, 54527, 54527,
   54527, -3851,  3068,   417,   417,  3039,  2768, 54527, -3851, 54527,
    2338, -3851, -3851, 54527, -3851, 52447, -3851, -3851, -3851, -3851,
    2704,   526, -3851, -3851,  2944,  2945, -3851,   526,   526,   526,
     526,   526,   526, -3851,   244,  1771, -3851, 26956, -3851, -3851,
    2341,   417,  2341,   752, -3851,  2341, -3851,  2341, -3851,  2663,
    1846,  1725, -3851, -3851, -3851, -3851, -3851, -3851,  2386, -3851,
   -3851,  1846,  1959,  2709, -3851,  2710, -3851, -3851, -3851, -3851,
   -3851, -3851,  2711, -3851,   889, -3851, -3851, 54527,  2593, -3851,
     337,   327,  1174,  1215, 52863, 53279, 53695,  2713, 54527, 54527,
   22709, -3851,  1114,   202, -3851,  2949, 54527,  2754, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851,  2716, -3851,  2210, -3851, 54527,
    2762,  1986, 54527, 54527,  1986, -3851, 69875,  3115,  1219, 62847,
    2749,  2715,  3007, -3851,  2732,  2719, -3851, -3851, 54527,  2762,
     674,  1411,   864, -3851, 41215,  1549, -3851,  2977, 39967, -3851,
   54527,  3087,  2815,  2769,   417,  2381, -3851, 67839, 20111, 20111,
   -3851,  2734, -3851,  2736,  4870, -3851,  1947, -3851, -3851, -3851,
   -3851, -3851, -3851,  2817, 54527, -3851, -3851,  2738,   700, -3851,
   54527, -3851, 54527, -3851, -3851,   700,   700, -3851,  2840, -3851,
   -3851, 54527, 54527, 54527,  1986, -3851,   304, -3851,  3015, 51199,
   -3851, -3851, -3851, -3851,    82,  3022, -3851, -3851,  2984,  2986,
    2987,  2990,   848, -3851, -3851, 20111, 11464, -3851,  2756, 11464,
    6456, 11464,  2922, -3851,  2625,  3025, -3851,  1352,  2755,  2625,
     946,   946,   421,   421,   159,   159,   159,  3059,   739, 11464,
   11464, -3851, -3851, -3851, -3851,  2758, -3851, -3851, -3851,  2465,
   -3851, 20977,  2909,  3148, -3851, -3851, -3851,  2807,  2808,  2772,
   -3851, 20111, 21410,  2764, 70685, -3851, -3851,   889,   330, 22709,
   22709,  1076, -3851,   408, 20111, 69875,  1778,  1076,  2118,  2240,
   20111, 20111,  4515,   425, 20111,  6860, 54527, 54527, 54527, 54527,
   -3851, -3851, -3851, 14991,  1478,  2773, 54527, -3851,  2763, 25690,
    3004,  2952, -3851, 25690,  2952,  1150,  2952,  3005, -3851, 29488,
   -3851,  2775, 14132,  1511, 11464,  3162,  3048, 20111,  2784, -3851,
    2785,  2653, -3851, 68649, -3851, -3851, 11464, -3851, -3851, 20111,
   -3851,  2653,   417, -3851, -3851, 32055, -3851, -3851, -3851,  2967,
   11464, -3851,  1558, 54527,  1397,  2787,  2800, 54527, -3851,  2621,
   -3851,   306, -3851, -3851, -3851,  2857, 41631,  3069, -3851, 20111,
    1779, -3851,  2822,  3161,   310,  1789,  1790,  1026, -3851,  2754,
   -3851,  1120,   173, -3851, 69875, -3851, 54527, 54527, -3851, -3851,
   -3851, -3851,  2088, -3851, 54527, -3851,  2862, -3851,  2992, -3851,
   -3851,  2994,   306, 54527, -3851, 69875,   700,   700, -3851, -3851,
   -3851,  2820, 54527, 54527, 54527,  1846,  1846, 69875,  2795, -3851,
    1846,  1846,  2818, -3851, 54527, 54527, 54527, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851, 54527, 54527, 54527, 54527,  3100,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, 54527, -3851, -3851, -3851, 69875,   700,   700, -3851, -3851,
   54527, -3851,  3049, -3851,   526,   526, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851,  1969,  3135, -3851, 37471, -3851, 42047, -3851,
   -3851, -3851,   417, -3851,   417,  3006, 34163,   417,   417,  1026,
    2824,  1163,  3099, -3851, -3851, -3851, -3851,  3104,   306, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851, -3851, 20111, -3851,   699,  2625, -3851, -3851,
   -3851, -3851,  2754,  1428,  2877,   623, 37471,  2942, -3851, -3851,
    1986,  1986,  2887,  1558,   712, 54527,  3146,  2876, -3851,   417,
   -3851, -3851, 54527, 39967, -3851, -3851,  3175,  1795, -3851, -3851,
   -3851,  2874,  2782,  1276,  2842,  1549, -3851, -3851,   824, 54527,
    3158,  1145, -3851,  3124,  2845, -3851, 11464, 11464,   417, 71090,
    2946, -3851, 54527,  3097,   700, -3851,   700,   700, -3851, -3851,
   54527,  1986,  1986,  1986, -3851,  3029, -3851,   700, 51199,   848,
     848,   848,   848, -3851, -3851, -3851, 11464, -3851, -3851, -3851,
   22709,  3131, -3851,  2852, 69875, -3851,  2853,  1799,  1804, 23569,
    2996, -3851, -3851, -3851,  7184,  2906, 11464,  2954,  2859,  2860,
   -3851,   538,   538,   408,  1811, -3851, 22709, 22709,  1076,  1076,
   20111,  1076, -3851, -3851, -3851, -3851, -3851, 51615,  2863, 54527,
    1478, 25690, -3851, -3851,  1299, -3851, 25690,  3105, -3851, 25690,
   54527,  2871, 54527,  1029, 20111, 20111,  2900,  2653,  2653, -3851,
    3040, -3851,  2875, -3851,   889,  2880, 54527, -3851, -3851,   658,
   -3851, -3851, -3851, 51199,  3055, 51199,  1026,  7235,  2754, 26112,
   32913, 54527, 54111, 54111,  3018,  2754,  2877, -3851, -3851, -3851,
   -3851,  2881, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    3068, -3851, -3851, 29910, -3851, -3851, -3851, 26534, 32055, -3851,
     103,  2878,  2883,   746, -3851, -3851, -3851,  1079,   894,  2924,
    1986,  3173, -3851,  3068, -3851, -3851, -3851,   526, -3851, -3851,
    2372,   417, -3851, -3851,  1813, -3851, -3851, -3851, 54527, -3851,
    2715, -3851, -3851, -3851, 38303,  3298,  3298, 54527, -3851, -3851,
    7531,  3086, -3851,  2877,  3109,  3153, -3851,  1817, -3851, 54527,
   54527,  2769, 39967,  2762, -3851,  1323,  2898,  3196, -3851,  2592,
    2899, -3851, -3851, 41215,  3079,  2815,   290,   290, 54527,  2782,
    3023, -3851,  3024, -3851,  3291,  2908,  2979,  3283,  3089,  3287,
   54527, 26112, -3851, 70280, -3851,  1819, -3851, -3851,  2509, 54527,
      70, -3851, -3851, -3851, -3851, -3851, -3851,   150, -3851, -3851,
   -3851, -3851,   758, 22709, 69875,  1824, 20111, -3851, 20111, -3851,
    3300, -3851, -3851, -3851,    90, -3851, -3851, -3851,   538,   538,
    1076, -3851, 54527,  1828, -3851, 20111,  2915, -3851, -3851, 25690,
    1299,  1830, 54527,  1839, 69875,  2653,  2465, 11464, 54527, -3851,
   -3851, -3851,  3302,  3093,  2653, -3851, -3851, -3851, -3851,   965,
     748,   150,  3161,  2877, -3851,  2918, -3851, -3851, 54527, -3851,
    1222,  1222, 54527,  2877, -3851, -3851,  2971, -3851, 69875,  1781,
      94, -3851, 69875, 69875, -3851, 54527, 54527, 54527, 54527, 54527,
     700, -3851, -3851, -3851, -3851, 42047,  2715,  3298,   253, -3851,
   -3851, -3851,   220, -3851, -3851,  1049,  3102,  3002, -3851, 37471,
    2762,  3212, -3851, -3851, -3851, -3851, -3851, 20111,  3076,  1549,
    2977, -3851, -3851,  3158, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851,  1855,  2815, -3851, -3851,  1160, 54527,   626, -3851,
    3106, -3851,  3107, -3851,  1856, -3851, -3851,  4870, 71090,  3237,
   -3851,  2978, 54527, -3851, -3851, -3851,   758,  1857, -3851,  1862,
    1868,  3077,  2976, -3851,  1869, -3851, 11464, 54527, -3851, -3851,
   -3851,  1874, -3851,  2936, -3851,  3345, 20111,   557, -3851, -3851,
    3222, -3851, 54111,  2982, 32055, -3851,  1776,  1776,  1428, -3851,
    1026, 20111, -3851,  1881, -3851,    86,  3091,  3234,  1882,  1888,
    2947,  2988,  2947, -3851,  1986, -3851, -3851, -3851, -3851, -3851,
    3259, -3851, -3851, -3851,   248, -3851,  3134,  3137, 54527, -3851,
   -3851, 54527,  3360,  8129, 38303,  2782,  1549,  1527,  2979, -3851,
    3158, -3851,  2961, -3851,  3088,  2963, 54527, 54527, -3851, -3851,
    3001, 26112,  2946, -3851,   276, -3851, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851,  1898, -3851, 54527,  2962,  2465, 21843, 21843,
    2968, 51199,  1222,  2970, -3851,  2972, -3851, -3851,  3109,  1026,
   11464, 38303,  3357, -3851, -3851, -3851,  3091, -3851, -3851, 54527,
    3096,   846,   846,  3296, -3851,  3030, -3851, -3851, -3851,   103,
   -3851,  2980,  2815,  2782, -3851,  2979, 54527, -3851, -3851, -3851,
    2578,  2133,  2815, -3851, -3851, -3851, -3851,  1602, -3851, -3851,
   -3851, 23142,  3103,   176,  9794, -3851, -3851, -3851, -3851,   150,
    1776, 20111,  1026, -3851,  3102,  1781, 54527, -3851, -3851,  2876,
   -3851,  3396, -3851,   192, -3851, -3851,  2795, 37055,  3158,  2815,
   -3851,  2985, -3851,  2509, -3851,  1747, -3851, -3851, -3851, -3851,
   -3851, -3851, -3851,  3386, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851,  8178, -3851, -3851, -3851,  3278, -3851, -3851, -3851, -3851,
    1903, -3851, -3851, -3851, -3851,  2979,  3158, -3851, -3851,  1568,
   -3851, -3851,  1574,  1686, 22276, -3851,  1026,  3133, -3851, 37055,
   -3851,  2979, -3851,  1747, -3851, 38303, -3851, -3851, -3851,  2989,
   37055,  1920, -3851
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3851, -3851, -3851,  2703, -3851,  -760,  -203,  2109,  -608, -3851,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    2648, -3851, -3851, -3851,  1344, -3851, -3851,   114,  1650,  2313,
    1054, -3851,  -928, -3851, -3851,  -506,   142,  -611, -3851, -3851,
   -3851, -3851, -3851, -3851, -3851,  -520,  1496,   918,  -745, -2258,
   -3851, -1206, -3851, -3851,   381, -3851, -3851,  1440, -3851, -3851,
   -3851,   790,  -361, -3851, -3851, -3851, -3851, -3851, -3851, -3851,
    -106, -3851, -3851,  -523, -1308,    37,  -172,  -396, -3851, -3851,
     217,  -397, -1169, -3851, -2420, -3851,  -137, -3851, -3851, -3851,
    -394, -1157,  1006,  -627,  -952,  1283,  -684, -3851,  -291, -3851,
    -735,  -625,  -623,  -688,  -522,  -859, -3459, -3424, -3851, -3734,
   -2898, -2509,  1019,   144, -3851, -3851, -3851,   245, -3851, -1297,
   -3851, -3851,  2057, -1145, -3851,  -725, -3851, -3851, -3851, -2400,
   -3851, -3851, -3851, -3851,    77, -3851, -3851, -3851, -3851,   281,
   -3851, -3851, -3851, -3851, -3851, -3851, -2212,  1408,  1414, -3851,
   -3851, -3060, -3851,  -759, -3851,   434, -2432,   953, -3851, -3851,
   -3851,  2074, -3851, -3851, -3851, -3851,   289, -3851,   288, -3851,
   -3851, -1320, -3851, -3851, -1296, -3851,  1427,   775, -3851, -3851,
   -3851,  -708,  -780,  -767, -3851, -2868, -3851, -3851, -3851, -3851,
   -3851,  -810, -3851,   828, -2539,  -795, -3851, -3851,   847, -3851,
   -3851, -3851, -3851,  -665,  -282,  2097, -3851,  -565,  -643, -3851,
   -3851, -3851,  -278, -3851, -3851, -3851, -3851, -3851, -3851, -1446,
     857, -1315, -3851, -3851, -3851, -3851, -1860, -3851, -3851, -3851,
   -1697, -3851,  3479,  1885,  2740, -1293, -3851,   -27,    65,  2525,
    -926, -2136,   228,  -415, -3851, -1482, -3851, -3851, -3851, -2068,
   -3851, -3851, -3851, -3851, -2853, -1288, -3851, -3851, -3851,   282,
   -3851, -3616, -3286, -3544, -3622, -2838, -3851, -3851,  -904, -3851,
   -3851, -3851, -1121,  1618, -1193, -3851, -1807,   283, -3103,  -612,
   -2655, -3851, -3040,  -499, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851,  -900,  -533, -3851, -3851,  2948, -3851, -3502, -3851, -3851,
   -3851, -3851,  -758, -3851, -1084,   920, -3851, -3851, -3851, -3851,
   -3851,  -653,  -736, -3851, -3851, -3851,   146, -3851, -3851, -3851,
   -3851,  1950,  -765,  -614,  2827, -1284,  -301, -3851, -3851, -3851,
   -3851, -2481, -3851, -3851, -3851, -3851, -3851, -3851, -3851, -1465,
   -3851, -3851, -3851, -3851, -3851, -3851, -3851,  1756,  1757,    73,
     -19, -3851, -3851, -1037, -3851, -3851, -3851,  -134,  -906, -1292,
   -3851, -3851, -3851, -3851, -3851,  -475, -3851,  2053, -3851, -3851,
   -3851, -3851, -3851,   352,  -248, -3851, -3851,  1148,   148,   313,
   -3851,     3, -3851, -3851,   109, -2805,     4, -3851, -3851, -3851,
   -3851,   -18,     5, -3851,   563, -3851, -3851, -2281, -3851,   149,
      57, -3851, -3851,     1,     0,   -42,   -21,    -6,     2,  2830,
    2390, -3851, -3851, -3851,    41,  1437, -3851,  -722,  -163, -3851,
    1158,  -566,  1736,  2384,  2387, -3851,  1151, -3851, -3851,  1156,
   -3851, -3851, -3851,  -564,  1742, -3851,  2385,  1759, -3851,  1141,
    1152, -2786,   641, -2788,   178, -1099,  -345,    55,  2864,  2393,
   -3851, -3679,   591, -3851, -2906, -1877,   985,  1526, -1313, -3851,
   -3851,  -970,  6124, -3851, -3851, -3851,  6604,  9452, -3851, -3851,
    9709, 10069, -3851,  -841,   686, 10211,  3289,  -994, -1562, -1091,
    8039, -1408, -1127, -2255, -3851, -3851, -3851,  -315,   695,   329,
   -3851, -3851, -3851, -3851,  -550, -2279,  -549, -3851, -3851, -3851,
    -553, -3850,  1051, -3851,  -164, -3851,  9031,  1187, -3851,  -802,
   -2230, -2238,  -944, -1459, -3851, -3851, -3851, -3851, -3851, -3851,
   -3851, -1440, -2698,  -306,  1253, -3851, -3851,  1345, -3851, -3851,
   -3851, -1094,  -717, -2147,  1257, -1661, -3851,  -709,   612,  1931,
    -666,    26,  -524,  6371,  -502, -1872, -1032, -1243, -3851,  -152,
   -3851,    25,    -9,   -82,     6,  3437,  7795, -1081,  6888, -1114,
   -1016, -2523
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2174
static const yytype_int16 yytable[] =
{
     171,   170,   175,   165,   166,   168,   719,   675,   577,  1174,
     729,  1452,   531,  1455,   877,  1402,   652,   979,   980,  1108,
    1767,   171,   984,   175,  1461,  1516,  1493,  1180,   641,   760,
     798,  2011,  2012,   641,  2154,  1900,   862,   778,  2181,  1930,
    1801,  1265,  1770,  1847,  1183,  1285,  1536,   640,   718,  1940,
     561,  1310,   640,  1765,  1321,  2042,  2302,  1253,   924,   783,
    1349,  1569,  1570,  1908,   917,   519,  1596,  1405,   901,   927,
    2055,  2552,   568,  1767,  2803,  1909,  1423,  1547,  1121,   939,
    1585,   911,  2013,  3017,   706,  2938,  1979,  1980,   647,  1770,
    3030,  3247,  2502,  2504,   615,   605,  2231,   703,  3044,   676,
    3046,  2080,  1391,  2928,  2104,  1395,  1765,  1898,   779,  2599,
    1399,  1443,  2081,  2082,   801,  3416,  2083,  2385,  1768,  1407,
    1782,  2084,  2791,   811,  2935,  2085,  3447,  3147,  1425,  3166,
    2933,  2934,  2972,   723,  3437,  3374,  1969,   948,  3388,  3390,
    3599,  3640,    65,  1486,    75,  3147,   134,  3594,   163,   169,
    2883,  2928,  1917,   694,   731,  1825,  2150,  1198,  3753,  3611,
    3421,  3321,  1168,  3845,  1171,  1226,   573,   573,  1422,   732,
    2840,  1768, -1508,  2642,   623,   730, -1508,   529,  1614, -1946,
    1563,  1564,  1115, -1308, -1311, -1981,  1467,  1444,  1444,  4019,
    2116,  3171,  3172,  3173,  3174,  3175,  3176,  1482,   573, -1877,
    1311,  2701,  1444,  1975,   814,  1582,  1986,  1991,   623,  3941,
    2102, -1854,  2617,  1206, -1855, -2173, -1949,   781, -2001, -1854,
     709,   960, -1855, -2173,   803,   623,  1343,  3238,  1911,  1495,
   -1508, -2028,   812,  2620, -1518, -1831,  1541,  1542,   964,  2307,
   -1503, -1475, -1518,  2211,  4065,  4015, -1488, -1515,  1651,  2480,
    1918,   573,   573,   775,   573,   805,  2178,  1200,  1911,  4098,
    3485,  1004,  1841,  3014,  2760,  1621,  2762,  1112,  2307, -1308,
   -1311,   623,  2977,  3018,  1767,  1771,  1612,  2801,  1665,  1251,
     573,  3759,  3559,  1280,   623,  1289,  2644,  4078,  2792,  1322,
    1624,  2110,  1314,  2545, -1503,   815,  -126,  3202,  4237,  4175,
    1387,  -126,  1318,  2346,  1939,  1337,  4021,  2060,  1251,  1850,
    3590,  2358,  3994,   623,  3970,   623, -2000,  2818,  4056,  4057,
    1207,  2481,  1626, -1725,  1792,  4225,  4032,  1789,  3450,   527,
   -1725,  4223,   573,   681,   629,   816,  1843,   982,  1946,  2206,
     629,  1621,   573, -1308, -1311,  4142,   623,  2189,   209,  2437,
    1323,  2482,   178,  1844,   629,   630,  1321,  -346,  3486,  4151,
    3029,   630,  3995,   866,  1201,  1568,  4165,  1826,  1793,  3996,
    4080,   629,  1768,   629,  1591,   630,  1672,  1596,  3751,   524,
     855,  1666,  2468,   798,   817,  1454,   629,  1656,  1569,  1570,
    4003,   179,   630,  1592,   630,  1669,  1585,  3997,  1626,  1680,
    1680,  1462,  1947,  3451,  4264,  1013,  4143,   630,  2840,  3756,
       3,     4,   874,   178,   983,  1790,  1454,  1794,  1673,  1621,
    2438,  3993,   573,   573,  2347,  3349,   906,   798,  4079,  2020,
     682,  2342,  2840,  3572,  1479,   915,  4238,  2024,  2343,   912,
    1445,  1445,  3468,  3569,  1624,  3203,  3591, -1741,  3487,   569,
    1531,  4226,   179,  1319, -1741,  1445,   920,  4022,  1529,  3452,
    2228,  2266,   870,   785,   573,  4077,  4176,   879,  1538,  1363,
    3998,  1621,  2483,  3018,  4245,  2289,  1626,  2111,   888,  2546,
    1548,  1497,  1845,  2793,  2179,  1206,  3015,  1929,  1879, -1308,
   -1311,  1667,  1652,  2645,  1884,  4173,  1624,  2191,  1772,   710,
    3431,  1551, -1475,  1331,  1324,  1202,   776,  4033,  4132,  1767,
    4190,  2618,  4261,  2103,  3480,  1563,  1564,  1965,   852,  1967,
    1974,  1454,  2156, -2000,  1582,   858,  1919,  1973,  1626,  1260,
    3147,   573,  1992,  2016,  4248,  1320,  1344,  1345,  1138,  2040,
    1139,  1920,  2305,  3239,  1955,   983,  1013,  1958,  1959,  2840,
    2487,   822,  3823,  2308,  1615,  2009,   853,  1987,  3760,  1558,
    2170,   983,  1770,  1558,  2010,   902,   577,    48,  1175,  1203,
    3746,   719,  1388,  2990,  1481,  1454,  1208,  1846, -1475,  4100,
    1388,  2042,  2903, -2000, -1308, -1311,  2036,  2234,  2506,  3279,
    2852,  1921,  1207,  3710,  2842,  2974,   956,  3714, -2000,  3154,
    3867,  2156, -1508,   850,  3669, -2174, -1508,  1768,  1810,  2021,
    1811,  1663,   171,   718,   175,  1889,   867, -1946,  2192, -1308,
   -1311, -1308, -1311, -1981,  3741,   635,   636,  3542,  1780,  4152,
     957,  1591,   962,  1532,   966,  3999,  4162, -1877, -1725,  1591,
     970, -1854,   635,   636, -1855, -2173,  4052,   947,   989,   640,
    1592,   640,  2843,   640, -1949,  1952, -2001,  3402,  1592,   640,
     971,   972,  1971,  1133,  1593, -1831,  2928,  1134,  1005, -2028,
   -1503,  1568,  1595,  1328,   798,  1105,  1574, -1515,  1114,   902,
    1116,  1617,  1654,  1333,  2372,  1645,   951,  3568,   635,   636,
     995,  1877,   913,  1195,  3027,   973,  3028,  2393,  2126,   731,
     570,   635,  1252,  3410,  4209,  1123,  2501,  2132,  3933,   985,
    2951,  1109,  1767,  1532,   732,  3943,  2140,  2141,  -126,  -126,
     730,  2937,   171,   170,   175,   165,   166,   168,  1131,  1948,
     635,  1252,   635,   636,  2153,  2842,  3443,  2509,  4208,  2257,
    2258,  1294,  1434,  1133,   975,  1765,  2344,  1134,  4213,  1157,
    2840,  2227,  1444,  2230,  2408,  1841,  1332,  3114,  3115,  2466,
    3177,   985, -1741,  2238,  3109,  1230,  2241,  3112,  3113,  2840,
    2632,  3116,  1842,  3983,  2253,  2254,   526,  1140,  2681,  2699,
    1295,  3123,   571,  1143,   572,  4246,  2174,  2271,  2273,  4106,
    1178,  2488,  1914,  2843,  2428,  2193,   733,   573,  2287,  2046,
    1111,  1657,  3470,  2113,  1119,  3180,  3031,   640,   660,  1853,
    1768,  2945,  1767,  2194,  3911,  1767,  3913,   573,  2077,  2844,
    2845,  2846,  3424,  2847,  2848,  2849,  2850,  2851,  2852,  1843,
    2242,  1211,   573,   894,  1640,  1641,  1642,  1643,  1644,  1645,
    3249,  1299,  1915,  3144,  4128,  1347,  1844,  1300,  2542,  2849,
    2850,  2851,  2852,   573,  3643,  2838,  2839,   653,  2185,  2186,
    2854,  3144,   726,  4107,    65,  1658,    75,  2047,   134,  2609,
     163,   169,  4129,  3506,   734,  1300,  1853,   788,   789,   790,
    2480,   791,   792,   793,   794,   795,   796,   661,  1642,  1643,
    1644,  1645,  2078,  1398, -1475,  1242,   976,  1793,  4200,  2689,
    2889,  2890,  2794,  3490,  1283, -1475,  3432,  1568, -1475,  1187,
    1768, -1475,  1124,  1768,  4112,  1426,  1429,  1430,  3250,  3901,
    4090,  2324,  2048,  3612,  1900,  3904,  2049,  2139,  2243,  2133,
    3908,   902,  1296,  3910,  1414,  3850,  2842,  3245,  3821,  2142,
    -741,  2682,  3471,  3184,  1469,   902,  1794,  2128,  1301,  3851,
    3972,  2149,  2481,  2175,  1013, -2174,   171,  2840,   175,   680,
    1835,  2110,  1969,  3615,  2847,  2848,  2849,  2850,  2851,  2852,
    1836,    38,  1125,  1415,  1436,  1845,  1301,  1263,  1534,   640,
    3185,  2176,  1418,  1470,  3032,  3247,  1837,  1000,  3059,   610,
    2046,  3555,   895,  3186,  2177,   574,  2244,  2182,   902,  2184,
      42,  3491,  2187,  1419,   724,  1445,  4041,  1109,    15,  1854,
    1621,  3033,  2467,  2162,  2480,  1556,  1499,  2683,  1501,  2050,
    1503,  1297,  1505,  3507,  1507,  1508,  1509,  2449,  2380,  1109,
    2027,  1511,  1284,  1158,  1572,  1624,   719,    46,  3556,   765,
     767,   611,  3397,   771,   772,  3472,   896,  1187,  3473,    47,
    2325,  2245,  3251,  2260,  2326,  2246,  3071,  3007,  2047,   662,
     663,   809,   659,   725,  1599,  3156,   735,  1626,  2584,  2028,
    1846,  1613,  4174,  3433,  2585,  3187,  4060,  4050,  1610,  2450,
    3159,  1618,  4201,  2409,  1620,  2665,  2481,  1621,  1855,  1302,
    2327,  1655,  3663,   712,  2721,  3060,  3008,  2795,   798,  1264,
    3616,  3434,  3852,  2483,  -149, -1828,  1164,  -569,   902,  3613,
    3252,  1671,  1624,  2048,  2051,   902,   902,  2049,  1838,  1625,
    3157,  1303,  3729,  4038,  2928,  1416,  1776,   701,  2928,   726,
    1159,  -149,  3733,  2052,  3450,  1471,  2266,  2266,  1929,  1783,
    1784,  2266,  1788,  2842,  1626,   640,  3740,  3832,  2247,   640,
     640,  4202,  1420,  1304,   732,   732,  1684,   732,  2521,  3410,
     730,   730,  3723,   730,  3828,  2847,  2848,  2849,  2850,  2851,
    2852,  3732,  2593,  1166,  1767,  2586,  4203,  2050,   814,   573,
    1767,  2266,  2266,  3025,  2847,  2848,  2849,  2850,  2851,  2852,
    2506,  4139,  3305,  2096,  3956,  3306,  1629,  1630,  3857,  2523,
    4164,  2843,  1195,  1813,  2075,  4081,  3858,  2873,  2522,  3451,
    2050,  1437,  2328,  2880,  1417,  3053,  3657,  2050,  4136,  4137,
     573,  2029,  2105,  3588,  1472,  1998,    38,  2758,   726,  3757,
    3054,  1178,  2572,  1885,  3947,  1164,  3061,  2483,   640,  2763,
    2575,  1633,  2577,  2248,   640,   727,  3144,  3944,  3009,  2524,
    3147,  3533,  1628,  2734,  2389,    42,   543,  3536,  3537,  3538,
    3539,  3540,  3541,  1438,  1922,  3452,  4192,  4210,  3062,   815,
     721,  2097,  1768,  1629,  1630,  1972,  2445,   972,  1768,    38,
    3574,  2708,  2709,  2710,  2711,  1133,  1873,  3589,   726,  1134,
    2125,  2590,    46,  3758,   640,  3957,   798,   640,   640,  2131,
    3063,  3275,  1166,  2491,    47,  2051,  3381,  1900,    42,   816,
    2030,  1849,  3307,   545,  3974,  3430,  2587,  4082,  1633,  1886,
    3814,  3576,  3308,  2591,  1985,  4101,  2076,  2025,  -888,  2433,
    2754,  1634,  2471,  1454,   736,  3382,  2390,  3010,    48,  1850,
    1167,  3610,  1998,  2569,  2948,    46,  2796,  4260,  2588,  3815,
    3716,   722,  4230,  2015,  1439,  2592,  3293,    47,   817,   640,
    3384,  3859,  1960,  4267,  4256,   868,  3278,   869,   778, -2174,
   -2174,  2449,  2847,  2848,  2849,  2850,  2851,  2852,   543,  3026,
    2589,  2508,   770,  2026,  4083,  2757,  3380,  4102,  3646,  2492,
    3647,    48,  2569,   860,  1998,  2080,  3302,   863,  1960,  2765,
    2766,  2086,  1440,  2768,  3279,  2940,  2081,  2082,  2941,  2772,
    2083,   629,  3846,  2797,   886,  2084,  1767,  1767,  1767,  2085,
    3322,  1621,   798,  2993,  4053,  1640,  1641,  1642,  1643,  1644,
    1645,  2816,   630,  3304,  4059,   545,  3309,  3310,  3311,  3312,
    3313,  3314,  3315,  3316,  3317,  3318,  1624,  2558,  3920,  3921,
    3268,  2098,   553,  3847,   554,  3381,  2928,  3247,  2784,  3386,
    1388,  2928,  4103,  2099,  2928,  3915,   782,  2805,  2941,  4020,
    2560,  3671,  1851,  4104,  3672,  2158,   559,   807,  1626,  2867,
    3955,  1923,  2005,  1488,  3382,  1441,  1489,  1961,   171,  1962,
     175,  2144,  -369,  2006,  3443,  3358,  3359,  1267,  2996,  3383,
    2148,   813,  1640,  1641,  1642,  1643,  1644,  1645,  1013,  3384,
    2892,  2840,  3946,  2161,  1768,  1768,  1768,  1192,  1454,  2208,
    2007,   821,  3877,  1961,  2003,  1962,  1184,   677,  2594,  1268,
     854,  1774,  3385,  1767,  1775,  3960,  2665,   171,  2205,   175,
    2202,  2203,  2204,  1966,  2561,  1612,    33,  4089,  1189,  1193,
    1109,  1109,  3905,  1767,    33,  2164,  2004,  2165,  1185,  2166,
    2595,  2167,   951,  2168,  2251,  3380,  3127,  2169,  3158,  3160,
    3161,  3006,  4097,  1309,   553,  2315,   554, -1320,  2316,  1931,
    1190,  1194,   859,  1819,  3762,  3763,  2060,  2196,  3177, -1320,
    1186,  2239,  2240, -1320,   861,  3178,  1976,  2562,   559,  2252,
    2317,  3673,  3566,  2255,  2256,  3179,  3443,  3929,  3386,  3931,
    2207,   178,  1191,   878,  2750,  1820,  2894,  3093,  2277,  2895,
    2278,  1290,  4116,   871,   884,   872,  1932,  1933,  2313,  2225,
    2596,  1768,  1931,  3180,  3381,  3181, -1320,  3984,  3094,   892,
    2300,  2896,  2301,  1258,  1259,  4048,  2771,  1821,  2563,  1680,
     179,  1768,  1195,  1291,  2928,  2782, -1320,   724,  1292,  1117,
    1929,  2373,  2597,  3382,  3985,  3552,  3000,  3554,  1620, -1355,
    3557,  1621,  3558, -1355,  3798,  3799,  2841,  2356,  3383,  1932,
    1933,  1661,  3906,   671,  1911,  1293,  2370,  1164,  3384, -1354,
     700,  1165,  1916, -1354, -1320,  2318,  1624,  2842,  3462,   893,
    2319,   798, -1320,  1625,  2214,  2320,  2461,  2998,  1342,   889,
    3182,  3385,   778,  1929,  2266,   889,   725,  2266,  2266,  2266,
    2266,  2266,  2266,  2266,  2266,  2266,  2266,  3019,  1626,  1937,
     908,  2959,  1403,  1404,   623,    38, -1355,   890,  2564,  2713,
    2425,  2897,  1476,  3209,  2714,  2429,  2898,  3333,  2432,  1431,
       3,     4,  3448,  2215,  1166,  2843, -1354,  2943,  1777,  3056,
    3211,  1778,  1767,  1477,    42,  1591,  3183,  2002,   934,  2565,
    2454,  3184,  3587,  3037, -1355,  3039,  2266,  2266,  1457,  1459,
     891,   925,   726,  2489,  1592,  3690,   891,  3386,  1568,  2228,
    1187,  3057,  1167,  2891, -1354,  3335,  2909,  2395,  1593,  2493,
    2381,    46,  2384,  1931,  3508,   944,  2216,  2813,  3185,  2439,
     610,  2442,  2160,   171,  2411,  1555,   640,    48, -1320,  1931,
    1591,  3186,  2507,  3058,  2321,  3509,  3469,  3474,  2159,    15,
    1133,  2160, -2174,  2322,  1134,  2217,  1628,   940,  1931,  1592,
    2218,  2566,  4214,    28,  1373,  2538,   945,    48,  1143,  2567,
    1932,  1933,  2568,  1595,  3091,   623,  3443,  1629,  1630,  3098,
    1768,  1620,   611,   977,  1621,  2899,  1932,  1933,  2559,  3323,
    3324,  2570, -2174,   981,  2900,  2814,  3285,  1308,  1116,  1154,
    2815,    38,    33,  2228,  1929,  1932,  1933,  2219,  2578,  1624,
    2171,  2670,  3466,  2172,   987,  2582,  1625,  1568,   727,  1826,
    1929,  3167,  1633,  3187,  3289,   990,  2714,   638,  2605,  1309,
      42,   997,   638,  2982,  2983,  1634,  2985,  2612,  1000,  1929,
    3191,  1626,  2844,  2845,  2846,    38,  2847,  2848,  2849,  2850,
    2851,  2852,  1013,  2293,  1767,  2840,  2296,  3961,  1767,   992,
    1767,  3691,  3692,  2671,  1133,   999, -1831,    46,  1134,  2529,
    1255,  1256,  3350,  2999,    42,   208,   998,  3356,  3981,    47,
    1001,   528,  3878,  3879,  3880,  3881,  3144,   195,  1568,   607,
    1826,  2542,  1002,  3481,  2866,  1535,  2868,  2869,  2601,  1003,
    1195,  2173,   640,  1007,  2172,   678,  2902,  2913,    28,  2914,
     640,    46,   640,    48, -2174,  4189,  2915,  2199,  2916,  1620,
    2200,  2220,  1621,    47,  4262,  2386,  4263,  2221,  1454,  3256,
    1154,  3288, -1308,  3259,  1006,  3261,  2634,  3263,  3264,  1120,
    2672,  2673,  2773,  1009,  2634, -2174,  3269,  1624,  1122,  1628,
    2689,  3689,  1768,  2674,  1625,  2222,  1768,  4215,  1768,  2421,
    3445,  3446,  2200,  3074,  1900,  2499,  1269,    38,  2500,  2554,
    1629,  1630,  2555,  2266,  2223,  2665,  4016,  1126,  3286,  1626,
    1127,  2651,  2806,  2560,  2652, -2174,  2808,  3620,  3329,  2666,
      38,  2776,  2667,  1132,  2172,  3207,    42,  2664,  2224,  2693,
    2675,  2707,  2812,  1128,  3290,  2160,  1640,  1641,  1642,  1643,
    1644,  1645,  1144,  2822,  1270,  1633,  2160,  1151,  1925,    42,
    2702,  2825,  1154,  2829,  2160,  2736,  2160,  1152,  1634,   171,
    2722,   902,  2830,    46,  2705,  2160,  2856,   612,  3104,  2160,
    2872,  2842,  1155,  2160,  3360,    47,  1013,  2877,  3047,  2840,
    2878,  3048,  3051,  1580,  1581,  3052,    46,  2561,  3198,  3229,
    1162,  3199,  3230,   902,  3236,  1176,  3696,  3237,    47,  2121,
    2122,  1981,  1982,  1983,  1984,  3294, -2087,  3330,  2160,   613,
    3331,  1177,  1161, -2174,  1163,   798,  1535,  1628,  2676,  3201,
    2677,  3204,  3925,  3340,  1271,  3192,  3341,  3194,  1321,  2843,
    1187,  3352,    48, -1081,  2160, -1081,  1181, -2174,  1629,  1630,
    2562,  3422,  2022,  2023,  3423,  2954,  2955,  3426,  2032,  3549,
    3427,  1205,  3449, -2174,  2942,  2172,  2929,  3545,   640,  1210,
    3546,  3398,  3400,  3393,  3695,  3748,  1228,  2200,  3749,  1272,
    1260,  1273,  2266,  2266,  1262,  3754,  3755,  2952,  2172,  2172,
    1298,  3842,  1968,  1633,  3843,  3887,  2694,  3242,  3888,  1307,
    3889,  2563, -2087,  2160,  2057,  1945,  1634,  3897,  1013,  3964,
    2200,  2840,  3965,  3978,  2929,  4017,  3979,  3274,  4018,  1316,
    4028,  1275,  3882,  2200,  4035,  1317,  4040,  1454,  3697,  3218,
     719,  2091,  2092,  2093,  2094,  4042,  1325,  3284,  3218,  1640,
    1641,  1642,  1643,  1644,  1645,  3715,  1327,  3718,  3898,  3899,
   -2087,  4099,  4110,  4117,  1660,  4111,  2200,  1334,  4118,  1770,
    1277,  2878, -2087,  1339,  4119,  4122, -2087,  2160,  1454,  1341,
    4124, -2087,  1610,  3218,  2017,  2842, -2087,  4141,  4147, -2087,
    2200,  2200, -2087,   537,  4148, -2174,  2313,  2200,  2401,  2402,
    2228,  2564,  3967,  1535,  4178,  1329,  1279,  1454,  2155,  4258,
    2978,  3528,  4259, -1378, -1378,  2912,  2844,  2845,  2846, -2087,
    2847,  2848,  2849,  2850,  2851,  2852,  4272,  1348,  2922,  4259,
    3561,  3562,  2565,  2622,  2623,   902,  3622,   719,  1351, -2087,
    1195,  2695,  1392,  2843,  3107,  3108,  1394,  2917,  2063,  1396,
    2960,  2961,  1388,  1408,  3128,  -166,  1410,   171,  2205,   175,
    2202,  2203,  2204,  2918,  2919,  2920,  1412,  2944,  1424,   640,
    1432,   195,  3551,  1442,   543,  1447,  2922, -2087,  1448,   718,
    2696,  3694,  1449,  1450,  1451, -2087,  1453,  1640,  1641,  1642,
    1643,  1644,  1645,  1109,  -882,  1454,  1460,  3129,  1463,  1464,
    1465,  1466,  1767,  2127,  2566,  1468,  3641,  2842,  1473,  1474,
    1475,  1480,  2567,  1512,  1487,  2568,  3863,  1537,  1539,  1543,
     902,  3130,  1552,  1545,  1546,  1553, -1479, -1486,  1562,  1565,
    1566,   545, -2087,  1567,  1571,  3127,    48,  3055,  3131,  1573,
    1576, -1476,  3132, -1477,  3067,  4026,  1577,  1578,  1579,  1584,
    1586,  1587,  1767,  2310, -1480,  1588,  2952,  1589, -1478,  1590,
    3133,  1597, -2089,  1598,  1600,  2843,  1601,  1602,  1603,  1604,
    1605,  1606,  1607,  2704,  2952,  1649,  3134,  1660,   653,  4070,
    1675,  4072,  1664,  3645,  1165,  1781,  1683,  1808,  1167,  1816,
    3648,  3649,  1822,  1823,  1824,  1826,  1827,  3050,  1828,  3678,
    1768, -2087,  1829,  3101,  1830,  1831,  1852,  1856,  1878,  1880,
    2844,  2845,  2846,  2266,  2847,  2848,  2849,  2850,  2851,  2852,
    1883,  3654,  3890,  1212, -2087,  3072, -2087, -2087,  1881,  1882,
    1904,  1905,  1913,  1911,  1923,  1924,  1926,  1927,  1929,  2266,
    2266,  1928,  1935,  1936,  1938,  1941,  1942,  1943, -2089,  1956,
    1768,  1963,  1949,  3135,  1950,  1953,  1954,  1213,  1964, -2087,
    1970,  3136, -2087, -2087, -2087,  1242,  1977,  1978,  1988,  1989,
     553,  3529,   554,  1990,  3810,  1999,  2303,  1994,  2001,  1993,
    2018,   556,  2019,  2031,  2033,  2634,  2034,  2041,  2634,  2634,
    3803,   558,  2634,  1558,   559,  3137, -2089,  1568,  2043,  2044,
    1574,   778,  2634,  1013,  2061,  2064,  2840,  1347, -2089,  2267,
    2067,  3146, -2089,   539,  1214,  2068,  2073, -2089,  2071,  2074,
    1284,  2090, -2089,  2267,  2095, -2089,  2114,  2108, -2089,  3146,
    2109,  2119,  2844,  2845,  2846,  2117,  2847,  2848,  2849,  2850,
    2851,  2852,   902,  2120,   902,   640,  1215,  2124,  3600,  3601,
    2135,  2136,  3153,  3155,  2137, -2089,  3620,  3162,  1998,  2151,
    2152,  2183,  2188,   640,  2138,  2210,  2197,  2233,  2276,  2288,
    2348,  2294,  2275,  1621,  3277, -2089,  3216,  2234,  2298,  2299,
    2306,  2312,  2358,  3197,  2329,  2331,  2371,  2463,  2464,  2465,
    2374,  3205,  3287,  2378,  2473,  2379,  2475,  1183,  2477,  2478,
    3885,  3771,  3772,  3241,   902,   171,  3233,   725,  2397,  3212,
    2396,  2424,  2406, -2089,  2422,  2435,  3220,  3651,  3652,  3653,
    3226, -2089,  2387,   171,  3255,  2375,  2266,  2388,  2420,  2400,
    2423,  2443,  2440,  3235,  2445,  2447,  3849,  2448,  1216,  2929,
    2453,  2456,  2459,  2479,  2476,  2462,  2495,  2490,  2497,  2557,
    2544,  3794,  3795,  3800,  2549,  2553,  2556,  2611,  2598,  2615,
    3265,  2616,  2619,  3266,  2620,  2624,  2625,  2627, -2089,  2628,
    1217,  2631,  2629,  2630,  2641,    33,  2643,  2647,  2650,  1218,
    2654,  2657,  2659,  2658,  2668,  4170,  2687,  1219,  2660,  2661,
    2573,  2663,  2842,  2662,  1220,  3863,  2692,  2706,  1109,  2700,
    2712,  2715,  1221,  2720,   640,  2719,  2735,  2737,  2749,  2929,
    1222,  2751,  2752,  2753,   653,  2755,  2756,  2764,  1223,  2767,
    2770,  2769,  2778,  2781,  2779,  2790,  3966,  2780,  2211,  2798,
    2775,  2802,  2804,  2807,  2809,  1767, -2101, -2089,  2810,   719,
    2783,  2823,   983,  2824,  2826,  2626,  2827,  2828,  3347,   719,
    2843,  2831,  3735,  2635,  2636,  2637,  2638,  2639,  2640,  2952,
   -2089,  2832, -2089, -2089,  2834,  2510,  2862,  2874,  1224,  3871,
    2837,  3872,  3873,  2855,  2160,  2893,  2888,  2931,  2861,  2863,
    2864,  1610,  3876,  2871,  2908,  2937,  2886,  2939,  -928,  2964,
    2901,  3373,  3916,  2887,  2966, -2089,  2911,  2970, -2089, -2089,
   -2089,  3408,  2976,  2936,  3463,  2981,  2984,  2987,  2986,  2995,
    4027,  3016,  2991,  3002,  3370,  3371,  3372,  2992,  3023,  3024,
    3036,  3038, -2101,  3075,  3366,  3367,  3368,  3369,  3069,  3070,
    3073,  3082,  3077,  1768,  3078,  4212,  3824,  2723,  3076,  3079,
    3085,  3080,  3081,  3083,  3084,  3086,  1212,  2742,  3087,  3088,
    3089,  3787,  3788,  3097,  3790,  3090,  3095,  1986,  3099,  3111,
    3105,  3117,  2759,  3118,  2761,  3119,  3120,  1212,  3510,  3121,
   -2101,  3513,  3148,  3122,  4063,  3151,  2050,  3152,  4068,  4069,
    1213,  3163, -2101,  3164,  3168,  3169, -2101,  2156,  3206,  3195,
    3208, -2101,  3210,  3531,  3217,  3218, -2101,  3224,  2656, -2101,
    3928,  1213, -2101,  3222,  3228,  3231,  3254,  3803,  3260,  3227,
    3262,  3271,  3234,  3272,  3146,  4064,  3273,  2844,  2845,  2846,
    4067,  2847,  2848,  2849,  2850,  2851,  2852,  3276,  3282, -2101,
    3281,  3501,  3292,  3283,  3502,  3297,  3503,  1214,  1555,  2858,
    2840,  1614,  2857,  3326,  3327,  3500,  3328,  3334,   640, -2101,
    3342,  3355,  3354,  2811,  3523,  3524,  4030,  3363,  1214,  1232,
    3401,  3395,  3418,  1767,   640,  1233,  3392,  3379,  3415,  1215,
    3411,  3436,  2634,  3412,  3454,  3414,  3464,  3456,  2634,  2634,
    2634,  2634,  2634,  2634,  3457,  3484,  3465, -2101,   902,  3482,
    1215,  3483,  3553,  3467,  3475, -2101,  4244,  3496,  3494,  3495,
    4095,  3497,  4025,  3505,  3498,  3499,  3521,  1234,  3470,  3525,
    3532,  3534,  3535,  3563,  3564,  1767,  3603,  3565,  3584,  2743,
    3592,  3596,   640,  3605,  2172,  3246,  1767,  3606,  3609,  3624,
    3628,  3571,  3573,  3575,  3577,   971,   972,  3650,  3608,  3629,
    3631,  3639, -2101,  3638,  3644,  3655,  3560,  3658,  4244,  3642,
    3670,  3659,  4002,  3660,  3661,  2799,  4051,  3662,  1235,  4244,
    3674,  1768,  3667,  3567,  3675,  3570,  1236,  3680,  3709,  1237,
    4169,  4047,  3679,  3687,  3711,  3719,  3681,  3682,  3683,  3707,
    3722,  3724,  3593,  3712,  3725,  4075,  3736,  3936,   653,  3743,
    3727,  3728,  3739,  3750,  3745,  3633,  1652,  2929,    33,  3751,
    1888,  2929,  1218,  3765,  3780,  3604,  3766,  4163,  3767,  3791,
    1219, -2101,  3773,  1768,  4127,  3950,  3797,  1220,  3801,    33,
    3808,   798,  1238,  1218,  1768,  1309,  3816,  3783,  3813,  3817,
    3825,  1219,  1620,  1222, -2101,  1621, -2101, -2101,  1220,  3829,
    3830,  1223,  3834,  3836,  3841,  3844,  1309,  3848,  3854,  3860,
    3861,  3869,  1622,  3665,  1222,  3875,  3883,  3884,  3886,  3891,
    1624,  4233,  1223,  3894,  3893,  3895,  3896,  1625,  3902, -2101,
    3918,   640, -2101, -2101, -2101,  3909,  3912,  1239,  3930,  3922,
    1240,  3924,  3942,  3952,  2267,  2267,  3926,  3945,  3953,  2267,
    1241,  1224,  1626,  3959,  3003,  3958,  3004,  3005,  1242,  3968,
    3591,  3975,  3977,  3987,  3988,  3990,  3992,  1243,  4004,  4005,
    4006,  4008,  1224,  4007,  4010,  4011,  2745,  3246,  4012,  4031,
    4037,  4046,   726,  4054,  4061,  4084,  4088,  4091,  4114,  2267,
    2267,  4094,  4108,  4109,  4121,  4115,   961,   963,   965,  1244,
    4120,   967,   968,   969,  1245,  4125,  4126,  4131,  4034,  2922,
    4133,   974,  4144,  2922,  4065,  4150,  1481,  4153,  4034,  4149,
    4155,  4159,  3703,  3704,  3705,  3706,  4166,  3403,  4167,  4168,
    3774,  1246,  4171,  3734,  4188,  4191,  4196,  4151,  4193,  3744,
    4199,  4152,  3784,  4236,  4254,  4207,  4257,  4224,  4265,  2000,
    2703,  4247,   171,  3737,  4270,  1156,  1627,  1231,  2946,  3034,
    1628,  4138,  2548,  3479,  2610,  4074,  3124,  3742,  1682,  3962,
    3802,  3840,  4076,  3989,  4229,  3626,  3991,  3001,  3796,  3822,
    2989,  1629,  1630,  4001,  4194,  2777,   640,  1247,  3934,  4232,
     649,   650,  4156,  4154,  4205,   656,  1631,  2994,  4096,   666,
     672,   649,  3595,   679,  2685,  3627,   672,   672,  3768,   705,
    2686,   708,  3478,  2107,  3045,  2087,  3597,  3598,  2669,  3213,
    4271,  4235,  4266,  1632,  4206,  3165,  1633,   640,  3951,  3149,
    2072,  1620,  4146,  4197,  1621,  3954,   655,  3656,  1530,  1634,
    3777,  3778,  1635,  4123,  4049,  3781,  3782,  3634,  2503,  4113,
    3635,  4135,  3096,   904,  4217,  2634,  2634,  4268,  1129,  1624,
    3982,  2382,  3738,  2383,  3614,  2949,  1625,  3428,  3064,   902,
    3066,  1779,  2163,  3806,  1150,  3807,  2950,  2405,  3811,  3812,
    2958,  2962,  2404,  2399,  1805,  2975,  1804,  1809,  2963,  2929,
    2942,  1626,  3375,  3717,  2929,  4039,  3429,  2929,  2655,  1812,
    1137,  4029,  3346,  3336,  3819,  4179,  4187,  4180,  2953,  2906,
    2819,  2904,  3425,  2357,     0,  3092,   798,  1620,  1636,     0,
    1621,     0,     0,   640,     0,     0,     0,  2929,     0,     0,
    3838,     0,     0,   171,  3831,     0,     0,  1622,     0,  2952,
    3110,     0,     0,     0,   798,  1624,     0,     0,   761,   766,
     766,   769,  1625,   766,   774,  3949,   761,   780,   705,  3862,
     784,   800,     0,   780,     0,   705,     0,   705,     0,     0,
       0,   766,   780,   705,     0,     0,     0,  1626,     0,     0,
    3665,  3665,  3665,  3665,     0,     0,     0,     0,     0,     0,
       0,     0,   778,     0,     0,  1627,     0,  3291,  3868,  1628,
       0,     0,     0,  2742,     0,     0,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,  2376,     0,
    1629,  1630,     0,  1212,  2377,     0,     0,  1498,     0,     0,
    1500,     0,  1502,     0,  1504,  1631,  1506,     0,     0,  2929,
    1510,  2922,     0,     0,     0,     0,  2922,     0,  2510,  2922,
       0,     0,     0,     0,     0,     0,     0,  1213,     0,     0,
       0,     0,  1632,     0,     0,  1633,     0,     0,     0,     0,
    3257,     0,     0,     0,  1620,     0,     0,  1621,  1634,     0,
       0,  1627,     0,     0,     0,  1628,     0,  2929,     0,     0,
       0,     0,     0,     0,  3146,     0,     0,     0,     0,     0,
       0,     0,  1624,     0,     0,     0,  1629,  1630,     0,  1625,
       0,     0,     0,     0,  1214,     0,     0,     0,  2634,     0,
       0,  1631,  3963,  3927,     0,     0,     0,     0,   640,     0,
       0,     0,     0,     0,  1626,     0,  3298,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1215,     0,  1632,     0,
       0,  1633,     0,     0,     0,  3303,     0,  1636,     0,     0,
       0,     0,     0,     0,  1634,     0,     0,  1635,     0,     0,
       0,     0,     0,  3971,     0,  2743,     0,     0,     0,     0,
    3325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3458,  3459,  3460,  3461,     0,  3361,
       0,     0,     0,     0,  1109,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1535,     0,     0,     0,
     798,     0,  2267,     0,     0,  2267,  2267,  2267,  2267,  2267,
    2267,  2267,  2267,  2267,  2267,     0,     0,     0, -2174,  2922,
       0,     0,  1628,  1636,     0,  1637,  1638,  1639,     0,  1640,
    1641,  1642,  1643,  1644,  1645,  2267,     0,     0,     0,     0,
       0,     0,     0,  1629,  1630,     0,     0,  1232,     0,     0,
       0,     0,  4161,  1233,     0,    33,     0,     0, -2174,  2744,
       0,     0,     0,     0,  2267,  2267,   902,  1219,     0,  2929,
       0,     0,   824,     0,  1220,     0,     0,   705,  4058,   761,
       0,     0,  1309,   766,     0,   769,     0,   766,  1633,     0,
    1222,   780,     0,   784,   800,  1234,   780,   881,  1223,  4195,
       0,  1634,     0,     0,   766,     0,     0,   780,     0,     0,
       0,  1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,
    1645,   903,     0,     0,     0,   761,     0,     0,  2833,     0,
     769,     0,     0,     0,   761,     0,     0,   784,   800,     0,
       0,     0,     0,     0,     0,  3585,  1235,     0,  1224,     0,
       0,     0,  2745,   766,  1236,     0,     0,  1237,     0,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1620,
   -2174,     0,  1621,  1858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   705,     0,     0,     0,     0,     0,  1624,     0,     0,
    1238,   705,   996,     0,  1625,     0,     0,  1859,     0,     0,
       0,     0,     0,  4269,     0,     0,     0,     0,     0,     0,
    1104,  1860,   705,   672,     0,   903,     0,   672,     0,  1626,
       0,     0,     0,     0,  1861,     0,  1232,     0,     0,   705,
       0,     0,  1233,   705,     0,     0,     0,     0,  1384,  1104,
       0,     0,     0,     0,     0,  1239,     0,     0,  1240,     0,
     705,     0,  1640,  1641,  1642,  1643,  1644,  1645,  1241,     0,
       0,     0,   705,  4253,     0,  1862,  1242,   171,  4222,   175,
    4219,  4220,  4221,     0,  1234,  1243,     0,     0,     0,     0,
       0,  3602,     0,     0,  3364,     0,     0,     0,  4243,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,  1864,
       0,     0,     0,   705,     0,  4252,  4222,   175,  4219,  4220,
    4221,     0,  1245,   766,   766,     0,     0,     0,     0,     0,
       0,  2267,  4242, -2174,  1232,  1235,     0,  1628,     0,     0,
    1233,     0,     0,  1236,     0,     0,  1237,     0,     0,  1246,
    4243,     0,     0,     0,     0,     0,     0,     0,  1629,  1630,
       0,  4243,   761,   171,  4222,   175,  4219,  4220,  4221,     0,
       0,     0,   761, -2174,  1620,   800,     0,  1621,     0,  1384,
       0,     0,  1234,     0,  4242,     0,     0,     0,   766,     0,
       0,     0,     0,     0,  1622,  4242,     0,     0,     0,  1238,
       0,     0,  1624,  1633,   705,  1247,     0,  1865,     0,  1625,
    1401,     0,   766,   766,     0,     0,  1634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   705,   705,   705,   766,
       0,   761,     0,  1235,  1626,     0,   195,     0,     0,     0,
    1535,  1236,     0,     0,  1237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1239,     0,  1401,  1240,   766,   766,
       0,     0,     0,     0,  3789,     0,     0,  1241,     0,     0,
    1866,     0,     0,     0,     0,  1242,  1867,   903,  3792,  1868,
       0,   784,  1104,     0,  1243,     0,     0,     0,     0,  1620,
       0,   903,  1621,     0,     0, -2174,     0,  1238,     0,     0,
    2267,  2267,     0,     0,  1869,     0,     0,     0,     0,  1670,
    1870,     0,     0,  1515,  1515,     0,  1287,  1624,   705,     0,
     649,  1245,     0,  1871,  1625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1544,  1627,  3761,
     705,     0,  1628,  1550,   903,     0,     0,  1872,  1288,  1626,
       0,     0,  1239,     0,     0,  1240,  1104,     0,     0,     0,
    3770,     0,     0,  1629,  1630,  1241,     0,     0,     0,  3839,
    1384,     0,  3779,  1242,     0,     0,     0,     0,  1631,     0,
       0,     0,  1243,     0,  1104,     0,     0,  1640,  1641,  1642,
    1643,  1644,  1645,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1247,  1632,     0,     0,  1633,     0,
    3793,     0,  1104,  1104,  1312,  1104,     0,  1384,     0,  1245,
       0,  1634,     0,  1620,  1635,     0,  1621,     0,     0,     0,
       0,     0,  1104,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1313,  1619,     0,  1384,
       0,  1624,  1620,  1627,   903,  1621,     0,  1628,  1625,     0,
       0,   903,   903,     0,     0,     0,     0,   705,     0,     0,
    1104,     0,  1622,     0,     0,  1623,     0,     0,  1629,  1630,
    1624,     0,     0,  1626,     0,     0,     0,  1625,     0,     0,
       0,     0,     0,  1631,     0,     0,     0,     0,     0,  1104,
    1636,     0,  1247,  1104,  1104,     0,     0,     0,  3937,  3939,
    3939,     0,  1626,   705,   705,  1815,     0,     0,  1384,     0,
       0,     0,     0,  1633,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,  1634,  1384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3700,     0,
       0,     0,     0,     0,     0,     0,     0,  1384,   672,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1910,
       0,     0,     0,     0,     0,   705,     0,     0,   766,     0,
       0,     0,  1384,     0,     0,     0,     0, -2174,  1637,  1638,
    1639,  1628,  1640,  1641,  1642,  1643,  1644,  1645,     0,   800,
       0,     0,     0,     0,     0,  2881,     0,     0,     0,     0,
       0,     0,  1629,  1630,     0,  1636,  1627,  4013,     0,     0,
    1628,  2267,     0,     0,     0,     0,     0, -2174,     0,     0,
    2267,   766,   766,   766,   766,   705,     0,  1384,     0,     0,
       0,  1629,  1630,     0,   780,     0,   672,  2267,  2267,     0,
       0,     0,     0,     0,     0,     0,  1631,  1633,     0,     0,
     784,   784,  2014,     0,   705,     0,     0,     0,     0,     0,
    1634,     0,   766,   766,     0,     0,     0,     0,   766,     0,
       0,     0,     0,  1632,     0,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,  4055,     0,     0,     0,  1634,
       0,     0,  1635,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,  4071,     0,  4073,     0,     0,     0,     0,
       0,     0,     0,     0,   766,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0, -2174,
       0,   766,   766,   766,   766,     0,     0,     0,     0,     0,
       0,   780,     0,     0,     0,  1620,     0,     0,  1621,  1535,
    2014,     0,     0,     0,     0,     0,     0,     0,  1636,   761,
       0,     0,     0,     0,     0,  1622,   769,     0,   761,     0,
       0,     0,     0,  1624,     0,     0,     0,   800,     0,  3092,
    1625,  2742,   705,     0,     0,     0,     0,     0,     0,  3939,
    1384,   705,     0,   780,     0,     0,     0,   766,   766,     0,
       0,  1212,     0,     0,   705,  1626,   955,     0,     0,     0,
       0,     0,     0,  1535,  2267,     0,     0,  1535,  1535,     0,
       0,  1640,  1641,  1642,  1643,  1644,  1645,     0,  4158,  1515,
       0,     0,     0,     0,     0,  1213,     0,   761,     0,     0,
       0,   705,   705,     0,     0,     0,  1637,  1638,  1639,   705,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,     0,
       0,     0,   649,   649,     0,     0,  2213,     0,     0,     0,
    1104,     0,  1104,     0,     0,     0,     0,     0,     0,  1104,
       0,     0,  1104,     0,     0,  1104,  4198,     0,     0,     0,
       0,     0,  1214,  1104,  1104,     0,     0,     0,     0,     0,
       0,  1104,     0,   800,  1104,  1104,  1104,  1104,     0,  1627,
       0,     0,     0,  1628,  1104,  1104,     0,  1104,     0,  1104,
    1104,     0,     0,  1104,  1215,     0,     0,     0,     0,     0,
       0,     0,     0,  4234,  1629,  1630,     0,     0,     0,  1104,
       0,     0,     0,   766,  1104,     0,     0,     0,  1104,  1631,
       0,     0,  1104,  2743,  1104,  1104,  1104,  1104,  1104,  1104,
    1104,  1104,  1104,     0,  1104,     0,     0,     0,   705,  1104,
       0,  1104,     0,     0,     0,     0,  1632,   705,     0,  1633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1634,     0,     0,  1635,     0,     0,     0,  1232,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1620,     0,     0,  1621,     0,  1234,     0,     0,
       0,     0,     0,    33,     0,     0,     0,  1218,     0,     0,
       0,     0,  1622,  1384,     0,  1219,     0,     0,  1384,  1384,
    1624,  1636,  1220,     0,     0,     0,     0,  1625,     0,  1384,
    1309,     0,     0,     0,     0,     0,     0,     0,  1222,     0,
       0,   705,     0,   705,     0,  1104,  1223,     0,  1235,     0,
       0,     0,  1626,     0,     0,     0,  1236,     0,     0,  1237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2412,     0,  2419,     0,     0,     0,     0,     0,   780,
       0,     0,     0,     0,   780,     0,  1224,   780,   769,     0,
    2745,     0,     0,   649,     0,   649,     0,     0,     0,  1637,
    1638,  1639,  1238,  1640,  1641,  1642,  1643,  1644,  1645,   780,
    1104,     0,     0,  2297,     0,   761,     0,   766,   766,   766,
       0,   761,   800,     0,   766,     0,   766,     0,   766,   766,
       0,     0,     0,     0,     0,     0,     0,     0,   780,     0,
       0,     0,     0,     0,     0,     0,  1627,     0,     0,     0,
    1628,     0,  1384,     0,     0,     0,     0,  1239,     0,     0,
    1240,   780,     0,  1910,     0,     0,     0,     0,     0,  2511,
    1241,  1629,  1630,     0,  2520,     0,     0,     0,  1242,     0,
     705,     0,     0,     0,   780,     0,  1631,  1243,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2551,
    2551,     0,     0,     0,     0,     0,   769,   780,     0,     0,
     780,     0,     0,  1632,     0,     0,  1633,     0,     0,  1875,
     766,     0,     0,     0,  1245,     0,  1384,   780,     0,  1634,
       0,     0,  1635,     0,   780,     0,     0,     0,     0,     0,
       0,     0,     0,  2600,     0,  2602,  2604,   780,     0,     0,
       0,  1876,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1620,
       0,     0,  1621,     0,     0,   766,     0,     0,     0,     0,
       0,     0,     0,   766,   766,   766,   766,   766,   766,  1622,
       0,     0,     0,     0,     0,     0,     0,  1624,  1104,     0,
       0,     0,     0,     0,  1625,     0,     0,  1247,  1636,  1384,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1910,     0,     0,   784,  1626,
    2551,   705,     0,     0,     0,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2600,     0,     0,     0,     0,     0,     0,   766,  2733,     0,
       0,     0,     0,     0,     0,     0,     0,   903,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   766,  2551,   766,  2551,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,   903,
    3150,     0,     0,   784,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1515,
       0,     0,     0,  1627,     0,     0,     0,  1628,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1629,  1630,
       0,     0,     0,     0,     0,     0,     0,   780,     0,     0,
       0,   761,     0,  1631,     0,   761,     0,     0,     0,     0,
       0,     0,     0,   766,     0,     0,     0,     0,     0,     0,
    1104,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
    1632,     0,     0,  1633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1634,     0,     0,  1635,
    1104,  1104,     0,     0,     0,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,  1104,  1104,
    1104,     0,  1620,     0,     0,  1621,     0,     0,     0,     0,
    1104,     0,     0,  1104,     0,  1104,  2885,     0,     0,     0,
       0,     0,  1622,     0,     0,  1104,  1104,     0,     0,  1104,
    1624,  1384,     0,     0,     0,     0,     0,  1625,     0,     0,
       0,     0,  1104,     0,  1104,     0,   800,     0,  1104,     0,
       0,     0,     0,  1620,     0,  1636,  1621,     0,     0,     0,
       0,     0,  1626,     0,  1104,     0,     0,     0,   705,  1384,
    1384,     0,  1384,  1622,     0,  2930,     0,  1104,  1104,  1104,
       0,  1624,     0,     0,     0,     0,     0,     0,  1625,     0,
       0,   903,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,     0,     0,     0,     0,
    1104,     0,     0,  1626,   705,     0,     0,  1104,  1620,     0,
       0,  1621,  1384,  2930,  1384,     0,  2969,     0,     0,     0,
    2419,     0,     0,     0,     0,     0,     0,     0,  1622,   780,
       0,     0,     0,  1637,  1638,  1639,  1624,  1640,  1641,  1642,
    1643,  1644,  1645,  1625,     0,     0,     0,  3345,     0,     0,
    1104,     0,  2551,     0,     0,     0,  1627,  1515,     0,  1384,
    1628,     0,     0,     0,     0,     0,   903,     0,  1626,     0,
       0,     0,     0,     0,   766,     0,   766,   766,     0,     0,
       0,  1629,  1630,     0,  1384,  2857,     0,     0,     0,     0,
    2858,     0,     0,     0,     0,     0,  1631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1627,     0,  1384,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,  1633,  1384,     0,     0,
       0,     0,  1629,  1630,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,     0,     0,     0,  1631,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,  1627,     0,  1632,     0,  1628,  1633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1634,     0,  1384,  1635,     0,     0,     0,  1629,  1630,     0,
       0,     0,     0,  1384,     0,     0,     0,     0,     0,     0,
       0,     0,  1631,     0,  1384,     0,     0,     0,  1636,     0,
       0,     0,   780,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,  2551,  2551,     0,  1632,
       0,     0,  1633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1634,     0,     0,  1635,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1384,     0,     0,     0,     0,     0,     0,     0,   903,     0,
     903,     0,     0,     0,   705,     0,     0,     0,     0,  1384,
       0,     0,     0,     0,     0,     0,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,  3413,  1515,
     705,     0,     0,     0,  1384,     0,     0,   705,     0,     0,
       0,   705,     0,     0,  1636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,     0,     0,
     903,     0,     0,     0,     0,     0,     0,  1637,  1638,  1639,
    1384,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,
       0,   705,     0,     0,   705,     0,     0,   780,     0,     0,
       0,     0,  3270,     0,     0,     0,     0,     0,     0,     0,
     761,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   705,
       0,   780,     0,     0,     0,     0,     0,   766,     0,     0,
       0,     0,  1637,  1638,  1639,  1104,  1640,  1641,  1642,  1643,
    1644,  1645,     0,     0,  1104,     0,  3417,     0,     0,     0,
    1104,     0,  1104,     0,     0,     0,     0,     0,  1104,     0,
       0,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,
    1104,     0,     0,     0,  1104,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,  1104,     0,     0,     0,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,     0,     0,  1104,     0,
    1104,     0,  1620,     0,     0,  1621,     0,     0,     0,  1104,
    1104,  1104,  1384,     0,     0,  1104,     0,     0,  1104,     0,
       0,     0,  1622,     0,     0,   705,   705,   705,  2930,  3378,
    1624,     0,     0,  3378,  3391,     0,     0,  1625,  1104,     0,
       0,     0,     0,     0,  3405,     0,  1104,     0,  1104,   520,
       0,     0,     0,     0,     0,   567,   520,     0,     0,     0,
       0,   609,  1626,   520,     0,     0,     0,     0,   520,     0,
     658,  1104,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,  2419,     0,  1104,     0,     0,     0,     0,   717,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3444,  1515,
    1515,     0,  2014,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   766,   766,   766,   766,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1620,     0,     0,  1621,     0,     0,
       0,     0,     0,     0,     0,  3477,     0,     0,     0,     0,
       0,     0,     0,     0,  1622,     0,     0,  1232,     0,     0,
       0,     0,  1624,  1233,     0,  1384,  1627,     0,     0,  1625,
    1628,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,  1269,
     780,  1629,  1630,     0,  1626,     0,  1384,     0,     0,     0,
       0,     0,     0,     0,  3526,  1234,  1631,     0,     0,     0,
     769,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   773,     0,
       0,     0,     0,  1632,   903,     0,  1633,  1270,   802,     0,
     804,     0,   806,     0,   808,     0,     0,     0,     0,  1634,
       0,  1620,  1635,     0,  1621,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,  1237,     0,     0,
       0,  1622,     0,     0,   705,  2389,     0,     0,     0,  1624,
       0,     0,     0,     0,     0,   766,  1625,  1104,     0,     0,
       0,     0,     0,   705,     0,     0,     0,     0,  1627,     0,
       0,     0,  1628,  1384,     0,     0,  1910,     0,     0,     0,
       0,  1626,     0,     0,  1384,     0,   705,  1271,     0,     0,
    1238,     0,     0,  1629,  1630,  2600,     0,     0,  1636,     0,
       0,  3621,     0,     0,     0,  1910,     0,  3270,  1631,     0,
       0,     0,     0,     0,     0,  1104,  1104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2390,     0,     0,
       0,     0,  1272,     0,  1273,  1632,     0,  2551,  1633,  2551,
       0,     0,     0,     0,     0,  1274,     0,     0,  1240,     0,
       0,  1634,     0,     0,  1635,     0,   780,     0,  1241,     0,
       0,     0,     0,     0,     0,     0,  1242,     0,     0,     0,
       0,     0,  1104,     0,  1275,  1243,     0,     0,     0,     0,
       0,     0,     0,  1384,     0,  1627,  1637,  1638,  1639,  1628,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,     0,
    3438,     0,     0,     0,  1384,     0,     0,  1276,  1104,     0,
    1629,  1630,  1245,  1277,     0,     0,  1384,     0,  1104,  1104,
       0,     0,     0,     0,     0,  1631,  1104,  1104,     0,     0,
    1636,  1104,     0,     0,     0,     0,     0,  1104,  1104,  1278,
       0,  1104,     0,   705,   705,   705,   705,     0,     0,  1279,
    3378,     0,  1632,  3708,  1384,  1633,  2930,     0,     0,     0,
    2930,     0,     0,     0,     0,     0,  3721,     0,  1634,  1104,
       0,  1635,     0,     0,  1104,     0,     0,     0,     0,     0,
    3731,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,   800,     0,     0,  1247,     0,     0,     0,     0,
    2969,     0,     0,     0,  2419,     0,     0,     0,  1620,     0,
       0,  1621,     0,   649,     0,     0,  1104,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,  1622,     0,
       0,     0,  3668,  2551,  2551,     0,  1624,     0,     0,     0,
       0,     0,     0,  1625,   856,     0,     0,  1636,     0,     0,
    3769,     0,   865,     0,     0,     0,     0,     0,     0,   780,
       0,     0,   882,   883,     0,     0,     0,   885,  1626,     0,
       0,   780,     0,     0,     0,     0,     0,   899,     0,     0,
       0,     0,     0,     0,   766,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,     0,  2391,     0,   766,     0,
       0,     0,     0,  1384,     0,   929,     0,   780,   931,     0,
     933,     0,   936,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   609,  1376,     0,   903,     0,     0,     0,     0,
       0,     0,     0,  1515,     0,  1637,  1638,  1639,     0,  1640,
    1641,  1642,  1643,  1644,  1645,     0,     0,     0,     0,   520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   993,  1627,   994,     0,     0,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   766,
    1910,     0,     0,     0,     0,     0,     0,  1629,  1630,     0,
       0,     0,  1384,     0,     0,     0,     0,     0,     0,   763,
       0,     0,  1631,     0,     0,     0,     0,   763,     0,   705,
       0,     0,     0,     0,     0,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,  1632,
       0,     0,  1633,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,  1376,  1634,  1104,     0,  1635,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1104,  1104,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,  3378,     0,     0,     0,  2930,     0,
       0,     0,  1384,  2930,     0,     0,  2930,  2600,     0,  3914,
       0,  1104,  1104,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1384,     0,     0,     0,     0,     0,     0,
     780,     0,   780,     0,  1315,     0,  3444,   800,   766,   766,
     766,     0,  1620,     0,  1636,  1621,     0,     0,     0,     0,
    1330,     0,     0,  1384,     0,     0,     0,     0,     0,     0,
       0,  1338,  1622,     0,   761,   800,     0,     0,  1340,     0,
    1624,     0,     0,     0,     0,     0,     0,  1625,     0,     0,
       0,     0,  1390,     0,     0,     0,     0,  1384,     0,     0,
       0,  1384,  1384,  1620,     0,  1515,  1621,     0,     0,     0,
       0,   761,  1626,     0,   705,     0,     0,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,  1435,  2551,     0,  1910,
       0,  1624,     0,     0,     0,     0,     0,     0,  1625,     0,
    3621,     0,  1637,  1638,  1639,   705,  1640,  1641,  1642,  1643,
    1644,  1645,     0,     0,     0,     0,  3702,   766,  3444,     0,
       0,     0,     0,  1626,     0,  1376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1104,     0,     0,  1104,     0,  1104,     0,     0,     0,     0,
     520,     0,   520,     0,   520,     0,   520,     0,   520,   520,
     520,     0,  1104,     0,     0,   520,  2930,     0,     0,  3914,
       0,     0,  1376,     0,     0,  4045,  1627,     0,     0,     0,
    1628,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   766,     0,     0,     0,   705,
       0,  1629,  1630,     0,  1376,     0,     0,     0,     0,     0,
       0,     0,   766,   766,   766,   766,  1631,     0,     0,     0,
       0,     0,   903,     0,     0,     0,     0,  1627,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
     763,   825,     0,  1632,  1104,     0,  1633,     0,     0,     0,
       0,     0,  1629,  1630,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,     0,     0,     0,  1631,     0,     0,
       0,     0,     0,  1376,     0,   826,     0,     0,     0,     0,
       0,     0,     0,  1378,     0,     0,   763,     0,     0,   827,
     828,     0,  1376,     0,  1632,   763,     0,  1633,   829,     0,
       0,     0,   830,  1104,     0,     0,     0,     0,     0,   766,
    1634,   800,  1376,  1635,     0,     0,     0,     0,  1104,     0,
     831,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1376,  1636,     0,
       0,     0,   717,   832,     0,     0,     0,     0,   766,     0,
       0,   761,     0,     0,     0,     0,     0,     0,     0,  1620,
       0,   833,  1621,  1401,   784,     0,     0,     0,  3444,     0,
       0,     0,   834,     0,     0,     0,     0,   835,     0,  1622,
       0,     0,  4045,     0,     0,  1104,  1104,  1624,   780,  1636,
    1620,   763,  1376,  1621,  1625,     0,     0,     0,   761,   836,
       0,  1874,     0,     0,     0,     0,   766,     0,     0,     0,
    1622,     0,     0,  2821,  1378,     0,     0,     0,  1624,  1626,
     763,     0,     0,     0,   837,  1625,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,  1104,     0,
    3892,     0,     0,     0,     0,     0,     0,     0,  1104,     0,
    1626,     0,     0,   766,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   838,     0,  1637,  1638,  1639,
       0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,
       0,  3932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   761,  1627,     0,     0,     0,  1628,     0,     0,
       0,   839,     0,   763,     0,     0,   840,     0,   841,     0,
       0,     0,     0,   763,   842,     0,     0,   843,  1629,  1630,
       0,     0,     0,     0,  1627,     0,     0,     0,  1628,     0,
       0,     0,     0,  1631,     0,  1376,     0,  1386,     0,     0,
       0,     0,   844,     0,   845,     0,     0,     0,   846,  1629,
    1630,     0,     0,     0,     0,     0,   847,  2066,     0,     0,
    1632,   848,     0,  1633,  1631,     0,     0,     0,     0,     0,
       0,     0,   763,  2089,  -123,  1378,  1634,     0,     0,  1635,
       0,     0,     0,     0,     0,   849,     0,     0,     1,     0,
       0,  1632,     0,     0,  1633,     0,     0,     0,     2,     0,
       3,     4,     0,     0,     0,     0,     0,  1634,     0,     0,
    1635,  2130,     0,     0,     0,  2134,     5,     0,     0,     0,
       0,     0,  1378,   763,     0,  2143,     0,  2145,     0,  2146,
       0,     0,     0,     0,  2147,     0,     6,     0,     7,     8,
       9,     0,     0,     0,     0,    10,     0,    11,     0,     0,
       0,     0,     0,     0,  1378,  1636,     0,     0,    12,   520,
      13,   520,     0,   520,     0,   520,     0,   520,  1386,     0,
       0,   520,     0,     0,     0,     0,    14,     0,     0,    15,
       0,     0,     0,     0,     0,     0,  1636,     0,     0,     0,
       0,     0,    16,     0,     0,    17,     0,   763,     0,    18,
       0,     0,     0,     0,     0,    19,     0,     0,     0,     0,
       0,     0,    20,     0,    21,     0,     0,     0,     0,     0,
      22,     0,     0,  1378,     0,   763,     0,     0,     0,     0,
       0,     0,     0,     0,    23,     0,     0,     0,     0,     0,
       0,     0,  1378,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,   763,   763,     0,   763,  3973,     0,     0,
       0,     0,  1378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   763,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,     0,  1378,    24,    25,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,    27,     0,     0,     0,     0,  1376,     0,
       0,   763,  1766,  1376,  1376,    28,     0,     0,     0,     0,
       0,     0,     0,     0,  1376,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     763,     0,  1378,     0,   763,   763,     0,     0,     0,     0,
       0,     0,     0,    29,     0,     0,     0,     0,     0,  1386,
       0,     0,     0,     0,    30,  1766,     0,     0,     0,    31,
       0,    32,     0,     0,     0,     0,     0,    33,     0,     0,
       0,     0,    34,     0,     0,     0,    35,     0,     0,     0,
       0,    36,     0,     0,     0,     0,    37,    38,     0,     0,
       0,     0,     0,     0,    39,     0,  1386,    40,     0,     0,
       0,     0,     0,     0,    41,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    42,  1620,     0,     0,
    1621,     0,     0,     0,     0,     0,     0,     0,  1386,     0,
       0,     0,     0,    43,     0,     0,     0,  1622,     0,     0,
       0,     0,    44,     0,     0,  1624,     0,  1376,    45,     0,
       0,     0,  1625,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,  1620,     0,     0,  1621,
       0,     0,     0,     0,  2426,  2427,     0,  1626,     0,  2430,
    2431,     0,     0,  2434,     0,     0,  1622,     0,     0,     0,
       0,     0,     0,  2444,  1624,  1620,     0,  1386,  1621,    48,
    2452,  1625,  -123,     0,     0,  1378,  2457,  2458,     0,     0,
       0,     0,     0,     0,     0,  1622,  1386,  2472,     0,  2474,
       0,  1376,     0,  1624,     0,     0,  1626,     0,     0,     0,
    1625,     0,     0,  2494,     0,     0,  1386,     0,  2496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1626,  1766,     0,     0,     0,
       0,  1386,     0,     0,  2512,  2513,  2516,  2518,     0,     0,
       0,  2525,  2528,     0,     0,     0,     0,     0,     0,  2539,
       0,  1627,  2543,     0,     0,  1628,  2547,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1376,  2571,  1629,  1630,     0,     0,
     763,     0,     0,     0,     0,  2574,  1386,  2576,     0,   763,
       0,  1631,     0,     0,     0,  2579,  2580,  2581,     0,  2583,
    1627,     0,     0,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,  2606,  2607,  2608,     0,     0,     0,  1632,     0,
       0,  1633,  2613,  2614,     0,  1629,  1630,     0,     0,  1627,
       0,     0,     0,  1628,  1634,     0,     0,  1635,     0,     0,
    1631,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1629,  1630,     0,     0,   763,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,  1631,
    1633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1634,     0,  2680,  1635,     0,     0,     0,
       0,   763,     0,   763,     0,     0,  1632,     0,     0,  1633,
     763,     0,     0,   763,     0,     0,   763,     0,     0,     0,
       0,     0,  1634,  1636,   763,   763,     0,     0,     0,     0,
       0,     0,   763,     0,     0,   763,   763,   763,   763,     0,
       0,     0,     0,     0,     0,   763,   763,     0,   763,     0,
     763,   763,     0,     0,   763,     0,     0,     0,  1378,     0,
       0,     0,     0,  1378,  1378,     0,     0,     0,     0,  1386,
     763,  1766,  1636,     0,  1378,   763,     0,     0,     0,   763,
       0,     0,     0,   763,     0,   763,   763,   763,   763,   763,
     763,   763,   763,   763,     0,   763,     0,     0,     0,     0,
     763,  1636,   763,     0,     0,     0,     0,     0,     0,     0,
       0,  1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,
    1645,     0,     0,     0,     0,  4160,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2800,     0,     0,
       0,     0,     0,     0,     0,     0,  1376,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,
       0,   578,     0,     0,  4255,     0,     0,     0,     0,     0,
       0,     0,     0,   579,  1376,  1376,     0,  1376,     0,  1637,
    1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,
       0,     0,     0,     0,     0,   580,     0,  1378,     0,     0,
       0,     0,     0,     0,  1385,     0,     0,     0,     0,   581,
       0,     0,     0,     0,     0,     0,   763,     0,     0,     0,
       0,     0,   582,     0,     0,     0,     0,  1376,     0,  1376,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     583,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   584,  1766,     0,     0,     0,     0,     0,
       0,  1378,  1091,     0,  1376,     0,     0,     0,     0,     0,
       0,   585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   763,   586,     0,     0,     0,   763,   587,     0,  1376,
       0,  1147,   763,   588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   589,
       0,     0,     0,     0,  1376,     0,     0,     0,     0,     0,
       0,     0,  1386,     0,     0,  1385,     0,  1386,  1386,     0,
       0,     0,  1376,     0,  2979,  2980,     0,     0,  1386,     0,
       0,     0,  1620,     0,  1378,  1621,     0,     0,     0,     0,
       0,     0,     0,     0,  1766,     0,     0,  1766,     0,     0,
       0,     0,  1622,     0,     0,     0,     0,   590,     0,     0,
    1624,     0,     0,     0,     0,     0,     0,  1625,     0,     0,
       0,     0,     0,     0,     0,   591,     0,     0,     0,     0,
    3011,  3013,     0,     0,  3013,   592,     0,  1376,  3020,  3021,
    3022,     0,  1626,     0,     0,     0,     0,     0,  1376,     0,
       0,     0,     0,     0,   195,     0,     0,     0,     0,  1376,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3040,  3041,  3042,  3043,     0,     0,     0,     0,
       0,   593,     0,     0,     0,     0,   594,     0,   595,     0,
       0,     0,     0,     0,   596,     0,     0,   597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3068,   763,
       0,  1386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   598,     0,   599,  1376,     0,     0,   600,     0,
       0,     0,     0,     0,     0,     0,   601,     0,     0,     0,
       0,   602,     0,     0,  1376,     0,  1627,     0,     0,     0,
    1628,     0,   603,     0,     0,     0,  1385,     0,     0,     0,
       0,     0,  3100,     0,     0,   604,     0,  3102,     0,  1376,
       0,  1629,  1630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1386,  1631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1903,     0,  1376,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   763,  1634,
       0,     0,  1635,  3193,     0,  1385,     0,     0,  1560,     0,
       0,     0,     0,  3200,     0,     0,  1378,     0,     0,     0,
       0,     0,  3337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,  1386,     0,
    3219,     0,  3221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   763,     0,  1378,  1378,   763,  1378,     0,     0,
       0,     0,     0,     0,  1608,  1609,     0,  1611,     0,     0,
       0,   763,   763,     0,  1385,     0,     0,  3258,  1636,     0,
       0,     0,     0,     0,  1650,     0,     0,     0,     0,     0,
    3267,  3338,     0,  1385,     0,     0,     0,     0,     0,     0,
    1620,   763,   763,  1621,     0,     0,   763,  1378,     0,  1378,
       0,     0,     0,  1385,     0,     0,     0,     0,   763,   763,
     763,   763,  1685,     0,     0,     0,  1766,  1376,  1624,     0,
       0,   763,  1766,     0,   763,  1625,   763,     0,  1385,     0,
       0,     0,     0,     0,     0,     0,   763,   763,     0,     0,
     763,  1787,     0,     0,  1378,  1797,  1800,     0,     0,     0,
    1626,     0,     0,   763,     0,   763,  1637,  1638,  1639,   763,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,  1378,
       0,     0,     0,     0,     0,   763,     0,     0,     0,     0,
       0,     0,     0,  1385,     0,     0,   763,     0,   763,   763,
     763,     0,     0,     0,  1378,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   763,     0,     0,     0,     0,
       0,     0,  1378,     0,     0,     0,   763,     0,     0,     0,
       0,   763,     0,     0,     0,     0,     0,     0,   763,     0,
       0,     0,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1627,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1376,   763,     0,     0,     0,     0,     0,  1378,     0,  1629,
    1630,     0,     0,     0,     0,     0,     0,     0,  1378,     0,
    1386,     0,     0,     0,  1631,     0,     0,     0,     0,  1378,
       0,  1376,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1633,     0,     0,     0,  1386,  1386,
       0,  1386,     0,     0,     0,     0,     0,  1634,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3476,     0,     0,
       0,     0,     0,     0,     0,     0,  1385,     0,  1766,  1766,
    1766,     0,     0,     0,     0,  1378,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1386,     0,  1386,  1378,     0,     0,  3504,     0,  2369,
       0,     0,  3511,  3512,     0,  3514,  3515,  3516,  3517,  3518,
    3519,  3520,     0,     0,     0,     0,     0,     0,  1376,  1378,
    3527,     0,     0,     0,     0,     0,  1636,     0,     0,  1376,
       0,     0,     0,     0,     0,     0,     0,     0,  1386,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1378,     0,     0,     0,     0,
       0,     0,     0,  1386,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1766,     0,     0,  1386,     0,
       0,     0,     0,     0,     0,  3579,  3581,  3583,     0,     0,
    3586,     0,     0,     0,     0,  1766,  1386,     0,     0,     0,
       0,     0,     0,     0,     0, -2174, -2174,     0,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,     0,     0,  1376,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1376,
       0,  2237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1376,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1386,     0,  2259,     0,  3013,  2261,     0,     0,  2272,
       0,     0,  1386,     0,     0,     0,  2279,  2284,     0,     0,
       0,     0,  2290,  1386,     0,  2295,     0,     0,     0,  1376,
       0,     0,     0,     0,     0,     0,     0,  1378,     0,     0,
       0,  2304,     0,     0,     0,     0,  2311,     0,     0,     0,
    2323,   763,     0,     0,  2330,     0,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,     0,  2341,     0,     0,  2498,
       0,  1091,     0,  2366,  1903,  2505,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1385,   763,     0,     0,  1386,
       0,     0,     0,     0,     0,   763,     0,     0,     0,     0,
       0,   763,     0,   763,     0,     0,     0,     0,  1386,   763,
       0,     0,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   763,     0,     0,     0,   763,   763,     0,     0,     0,
       0,     0,     0,  1386,     0,     0,     0,     0,   763,     0,
       0,     0,   763,     0,  1766,     0,   763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   763,     0,     0,   763,
       0,   763,     0,     0,     0,     0,     0,     0,     0,  1386,
     763,   763,   763,     0,     0,     0,   763,     0,  1376,   763,
       0,     0,  1620,     0,     0,  1621,     0,     0,     0,   763,
    1378,     0,     0,     0,     0,     0,     0,  1147,     0,   763,
       0,     0,  1622,     0,     0,     0,     0,   763,     0,   763,
    1624,     0,     0,     0,     0,  3764,     0,  1625,  1385,     0,
       0,  1378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   763,     0,  3775,  3776,     0,     0,   763,     0,
       0,     0,  1626,     0,   763,     0,  3785,  3786,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   763,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2455,     0,     0,     0,     0,  1376,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1766,     0,     0,     0,
    1766,  1386,  1766,  4227,     0,     0,     0,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1378,
       0,     0,     0,     0,     0,     0,  1627,     0,     0,     0,
    1628,     0,     0,     0,     0,     0,  3833,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1376,     0,     0,
       0,  1629,  1630,     0,     0,  1385,     0,     0,     0,     0,
    3853,     0,     0,     0,     0,     0,  1631,     0,  1376,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3874,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,  1633,     0,  1376,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,     0,     0,     0,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   763,  4228,
       0,     0,  1376,     0,     0,     0,  1376,  1376,     0,  1378,
    2653,     0,     0,     0,     0,     0,  1620,     0,     0,  1621,
       0,  1378,     0,     0,  1386,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1622,   520,     0,  2865,
       0,     0,     0,     0,  1624,     0,     0,     0,     0,     0,
       0,  1625,  1647,     0,     0,  1386,   763,   763,  1636,  1378,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1626,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,  2369,  2369,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1647,     0,
       0,     0,     0,   763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2774,
    3980,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1637,  1638,  1639,   763,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,   763,
     763,     0,  1386,     0,     0,     0,     0,   763,   763,     0,
    3013,     0,   763,  1386,     0,     0,     0,     0,   763,   763,
    1627,     0,   763,     0,  1628,     0,     0,  1385,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   763,     0,     0,
       0,   763,     0,  2817,     0,  1629,  1630,     0,  1378,     0,
     763,     0,     0,     0,     0,   763,     0,     0,     0,     0,
    1631,     0,     0,     0,     0,  1903,  2505,   763,  2505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1379,     0,     0,     0,     0,     0,  1632,     0,  2284,
    1633,  2284,  2284,     0,     0,     0,     0,   763,     0,     0,
       0,     0,  2879,  1634,     0,  2882,  1635,  2884,     0,     0,
       0,     0,  1386,     0,     0,     0,     0,     0,  1385,     0,
    1385,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1386,  2905,     0,  2907,     0,     0,     0,
    2910,     0,     0,     0,     0,  1386,     0,  1378,  4105,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1620,     0,  3013,  1621,  1385,     0,     0,     0,  2366,
    2366,  2366,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1622,  1636,  1386,     0,     0,  2947,     0,     0,  1624,
    1385,     0,     0,     0,     0,     0,  1625,  1787,     0,     0,
       0,     0,  2957,     0,  1766,     0,     0,     0,     0,  1800,
       0,     0,  1379,     0,     0,  2505,     0,     0,     0,     0,
       0,  1626,     0,     0,     0,     0,     0,     0,     0,  4157,
       0,     0,     0,  2505,     0,     0,     0,  1378,     0,     0,
       0,     0,   763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2988,     0,  1766,     0,     0,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,
       0,     0,     0,     0,     0,     0,  1647,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,  1386,  1385,     0,
       0,     0,     0,     0,     0,     0,     0,  4211,     0,  2505,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1385,     0,  1378,     0,     0,  1627,  1378,  1378,   763,  1628,
       0,     0,  1386,     0,     0,     0,     0,   763,  1381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1629,  1630,     0,     0,   763,   763,     0,     0,   763,     0,
       0,  1647,     0,     0,     0,  1631,     0,     0,     0,   763,
       0,     0,     0,     0,   763,     0,     0,   763,     0,     0,
       0,     0,   763,   763,  1647,     0,  1385,     0,     0,  2268,
       0,     0,  1632,     0,     0,  1633,     0,     0,     0,     0,
       0,     0,     0,  1379,     0,  1385,     0,   763,  1634,  1647,
    1647,  1635,  1647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2835,     0,     0,     0,     0,
    1385,  1386,     0,     0,     0,   763,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1379,  1647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1620,  1385,     0,  1621,  1381,
       0,     0,   763,     0,     0,  1620,     0,     0,  1621,     0,
       0,     0,  1379,     0,     0,  1622,  1647,  1636,     0,     0,
       0,     0,     0,  1624,     0,  1622,     0,     0,  2876,     0,
    1625,     0,     0,  1624,     0,     0,  2369,     0,     0,     0,
    1625,     0,     0,     0,     0,     0,     0,     0,     0,   763,
       0,  1386,     0,     0,     0,  1626,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1626,     0,     0,     0,     0,
       0,   763,  1386,     0,   763,     0,   763,     0,     0,     0,
       0,  1379,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   763,     0,     0,     0,   763,     0,     0,
    1379,     0,  1386,     0,     0,  1637,  1638,  1639,     0,  1640,
    1641,  1642,  1643,  1644,  1645,     0,     0,     0,  1647,     0,
    1379,     0,     0,     0,     0,     0,     0,     0,  1647,     0,
       0,  1647,     0,     0,     0,     0,  1386,     0,     0,     0,
    1386,  1386,  2870,     0,     0,  1379,     0,     0,  2505,     0,
       0,     0,     0,     0,     0,     0,     0,  3296,     0,  1627,
       0,     0,     0,  1628,     0,     0,  3299,  1766,     0,  1627,
       0,     0,  3300,  1628,  3301,   763,     0,     0,     0,     0,
       0,     0,     0,     0,  1629,  1630,     0,     0,     0,     0,
    1381,     0,     0,     0,  1629,  1630,  3319,  3320,     0,  1631,
    1379,     0,     0,     0,     0,     0,  1386,     0,     0,  1631,
       0,     0,     0,     0,     0,     0,     0,  2290,     0,     0,
       0,     0,     0,     0,     0,     0,  1632,  3348,  1382,  1633,
    3351,     0,  3353,     0,   763,     0,  1632,  1381,     0,  1633,
       0,  3357,  1634,     0,     0,  1635,     0,  3362,     0,   763,
    3365,     0,  1634,     0,     0,  1635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
    3394,     0,     0,     0,     0,     0,     0,     0,  3406,     0,
    2366,     0,   763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1620,     0,     0,  1621,     0,     0,     0,   763,
       0,  1385,     0,  3420,     0,     0,     0,     0,     0,  1091,
       0,     0,  1622,     0,     0,  1147,   763,   763,     0,     0,
    1624,  1636,     0,     0,     0,     0,     0,  1625,     0,   763,
       0,  1636,  1903,     0,     0,     0,     0,     0,  1381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1626,     0,     0,     0,     0,  1381,     0,  1382,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   763,
    1383,     0,     0,  1379,     0,     0,     0,  1381,     0,   763,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1766,     0,     0,     0,     0,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,  1637,
    1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,  1637,
    1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1385,
       0,     0,   763,     0,     0,     0,     0,  1766,     0,     0,
    1385,     0,     0,   763,     0,     0,  1627,  1381,  1766,     0,
    1628,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1629,  1630,     0,     0,     0,     0,  2369,     0,     0,
       0,     0,  2369,     0,     0,     0,  1631,     0,     0,     0,
       0,  1383,     0,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,     0,     0,     0,     0,     0,  1385,
    1382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1647,     0,
    1385,     0,     0,     0,     0,     0,     0,  3636,  3637,     0,
       0,     0,  1385,     0,     0,     0,     0,     0,     0,     0,
    1647,     0,  1647,     0,  2268,  2268,  2853,  1382,     0,  2268,
       0,     0,     0,  1647,     0,     0,     0,     0,     0,     0,
    1647,     0,     0,     0,     0,  1647,     0,     0,  1636,     0,
    1385,  1647,     0,     0,     0,     0,  1647,     0,     0,  1382,
    1381,     0,     0,     0,  3666,  1647,     0,     0,     0,  2268,
    2268,     0,  1647,  3295,     0,     0,  1379,     0,     0,     0,
       0,  1379,  1379,     0,  1647,     0,     0,     0,     0,     0,
       0,  1647,  1379,  1647,  1647,  1647,  1647,  1647,  1647,  1647,
    1647,  1647,  1647,     0,     0,     0,     0,     0,     0,     0,
    3684,  3686,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,  3693,     0,     0,     0,  1647,  1382,  3698,
    3699,     0,     0,  3701,     0,     0,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,  1382,     0,     0,
       0,     0,     0,  1620,     0,     0,  1621,     0,     0,     0,
       0,  2366,     0,     0,  3866,     0,  2366,  1382,     0,  1383,
       0,     0,     0,  1622,     0,     0,  3344,     0,  2366,     0,
       0,  1624,     0,     0,     0,     0,     0,     0,  1625,     0,
       0,     0,  1382,     0,     0,     0,     0,     0,     0,  1385,
       0,  1383,  1620,     0,     0,  1621,     0,     0,  3747,     0,
       0,     0,     0,  1626,     0,     0,  1647,     0,     0,     0,
       0,     0,  1622,     0,     0,  1379,     0,     0,     0,     0,
    1624,     0,     0,     0,     0,     0,     0,  1625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1382,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1626,     0,     0,     0,     0,     0,     0,     0,
    1383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,  2505,  1379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,  1627,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,  1383,     0,     0,     0,  1381,  1381,
       0,     0,  1629,  1630,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,  3820,     0,     0,     0,  1631,     0,     0,
       0,     0,     0,     0,     0,     0,  1627,     0,     0,     0,
    1628,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1379,     0,  1632,     0,     0,  1633,  2505,  1383,
       0,  1629,  1630,     0,     0,     0,     0,     0,     0,     0,
    1634,     0,     0,  1635,     0,     0,  1631,     0,     0,  1385,
       0,     0,     0,     0,  1647,     0,     0,     0,     0,     0,
    1382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,  1633,     0,     0,  1385,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3900,
       0,     0,     0,  1385,     0,     0,     0,  1385,  1385,  1636,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3917,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1636,     0,
       0,     0,     0,     0,     0,  1647,     0,     0,     0,     0,
       0,     0,     0,  3866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,  1637,  1638,  1639,
       0,  1640,  1641,  1642,  1643,  1644,  1645,     0,  1647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2853,
    2853,     0,  2268,     0,     0,  2268,  2268,  2268,  2268,  2268,
    2268,  2268,  2268,  2268,  2268,  2853,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
    1647,     0,     0,  1647,  1379,  1647,     0,     0,     0,     0,
    2853,  2853,     0,     0,     0,  2290,     0,     0,     0,     0,
       0,     0,     0,     0,  2268,  2268,  1647,     0,  1647,     0,
       0,  1647,     0,     0,  4036,     0,   182,     0,     0,     0,
       0,     0,  1379,  1379,     0,  1379,     0,     0,     0,   183,
       0,     0,     0,  1382,     0,     0,     0,     0,  1382,  1382,
       0,     0,     0,     0,     0,     0,     0,   184,  1647,  1382,
       0,     0,     0,   185,     0,     0,     0,     0,  1647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     186,     0,     0,     0,     0,  1379,     0,  1379,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,  1647,
       0,     0,     0,     0,     0,     0,  4093,     0,     0,   188,
       0,     0,     0,     0,   189,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1379,     0,     0,     0,   191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1379,     0,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4140,     0,  1379,     0,     0,  1383,     0,     0,     0,     0,
    1383,  1383,  1382,     0,   193,     0,     0,     0,     0,     0,
    1379,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,     0,     0,     0,     0,     0,  4184,  4184,     0,
       0,  1381,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1379,  1382,     0,   196,     0,
       0,     0,     0,     0,     0,   197,  1379,     0,     0,     0,
       0,   198,     0,     0,   199,     0,     0,  1379,     0,  1381,
    1381,  2268,  1381,     0,     0,     0,     0,     0,     0,     0,
    4184,     0,     0,     0,     0,     0,     0,     0,     0,   200,
    4231,   201,     0,     0,     0,   202,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,  1383,     0,     0,     0,     0,   205,
       0,     0,  1381,     0,  1381,     0,     0,     0,     0,  1382,
       0,     0,   206,  1379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1379,  4184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,  1379,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1647,  1383,     0,
    1647,  1647,  1647,     0,  1381,  2853,     0,     0,     0,     0,
    2853,  2853,  2853,  2853,  2853,  2853,  2853,  2853,  2853,  2853,
    1647,  1647,     0,  1379,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1381,     0,  1647,
    2268,  2268,  1647,     0,  1647,     0,     0,     0,  1647,  2853,
    2853,     0,     0,  1647,     0,     0,  1647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1647,     0,     0,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,  1647,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,  1382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1382,
    1382,     0,  1382,     0,  1381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,     0,     0,     0,  2853,     0,
       0,     0,  1382,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1379,   532,
       0,     0,     0,     0,     0,     0,     0,  1647,  1647,  1382,
       0,   533,     0,  1383,     0,     0,     0,     0,   534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,   535,  1382,     0,     0,  1647,     0,     0,
       0,  2268,     0,     0,     0,     0,     0,   536,     0,     0,
       0,  1383,  1383,     0,  1383,  1647,   537,  1647,     0,  1382,
    -701,     0,  2853,  2853,  1647,     0,     0,  2268,  2268,  1647,
    1647,     0,  1647,     0,     0,     0,     0,  1382,   538,     0,
       0,     0,     0,     0,   539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   540,  1381,     0,  1383,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1647,   541,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     542,     0,     0,     0,     0,     0,  1379,   543,     0,     0,
       0,   544,  1382,     0,     0,     0,     0,  1379,     0,     0,
       0,  1383,     0,  1382,     0,     0,     0,  -882,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1647,     0,     0,   545,     0,     0,     0,     0,     0,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   546,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1382,     0,     0,   547,     0,     0,   548,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1379,     0,     0,  1382,
       0,     0,     0,  2853,  2268,  1381,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1379,     0,  2853,
    2853,  1647,     0,     0,  1382,     0,     0,     0,     0,  1379,
       0,     0,     0,     0,  1383,     0,  1381,     0,  1647,   549,
       0,     0,     0,     0,     0,  1383,   550,     0,     0,     0,
       0,     0,  -369,     0,     0,   551,  1383,     0,     0,     0,
    1382,     0,     0,     0,     0,     0,     0,  1379,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -369,     0,   552,   553,     0,   554,   555,     0,     0,     0,
       0,     0,     0,     0,   556,     0,     0,     0,     0,   557,
       0,     0,     0,     0,   558,     0,     0,   559,     0,     0,
     560,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,  -369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,  1381,     0,     0,     0,  2853,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,  1647,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1382,     0,  1647,     0,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,  1647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1647,     0,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1382,     0,     0,     0,
       0,     0,     0,     0,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1379,     0,     0,     0,  1379,  1379,     0,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,  1383,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1383,  1382,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1381,     0,     0,
       0,  1381,  1381,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1382,     0,     0,
       0,  1382,  1382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   737,  1010,   573,  1011,  1012,
    1013,   623,  1014,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  2360,   220,   221,   222,     0,  1383,
       0,     0,  1015,  1383,  1383,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,   231,  1016,   739,  1017,  1018,
       0,   235,   236,   237,   238,   239,  1019,  1020,   240,   241,
    1021,  1022,   244,     0,   245,   246,   247,   248,   249,  1023,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,
     268,   269,   270,   271,   272,  1031,  1032,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,  2361,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,  1034,   302,   303,   304,  1035,  1036,   306,     0,   307,
    1037,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,  1038,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,  1039,  1040,     0,  1041,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,  1042,   750,   352,   751,     0,   353,   354,   355,  1043,
    1044,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1045,   752,  1046,   371,   372,   373,
     374,  1047,   375,   376,   753,   377,  1048,  1049,   379,  1050,
     381,   382,   383,     0,   384,     0,     0,  1051,   386,   387,
       0,     0,   388,   754,   755,   756,  1052,   390,   391,   392,
     393,   394,   395,   396,     0,   397,  1053,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1054,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,  1055,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,  1056,   448,   449,   450,   451,   758,   452,  1057,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
    1058,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,
    1063,   479,   480,   481,   482,   483,   484,     0,  1064,   485,
     486,   487,   488,   489,  1065,     0,   490,   491,   492,   493,
     494,   495,  1066,  2362,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,
     518,     0,     0,     0,     0,     0,     0,     0,  1075,  1076,
    2363,     0,     0,     0,     0,     0,     0,  1078,  2364,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,  1047,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,  1064,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,     0,  1075,  1076,   210,     0,     0,     0,     0,     0,
       0,  1078,  2270,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,  3376,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0, -1410,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0, -1410,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333, -1410,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343, -1410,   344,   345,   346,   347,   348,   349,   350,     0,
     351, -1410,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369, -1410,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
   -1410,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1154,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,     0,     0,     0,     0,     0,
    1352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2688,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
       0,  1353,   739,  1354,  1355,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,  1356,  1357,   244,     0,   245,
     246,   247,   248,   249,     0,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,     0,     0,     0,
     742,     0,     0,     0,   267,   268,   269,   270,   271,   272,
    1358,  1359,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,     0,   302,   303,   304,
       0,     0,   306,     0,   307,  1360,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,     0,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,  1891,   327,   328,   329,   330,   331,   332,
       0,   333,   746,  1892,   335,   336,   337,   338,  1361,  1362,
       0,  1363,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,     0,   750,   352,   751,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1364,
     752,  1365,   371,   372,   373,     0,     0,   375,   376,   753,
     377,     0,     0,   379,  1366,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,  1893,   754,   755,
     756,     0,   390,   391,   392,   393,   394,   395,   396,     0,
     397,     0,   399,     0,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1367,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,  1894,   450,
     451,   758,   452,  1369,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1370,  1371,     0,
       0,   475,     0,   477,     0,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,     0,  1372,  1895,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,     0,  1352,     0,     0,     0,     0,
       0,     0,     0,   516,   517,   518,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,  1896,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,     0,  1353,   739,  1354,  1355,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
    1356,  1357,   244,     0,   245,   246,   247,   248,   249,     0,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,  1358,  1359,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,     0,   302,   303,   304,     0,     0,   306,     0,   307,
    1360,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,     0,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,  1891,   327,
     328,   329,   330,   331,   332,     0,   333,   746,  1892,   335,
     336,   337,   338,  1361,  1362,     0,  1363,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,     0,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1364,   752,  1365,   371,   372,   373,
       0,     0,   375,   376,   753,   377,     0,     0,   379,  1366,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,  1893,   754,   755,   756,     0,   390,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   399,     0,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1367,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,  1894,   450,   451,   758,   452,  1369,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1370,  1371,     0,     0,   475,     0,   477,     0,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,     0,  1372,  1895,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,     0,
     737,  1010,   573,  1011,  1012,  1013,   623,  1014,   516,   517,
     518,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1015,  2738,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
     231,  1016,   739,  1017,  1018,  2280,   235,   236,   237,   238,
     239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,
     246,   247,   248,   249,  1023,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,   272,
    1031,  1032,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,  1034,   302,   303,   304,
    1035,  1036,   306,     0,   307,  1037,   309,     0,   310,     0,
     311,   743,  2281,   744,   312,   313,   314,     0,   315,  1038,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,   334,   335,   336,   337,   338,  1039,  1040,
       0,  1041,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,  2282,  1042,   750,   352,   751,
       0,   353,   354,   355,  1043,  1044,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1045,
     752,  1046,   371,   372,   373,   374,  1047,   375,   376,   753,
     377,  1048,  1049,   379,  1050,   381,   382,   383,     0,   384,
       0,     0,  1051,   386,   387,     0,     0,   388,   754,   755,
     756,  1052,   390,   391,   392,   393,   394,   395,   396,     0,
     397,  1053,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1054,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,  1055,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,  1056,   448,   449,   450,
     451,   758,   452,  1057,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,  1058,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1059,  1060,     0,
    2283,   475,  1061,   477,  1062,  1063,   479,   480,   481,   482,
     483,   484,     0,  1064,   485,   486,   487,   488,   489,  1065,
       0,   490,   491,   492,   493,   494,   495,  1066,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,   516,   517,   518,     0,     0,     0,     0,
       0,     0,     0,  1075,  1076,     0,     0,     0,     0,     0,
       0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,
    1014,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1015,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,   231,  1016,   739,  1017,  1018,     0,   235,
     236,   237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,  1031,  1032,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,  1034,
     302,   303,   304,  1035,  1036,   306,     0,   307,  1037,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,  1039,  1040,     0,  1041,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,   751,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1045,   752,  1046,   371,   372,   373,   374,  1047,
     375,   376,   753,   377,  1048,  1049,   379,  1050,   381,   382,
     383,     0,   384,     0,     0,  1051,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1054,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,  1055,   435,   436,   437,   438,   439,
     440,   441,   442,    38,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,   758,   452,  1057,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,    42,   467,   468,   469,   470,   471,   472,     0,
    1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,
     480,   481,   482,   483,   484,     0,  1064,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   949,
    1066,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,    47,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,     0,  1075,  1076,     0,     0,
       0,     0,     0,     0,     0,  1078,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,   231,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,   751,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,  1047,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,   758,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,   482,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,     0,     0,     0,     0,     0,  1555,  2229,  1078,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,  1047,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,  1064,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,     0,  1075,  1076,  1077,     0,     0,     0,     0,     0,
       0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1015,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,  1146,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,  1047,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,  1051,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,   482,   483,   484,     0,  1064,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,     0,  1075,  1076,     0,     0,     0,
       0,     0,     0,     0,  1078,   737,  1010,   573,  1011,  1012,
    1013,   623,  1014,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1795,   220,   221,   222,     0,     0,
       0,     0,  1015,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,   231,  1016,   739,  1017,  1018,
       0,   235,   236,   237,   238,   239,  1019,  1020,   240,   241,
    1021,  1022,   244,     0,   245,   246,   247,   248,   249,  1023,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,
     268,   269,   270,   271,   272,  1031,  1032,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,  1034,   302,   303,   304,  1035,  1036,   306,     0,   307,
    1037,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,  1038,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,  1039,  1040,     0,  1041,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,  1042,   750,   352,   751,     0,   353,   354,   355,  1043,
    1044,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1045,   752,  1046,   371,   372,   373,
     374,  1047,   375,   376,   753,   377,  1048,  1049,   379,  1050,
     381,   382,   383,     0,   384,     0,     0,  1051,   386,   387,
       0,     0,   388,   754,   755,   756,  1052,   390,   391,   392,
     393,   394,   395,   396,     0,   397,  1053,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1054,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,  1055,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,  1056,   448,   449,   450,   451,   758,   452,  1057,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
    1058,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,
    1063,   479,   480,   481,   482,   483,   484,     0,  1064,   485,
     486,   487,   488,   489,  1065,     0,   490,   491,   492,   493,
     494,   495,  1066,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,
     518,     0,     0,     0,     0,     0,     0,     0,  1075,  1076,
       0,     0,     0,     0,     0,     0,     0,  1078,   737,  1010,
     573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1015,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,   231,  1016,
     739,  1017,  1018,     0,   235,   236,   237,   238,   239,  1019,
    1020,   240,   241,  1021,  1022,   244,     0,   245,   246,   247,
     248,   249,  1023,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,   267,   268,   269,   270,   271,   272,  1031,  1032,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,  1034,   302,   303,   304,  1035,  1036,
     306,     0,   307,  1037,   309,     0,   310,     0,   311,   743,
    2281,   744,   312,   313,   314,     0,   315,  1038,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,   334,   335,   336,   337,   338,  1039,  1040,     0,  1041,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,  1042,   750,   352,   751,     0,   353,
     354,   355,  1043,  1044,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1045,   752,  1046,
     371,   372,   373,   374,  1047,   375,   376,   753,   377,  1048,
    1049,   379,  1050,   381,   382,   383,     0,   384,     0,     0,
    1051,   386,   387,     0,     0,   388,   754,   755,   756,  1052,
     390,   391,   392,   393,   394,   395,   396,     0,   397,  1053,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1054,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,  1055,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,  1056,   448,   449,   450,   451,   758,
     452,  1057,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,  1058,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1059,  1060,     0,     0,   475,
    1061,   477,  1062,  1063,   479,   480,   481,   482,   483,   484,
       0,  1064,   485,   486,   487,   488,   489,  1065,     0,   490,
     491,   492,   493,   494,   495,  1066,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,
    1074,   516,   517,   518,     0,     0,     0,     0,     0,     0,
       0,  1075,  1076,     0,     0,     0,     0,     0,     0,     0,
    1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1015,     0,
       0,   223,   224,     0,   225,   226,   738,   227,   228,   229,
     230,   231,  1016,   739,  1017,  1018,     0,   235,   236,   237,
     238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,
     245,   246,   247,   248,   249,  1023,     0,   251,     0,   252,
     253,   254,   255,   740,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,   741,   265,   266,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,
     272,  1031,  1032,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,  1033,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,  1034,   302,   303,
     304,  1035,  1036,   306,     0,   307,  1037,   309,     0,   310,
       0,   311,   743,     0,   744,   312,   313,   314,     0,   315,
    1038,     0,   317,   318,     0,   319,   320,   321,   322,   323,
     745,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,   746,   334,   335,   336,   337,   338,  1039,
    1040,     0,  1041,     0,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,     0,  1042,   750,   352,
     751,     0,   353,   354,   355,  1043,  1044,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
    1045,   752,  1046,   371,   372,   373,   374,  1047,   375,   376,
     753,   377,  1048,  1049,   379,  1050,   381,   382,   383,     0,
     384,     0,     0,  1051,   386,   387,     0,     0,   388,   754,
     755,   756,  1052,   390,   391,   392,   393,   394,   395,   396,
       0,   397,  1053,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,  1054,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   757,   430,   431,
     432,   433,  1055,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,  1056,   448,   449,
     450,   451,   758,   452,  1057,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,  1058,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,  1059,  1060,
       0,     0,   475,  1061,   477,  1062,  1063,   479,   480,   481,
     482,   483,   484,     0,  1064,   485,   486,   487,   488,   489,
    1065,     0,   490,   491,   492,   493,   494,   495,  1066,  3409,
     497,   759,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,     0,
       0,     0,     0,     0,  1075,  1076,     0,     0,     0,     0,
       0,     0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,
     623,  1014,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1015,     0,     0,   223,   224,     0,   225,   226,   738,
     227,   228,   229,   230,   231,  1016,   739,  1017,  1018,     0,
     235,   236,   237,   238,   239,  1019,  1020,   240,   241,  1021,
    1022,   244,     0,   245,   246,   247,   248,   249,  1023,     0,
     251,     0,   252,   253,   254,   255,   740,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,   741,   265,
     266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,
     269,   270,   271,   272,  1031,  1032,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,  1033,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
    1034,   302,   303,   304,  1035,  1036,   306,     0,   307,  1037,
     309,     0,   310,     0,   311,   743,     0,   744,   312,   313,
     314,     0,   315,  1038,     0,   317,   318,     0,   319,   320,
     321,   322,   323,   745,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,   746,   334,   335,   336,
     337,   338,  1039,  1040,     0,  1041,     0,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,     0,
    1042,   750,   352,   751,     0,   353,   354,   355,  1043,  1044,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,  1045,   752,  1046,   371,   372,   373,   374,
    1047,   375,   376,   753,   377,  1048,  1049,   379,  1050,   381,
     382,   383,     0,   384,     0,     0,  1051,   386,   387,     0,
       0,   388,   754,   755,   756,  1052,   390,   391,   392,   393,
     394,   395,   396,     0,   397,  1053,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
    1054,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     757,   430,   431,   432,   433,  1055,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
    1056,   448,   449,   450,   451,   758,   452,  1057,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,  1058,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,
     479,   480,   481,   482,   483,   484,     0,  1064,   485,   486,
     487,   488,   489,  1065,     0,   490,   491,   492,   493,   494,
     495,  1066,     0,   497,   759,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,  1067,
    1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,
       0,     0,     0,     0,     0,     0,     0,  1075,  1076,     0,
       0,     0,     0,     0,     0,     0,  1078,   737,  1010,   573,
    1011,  1012,  1013,   623,  1014,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1015,     0,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,   231,  1016,   739,
    1017,  1018,     0,   235,   236,   237,   238,   239,  1019,  1020,
     240,   241,  1021,  1022,   244,     0,   245,   246,   247,   248,
     249,  1023,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,  3419,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,   267,   268,   269,   270,   271,   272,  1031,  1032,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,  1033,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,  1034,   302,   303,   304,  1035,  1036,   306,
       0,   307,  1037,   309,     0,   310,     0,   311,   743,     0,
     744,   312,   313,   314,     0,   315,  1038,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,   746,
     334,   335,   336,   337,   338,  1039,  1040,     0,  1041,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,     0,  1042,   750,   352,   751,     0,   353,   354,
     355,  1043,  1044,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,  1045,   752,  1046,   371,
     372,   373,   374,  1047,   375,   376,   753,   377,  1048,  1049,
     379,  1050,   381,   382,   383,     0,   384,     0,     0,  1051,
     386,   387,     0,     0,   388,   754,   755,   756,  1052,   390,
     391,   392,   393,   394,   395,   396,     0,   397,  1053,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,  1054,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,  1055,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,  1056,   448,   449,   450,   451,   758,   452,
    1057,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,  1058,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,  1059,  1060,     0,     0,   475,  1061,
     477,  1062,  1063,   479,   480,   481,   482,   483,   484,     0,
    1064,   485,   486,   487,   488,   489,  1065,     0,   490,   491,
     492,   493,   494,   495,  1066,     0,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
     516,   517,   518,     0,     0,     0,     0,     0,     0,     0,
    1075,  1076,     0,     0,     0,     0,     0,     0,     0,  1078,
     737,  1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1015,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
     231,  1016,   739,  1017,  1018,     0,   235,   236,   237,   238,
     239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,
     246,   247,   248,   249,  1023,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,   272,
    1031,  1032,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,  1034,   302,   303,   304,
    1035,  1036,   306,     0,   307,  1037,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,  1038,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,   334,   335,   336,   337,   338,  1039,  1040,
       0,  1041,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,  1042,   750,   352,   751,
       0,   353,   354,   355,  1043,  1044,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1045,
     752,  1046,   371,   372,   373,   374,  1047,   375,   376,   753,
     377,  1048,  1049,   379,  1050,   381,   382,   383,     0,   384,
       0,     0,  1051,   386,   387,     0,     0,   388,   754,   755,
     756,  1052,   390,   391,   392,   393,   394,   395,   396,     0,
     397,  1053,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1054,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,  1055,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,  1056,   448,   449,   450,
     451,   758,   452,  1057,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,  1058,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1059,  1060,     0,
       0,   475,  1061,   477,  1062,  1063,   479,   480,   481,   482,
     483,   484,     0,  1064,   485,   486,   487,   488,   489,  1065,
       0,   490,   491,   492,   493,   494,   495,  1066,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,  3676,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,   516,   517,   518,     0,     0,     0,     0,
       0,     0,     0,  1075,  1076,     0,     0,     0,     0,     0,
       0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,
    1014,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1015,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,   231,  1016,   739,  1017,  1018,     0,   235,
     236,   237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,  1031,  1032,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,  1034,
     302,   303,   304,  1035,  1036,   306,     0,   307,  1037,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,  1039,  1040,     0,  1041,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,   751,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1045,   752,  1046,   371,  3685,   373,   374,  1047,
     375,   376,   753,   377,  1048,  1049,   379,  1050,   381,   382,
     383,     0,   384,     0,     0,  1051,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1054,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,  1055,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,   758,   452,  1057,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,
     480,   481,   482,   483,   484,     0,  1064,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   495,
    1066,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,     0,  1075,  1076,     0,     0,
       0,     0,     0,     0,     0,  1078,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,  4181,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,  4182,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,   751,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,  1047,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,   758,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,  4183,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,     0,     0,     0,     0,     0,     0,     0,  1078,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,  4182,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,  1047,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,  4183,   483,
     484,     0,  1064,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,     0,  1075,  1076,     0,     0,     0,     0,     0,     0,
       0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1015,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,     0,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,  1051,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,     0,  2263,  2264,     0,     0,     0,
       0,     0,     0,     0,  1078,   737,  1010,   573,  1011,  1012,
    1013,   623,  1014,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1015,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230, -2174,  1016,   739,  1017,  1018,
       0,   235,   236,   237,   238,   239,  1019,  1020,   240,   241,
    1021,  1022,   244,     0,   245,   246,   247,   248,   249,  1023,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,  4182,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,
     268,   269,   270,   271,   272,  1031,  1032,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,  1034,   302,   303,   304,  1035,  1036,   306,     0,   307,
    1037,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,  1038,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,  1039,  1040,     0,  1041,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,  1042,   750,   352,     0,     0,   353,   354,   355,  1043,
    1044,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1045,   752,  1046,   371,   372,   373,
     374,     0,   375,   376,   753,   377,  1048,  1049,   379,  1050,
     381,   382,   383,     0,   384,     0,     0,  1051,   386,   387,
       0,     0,   388,   754,   755,   756,  1052,   390,   391,   392,
     393,   394,   395,   396,     0,   397,  1053,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1054,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,  1055,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,  1056,   448,   449,   450,   451,     0,   452,  1057,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
    1058,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,
    1063,   479,   480,   481,  4183,   483,   484,     0,  1064,   485,
     486,   487,   488,   489,  1065,     0,   490,   491,   492,   493,
     494,   495,  1066,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,
     518,     0,     0,     0,     0,     0,     0,     0,  1075,  1076,
       0,     0,   737,  1010,   573,  1011,  1012,  1078,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1015,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,     0,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,   737,  1010,   573,  1011,  1012,     0,
     623,  1014,     0,     0,  1078,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1015,     0,     0,   223,   224,     0,   225,   226,   738,
     227,   228,   229,   230,   231,  1016,   739,  1017,  1018,     0,
    3332,   236,   237,   238,   239,  1019,  1020,   240,   241,  1021,
    1022,   244,     0,   245,   246,   247,   248,   249,  1023,     0,
     251,     0,   252,   253,   254,   255,   740,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,   741,   265,
     266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,
     269,   270,   271,   272,  1031,  1032,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,  1033,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
    1034,   302,   303,   304,  1035,  1036,   306,     0,   307,  1037,
     309,     0,   310,     0,   311,   743,     0,   744,   312,   313,
     314,     0,   315,  1038,     0,   317,   318,     0,   319,   320,
     321,   322,   323,   745,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,   746,   334,   335,   336,
     337,   338,  1039,  1040,     0,  1041,     0,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,     0,
    1042,   750,   352,   751,     0,   353,   354,   355,  1043,  1044,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,  1045,   752,  1046,   371,   372,   373,   374,
       0,   375,   376,   753,   377,  1048,  1049,   379,  1050,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,   754,   755,   756,  1052,   390,   391,   392,   393,
     394,   395,   396,     0,   397,  1053,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
    1054,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     757,   430,   431,   432,   433,  1055,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
    1056,   448,   449,   450,   451,   758,   452,  1057,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,  1058,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,  1065,     0,   490,   491,   492,   493,   494,
     495,  1066,     0,   497,   759,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,  1067,
    1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,
       0,     0,     0,     0,     0,     0,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,  1078,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,     0,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,     0,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,     0,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,     0,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,     0,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,   482,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,     0,     0,     0,     0,     0,     0,     0,  1078,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,     0,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,     0,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,     0,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,     0,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
       0,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,   737,  2263,  2264,     0,     0,     0,     0,     0,     0,
       0,  1078,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   738,   227,   228,   229,
     230,   231,   232,   739,   233,   234,     0,   235,   236,   237,
     238,   239,     0,  1020,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,  1023,     0,   251,     0,   252,
     253,   254,   255,   740,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,   741,   265,   266,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,  1035,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,   743,     0,   744,   312,   313,   314,     0,   315,
    1038,     0,   317,   318,     0,   319,   320,   321,   322,   323,
     745,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,   746,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,     0,  1042,   750,   352,
     751,     0,   353,   354,   355,  1043,  1044,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   752,   370,   371,   372,   373,   374,     0,   375,   376,
     753,   377,     0,  1049,   379,   380,   381,   382,   383,     0,
     384,     0,   702,   385,   386,   387,     0,     0,   388,   754,
     755,   756,  1052,   390,   391,   392,   393,   394,   395,   396,
       0,   397,  1053,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   757,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    38,   443,   444,   445,   446,   447,  1056,   448,   449,
     450,   451,   758,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,  1058,     0,   465,   466,
      42,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,  1061,   477,  1062,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
    1065,     0,   490,   491,   492,   493,   494,   949,   496,     0,
     497,   759,   498,   499,   500,     0,     0,   501,     0,    47,
     502,   503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,     0,
       0,     0,     0,   737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2921,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,   231,   232,   739,   233,   234,     0,   235,
     236,   237,   238,   239,     0,  1020,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,  1035,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,   751,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   752,   370,   371,   372,   373,   374,     0,
     375,   376,   753,   377,     0,  1049,   379,   380,   381,   382,
     383,     0,   384,     0,   702,   385,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,   758,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,  1061,   477,  1062,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,   737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2921,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,   231,   232,   739,   233,   234,
       0,   235,   236,   237,   238,   239,     0,  1020,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,  1023,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,  1035,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,  1038,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,  1042,   750,   352,   751,     0,   353,   354,   355,  1043,
    1044,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   752,   370,   371,   372,   373,
     374,     0,   375,   376,   753,   377,     0,  1049,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,   754,   755,   756,  1052,   390,   391,   392,
     393,   394,   395,   396,     0,   397,  1053,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,  1056,   448,   449,   450,   451,   758,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
    1058,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,  1061,   477,  1062,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,  1065,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,
     518,     0,     0,     0,     0,     0,     0,   737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3439,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,   231,   232,   739,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,   266,     0,     0,     0,   742,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,   743,     0,
     744,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,   746,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,     0,   351,   750,   352,   751,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   752,   370,   371,
     372,   373,   374,     0,   375,   376,   753,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,   754,   755,   756,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,   758,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,     0,     0,     0,     0,   210,
    1251,   573,     0,     0,     0,   623,     0,     0,     0,  3948,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
    1490,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,  1491,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,  1492,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,     0,     0,     0,
       0,   210,   635,  1252,  3547,     0,     0,     0,     0,     0,
       0,  3548,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     3,     4,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    38,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
      42,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   949,   496,     0,
     497,   950,   498,   499,   500,     0,     0,   501,     0,    47,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    38,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,    42,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   949,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,    47,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1130,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2413,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3403,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,     0,
       0,     0,     0,  1352,  1251,   573,     0,     0,   785,   623,
       0,     0,     0,  3720,   211,   212,   213,   214,   215,   216,
     217,   218,  1687,   220,   221,   222,  1688,  1689,  1690,  1691,
    1692,  1693,  1694,   223,   224,  1695,   225,   226,   738,   227,
     228,   229,   230,     0,  1353,   739,  1354,  1355,  1696,   235,
     236,   237,   238,   239,  1697,  1698,   240,   241,  1356,  1357,
     244,  1699,   245,   246,   247,   248,   249,     0,  1700,   251,
    1701,   252,   253,   254,   255,   740,   256,   257,  1702,   258,
     259,   260,   261,   262,   263,   264,  1703,   741,   265,   266,
    1704,  1705,  1706,   742,  1707,  1708,  1709,   267,   268,   269,
     270,   271,   272,  1358,  1359,   275,  1710,   276,  1711,   277,
     278,   279,   280,   281,  1712,   282,   283,   284,   285,  1713,
     286,  1714,   287,   288,  1033,   290,   291,  1715,   292,   293,
     294,  1716,   295,   296,  1717,   297,   298,   299,   300,     0,
     302,   303,   304,     0,  1718,   306,  1719,   307,  1360,   309,
    1720,   310,  1721,   311,   743,  1722,   744,   312,   313,   314,
    1723,   315,     0,  1724,   317,   318,  1725,   319,   320,   321,
     322,   323,   745,   324,   325,   326,  1726,   327,   328,   329,
     330,   331,   332,  1727,   333,   746,     0,   335,   336,   337,
     338,  1361,  1362,  1728,  1363,  1729,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,  1730,     0,
     750,   352,   751,  1731,   353,   354,   355,  1732,  1733,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1364,   752,  1365,   371,   372,   373,     0,  1734,
     375,   376,   753,   377,  1735,     0,   379,  1366,   381,   382,
     383,  1736,   384,  1737,  1738,  3139,   386,   387,  1739,  1740,
       0,   754,   755,   756,     0,   390,   391,   392,   393,   394,
     395,   396,  1741,   397,     0,   399,     0,   401,   402,   403,
     404,  1742,   405,   406,   407,   408,   409,   410,   411,  1367,
     413,   414,   415,   416,  1743,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,  1744,   428,   429,   757,
     430,   431,   432,   433,     0,   435,   436,   437,   438,   439,
     440,   441,   442,  1745,   443,   444,   445,   446,   447,  1746,
     448,  1894,   450,   451,   758,   452,  1369,  1747,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,     0,  1748,
     465,   466,  1749,   467,   468,   469,   470,   471,   472,  1750,
    1370,  1371,  1751,  1752,   475,     0,   477,     0,  1753,   479,
     480,   481,   482,   483,   484,  1754,  1755,   485,   486,   487,
     488,   489,  1756,  1757,   490,   491,   492,   493,   494,     0,
    1372,  1758,   497,   759,   498,   499,   500,  1759,  1760,   501,
    1761,  1762,   502,   503,   504,   505,   506,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   516,   517,   518,     0,
       0,     0,   788,   789,   790,     0,  3140,  3141,   793,   794,
     795,   796,   210,     0,     0,     0,     0,   785,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   786,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   787,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
       0,   788,   789,   790,     0,   791,   792,   793,   794,   795,
     796,   210,     0,     0,     0,     0,   785,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   875,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   876,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,     0,
     788,   789,   790,     0,   791,   792,   793,   794,   795,   796,
     210,     0,     0,     0,     0,   785,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     921,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   922,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   923,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,     0,   788,
     789,   790,     0,   791,   792,   793,   794,   795,   796,   210,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,  1335,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,  1336,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,     0,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   210,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,     0,   788,   789,   790,
       0,   791,   792,   793,   794,   795,   796,   210,     0,     0,
       0,     0,   785,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,  2469,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,  2470,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,     0,   788,   789,   790,     0,
     791,   792,   793,   794,   795,   796,   210,     0,     0,     0,
       0,   785,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,  3935,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,  1686,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   211,   212,   213,   214,   215,
     216,   217,   218,  1687,   220,   221,   222,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   223,   224,  1695,   225,   226,   738,
     227,   228,   229,   230,   231,   232,   739,   233,   234,  1696,
     235,   236,   237,   238,   239,  1697,  1698,   240,   241,   242,
     243,   244,  1699,   245,   246,   247,   248,   249,   250,  1700,
     251,  1701,   252,   253,   254,   255,   740,   256,   257,  1702,
     258,   259,   260,   261,   262,   263,   264,  1703,   741,   265,
     266,  1704,  1705,  1706,   742,  1707,  1708,  1709,   267,   268,
     269,   270,   271,   272,   273,   274,   275,  1710,   276,  1711,
     277,   278,   279,   280,   281,  1712,   282,   283,   284,   285,
    1713,   286,  1714,   287,   288,   289,   290,   291,  1715,   292,
     293,   294,  1716,   295,   296,  1717,   297,   298,   299,   300,
     301,   302,   303,   304,   305,  1718,   306,  1719,   307,   308,
     309,  1720,   310,  1721,   311,   743,  1722,   744,   312,   313,
     314,  1723,   315,   316,  1724,   317,   318,  1725,   319,   320,
     321,   322,   323,   745,   324,   325,   326,  1726,   327,   328,
     329,   330,   331,   332,  1727,   333,   746,   334,   335,   336,
     337,   338,   339,   340,  1728,   341,  1729,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,  1730,
     351,   750,   352,   751,  1731,   353,   354,   355,  1732,  1733,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   752,   370,   371,   372,   373,   374,
    1734,   375,   376,   753,   377,  1735,   378,   379,   380,   381,
     382,   383,  1736,   384,  1737,  1738,   385,   386,   387,  1739,
    1740,   388,   754,   755,   756,   389,   390,   391,   392,   393,
     394,   395,   396,  1741,   397,   398,   399,   400,   401,   402,
     403,   404,  1742,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,  1743,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1744,   428,   429,
     757,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1745,   443,   444,   445,   446,   447,
    1746,   448,   449,   450,   451,   758,   452,   453,  1747,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1748,   465,   466,  1749,   467,   468,   469,   470,   471,   472,
    1750,   473,   474,  1751,  1752,   475,   476,   477,   478,  1753,
     479,   480,   481,   482,   483,   484,  1754,  1755,   485,   486,
     487,   488,   489,  1756,  1757,   490,   491,   492,   493,   494,
     495,   496,  1758,   497,   759,   498,   499,   500,  1759,  1760,
     501,  1761,  1762,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,  1763,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,   707,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,  1352,     0,     0,     0,     0,     0,     0,     0,
       0,  3809,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,     0,  1353,   739,  1354,  1355,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,  1356,  1357,   244,
       0,   245,   246,   247,   248,   249,     0,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,     0,
       0,     0,   742,     0,     0,     0,   267,   268,   269,   270,
     271,   272,  1358,  1359,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,     0,   302,
     303,   304,     0,     0,   306,     0,   307,  1360,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,     0,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,     0,   335,   336,   337,   338,
    1361,  1362,     0,  1363,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,     0,   750,
     352,   751,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1364,   752,  1365,   371,   372,   373,     0,     0,   375,
     376,   753,   377,     0,     0,   379,  1366,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,     0,
     754,   755,   756,     0,   390,   391,   392,   393,   394,   395,
     396,     0,   397,     0,   399,     0,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1367,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
    1368,   450,   451,   758,   452,  1369,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1370,
    1371,     0,     0,   475,     0,   477,     0,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,     0,  1372,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,     0,     0,  2037,     0,
       0,     0,     0,     0,     0,   516,   517,   518,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1817,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,     0,  1353,
     739,  1354,  1355,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,  1356,  1357,   244,     0,   245,   246,   247,
     248,   249,     0,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,     0,     0,     0,   742,     0,
       0,     0,   267,   268,   269,   270,   271,   272,  1358,  1359,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,     0,   302,   303,   304,     0,     0,
     306,     0,   307,  1360,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,     0,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,     0,   335,   336,   337,   338,  1361,  1362,     0,  1363,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,     0,   750,   352,   751,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1364,   752,  1365,
     371,   372,   373,     0,     0,   375,   376,   753,   377,     0,
       0,   379,  1366,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,     0,   754,   755,   756,     0,
     390,   391,   392,   393,   394,   395,   396,     0,   397,     0,
     399,     0,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1367,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,  1368,   450,   451,   758,
     452,  1369,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1370,  1371,     0,     0,   475,
       0,   477,     0,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,     0,  1372,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,     0,     0,   210,  1251,   573,     0,     0,     0,
     623,   516,   517,   518,     0,   211,   212,   213,   214,   215,
     216,   217,   218,  1817,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,  1676,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,  1490,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,  1491,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,  1492,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,  1251,   573,     0,     0,     0,   623,   635,  1252,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,  1681,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,  1490,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
    1491,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,  1492,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,  1251,   573,     0,
       0,     0,   623,   635,  1252,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,  1490,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,  1491,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,  1492,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,   623,   635,
    1252,     0,     0,   211,   624,   213,   214,   215,   216,   217,
     218,   625,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   626,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   627,   308,   309,     0,
     310,     0,   628,     0,   629,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,   630,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   631,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   632,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   633,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   634,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,  1686,  4239,
     573,     0,     0,     0,   623,   635,   636,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1687,   220,   221,
     222,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   223,   224,
    1695,   225,   226,   738,   227,   228,   229,   230,   231,   232,
     739,   233,   234,  1696,   235,   236,   237,   238,   239,  1697,
    1698,   240,   241,   242,   243,   244,  1699,   245,   246,   247,
     248,   249,   250,  1700,   251,  1701,   252,   253,   254,   255,
     740,   256,   257,  1702,   258,   259,   260,   261,   262,   263,
     264,  1703,   741,   265,   266,  1704,  1705,  1706,   742,  1707,
    1708,  1709,   267,   268,   269,   270,   271,   272,   273,   274,
     275,  1710,   276,  1711,   277,   278,   279,   280,   281,  1712,
     282,   283,   284,   285,  1713,   286,  1714,   287,   288,   289,
     290,   291,  1715,   292,   293,   294,  1716,   295,   296,  1717,
     297,   298,   299,   300,   301,   302,   303,   304,   305,  1718,
     306,  1719,   307,   308,   309,  1720,   310,  1721,   311,   743,
    1722,   744,   312,   313,   314,  1723,   315,   316,  1724,   317,
     318,  1725,   319,   320,   321,   322,   323,   745,   324,   325,
     326,  1726,   327,   328,   329,   330,   331,   332,  1727,   333,
     746,   334,   335,   336,   337,   338,   339,   340,  1728,   341,
    1729,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,  1730,   351,   750,   352,   751,  1731,   353,
     354,   355,  1732,  1733,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   752,   370,
     371,   372,   373,   374,  1734,   375,   376,   753,   377,  1735,
     378,   379,   380,   381,   382,   383,  1736,   384,  1737,  1738,
     385,   386,   387,  1739,  1740,   388,   754,   755,   756,   389,
     390,   391,   392,   393,   394,   395,   396,  1741,   397,   398,
     399,   400,   401,   402,   403,   404,  1742,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,  1743,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,  1744,   428,   429,   757,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,  1745,   443,
     444,   445,   446,   447,  1746,   448,   449,   450,   451,   758,
     452,   453,  1747,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1748,   465,   466,  1749,   467,   468,
     469,   470,   471,   472,  1750,   473,   474,  1751,  1752,   475,
     476,   477,   478,  1753,   479,   480,   481,   482,   483,   484,
    1754,  1755,   485,   486,   487,   488,   489,  1756,  1757,   490,
     491,   492,   493,   494,   495,   496,  1758,   497,   759,   498,
     499,   500,  1759,  1760,   501,  1761,  1762,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,  1686,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,  1687,   220,   221,   222,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   223,   224,  1695,   225,   226,   738,
     227,   228,   229,   230,   231,   232,   739,   233,   234,  1696,
     235,   236,   237,   238,   239,  1697,  1698,   240,   241,   242,
     243,   244,  1699,   245,   246,   247,   248,   249,   250,  1700,
     251,  1701,   252,   253,   254,   255,   740,   256,   257,  1702,
     258,   259,   260,   261,   262,   263,   264,  1703,   741,   265,
     266,  1704,  1705,  1706,   742,  1707,  1708,  1709,   267,   268,
     269,   270,   271,   272,   273,   274,   275,  1710,   276,  1711,
     277,   278,   279,   280,   281,  1712,   282,   283,   284,   285,
    1713,   286,  1714,   287,   288,   289,   290,   291,  1715,   292,
     293,   294,  1716,   295,   296,  1717,   297,   298,   299,   300,
     301,   302,   303,   304,   305,  1718,   306,  1719,   307,   308,
     309,  1720,   310,  1721,   311,   743,  1722,   744,   312,   313,
     314,  1723,   315,   316,  1724,   317,   318,  1725,   319,   320,
     321,   322,   323,   745,   324,   325,   326,  1726,   327,   328,
     329,   330,   331,   332,  1727,   333,   746,   334,   335,   336,
     337,   338,   339,   340,  1728,   341,  1729,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,  1730,
     351,   750,   352,   751,  1731,   353,   354,   355,  1732,  1733,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   752,   370,   371,   372,   373,   374,
    1734,   375,   376,   753,   377,  1735,   378,   379,   380,   381,
     382,   383,  1736,   384,  1737,  1738,   385,   386,   387,  1739,
    1740,   388,   754,   755,   756,   389,   390,   391,   392,   393,
     394,   395,   396,  1741,   397,   398,   399,   400,   401,   402,
     403,   404,  1742,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,  1743,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1744,   428,   429,
     757,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1745,   443,   444,   445,   446,   447,
    1746,   448,   449,   450,   451,   758,   452,   453,  1747,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1748,   465,   466,  1749,   467,   468,   469,   470,   471,   472,
    1750,   473,   474,  1751,  1752,   475,   476,   477,   478,  1753,
     479,   480,   481,   482,   483,   484,  1754,  1755,   485,   486,
     487,   488,   489,  1756,  1757,   490,   491,   492,   493,   494,
     495,   496,  1758,   497,   759,   498,   499,   500,  1759,  1760,
     501,  1761,  1762,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
    1686,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,  2530,   216,   217,   218,  1687,
     220,   221,   222,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     223,   224,  1695,   225,   226,   738,   227,   228,   229,   230,
     231,   232,   739,   233,   234,  1696,   235,   236,   237,   238,
     239,  1697,  1698,   240,   241,   242,   243,   244,  1699,   245,
     246,   247,   248,   249,   250,  1700,   251,  1701,   252,   253,
     254,   255,   740,   256,   257,  1702,   258,   259,   260,   261,
     262,   263,   264,  1703,   741,   265,   266,  1704,  1705,  1706,
     742,  1707,  1708,  1709,   267,   268,   269,   270,   271,   272,
     273,   274,   275,  1710,   276,  1711,   277,   278,   279,   280,
     281,  1712,   282,   283,   284,   285,  1713,   286,  1714,   287,
     288,   289,  2531,   291,  1715,   292,   293,   294,  1716,   295,
     296,  1717,   297,   298,   299,   300,   301,   302,   303,   304,
     305,  1718,   306,  1719,   307,   308,   309,  1720,   310,  1721,
     311,   743,  1722,   744,   312,   313,   314,  1723,   315,   316,
    1724,   317,   318,  1725,   319,   320,   321,   322,   323,   745,
     324,   325,   326,  1726,   327,   328,   329,   330,   331,   332,
    1727,   333,   746,   334,   335,   336,   337,   338,   339,   340,
    1728,   341,  1729,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,  1730,   351,   750,   352,   751,
    1731,   353,   354,   355,  1732,  1733,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     752,   370,   371,   372,   373,   374,  1734,   375,   376,   753,
     377,  1735,   378,   379,   380,   381,   382,   383,  1736,   384,
    1737,  1738,   385,   386,   387,  1739,  1740,   388,   754,   755,
     756,   389,   390,   391,   392,   393,   394,   395,   396,  1741,
     397,   398,   399,   400,   401,   402,   403,   404,  1742,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,  1743,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,  1744,   428,   429,   757,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1745,   443,   444,   445,   446,   447,  1746,  2532,   449,   450,
     451,   758,   452,   453,  1747,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1748,   465,   466,  1749,
     467,   468,   469,   470,   471,   472,  1750,   473,   474,  1751,
    1752,   475,   476,   477,   478,  1753,   479,   480,   481,   482,
     483,   484,  1754,  1755,   485,   486,   487,   488,   489,  1756,
    1757,   490,   491,   492,   493,   494,   495,   496,  1758,   497,
     759,   498,   499,   500,  1759,  1760,   501,  1761,  1762,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,   231,   232,   739,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,     0,     0,     0,   742,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,   351,   750,   352,   751,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   752,   370,   371,   372,
     373,   374,     0,   375,   376,   753,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,   754,   755,   756,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,   758,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,   232,   739,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,     0,
       0,     0,   742,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     905,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,   351,   750,
     352,   751,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   752,   370,   371,   372,   373,   374,     0,   375,
     376,   753,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
     754,   755,   756,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,   758,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   737,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,   231,   232,
     739,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,     0,     0,     0,   742,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   914,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,   351,   750,   352,   751,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   752,   370,
     371,   372,   373,   374,     0,   375,   376,   753,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,   754,   755,   756,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,   758,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,  1841,   245,   246,   247,   248,   249,   250,     0,
     251,  1906,   252,   253,   254,   255,     0,   256,   257,  1842,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,  1907,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,  1844,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,  1845,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,  1846,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,  1841,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,  1842,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,  1907,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,  1844,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,  2724,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,  1845,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,  1846,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   673,   217,   218,   642,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,   643,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,   674,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   644,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   645,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   642,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,   643,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,  2441,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   644,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   645,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,  1841,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,  1842,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
    1907,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,  1844,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,  1845,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,  1846,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   642,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,   643,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   644,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   645,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,  1490,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
    1491,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,  1492,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  1517,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,  1518,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,  1519,   311,     0,     0,     0,
    1520,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,  1521,  1522,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,  1523,   439,   440,   441,   442,     0,  1524,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,  1525,   467,  1526,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,   643,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   644,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   645,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     3,     4,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   950,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,  1662,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,  1995,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,  1996,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     3,
       4,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2514,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,  2515,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  2526,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,  2527,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,   565,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   566,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   667,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   668,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   669,   474,     0,     0,   670,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   696,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   697,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   698,
     474,     0,     0,   699,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   702,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,   873,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,   898,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,   573,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,   919,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1106,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,  1117,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   684,   241,   242,
     243,  1118,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   687,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   688,   432,   433,   434,   435,   436,   437,   689,
     439,   440,   441,   442,     0,   443,   444,   445,   446,  1110,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   691,   474,     0,     0,   692,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   693,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,  1478,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,  2349,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,  2350,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,  2351,   467,   468,  2352,   470,
    2353,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,  2354,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,  2786,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,  3376,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,  3389,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,  3530,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,  3578,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,  3580,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,  3582,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,  3938,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   608,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   657,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   665,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   684,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     685,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   686,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   687,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   688,   432,   433,   434,   435,   436,   437,   689,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   690,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   691,   474,     0,     0,   692,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   693,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   714,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   810,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     864,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   887,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   910,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   916,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   926,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     928,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   930,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   932,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   935,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   937,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   938,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     941,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   684,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   687,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   688,   432,   433,   434,
     435,   436,   437,   689,   439,   440,   441,   442,     0,   443,
     444,   445,   446,  1110,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   691,   474,     0,     0,   692,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   693,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,  1397,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,  1427,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,  1456,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
    1458,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,  1549,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,  1814,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,     0,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   684,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   687,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   688,   432,
     433,   434,   435,   436,   437,   689,   439,   440,   441,   442,
       0,   443,   444,   445,   446,  1110,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,  1832,   469,   470,   471,   472,     0,   691,   474,     0,
       0,   692,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   693,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   684,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   687,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   688,   432,   433,   434,   435,   436,
     437,  1887,   439,   440,   441,   442,     0,   443,   444,   445,
     446,  1110,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   691,   474,     0,     0,   692,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   693,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
    2129,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,  2517,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,  2519,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,  2603,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,  3103,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,  1352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,     0,  1353,   739,  1354,  1355,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,  1356,  1357,   244,
       0,   245,   246,   247,   248,   249,     0,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,     0,
       0,     0,   742,     0,     0,     0,   267,   268,   269,   270,
     271,   272,  1358,  1359,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,     0,   302,
     303,   304,     0,     0,   306,     0,   307,  1360,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,     0,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,  1891,   327,   328,   329,   330,
     331,   332,     0,   333,   746,  1892,   335,   336,   337,   338,
    1361,  1362,     0,  1363,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,     0,   750,
     352,   751,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1364,   752,  1365,   371,   372,   373,     0,     0,   375,
     376,   753,   377,     0,     0,   379,  1366,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,  1893,
     754,   755,   756,     0,   390,   391,   392,   393,   394,   395,
     396,     0,   397,     0,   399,     0,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1367,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
    1894,   450,   451,   758,   452,  1369,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1370,
    1371,     0,     0,   475,     0,   477,     0,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,     0,  1372,
    1895,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,     0,  1352,     0,     0,
       0,     0,     0,     0,     0,   516,   517,   518,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,     0,  1353,   739,
    1354,  1355,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,  1356,  1357,   244,     0,   245,   246,   247,   248,
     249,     0,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,   266,     0,     0,     0,   742,     0,     0,
       0,   267,   268,   269,   270,   271,   272,  1358,  1359,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,  1033,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,     0,   302,   303,   304,     0,     0,   306,
       0,   307,  1360,   309,     0,   310,     0,   311,   743,     0,
     744,   312,   313,   314,     0,   315,     0,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,   746,
       0,   335,   336,   337,   338,  1361,  1362,     0,  1363,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,     0,     0,   750,   352,   751,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,  1364,   752,  1365,   371,
     372,   373,     0,     0,   375,   376,   753,   377,  1883,     0,
     379,  1366,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,     0,   754,   755,   756,     0,   390,
     391,   392,   393,   394,   395,   396,     0,   397,     0,   399,
       0,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,  1367,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,  1894,   450,   451,   758,   452,
    1369,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   465,   466,  3243,   467,   468,   469,
     470,   471,   472,     0,  1370,  1371,     0,     0,   475,     0,
     477,     0,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,     0,  1372,     0,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,     0,   210,     0,     0,     0,     0,     0,     0,     0,
     516,   517,   518,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,     0,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,     0,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,  1352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,     0,  1353,
     739,  1354,  1355,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,  1356,  1357,   244,     0,   245,   246,   247,
     248,   249,     0,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,     0,     0,     0,   742,     0,
       0,     0,   267,   268,   269,   270,   271,   272,  1358,  1359,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,     0,   302,   303,   304,     0,     0,
     306,     0,   307,  1360,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,     0,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,     0,   335,   336,   337,   338,  1361,  1362,     0,  1363,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,     0,   750,   352,   751,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1364,   752,  1365,
     371,   372,   373,  1944,     0,   375,   376,   753,   377,     0,
       0,   379,  1366,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,     0,   754,   755,   756,     0,
     390,   391,   392,   393,   394,   395,   396,     0,   397,     0,
     399,     0,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1367,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,  1368,   450,   451,   758,
     452,  1369,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1370,  1371,     0,     0,   475,
       0,   477,     0,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,     0,  1372,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,     0,  1352,     0,     0,     0,     0,     0,     0,
       0,   516,   517,   518,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,     0,  1353,   739,  1354,  1355,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,  1356,  1357,
     244,     0,   245,   246,   247,   248,   249,     0,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
       0,     0,     0,   742,     0,     0,     0,   267,   268,   269,
     270,   271,   272,  1358,  1359,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,     0,
     302,   303,   304,     0,     0,   306,     0,   307,  1360,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,     0,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,     0,   335,   336,   337,
     338,  1361,  1362,     0,  1363,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,     0,
     750,   352,   751,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1364,   752,  1365,   371,   372,   373,  3065,     0,
     375,   376,   753,   377,     0,     0,   379,  1366,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
       0,   754,   755,   756,     0,   390,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   399,     0,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1367,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,  1368,   450,   451,   758,   452,  1369,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1370,  1371,     0,     0,   475,     0,   477,     0,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,     0,
    1372,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,     0,  1352,     0,
       0,     0,     0,     0,     0,     0,   516,   517,   518,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,     0,  1353,
     739,  1354,  1355,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,  1356,  1357,   244,     0,   245,   246,   247,
     248,   249,     0,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,     0,     0,     0,   742,     0,
       0,     0,   267,   268,   269,   270,   271,   272,  1358,  1359,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,     0,   302,   303,   304,     0,     0,
     306,     0,   307,  1360,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,     0,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,     0,   335,   336,   337,   338,  1361,  1362,     0,  1363,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,     0,   750,   352,   751,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1364,   752,  1365,
     371,   372,   373,     0,     0,   375,   376,   753,   377,     0,
       0,   379,  1366,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,     0,   754,   755,   756,     0,
     390,   391,   392,   393,   394,   395,   396,     0,   397,     0,
     399,     0,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1367,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,  1368,   450,   451,   758,
     452,  1369,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1370,  1371,     0,     0,   475,
       0,   477,     0,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,     0,  1372,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,     0,  1352,     0,     0,     0,     0,     0,     0,
       0,   516,   517,   518,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,     0,  1353,   739,  1354,  1355,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,  1356,  1357,
     244,     0,   245,   246,   247,   248,   249,     0,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
       0,     0,     0,   742,     0,     0,     0,   267,   268,   269,
     270,   271,   272,  1358,  1359,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,     0,
     302,   303,   304,     0,     0,   306,     0,   307,  1360,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,     0,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,     0,   335,   336,   337,
     338,  1361,  1362,     0,  1363,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,     0,
     750,   352,   751,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1364,   752,  1365,   371,   372,   373,     0,     0,
     375,   376,   753,   377,     0,     0,   379,  1366,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
       0,   754,   755,   756,     0,   390,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   399,     0,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1367,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,  1894,   450,   451,   758,   452,  1369,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1370,  1371,     0,     0,   475,     0,   477,     0,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,     0,
    1372,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,     0,  1352,     0,
       0,     0,     0,     0,     0,     0,   516,   517,   518,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,     0,  1353,
     739,  1354,  1355,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,  1356,  1357,   244,     0,   245,   246,   247,
     248,   249,     0,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,     0,     0,     0,   742,     0,
       0,     0,   267,   268,   269,   270,   271,   272,  1358,  1359,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,     0,   302,   303,   304,     0,     0,
     306,     0,   307,  1360,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,     0,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,     0,   335,   336,   337,   338,  1361,  1362,     0,  1363,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,     0,   750,   352,   751,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1364,   752,  1365,
     371,   372,   373,     0,     0,   375,   376,   753,   377,     0,
       0,   379,  1366,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,     0,   754,   755,   756,     0,
     390,   391,   392,   393,   394,   395,   396,     0,   397,     0,
     399,     0,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1367,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,     0,   450,   451,   758,
     452,  1369,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1370,  1371,     0,     0,   475,
       0,   477,     0,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,     0,  1372,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,     0,  1352,     0,     0,     0,     0,     0,     0,
       0,   516,   517,   518,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,     0,     0,   739,     0,     0,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,     0,     0,
     244,     0,   245,   246,   247,   248,   249,     0,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
       0,     0,     0,   742,     0,     0,     0,   267,   268,   269,
     270,   271,   272,     0,     0,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,     0,
     302,   303,   304,     0,     0,   306,     0,   307,     0,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,     0,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,     0,   335,   336,   337,
     338,     0,     0,     0,     0,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,     0,
     750,   352,   751,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   752,     0,   371,   372,   373,     0,     0,
     375,   376,   753,   377,     0,     0,   379,     0,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
       0,   754,   755,   756,     0,   390,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   399,     0,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,     0,   450,   451,   758,   452,     0,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
       0,     0,     0,     0,   475,     0,   477,     0,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,     0,
       0,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   516,   517,   518
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    48,    34,    17,   731,
     173,   915,    12,   919,   547,   874,    25,   644,   645,   685,
    1134,    21,   649,    21,   924,   977,   954,   736,    22,   181,
     194,  1323,  1324,    27,  1480,  1228,   538,   189,  1520,  1245,
    1167,   801,  1136,  1200,   761,   804,   990,    22,    48,  1255,
      13,   811,    27,  1134,   819,  1368,  1618,   782,   591,   193,
     855,  1031,  1032,  1232,   588,     8,  1060,   877,   574,   593,
    1385,  1943,    15,  1187,  2210,  1232,   886,  1003,   692,   603,
    1050,   583,  1325,  2483,    43,  2364,  1292,  1293,    23,  1183,
    2510,  2746,  1899,  1900,    21,    18,  1555,    42,  2530,    34,
    2532,  1409,   862,  2358,  1424,   865,  1187,  1228,   190,  1986,
     870,   906,  1409,  1409,   196,  2953,  1409,  1778,  1134,   879,
    1157,  1409,  2190,   205,  2362,  1409,  2994,  2650,   888,  2668,
    2360,  2361,  2413,   152,  2987,  2921,  1281,   612,  2926,  2927,
    3200,  3244,     0,   945,     0,  2668,     0,  3187,     0,     0,
    2297,  2406,  1236,    39,   175,  1187,  1476,   768,  3444,  3219,
    2965,  2859,   728,  3622,   728,   777,     5,     5,    31,   175,
      11,  1187,     5,  2033,     9,   175,     5,    45,    59,     0,
    1021,  1022,   688,     0,     0,     0,   931,    52,    52,  3868,
    1433,  2672,  2673,  2674,  2675,  2676,  2677,   942,     5,     0,
     811,  2073,    52,  1287,   108,  1046,    37,    37,     9,  3753,
     132,     5,    74,    18,     5,     5,     0,   191,     0,    13,
     156,    22,    13,    13,   198,     9,   853,   106,    70,   954,
      59,     0,   206,   150,     5,     5,   994,   995,    22,    35,
       5,     5,     5,   161,   150,  3861,     5,     5,   195,   164,
      25,     5,     5,    99,     5,   200,    99,    18,    70,  3993,
     157,   155,    61,   164,  2136,    11,  2138,   106,    35,    86,
      86,     9,  2419,  2485,  1388,    81,  1078,   155,     3,     4,
       5,   108,  3150,   803,     9,   805,   155,    34,   137,    22,
      36,   249,   812,    66,    59,   199,     4,   163,   106,    23,
     155,     9,   254,   314,   252,   838,   236,  1388,     4,   106,
     108,   155,    22,     9,  3816,     9,   155,   127,  3940,  3941,
     125,   236,    68,    22,   288,   149,   236,   147,   108,   280,
      29,  4181,     5,    22,   155,   239,   135,   362,   266,   362,
     155,    11,     5,   160,   160,   259,     9,   401,    77,   311,
      83,   266,   364,   152,   155,   176,  1121,   113,   255,   111,
     430,   176,    72,    99,   125,   435,  4100,   437,   332,    79,
     150,   155,  1388,   155,   402,   176,    80,  1371,    68,   393,
     532,   106,  1864,   547,   288,   439,   155,  1104,  1358,  1359,
    3849,   403,   176,   421,   176,  1120,  1366,   107,    68,  1124,
    1125,   925,   330,   183,  4254,     8,   320,   176,    11,  3449,
      26,    27,   546,   364,   439,   235,   439,   381,   122,    11,
     382,  3845,     5,     5,   435,    28,   578,   591,   175,  1333,
     119,    22,    11,   106,   940,   587,   244,  1337,    29,    99,
     305,   305,   239,   106,    36,   311,   244,    22,   345,    22,
     176,   275,   403,   405,    29,   305,   590,   387,   982,   239,
    1554,  1588,   544,     8,     5,  3967,   190,   549,   992,   194,
     180,    11,   387,  2685,  4208,  1602,    68,   435,   560,   252,
    1004,   956,   281,   332,   327,    18,   387,   435,  1213,   306,
     306,   216,   439,   362,  1219,  4111,    36,    16,   304,   435,
    2981,  1007,    30,    99,   237,   266,   352,   417,  4052,  1623,
    4132,   373,  4246,   435,  3053,  1356,  1357,  1277,   527,  1279,
     362,   439,   439,   362,  1365,   534,   301,  1286,    68,   435,
    3053,     5,   362,  1328,  4213,   439,   343,   344,   154,  1349,
     156,   316,  1623,   422,  1269,   439,     8,  1272,  1273,    11,
     362,   525,  3592,   349,   435,  1320,   530,   388,   385,   392,
    1512,   439,  1656,   392,  1322,   574,   575,   435,   731,   330,
    3438,   613,   435,  2445,   439,   439,   381,   376,   106,  4003,
     435,  1894,   349,   422,   401,   401,  1346,   397,  1903,   439,
     431,   366,   125,  3379,   197,   439,   615,  3383,   437,   434,
    3640,   439,   435,   526,  3302,   197,   435,  1623,  1174,  1334,
    1174,  1117,   612,   613,   612,  1227,   352,   438,   137,   436,
     436,   438,   438,   438,  3429,   426,   427,   383,  1152,   381,
     624,   402,   626,   439,   628,   345,  4095,   438,   337,   402,
     634,   435,   426,   427,   435,   435,  3932,   610,   657,   624,
     421,   626,   255,   628,   438,  1266,   438,  2936,   421,   634,
     635,   636,   244,   433,   435,   435,  2921,   437,   677,   438,
     435,   435,   435,   825,   838,   684,   435,   435,   687,   688,
     689,   435,   435,   835,   435,   431,   613,  3168,   426,   427,
     664,  1211,   352,   401,  2501,   638,  2503,   435,  1443,   720,
     273,   426,   427,  2941,  4163,   155,  1899,  1452,  3748,   654,
     255,   685,  1826,   439,   720,  3755,  1461,  1462,   426,   427,
     720,   262,   722,   722,   722,   722,   722,   722,   702,  1262,
     426,   427,   426,   427,  1479,   197,  2991,  1906,  4162,  1580,
    1581,    76,   894,   433,   283,  1826,   337,   437,  4172,   723,
      11,  1553,    52,  1555,   106,    61,   352,  2629,  2630,    99,
      61,   706,   337,  1565,  2624,   298,  1568,  2627,  2628,    11,
     244,  2631,    78,  3833,  1576,  1577,   253,   393,   155,  2071,
     115,  2641,   355,   710,   357,  4209,   158,  1589,  1590,   163,
     735,  1875,   316,   255,  1826,   314,   111,     5,  1600,   101,
     686,   109,    99,  1430,   690,   106,   125,   782,   100,   106,
    1826,  2373,  1926,   332,  3720,  1929,  3722,     5,    86,   422,
     423,   424,  2969,   426,   427,   428,   429,   430,   431,   135,
       3,   776,     5,   157,   426,   427,   428,   429,   430,   431,
     111,    18,   366,  2650,   287,   854,   152,    24,  1929,   428,
     429,   430,   431,     5,  3254,  2263,  2264,   352,  1524,  1525,
    2268,  2668,   259,   237,   722,   173,   722,   169,   722,    18,
     722,   722,   315,   150,   189,    24,   106,   422,   423,   424,
     164,   426,   427,   428,   429,   430,   431,   179,   428,   429,
     430,   431,   160,   867,   422,   257,   435,   332,    52,  2068,
    2308,  2309,   137,   157,   266,   433,   158,   435,   436,   437,
    1926,   439,   362,  1929,  4017,   889,   890,   891,   189,  3707,
    3980,    43,   224,   249,  2117,  3711,   228,  1460,   101,  1453,
    3716,   940,   267,  3719,    76,   111,   197,  2744,   239,  1463,
     330,   318,   239,   244,    76,   954,   381,  1449,   125,   125,
    3818,  1475,   236,   325,     8,   197,   956,    11,   956,   202,
     150,   249,  2107,    99,   426,   427,   428,   429,   430,   431,
     160,   323,   422,   115,   897,   281,   125,   176,   987,   954,
     281,   353,    20,   115,   303,  3640,   176,   437,    18,    86,
     101,   239,   316,   294,  1518,   203,   169,  1521,  1007,  1523,
     352,   255,  1526,    41,   134,   305,  3912,   981,   105,   239,
      11,   330,   352,  1488,   164,  1015,   959,   394,   961,   321,
     963,   356,   965,   300,   967,   968,   969,   383,  1773,  1003,
      76,   974,   394,    22,  1034,    36,  1078,   389,   286,   182,
     183,   138,   439,   186,   187,   342,   370,   437,   345,   401,
     172,   224,   323,  1586,   176,   228,   244,    76,   169,   351,
     352,   204,   265,   193,  1064,   169,   381,    68,    18,   115,
     376,  1080,  4112,   325,    24,   376,  3944,  3930,  1078,   435,
     224,  1090,   236,   435,     8,  2055,   236,    11,   318,   266,
     212,  1100,   244,   435,   138,   125,   115,   332,  1262,   298,
     236,   353,   278,   387,   303,   253,   146,   257,  1117,   435,
     381,  1120,    36,   224,   416,  1124,  1125,   228,   308,    43,
     224,   298,  3401,  3909,  3379,   267,  1145,   364,  3383,   259,
     119,   330,  3411,   435,   108,   267,  2263,  2264,   435,  1160,
    1161,  2268,  1163,   197,    68,  1120,  3427,   435,   321,  1124,
    1125,   305,   190,   330,  1160,  1161,  1130,  1163,   316,  3397,
    1160,  1161,  3392,  1163,  3596,   426,   427,   428,   429,   430,
     431,  3409,  1982,   213,  2288,   125,   330,   321,   108,     5,
    2294,  2308,  2309,  2498,   426,   427,   428,   429,   430,   431,
    2505,  4059,   119,   111,   300,   122,   197,   198,    53,   316,
    4098,   255,   401,  1177,  1407,   156,    61,  2288,   366,   183,
     321,    45,   334,  2294,   356,   422,  3284,   321,  4056,  4057,
       5,   267,  1425,   109,   356,  1307,   323,  2131,   259,   109,
     437,  1176,  1957,   110,  3773,   146,   266,   387,  1213,  2139,
    1965,   242,  1967,   416,  1219,   375,  3053,  3756,   267,   366,
    3773,  3111,   176,  2112,    32,   352,   159,  3117,  3118,  3119,
    3120,  3121,  3122,    97,  1238,   239,  4134,  4165,   298,   199,
       0,   189,  2288,   197,   198,  1284,   383,  1252,  2294,   323,
     106,  2091,  2092,  2093,  2094,   433,  1209,   173,   259,   437,
    1442,   266,   389,   173,  1269,   401,  1460,  1272,  1273,  1451,
     330,  2783,   213,   110,   401,   416,   156,  2500,   352,   239,
     356,    78,   239,   216,  3823,  2976,   266,   268,   242,   196,
     157,   106,   249,   298,  1298,   165,  1408,   197,   435,  1831,
    2125,   255,  1865,   439,   439,   185,   114,   356,   435,   106,
     251,  3218,  1424,  1951,  2381,   389,   314,  4245,   298,   186,
     200,   438,  4190,  1327,   188,   330,  2815,   401,   288,  1334,
     210,   216,    98,  4261,  4232,   355,   401,   357,  1520,   423,
     424,   383,   426,   427,   428,   429,   430,   431,   159,  2500,
     330,  1905,   283,   253,   335,  2130,    87,   227,  3260,   196,
    3262,   435,  2000,   536,  1476,  2703,  2836,   540,    98,  2144,
    2145,  1410,   236,  2148,   439,   436,  2703,  2703,   439,  2154,
    2703,   155,   136,   381,   557,  2703,  2530,  2531,  2532,  2703,
    2860,    11,  1586,   435,  3933,   426,   427,   428,   429,   430,
     431,  2233,   176,  2841,  3943,   216,  2844,  2845,  2846,  2847,
    2848,  2849,  2850,  2851,  2852,  2853,    36,  1949,  3727,  3728,
    2770,   369,   355,   177,   357,   156,  3711,  4112,  2183,   309,
     435,  3716,   302,   381,  3719,   436,   248,  2212,   439,  3869,
       3,   119,   239,   313,   122,  1484,   379,   320,    68,  2281,
     401,   181,   288,   436,   185,   319,   439,   223,  1488,   225,
    1488,  1465,   395,   299,  3749,  2903,  2904,   266,  2450,   200,
    1474,   203,   426,   427,   428,   429,   430,   431,     8,   210,
    2312,    11,  3770,  1487,  2530,  2531,  2532,   266,   439,  1546,
     326,   362,  3658,   223,   266,   225,   266,   280,   298,   298,
     362,   436,   233,  2647,   439,  3793,  2506,  1537,  1537,  1537,
    1537,  1537,  1537,   318,    77,  2347,   303,  3979,   266,   298,
    1524,  1525,   253,  2667,   303,  1498,   298,  1500,   298,  1502,
     330,  1504,  1489,  1506,  1573,    87,  2647,  1510,  2659,  2660,
    2661,  2471,  3992,   330,   355,   119,   357,   134,   122,   354,
     298,   330,   435,   266,  3456,  3457,  2667,  1532,    61,   146,
     330,  1566,  1567,   150,   366,    68,   318,   130,   379,  1574,
     144,   249,  3164,  1578,  1579,    78,  3861,  3743,   309,  3745,
    1545,   364,   330,   300,  2120,   298,   119,    20,  1593,   122,
    1595,   266,  4022,   355,   320,   357,   401,   402,  1628,  1552,
     298,  2647,   354,   106,   156,   108,   193,   314,    41,    82,
    1615,   144,  1617,   786,   787,  3924,  2152,   330,   181,  2374,
     403,  2667,   401,   298,  3909,  2179,   213,   134,   303,    38,
     435,  1670,   330,   185,   341,  3130,  2461,  3132,     8,   146,
    3135,    11,  3137,   150,  3534,  3535,   176,  1651,   200,   401,
     402,    60,   383,    33,    70,   330,  1660,   146,   210,   146,
      40,   150,    78,   150,   251,   239,    36,   197,  3013,   179,
     244,  1865,   259,    43,    21,   249,  1858,  2452,   851,   324,
     183,   233,  1864,   435,  2841,   324,   193,  2844,  2845,  2846,
    2847,  2848,  2849,  2850,  2851,  2852,  2853,  2486,    68,     4,
     171,  2397,   875,   876,     9,   323,   213,   352,   271,   253,
    1822,   244,   150,   352,   258,  1827,   249,  2874,  1830,   892,
      26,    27,  2995,    70,   213,   255,   213,  2371,   436,   266,
    2712,   439,  2876,   171,   352,   402,   239,   318,   320,   302,
    1852,   244,  3180,  2518,   251,  2520,  2903,  2904,   921,   922,
     395,    49,   259,   318,   421,  3347,   395,   309,   435,  2883,
     437,   298,   251,   133,   251,  2876,  2329,  1791,   435,  1881,
    1774,   389,  1776,   354,   150,   253,   123,   434,   281,  1836,
      86,  1838,   439,  1813,  1813,   433,  1791,   435,   375,   354,
     402,   294,  1904,   330,   368,   171,  3032,  3033,   436,   105,
     433,   439,   172,   377,   437,   152,   176,   203,   354,   421,
     157,   374,   240,   241,   859,  1927,   435,   435,  1775,   382,
     401,   402,   385,   435,  2599,     9,  4111,   197,   198,  2604,
    2876,     8,   138,   435,    11,   368,   401,   402,  1950,  2863,
    2864,  1953,   212,   253,   377,   434,  2802,   298,  1887,   436,
     439,   323,   303,  2977,   435,   401,   402,   204,  1970,    36,
     436,    77,   430,   439,   439,  1977,    43,   435,   375,   437,
     435,   253,   242,   376,  2808,   435,   258,    22,  1990,   330,
     352,    38,    27,  2437,  2438,   255,  2440,  1999,   437,   435,
    2680,    68,   422,   423,   424,   323,   426,   427,   428,   429,
     430,   431,     8,  1604,  3048,    11,  1607,  3797,  3052,    49,
    3054,  3349,  3350,   129,   433,   199,   435,   389,   437,  1923,
     401,   402,    28,  2459,   352,     5,   418,  2901,  3830,   401,
     256,    11,  3659,  3660,  3661,  3662,  3773,   284,   435,    19,
     437,  3052,   256,  3054,  2280,   990,  2282,  2283,  1987,   253,
     401,   436,  1957,   150,   439,    35,   133,   355,   241,   357,
    1965,   389,  1967,   435,   334,  4131,   355,   436,   357,     8,
     439,   318,    11,   401,   436,   436,   438,   324,   439,  2754,
     436,  2806,   438,  2758,   362,  2760,  2025,  2762,  2763,   418,
     206,   207,  2156,   253,  2033,   172,  2771,    36,   256,   176,
    3199,  3344,  3048,   219,    43,   352,  3052,   435,  3054,   436,
    2992,  2993,   439,  2567,  3237,   436,    50,   323,   439,   436,
     197,   198,   439,  3180,   371,  3025,  3863,    38,  2803,    68,
     418,   436,  2214,     3,   439,   212,  2218,  3224,  2870,   436,
     323,   436,   439,   428,   439,  2702,   352,  2052,   395,    19,
     266,  2090,   436,   199,  2809,   439,   426,   427,   428,   429,
     430,   431,   154,   436,    98,   242,   439,   439,  1241,   352,
    2074,   436,   436,   436,   439,  2114,   439,   435,   255,  2109,
    2109,  2120,   436,   389,  2077,   439,   436,   393,  2620,   439,
     436,   197,   436,   439,   133,   401,     8,   436,   436,    11,
     439,   439,   436,    58,    59,   439,   389,    77,   436,   436,
      49,   439,   439,  2152,   436,   155,    28,   439,   401,   401,
     402,  1294,  1295,  1296,  1297,   436,     0,   436,   439,   435,
     439,   195,   725,   172,   727,  2329,  1181,   176,   354,  2693,
     356,  2695,  3734,   436,   178,  2681,   439,  2683,  2943,   255,
     437,   436,   435,   436,   439,   438,   435,   334,   197,   198,
     130,   436,  1335,  1336,   439,   419,   420,   436,  1341,  3127,
     439,   330,   436,   212,  2367,   439,  2358,   436,  2183,   404,
     439,  2933,  2934,  2930,   436,   436,   435,   439,   439,   223,
     435,   225,  3349,  3350,   437,   436,   436,  2391,   439,   439,
     253,   436,   236,   242,   439,   436,   176,  2743,   439,   150,
     436,   181,    86,   439,  1387,  1260,   255,   436,     8,   436,
     439,    11,   439,   436,  2406,   436,   439,  2781,   439,   211,
     436,   265,  3670,   439,   436,   108,   436,   439,    28,   439,
    2312,  1414,  1415,  1416,  1417,   436,   383,  2801,   439,   426,
     427,   428,   429,   430,   431,  3384,   253,  3386,  3696,  3697,
     134,   436,   436,   436,   439,   439,   439,   248,   436,  3393,
     304,   439,   146,   320,   436,   436,   150,   439,   439,   203,
     436,   155,  2312,   439,  1329,   197,   160,   436,   436,   163,
     439,   439,   166,    78,   436,   334,  2326,   439,   314,   315,
    3424,   271,  3814,  1348,   436,   435,   340,   439,  1481,   436,
    2422,  3100,   439,   314,   315,  2345,   422,   423,   424,   193,
     426,   427,   428,   429,   430,   431,   436,   435,  2358,   439,
     401,   402,   302,  2011,  2012,  2374,  3225,  2409,    61,   213,
     401,   311,    31,   255,  2622,  2623,   239,  2351,  1393,   404,
    2398,  2399,   435,    38,    45,    38,   371,  2387,  2387,  2387,
    2387,  2387,  2387,  2352,  2353,  2354,   266,  2372,   150,  2374,
      75,   284,  3127,   139,   159,   139,  2406,   251,   435,  2409,
     350,  3355,   139,   404,   139,   259,   139,   426,   427,   428,
     429,   430,   431,  2397,   179,   439,   139,    88,   139,   139,
     253,   139,  3546,  1448,   374,   139,  3246,   197,   139,   253,
     139,   139,   382,   435,   352,   385,  3639,    31,   151,   211,
    2459,   112,   253,   150,   150,   435,     5,     5,   435,   435,
     435,   216,   306,   435,   276,  3546,   435,  2549,   129,   435,
     435,     5,   133,     5,  2556,  3883,   435,   435,   435,   435,
     435,   435,  3596,  1626,     5,   435,  2650,   435,     5,   435,
     151,   435,     0,   435,   435,   255,   435,   435,   435,   435,
     435,   435,   435,   258,  2668,   263,   167,   439,   352,  3955,
      89,  3957,    31,  3258,   150,    31,   211,   150,   251,   330,
    3265,  3266,   362,   362,   318,   437,   362,  2536,   362,  3331,
    3546,   375,   318,  2615,   362,   362,   362,   318,   253,   322,
     422,   423,   424,  3670,   426,   427,   428,   429,   430,   431,
     244,  3276,  3679,    51,   398,  2564,   400,   401,   362,   362,
     362,   382,   253,    70,   181,   249,   435,   362,   435,  3696,
    3697,   362,    78,   439,   266,   252,   383,   383,    86,    49,
    3596,    49,   100,   244,   362,   362,   362,    85,   362,   433,
     362,   252,   436,   437,   438,   257,   362,   362,    37,    37,
     355,  3103,   357,   362,  3556,   362,  1621,   439,   362,   318,
     253,   366,   404,   253,   197,  2624,   401,   435,  2627,  2628,
    3548,   376,  2631,   392,   379,   286,   134,   435,    31,    30,
     435,  2783,  2641,     8,    20,   139,    11,  2646,   146,  1588,
     239,  2650,   150,   106,   142,   435,   383,   155,   401,   395,
     394,   219,   160,  1602,   249,   163,   150,   239,   166,  2668,
      31,    31,   422,   423,   424,   435,   426,   427,   428,   429,
     430,   431,  2681,   203,  2683,  2650,   174,   319,  3202,  3203,
     139,   383,  2657,  2658,   139,   193,  3843,  2662,  2770,   139,
     139,   248,   362,  2668,   383,   155,   243,   435,   418,   230,
    1649,   230,   360,    11,  2786,   213,  2715,   397,   439,   330,
     360,   435,   155,  2687,   435,   362,   364,  1860,  1861,  1862,
     439,  2696,  2804,   170,  1867,   170,  1869,  3444,  1871,  1872,
    3674,  3476,  3477,  2742,  2743,  2735,  2735,   193,   249,  2713,
     254,   318,   383,   251,   362,    77,  2720,  3271,  3272,  3273,
    2724,   259,   435,  2753,  2753,   436,  3883,   439,   436,   439,
     362,   435,   318,  2737,   383,   201,  3625,   201,   266,  2921,
     244,   244,   362,   203,   320,   435,   253,   244,   260,   318,
     252,  3526,  3527,  3543,   362,   439,   362,   327,   298,   362,
    2764,   362,   288,  2767,   150,   197,    31,   197,   306,   197,
     298,   197,   383,   383,   197,   303,   252,   435,   422,   307,
      30,   433,   362,   433,   422,  4107,   139,   315,   362,   362,
    1963,   362,   197,   435,   322,  4018,   327,   152,  2802,   150,
     249,   435,   330,   139,  2809,   327,    31,   253,   253,  2991,
     338,   168,   168,   150,   352,    31,   139,   253,   346,   253,
     150,   327,   176,   404,   176,    19,  3808,   176,   161,   226,
     435,   253,    49,   352,   248,  3979,     0,   375,   203,  2911,
     439,   436,   439,   436,   436,  2018,   155,   436,  2887,  2921,
     255,   436,  3415,  2026,  2027,  2028,  2029,  2030,  2031,  3053,
     398,   436,   400,   401,   436,  1910,   418,   270,   396,  3644,
     436,  3646,  3647,   436,   439,   155,   418,   398,   436,   436,
     436,  2911,  3657,   436,   362,   262,   436,    13,    13,   398,
     435,  2921,  3724,   436,   389,   433,   435,   306,   436,   437,
     438,  2940,   422,   436,  3016,   213,   253,   253,   256,   179,
    3884,   362,   435,   404,  2918,  2919,  2920,   435,   187,   244,
     139,   139,    86,   380,  2913,  2914,  2915,  2916,   213,   271,
     271,   318,   221,  3979,   221,  4171,  3593,  2110,   362,   221,
     318,   362,   362,   362,   362,   362,    51,    31,   318,   362,
     318,  3505,  3506,   139,  3508,   362,   330,    37,   362,   197,
     362,   197,  2135,   197,  2137,   197,   197,    51,  3080,   197,
     134,  3083,     3,   197,  3948,   433,   321,   436,  3952,  3953,
      85,   228,   146,   436,   213,   422,   150,   439,   371,   257,
     300,   155,    99,  3105,   436,   439,   160,   435,  2043,   163,
    3739,    85,   166,   401,   439,   253,   164,  3965,   383,   436,
     383,   318,   362,   318,  3053,  3949,   318,   422,   423,   424,
    3950,   426,   427,   428,   429,   430,   431,   439,   137,   193,
     256,  3070,   197,   137,  3073,   131,  3075,   142,   433,   155,
      11,    59,   150,   436,   436,  3069,   436,   436,  3053,   213,
     394,   435,   155,  2226,  3093,  3094,  3888,   436,   142,    18,
     436,   163,   254,  4207,  3069,    24,   435,   439,   435,   174,
     436,   150,  3111,   436,    31,   436,   362,   383,  3117,  3118,
    3119,  3120,  3121,  3122,   383,   318,   187,   251,  3127,   362,
     174,   362,  3131,   371,   371,   259,  4207,   318,   362,   362,
    3989,   436,  3877,   150,   436,   436,    68,    66,    99,   371,
     436,   197,   197,   434,   434,  4259,    31,   436,   435,   203,
     201,   435,  3127,   404,   439,   401,  4270,   150,   439,   182,
      73,  3170,  3171,  3172,  3173,  3140,  3141,   327,   436,   354,
     401,   435,   306,   439,   436,   160,  3151,   155,  4259,   362,
     155,   197,  3848,   197,   197,  2200,  3931,   197,   117,  4270,
     435,  4207,   436,  3167,   436,  3170,   125,    49,   435,   128,
    4106,  3923,   293,   439,   200,   200,   399,   399,   436,   436,
     435,    49,  3186,   261,   166,  3960,   249,  3750,   352,   362,
     436,   436,   422,   401,   155,  3234,   439,  3379,   303,    68,
     305,  3383,   307,   371,   439,  3209,   244,  4096,   244,   139,
     315,   375,   422,  4259,  4046,  3778,   197,   322,   113,   303,
     244,  3415,   181,   307,  4270,   330,   157,   439,   434,   155,
     383,   315,     8,   338,   398,    11,   400,   401,   322,   327,
     383,   346,   126,   397,    99,   401,   330,   435,   120,   155,
     435,   184,    28,  3292,   338,   256,   155,   435,   435,   293,
      36,  4195,   346,   339,   388,   436,   436,    43,   435,   433,
     400,  3276,   436,   437,   438,   200,   435,   236,   253,   269,
     239,   436,   294,   435,  2263,  2264,   436,   436,   435,  2268,
     249,   396,    68,   150,  2467,   401,  2469,  2470,   257,    31,
     244,   222,   179,   435,   138,   436,   257,   266,   315,   315,
      49,   362,   396,   435,    61,   256,   400,   401,    61,    49,
     435,    49,   259,   435,   383,   253,   354,   145,   121,  2308,
    2309,   285,   256,   256,   388,   387,   626,   627,   628,   298,
     293,   631,   632,   633,   303,   439,    31,   155,  3902,  3379,
     398,   641,   291,  3383,   150,   126,   439,   253,  3912,   401,
     253,    31,  3366,  3367,  3368,  3369,   435,   435,   310,   436,
    3482,   330,   401,  3412,   436,   435,    49,   111,   436,  3436,
     314,   381,  3494,    17,    28,   435,   138,   314,   285,  1310,
    2076,   436,  3422,  3422,   435,   722,   172,   779,  2374,  2511,
     176,  4058,  1936,  3052,  1994,  3959,  2646,  3431,  1125,  3800,
    3546,  3613,  3965,  3839,  4189,  3228,  3843,  2462,  3530,  3586,
    2444,   197,   198,  3847,  4138,  2172,  3431,   386,  3749,  4194,
      23,    24,  4087,  4086,  4152,    28,   212,  2448,  3990,    32,
      33,    34,  3191,    36,  2066,  3230,    39,    40,  3472,    42,
    2066,    44,  3048,  1426,  2531,  1411,  3197,  3199,  2061,  2714,
    4270,  4199,  4259,   239,  4159,  2667,   242,  3472,  3780,  2652,
    1403,     8,  4067,  4146,    11,  3783,    27,  3279,   983,   255,
    3485,  3486,   258,  4037,  3929,  3490,  3491,  3235,  1900,  4018,
    3237,  4054,  2602,   575,  4177,  3534,  3535,  4263,   701,    36,
    3831,  1775,  3423,  1776,  3221,  2387,    43,  2974,  2553,  3548,
    2555,  1151,  1489,  3552,   714,  3554,  2388,  1811,  3557,  3558,
    2394,  2400,  1810,  1794,  1170,  2414,  1169,  1172,  2406,  3711,
    3723,    68,  2921,  3385,  3716,  3910,  2975,  3719,  2042,  1176,
     706,  3886,  2886,  2878,  3568,  4125,  4129,  4126,  2391,  2326,
    2235,  2324,  2970,  1652,    -1,  2600,  3750,     8,   334,    -1,
      11,    -1,    -1,  3568,    -1,    -1,    -1,  3749,    -1,    -1,
    3609,    -1,    -1,  3603,  3603,    -1,    -1,    28,    -1,  3773,
    2625,    -1,    -1,    -1,  3778,    36,    -1,    -1,   181,   182,
     183,   184,    43,   186,   187,  3777,   189,   190,   191,  3638,
     193,   194,    -1,   196,    -1,   198,    -1,   200,    -1,    -1,
      -1,   204,   205,   206,    -1,    -1,    -1,    68,    -1,    -1,
    3659,  3660,  3661,  3662,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3814,    -1,    -1,   172,    -1,  2810,  3642,   176,
      -1,    -1,    -1,    31,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,    -1,
     197,   198,    -1,    51,   440,    -1,    -1,   957,    -1,    -1,
     960,    -1,   962,    -1,   964,   212,   966,    -1,    -1,  3861,
     970,  3711,    -1,    -1,    -1,    -1,  3716,    -1,  2733,  3719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
    2755,    -1,    -1,    -1,     8,    -1,    -1,    11,   255,    -1,
      -1,   172,    -1,    -1,    -1,   176,    -1,  3909,    -1,    -1,
      -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,   197,   198,    -1,    43,
      -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,  3797,    -1,
      -1,   212,  3801,  3736,    -1,    -1,    -1,    -1,  3773,    -1,
      -1,    -1,    -1,    -1,    68,    -1,  2821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,  2840,    -1,   334,    -1,    -1,
      -1,    -1,    -1,    -1,   255,    -1,    -1,   258,    -1,    -1,
      -1,    -1,    -1,  3817,    -1,   203,    -1,    -1,    -1,    -1,
    2865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3007,  3008,  3009,  3010,    -1,   133,
      -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,    -1,    -1,
    4054,    -1,  2841,    -1,    -1,  2844,  2845,  2846,  2847,  2848,
    2849,  2850,  2851,  2852,  2853,    -1,    -1,    -1,   172,  3909,
      -1,    -1,   176,   334,    -1,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,  2874,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,   198,    -1,    -1,    18,    -1,    -1,
      -1,    -1,  4094,    24,    -1,   303,    -1,    -1,   212,   307,
      -1,    -1,    -1,    -1,  2903,  2904,  3965,   315,    -1,  4111,
      -1,    -1,   525,    -1,   322,    -1,    -1,   530,  3942,   532,
      -1,    -1,   330,   536,    -1,   538,    -1,   540,   242,    -1,
     338,   544,    -1,   546,   547,    66,   549,   550,   346,  4141,
      -1,   255,    -1,    -1,   557,    -1,    -1,   560,    -1,    -1,
      -1,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   574,    -1,    -1,    -1,   578,    -1,    -1,   439,    -1,
     583,    -1,    -1,    -1,   587,    -1,    -1,   590,   591,    -1,
      -1,    -1,    -1,    -1,    -1,  3178,   117,    -1,   396,    -1,
      -1,    -1,   400,   606,   125,    -1,    -1,   128,    -1,    -1,
     613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
     334,    -1,    11,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   654,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
     181,   664,   665,    -1,    43,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,  4265,    -1,    -1,    -1,    -1,    -1,    -1,
     683,    69,   685,   686,    -1,   688,    -1,   690,    -1,    68,
      -1,    -1,    -1,    -1,    82,    -1,    18,    -1,    -1,   702,
      -1,    -1,    24,   706,    -1,    -1,    -1,    -1,   859,   712,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
     723,    -1,   426,   427,   428,   429,   430,   431,   249,    -1,
      -1,    -1,   735,  4215,    -1,   123,   257,  4177,  4177,  4177,
    4177,  4177,  4177,    -1,    66,   266,    -1,    -1,    -1,    -1,
      -1,  3206,    -1,    -1,   133,    -1,    -1,    -1,  4207,    -1,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,   157,
      -1,    -1,    -1,   776,    -1,  4215,  4215,  4215,  4215,  4215,
    4215,    -1,   303,   786,   787,    -1,    -1,    -1,    -1,    -1,
      -1,  3180,  4207,   172,    18,   117,    -1,   176,    -1,    -1,
      24,    -1,    -1,   125,    -1,    -1,   128,    -1,    -1,   330,
    4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,
      -1,  4270,   825,  4263,  4263,  4263,  4263,  4263,  4263,    -1,
      -1,    -1,   835,   212,     8,   838,    -1,    11,    -1,   990,
      -1,    -1,    66,    -1,  4259,    -1,    -1,    -1,   851,    -1,
      -1,    -1,    -1,    -1,    28,  4270,    -1,    -1,    -1,   181,
      -1,    -1,    36,   242,   867,   386,    -1,   255,    -1,    43,
     873,    -1,   875,   876,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   889,   890,   891,   892,
      -1,   894,    -1,   117,    68,    -1,   284,    -1,    -1,    -1,
    3355,   125,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,   919,   239,   921,   922,
      -1,    -1,    -1,    -1,  3507,    -1,    -1,   249,    -1,    -1,
     318,    -1,    -1,    -1,    -1,   257,   324,   940,  3521,   327,
      -1,   944,   945,    -1,   266,    -1,    -1,    -1,    -1,     8,
      -1,   954,    11,    -1,    -1,   334,    -1,   181,    -1,    -1,
    3349,  3350,    -1,    -1,   352,    -1,    -1,    -1,    -1,  1120,
     358,    -1,    -1,   976,   977,    -1,   298,    36,   981,    -1,
     983,   303,    -1,   371,    43,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1000,   172,  3454,
    1003,    -1,   176,  1006,  1007,    -1,    -1,   395,   330,    68,
      -1,    -1,   236,    -1,    -1,   239,  1019,    -1,    -1,    -1,
    3475,    -1,    -1,   197,   198,   249,    -1,    -1,    -1,  3612,
    1181,    -1,  3487,   257,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   266,    -1,  1047,    -1,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,   239,    -1,    -1,   242,    -1,
    3525,    -1,  1075,  1076,   298,  1078,    -1,  1228,    -1,   303,
      -1,   255,    -1,     8,   258,    -1,    11,    -1,    -1,    -1,
      -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,     3,    -1,  1260,
      -1,    36,     8,   172,  1117,    11,    -1,   176,    43,    -1,
      -1,  1124,  1125,    -1,    -1,    -1,    -1,  1130,    -1,    -1,
    1133,    -1,    28,    -1,    -1,    31,    -1,    -1,   197,   198,
      36,    -1,    -1,    68,    -1,    -1,    -1,    43,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,  1162,
     334,    -1,   386,  1166,  1167,    -1,    -1,    -1,  3751,  3752,
    3753,    -1,    68,  1176,  1177,  1178,    -1,    -1,  1329,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1194,    -1,    -1,    -1,    -1,   255,  1348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1368,  1221,  3674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1232,
      -1,    -1,    -1,    -1,    -1,  1238,    -1,    -1,  1241,    -1,
      -1,    -1,  1393,    -1,    -1,    -1,    -1,   172,   422,   423,
     424,   176,   426,   427,   428,   429,   430,   431,    -1,  1262,
      -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   334,   172,  3860,    -1,    -1,
     176,  3670,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
    3679,  1294,  1295,  1296,  1297,  1298,    -1,  1448,    -1,    -1,
      -1,   197,   198,    -1,  1307,    -1,  1309,  3696,  3697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   242,    -1,    -1,
    1323,  1324,  1325,    -1,  1327,    -1,    -1,    -1,    -1,    -1,
     255,    -1,  1335,  1336,    -1,    -1,    -1,    -1,  1341,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,   255,
      -1,    -1,   258,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,  3956,    -1,  3958,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,    -1,   334,
      -1,  1414,  1415,  1416,  1417,    -1,    -1,    -1,    -1,    -1,
      -1,  1424,    -1,    -1,    -1,     8,    -1,    -1,    11,  3884,
    1433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,  1442,
      -1,    -1,    -1,    -1,    -1,    28,  1449,    -1,  1451,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,  1460,    -1,  3914,
      43,    31,  1465,    -1,    -1,    -1,    -1,    -1,    -1,  4052,
    1621,  1474,    -1,  1476,    -1,    -1,    -1,  1480,  1481,    -1,
      -1,    51,    -1,    -1,  1487,    68,  1489,    -1,    -1,    -1,
      -1,    -1,    -1,  3948,  3883,    -1,    -1,  3952,  3953,    -1,
      -1,   426,   427,   428,   429,   430,   431,    -1,  4091,  1512,
      -1,    -1,    -1,    -1,    -1,    85,    -1,  1520,    -1,    -1,
      -1,  1524,  1525,    -1,    -1,    -1,   422,   423,   424,  1532,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,    -1,
      -1,    -1,  1545,  1546,    -1,    -1,  1549,    -1,    -1,    -1,
    1553,    -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,  1562,
      -1,    -1,  1565,    -1,    -1,  1568,  4149,    -1,    -1,    -1,
      -1,    -1,   142,  1576,  1577,    -1,    -1,    -1,    -1,    -1,
      -1,  1584,    -1,  1586,  1587,  1588,  1589,  1590,    -1,   172,
      -1,    -1,    -1,   176,  1597,  1598,    -1,  1600,    -1,  1602,
    1603,    -1,    -1,  1606,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4196,   197,   198,    -1,    -1,    -1,  1622,
      -1,    -1,    -1,  1626,  1627,    -1,    -1,    -1,  1631,   212,
      -1,    -1,  1635,   203,  1637,  1638,  1639,  1640,  1641,  1642,
    1643,  1644,  1645,    -1,  1647,    -1,    -1,    -1,  1651,  1652,
      -1,  1654,    -1,    -1,    -1,    -1,   239,  1660,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,    -1,   258,    -1,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    66,    -1,    -1,
      -1,    -1,    -1,   303,    -1,    -1,    -1,   307,    -1,    -1,
      -1,    -1,    28,  1894,    -1,   315,    -1,    -1,  1899,  1900,
      36,   334,   322,    -1,    -1,    -1,    -1,    43,    -1,  1910,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,  1774,    -1,  1776,    -1,  1778,   346,    -1,   117,    -1,
      -1,    -1,    68,    -1,    -1,    -1,   125,    -1,    -1,   128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1814,    -1,  1816,    -1,    -1,    -1,    -1,    -1,  1822,
      -1,    -1,    -1,    -1,  1827,    -1,   396,  1830,  1831,    -1,
     400,    -1,    -1,  1836,    -1,  1838,    -1,    -1,    -1,   422,
     423,   424,   181,   426,   427,   428,   429,   430,   431,  1852,
    1853,    -1,    -1,   436,    -1,  1858,    -1,  1860,  1861,  1862,
      -1,  1864,  1865,    -1,  1867,    -1,  1869,    -1,  1871,  1872,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,    -1,  2043,    -1,    -1,    -1,    -1,   236,    -1,    -1,
     239,  1904,    -1,  1906,    -1,    -1,    -1,    -1,    -1,  1912,
     249,   197,   198,    -1,  1917,    -1,    -1,    -1,   257,    -1,
    1923,    -1,    -1,    -1,  1927,    -1,   212,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1942,
    1943,    -1,    -1,    -1,    -1,    -1,  1949,  1950,    -1,    -1,
    1953,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,   298,
    1963,    -1,    -1,    -1,   303,    -1,  2117,  1970,    -1,   255,
      -1,    -1,   258,    -1,  1977,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1986,    -1,  1988,  1989,  1990,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,  1999,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,  2018,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2026,  2027,  2028,  2029,  2030,  2031,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,  2041,    -1,
      -1,    -1,    -1,    -1,    43,    -1,    -1,   386,   334,  2200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,  2071,    68,
    2073,  2074,    -1,    -1,    -1,  2078,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2103,    -1,    -1,    -1,    -1,    -1,    -1,  2110,  2111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2135,  2136,  2137,  2138,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,  2152,
     436,    -1,    -1,  2156,    -1,    -1,    -1,  2160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2210,    -1,    -1,
      -1,  2214,    -1,   212,    -1,  2218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2226,    -1,    -1,    -1,    -1,    -1,    -1,
    2233,  2234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,   258,
    2263,  2264,    -1,    -1,    -1,  2268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2280,  2281,  2282,
    2283,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
    2293,    -1,    -1,  2296,    -1,  2298,  2299,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,  2308,  2309,    -1,    -1,  2312,
      36,  2462,    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,
      -1,    -1,  2325,    -1,  2327,    -1,  2329,    -1,  2331,    -1,
      -1,    -1,    -1,     8,    -1,   334,    11,    -1,    -1,    -1,
      -1,    -1,    68,    -1,  2347,    -1,    -1,    -1,  2351,  2500,
    2501,    -1,  2503,    28,    -1,  2358,    -1,  2360,  2361,  2362,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,
      -1,  2374,    -1,    -1,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2388,    -1,    -1,    -1,    -1,
    2393,    -1,    -1,    68,  2397,    -1,    -1,  2400,     8,    -1,
      -1,    11,  2553,  2406,  2555,    -1,  2409,    -1,    -1,    -1,
    2413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,  2422,
      -1,    -1,    -1,   422,   423,   424,    36,   426,   427,   428,
     429,   430,   431,    43,    -1,    -1,    -1,   436,    -1,    -1,
    2443,    -1,  2445,    -1,    -1,    -1,   172,  2450,    -1,  2600,
     176,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    68,    -1,
      -1,    -1,    -1,    -1,  2467,    -1,  2469,  2470,    -1,    -1,
      -1,   197,   198,    -1,  2625,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,  2650,
      -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,  2668,    -1,    -1,
      -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,  2556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,   239,    -1,   176,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     255,    -1,  2733,   258,    -1,    -1,    -1,   197,   198,    -1,
      -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,  2755,    -1,    -1,    -1,   334,    -1,
      -1,    -1,  2615,    -1,    -1,    -1,    -1,  2620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2629,  2630,    -1,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,   258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2681,    -1,
    2683,    -1,    -1,    -1,  2687,    -1,    -1,    -1,    -1,  2840,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,   434,  2712,
    2713,    -1,    -1,    -1,  2865,    -1,    -1,  2720,    -1,    -1,
      -1,  2724,    -1,    -1,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2737,    -1,    -1,    -1,    -1,    -1,
    2743,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,   424,
    2901,   426,   427,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,  2764,    -1,    -1,  2767,    -1,    -1,  2770,    -1,    -1,
      -1,    -1,  2775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2783,    -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,
      -1,  2804,    -1,    -1,    -1,    -1,    -1,  2810,    -1,    -1,
      -1,    -1,   422,   423,   424,  2818,   426,   427,   428,   429,
     430,   431,    -1,    -1,  2827,    -1,   436,    -1,    -1,    -1,
    2833,    -1,  2835,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
      -1,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,
    2853,    -1,    -1,    -1,  2857,  2858,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,
      -1,  2874,    -1,    -1,    -1,  2878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,  2891,    -1,
    2893,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2902,
    2903,  2904,  3053,    -1,    -1,  2908,    -1,    -1,  2911,    -1,
      -1,    -1,    28,    -1,    -1,  2918,  2919,  2920,  2921,  2922,
      36,    -1,    -1,  2926,  2927,    -1,    -1,    43,  2931,    -1,
      -1,    -1,    -1,    -1,  2937,    -1,  2939,    -1,  2941,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    -1,    -1,    -1,
      -1,    20,    68,    22,    -1,    -1,    -1,    -1,    27,    -1,
      29,  2964,    -1,    -1,    -1,    -1,    -1,  2970,    -1,    -1,
      -1,  2974,    -1,  2976,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,  2992,
    2993,    -1,  2995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3007,  3008,  3009,  3010,    -1,    -1,
      -1,    -1,    -1,  3016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3038,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    18,    -1,    -1,
      -1,    -1,    36,    24,    -1,  3206,   172,    -1,    -1,    43,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,    50,
    3083,   197,   198,    -1,    68,    -1,  3237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3097,    66,   212,    -1,    -1,    -1,
    3103,    -1,  3105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    -1,    -1,   239,  3127,    -1,   242,    98,   197,    -1,
     199,    -1,   201,    -1,   203,    -1,    -1,    -1,    -1,   255,
      -1,     8,   258,    -1,    11,    -1,   117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   125,    -1,    -1,   128,    -1,    -1,
      -1,    28,    -1,    -1,  3167,    32,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,  3178,    43,  3180,    -1,    -1,
      -1,    -1,    -1,  3186,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,  3344,    -1,    -1,  3199,    -1,    -1,    -1,
      -1,    68,    -1,    -1,  3355,    -1,  3209,   178,    -1,    -1,
     181,    -1,    -1,   197,   198,  3218,    -1,    -1,   334,    -1,
      -1,  3224,    -1,    -1,    -1,  3228,    -1,  3230,   212,    -1,
      -1,    -1,    -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,   223,    -1,   225,   239,    -1,  3260,   242,  3262,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
      -1,   255,    -1,    -1,   258,    -1,  3279,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,  3295,    -1,   265,   266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3454,    -1,   172,   422,   423,   424,   176,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,  3475,    -1,    -1,   298,  3331,    -1,
     197,   198,   303,   304,    -1,    -1,  3487,    -1,  3341,  3342,
      -1,    -1,    -1,    -1,    -1,   212,  3349,  3350,    -1,    -1,
     334,  3354,    -1,    -1,    -1,    -1,    -1,  3360,  3361,   330,
      -1,  3364,    -1,  3366,  3367,  3368,  3369,    -1,    -1,   340,
    3373,    -1,   239,  3376,  3525,   242,  3379,    -1,    -1,    -1,
    3383,    -1,    -1,    -1,    -1,    -1,  3389,    -1,   255,  3392,
      -1,   258,    -1,    -1,  3397,    -1,    -1,    -1,    -1,    -1,
    3403,    -1,    -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,
      -1,    -1,  3415,    -1,    -1,   386,    -1,    -1,    -1,    -1,
    3423,    -1,    -1,    -1,  3427,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,  3436,    -1,    -1,  3439,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    28,    -1,
      -1,    -1,   436,  3456,  3457,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,   533,    -1,    -1,   334,    -1,    -1,
    3473,    -1,   541,    -1,    -1,    -1,    -1,    -1,    -1,  3482,
      -1,    -1,   551,   552,    -1,    -1,    -1,   556,    68,    -1,
      -1,  3494,    -1,    -1,    -1,    -1,    -1,   566,    -1,    -1,
      -1,    -1,    -1,    -1,  3507,    -1,    -1,    -1,    -1,    -1,
     579,    -1,    -1,    -1,    -1,    -1,   383,    -1,  3521,    -1,
      -1,    -1,    -1,  3674,    -1,   594,    -1,  3530,   597,    -1,
     599,    -1,   601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   611,   859,    -1,  3548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3556,    -1,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,    -1,    -1,   638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   660,   172,   662,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3612,
    3613,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,
      -1,    -1,  3773,    -1,    -1,    -1,    -1,    -1,    -1,   181,
      -1,    -1,   212,    -1,    -1,    -1,    -1,   189,    -1,  3642,
      -1,    -1,    -1,    -1,    -1,   714,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3658,    -1,    -1,    -1,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,  3670,    -1,    -1,
      -1,    -1,    -1,    -1,   990,   255,  3679,    -1,   258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3696,  3697,    -1,    -1,  3700,    -1,    -1,
      -1,    -1,    -1,    -1,  3707,    -1,    -1,    -1,  3711,    -1,
      -1,    -1,  3863,  3716,    -1,    -1,  3719,  3720,    -1,  3722,
      -1,  3724,  3725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,    -1,    -1,    -1,    -1,    -1,    -1,
    3743,    -1,  3745,    -1,   813,    -1,  3749,  3750,  3751,  3752,
    3753,    -1,     8,    -1,   334,    11,    -1,    -1,    -1,    -1,
     829,    -1,    -1,  3914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   840,    28,    -1,  3777,  3778,    -1,    -1,   847,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,
      -1,    -1,   861,    -1,    -1,    -1,    -1,  3948,    -1,    -1,
      -1,  3952,  3953,     8,    -1,  3808,    11,    -1,    -1,    -1,
      -1,  3814,    68,    -1,  3817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,   895,  3830,    -1,  3832,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,
    3843,    -1,   422,   423,   424,  3848,   426,   427,   428,   429,
     430,   431,    -1,    -1,    -1,    -1,   436,  3860,  3861,    -1,
      -1,    -1,    -1,    68,    -1,  1181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3883,    -1,    -1,  3886,    -1,  3888,    -1,    -1,    -1,    -1,
     959,    -1,   961,    -1,   963,    -1,   965,    -1,   967,   968,
     969,    -1,  3905,    -1,    -1,   974,  3909,    -1,    -1,  3912,
      -1,    -1,  1228,    -1,    -1,  3918,   172,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,  3942,
      -1,   197,   198,    -1,  1260,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3955,  3956,  3957,  3958,   212,    -1,    -1,    -1,
      -1,    -1,  3965,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     532,    21,    -1,   239,  3987,    -1,   242,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,  1329,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   859,    -1,    -1,   578,    -1,    -1,    69,
      70,    -1,  1348,    -1,   239,   587,    -1,   242,    78,    -1,
      -1,    -1,    82,  4046,    -1,    -1,    -1,    -1,    -1,  4052,
     255,  4054,  1368,   258,    -1,    -1,    -1,    -1,  4061,    -1,
     100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1393,   334,    -1,
      -1,    -1,  1151,   123,    -1,    -1,    -1,    -1,  4091,    -1,
      -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,   141,    11,  4106,  4107,    -1,    -1,    -1,  4111,    -1,
      -1,    -1,   152,    -1,    -1,    -1,    -1,   157,    -1,    28,
      -1,    -1,  4125,    -1,    -1,  4128,  4129,    36,  4131,   334,
       8,   683,  1448,    11,    43,    -1,    -1,    -1,  4141,   179,
      -1,  1210,    -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,
      28,    -1,    -1,    31,   990,    -1,    -1,    -1,    36,    68,
     712,    -1,    -1,    -1,   204,    43,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,  4181,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,    -1,
      68,    -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   255,    -1,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,  4254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4265,   172,    -1,    -1,    -1,   176,    -1,    -1,
      -1,   311,    -1,   825,    -1,    -1,   316,    -1,   318,    -1,
      -1,    -1,    -1,   835,   324,    -1,    -1,   327,   197,   198,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,   212,    -1,  1621,    -1,   859,    -1,    -1,
      -1,    -1,   352,    -1,   354,    -1,    -1,    -1,   358,   197,
     198,    -1,    -1,    -1,    -1,    -1,   366,  1396,    -1,    -1,
     239,   371,    -1,   242,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   894,  1412,     0,  1181,   255,    -1,    -1,   258,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    14,    -1,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    24,    -1,
      26,    27,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,
     258,  1450,    -1,    -1,    -1,  1454,    42,    -1,    -1,    -1,
      -1,    -1,  1228,   945,    -1,  1464,    -1,  1466,    -1,  1468,
      -1,    -1,    -1,    -1,  1473,    -1,    62,    -1,    64,    65,
      66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,  1260,   334,    -1,    -1,    84,  1498,
      86,  1500,    -1,  1502,    -1,  1504,    -1,  1506,   990,    -1,
      -1,  1510,    -1,    -1,    -1,    -1,   102,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,   121,    -1,  1019,    -1,   125,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,   140,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,  1329,    -1,  1047,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1348,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,  1075,  1076,    -1,  1078,   436,    -1,    -1,
      -1,    -1,  1368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1095,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,    -1,  1393,   214,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,  1894,    -1,
      -1,  1133,  1134,  1899,  1900,   241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1910,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1162,    -1,  1448,    -1,  1166,  1167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   279,    -1,    -1,    -1,    -1,    -1,  1181,
      -1,    -1,    -1,    -1,   290,  1187,    -1,    -1,    -1,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,   317,    -1,    -1,    -1,    -1,   322,   323,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,  1228,   333,    -1,    -1,
      -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   352,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,
      -1,    -1,    -1,   369,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,   378,    -1,    -1,    36,    -1,  2043,   384,    -1,
      -1,    -1,    43,   389,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   401,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,  1823,  1824,    -1,    68,    -1,  1828,
    1829,    -1,    -1,  1832,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,  1842,    36,     8,    -1,  1329,    11,   435,
    1849,    43,   438,    -1,    -1,  1621,  1855,  1856,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,  1348,  1866,    -1,  1868,
      -1,  2117,    -1,    36,    -1,    -1,    68,    -1,    -1,    -1,
      43,    -1,    -1,  1882,    -1,    -1,  1368,    -1,  1887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,  1388,    -1,    -1,    -1,
      -1,  1393,    -1,    -1,  1913,  1914,  1915,  1916,    -1,    -1,
      -1,  1920,  1921,    -1,    -1,    -1,    -1,    -1,    -1,  1928,
      -1,   172,  1931,    -1,    -1,   176,  1935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2200,  1954,   197,   198,    -1,    -1,
    1442,    -1,    -1,    -1,    -1,  1964,  1448,  1966,    -1,  1451,
      -1,   212,    -1,    -1,    -1,  1974,  1975,  1976,    -1,  1978,
     172,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1991,  1992,  1993,    -1,    -1,    -1,   239,    -1,
      -1,   242,  2001,  2002,    -1,   197,   198,    -1,    -1,   172,
      -1,    -1,    -1,   176,   255,    -1,    -1,   258,    -1,    -1,
     212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,   198,    -1,    -1,  1520,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,   212,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   255,    -1,  2064,   258,    -1,    -1,    -1,
      -1,  1553,    -1,  1555,    -1,    -1,   239,    -1,    -1,   242,
    1562,    -1,    -1,  1565,    -1,    -1,  1568,    -1,    -1,    -1,
      -1,    -1,   255,   334,  1576,  1577,    -1,    -1,    -1,    -1,
      -1,    -1,  1584,    -1,    -1,  1587,  1588,  1589,  1590,    -1,
      -1,    -1,    -1,    -1,    -1,  1597,  1598,    -1,  1600,    -1,
    1602,  1603,    -1,    -1,  1606,    -1,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,  1899,  1900,    -1,    -1,    -1,    -1,  1621,
    1622,  1623,   334,    -1,  1910,  1627,    -1,    -1,    -1,  1631,
      -1,    -1,    -1,  1635,    -1,  1637,  1638,  1639,  1640,  1641,
    1642,  1643,  1644,  1645,    -1,  1647,    -1,    -1,    -1,    -1,
    1652,   334,  1654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    21,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,  2500,  2501,    -1,  2503,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,    -1,    -1,    -1,    -1,    55,    -1,  2043,    -1,    -1,
      -1,    -1,    -1,    -1,   859,    -1,    -1,    -1,    -1,    69,
      -1,    -1,    -1,    -1,    -1,    -1,  1778,    -1,    -1,    -1,
      -1,    -1,    82,    -1,    -1,    -1,    -1,  2553,    -1,  2555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   123,  1826,    -1,    -1,    -1,    -1,    -1,
      -1,  2117,   683,    -1,  2600,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1853,   152,    -1,    -1,    -1,  1858,   157,    -1,  2625,
      -1,   712,  1864,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    -1,    -1,    -1,  2650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1894,    -1,    -1,   990,    -1,  1899,  1900,    -1,
      -1,    -1,  2668,    -1,  2423,  2424,    -1,    -1,  1910,    -1,
      -1,    -1,     8,    -1,  2200,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1926,    -1,    -1,  1929,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,   237,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,
    2479,  2480,    -1,    -1,  2483,   265,    -1,  2733,  2487,  2488,
    2489,    -1,    68,    -1,    -1,    -1,    -1,    -1,  2744,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,  2755,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2521,  2522,  2523,  2524,    -1,    -1,    -1,    -1,
      -1,   311,    -1,    -1,    -1,    -1,   316,    -1,   318,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2557,  2041,
      -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,    -1,   354,  2821,    -1,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,   371,    -1,    -1,  2840,    -1,   172,    -1,    -1,    -1,
     176,    -1,   382,    -1,    -1,    -1,  1181,    -1,    -1,    -1,
      -1,    -1,  2611,    -1,    -1,   395,    -1,  2616,    -1,  2865,
      -1,   197,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2117,   212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1228,    -1,  2901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2160,   255,
      -1,    -1,   258,  2682,    -1,  1260,    -1,    -1,  1019,    -1,
      -1,    -1,    -1,  2692,    -1,    -1,  2462,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1047,    -1,  2200,    -1,
    2719,    -1,  2721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2214,    -1,  2500,  2501,  2218,  2503,    -1,    -1,
      -1,    -1,    -1,    -1,  1075,  1076,    -1,  1078,    -1,    -1,
      -1,  2233,  2234,    -1,  1329,    -1,    -1,  2756,   334,    -1,
      -1,    -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,
    2769,   347,    -1,  1348,    -1,    -1,    -1,    -1,    -1,    -1,
       8,  2263,  2264,    11,    -1,    -1,  2268,  2553,    -1,  2555,
      -1,    -1,    -1,  1368,    -1,    -1,    -1,    -1,  2280,  2281,
    2282,  2283,  1133,    -1,    -1,    -1,  2288,  3053,    36,    -1,
      -1,  2293,  2294,    -1,  2296,    43,  2298,    -1,  1393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2308,  2309,    -1,    -1,
    2312,  1162,    -1,    -1,  2600,  1166,  1167,    -1,    -1,    -1,
      68,    -1,    -1,  2325,    -1,  2327,   422,   423,   424,  2331,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,  2625,
      -1,    -1,    -1,    -1,    -1,  2347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1448,    -1,    -1,  2358,    -1,  2360,  2361,
    2362,    -1,    -1,    -1,  2650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,
      -1,    -1,  2668,    -1,    -1,    -1,  2388,    -1,    -1,    -1,
      -1,  2393,    -1,    -1,    -1,    -1,    -1,    -1,  2400,    -1,
      -1,    -1,    -1,    -1,  2406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3206,  2443,    -1,    -1,    -1,    -1,    -1,  2733,    -1,   197,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,
    2462,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,  2755,
      -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,  2500,  2501,
      -1,  2503,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1621,    -1,  2530,  2531,
    2532,    -1,    -1,    -1,    -1,  2821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2553,    -1,  2555,  2840,    -1,    -1,  3076,    -1,  1654,
      -1,    -1,  3081,  3082,    -1,  3084,  3085,  3086,  3087,  3088,
    3089,  3090,    -1,    -1,    -1,    -1,    -1,    -1,  3344,  2865,
    3099,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,  3355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2600,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2647,    -1,    -1,  2650,    -1,
      -1,    -1,    -1,    -1,    -1,  3174,  3175,  3176,    -1,    -1,
    3179,    -1,    -1,    -1,    -1,  2667,  2668,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,    -1,    -1,  3454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,
      -1,  1562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2733,    -1,  1584,    -1,  3254,  1587,    -1,    -1,  1590,
      -1,    -1,  2744,    -1,    -1,    -1,  1597,  1598,    -1,    -1,
      -1,    -1,  1603,  2755,    -1,  1606,    -1,    -1,    -1,  3525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3053,    -1,    -1,
      -1,  1622,    -1,    -1,    -1,    -1,  1627,    -1,    -1,    -1,
    1631,  2783,    -1,    -1,  1635,    -1,  1637,  1638,  1639,  1640,
    1641,  1642,  1643,  1644,  1645,    -1,  1647,    -1,    -1,  1894,
      -1,  1652,    -1,  1654,  1899,  1900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1910,  2818,    -1,    -1,  2821,
      -1,    -1,    -1,    -1,    -1,  2827,    -1,    -1,    -1,    -1,
      -1,  2833,    -1,  2835,    -1,    -1,    -1,    -1,  2840,  2841,
      -1,    -1,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,
    2852,  2853,    -1,    -1,    -1,  2857,  2858,    -1,    -1,    -1,
      -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,  2870,    -1,
      -1,    -1,  2874,    -1,  2876,    -1,  2878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,  2891,
      -1,  2893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2901,
    2902,  2903,  2904,    -1,    -1,    -1,  2908,    -1,  3674,  2911,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2921,
    3206,    -1,    -1,    -1,    -1,    -1,    -1,  1778,    -1,  2931,
      -1,    -1,    28,    -1,    -1,    -1,    -1,  2939,    -1,  2941,
      36,    -1,    -1,    -1,    -1,  3464,    -1,    43,  2043,    -1,
      -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2964,    -1,  3483,  3484,    -1,    -1,  2970,    -1,
      -1,    -1,    68,    -1,  2976,    -1,  3495,  3496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1853,    -1,    -1,    -1,    -1,  3773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,
    3052,  3053,  3054,   149,    -1,    -1,    -1,    -1,  3344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,    -1,  3605,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3863,    -1,    -1,
      -1,   197,   198,    -1,    -1,  2200,    -1,    -1,    -1,    -1,
    3629,    -1,    -1,    -1,    -1,    -1,   212,    -1,  3884,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,  3914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,  3454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,   275,
      -1,    -1,  3948,    -1,    -1,    -1,  3952,  3953,    -1,  3475,
    2041,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,  3487,    -1,    -1,  3206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,  3736,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,  1091,    -1,    -1,  3237,  3238,  3239,   334,  3525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2360,  2361,  2362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1147,    -1,
      -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2160,
    3829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,   424,  3331,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,  3341,
    3342,    -1,  3344,    -1,    -1,    -1,    -1,  3349,  3350,    -1,
    3869,    -1,  3354,  3355,    -1,    -1,    -1,    -1,  3360,  3361,
     172,    -1,  3364,    -1,   176,    -1,    -1,  2462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,    -1,    -1,
      -1,  3383,    -1,  2234,    -1,   197,   198,    -1,  3674,    -1,
    3392,    -1,    -1,    -1,    -1,  3397,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,    -1,  2500,  2501,  3409,  2503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   859,    -1,    -1,    -1,    -1,    -1,   239,    -1,  2280,
     242,  2282,  2283,    -1,    -1,    -1,    -1,  3439,    -1,    -1,
      -1,    -1,  2293,   255,    -1,  2296,   258,  2298,    -1,    -1,
      -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,  2553,    -1,
    2555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3475,  2325,    -1,  2327,    -1,    -1,    -1,
    2331,    -1,    -1,    -1,    -1,  3487,    -1,  3773,  4007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,  4022,    11,  2600,    -1,    -1,    -1,  2360,
    2361,  2362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,   334,  3525,    -1,    -1,  2377,    -1,    -1,    36,
    2625,    -1,    -1,    -1,    -1,    -1,    43,  2388,    -1,    -1,
      -1,    -1,  2393,    -1,  3546,    -1,    -1,    -1,    -1,  2400,
      -1,    -1,   990,    -1,    -1,  2650,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4088,
      -1,    -1,    -1,  2668,    -1,    -1,    -1,  3863,    -1,    -1,
      -1,    -1,  3584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2443,    -1,  3596,    -1,    -1,    -1,  3884,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,    -1,    -1,    -1,    -1,  1485,    -1,  3914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,  2733,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4166,    -1,  2744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2755,    -1,  3948,    -1,    -1,   172,  3952,  3953,  3670,   176,
      -1,    -1,  3674,    -1,    -1,    -1,    -1,  3679,   859,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     197,   198,    -1,    -1,  3696,  3697,    -1,    -1,  3700,    -1,
      -1,  1560,    -1,    -1,    -1,   212,    -1,    -1,    -1,  3711,
      -1,    -1,    -1,    -1,  3716,    -1,    -1,  3719,    -1,    -1,
      -1,    -1,  3724,  3725,  1583,    -1,  2821,    -1,    -1,  1588,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1181,    -1,  2840,    -1,  3749,   255,  1608,
    1609,   258,  1611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,
    2865,  3773,    -1,    -1,    -1,  3777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1228,  1650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,  2901,    -1,    11,   990,
      -1,    -1,  3814,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,  1260,    -1,    -1,    28,  1685,   334,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    28,    -1,    -1,    31,    -1,
      43,    -1,    -1,    36,    -1,    -1,  2941,    -1,    -1,    -1,
      43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3861,
      -1,  3863,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,  3883,  3884,    -1,  3886,    -1,  3888,    -1,    -1,    -1,
      -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3905,    -1,    -1,    -1,  3909,    -1,    -1,
    1348,    -1,  3914,    -1,    -1,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,    -1,  1787,    -1,
    1368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1797,    -1,
      -1,  1800,    -1,    -1,    -1,    -1,  3948,    -1,    -1,    -1,
    3952,  3953,   155,    -1,    -1,  1393,    -1,    -1,  3053,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2818,    -1,   172,
      -1,    -1,    -1,   176,    -1,    -1,  2827,  3979,    -1,   172,
      -1,    -1,  2833,   176,  2835,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,   198,    -1,    -1,    -1,    -1,
    1181,    -1,    -1,    -1,   197,   198,  2857,  2858,    -1,   212,
    1448,    -1,    -1,    -1,    -1,    -1,  4018,    -1,    -1,   212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2878,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,  2888,   859,   242,
    2891,    -1,  2893,    -1,  4046,    -1,   239,  1228,    -1,   242,
      -1,  2902,   255,    -1,    -1,   258,    -1,  2908,    -1,  4061,
    2911,    -1,   255,    -1,    -1,   258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,
    2931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2939,    -1,
    2941,    -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  4111,
      -1,  3206,    -1,  2964,    -1,    -1,    -1,    -1,    -1,  2970,
      -1,    -1,    28,    -1,    -1,  2976,  4128,  4129,    -1,    -1,
      36,   334,    -1,    -1,    -1,    -1,    -1,    43,    -1,  4141,
      -1,   334,  3237,    -1,    -1,    -1,    -1,    -1,  1329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,  1348,    -1,   990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,
     859,    -1,    -1,  1621,    -1,    -1,    -1,  1368,    -1,  4191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4207,    -1,    -1,    -1,    -1,
      -1,    -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,
      -1,    -1,  4254,    -1,    -1,    -1,    -1,  4259,    -1,    -1,
    3355,    -1,    -1,  4265,    -1,    -1,   172,  1448,  4270,    -1,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,   198,    -1,    -1,    -1,    -1,  3392,    -1,    -1,
      -1,    -1,  3397,    -1,    -1,    -1,   212,    -1,    -1,    -1,
      -1,   990,    -1,    -1,  3409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,  3454,
    1181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,    -1,
    3475,    -1,    -1,    -1,    -1,    -1,    -1,  3238,  3239,    -1,
      -1,    -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2259,    -1,  2261,    -1,  2263,  2264,  2265,  1228,    -1,  2268,
      -1,    -1,    -1,  2272,    -1,    -1,    -1,    -1,    -1,    -1,
    2279,    -1,    -1,    -1,    -1,  2284,    -1,    -1,   334,    -1,
    3525,  2290,    -1,    -1,    -1,    -1,  2295,    -1,    -1,  1260,
    1621,    -1,    -1,    -1,  3295,  2304,    -1,    -1,    -1,  2308,
    2309,    -1,  2311,   359,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,  1899,  1900,    -1,  2323,    -1,    -1,    -1,    -1,    -1,
      -1,  2330,  1910,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3341,  3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1181,  3354,    -1,    -1,    -1,  2366,  1329,  3360,
    3361,    -1,    -1,  3364,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,  1348,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,  3392,    -1,    -1,  3639,    -1,  3397,  1368,    -1,  1228,
      -1,    -1,    -1,    28,    -1,    -1,    31,    -1,  3409,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,
      -1,    -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,  3674,
      -1,  1260,     8,    -1,    -1,    11,    -1,    -1,  3439,    -1,
      -1,    -1,    -1,    68,    -1,    -1,  2455,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,  2043,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,  2117,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1368,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,  1393,    -1,    -1,    -1,  1899,  1900,
      -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,  1910,
      -1,    -1,    -1,  3584,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2200,    -1,   239,    -1,    -1,   242,  3863,  1448,
      -1,   197,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     255,    -1,    -1,   258,    -1,    -1,   212,    -1,    -1,  3884,
      -1,    -1,    -1,    -1,  2653,    -1,    -1,    -1,    -1,    -1,
    1621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,  3914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3700,
      -1,    -1,    -1,  3948,    -1,    -1,    -1,  3952,  3953,   334,
      -1,    -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
      -1,    -1,    -1,    -1,    -1,  2774,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,
      -1,    -1,  1621,    -1,    -1,    -1,    -1,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,  2817,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2838,
    2839,    -1,  2841,    -1,    -1,  2844,  2845,  2846,  2847,  2848,
    2849,  2850,  2851,  2852,  2853,  2854,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,
    2879,    -1,    -1,  2882,  2462,  2884,    -1,    -1,    -1,    -1,
    2889,  2890,    -1,    -1,    -1,  3886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2903,  2904,  2905,    -1,  2907,    -1,
      -1,  2910,    -1,    -1,  3905,    -1,    69,    -1,    -1,    -1,
      -1,    -1,  2500,  2501,    -1,  2503,    -1,    -1,    -1,    82,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,  1899,  1900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,  2947,  1910,
      -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,  2957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,  2553,    -1,  2555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,  2988,
      -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,   152,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2600,    -1,    -1,    -1,   179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2625,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4061,    -1,  2650,    -1,    -1,  1894,    -1,    -1,    -1,    -1,
    1899,  1900,  2043,    -1,   237,    -1,    -1,    -1,    -1,    -1,
    2668,  1910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,    -1,    -1,    -1,    -1,    -1,  4128,  4129,    -1,
      -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2733,  2117,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,   318,  2744,    -1,    -1,    -1,
      -1,   324,    -1,    -1,   327,    -1,    -1,  2755,    -1,  2500,
    2501,  3180,  2503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   352,
    4191,   354,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,   371,    -1,
      -1,    -1,    -1,    -1,  2043,    -1,    -1,    -1,    -1,   382,
      -1,    -1,  2553,    -1,  2555,    -1,    -1,    -1,    -1,  2200,
      -1,    -1,   395,  2821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2840,  4254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2600,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3296,  2117,    -1,
    3299,  3300,  3301,    -1,  2625,  3304,    -1,    -1,    -1,    -1,
    3309,  3310,  3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,
    3319,  3320,    -1,  2901,    -1,    -1,    -1,    -1,    -1,  2650,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2668,    -1,  3348,
    3349,  3350,  3351,    -1,  3353,    -1,    -1,    -1,  3357,  3358,
    3359,    -1,    -1,  3362,    -1,    -1,  3365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,    -1,    -1,
      -1,    -1,  2733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3420,    -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3053,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2821,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2500,
    2501,    -1,  2503,    -1,  2865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,    -1,
      -1,    -1,  2553,    -1,  2555,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3206,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3636,  3637,  2600,
      -1,    33,    -1,  2462,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,
      -1,    -1,    -1,    55,  2625,    -1,    -1,  3666,    -1,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,
      -1,  2500,  2501,    -1,  2503,  3684,    78,  3686,    -1,  2650,
      82,    -1,  3691,  3692,  3693,    -1,    -1,  3696,  3697,  3698,
    3699,    -1,  3701,    -1,    -1,    -1,    -1,  2668,   100,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   123,  3053,    -1,  2553,    -1,  2555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,   141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,    -1,    -1,    -1,    -1,    -1,  3344,   159,    -1,    -1,
      -1,   163,  2733,    -1,    -1,    -1,    -1,  3355,    -1,    -1,
      -1,  2600,    -1,  2744,    -1,    -1,    -1,   179,    -1,    -1,
      -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2625,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3820,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,  2650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,    -1,  2668,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2821,    -1,    -1,   255,    -1,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3454,    -1,    -1,  2840,
      -1,    -1,    -1,  3882,  3883,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,  3898,
    3899,  3900,    -1,    -1,  2865,    -1,    -1,    -1,    -1,  3487,
      -1,    -1,    -1,    -1,  2733,    -1,  3237,    -1,  3917,   311,
      -1,    -1,    -1,    -1,    -1,  2744,   318,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,  2755,    -1,    -1,    -1,
    2901,    -1,    -1,    -1,    -1,    -1,    -1,  3525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     352,    -1,   354,   355,    -1,   357,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,   371,
      -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2821,   395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2840,    -1,  3344,    -1,    -1,    -1,  4026,    -1,    -1,
      -1,    -1,    -1,    -1,  3355,    -1,    -1,  4036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3053,    -1,  4093,    -1,  3674,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4231,    -1,  3053,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3948,    -1,    -1,    -1,  3952,  3953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3344,    -1,    -1,    -1,  3206,    -1,    -1,
      -1,    -1,    -1,    -1,  3355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3344,  3487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,    -1,
      -1,    -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,  3525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3948,    -1,    -1,
      -1,  3952,  3953,    -1,    -1,  3454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3525,    -1,    -1,    -1,
      -1,    -1,    -1,  3674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3914,  3773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3948,    -1,    -1,
      -1,  3952,  3953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3863,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,  3948,
      -1,    -1,    30,  3952,  3953,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,   435,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   435,   436,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    -1,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,
      93,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,    -1,   140,   141,   142,
      -1,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,    -1,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,    -1,   210,   211,   212,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,    -1,    -1,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,    -1,   366,    -1,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,   436,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    -1,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,    -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,    -1,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,   436,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,    -1,    -1,    -1,    -1,    -1,   433,   434,   435,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,   435,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     435,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   435,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,
      -1,    -1,     3,     4,     5,     6,     7,   435,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,   435,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,   435,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,    -1,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,     3,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   435,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,   254,   255,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,    -1,    -1,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,   254,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,   435,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,     3,   426,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,   435,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,    -1,    -1,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   435,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,
      -1,    -1,    -1,   435,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    -1,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,
      -1,    -1,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,     3,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,     3,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   428,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   428,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   428,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    -1,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,    -1,   140,
     141,   142,    -1,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,    -1,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,    -1,   210,
     211,   212,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,    -1,    -1,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,   428,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    -1,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,    -1,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,    -1,   210,   211,   212,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,   416,   417,   418,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,   428,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,     4,     5,    -1,    -1,    -1,     9,   426,   427,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,     4,     5,    -1,
      -1,    -1,     9,   426,   427,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,     9,   426,
     427,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,   155,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,     4,
       5,    -1,    -1,    -1,     9,   426,   427,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    74,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,   152,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,   152,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,   152,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,   152,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,   254,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,    -1,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    -1,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,    -1,   140,
     141,   142,    -1,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,    -1,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,    -1,   210,
     211,   212,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,    -1,    -1,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    -1,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,    -1,   140,   141,   142,    -1,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,    -1,   161,    -1,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,    -1,   210,   211,   212,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,    -1,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,    -1,
     366,    -1,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,    -1,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    -1,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,    -1,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,    -1,   210,   211,   212,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    -1,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,    -1,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,    -1,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,    -1,
     210,   211,   212,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,    -1,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
      -1,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    -1,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,    -1,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,    -1,   210,   211,   212,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    -1,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,    -1,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,    -1,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,    -1,
     210,   211,   212,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,    -1,    -1,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
      -1,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    -1,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,    -1,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,    -1,   210,   211,   212,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,    -1,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    -1,    -1,    45,    -1,    -1,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    -1,    -1,
      60,    -1,    62,    63,    64,    65,    66,    -1,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,    -1,    -1,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,    -1,
     140,   141,   142,    -1,    -1,   145,    -1,   147,    -1,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,    -1,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
     190,    -1,    -1,    -1,    -1,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,    -1,
     210,   211,   212,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,    -1,    -1,   246,    -1,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
      -1,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,    -1,   332,   333,   334,   335,    -1,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
      -1,    -1,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,    -1,
      -1,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    42,    62,    64,    65,    66,
      71,    73,    84,    86,   102,   105,   118,   121,   125,   131,
     138,   140,   146,   160,   214,   215,   220,   229,   241,   279,
     290,   295,   297,   303,   308,   312,   317,   322,   323,   330,
     333,   340,   352,   369,   378,   384,   389,   401,   435,   442,
     443,   444,   445,   451,   452,   454,   455,   456,   457,   458,
     459,   460,   462,   463,   467,   477,   479,   480,   483,   484,
     485,   496,   499,   500,   515,   554,   560,   561,   568,   574,
     576,   578,   579,   582,   585,   586,   590,   591,   600,   604,
     605,   606,   610,   611,   613,   614,   615,   628,   629,   630,
     631,   642,   643,   650,   651,   654,   655,   656,   657,   658,
     663,   665,   668,   672,   676,   677,   687,   688,   691,   696,
     707,   726,   729,   730,   731,   734,   737,   739,   741,   744,
     747,   748,   749,   756,   757,   759,   760,   761,   766,   768,
     769,   773,   774,   777,   778,   779,   781,   782,   783,   784,
     786,   789,   790,   795,   797,   801,   802,   803,   804,   805,
     811,   813,   816,   819,   821,   822,   827,   829,   833,   840,
     844,   845,   846,   847,   848,   849,   852,   879,   364,   403,
     762,    21,    69,    82,   100,   106,   123,   141,   152,   157,
     163,   179,   204,   237,   255,   284,   311,   318,   324,   327,
     352,   354,   358,   366,   371,   382,   395,   575,   762,    77,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    44,    46,    47,    49,    50,    51,    52,    53,
      56,    57,    58,    59,    60,    62,    63,    64,    65,    66,
      67,    69,    71,    72,    73,    74,    76,    77,    79,    80,
      81,    82,    83,    84,    85,    88,    89,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   107,   109,   110,   111,
     112,   113,   115,   116,   117,   118,   120,   122,   123,   124,
     125,   126,   128,   129,   130,   132,   133,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   145,   147,   148,   149,
     151,   153,   157,   158,   159,   161,   162,   164,   165,   167,
     168,   169,   170,   171,   173,   174,   175,   177,   178,   179,
     180,   181,   182,   184,   186,   187,   188,   189,   190,   191,
     192,   194,   196,   199,   201,   202,   203,   204,   205,   206,
     207,   209,   211,   214,   215,   216,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     234,   235,   236,   237,   238,   240,   241,   243,   245,   246,
     247,   248,   249,   250,   252,   255,   256,   257,   260,   264,
     265,   266,   267,   268,   269,   270,   271,   273,   274,   275,
     276,   277,   278,   279,   280,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   307,   308,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   324,   325,   326,   327,   328,   330,   331,
     332,   333,   335,   336,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   350,   351,   353,   354,   355,
     356,   357,   358,   360,   361,   364,   365,   366,   367,   369,
     370,   371,   372,   373,   374,   377,   378,   379,   380,   381,
     384,   385,   386,   387,   388,   389,   390,   392,   394,   395,
     396,   399,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   841,
     984,   996,   999,  1000,   393,   791,   253,   280,   762,    45,
     506,   845,    21,    33,    40,    55,    69,    78,   100,   106,
     123,   141,   152,   159,   163,   216,   237,   255,   258,   311,
     318,   327,   354,   355,   357,   358,   366,   371,   376,   379,
     382,   516,   646,   697,   708,    22,   279,   984,   841,    22,
     273,   355,   357,     5,   203,   735,   736,   993,    21,    33,
      55,    69,    82,   100,   123,   141,   152,   157,   163,   179,
     237,   255,   265,   311,   316,   318,   324,   327,   352,   354,
     358,   366,   371,   382,   395,   575,   659,   762,   116,   984,
      86,   138,   393,   435,   554,   790,   806,   819,   822,   827,
     833,   840,   844,     9,    15,    22,    39,   147,   153,   155,
     176,   205,   235,   282,   296,   426,   427,   673,   674,   841,
     992,   995,    22,    86,   294,   323,   678,   679,   680,   996,
     996,   989,   993,   352,   855,   673,   996,   364,   984,   265,
     100,   179,   351,   352,   742,   317,   996,    22,   328,   360,
     364,   469,   996,    19,   160,   678,   679,   280,   762,   996,
     202,    22,   119,   857,    56,    79,   216,   231,   311,   318,
     328,   360,   364,   406,   468,   469,    22,   328,   360,   364,
     469,   364,   254,   888,   982,   996,   855,   428,   996,   156,
     435,   792,   435,   978,   292,   850,   851,   984,   845,   846,
     849,     0,   438,   791,   134,   193,   259,   375,   858,   859,
     845,   847,   848,   111,   189,   381,   439,     3,    38,    45,
      75,    87,    93,   154,   156,   172,   185,   197,   198,   200,
     210,   212,   233,   242,   261,   262,   263,   309,   334,   393,
     990,   996,   997,   999,  1001,   661,   996,   661,   985,   996,
     283,   661,   661,   984,   996,    99,   352,   686,   990,   994,
     996,   982,   248,   798,   996,     8,    63,   145,   422,   423,
     424,   426,   427,   428,   429,   430,   431,   733,   945,   946,
     996,   994,   984,   982,   984,   888,   984,   320,   984,   661,
     221,   994,   982,   203,   108,   199,   239,   288,   763,   764,
     765,   362,   982,   988,   996,    21,    55,    69,    70,    78,
      82,   100,   123,   141,   152,   157,   179,   204,   255,   311,
     316,   318,   324,   327,   352,   354,   358,   366,   371,   395,
     575,   666,   993,   982,   362,   990,   984,   796,   993,   435,
     661,   366,   985,   661,   171,   984,    99,   352,   355,   357,
     994,   355,   357,   163,   798,    63,   145,   733,   300,   994,
     464,   996,   984,   984,   320,   984,   661,   221,   994,   324,
     352,   395,    82,   179,   157,   316,   370,   569,    22,   984,
     842,   476,   993,   996,   736,   171,   990,   984,   171,   740,
     171,   985,    99,   352,   171,   990,   171,   983,   984,   163,
     798,    63,   145,   171,   733,    49,   171,   983,   171,   984,
     171,   984,   171,   984,   320,   171,   984,   171,   221,   983,
     203,   171,   660,   661,   253,   435,   820,   516,   806,   389,
     393,   790,   807,   808,   809,   996,   791,   995,   674,   675,
      22,   675,   995,   675,    22,   675,   995,   675,   675,   675,
     995,   992,   992,   841,   675,   283,   435,   435,   534,   534,
     534,   253,   362,   439,   534,   888,   889,   439,   758,   993,
     435,   817,    49,   984,   984,   982,   996,    38,   418,   199,
     437,   256,   256,   253,   155,   993,   362,   150,   669,   253,
       4,     6,     7,     8,    10,    30,    44,    46,    47,    54,
      55,    58,    59,    67,    90,    91,    92,    93,    94,    95,
      96,   103,   104,   124,   139,   143,   144,   148,   162,   191,
     192,   194,   209,   217,   218,   232,   234,   239,   244,   245,
     247,   255,   264,   274,   289,   314,   329,   336,   348,   360,
     361,   365,   367,   368,   376,   382,   390,   408,   409,   410,
     411,   412,   413,   414,   415,   426,   427,   428,   435,   845,
     900,   903,   906,   907,   908,   910,   911,   912,   913,   916,
     917,   921,   923,   924,   943,   947,   966,   971,   979,   980,
     990,   991,   992,   993,   996,   993,    22,   481,   981,   982,
     328,   468,   106,   475,   993,   476,   993,    38,    60,   468,
     418,   764,   256,   155,   362,   422,    38,   418,   199,   765,
     435,   982,   428,   433,   437,   972,   973,   889,   154,   156,
     393,   787,   788,   790,   154,   793,   106,   921,   976,   977,
     850,   439,   435,   794,   436,   436,   444,   982,    22,   119,
     856,   856,    49,   856,   146,   150,   213,   251,   862,   864,
     865,   874,   876,   877,   858,   859,   155,   195,   888,   890,
     978,   435,   636,   973,   266,   298,   330,   437,   662,   266,
     298,   330,   266,   298,   330,   401,   446,   477,   478,   692,
      18,   125,   266,   330,   488,   330,    18,   125,   381,   461,
     404,   888,    51,    85,   142,   174,   266,   298,   307,   315,
     322,   330,   338,   346,   396,   478,   720,   727,   435,   709,
     298,   461,    18,    24,    66,   117,   125,   128,   181,   236,
     239,   249,   257,   266,   298,   303,   330,   386,   486,   487,
     594,     4,   427,   566,   995,   401,   402,   546,   661,   661,
     435,   732,   437,   176,   298,   446,   453,   266,   298,    50,
      98,   178,   223,   225,   236,   265,   298,   304,   330,   340,
     486,   563,   564,   266,   394,   594,   602,   298,   330,   486,
     266,   298,   303,   330,    76,   115,   267,   356,   253,    18,
      24,   125,   266,   298,   330,   497,   498,   150,   298,   330,
     446,   478,   298,   330,   486,   984,   211,   108,   254,   405,
     439,   763,    22,    83,   237,   383,   785,   253,   990,   435,
     984,    99,   352,   990,   248,    63,   145,   733,   984,   320,
     984,   203,   661,   534,   343,   344,   502,   993,   435,   636,
     637,    61,     3,    44,    46,    47,    58,    59,   103,   104,
     148,   191,   192,   194,   232,   234,   247,   289,   331,   336,
     360,   361,   390,   897,   899,   901,   903,   905,   907,   908,
     909,   911,   912,   916,   917,   997,   999,   155,   435,   632,
     984,   446,    31,   780,   239,   446,   404,   171,   982,   446,
     799,   996,   546,   661,   661,   632,   516,   446,    38,   465,
     371,   601,   266,   577,    76,   115,   267,   356,    20,    41,
     190,   616,    31,   632,   150,   446,   982,   171,   555,   982,
     982,   661,    75,   698,   990,   984,   575,    45,    97,   188,
     236,   319,   139,   636,    52,   305,   489,   139,   435,   139,
     404,   139,   709,   139,   439,   799,   171,   661,   171,   661,
     139,   732,   983,   139,   139,   253,   139,   489,   139,    76,
     115,   267,   356,   139,   253,   139,   150,   171,   171,   476,
     139,   439,   489,   798,   800,   921,   950,   352,   436,   439,
     144,   253,   368,   473,   476,   566,   810,   806,   675,   841,
     675,   841,   675,   841,   675,   841,   675,   841,   841,   841,
     675,   841,   435,   535,   536,   996,   535,    22,   100,   152,
     157,   203,   204,   318,   324,   352,   354,   681,   981,   983,
     680,   176,   439,   830,   993,   897,   953,    31,   983,   151,
     743,   743,   743,   211,   996,   150,   150,   681,   983,   317,
     996,   476,   253,   435,   974,   433,   845,   954,   392,   914,
     921,   970,   435,   914,   914,   435,   435,   435,   435,   902,
     902,   276,   845,   435,   435,   904,   435,   435,   435,   435,
      58,    59,   914,   921,   435,   902,   435,   435,   435,   435,
     435,   402,   421,   435,   918,   435,   918,   435,   435,   845,
     435,   435,   435,   435,   435,   435,   435,   435,   921,   921,
     845,   921,   950,   993,    59,   435,   915,   435,   993,     3,
       8,    11,    28,    31,    36,    43,    68,   172,   176,   197,
     198,   212,   239,   242,   255,   258,   334,   422,   423,   424,
     426,   427,   428,   429,   430,   431,   945,   947,   949,   263,
     921,   195,   439,   853,   435,   993,   973,   109,   173,   482,
     439,    60,   106,   476,    31,     3,   106,   216,   474,   566,
     917,   993,    80,   122,   930,    89,   106,   470,   471,   473,
     566,   106,   470,   211,   982,   921,     3,    22,    26,    27,
      28,    29,    30,    31,    32,    35,    48,    54,    55,    61,
      68,    70,    78,    86,    90,    91,    92,    94,    95,    96,
     106,   108,   114,   119,   121,   127,   131,   134,   144,   146,
     150,   152,   155,   160,   163,   166,   176,   183,   193,   195,
     208,   213,   217,   218,   239,   244,   251,   253,   254,   258,
     259,   272,   281,   294,   306,   323,   329,   337,   349,   352,
     359,   362,   363,   368,   375,   376,   382,   383,   391,   397,
     398,   400,   401,   428,   987,   998,   999,  1000,  1001,  1002,
     972,    81,   304,   664,   436,   439,   791,   436,   439,   851,
     983,    31,   794,   847,   847,   860,   861,   921,   847,   147,
     235,   871,   288,   332,   381,    22,   866,   921,   867,   869,
     921,   923,   874,   875,   865,   864,   862,   863,   150,   877,
     862,   874,   890,   982,    31,   996,   330,   428,   953,   266,
     298,   330,   362,   362,   318,   987,   437,   362,   362,   318,
     362,   362,   354,   468,   775,   150,   160,   176,   308,   693,
     694,    61,    78,   135,   152,   281,   376,   532,   533,    78,
     106,   239,   362,   106,   239,   318,   318,   583,    21,    55,
      69,    82,   123,   152,   157,   255,   318,   324,   327,   352,
     358,   371,   395,   575,   984,   298,   330,   486,   253,   566,
     322,   362,   362,   244,   566,   110,   196,   318,   305,   720,
     728,   176,   186,   260,   331,   391,   436,   710,   713,   714,
     715,   717,   897,   997,   362,   382,    70,   135,   523,   532,
     996,    70,   745,   253,   316,   366,    78,   745,    25,   301,
     316,   366,   982,   181,   249,   661,   435,   362,   362,   435,
     492,   354,   401,   402,   492,    78,   439,     4,   266,   252,
     492,   252,   383,   383,   238,   897,   266,   330,   733,   100,
     362,   448,   478,   362,   362,   566,    49,   565,   566,   566,
      98,   223,   225,    49,   362,   446,   318,   446,   236,   564,
     362,   244,   993,   594,   362,   745,   318,   362,   362,   492,
     492,   661,   661,   661,   661,   982,    37,   388,    37,    37,
     362,    37,   362,   318,   439,    96,   382,   612,   994,   362,
     448,   362,   318,   266,   298,   288,   299,   326,   472,   763,
     743,   800,   800,   988,   996,   982,   636,   897,   253,   404,
     709,   566,   661,   661,   732,   197,   253,    76,   115,   267,
     356,   253,   661,   197,   401,   507,   446,     3,   638,   639,
     632,   435,   899,    31,    30,   898,   101,   169,   224,   228,
     321,   416,   435,   919,   920,   662,   902,   661,   633,   634,
     998,    20,   770,   897,   139,   580,   984,   239,   435,   607,
     447,   401,   646,   383,   395,   447,   994,    86,   160,   466,
     515,   560,   615,   676,   696,   766,   993,   602,   603,   984,
     219,   661,   661,   661,   661,   249,   111,   189,   369,   381,
     617,   618,   132,   435,   612,   447,   562,   563,   239,    31,
     249,   435,   556,   534,   150,   699,   988,   435,   711,    31,
     203,   401,   402,   843,   319,   990,   489,   897,   985,   171,
     984,   990,   489,   983,   984,   139,   383,   139,   383,   733,
     489,   489,   983,   984,   982,   984,   984,   984,   982,   983,
     612,   139,   139,   489,   660,   661,   439,   812,   993,   436,
     439,   982,   806,   808,   841,   841,   841,   841,   841,   841,
     535,   436,   439,   436,   158,   325,   353,   983,    99,   327,
     685,   686,   983,   248,   983,   981,   981,   983,   362,   401,
     689,    16,   137,   314,   332,   831,   888,   243,   832,   436,
     439,   818,   822,   827,   833,   844,   362,   679,   678,   679,
     155,   161,   690,   996,    21,    70,   123,   152,   157,   204,
     318,   324,   352,   371,   395,   575,   670,   950,   972,   434,
     950,   954,   955,   435,   397,   967,   968,   921,   950,   992,
     992,   950,     3,   101,   169,   224,   228,   321,   416,   956,
     957,   993,   992,   950,   950,   992,   992,   914,   914,   921,
     733,   921,   958,   426,   427,   922,   923,   943,   947,   960,
     436,   950,   921,   950,   961,   360,   418,   992,   992,   921,
      48,   155,   208,   363,   921,   950,   964,   950,   230,   923,
     921,   928,   929,   930,   230,   921,   930,   436,   439,   330,
     992,   992,   919,   897,   921,   998,   360,    35,   349,   975,
     661,   921,   435,   845,   965,   119,   122,   144,   239,   244,
     249,   368,   377,   921,    43,   172,   176,   212,   334,   435,
     921,   362,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,    22,    29,   337,   944,   314,   435,   943,   159,
     216,   352,   355,   357,   379,   854,   982,   980,   155,   880,
      22,   119,   391,   428,   436,   715,   921,   951,   952,   997,
     982,   364,   435,   993,   439,   436,   434,   440,   170,   170,
     489,   982,   788,   789,   982,   976,   436,   435,   439,    32,
     114,   383,   705,   435,   868,   995,   254,   249,   878,   878,
     439,   314,   315,   870,   875,   863,   383,   828,   106,   435,
     823,   844,   996,   435,   834,   835,   836,   837,   838,   996,
     436,   436,   362,   362,   318,   994,   984,   984,   987,   994,
     984,   984,   994,   985,   984,    77,   776,   311,   382,   678,
     318,   160,   678,   435,   984,   383,   700,   201,   201,   383,
     435,   553,   984,   244,   994,   921,   244,   984,   984,   362,
     584,   990,   435,   661,   661,   661,    99,   352,   686,    63,
     145,   733,   984,   661,   984,   661,   320,   661,   661,   203,
     164,   236,   266,   387,   587,   588,   589,   362,   745,   318,
     244,   110,   196,   994,   984,   253,   984,   260,   997,   436,
     439,   715,   717,   714,   717,   997,   662,   994,   983,   523,
     897,   996,   984,   984,    22,   382,   984,   171,   984,   171,
     996,   316,   366,   316,   366,   984,    22,   382,   984,   982,
      18,   125,   330,   595,   596,   597,   598,   998,   994,   984,
     494,   495,   998,   984,   252,    66,   252,   984,   487,   362,
     986,   996,   986,   439,   436,   439,   362,   318,   985,   994,
       3,    77,   130,   181,   271,   302,   374,   382,   385,   449,
     994,   984,   566,   661,   984,   566,   984,   566,   994,   984,
     984,   984,   994,   984,    18,    24,   125,   266,   298,   330,
     266,   298,   330,   632,   298,   330,   298,   330,   298,   896,
     996,   993,   996,   171,   996,   994,   984,   984,   984,    18,
     498,   327,   994,   984,   984,   362,   362,    74,   373,   288,
     150,   814,   814,   814,   197,    31,   661,   197,   197,   383,
     383,   197,   244,   667,   993,   661,   661,   661,   661,   661,
     661,   197,   667,   252,   155,   362,   501,   435,   503,   504,
     422,   436,   439,   921,    30,   898,   897,   433,   433,   362,
     362,   362,   435,   362,   992,   902,   436,   439,   422,   617,
      77,   129,   206,   207,   219,   266,   354,   356,   771,   525,
     984,   155,   318,   394,   581,   588,   589,   139,   436,   523,
     608,   609,   327,    19,   176,   311,   350,   449,   450,   800,
     150,   986,   982,   465,   258,   516,   152,   993,   632,   632,
     632,   632,   249,   253,   258,   435,   894,   895,   896,   327,
     139,   138,   844,   661,   212,   517,   519,   521,   523,   529,
     532,   557,   558,   996,   546,    31,   993,   253,   436,   712,
     713,   718,    31,   203,   307,   400,   719,   720,   721,   253,
     476,   168,   168,   150,   636,    31,   139,   489,   709,   661,
     986,   661,   986,   732,   253,   489,   489,   253,   489,   327,
     150,   476,   489,   798,   921,   435,   436,   536,   176,   176,
     176,   404,   983,   439,   566,   567,   163,   682,   683,   994,
      19,   690,   137,   332,   137,   332,   314,   381,   226,   897,
     984,   155,   253,   682,    49,   489,   990,   352,   990,   248,
     203,   661,   436,   434,   434,   439,   950,   921,   127,   968,
     969,    31,   436,   436,   436,   436,   436,   155,   436,   436,
     436,   436,   436,   439,   436,   272,   959,   436,   922,   922,
      11,   176,   197,   255,   422,   423,   424,   426,   427,   428,
     429,   430,   431,   947,   922,   436,   436,   150,   155,   962,
     963,   436,   418,   436,   436,    31,   964,   950,   964,   964,
     155,   436,   436,   998,   270,   932,    31,   436,   439,   921,
     998,   439,   921,   974,   921,   996,   436,   436,   418,   922,
     922,   133,   950,   155,   119,   122,   144,   244,   249,   368,
     377,   435,   133,   349,   975,   921,   965,   921,   362,   733,
     921,   435,   845,   355,   357,   355,   357,   982,   855,   855,
     855,   435,   845,   881,   882,   883,   888,   891,   924,   990,
     996,   398,   892,   951,   951,   952,   436,   262,   936,    13,
     436,   439,   859,   764,   992,   919,   471,   921,   794,   818,
     861,   255,   945,   948,   419,   420,   706,   921,   870,   981,
     832,   832,   867,   881,   398,   893,   389,   824,   825,   996,
     306,   826,   838,   839,   439,   880,   422,   974,   994,   984,
     984,   213,   983,   983,   253,   983,   256,   253,   921,   533,
     986,   435,   435,   435,   553,   179,   535,   626,   489,   476,
     636,   897,   404,   661,   661,   661,   732,    76,   115,   267,
     356,   984,   570,   984,   164,   387,   362,   570,   587,   594,
     984,   984,   984,   187,   244,   662,   713,   717,   717,   430,
     525,   125,   303,   330,   488,   746,   139,   489,   139,   489,
     984,   984,   984,   984,   597,   598,   597,   436,   439,   599,
     993,   436,   439,   422,   437,   994,   266,   298,   330,    18,
     125,   266,   298,   330,   897,   238,   897,   994,   984,   213,
     271,   244,   993,   271,   983,   380,   362,   221,   221,   221,
     362,   362,   318,   362,   362,   318,   362,   318,   362,   318,
     362,   489,   897,    20,    41,   330,   746,   139,   489,   362,
     984,   994,   984,   100,   985,   362,   815,   815,   815,   667,
     897,   197,   667,   667,   986,   986,   667,   197,   197,   197,
     197,   197,   197,   667,   502,   510,   511,   998,    45,    88,
     112,   129,   133,   151,   167,   244,   252,   286,   505,   255,
     426,   427,   566,   635,   717,   948,   993,  1002,     3,   639,
     436,   433,   436,   992,   434,   992,   169,   224,   920,   224,
     920,   920,   992,   228,   436,   634,   635,   253,   213,   422,
     772,   772,   772,   772,   772,   772,   772,    61,    68,    78,
     106,   108,   183,   239,   244,   281,   294,   376,   526,   527,
     528,   446,   476,   984,   476,   257,   592,   982,   436,   439,
     984,   983,   163,   311,   983,   992,   371,   534,   300,   352,
      99,   535,   982,   618,   640,   641,   993,   436,   439,   984,
     982,   984,   401,   559,   435,   518,   982,   436,   439,   436,
     439,   253,   547,   844,   362,   982,   436,   439,   106,   422,
     722,   993,   476,   352,   716,   717,   401,   721,   723,   111,
     189,   323,   381,   754,   164,   844,   489,   897,   984,   489,
     383,   489,   383,   489,   489,   982,   982,   984,   612,   489,
     996,   318,   318,   318,   983,   686,   439,   994,   401,   439,
     684,   256,   137,   137,   983,   681,   489,   994,   636,   709,
     566,   661,   197,   954,   436,   359,   921,   131,   897,   921,
     921,   921,   962,   897,   922,   119,   122,   239,   249,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   921,
     921,   963,   962,   918,   918,   897,   436,   436,   436,   950,
     436,   439,    49,   923,   436,   998,   929,   278,   347,   931,
     436,   439,   394,   925,    31,   436,   915,   993,   921,    28,
      28,   921,   436,   921,   155,   435,   953,   921,   922,   922,
     133,   133,   921,   436,   133,   921,   855,   855,   855,   855,
     982,   982,   982,   845,   882,   883,    31,   884,   996,   439,
      87,   156,   185,   200,   210,   233,   309,   885,   884,    31,
     884,   996,   435,   973,   921,   163,   872,   439,   858,   859,
     858,   436,   936,   435,   937,   996,   921,   936,   993,   391,
     952,   436,   436,   434,   436,   435,   706,   436,   254,    89,
     921,   826,   436,   439,   974,   979,   436,   439,   835,   893,
     976,   772,   158,   325,   353,   695,   150,   695,   436,   435,
     538,   539,   702,   924,   996,   535,   535,   626,   988,   436,
     108,   183,   239,   627,    31,   984,   383,   383,   661,   661,
     661,   661,   662,   994,   362,   187,   430,   371,   239,   492,
      99,   239,   342,   345,   492,   371,   984,   996,   596,   495,
     635,   998,   362,   362,   318,   157,   255,   345,   644,   645,
     157,   255,   652,   653,   362,   362,   318,   436,   436,   436,
     995,   993,   993,   993,   984,   150,   150,   300,   150,   171,
     994,   984,   984,   994,   984,   984,   984,   984,   984,   984,
     984,    68,   490,   993,   993,   371,   996,   984,   594,   985,
     382,   994,   436,   667,   197,   197,   667,   667,   667,   667,
     667,   667,   383,   508,   509,   436,   439,   428,   435,   473,
     512,   566,   780,   993,   780,   239,   286,   780,   780,   626,
     992,   401,   402,   434,   434,   436,   919,   982,   772,   106,
     992,   993,   106,   993,   106,   993,   106,   993,   106,   984,
     106,   984,   106,   984,   435,   661,   984,   922,   109,   173,
     108,   244,   201,   982,   723,   580,   435,   607,   609,   592,
     983,   983,   897,    31,   982,   404,   150,   619,   436,   439,
     896,   592,   249,   435,   820,    99,   236,   520,   522,   524,
     532,   996,   546,   530,   182,   545,   521,   558,    73,   354,
     548,   401,   767,   993,   700,   718,   921,   921,   439,   435,
     719,   632,   362,   570,   436,   489,   986,   986,   489,   489,
     327,   983,   983,   983,   566,   160,   683,   690,   155,   197,
     197,   197,   197,   244,   671,   993,   921,   436,   436,   963,
     155,   119,   122,   249,   435,   436,   407,   927,   950,   293,
      49,   399,   399,   436,   921,   236,   921,   439,   926,   899,
     919,   922,   922,   921,   953,   436,    28,    28,   921,   921,
     133,   921,   436,   982,   982,   982,   982,   436,   996,   435,
     882,   200,   261,   886,   882,   886,   200,   885,   886,   200,
     435,   996,   435,   951,    49,   166,   873,   436,   436,   936,
     938,   996,   952,   936,   993,   733,   249,   844,   825,   422,
     838,   826,   995,   362,   678,   155,   626,   921,   436,   439,
     401,    68,   703,   703,   436,   436,   723,   109,   173,   108,
     385,   897,   986,   986,   984,   371,   244,   244,   995,   996,
     897,   489,   489,   422,   994,   984,   984,   992,   992,   897,
     439,   992,   992,   439,   994,   984,   984,   983,   983,   661,
     983,   139,   661,   897,   489,   489,   994,   197,   667,   667,
     446,   113,   511,   473,   513,   514,   993,   993,   244,   428,
     535,   993,   993,   434,   157,   186,   157,   155,   625,   995,
     921,   239,   527,   723,   534,   383,   552,   593,   597,   327,
     383,   844,   435,   984,   126,   620,   397,   622,   993,   661,
     517,    99,   436,   439,   401,   547,   136,   177,   435,   546,
     111,   125,   278,   984,   120,   549,   550,    53,    61,   216,
     155,   435,   993,   715,   724,   725,   997,   723,   982,   184,
     571,   489,   489,   489,   984,   256,   489,   682,   671,   671,
     671,   671,   922,   155,   435,   953,   435,   436,   439,   436,
     923,   293,   436,   388,   339,   436,   436,   436,   922,   922,
     921,   884,   435,   983,   882,   253,   383,   887,   882,   200,
     882,   895,   435,   895,   996,   436,   950,   921,   400,   933,
     936,   936,   269,   939,   436,   919,   436,   841,   978,   682,
     253,   682,   436,   723,   539,   255,   733,   661,   383,   661,
     704,   704,   294,   723,   552,   436,   490,   635,   435,   990,
     733,   645,   435,   435,   653,   401,   300,   401,   401,   150,
     490,   667,   503,   993,   436,   439,   535,   686,    31,   738,
     738,   982,   626,   436,   552,   222,   537,   179,   436,   439,
     984,   986,   767,   592,   314,   341,   621,   435,   138,   518,
     436,   522,   257,   548,    22,    72,    79,   107,   180,   345,
     531,   531,   981,   547,   315,   315,    49,   435,   362,   551,
      61,   256,    61,   661,   701,   702,   717,   436,   439,   892,
     570,   236,   387,   572,   573,   489,   922,   953,   436,   928,
     950,    49,   236,   417,   983,   436,   921,   435,   882,   887,
     436,   895,   436,   934,   935,   996,    49,   858,   936,   684,
     695,   489,   703,   552,   435,   661,   705,   705,   982,   552,
     626,   383,   491,   953,   709,   150,   648,   732,   953,   953,
     660,   661,   660,   661,   983,   489,   514,   738,    34,   175,
     150,   156,   268,   335,   253,   541,   542,   543,   354,   597,
     592,   145,   647,   921,   285,   546,   545,   525,   550,   436,
     548,   165,   227,   302,   313,   984,   163,   237,   256,   256,
     436,   439,   719,   724,   121,   387,   570,   436,   436,   436,
     293,   388,   436,   983,   436,   439,    31,   950,   287,   315,
     940,   155,   704,   398,   540,   733,   706,   706,   534,   626,
     921,   436,   259,   320,   291,   649,   648,   436,   436,   401,
     126,   111,   381,   253,   543,   253,   542,   984,   661,    31,
     436,   990,   547,   546,   551,   550,   435,   310,   436,   799,
     800,   401,   493,   702,   723,    23,   190,   755,   436,   935,
     937,    43,    89,   372,   921,   941,   942,   941,   436,   682,
     705,   435,   626,   436,   537,   990,    49,   649,   661,   314,
      52,   236,   305,   330,   544,   544,   644,   435,   548,   547,
     551,   984,   492,   548,   240,   435,   750,   752,   757,   822,
     827,   833,   844,   942,   314,   149,   275,   149,   275,   489,
     706,   921,   541,   709,   661,   622,    17,   106,   244,     4,
     623,   624,   992,   993,   998,   550,   548,   436,   892,   751,
     752,   753,   845,   846,    28,   436,   626,   138,   436,   439,
     551,   550,   436,   438,   942,   285,   624,   551,   753,   990,
     435,   623,   436
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 687 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			;}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 694 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 701 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 829 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 840 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 850 "gram.y"
    {;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 851 "gram.y"
    {;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 860 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 861 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 865 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 866 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 871 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 876 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 880 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 885 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 890 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 894 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 898 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 903 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 909 "gram.y"
    {
					(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
				;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 914 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 967 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); ;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 970 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 974 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 978 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 982 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 986 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1000 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1018 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1028 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1029 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1034 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1052 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1064 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1085 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1092 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1111 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1118 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1135 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1153 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1163 "gram.y"
    { (yyval.ival) = +1; ;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1164 "gram.y"
    { (yyval.ival) = -1; ;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1177 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1184 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 1201 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 1213 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1224 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1225 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1229 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1230 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1258 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1264 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1270 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1279 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1287 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1295 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1302 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1309 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1317 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1328 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1336 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1344 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1352 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1360 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1371 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1379 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1387 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1394 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1403 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1405 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1411 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1412 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1416 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); ;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1418 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1421 "gram.y"
    { (yyval.str) = "read uncommitted"; ;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1422 "gram.y"
    { (yyval.str) = "read committed"; ;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1423 "gram.y"
    { (yyval.str) = "repeatable read"; ;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1424 "gram.y"
    { (yyval.str) = "serializable"; ;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1428 "gram.y"
    { (yyval.str) = "true"; ;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1429 "gram.y"
    { (yyval.str) = "false"; ;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1430 "gram.y"
    { (yyval.str) = "on"; ;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1436 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1449 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1453 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1457 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1472 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1494 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1495 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1496 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1500 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1501 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1502 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1506 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1507 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1512 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1519 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1526 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1533 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1540 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1549 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1550 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1556 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1562 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1568 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1574 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1580 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1590 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1599 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1600 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1604 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1605 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1614 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1629 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1635 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1641 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1647 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1665 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1673 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1681 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1689 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1699 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1700 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1706 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1714 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1722 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1731 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1739 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1747 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1756 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1765 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1774 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1783 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1793 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1806 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1820 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1828 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1836 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1846 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1856 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1863 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1870 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1878 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1886 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1894 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1902 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1910 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1917 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1924 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1932 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1939 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1946 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 1954 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 1962 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 1970 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 1978 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 1986 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 1994 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2004 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2011 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2019 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2027 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2035 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2042 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2051 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); ;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2052 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2056 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; ;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2057 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; ;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2058 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ ;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2063 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2070 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2074 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2075 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2079 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2082 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2083 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2087 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2088 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2094 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2098 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2102 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2107 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2122 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2134 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2135 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2141 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2150 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2160 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2170 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2195 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2201 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2229 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2250 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2263 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2264 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2273 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2274 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2275 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2278 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2279 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2284 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2285 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2290 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2294 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2298 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2302 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2306 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2310 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2314 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2318 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2322 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2326 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2330 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2334 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2343 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2346 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2351 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2354 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2359 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2362 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2366 "gram.y"
    {;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2367 "gram.y"
    {;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2373 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2377 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2384 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2390 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2391 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2392 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); ;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2393 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); ;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2394 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2399 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2403 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2410 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2433 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(4) - (13)].range);
					n->tableElts = (yyvsp[(6) - (13)].list);
					n->inhRelations = (yyvsp[(8) - (13)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (13)].list);
					n->oncommit = (yyvsp[(10) - (13)].oncommit);
					n->tablespacename = (yyvsp[(11) - (13)].str);
					n->if_not_exists = false;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(12) - (13)].distby);
					n->subcluster = (yyvsp[(13) - (13)].subclus);
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2456 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (16)].range)->relpersistence = (yyvsp[(2) - (16)].ival);
					n->relation = (yyvsp[(7) - (16)].range);
					n->tableElts = (yyvsp[(9) - (16)].list);
					n->inhRelations = (yyvsp[(11) - (16)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (16)].list);
					n->oncommit = (yyvsp[(13) - (16)].oncommit);
					n->tablespacename = (yyvsp[(14) - (16)].str);
					n->if_not_exists = true;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(15) - (16)].distby);
					n->subcluster = (yyvsp[(16) - (16)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2483 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (12)].range)->relpersistence = (yyvsp[(2) - (12)].ival);
					n->relation = (yyvsp[(4) - (12)].range);
					n->tableElts = (yyvsp[(7) - (12)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (12)].list));
					n->ofTypename->location = (yylsp[(6) - (12)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (12)].list);
					n->oncommit = (yyvsp[(9) - (12)].oncommit);
					n->tablespacename = (yyvsp[(10) - (12)].str);
					n->if_not_exists = false;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(11) - (12)].distby);
					n->subcluster = (yyvsp[(12) - (12)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2511 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (15)].range)->relpersistence = (yyvsp[(2) - (15)].ival);
					n->relation = (yyvsp[(7) - (15)].range);
					n->tableElts = (yyvsp[(10) - (15)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (15)].list));
					n->ofTypename->location = (yylsp[(9) - (15)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (15)].list);
					n->oncommit = (yyvsp[(12) - (15)].oncommit);
					n->tablespacename = (yyvsp[(13) - (15)].str);
					n->if_not_exists = true;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(14) - (15)].distby);
					n->subcluster = (yyvsp[(15) - (15)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2543 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2544 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2545 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2546 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2547 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2548 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2549 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2550 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2554 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2555 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2559 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2560 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2565 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2569 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2576 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2580 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2586 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2587 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2588 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2592 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2593 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2597 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(3) - (3)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2616 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2635 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2636 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2641 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2648 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2649 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2651 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2682 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2689 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2696 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2707 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2718 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2727 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2736 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2769 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2776 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2783 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2790 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2809 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2818 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2819 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); ;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2820 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2824 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; ;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2825 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; ;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2826 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; ;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2827 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; ;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2828 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; ;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2829 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; ;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2839 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2846 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2851 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2864 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2878 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2893 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2907 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2923 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2940 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2960 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2961 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2965 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2966 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2970 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2976 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2980 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2988 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2992 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 2998 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3000 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3004 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3009 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3015 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3016 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3027 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3029 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); ;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3033 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3038 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3041 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3045 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; ;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3046 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; ;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3047 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; ;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3048 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; ;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3049 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; ;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3052 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3053 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3058 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3059 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3060 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3061 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3064 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3065 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; ;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3066 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; ;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3067 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3070 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3071 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3080 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_HASH;
					n->colname = (yyvsp[(3) - (4)].str);
					(yyval.distby) = n;
				;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3087 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_MODULO;
					n->colname = (yyvsp[(5) - (6)].str);
					(yyval.distby) = n;
				;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3094 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_REPLICATION;
					n->colname = NULL;
					(yyval.distby) = n;
				;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3101 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_ROUNDROBIN;
					n->colname = NULL;
					(yyval.distby) = n;
				;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3107 "gram.y"
    { (yyval.distby) = NULL; ;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3112 "gram.y"
    {
					PGXCSubCluster *n = makeNode(PGXCSubCluster);
					n->clustertype = SUBCLUSTER_NODE;
					n->members = (yyvsp[(3) - (3)].list);
					(yyval.subclus) = n;
				;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3119 "gram.y"
    {
					PGXCSubCluster *n = makeNode(PGXCSubCluster);
					n->clustertype = SUBCLUSTER_GROUP;
					n->members = list_make1(makeString((yyvsp[(3) - (3)].str)));
					(yyval.subclus) = n;
				;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3125 "gram.y"
    { (yyval.subclus) = NULL; ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3129 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3130 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3133 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3144 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3172 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (7)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (7)].list);
					(yyval.into)->options = (yyvsp[(3) - (7)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (7)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (7)].str);
/* PGXC_BEGIN */
					(yyval.into)->distributeby = (yyvsp[(6) - (7)].distby);
					(yyval.into)->subcluster = (yyvsp[(7) - (7)].subclus);
/* PGXC_END */
				;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3187 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3188 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3192 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3193 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3198 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = NULL;
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3217 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3218 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3219 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3233 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
/* PGXC_BEGIN */
					n->is_serial = false;
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3248 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
/* PGXC_BEGIN */
					n->is_serial = false;
/* PGXC_END */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3259 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3260 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3263 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3264 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3268 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3272 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3276 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3280 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3284 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3288 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3292 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3296 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3300 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3304 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3308 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3312 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3317 "gram.y"
    {;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3318 "gram.y"
    {;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3322 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); ;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3324 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3328 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); ;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3331 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3332 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3345 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3358 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3371 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3372 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3380 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3381 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3385 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3386 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3390 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3391 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3395 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3396 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3401 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3409 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3419 "gram.y"
    {;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3420 "gram.y"
    {;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3431 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3440 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3441 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3455 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3462 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3479 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3487 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3498 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3500 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3505 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3509 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3513 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3525 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3535 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3537 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3542 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3555 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3565 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3575 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3584 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3593 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3602 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3612 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3621 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3631 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3641 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3651 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3660 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3669 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3678 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3687 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3696 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3705 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3714 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3723 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3732 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3741 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3750 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3768 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3778 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3779 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); ;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3780 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3781 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); ;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3785 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3786 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3790 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3791 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3802 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3810 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3827 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3835 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3846 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3847 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3852 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3856 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3863 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3868 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3872 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3879 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3883 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3888 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3893 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3900 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3906 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3911 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3923 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3935 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3936 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3941 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 3942 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 3946 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 3947 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 3958 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 3966 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 3983 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 3992 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4000 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4019 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4034 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4049 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4050 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4055 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4059 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4065 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4077 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4094 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4105 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4106 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4107 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); ;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4118 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4126 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4143 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4164 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4185 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4206 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; ;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4207 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; ;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4208 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; ;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4213 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4215 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4237 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4239 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); ;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4241 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); ;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4243 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4245 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); ;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4250 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4254 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4264 "gram.y"
    {;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4265 "gram.y"
    {;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4269 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4270 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4274 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4275 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4279 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4280 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4281 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4286 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4291 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4292 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4293 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4297 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); ;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4298 "gram.y"
    { (yyval.range) = NULL; ;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4303 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4305 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4331 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; ;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4332 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; ;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4333 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; ;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4334 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4335 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; ;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4341 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4351 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4374 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4393 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4416 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4426 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4437 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4447 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4457 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4468 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4477 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4484 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4493 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4502 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4511 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4520 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4529 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4539 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4542 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4543 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4547 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4551 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4557 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); ;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4558 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); ;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4559 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); ;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4560 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); ;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4561 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4564 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4565 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4568 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4571 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4572 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4581 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4587 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4588 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4594 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4605 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (6)].list);
				 n->newVal = (yyvsp[(6) - (6)].str);
				 n->newValNeighbor = NULL;
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4614 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = false;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4623 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4648 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4661 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4662 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4667 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4678 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4688 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4697 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4707 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4715 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4716 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4719 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4720 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4723 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4724 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); ;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4725 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4729 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4742 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4748 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4758 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4767 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4778 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4779 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4784 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4792 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4804 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4813 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4825 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4834 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4855 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4865 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4883 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4892 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4903 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4904 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4905 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4906 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4907 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4908 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4909 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4910 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4911 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4912 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4913 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4914 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4915 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4916 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4917 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4921 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4922 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4925 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4926 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4930 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); ;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4932 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4945 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4955 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4956 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 4957 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 4984 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 4993 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5002 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5011 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5020 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5029 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5038 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5048 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5057 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5066 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5075 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5084 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5093 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5102 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5110 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5118 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5126 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5136 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5137 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5138 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5139 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5140 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5141 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5142 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5143 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5144 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5145 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5146 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5147 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5148 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5149 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5150 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5151 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; ;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5152 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; ;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5156 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5157 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5173 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5184 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5195 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5206 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5217 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5228 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5229 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5233 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5234 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5235 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5236 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5237 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5238 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5239 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5240 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5243 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5244 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5255 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5261 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5269 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5277 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5285 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5293 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5301 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5309 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5317 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5325 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5333 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5341 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5349 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5357 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5365 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5373 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5381 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5389 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5398 "gram.y"
    {;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5399 "gram.y"
    {;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5402 "gram.y"
    {;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5403 "gram.y"
    {;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5415 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5431 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5445 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5470 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5472 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5474 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5476 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5483 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5491 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); ;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5492 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); ;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5496 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5503 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5510 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5517 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5531 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5539 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5547 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5555 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5563 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5571 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5579 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5587 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5595 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5603 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5611 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5619 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5627 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5635 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5646 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5647 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5651 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5661 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5674 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5675 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5679 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); ;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5681 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); ;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5686 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5702 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5715 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5725 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5736 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5737 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5740 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5741 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5752 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5761 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5762 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5767 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5771 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5775 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5787 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5800 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5814 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5829 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; ;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5830 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; ;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5831 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; ;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5846 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->indexOid = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5863 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5864 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5868 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5869 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5873 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5874 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5878 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5879 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5882 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); ;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5883 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5892 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5903 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5914 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5926 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5927 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5930 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5931 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5932 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5935 "gram.y"
    { (yyval.ival) = SORTBY_ASC; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5936 "gram.y"
    { (yyval.ival) = SORTBY_DESC; ;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5937 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; ;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5940 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; ;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5941 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; ;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5942 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; ;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5960 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5972 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5985 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5998 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5999 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6002 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6003 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6007 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6008 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6016 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6017 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6021 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6023 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6038 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6047 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6056 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6065 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6074 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6085 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6086 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; ;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6087 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6088 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6089 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; ;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6100 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6114 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6116 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6122 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6132 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    ;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6136 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    ;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6141 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    ;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6150 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6151 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6159 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6163 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6167 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6171 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6175 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6179 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6183 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6187 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6191 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6195 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6199 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6203 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6207 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6215 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6219 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6223 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6227 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6232 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6234 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6240 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6241 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6245 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6257 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6261 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6276 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6286 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6287 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6309 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6319 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6332 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6342 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6355 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6365 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6378 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6386 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6388 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6390 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); ;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6395 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6397 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6410 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6418 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6419 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6424 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6428 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6441 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6452 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6463 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6474 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; ;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6475 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; ;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6476 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; ;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6481 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6491 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6492 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6507 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6515 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6525 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6537 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6538 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6541 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6542 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6553 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6562 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6570 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6578 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6586 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6595 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6603 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6611 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6620 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6629 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6637 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6646 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6655 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6664 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6673 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6682 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6692 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6702 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6711 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6719 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6727 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6735 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6744 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6753 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6761 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6769 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6777 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6785 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6793 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6805 "gram.y"
    { (yyval.ival) = COLUMN; ;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6806 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6809 "gram.y"
    { (yyval.ival) = 1; ;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6810 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6821 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6830 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6838 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6846 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6854 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6862 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6871 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6880 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6889 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6898 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6906 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6914 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6922 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6930 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6938 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6946 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6954 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6962 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6978 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6987 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6995 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 7003 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 7011 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 7019 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 7028 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 7036 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 7044 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 7053 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 7062 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 7071 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 7079 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 7087 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 7095 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 7103 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 7111 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 7119 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 7138 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 7152 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 7153 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 7154 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 7160 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 7166 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 7182 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 7183 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 7186 "gram.y"
    { (yyval.ival) = CMD_SELECT; ;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 7187 "gram.y"
    { (yyval.ival) = CMD_UPDATE; ;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 7188 "gram.y"
    { (yyval.ival) = CMD_DELETE; ;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 7189 "gram.y"
    { (yyval.ival) = CMD_INSERT; ;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 7193 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 7194 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 7195 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 7201 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 7211 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 7232 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 7241 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 7242 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 7246 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 7255 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 7261 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7280 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7287 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7294 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7301 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7308 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7315 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7322 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7330 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7338 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7346 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7354 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7362 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7369 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7376 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7384 "gram.y"
    {;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7385 "gram.y"
    {;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7386 "gram.y"
    {;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7391 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); ;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7394 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7397 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7400 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); ;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7403 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7410 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7412 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7414 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7420 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7434 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->relpersistence = (yyvsp[(2) - (8)].ival);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7445 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->relpersistence = (yyvsp[(4) - (10)].ival);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7458 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7464 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7470 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7475 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7486 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7502 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7511 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7512 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7517 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7521 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7525 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7529 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7533 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7537 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7541 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7545 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7549 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7553 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7557 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7561 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7565 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7569 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7573 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7577 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7586 "gram.y"
    {;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7587 "gram.y"
    {;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7599 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7606 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7617 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7627 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7628 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7633 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7647 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7654 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7671 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7684 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7693 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7701 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7709 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7718 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7728 "gram.y"
    {;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7729 "gram.y"
    {;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7741 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7751 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7761 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7771 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7781 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7791 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7799 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7821 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7843 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7851 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7860 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7870 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7871 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7884 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7898 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7912 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7924 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7936 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7952 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7953 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7957 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; ;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7958 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; ;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7959 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; ;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7960 "gram.y"
    { (yyval.ival) = VACOPT_FULL; ;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7965 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7977 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7991 "gram.y"
    {;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7992 "gram.y"
    {;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7996 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7997 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 8000 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 8001 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 8004 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 8005 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 8009 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 8010 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 8016 "gram.y"
    {
					BarrierStmt *n = makeNode(BarrierStmt);
					n->id = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 8025 "gram.y"
    {
					(yyval.str) = pstrdup((yyvsp[(1) - (1)].str));
				;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 8029 "gram.y"
    {
					(yyval.str) = NULL;
				;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 8050 "gram.y"
    {
					CreateNodeStmt *n = makeNode(CreateNodeStmt);
					n->node_name = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 8059 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 8062 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 8065 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 8066 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 8084 "gram.y"
    {
					AlterNodeStmt *n = makeNode(AlterNodeStmt);
					n->node_name = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 8100 "gram.y"
    {
					DropNodeStmt *n = makeNode(DropNodeStmt);
					n->node_name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 8115 "gram.y"
    {
					CreateGroupStmt *n = makeNode(CreateGroupStmt);
					n->group_name = (yyvsp[(4) - (6)].str);
					n->nodes = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 8131 "gram.y"
    {
					DropGroupStmt *n = makeNode(DropGroupStmt);
					n->group_name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 8150 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 8157 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 8167 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 8174 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 8194 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 8198 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 8205 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 8211 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 8212 "gram.y"
    { (yyval.str) = "analyze"; ;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 8213 "gram.y"
    { (yyval.str) = "verbose"; ;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 8217 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 8218 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 8219 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 8230 "gram.y"
    {
					ExecDirectStmt *n = makeNode(ExecDirectStmt);
					n->node_names = (yyvsp[(4) - (5)].list);
					n->query = (yyvsp[(5) - (5)].str);
					(yyval.node) = (Node *)n;

					if (!superuser())
						ereport(ERROR,
						       (errcode(ERRCODE_INSUFFICIENT_PRIVILEGE),
						        errmsg("must be superuser to use EXECUTE DIRECT")));
				;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 8258 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = true;
					n->nodes = (yyvsp[(5) - (7)].list);
					n->is_force = false;
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 8268 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = false;
					n->nodes = (yyvsp[(5) - (7)].list);
					n->is_force = false;
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 8278 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = true;
					n->nodes = NIL;
					n->is_force = (yyvsp[(5) - (7)].boolean);
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 8289 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 8290 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 8291 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 8294 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 8295 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 8296 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 8308 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 8317 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 8318 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 8336 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 8345 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					n->into = (yyvsp[(4) - (8)].into);
#ifdef PGXC
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE TABLE AS EXECUTE not yet supported")));
#endif
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 8365 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 8366 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8377 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8383 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8389 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8395 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8411 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8421 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8427 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 8433 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 8442 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8444 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8449 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8459 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8460 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8473 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 8485 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 8486 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 8498 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 8508 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); ;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 8509 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 8512 "gram.y"
    { (yyval.ival) = AccessShareLock; ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 8513 "gram.y"
    { (yyval.ival) = RowShareLock; ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 8514 "gram.y"
    { (yyval.ival) = RowExclusiveLock; ;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 8515 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; ;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8516 "gram.y"
    { (yyval.ival) = ShareLock; ;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8517 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; ;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8518 "gram.y"
    { (yyval.ival) = ExclusiveLock; ;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8519 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8522 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8523 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8539 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8552 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8553 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); ;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8557 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8558 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8563 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8571 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8599 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8609 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8610 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); ;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8621 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8631 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8634 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8635 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; ;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8636 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; ;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8637 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; ;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8638 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; ;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8641 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8642 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; ;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8643 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8696 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8697 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8711 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8713 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8720 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8728 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8736 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8744 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8752 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8760 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8770 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8771 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8801 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8813 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8815 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8834 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8838 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8842 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8857 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8864 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8873 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8874 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8878 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8889 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); ;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8890 "gram.y"
    { (yyval.with) = NULL; ;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8895 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8904 "gram.y"
    { (yyval.into) = NULL; ;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8913 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8918 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8923 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8928 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8933 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8938 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8943 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8948 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8953 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8959 "gram.y"
    {;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8960 "gram.y"
    {;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8963 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8964 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8965 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8972 "gram.y"
    { (yyval.list) = list_make1(NIL); ;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8973 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); ;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8974 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8975 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8979 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8980 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8984 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8988 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8989 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); ;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8993 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 9002 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 9014 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); ;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 9015 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 9016 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); ;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 9017 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); ;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 9021 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 9022 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); ;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 9027 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 9029 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 9039 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); ;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 9044 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 9047 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 9051 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 9053 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 9060 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 9070 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); ;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 9071 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 9072 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); ;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 9080 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 9084 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 9085 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 9088 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 9089 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 9094 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 9095 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 9099 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 9100 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 9104 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 9105 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 9109 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 9110 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 9114 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 9115 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 9120 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 9128 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 9139 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 9145 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 9151 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 9169 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 9173 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 9174 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 9185 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 9189 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 9194 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 9201 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 9209 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 9216 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 9226 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 9236 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 9264 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 9271 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 9275 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 9301 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 9305 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 9317 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 9330 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 9344 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 9355 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9370 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9376 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9381 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9387 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9393 "gram.y"
    { (yyval.jtype) = JOIN_FULL; ;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9394 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; ;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9395 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9396 "gram.y"
    { (yyval.jtype) = JOIN_INNER; ;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9400 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9401 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9413 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); ;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9414 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9420 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9427 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9434 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9441 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9451 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9452 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9466 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9470 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9477 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9486 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9491 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9492 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9497 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9499 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9506 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9511 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9512 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9517 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9521 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9527 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9556 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9561 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9568 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9573 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9579 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9584 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9593 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); ;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9595 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); ;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9597 "gram.y"
    {  (yyval.list) = NIL; ;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9601 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9602 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9603 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9604 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9605 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9607 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9612 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9641 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9642 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9643 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9644 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9656 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9662 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9669 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9670 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9677 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9682 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9687 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9692 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9697 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9702 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9707 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9712 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9718 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9724 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9730 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9737 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9758 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9768 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9772 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9780 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9784 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9792 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9804 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9825 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9829 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9835 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9839 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9852 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9871 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9894 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9896 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9898 "gram.y"
    { (yyval.str) = "varchar"; ;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9900 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9902 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9904 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9908 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9909 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9913 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9914 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9922 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9931 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9939 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9948 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9959 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9966 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9967 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9968 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9973 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9975 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); ;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9977 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); ;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9979 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9981 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); ;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9983 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9985 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9990 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9995 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 10001 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 10009 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 10014 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 10021 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 10027 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 10032 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 10036 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 10065 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 10067 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 10069 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 10077 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 10099 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 10101 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 10103 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 10105 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 10107 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10109 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10111 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10113 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10115 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10117 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10119 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10122 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10124 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10126 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10129 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10131 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10133 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10138 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10151 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10153 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10166 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10168 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10181 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10183 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10197 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10210 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10223 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10236 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10259 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10266 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10273 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10280 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10287 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10291 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10298 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10305 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10312 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10319 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10326 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10333 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10337 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10345 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10349 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10359 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10366 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10373 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10386 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10399 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10418 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10439 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10449 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10456 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10472 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10477 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10495 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10497 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10499 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10501 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10503 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10505 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10507 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10509 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10511 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10513 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10515 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10517 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10519 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10521 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10523 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10525 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10527 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10531 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10536 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10540 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10544 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10549 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10565 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10566 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10568 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10583 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10595 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10597 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10599 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10609 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10619 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10629 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10637 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10655 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10668 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10681 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10694 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10707 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10720 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10737 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10750 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10773 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10794 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10804 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10817 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 10834 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 10847 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10857 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10870 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10880 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10893 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10906 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 10919 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 10932 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 10945 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 10958 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 10971 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); ;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 10973 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 10986 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 11004 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 11018 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 11034 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 11056 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 11072 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 11085 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 11098 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 11111 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 11115 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 11122 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 11130 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 11138 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 11142 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 11146 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 11150 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 11154 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 11158 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 11173 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 11177 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 11186 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 11190 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 11194 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 11199 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 11213 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 11215 "gram.y"
    { (yyval.node) = makeNullAConst(-1); ;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 11219 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); ;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 11221 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); ;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 11223 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); ;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 11225 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); ;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 11228 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 11231 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 11232 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 11236 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 11244 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 11253 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; ;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 11254 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; ;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 11257 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 11258 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 11259 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 11265 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 11269 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 11273 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 11277 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 11287 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 11288 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 11292 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); ;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 11294 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); ;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 11299 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 11307 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); ;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 11309 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 11322 "gram.y"
    { (yyval.windef) = NULL; ;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 11327 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 11352 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 11353 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 11356 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 11357 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 11369 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 11387 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 11393 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 11403 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 11420 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 11465 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 11473 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 11481 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 11489 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 11497 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 11517 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 11518 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 11519 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); ;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 11522 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 11523 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 11524 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; ;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 11527 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 11528 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 11531 "gram.y"
    { (yyval.str) = "+"; ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 11532 "gram.y"
    { (yyval.str) = "-"; ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 11533 "gram.y"
    { (yyval.str) = "*"; ;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 11534 "gram.y"
    { (yyval.str) = "/"; ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 11535 "gram.y"
    { (yyval.str) = "%"; ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 11536 "gram.y"
    { (yyval.str) = "^"; ;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 11537 "gram.y"
    { (yyval.str) = "<"; ;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 11538 "gram.y"
    { (yyval.str) = ">"; ;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 11539 "gram.y"
    { (yyval.str) = "="; ;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 11543 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 11545 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 11550 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 11552 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 11557 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 11559 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 11561 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); ;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 11563 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); ;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 11565 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); ;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 11567 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); ;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 11579 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 11583 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 11590 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 11594 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 11600 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 11604 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 11614 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); ;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 11615 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); ;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 11619 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 11623 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 11627 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 11632 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 11633 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 11639 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 11642 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 11649 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 11650 "gram.y"
    { (yyval.str) = "year"; ;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 11651 "gram.y"
    { (yyval.str) = "month"; ;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 11652 "gram.y"
    { (yyval.str) = "day"; ;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 11653 "gram.y"
    { (yyval.str) = "hour"; ;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 11654 "gram.y"
    { (yyval.str) = "minute"; ;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 11655 "gram.y"
    { (yyval.str) = "second"; ;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 11656 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 11667 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 11671 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 11678 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 11684 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 11685 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 11702 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 11706 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 11711 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 11715 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 11730 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 11734 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 11738 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 11741 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 11744 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 11745 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 11746 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 11750 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 11756 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); ;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 11767 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 11780 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 11781 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 11786 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 11796 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 11797 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 11800 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 11801 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 11805 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 11809 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 11816 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 11820 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 11824 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 11831 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 11840 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 11841 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 11845 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 11846 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 11861 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 11863 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 11871 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 11872 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 11880 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 11891 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 11892 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 11896 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 11912 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 11920 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 11928 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 11949 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 11950 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 11962 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 11966 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 11993 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 11995 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 11999 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 12002 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 12005 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 12007 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 12009 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 12011 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 12022 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 12024 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 12035 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 12039 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 12043 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 12047 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 12051 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 12060 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 12067 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 12092 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 12096 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 12102 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 12119 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 12123 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 12127 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 12132 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 12133 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 12134 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 12136 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 12137 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 12138 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 12154 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 12155 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 12156 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 12161 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 12162 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 12163 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 12169 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 12170 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 12171 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 12172 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 12173 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;



/* Line 1455 of yacc.c  */
#line 37254 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 12653 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

