
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = mm_strdup("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, mm_strdup("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 536 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BARRIER = 372,
     BEFORE = 373,
     BEGIN_P = 374,
     BETWEEN = 375,
     BIGINT = 376,
     BINARY = 377,
     BIT = 378,
     BOOLEAN_P = 379,
     BOTH = 380,
     BY = 381,
     CACHE = 382,
     CALLED = 383,
     CASCADE = 384,
     CASCADED = 385,
     CASE = 386,
     CAST = 387,
     CATALOG_P = 388,
     CHAIN = 389,
     CHAR_P = 390,
     CHARACTER = 391,
     CHARACTERISTICS = 392,
     CHECK = 393,
     CHECKPOINT = 394,
     CLASS = 395,
     CLEAN = 396,
     CLOSE = 397,
     CLUSTER = 398,
     COALESCE = 399,
     COLLATE = 400,
     COLLATION = 401,
     COLUMN = 402,
     COMMENT = 403,
     COMMENTS = 404,
     COMMIT = 405,
     COMMITTED = 406,
     CONCURRENTLY = 407,
     CONFIGURATION = 408,
     CONNECTION = 409,
     CONSTRAINT = 410,
     CONSTRAINTS = 411,
     CONTENT_P = 412,
     CONTINUE_P = 413,
     CONVERSION_P = 414,
     COORDINATOR = 415,
     COPY = 416,
     COST = 417,
     CREATE = 418,
     CROSS = 419,
     CSV = 420,
     CURRENT_P = 421,
     CURRENT_CATALOG = 422,
     CURRENT_DATE = 423,
     CURRENT_ROLE = 424,
     CURRENT_SCHEMA = 425,
     CURRENT_TIME = 426,
     CURRENT_TIMESTAMP = 427,
     CURRENT_USER = 428,
     CURSOR = 429,
     CYCLE = 430,
     DATA_P = 431,
     DATABASE = 432,
     DAY_P = 433,
     DEALLOCATE = 434,
     DEC = 435,
     DECIMAL_P = 436,
     DECLARE = 437,
     DEFAULT = 438,
     DEFAULTS = 439,
     DEFERRABLE = 440,
     DEFERRED = 441,
     DEFINER = 442,
     DELETE_P = 443,
     DELIMITER = 444,
     DELIMITERS = 445,
     DESC = 446,
     DICTIONARY = 447,
     DIRECT = 448,
     DISABLE_P = 449,
     DISCARD = 450,
     DISTINCT = 451,
     DISTRIBUTE = 452,
     DO = 453,
     DOCUMENT_P = 454,
     DOMAIN_P = 455,
     DOUBLE_P = 456,
     DROP = 457,
     EACH = 458,
     ELSE = 459,
     ENABLE_P = 460,
     ENCODING = 461,
     ENCRYPTED = 462,
     END_P = 463,
     ENUM_P = 464,
     ESCAPE = 465,
     EXCEPT = 466,
     EXCLUDE = 467,
     EXCLUDING = 468,
     EXCLUSIVE = 469,
     EXECUTE = 470,
     EXISTS = 471,
     EXPLAIN = 472,
     EXTENSION = 473,
     EXTERNAL = 474,
     EXTRACT = 475,
     FALSE_P = 476,
     FAMILY = 477,
     FETCH = 478,
     FIRST_P = 479,
     FLOAT_P = 480,
     FOLLOWING = 481,
     FOR = 482,
     FORCE = 483,
     FOREIGN = 484,
     FORWARD = 485,
     FREEZE = 486,
     FROM = 487,
     FULL = 488,
     FUNCTION = 489,
     FUNCTIONS = 490,
     GLOBAL = 491,
     GRANT = 492,
     GRANTED = 493,
     GREATEST = 494,
     GROUP_P = 495,
     HANDLER = 496,
     HASH = 497,
     HAVING = 498,
     HEADER_P = 499,
     HOLD = 500,
     HOUR_P = 501,
     IDENTITY_P = 502,
     IF_P = 503,
     ILIKE = 504,
     IMMEDIATE = 505,
     IMMUTABLE = 506,
     IMPLICIT_P = 507,
     IN_P = 508,
     INCLUDING = 509,
     INCREMENT = 510,
     INDEX = 511,
     INDEXES = 512,
     INHERIT = 513,
     INHERITS = 514,
     INITIALLY = 515,
     INLINE_P = 516,
     INNER_P = 517,
     INOUT = 518,
     INPUT_P = 519,
     INSENSITIVE = 520,
     INSERT = 521,
     INSTEAD = 522,
     INT_P = 523,
     INTEGER = 524,
     INTERSECT = 525,
     INTERVAL = 526,
     INTO = 527,
     INVOKER = 528,
     IS = 529,
     ISNULL = 530,
     ISOLATION = 531,
     JOIN = 532,
     KEY = 533,
     LABEL = 534,
     LANGUAGE = 535,
     LARGE_P = 536,
     LAST_P = 537,
     LC_COLLATE_P = 538,
     LC_CTYPE_P = 539,
     LEADING = 540,
     LEAST = 541,
     LEFT = 542,
     LEVEL = 543,
     LIKE = 544,
     LIMIT = 545,
     LISTEN = 546,
     LOAD = 547,
     LOCAL = 548,
     LOCALTIME = 549,
     LOCALTIMESTAMP = 550,
     LOCATION = 551,
     LOCK_P = 552,
     MAPPING = 553,
     MATCH = 554,
     MAXVALUE = 555,
     MINUTE_P = 556,
     MINVALUE = 557,
     MODE = 558,
     MODULO = 559,
     MONTH_P = 560,
     MOVE = 561,
     NAME_P = 562,
     NAMES = 563,
     NATIONAL = 564,
     NATURAL = 565,
     NCHAR = 566,
     NEXT = 567,
     NO = 568,
     NODE = 569,
     NONE = 570,
     NOT = 571,
     NOTHING = 572,
     NOTIFY = 573,
     NOTNULL = 574,
     NOWAIT = 575,
     NULL_P = 576,
     NULLIF = 577,
     NULLS_P = 578,
     NUMERIC = 579,
     OBJECT_P = 580,
     OF = 581,
     OFF = 582,
     OFFSET = 583,
     OIDS = 584,
     ON = 585,
     ONLY = 586,
     OPERATOR = 587,
     OPTION = 588,
     OPTIONS = 589,
     OR = 590,
     ORDER = 591,
     OUT_P = 592,
     OUTER_P = 593,
     OVER = 594,
     OVERLAPS = 595,
     OVERLAY = 596,
     OWNED = 597,
     OWNER = 598,
     PARSER = 599,
     PARTIAL = 600,
     PARTITION = 601,
     PASSING = 602,
     PASSWORD = 603,
     PLACING = 604,
     PLANS = 605,
     POSITION = 606,
     PRECEDING = 607,
     PRECISION = 608,
     PREFERRED = 609,
     PRESERVE = 610,
     PREPARE = 611,
     PREPARED = 612,
     PRIMARY = 613,
     PRIOR = 614,
     PRIVILEGES = 615,
     PROCEDURAL = 616,
     PROCEDURE = 617,
     QUOTE = 618,
     RANGE = 619,
     READ = 620,
     REAL = 621,
     REASSIGN = 622,
     RECHECK = 623,
     RECURSIVE = 624,
     REF = 625,
     REFERENCES = 626,
     REINDEX = 627,
     RELATIVE_P = 628,
     RELEASE = 629,
     RENAME = 630,
     REPEATABLE = 631,
     REPLACE = 632,
     REPLICA = 633,
     REPLICATION = 634,
     RESET = 635,
     RESTART = 636,
     RESTRICT = 637,
     RETURNING = 638,
     RETURNS = 639,
     REVOKE = 640,
     RIGHT = 641,
     ROBIN = 642,
     ROLE = 643,
     ROLLBACK = 644,
     ROUND = 645,
     ROW = 646,
     ROWS = 647,
     RULE = 648,
     SAVEPOINT = 649,
     SCHEMA = 650,
     SCROLL = 651,
     SEARCH = 652,
     SECOND_P = 653,
     SECURITY = 654,
     SELECT = 655,
     SEQUENCE = 656,
     SEQUENCES = 657,
     SERIALIZABLE = 658,
     SERVER = 659,
     SESSION = 660,
     SESSION_USER = 661,
     SET = 662,
     SETOF = 663,
     SHARE = 664,
     SHOW = 665,
     SIMILAR = 666,
     SIMPLE = 667,
     SMALLINT = 668,
     SOME = 669,
     STABLE = 670,
     STANDALONE_P = 671,
     START = 672,
     STATEMENT = 673,
     STATISTICS = 674,
     STDIN = 675,
     STDOUT = 676,
     STORAGE = 677,
     STRICT_P = 678,
     STRIP_P = 679,
     SUBSTRING = 680,
     SYMMETRIC = 681,
     SYSID = 682,
     SYSTEM_P = 683,
     TABLE = 684,
     TABLES = 685,
     TABLESPACE = 686,
     TEMP = 687,
     TEMPLATE = 688,
     TEMPORARY = 689,
     TEXT_P = 690,
     THEN = 691,
     TIME = 692,
     TIMESTAMP = 693,
     TO = 694,
     TRAILING = 695,
     TRANSACTION = 696,
     TREAT = 697,
     TRIGGER = 698,
     TRIM = 699,
     TRUE_P = 700,
     TRUNCATE = 701,
     TRUSTED = 702,
     TYPE_P = 703,
     UNBOUNDED = 704,
     UNCOMMITTED = 705,
     UNENCRYPTED = 706,
     UNION = 707,
     UNIQUE = 708,
     UNKNOWN = 709,
     UNLISTEN = 710,
     UNLOGGED = 711,
     UNTIL = 712,
     UPDATE = 713,
     USER = 714,
     USING = 715,
     VACUUM = 716,
     VALID = 717,
     VALIDATE = 718,
     VALIDATOR = 719,
     VALUE_P = 720,
     VALUES = 721,
     VARCHAR = 722,
     VARIADIC = 723,
     VARYING = 724,
     VERBOSE = 725,
     VERSION_P = 726,
     VIEW = 727,
     VOLATILE = 728,
     WHEN = 729,
     WHERE = 730,
     WHITESPACE_P = 731,
     WINDOW = 732,
     WITH = 733,
     WITHOUT = 734,
     WORK = 735,
     WRAPPER = 736,
     WRITE = 737,
     XML_P = 738,
     XMLATTRIBUTES = 739,
     XMLCONCAT = 740,
     XMLELEMENT = 741,
     XMLEXISTS = 742,
     XMLFOREST = 743,
     XMLPARSE = 744,
     XMLPI = 745,
     XMLROOT = 746,
     XMLSERIALIZE = 747,
     YEAR_P = 748,
     YES_P = 749,
     ZONE = 750,
     NULLS_FIRST = 751,
     NULLS_LAST = 752,
     WITH_TIME = 753,
     POSTFIXOP = 754,
     UMINUS = 755
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 463 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1089 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1114 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102418

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  520
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  704
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2741
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4925

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   755

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   507,     2,     2,
     512,   513,   505,   503,   515,   504,   514,   506,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   517,   516,
     500,   499,   501,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   510,     2,   511,   508,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   518,     2,   519,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   502,   509
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   273,   275,   277,
     279,   280,   286,   288,   289,   292,   293,   296,   297,   300,
     303,   307,   311,   313,   317,   321,   324,   326,   328,   330,
     333,   336,   339,   343,   347,   353,   359,   360,   364,   370,
     376,   381,   385,   391,   395,   401,   407,   414,   416,   418,
     422,   428,   435,   440,   442,   443,   446,   447,   449,   451,
     453,   455,   457,   459,   462,   466,   470,   474,   478,   482,
     486,   490,   494,   497,   503,   506,   509,   512,   515,   519,
     523,   527,   529,   533,   535,   539,   541,   543,   546,   549,
     552,   554,   556,   558,   560,   562,   564,   566,   570,   577,
     579,   581,   583,   585,   587,   588,   590,   592,   595,   599,
     604,   608,   611,   614,   616,   620,   625,   631,   636,   639,
     644,   646,   648,   650,   652,   654,   657,   660,   663,   666,
     671,   676,   681,   686,   688,   692,   695,   699,   704,   711,
     718,   725,   731,   737,   744,   751,   756,   765,   768,   772,
     779,   784,   788,   792,   796,   800,   804,   809,   814,   818,
     822,   826,   830,   834,   838,   843,   848,   852,   855,   859,
     862,   865,   869,   873,   876,   879,   881,   885,   888,   890,
     892,   893,   896,   897,   900,   901,   905,   908,   909,   911,
     915,   919,   921,   927,   931,   936,   938,   942,   947,   954,
     959,   968,   971,   974,   985,   992,   994,   996,   998,  1000,
    1002,  1004,  1008,  1011,  1012,  1014,  1016,  1020,  1024,  1026,
    1028,  1032,  1036,  1040,  1044,  1049,  1052,  1054,  1055,  1058,
    1059,  1063,  1064,  1066,  1067,  1069,  1073,  1076,  1078,  1080,
    1082,  1086,  1087,  1089,  1093,  1095,  1109,  1126,  1139,  1155,
    1157,  1159,  1162,  1165,  1168,  1171,  1173,  1174,  1176,  1177,
    1181,  1182,  1184,  1188,  1190,  1194,  1196,  1198,  1200,  1202,
    1204,  1208,  1213,  1216,  1217,  1221,  1223,  1225,  1228,  1231,
    1233,  1237,  1242,  1247,  1250,  1256,  1258,  1261,  1264,  1267,
    1271,  1275,  1279,  1280,  1282,  1284,  1286,  1288,  1290,  1292,
    1296,  1298,  1304,  1312,  1316,  1325,  1330,  1340,  1352,  1356,
    1357,  1359,  1363,  1365,  1368,  1371,  1374,  1375,  1377,  1381,
    1385,  1392,  1397,  1398,  1400,  1402,  1405,  1408,  1409,  1413,
    1417,  1420,  1422,  1424,  1427,  1430,  1435,  1436,  1439,  1442,
    1445,  1446,  1450,  1455,  1460,  1461,  1464,  1465,  1468,  1472,
    1477,  1484,  1488,  1493,  1494,  1498,  1502,  1503,  1508,  1509,
    1513,  1521,  1525,  1526,  1528,  1532,  1534,  1537,  1541,  1542,
    1548,  1553,  1555,  1556,  1558,  1561,  1564,  1566,  1569,  1573,
    1576,  1579,  1582,  1585,  1589,  1593,  1595,  1599,  1601,  1602,
    1604,  1607,  1609,  1611,  1615,  1622,  1633,  1635,  1636,  1638,
    1641,  1644,  1645,  1648,  1651,  1653,  1654,  1660,  1668,  1670,
    1671,  1678,  1681,  1682,  1686,  1692,  1698,  1707,  1710,  1711,
    1714,  1717,  1720,  1726,  1729,  1730,  1733,  1741,  1752,  1759,
    1766,  1773,  1780,  1788,  1796,  1806,  1816,  1823,  1830,  1839,
    1848,  1857,  1866,  1873,  1880,  1888,  1897,  1904,  1911,  1919,
    1922,  1925,  1928,  1931,  1933,  1936,  1938,  1939,  1946,  1955,
    1963,  1970,  1975,  1976,  1978,  1982,  1987,  1989,  1993,  1995,
    1998,  2001,  2004,  2007,  2009,  2011,  2022,  2025,  2026,  2029,
    2032,  2034,  2035,  2040,  2047,  2053,  2058,  2063,  2072,  2084,
    2088,  2091,  2093,  2097,  2099,  2105,  2114,  2116,  2118,  2120,
    2128,  2138,  2147,  2163,  2184,  2186,  2188,  2191,  2193,  2197,
    2199,  2201,  2203,  2207,  2209,  2213,  2214,  2216,  2217,  2219,
    2221,  2226,  2227,  2229,  2233,  2234,  2236,  2238,  2240,  2242,
    2245,  2246,  2247,  2250,  2253,  2255,  2258,  2261,  2264,  2271,
    2280,  2289,  2294,  2300,  2305,  2310,  2315,  2319,  2327,  2336,
    2343,  2350,  2357,  2364,  2369,  2375,  2379,  2381,  2385,  2389,
    2391,  2393,  2395,  2397,  2399,  2401,  2405,  2409,  2413,  2415,
    2419,  2423,  2425,  2426,  2428,  2432,  2439,  2448,  2457,  2471,
    2473,  2477,  2483,  2490,  2495,  2503,  2506,  2508,  2509,  2512,
    2513,  2516,  2521,  2522,  2524,  2525,  2532,  2541,  2550,  2552,
    2556,  2562,  2568,  2576,  2586,  2594,  2604,  2610,  2617,  2624,
    2629,  2631,  2633,  2635,  2637,  2640,  2642,  2644,  2646,  2648,
    2650,  2652,  2656,  2660,  2664,  2668,  2670,  2674,  2676,  2679,
    2682,  2686,  2692,  2695,  2698,  2699,  2706,  2714,  2722,  2730,
    2739,  2748,  2755,  2764,  2774,  2784,  2792,  2803,  2811,  2820,
    2829,  2838,  2847,  2849,  2851,  2853,  2855,  2857,  2859,  2861,
    2863,  2865,  2867,  2869,  2871,  2873,  2875,  2878,  2880,  2884,
    2886,  2888,  2897,  2907,  2917,  2927,  2937,  2940,  2941,  2943,
    2946,  2948,  2950,  2952,  2954,  2956,  2958,  2960,  2962,  2965,
    2968,  2972,  2977,  2983,  2988,  2994,  2998,  3003,  3007,  3012,
    3014,  3017,  3021,  3025,  3029,  3033,  3038,  3043,  3047,  3051,
    3056,  3061,  3066,  3071,  3073,  3075,  3077,  3078,  3086,  3094,
    3105,  3107,  3109,  3112,  3117,  3123,  3125,  3129,  3132,  3135,
    3138,  3141,  3143,  3146,  3149,  3154,  3158,  3161,  3164,  3167,
    3171,  3174,  3177,  3183,  3189,  3195,  3197,  3201,  3203,  3206,
    3210,  3211,  3213,  3217,  3220,  3227,  3234,  3244,  3248,  3249,
    3253,  3254,  3260,  3263,  3264,  3268,  3272,  3276,  3284,  3292,
    3303,  3305,  3307,  3309,  3324,  3326,  3327,  3329,  3330,  3332,
    3333,  3336,  3337,  3339,  3343,  3349,  3355,  3363,  3366,  3367,
    3369,  3372,  3373,  3375,  3377,  3378,  3380,  3382,  3383,  3393,
    3406,  3414,  3417,  3418,  3422,  3425,  3427,  3431,  3435,  3438,
    3440,  3444,  3448,  3452,  3455,  3458,  3460,  3462,  3464,  3466,
    3469,  3471,  3473,  3475,  3477,  3482,  3488,  3490,  3494,  3498,
    3500,  3503,  3508,  3514,  3516,  3518,  3520,  3522,  3526,  3530,
    3533,  3536,  3539,  3542,  3544,  3547,  3550,  3552,  3554,  3556,
    3560,  3563,  3564,  3567,  3569,  3573,  3579,  3581,  3584,  3586,
    3587,  3593,  3601,  3607,  3615,  3621,  3629,  3633,  3639,  3645,
    3651,  3653,  3657,  3660,  3662,  3665,  3667,  3670,  3682,  3693,
    3704,  3707,  3710,  3711,  3721,  3724,  3725,  3730,  3735,  3740,
    3742,  3744,  3746,  3747,  3755,  3762,  3769,  3776,  3783,  3790,
    3798,  3808,  3818,  3825,  3832,  3839,  3846,  3853,  3861,  3870,
    3880,  3889,  3896,  3903,  3910,  3916,  3922,  3931,  3940,  3949,
    3958,  3965,  3975,  3977,  3978,  3981,  3982,  3990,  3997,  4004,
    4011,  4018,  4025,  4033,  4043,  4053,  4060,  4069,  4078,  4087,
    4096,  4103,  4110,  4118,  4125,  4133,  4140,  4147,  4154,  4161,
    4168,  4176,  4184,  4192,  4202,  4212,  4219,  4226,  4233,  4242,
    4251,  4260,  4267,  4281,  4283,  4285,  4289,  4293,  4295,  4297,
    4299,  4301,  4303,  4305,  4307,  4308,  4310,  4312,  4314,  4316,
    4318,  4320,  4321,  4328,  4337,  4341,  4344,  4345,  4348,  4351,
    4354,  4357,  4361,  4365,  4368,  4371,  4374,  4377,  4381,  4384,
    4390,  4395,  4399,  4403,  4407,  4409,  4411,  4412,  4416,  4419,
    4422,  4424,  4427,  4429,  4433,  4436,  4438,  4439,  4448,  4459,
    4463,  4468,  4473,  4474,  4477,  4483,  4486,  4487,  4491,  4495,
    4499,  4503,  4507,  4511,  4515,  4519,  4523,  4527,  4531,  4535,
    4539,  4544,  4548,  4552,  4554,  4555,  4561,  4568,  4573,  4576,
    4577,  4582,  4586,  4592,  4599,  4604,  4611,  4618,  4624,  4632,
    4634,  4635,  4642,  4654,  4666,  4678,  4692,  4702,  4714,  4725,
    4730,  4733,  4739,  4742,  4743,  4748,  4754,  4760,  4765,  4772,
    4774,  4778,  4780,  4782,  4784,  4786,  4789,  4794,  4796,  4798,
    4800,  4801,  4803,  4804,  4806,  4807,  4811,  4812,  4816,  4818,
    4819,  4824,  4826,  4828,  4832,  4834,  4839,  4843,  4850,  4855,
    4858,  4863,  4867,  4873,  4875,  4877,  4879,  4881,  4883,  4885,
    4887,  4889,  4893,  4896,  4898,  4900,  4902,  4904,  4906,  4907,
    4913,  4915,  4923,  4931,  4939,  4943,  4946,  4947,  4951,  4954,
    4955,  4961,  4966,  4970,  4971,  4973,  4975,  4977,  4979,  4984,
    4993,  4997,  4998,  5005,  5007,  5012,  5015,  5017,  5021,  5024,
    5028,  5029,  5037,  5040,  5041,  5047,  5051,  5052,  5055,  5058,
    5061,  5065,  5067,  5071,  5073,  5076,  5078,  5079,  5088,  5090,
    5094,  5096,  5098,  5102,  5108,  5111,  5113,  5117,  5125,  5127,
    5129,  5130,  5134,  5137,  5140,  5143,  5144,  5147,  5150,  5152,
    5154,  5158,  5162,  5164,  5167,  5172,  5177,  5180,  5184,  5190,
    5196,  5198,  5200,  5210,  5212,  5215,  5220,  5225,  5230,  5233,
    5237,  5239,  5243,  5250,  5252,  5253,  5256,  5258,  5259,  5263,
    5267,  5272,  5277,  5282,  5287,  5291,  5294,  5296,  5298,  5299,
    5301,  5303,  5304,  5306,  5312,  5314,  5315,  5317,  5318,  5322,
    5324,  5328,  5333,  5337,  5340,  5343,  5345,  5347,  5349,  5350,
    5353,  5358,  5364,  5367,  5371,  5373,  5375,  5377,  5379,  5383,
    5384,  5386,  5388,  5390,  5392,  5394,  5398,  5399,  5402,  5403,
    5405,  5409,  5411,  5412,  5414,  5417,  5422,  5427,  5430,  5431,
    5434,  5438,  5441,  5442,  5444,  5448,  5450,  5453,  5455,  5458,
    5464,  5471,  5477,  5479,  5482,  5484,  5489,  5493,  5498,  5504,
    5509,  5515,  5520,  5526,  5529,  5534,  5536,  5539,  5542,  5545,
    5547,  5549,  5550,  5555,  5558,  5560,  5563,  5566,  5571,  5573,
    5577,  5579,  5582,  5586,  5588,  5591,  5592,  5595,  5600,  5601,
    5603,  5604,  5606,  5610,  5614,  5617,  5621,  5627,  5634,  5637,
    5641,  5645,  5650,  5651,  5653,  5655,  5657,  5659,  5661,  5664,
    5670,  5672,  5674,  5676,  5678,  5681,  5685,  5689,  5690,  5692,
    5694,  5696,  5698,  5700,  5703,  5706,  5709,  5712,  5715,  5717,
    5721,  5722,  5724,  5726,  5728,  5730,  5736,  5739,  5741,  5743,
    5745,  5747,  5753,  5756,  5759,  5762,  5764,  5768,  5772,  5775,
    5777,  5778,  5782,  5783,  5789,  5792,  5798,  5801,  5803,  5806,
    5810,  5811,  5813,  5815,  5817,  5819,  5821,  5823,  5827,  5831,
    5835,  5839,  5843,  5847,  5851,  5852,  5854,  5859,  5861,  5865,
    5869,  5875,  5878,  5881,  5885,  5889,  5893,  5897,  5901,  5905,
    5909,  5913,  5917,  5921,  5924,  5927,  5931,  5935,  5938,  5942,
    5948,  5953,  5960,  5964,  5970,  5975,  5982,  5987,  5994,  6000,
    6008,  6012,  6015,  6020,  6023,  6027,  6031,  6036,  6040,  6045,
    6049,  6054,  6060,  6067,  6074,  6082,  6089,  6097,  6104,  6112,
    6116,  6121,  6126,  6133,  6136,  6140,  6145,  6147,  6151,  6154,
    6157,  6161,  6165,  6169,  6173,  6177,  6181,  6185,  6189,  6193,
    6197,  6200,  6203,  6209,  6216,  6223,  6231,  6235,  6240,  6242,
    6244,  6247,  6252,  6254,  6256,  6258,  6261,  6264,  6267,  6269,
    6274,  6280,  6287,  6296,  6303,  6311,  6319,  6325,  6327,  6329,
    6334,  6336,  6341,  6343,  6348,  6350,  6355,  6357,  6359,  6361,
    6363,  6365,  6367,  6374,  6379,  6384,  6389,  6394,  6401,  6407,
    6413,  6419,  6424,  6431,  6436,  6441,  6446,  6451,  6457,  6465,
    6473,  6483,  6489,  6494,  6501,  6507,  6515,  6523,  6531,  6534,
    6538,  6542,  6546,  6551,  6552,  6557,  6559,  6563,  6567,  6569,
    6571,  6573,  6576,  6579,  6580,  6583,  6588,  6593,  6600,  6603,
    6604,  6606,  6610,  6614,  6617,  6620,  6621,  6628,  6630,  6631,
    6635,  6636,  6639,  6642,  6643,  6645,  6650,  6653,  6656,  6659,
    6662,  6665,  6670,  6674,  6680,  6682,  6684,  6686,  6688,  6690,
    6692,  6694,  6696,  6698,  6700,  6702,  6704,  6706,  6708,  6710,
    6715,  6717,  6722,  6724,  6729,  6731,  6734,  6736,  6739,  6741,
    6745,  6747,  6751,  6753,  6757,  6759,  6763,  6767,  6771,  6774,
    6776,  6780,  6784,  6785,  6787,  6789,  6791,  6793,  6795,  6797,
    6799,  6801,  6806,  6810,  6813,  6817,  6818,  6822,  6826,  6829,
    6832,  6834,  6835,  6838,  6841,  6845,  6848,  6850,  6852,  6856,
    6862,  6864,  6867,  6872,  6875,  6876,  6878,  6879,  6881,  6884,
    6887,  6890,  6894,  6900,  6902,  6905,  6906,  6909,  6911,  6912,
    6914,  6916,  6918,  6922,  6926,  6928,  6932,  6936,  6939,  6941,
    6943,  6945,  6949,  6951,  6954,  6956,  6960,  6962,  6964,  6966,
    6968,  6970,  6972,  6974,  6977,  6979,  6981,  6983,  6985,  6987,
    6990,  6996,  6999,  7003,  7010,  7012,  7014,  7016,  7018,  7020,
    7022,  7024,  7026,  7028,  7031,  7034,  7036,  7038,  7040,  7042,
    7044,  7046,  7048,  7050,  7052,  7054,  7056,  7058,  7060,  7062,
    7064,  7066,  7068,  7070,  7072,  7074,  7076,  7078,  7080,  7082,
    7084,  7086,  7088,  7090,  7092,  7094,  7096,  7098,  7100,  7102,
    7104,  7106,  7108,  7110,  7112,  7114,  7116,  7118,  7120,  7122,
    7124,  7126,  7128,  7130,  7132,  7134,  7136,  7138,  7140,  7142,
    7144,  7146,  7148,  7150,  7152,  7154,  7156,  7158,  7160,  7162,
    7164,  7166,  7168,  7170,  7172,  7174,  7176,  7178,  7180,  7182,
    7184,  7186,  7188,  7190,  7192,  7194,  7196,  7198,  7200,  7202,
    7204,  7206,  7208,  7210,  7212,  7214,  7216,  7218,  7220,  7222,
    7224,  7226,  7228,  7230,  7232,  7234,  7236,  7238,  7240,  7242,
    7244,  7246,  7248,  7250,  7252,  7254,  7256,  7258,  7260,  7262,
    7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,  7282,
    7284,  7286,  7288,  7290,  7292,  7294,  7296,  7298,  7300,  7302,
    7304,  7306,  7308,  7310,  7312,  7314,  7316,  7318,  7320,  7322,
    7324,  7326,  7328,  7330,  7332,  7334,  7336,  7338,  7340,  7342,
    7344,  7346,  7348,  7350,  7352,  7354,  7356,  7358,  7360,  7362,
    7364,  7366,  7368,  7370,  7372,  7374,  7376,  7378,  7380,  7382,
    7384,  7386,  7388,  7390,  7392,  7394,  7396,  7398,  7400,  7402,
    7404,  7406,  7408,  7410,  7412,  7414,  7416,  7418,  7420,  7422,
    7424,  7426,  7428,  7430,  7432,  7434,  7436,  7438,  7440,  7442,
    7444,  7446,  7448,  7450,  7452,  7454,  7456,  7458,  7460,  7462,
    7464,  7466,  7468,  7470,  7472,  7474,  7476,  7478,  7480,  7482,
    7484,  7486,  7488,  7490,  7492,  7494,  7496,  7498,  7500,  7502,
    7504,  7506,  7508,  7510,  7512,  7514,  7516,  7518,  7520,  7522,
    7524,  7526,  7528,  7530,  7532,  7534,  7536,  7538,  7540,  7542,
    7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,  7562,
    7564,  7566,  7568,  7570,  7572,  7574,  7576,  7578,  7580,  7582,
    7584,  7586,  7588,  7590,  7592,  7594,  7596,  7598,  7600,  7602,
    7604,  7606,  7608,  7610,  7612,  7614,  7616,  7618,  7620,  7622,
    7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,  7640,  7642,
    7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,  7660,  7662,
    7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,  7680,  7682,
    7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,  7700,  7702,
    7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,  7720,  7722,
    7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,  7740,  7742,
    7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,  7760,  7762,
    7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,  7780,  7782,
    7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,  7800,  7802,
    7804,  7806,  7808,  7810,  7812,  7814,  7816,  7817,  7820,  7825,
    7829,  7832,  7834,  7836,  7838,  7840,  7842,  7843,  7852,  7855,
    7861,  7865,  7868,  7871,  7875,  7883,  7885,  7887,  7889,  7890,
    7893,  7896,  7898,  7899,  7901,  7905,  7907,  7910,  7911,  7914,
    7915,  7918,  7919,  7921,  7925,  7930,  7934,  7936,  7938,  7940,
    7942,  7945,  7946,  7949,  7954,  7955,  7958,  7961,  7964,  7966,
    7968,  7976,  7980,  7982,  7984,  7986,  7988,  7991,  7992,  7994,
    7998,  8002,  8006,  8010,  8011,  8016,  8022,  8028,  8029,  8031,
    8033,  8035,  8038,  8041,  8043,  8046,  8047,  8055,  8056,  8062,
    8063,  8068,  8071,  8074,  8075,  8078,  8080,  8082,  8084,  8086,
    8088,  8090,  8092,  8094,  8096,  8098,  8100,  8106,  8109,  8111,
    8115,  8118,  8121,  8125,  8126,  8132,  8134,  8135,  8141,  8144,
    8147,  8149,  8151,  8153,  8156,  8159,  8163,  8165,  8168,  8171,
    8175,  8179,  8184,  8187,  8189,  8192,  8194,  8196,  8199,  8202,
    8206,  8208,  8210,  8212,  8214,  8215,  8217,  8221,  8227,  8228,
    8231,  8232,  8234,  8237,  8241,  8244,  8246,  8248,  8250,  8251,
    8253,  8255,  8257,  8259,  8261,  8264,  8267,  8271,  8272,  8274,
    8277,  8279,  8284,  8288,  8293,  8297,  8300,  8302,  8306,  8308,
    8310,  8312,  8314,  8317,  8320,  8322,  8325,  8328,  8330,  8332,
    8334,  8339,  8344,  8349,  8354,  8359,  8361,  8362,  8366,  8370,
    8375,  8377,  8381,  8385,  8390,  8392,  8396,  8400,  8402,  8404,
    8406,  8413,  8415,  8419,  8423,  8430,  8432,  8436,  8440,  8442,
    8444,  8447,  8450,  8452,  8454,  8456,  8458,  8460,  8462,  8464,
    8466,  8468,  8470,  8472,  8474,  8476,  8478,  8480,  8482,  8487,
    8492,  8494,  8496,  8501,  8506,  8510,  8511,  8519,  8521,  8522,
    8523,  8531,  8535,  8540,  8544,  8546,  8548,  8550,  8553,  8557,
    8563,  8566,  8572,  8575,  8577,  8579,  8581,  8583,  8585,  8587,
    8589,  8591,  8593,  8595,  8597,  8599,  8601,  8603,  8605,  8607,
    8609,  8611,  8613,  8615,  8617,  8619,  8621,  8623,  8625,  8627,
    8629,  8631,  8633,  8635,  8637,  8639,  8641,  8643,  8645,  8647,
    8649,  8651,  8653,  8655,  8657,  8659,  8661,  8663,  8665,  8667,
    8669,  8671,  8673,  8675,  8677,  8679,  8681,  8683,  8685,  8687,
    8689,  8691,  8693,  8695,  8697,  8699,  8701,  8703,  8705,  8707,
    8709,  8711,  8713,  8715,  8717,  8719,  8721,  8723,  8725,  8727,
    8729,  8731,  8733,  8735,  8737,  8739,  8741,  8743,  8745,  8747,
    8749,  8751,  8753,  8755,  8757,  8759,  8761,  8763,  8765,  8767,
    8769,  8771,  8775,  8777,  8778,  8780,  8783,  8785,  8788,  8790,
    8792,  8794,  8797,  8800,  8802,  8804,  8806,  8808,  8810,  8812,
    8814,  8816,  8818,  8820,  8822,  8824,  8826,  8828,  8830,  8832,
    8835,  8839,  8841,  8844,  8846,  8850,  8852,  8856,  8858,  8860,
    8862,  8864,  8866,  8868,  8870,  8872,  8874,  8876,  8878,  8880,
    8882,  8884,  8886,  8888,  8890,  8892,  8894,  8896,  8898,  8900,
    8902,  8904,  8906,  8908,  8910,  8912,  8914,  8916,  8918,  8920,
    8922,  8924,  8926,  8928,  8930,  8932,  8934,  8936,  8938,  8940,
    8942,  8944,  8946,  8948,  8950,  8952,  8954,  8956,  8958,  8960,
    8962,  8964,  8966,  8968,  8970,  8972,  8974,  8976,  8978,  8981,
    8985,  8988,  8992,  8994,  8998,  9002,  9006,  9010,  9014,  9018,
    9020,  9022,  9023,  9026,  9029,  9031,  9033,  9036,  9038,  9040,
    9042,  9043
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     521,     0,    -1,  1075,    -1,   850,    -1,   851,    -1,   768,
      -1,   856,    -1,   719,    -1,   659,    -1,   662,    -1,   668,
      -1,   682,    -1,   687,    -1,   803,    -1,   538,    -1,   878,
      -1,   824,    -1,   825,    -1,   638,    -1,   563,    -1,   574,
      -1,   532,    -1,   530,    -1,   859,    -1,   858,    -1,   691,
      -1,   534,    -1,   533,    -1,   866,    -1,   872,    -1,   561,
      -1,   890,    -1,   577,    -1,   861,    -1,   742,    -1,   558,
      -1,   578,    -1,  1077,    -1,   706,    -1,   814,    -1,   860,
      -1,   855,    -1,   656,    -1,   663,    -1,   677,    -1,   683,
      -1,   784,    -1,   537,    -1,   880,    -1,   874,    -1,   720,
      -1,   727,    -1,   728,    -1,   645,    -1,   541,    -1,   637,
      -1,   593,    -1,   653,    -1,   692,    -1,   523,    -1,   529,
      -1,   688,    -1,   846,    -1,  1218,    -1,   916,    -1,   708,
      -1,   903,    -1,   562,    -1,   811,    -1,   707,    -1,   816,
      -1,   667,    -1,   681,    -1,   540,    -1,   881,    -1,   879,
      -1,   731,    -1,   732,    -1,   733,    -1,   651,    -1,   833,
      -1,   735,    -1,   655,    -1,   705,    -1,   535,    -1,   536,
      -1,   690,    -1,   854,    -1,   896,    -1,   888,    -1,   882,
      -1,   749,    -1,   753,    -1,   764,    -1,   773,    -1,   898,
      -1,   836,    -1,   845,    -1,   905,    -1,   834,    -1,   893,
      -1,   734,    -1,   818,    -1,   807,    -1,   806,    -1,   808,
      -1,   821,    -1,   754,    -1,   765,    -1,   826,    -1,   745,
      -1,   920,    -1,   838,    -1,   740,    -1,   837,    -1,   909,
      -1,   863,    -1,   555,    -1,   545,    -1,   557,    -1,   843,
      -1,  1154,    -1,  1080,    -1,  1097,    -1,  1155,    -1,  1137,
      -1,  1152,    -1,  1138,    -1,  1098,    -1,  1142,    -1,  1164,
      -1,  1156,    -1,  1143,    -1,  1172,    -1,  1174,    -1,  1167,
      -1,  1159,    -1,  1175,    -1,  1178,    -1,  1180,    -1,    -1,
     163,   388,  1069,   524,   525,    -1,   478,    -1,    -1,   525,
     528,    -1,    -1,   526,   527,    -1,    -1,   348,  1208,    -1,
     348,   321,    -1,   207,   348,  1208,    -1,   451,   348,  1208,
      -1,   258,    -1,   154,   290,  1070,    -1,   462,   457,  1208,
      -1,   459,  1059,    -1,   379,    -1,  1210,    -1,   527,    -1,
     427,  1068,    -1,    96,  1059,    -1,   388,  1059,    -1,   253,
     388,  1059,    -1,   253,   240,  1059,    -1,   163,   459,  1069,
     524,   525,    -1,   101,   388,  1069,   524,   526,    -1,    -1,
     253,   177,  1061,    -1,   101,   388,  1069,   531,   556,    -1,
     101,   459,  1069,   524,   526,    -1,   101,   459,  1069,   556,
      -1,   202,   388,  1059,    -1,   202,   388,   248,   216,  1059,
      -1,   202,   459,  1059,    -1,   202,   459,   248,   216,  1059,
      -1,   163,   240,  1069,   524,   525,    -1,   101,   240,  1069,
     539,   459,  1059,    -1,    95,    -1,   202,    -1,   202,   240,
    1059,    -1,   202,   240,   248,   216,  1059,    -1,   163,   395,
     542,   115,  1069,   543,    -1,   163,   395,  1188,   543,    -1,
    1188,    -1,    -1,   543,   544,    -1,    -1,   593,    -1,   773,
      -1,   637,    -1,   692,    -1,   753,    -1,   843,    -1,   407,
     546,    -1,   407,   293,   546,    -1,   407,   405,   546,    -1,
     547,   439,   548,    -1,   547,   499,   548,    -1,   547,   439,
     183,    -1,   547,   499,   183,    -1,   547,   232,   166,    -1,
     437,   495,   552,    -1,   441,   841,    -1,   405,   137,   108,
     441,   841,    -1,   133,  1208,    -1,   395,  1208,    -1,   308,
     553,    -1,   388,   554,    -1,   405,   115,   554,    -1,   405,
     115,   183,    -1,   483,   333,  1006,    -1,  1187,    -1,   547,
     514,  1188,    -1,   549,    -1,   548,   515,   549,    -1,   551,
      -1,   643,    -1,   365,   450,    -1,   365,   151,    -1,   376,
     365,    -1,   403,    -1,   445,    -1,   221,    -1,   330,    -1,
     554,    -1,  1208,    -1,  1210,    -1,   993,  1208,   995,    -1,
     993,   512,  1068,   513,  1208,   995,    -1,   643,    -1,   183,
      -1,   293,    -1,  1208,    -1,   183,    -1,    -1,  1188,    -1,
    1208,    -1,   380,   547,    -1,   380,   437,   495,    -1,   380,
     441,   276,   288,    -1,   380,   405,   115,    -1,   380,    99,
      -1,   407,   546,    -1,   555,    -1,   410,   547,  1221,    -1,
     410,   437,   495,  1221,    -1,   410,   441,   276,   288,  1221,
      -1,   410,   405,   115,  1221,    -1,   410,    99,    -1,   407,
     156,   559,   560,    -1,    99,    -1,  1057,    -1,   186,    -1,
     250,    -1,   139,    -1,   195,    99,    -1,   195,   432,    -1,
     195,   434,    -1,   195,   350,    -1,   101,   429,   964,   564,
      -1,   101,   256,  1058,   564,    -1,   101,   401,  1058,   564,
      -1,   101,   472,  1058,   564,    -1,   565,    -1,   564,   515,
     565,    -1,    95,   601,    -1,    95,   147,   601,    -1,   101,
     822,  1188,   566,    -1,   101,   822,  1188,   202,   316,   321,
      -1,   101,   822,  1188,   407,   316,   321,    -1,   101,   822,
    1188,   407,   419,  1070,    -1,   101,   822,  1188,   407,   570,
      -1,   101,   822,  1188,   380,   570,    -1,   101,   822,  1188,
     407,   422,  1188,    -1,   202,   822,   248,   216,  1188,   567,
      -1,   202,   822,  1188,   567,    -1,   101,   822,  1188,   823,
     448,   973,   568,   569,    -1,    95,   610,    -1,   463,   155,
    1060,    -1,   202,   155,   248,   216,  1060,   567,    -1,   202,
     155,  1060,   567,    -1,   407,   478,   329,    -1,   407,   479,
     329,    -1,   143,   330,  1060,    -1,   407,   479,   143,    -1,
     205,   443,  1060,    -1,   205,   102,   443,  1060,    -1,   205,
     378,   443,  1060,    -1,   205,   443,    99,    -1,   205,   443,
     459,    -1,   194,   443,  1060,    -1,   194,   443,    99,    -1,
     194,   443,   459,    -1,   205,   393,  1060,    -1,   205,   102,
     393,  1060,    -1,   205,   378,   393,  1060,    -1,   194,   393,
    1060,    -1,   258,  1058,    -1,   313,   258,  1058,    -1,   326,
     738,    -1,   316,   326,    -1,   343,   439,  1069,    -1,   407,
     431,  1060,    -1,   407,   570,    -1,   380,   570,    -1,   671,
      -1,   407,   183,   997,    -1,   202,   183,    -1,   129,    -1,
     382,    -1,    -1,   145,   738,    -1,    -1,   460,   997,    -1,
      -1,   512,   572,   513,    -1,   478,   570,    -1,    -1,   573,
      -1,   572,   515,   573,    -1,  1190,   499,   712,    -1,  1190,
      -1,  1190,   514,  1190,   499,   712,    -1,  1190,   514,  1190,
      -1,   101,   448,   738,   575,    -1,   576,    -1,   575,   515,
     576,    -1,    95,   114,   972,   567,    -1,   202,   114,   248,
     216,  1188,   567,    -1,   202,   114,  1188,   567,    -1,   101,
     114,  1188,   823,   448,   973,   568,   567,    -1,   142,   917,
      -1,   142,    99,    -1,   161,   584,  1058,   612,   585,   579,
     580,   586,   524,   581,    -1,   161,   921,   439,   580,   524,
     581,    -1,   232,    -1,   439,    -1,  1208,    -1,   420,    -1,
     421,    -1,   582,    -1,   512,   588,   513,    -1,   582,   583,
      -1,    -1,   122,    -1,   329,    -1,   189,   857,  1208,    -1,
     321,   857,  1208,    -1,   165,    -1,   244,    -1,   363,   857,
    1208,    -1,   210,   857,  1208,    -1,   228,   363,   613,    -1,
     228,   363,   505,    -1,   228,   316,   321,   613,    -1,   206,
    1208,    -1,   122,    -1,    -1,   478,   329,    -1,    -1,   587,
     190,  1208,    -1,    -1,   460,    -1,    -1,   589,    -1,   588,
     515,   589,    -1,  1190,   590,    -1,   551,    -1,   643,    -1,
     505,    -1,   512,   591,   513,    -1,    -1,   592,    -1,   591,
     515,   592,    -1,   551,    -1,   163,   594,   429,  1058,   512,
     595,   513,   623,   624,   625,   626,   628,   629,    -1,   163,
     594,   429,   248,   316,   216,  1058,   512,   595,   513,   623,
     624,   625,   626,   628,   629,    -1,   163,   594,   429,  1058,
     326,   738,   596,   624,   625,   626,   628,   629,    -1,   163,
     594,   429,   248,   316,   216,  1058,   326,   738,   596,   624,
     625,   626,   628,   629,    -1,   434,    -1,   432,    -1,   293,
     434,    -1,   293,   432,    -1,   236,   434,    -1,   236,   432,
      -1,   456,    -1,    -1,   597,    -1,    -1,   512,   598,   513,
      -1,    -1,   599,    -1,   597,   515,   599,    -1,   600,    -1,
     598,   515,   600,    -1,   601,    -1,   607,    -1,   610,    -1,
     602,    -1,   610,    -1,  1188,   973,   603,    -1,  1188,   478,
     334,   603,    -1,   603,   604,    -1,    -1,   155,  1060,   605,
      -1,   605,    -1,   606,    -1,   145,   738,    -1,   316,   321,
      -1,   321,    -1,   453,   800,   630,    -1,   358,   278,   800,
     630,    -1,   138,   512,   997,   513,    -1,   183,   998,    -1,
     371,  1058,   612,   615,   619,    -1,   185,    -1,   316,   185,
      -1,   260,   186,    -1,   260,   250,    -1,   289,  1058,   608,
      -1,   608,   254,   609,    -1,   608,   213,   609,    -1,    -1,
     184,    -1,   156,    -1,   257,    -1,   422,    -1,   149,    -1,
      99,    -1,   155,  1060,   611,    -1,   611,    -1,   138,   512,
     997,   513,   703,    -1,   453,   512,   613,   513,   800,   630,
     703,    -1,   453,   631,   703,    -1,   358,   278,   512,   613,
     513,   800,   630,   703,    -1,   358,   278,   631,   703,    -1,
     212,   777,   512,   616,   513,   800,   630,   618,   703,    -1,
     229,   278,   512,   613,   513,   371,  1058,   612,   615,   619,
     703,    -1,   512,   613,   513,    -1,    -1,   614,    -1,   613,
     515,   614,    -1,  1188,    -1,   299,   233,    -1,   299,   345,
      -1,   299,   412,    -1,    -1,   617,    -1,   616,   515,   617,
      -1,   779,   478,   810,    -1,   779,   478,   332,   512,   810,
     513,    -1,   475,   512,   997,   513,    -1,    -1,   620,    -1,
     621,    -1,   620,   621,    -1,   621,   620,    -1,    -1,   330,
     458,   622,    -1,   330,   188,   622,    -1,   313,    94,    -1,
     382,    -1,   129,    -1,   407,   321,    -1,   407,   183,    -1,
     259,   512,  1057,   513,    -1,    -1,   478,   570,    -1,   478,
     329,    -1,   479,   329,    -1,    -1,   330,   150,   202,    -1,
     330,   150,   188,   392,    -1,   330,   150,   355,   392,    -1,
      -1,   431,  1060,    -1,    -1,   197,   126,    -1,   197,   126,
     242,    -1,   627,   512,  1060,   513,    -1,   197,   126,   304,
     512,  1060,   513,    -1,   197,   126,   379,    -1,   197,   126,
     390,   387,    -1,    -1,   439,   314,   877,    -1,   439,   240,
     876,    -1,    -1,   460,   256,   431,  1060,    -1,    -1,   460,
     256,  1064,    -1,  1058,   633,   624,   625,   626,   628,   629,
      -1,   512,   634,   513,    -1,    -1,   635,    -1,   634,   515,
     635,    -1,  1188,    -1,   478,   176,    -1,   478,   313,   176,
      -1,    -1,   163,   594,   401,  1058,   639,    -1,   101,   401,
    1058,   640,    -1,   640,    -1,    -1,   641,    -1,   640,   641,
      -1,   127,   643,    -1,   175,    -1,   313,   175,    -1,   255,
     642,   643,    -1,   300,   643,    -1,   302,   643,    -1,   313,
     300,    -1,   313,   302,    -1,   342,   126,   738,    -1,   417,
     524,   643,    -1,   381,    -1,   381,   524,   643,    -1,   126,
      -1,    -1,  1207,    -1,   504,  1207,    -1,  1070,    -1,   643,
      -1,   644,   515,   643,    -1,   163,   785,   646,   652,   280,
     554,    -1,   163,   785,   646,   652,   280,   554,   241,   647,
     648,   650,    -1,   447,    -1,    -1,  1060,    -1,  1060,   739,
      -1,   261,   647,    -1,    -1,   464,   647,    -1,   313,   464,
      -1,   649,    -1,    -1,   202,   652,   280,   554,   567,    -1,
     202,   652,   280,   248,   216,   554,   567,    -1,   361,    -1,
      -1,   163,   431,  1060,   654,   296,  1208,    -1,   343,  1060,
      -1,    -1,   202,   431,  1060,    -1,   202,   431,   248,   216,
    1060,    -1,   163,   218,  1060,   524,   657,    -1,   163,   218,
     248,   316,   216,  1060,   524,   657,    -1,   657,   658,    -1,
      -1,   395,  1060,    -1,   471,   554,    -1,   232,   554,    -1,
     101,   218,  1060,   458,   660,    -1,   660,   661,    -1,    -1,
     439,   554,    -1,   101,   218,  1060,   539,    98,  1066,   713,
      -1,   101,   218,  1060,   539,   132,   512,   973,   108,   973,
     513,    -1,   101,   218,  1060,   539,   146,   738,    -1,   101,
     218,  1060,   539,   159,   738,    -1,   101,   218,  1060,   539,
     200,   738,    -1,   101,   218,  1060,   539,   234,   763,    -1,
     101,   218,  1060,   539,   652,   280,  1060,    -1,   101,   218,
    1060,   539,   332,   810,   809,    -1,   101,   218,  1060,   539,
     332,   140,   738,   460,  1062,    -1,   101,   218,  1060,   539,
     332,   222,   738,   460,  1062,    -1,   101,   218,  1060,   539,
     395,  1060,    -1,   101,   218,  1060,   539,   429,   738,    -1,
     101,   218,  1060,   539,   435,   397,   344,   738,    -1,   101,
     218,  1060,   539,   435,   397,   192,   738,    -1,   101,   218,
    1060,   539,   435,   397,   433,   738,    -1,   101,   218,  1060,
     539,   435,   397,   153,   738,    -1,   101,   218,  1060,   539,
     401,   738,    -1,   101,   218,  1060,   539,   472,   738,    -1,
     101,   218,  1060,   539,   229,   429,   738,    -1,   101,   218,
    1060,   539,   229,   176,   481,  1060,    -1,   101,   218,  1060,
     539,   404,  1060,    -1,   101,   218,  1060,   539,   448,   738,
      -1,   163,   229,   176,   481,  1060,   666,   669,    -1,   241,
     647,    -1,   313,   241,    -1,   464,   647,    -1,   313,   464,
      -1,   664,    -1,   665,   664,    -1,   665,    -1,    -1,   202,
     229,   176,   481,  1060,   567,    -1,   202,   229,   176,   481,
     248,   216,  1060,   567,    -1,   101,   229,   176,   481,  1060,
     666,   671,    -1,   101,   229,   176,   481,  1060,   665,    -1,
     334,   512,   670,   513,    -1,    -1,   674,    -1,   670,   515,
     674,    -1,   334,   512,   672,   513,    -1,   673,    -1,   672,
     515,   673,    -1,   674,    -1,   407,   674,    -1,    95,   674,
      -1,   202,   675,    -1,   675,   676,    -1,  1190,    -1,  1208,
      -1,   163,   404,  1060,   678,   680,   229,   176,   481,  1060,
     669,    -1,   448,  1208,    -1,    -1,   471,  1208,    -1,   471,
     321,    -1,   679,    -1,    -1,   202,   404,  1060,   567,    -1,
     202,   404,   248,   216,  1060,   567,    -1,   101,   404,  1060,
     679,   671,    -1,   101,   404,  1060,   679,    -1,   101,   404,
    1060,   671,    -1,   163,   229,   429,  1058,   684,   404,  1060,
     669,    -1,   163,   229,   429,   248,   316,   216,  1058,   684,
     404,  1060,   669,    -1,   512,   685,   513,    -1,   512,   513,
      -1,   686,    -1,   685,   515,   686,    -1,   601,    -1,   101,
     229,   429,   964,   564,    -1,   163,   459,   298,   227,   689,
     404,  1060,   669,    -1,   173,    -1,   459,    -1,  1069,    -1,
     202,   459,   298,   227,   689,   404,  1060,    -1,   202,   459,
     298,   248,   216,   227,   689,   404,  1060,    -1,   101,   459,
     298,   227,   689,   404,  1060,   671,    -1,   163,   443,  1060,
     693,   694,   330,  1058,   696,   699,   215,   362,  1066,   512,
     700,   513,    -1,   163,   155,   443,  1060,    97,   694,   330,
    1058,   702,   703,   227,   203,   391,   699,   215,   362,  1066,
     512,   700,   513,    -1,   118,    -1,    97,    -1,   267,   326,
      -1,   695,    -1,   694,   335,   695,    -1,   266,    -1,   188,
      -1,   458,    -1,   458,   326,   613,    -1,   446,    -1,   227,
     697,   698,    -1,    -1,   203,    -1,    -1,   391,    -1,   418,
      -1,   474,   512,   997,   513,    -1,    -1,   701,    -1,   700,
     515,   701,    -1,    -1,  1068,    -1,  1207,    -1,  1208,    -1,
    1190,    -1,   232,  1058,    -1,    -1,    -1,   703,   704,    -1,
     316,   185,    -1,   185,    -1,   260,   250,    -1,   260,   186,
      -1,   316,   462,    -1,   202,   443,  1060,   330,  1058,   567,
      -1,   202,   443,   248,   216,  1060,   330,  1058,   567,    -1,
     163,   110,  1060,   138,   512,   997,   513,   703,    -1,   202,
     110,  1060,   567,    -1,   163,    98,  1066,   713,   709,    -1,
     163,    98,  1066,   714,    -1,   163,   332,   810,   709,    -1,
     163,   448,   738,   709,    -1,   163,   448,   738,    -1,   163,
     448,   738,   108,   512,   970,   513,    -1,   163,   448,   738,
     108,   209,   512,   717,   513,    -1,   163,   435,   397,   344,
     738,   709,    -1,   163,   435,   397,   192,   738,   709,    -1,
     163,   435,   397,   433,   738,   709,    -1,   163,   435,   397,
     153,   738,   709,    -1,   163,   146,   738,   709,    -1,   163,
     146,   738,   232,   738,    -1,   512,   710,   513,    -1,   711,
      -1,   710,   515,   711,    -1,  1190,   499,   712,    -1,  1190,
      -1,   794,    -1,  1074,    -1,  1024,    -1,   643,    -1,  1208,
      -1,   512,  1029,   513,    -1,   512,   505,   513,    -1,   512,
     715,   513,    -1,   716,    -1,   715,   515,   716,    -1,  1210,
     499,   712,    -1,   718,    -1,    -1,  1208,    -1,   718,   515,
    1208,    -1,   101,   448,   738,    95,   465,  1208,    -1,   101,
     448,   738,    95,   465,  1208,   118,  1208,    -1,   101,   448,
     738,    95,   465,  1208,    97,  1208,    -1,   163,   332,   140,
     738,   723,   227,   448,   973,   460,  1062,   724,   108,   721,
      -1,   722,    -1,   721,   515,   722,    -1,   332,  1068,   810,
     725,   726,    -1,   332,  1068,   810,   809,   725,   726,    -1,
     234,  1068,  1066,   786,    -1,   234,  1068,   512,  1029,   513,
    1066,   786,    -1,   422,   973,    -1,   183,    -1,    -1,   222,
     738,    -1,    -1,   227,   397,    -1,   227,   336,   126,   738,
      -1,    -1,   368,    -1,    -1,   163,   332,   222,   738,   460,
    1062,    -1,   101,   332,   222,   738,   460,  1062,    95,   721,
      -1,   101,   332,   222,   738,   460,  1062,   202,   729,    -1,
     730,    -1,   729,   515,   730,    -1,   332,  1068,   512,  1029,
     513,    -1,   234,  1068,   512,  1029,   513,    -1,   202,   332,
     140,   738,   460,  1062,   567,    -1,   202,   332,   140,   248,
     216,   738,   460,  1062,   567,    -1,   202,   332,   222,   738,
     460,  1062,   567,    -1,   202,   332,   222,   248,   216,   738,
     460,  1062,   567,    -1,   202,   342,   126,  1059,   567,    -1,
     367,   342,   126,  1059,   439,  1060,    -1,   202,   736,   248,
     216,   737,   567,    -1,   202,   736,   737,   567,    -1,   429,
      -1,   401,    -1,   472,    -1,   256,    -1,   229,   429,    -1,
     448,    -1,   200,    -1,   146,    -1,   159,    -1,   395,    -1,
     218,    -1,   435,   397,   344,    -1,   435,   397,   192,    -1,
     435,   397,   433,    -1,   435,   397,   153,    -1,   738,    -1,
     737,   515,   738,    -1,  1188,    -1,  1188,   739,    -1,   514,
    1063,    -1,   739,   514,  1063,    -1,   446,   931,   965,   741,
     567,    -1,   158,   247,    -1,   381,   247,    -1,    -1,   148,
     330,   743,   738,   274,   744,    -1,   148,   330,    98,  1066,
     713,   274,   744,    -1,   148,   330,   234,  1066,   786,   274,
     744,    -1,   148,   330,   332,   810,   809,   274,   744,    -1,
     148,   330,   155,  1060,   330,   738,   274,   744,    -1,   148,
     330,   393,  1060,   330,   738,   274,   744,    -1,   148,   330,
     393,  1060,   274,   744,    -1,   148,   330,   443,  1060,   330,
     738,   274,   744,    -1,   148,   330,   332,   140,   738,   460,
    1062,   274,   744,    -1,   148,   330,   332,   222,   738,   460,
    1062,   274,   744,    -1,   148,   330,   281,   325,   643,   274,
     744,    -1,   148,   330,   132,   512,   973,   108,   973,   513,
     274,   744,    -1,   148,   330,   652,   280,   738,   274,   744,
      -1,   148,   330,   435,   397,   344,   738,   274,   744,    -1,
     148,   330,   435,   397,   192,   738,   274,   744,    -1,   148,
     330,   435,   397,   433,   738,   274,   744,    -1,   148,   330,
     435,   397,   153,   738,   274,   744,    -1,   147,    -1,   177,
      -1,   395,    -1,   256,    -1,   401,    -1,   429,    -1,   200,
      -1,   448,    -1,   472,    -1,   146,    -1,   159,    -1,   431,
      -1,   218,    -1,   388,    -1,   229,   429,    -1,   404,    -1,
     229,   176,   481,    -1,  1208,    -1,   321,    -1,   399,   279,
     746,   330,   747,   738,   274,   748,    -1,   399,   279,   746,
     330,    98,  1066,   713,   274,   748,    -1,   399,   279,   746,
     330,   234,  1066,   786,   274,   748,    -1,   399,   279,   746,
     330,   281,   325,   643,   274,   748,    -1,   399,   279,   746,
     330,   652,   280,   738,   274,   748,    -1,   227,   554,    -1,
      -1,   147,    -1,   229,   429,    -1,   395,    -1,   401,    -1,
     429,    -1,   200,    -1,   448,    -1,   472,    -1,  1208,    -1,
     321,    -1,   223,   750,    -1,   306,   750,    -1,   223,   750,
    1222,    -1,   223,   230,   917,  1223,    -1,   223,   230,   751,
     917,  1223,    -1,   223,   116,   917,  1223,    -1,   223,   116,
     751,   917,  1223,    -1,   306,   230,   917,    -1,   306,   230,
     751,   917,    -1,   306,   116,   917,    -1,   306,   116,   751,
     917,    -1,   917,    -1,   751,   917,    -1,   312,   752,   917,
      -1,   359,   752,   917,    -1,   224,   752,   917,    -1,   282,
     752,   917,    -1,    92,  1070,   752,   917,    -1,   373,  1070,
     752,   917,    -1,  1070,   752,   917,    -1,    99,   752,   917,
      -1,   230,  1070,   752,   917,    -1,   230,    99,   752,   917,
      -1,   116,  1070,   752,   917,    -1,   116,    99,   752,   917,
      -1,   232,    -1,   253,    -1,   751,    -1,    -1,   237,   755,
     330,   758,   439,   759,   761,    -1,   385,   755,   330,   758,
     232,   759,   567,    -1,   385,   237,   333,   227,   755,   330,
     758,   232,   759,   567,    -1,   756,    -1,    99,    -1,    99,
     360,    -1,    99,   512,   613,   513,    -1,    99,   360,   512,
     613,   513,    -1,   757,    -1,   756,   515,   757,    -1,   400,
     612,    -1,   371,   612,    -1,   163,   612,    -1,  1188,   612,
      -1,  1057,    -1,   429,  1057,    -1,   401,  1057,    -1,   229,
     176,   481,  1059,    -1,   229,   404,  1059,    -1,   234,   762,
      -1,   177,  1059,    -1,   280,  1059,    -1,   281,   325,   644,
      -1,   395,  1059,    -1,   431,  1059,    -1,    99,   430,   253,
     395,  1059,    -1,    99,   402,   253,   395,  1059,    -1,    99,
     235,   253,   395,  1059,    -1,   760,    -1,   759,   515,   760,
      -1,  1069,    -1,   240,  1069,    -1,   478,   237,   333,    -1,
      -1,   763,    -1,   762,   515,   763,    -1,  1066,   786,    -1,
     237,   756,   439,  1059,   766,   767,    -1,   385,   756,   232,
    1059,   767,   567,    -1,   385,    96,   333,   227,   756,   232,
    1059,   767,   567,    -1,   478,    96,   333,    -1,    -1,   238,
     126,  1069,    -1,    -1,   101,   183,   360,   769,   771,    -1,
     769,   770,    -1,    -1,   253,   395,  1059,    -1,   227,   388,
    1059,    -1,   227,   459,  1059,    -1,   237,   755,   330,   772,
     439,   759,   761,    -1,   385,   755,   330,   772,   232,   759,
     567,    -1,   385,   237,   333,   227,   755,   330,   772,   232,
     759,   567,    -1,   430,    -1,   235,    -1,   402,    -1,   163,
     774,   256,   775,   776,   330,  1058,   777,   512,   778,   513,
     571,   626,   968,    -1,   453,    -1,    -1,   152,    -1,    -1,
    1064,    -1,    -1,   460,  1062,    -1,    -1,   779,    -1,   778,
     515,   779,    -1,  1188,   780,   781,   782,   783,    -1,  1000,
     780,   781,   782,   783,    -1,   512,   997,   513,   780,   781,
     782,   783,    -1,   145,   738,    -1,    -1,   738,    -1,   460,
     738,    -1,    -1,   109,    -1,   191,    -1,    -1,   496,    -1,
     497,    -1,    -1,   163,   785,   234,  1066,   788,   384,   793,
     796,   800,    -1,   163,   785,   234,  1066,   788,   384,   429,
     512,   802,   513,   796,   800,    -1,   163,   785,   234,  1066,
     788,   796,   800,    -1,   335,   377,    -1,    -1,   512,   787,
     513,    -1,   512,   513,    -1,   790,    -1,   787,   515,   790,
      -1,   512,   789,   513,    -1,   512,   513,    -1,   795,    -1,
     789,   515,   795,    -1,   791,   792,   794,    -1,   792,   791,
     794,    -1,   792,   794,    -1,   791,   794,    -1,   794,    -1,
     253,    -1,   337,    -1,   263,    -1,   253,   337,    -1,   468,
      -1,  1189,    -1,   794,    -1,   973,    -1,  1189,   739,   507,
     448,    -1,   408,  1189,   739,   507,   448,    -1,   790,    -1,
     790,   183,   997,    -1,   790,   499,   997,    -1,   798,    -1,
     796,   798,    -1,   128,   330,   321,   264,    -1,   384,   321,
     330,   321,   264,    -1,   423,    -1,   251,    -1,   415,    -1,
     473,    -1,   219,   399,   187,    -1,   219,   399,   273,    -1,
     399,   187,    -1,   399,   273,    -1,   162,   643,    -1,   392,
     643,    -1,   556,    -1,   108,   799,    -1,   280,   554,    -1,
     477,    -1,   797,    -1,  1208,    -1,  1208,   515,  1208,    -1,
     478,   709,    -1,    -1,   792,   794,    -1,   801,    -1,   802,
     515,   801,    -1,   101,   234,   763,   804,   805,    -1,   797,
      -1,   804,   797,    -1,   382,    -1,    -1,   202,   234,  1066,
     786,   567,    -1,   202,   234,   248,   216,  1066,   786,   567,
      -1,   202,    98,  1066,   713,   567,    -1,   202,    98,   248,
     216,  1066,   713,   567,    -1,   202,   332,   810,   809,   567,
      -1,   202,   332,   248,   216,   810,   809,   567,    -1,   512,
     973,   513,    -1,   512,   973,   515,   973,   513,    -1,   512,
     315,   515,   973,   513,    -1,   512,   973,   515,   315,   513,
      -1,  1021,    -1,  1188,   514,   810,    -1,   198,   812,    -1,
     813,    -1,   812,   813,    -1,  1208,    -1,   280,   554,    -1,
     163,   132,   512,   973,   108,   973,   513,   478,   234,   763,
     815,    -1,   163,   132,   512,   973,   108,   973,   513,   479,
     234,   815,    -1,   163,   132,   512,   973,   108,   973,   513,
     478,   263,   815,    -1,   108,   252,    -1,   108,   111,    -1,
      -1,   202,   132,   817,   512,   973,   108,   973,   513,   567,
      -1,   248,   216,    -1,    -1,   372,   819,  1058,   820,    -1,
     372,   428,  1060,   820,    -1,   372,   177,  1060,   820,    -1,
     256,    -1,   429,    -1,   228,    -1,    -1,   101,    98,  1066,
     713,   375,   439,  1060,    -1,   101,   146,   738,   375,   439,
    1060,    -1,   101,   159,   738,   375,   439,  1060,    -1,   101,
     177,  1061,   375,   439,  1061,    -1,   101,   234,   763,   375,
     439,  1060,    -1,   101,   240,  1069,   375,   439,  1069,    -1,
     101,   652,   280,  1060,   375,   439,  1060,    -1,   101,   332,
     140,   738,   460,  1062,   375,   439,  1060,    -1,   101,   332,
     222,   738,   460,  1062,   375,   439,  1060,    -1,   101,   395,
    1060,   375,   439,  1060,    -1,   101,   429,   964,   375,   439,
    1060,    -1,   101,   401,  1058,   375,   439,  1060,    -1,   101,
     472,  1058,   375,   439,  1060,    -1,   101,   256,  1058,   375,
     439,  1060,    -1,   101,   229,   429,   964,   375,   439,  1060,
      -1,   101,   429,   964,   375,   822,  1060,   439,  1060,    -1,
     101,   229,   429,   964,   375,   822,  1060,   439,  1060,    -1,
     101,   443,  1060,   330,  1058,   375,   439,  1060,    -1,   101,
     388,  1069,   375,   439,  1069,    -1,   101,   459,  1069,   375,
     439,  1069,    -1,   101,   431,  1060,   375,   439,  1060,    -1,
     101,   431,  1060,   407,   570,    -1,   101,   431,  1060,   380,
     570,    -1,   101,   435,   397,   344,   738,   375,   439,  1060,
      -1,   101,   435,   397,   192,   738,   375,   439,  1060,    -1,
     101,   435,   397,   433,   738,   375,   439,  1060,    -1,   101,
     435,   397,   153,   738,   375,   439,  1060,    -1,   101,   448,
     738,   375,   439,  1060,    -1,   101,   448,   738,   375,   114,
    1060,   439,  1060,   567,    -1,   147,    -1,    -1,   407,   176,
      -1,    -1,   101,    98,  1066,   713,   407,   395,  1060,    -1,
     101,   146,   738,   407,   395,  1060,    -1,   101,   159,   738,
     407,   395,  1060,    -1,   101,   200,   738,   407,   395,  1060,
      -1,   101,   218,   738,   407,   395,  1060,    -1,   101,   234,
     763,   407,   395,  1060,    -1,   101,   332,   810,   809,   407,
     395,  1060,    -1,   101,   332,   140,   738,   460,  1062,   407,
     395,  1060,    -1,   101,   332,   222,   738,   460,  1062,   407,
     395,  1060,    -1,   101,   429,   964,   407,   395,  1060,    -1,
     101,   435,   397,   344,   738,   407,   395,  1060,    -1,   101,
     435,   397,   192,   738,   407,   395,  1060,    -1,   101,   435,
     397,   433,   738,   407,   395,  1060,    -1,   101,   435,   397,
     153,   738,   407,   395,  1060,    -1,   101,   401,  1058,   407,
     395,  1060,    -1,   101,   472,  1058,   407,   395,  1060,    -1,
     101,   229,   429,   964,   407,   395,  1060,    -1,   101,   448,
     738,   407,   395,  1060,    -1,   101,    98,  1066,   713,   343,
     439,  1069,    -1,   101,   146,   738,   343,   439,  1069,    -1,
     101,   159,   738,   343,   439,  1069,    -1,   101,   177,  1061,
     343,   439,  1069,    -1,   101,   200,   738,   343,   439,  1069,
      -1,   101,   234,   763,   343,   439,  1069,    -1,   101,   652,
     280,  1060,   343,   439,  1069,    -1,   101,   281,   325,   643,
     343,   439,  1069,    -1,   101,   332,   810,   809,   343,   439,
    1069,    -1,   101,   332,   140,   738,   460,  1062,   343,   439,
    1069,    -1,   101,   332,   222,   738,   460,  1062,   343,   439,
    1069,    -1,   101,   395,  1060,   343,   439,  1069,    -1,   101,
     448,   738,   343,   439,  1069,    -1,   101,   431,  1060,   343,
     439,  1069,    -1,   101,   435,   397,   192,   738,   343,   439,
    1069,    -1,   101,   435,   397,   153,   738,   343,   439,  1069,
      -1,   101,   229,   176,   481,  1060,   343,   439,  1069,    -1,
     101,   404,  1060,   343,   439,  1069,    -1,   163,   785,   393,
    1060,   108,   330,   831,   439,  1058,   968,   198,   832,   827,
      -1,   317,    -1,   829,    -1,   512,   828,   513,    -1,   828,
     516,   830,    -1,   830,    -1,   920,    -1,   898,    -1,   909,
      -1,   903,    -1,   834,    -1,   829,    -1,    -1,   400,    -1,
     458,    -1,   188,    -1,   266,    -1,   267,    -1,   100,    -1,
      -1,   202,   393,  1060,   330,  1058,   567,    -1,   202,   393,
     248,   216,  1060,   330,  1058,   567,    -1,   318,  1188,   835,
      -1,   515,  1208,    -1,    -1,   291,  1188,    -1,   455,  1188,
      -1,   455,   505,    -1,    91,   839,    -1,   119,   839,   842,
      -1,   417,   441,   842,    -1,   150,   839,    -1,   208,   839,
      -1,   389,   839,    -1,   394,  1188,    -1,   374,   394,  1188,
      -1,   374,  1188,    -1,   389,   839,   439,   394,  1188,    -1,
     389,   839,   439,  1188,    -1,   356,   441,  1208,    -1,   150,
     357,  1208,    -1,   389,   357,  1208,    -1,   480,    -1,   441,
      -1,    -1,   276,   288,   550,    -1,   365,   331,    -1,   365,
     482,    -1,   185,    -1,   316,   185,    -1,   840,    -1,   841,
     515,   840,    -1,   841,   840,    -1,   841,    -1,    -1,   163,
     594,   472,  1058,   612,   108,   920,   844,    -1,   163,   335,
     377,   594,   472,  1058,   612,   108,   920,   844,    -1,   478,
     138,   333,    -1,   478,   130,   138,   333,    -1,   478,   293,
     138,   333,    -1,    -1,   292,  1065,    -1,   163,   177,  1061,
     524,   847,    -1,   847,   848,    -1,    -1,   431,   849,  1060,
      -1,   431,   849,   183,    -1,   296,   849,  1208,    -1,   296,
     849,   183,    -1,   433,   849,  1060,    -1,   433,   849,   183,
      -1,   206,   849,  1208,    -1,   206,   849,  1068,    -1,   206,
     849,   183,    -1,   283,   849,  1208,    -1,   283,   849,   183,
      -1,   284,   849,  1208,    -1,   284,   849,   183,    -1,   154,
     290,   849,  1070,    -1,   343,   849,  1060,    -1,   343,   849,
     183,    -1,   499,    -1,    -1,   101,   177,  1061,   524,   852,
      -1,   101,   177,  1061,   407,   431,  1060,    -1,   101,   177,
    1061,   556,    -1,   852,   853,    -1,    -1,   154,   290,   849,
    1070,    -1,   202,   177,  1061,    -1,   202,   177,   248,   216,
    1061,    -1,   163,   200,   738,   857,   973,   603,    -1,   101,
     200,   738,   566,    -1,   101,   200,   738,   202,   316,   321,
      -1,   101,   200,   738,   407,   316,   321,    -1,   101,   200,
     738,    95,   610,    -1,   101,   200,   738,   202,   155,  1060,
     567,    -1,   108,    -1,    -1,   101,   435,   397,   192,   738,
     709,    -1,   101,   435,   397,   153,   738,    95,   298,   227,
    1059,   478,   737,    -1,   101,   435,   397,   153,   738,   101,
     298,   227,  1059,   478,   737,    -1,   101,   435,   397,   153,
     738,   101,   298,   377,   738,   478,   738,    -1,   101,   435,
     397,   153,   738,   101,   298,   227,  1059,   377,   738,   478,
     738,    -1,   101,   435,   397,   153,   738,   202,   298,   227,
    1059,    -1,   101,   435,   397,   153,   738,   202,   298,   248,
     216,   227,  1059,    -1,   163,   723,   159,   738,   227,  1208,
     439,  1208,   232,   738,    -1,   143,   868,  1058,   862,    -1,
     143,   868,    -1,   143,   868,  1064,   330,  1058,    -1,   460,
    1064,    -1,    -1,   461,   869,   870,   868,    -1,   461,   869,
     870,   868,  1058,    -1,   461,   869,   870,   868,   866,    -1,
     461,   512,   864,   513,    -1,   461,   512,   864,   513,  1058,
     871,    -1,   865,    -1,   864,   515,   865,    -1,   867,    -1,
     470,    -1,   231,    -1,   233,    -1,   867,   868,    -1,   867,
     868,  1058,   871,    -1,   104,    -1,   103,    -1,   470,    -1,
      -1,   233,    -1,    -1,   231,    -1,    -1,   512,  1059,   513,
      -1,    -1,   163,   117,   873,    -1,  1208,    -1,    -1,   163,
     314,   875,   624,    -1,  1188,    -1,  1188,    -1,   877,   515,
     875,    -1,   875,    -1,   101,   314,   875,   624,    -1,   202,
     314,   875,    -1,   163,   314,   240,   876,   478,   877,    -1,
     202,   314,   240,   876,    -1,   217,   883,    -1,   217,   867,
     868,   883,    -1,   217,   470,   883,    -1,   217,   512,   884,
     513,   883,    -1,   920,    -1,   898,    -1,   909,    -1,   903,
      -1,   916,    -1,  1077,    -1,   896,    -1,   885,    -1,   884,
     515,   885,    -1,   886,   887,    -1,  1188,    -1,   867,    -1,
     470,    -1,   551,    -1,   643,    -1,    -1,   215,   193,   330,
     877,   889,    -1,  1208,    -1,   141,   154,   439,   160,   877,
     891,   892,    -1,   141,   154,   439,   314,   877,   891,   892,
      -1,   141,   154,   439,    99,   820,   891,   892,    -1,   227,
     177,  1061,    -1,   227,  1061,    -1,    -1,   439,   459,  1069,
      -1,   439,  1069,    -1,    -1,   356,  1096,   894,   108,   895,
      -1,   356,  1096,   232,  1141,    -1,   512,  1029,   513,    -1,
      -1,   920,    -1,   898,    -1,   909,    -1,   903,    -1,   215,
    1096,   897,  1220,    -1,   163,   594,   429,   632,   108,   215,
    1096,   897,    -1,   512,  1026,   513,    -1,    -1,   928,   266,
     272,  1058,   899,   902,    -1,   920,    -1,   512,   900,   513,
     920,    -1,   183,   466,    -1,   901,    -1,   900,   515,   901,
      -1,  1188,  1050,    -1,   383,  1055,  1221,    -1,    -1,   928,
     188,   232,   966,   904,   969,   902,    -1,   460,   957,    -1,
      -1,   297,   931,   965,   906,   908,    -1,   253,   907,   303,
      -1,    -1,    93,   409,    -1,   391,   409,    -1,   391,   214,
      -1,   409,   458,   214,    -1,   409,    -1,   409,   391,   214,
      -1,   214,    -1,    93,   214,    -1,   320,    -1,    -1,   928,
     458,   966,   407,   910,   956,   969,   902,    -1,   911,    -1,
     910,   515,   911,    -1,   912,    -1,   913,    -1,   914,   499,
    1052,    -1,   512,   915,   513,   499,  1054,    -1,  1188,  1050,
      -1,   914,    -1,   915,   515,   914,    -1,   182,   917,   918,
     174,   919,   227,   920,    -1,  1060,    -1,  1201,    -1,    -1,
     918,   313,   396,    -1,   918,   396,    -1,   918,   122,    -1,
     918,   265,    -1,    -1,   478,   245,    -1,   479,   245,    -1,
     922,    -1,   921,    -1,   512,   922,   513,    -1,   512,   921,
     513,    -1,   924,    -1,   923,   935,    -1,   923,   934,   950,
     939,    -1,   923,   934,   938,   951,    -1,   925,   923,    -1,
     925,   923,   935,    -1,   925,   923,   934,   950,   939,    -1,
     925,   923,   934,   938,   951,    -1,   924,    -1,   921,    -1,
     400,   933,  1055,   929,   956,   968,   948,   949,  1009,    -1,
     955,    -1,   429,   964,    -1,   923,   452,   932,   923,    -1,
     923,   270,   932,   923,    -1,   923,   211,   932,   923,    -1,
     478,   926,    -1,   478,   369,   926,    -1,   927,    -1,   926,
     515,   927,    -1,  1060,   871,   108,   512,   895,   513,    -1,
     925,    -1,    -1,   272,   930,    -1,  1221,    -1,    -1,   434,
     931,  1058,    -1,   432,   931,  1058,    -1,   293,   434,   931,
    1058,    -1,   293,   432,   931,  1058,    -1,   236,   434,   931,
    1058,    -1,   236,   432,   931,  1058,    -1,   456,   931,  1058,
      -1,   429,  1058,    -1,  1058,    -1,   429,    -1,    -1,    99,
      -1,   196,    -1,    -1,   196,    -1,   196,   330,   512,  1026,
     513,    -1,    99,    -1,    -1,   935,    -1,    -1,   336,   126,
     936,    -1,   937,    -1,   936,   515,   937,    -1,   997,   460,
    1024,   783,    -1,   997,   782,   783,    -1,   940,   941,    -1,
     941,   940,    -1,   940,    -1,   941,    -1,   938,    -1,    -1,
     290,   942,    -1,   290,   942,   515,   943,    -1,   223,   947,
     944,   946,   331,    -1,   328,   943,    -1,   328,   945,   946,
      -1,   997,    -1,    99,    -1,   997,    -1,  1070,    -1,   512,
     997,   513,    -1,    -1,   999,    -1,   391,    -1,   392,    -1,
     224,    -1,   312,    -1,   240,   126,  1026,    -1,    -1,   243,
     997,    -1,    -1,   952,    -1,   227,   365,   331,    -1,   950,
      -1,    -1,   953,    -1,   952,   953,    -1,   227,   458,   954,
     908,    -1,   227,   409,   954,   908,    -1,   326,  1057,    -1,
      -1,   466,  1054,    -1,   955,   515,  1054,    -1,   232,   957,
      -1,    -1,   958,    -1,   957,   515,   958,    -1,   964,    -1,
     964,   960,    -1,   967,    -1,   967,   960,    -1,   967,   108,
     512,   971,   513,    -1,   967,   108,  1188,   512,   971,   513,
      -1,   967,  1188,   512,   971,   513,    -1,   921,    -1,   921,
     960,    -1,   959,    -1,   512,   959,   513,   960,    -1,   512,
     959,   513,    -1,   958,   164,   277,   958,    -1,   958,   961,
     277,   958,   963,    -1,   958,   277,   958,   963,    -1,   958,
     310,   961,   277,   958,    -1,   958,   310,   277,   958,    -1,
     108,  1188,   512,  1059,   513,    -1,   108,  1188,    -1,  1188,
     512,  1059,   513,    -1,  1188,    -1,   233,   962,    -1,   287,
     962,    -1,   386,   962,    -1,   262,    -1,   338,    -1,    -1,
     460,   512,  1059,   513,    -1,   330,   997,    -1,  1058,    -1,
    1058,   505,    -1,   331,  1058,    -1,   331,   512,  1058,   513,
      -1,   964,    -1,   965,   515,   964,    -1,   964,    -1,   964,
    1188,    -1,   964,   108,  1188,    -1,  1000,    -1,   475,   997,
      -1,    -1,   475,   997,    -1,   475,   166,   326,   917,    -1,
      -1,   971,    -1,    -1,   972,    -1,   971,   515,   972,    -1,
    1188,   973,   568,    -1,   975,   974,    -1,   408,   975,   974,
      -1,   975,   107,   510,  1068,   511,    -1,   408,   975,   107,
     510,  1068,   511,    -1,   975,   107,    -1,   408,   975,   107,
      -1,   974,   510,   511,    -1,   974,   510,  1219,   511,    -1,
      -1,   977,    -1,   979,    -1,   981,    -1,   985,    -1,   992,
      -1,   993,   995,    -1,   993,   512,  1068,   513,   995,    -1,
     979,    -1,   982,    -1,   986,    -1,   992,    -1,  1189,   978,
      -1,  1189,   739,   978,    -1,   512,  1026,   513,    -1,    -1,
     268,    -1,   269,    -1,   413,    -1,   121,    -1,   366,    -1,
     225,   980,    -1,   201,   353,    -1,   181,   978,    -1,   180,
     978,    -1,   324,   978,    -1,   124,    -1,   512,  1068,   513,
      -1,    -1,   983,    -1,   984,    -1,   983,    -1,   984,    -1,
     123,   990,   512,  1026,   513,    -1,   123,   990,    -1,   987,
      -1,   988,    -1,   987,    -1,   988,    -1,   989,   512,  1068,
     513,   991,    -1,   989,   991,    -1,   136,   990,    -1,   135,
     990,    -1,   467,    -1,   309,   136,   990,    -1,   309,   135,
     990,    -1,   311,   990,    -1,   469,    -1,    -1,   136,   407,
    1188,    -1,    -1,   438,   512,  1068,   513,   994,    -1,   438,
     994,    -1,   437,   512,  1068,   513,   994,    -1,   437,   994,
      -1,   271,    -1,   498,   495,    -1,   479,   437,   495,    -1,
      -1,   493,    -1,   305,    -1,   178,    -1,   246,    -1,   301,
      -1,   996,    -1,   493,   439,   305,    -1,   178,   439,   246,
      -1,   178,   439,   301,    -1,   178,   439,   996,    -1,   246,
     439,   301,    -1,   246,   439,   996,    -1,   301,   439,   996,
      -1,    -1,   398,    -1,   398,   512,  1068,   513,    -1,   999,
      -1,   997,    88,   973,    -1,   997,   145,   738,    -1,   997,
     113,   437,   495,   997,    -1,   503,   997,    -1,   504,   997,
      -1,   997,   503,   997,    -1,   997,   504,   997,    -1,   997,
     505,   997,    -1,   997,   506,   997,    -1,   997,   507,   997,
      -1,   997,   508,   997,    -1,   997,   500,   997,    -1,   997,
     501,   997,    -1,   997,   499,   997,    -1,   997,  1023,   997,
      -1,  1023,   997,    -1,   997,  1023,    -1,   997,   105,   997,
      -1,   997,   335,   997,    -1,   316,   997,    -1,   997,   289,
     997,    -1,   997,   289,   997,   210,   997,    -1,   997,   316,
     289,   997,    -1,   997,   316,   289,   997,   210,   997,    -1,
     997,   249,   997,    -1,   997,   249,   997,   210,   997,    -1,
     997,   316,   249,   997,    -1,   997,   316,   249,   997,   210,
     997,    -1,   997,   411,   439,   997,    -1,   997,   411,   439,
     997,   210,   997,    -1,   997,   316,   411,   439,   997,    -1,
     997,   316,   411,   439,   997,   210,   997,    -1,   997,   274,
     321,    -1,   997,   275,    -1,   997,   274,   316,   321,    -1,
     997,   319,    -1,  1019,   340,  1019,    -1,   997,   274,   445,
      -1,   997,   274,   316,   445,    -1,   997,   274,   221,    -1,
     997,   274,   316,   221,    -1,   997,   274,   454,    -1,   997,
     274,   316,   454,    -1,   997,   274,   196,   232,   997,    -1,
     997,   274,   316,   196,   232,   997,    -1,   997,   274,   326,
     512,  1029,   513,    -1,   997,   274,   316,   326,   512,  1029,
     513,    -1,   997,   120,  1051,   998,   105,   998,    -1,   997,
     316,   120,  1051,   998,   105,   998,    -1,   997,   120,   426,
     998,   105,   998,    -1,   997,   316,   120,   426,   998,   105,
     998,    -1,   997,   253,  1041,    -1,   997,   316,   253,  1041,
      -1,   997,  1025,  1020,   921,    -1,   997,  1025,  1020,   512,
     997,   513,    -1,   453,   921,    -1,   997,   274,   199,    -1,
     997,   274,   316,   199,    -1,   999,    -1,   998,    88,   973,
      -1,   503,   998,    -1,   504,   998,    -1,   998,   503,   998,
      -1,   998,   504,   998,    -1,   998,   505,   998,    -1,   998,
     506,   998,    -1,   998,   507,   998,    -1,   998,   508,   998,
      -1,   998,   500,   998,    -1,   998,   501,   998,    -1,   998,
     499,   998,    -1,   998,  1023,   998,    -1,  1023,   998,    -1,
     998,  1023,    -1,   998,   274,   196,   232,   998,    -1,   998,
     274,   316,   196,   232,   998,    -1,   998,   274,   326,   512,
    1029,   513,    -1,   998,   274,   316,   326,   512,  1029,   513,
      -1,   998,   274,   199,    -1,   998,   274,   316,   199,    -1,
    1047,    -1,  1067,    -1,  1205,  1050,    -1,   512,   997,   513,
    1050,    -1,  1042,    -1,  1000,    -1,   921,    -1,   216,   921,
      -1,   107,   921,    -1,   107,  1030,    -1,  1019,    -1,  1066,
     512,   513,  1012,    -1,  1066,   512,  1027,   513,  1012,    -1,
    1066,   512,   468,  1028,   513,  1012,    -1,  1066,   512,  1027,
     515,   468,  1028,   513,  1012,    -1,  1066,   512,  1027,   935,
     513,  1012,    -1,  1066,   512,    99,  1027,   934,   513,  1012,
      -1,  1066,   512,   196,  1027,   934,   513,  1012,    -1,  1066,
     512,   505,   513,  1012,    -1,   168,    -1,   171,    -1,   171,
     512,  1068,   513,    -1,   172,    -1,   172,   512,  1068,   513,
      -1,   294,    -1,   294,   512,  1068,   513,    -1,   295,    -1,
     295,   512,  1068,   513,    -1,   169,    -1,   173,    -1,   406,
      -1,   459,    -1,   167,    -1,   170,    -1,   132,   512,   997,
     108,   973,   513,    -1,   220,   512,  1032,   513,    -1,   341,
     512,  1034,   513,    -1,   351,   512,  1036,   513,    -1,   425,
     512,  1037,   513,    -1,   442,   512,   997,   108,   973,   513,
      -1,   444,   512,   125,  1040,   513,    -1,   444,   512,   285,
    1040,   513,    -1,   444,   512,   440,  1040,   513,    -1,   444,
     512,  1040,   513,    -1,   322,   512,   997,   515,   997,   513,
      -1,   144,   512,  1026,   513,    -1,   239,   512,  1026,   513,
      -1,   286,   512,  1026,   513,    -1,   485,   512,  1026,   513,
      -1,   486,   512,   307,  1190,   513,    -1,   486,   512,   307,
    1190,   515,  1003,   513,    -1,   486,   512,   307,  1190,   515,
    1026,   513,    -1,   486,   512,   307,  1190,   515,  1003,   515,
    1026,   513,    -1,   487,   512,   999,  1008,   513,    -1,   488,
     512,  1004,   513,    -1,   489,   512,  1006,   997,  1007,   513,
      -1,   490,   512,   307,  1190,   513,    -1,   490,   512,   307,
    1190,   515,   997,   513,    -1,   491,   512,   997,   515,  1001,
    1002,   513,    -1,   492,   512,  1006,   997,   108,   975,   513,
      -1,   471,   997,    -1,   471,   313,   465,    -1,   515,   416,
     494,    -1,   515,   416,   313,    -1,   515,   416,   313,   465,
      -1,    -1,   484,   512,  1004,   513,    -1,  1005,    -1,  1004,
     515,  1005,    -1,   997,   108,  1190,    -1,   997,    -1,   199,
      -1,   157,    -1,   355,   476,    -1,   424,   476,    -1,    -1,
     347,   999,    -1,   347,   999,   126,   370,    -1,   347,   126,
     370,   999,    -1,   347,   126,   370,   999,   126,   370,    -1,
     477,  1010,    -1,    -1,  1011,    -1,  1010,   515,  1011,    -1,
    1188,   108,  1013,    -1,   339,  1013,    -1,   339,  1188,    -1,
      -1,   512,  1014,  1015,   934,  1016,   513,    -1,  1188,    -1,
      -1,   346,   126,  1026,    -1,    -1,   364,  1017,    -1,   392,
    1017,    -1,    -1,  1018,    -1,   120,  1018,   105,  1018,    -1,
     449,   352,    -1,   449,   226,    -1,   166,   391,    -1,   997,
     352,    -1,   997,   226,    -1,   391,   512,  1026,   513,    -1,
     391,   512,   513,    -1,   512,  1026,   515,   997,   513,    -1,
     106,    -1,   414,    -1,    99,    -1,    85,    -1,  1022,    -1,
     503,    -1,   504,    -1,   505,    -1,   506,    -1,   507,    -1,
     508,    -1,   500,    -1,   501,    -1,   499,    -1,    85,    -1,
     332,   512,   810,   513,    -1,  1021,    -1,   332,   512,   810,
     513,    -1,  1021,    -1,   332,   512,   810,   513,    -1,   289,
      -1,   316,   289,    -1,   249,    -1,   316,   249,    -1,   997,
      -1,  1026,   515,   997,    -1,  1028,    -1,  1027,   515,  1028,
      -1,   997,    -1,   792,    90,   997,    -1,   973,    -1,  1029,
     515,   973,    -1,   510,  1026,   511,    -1,   510,  1031,   511,
      -1,   510,   511,    -1,  1030,    -1,  1031,   515,  1030,    -1,
    1033,   232,   997,    -1,    -1,  1210,    -1,   493,    -1,   305,
      -1,   178,    -1,   246,    -1,   301,    -1,   398,    -1,  1208,
      -1,   997,  1035,  1038,  1039,    -1,   997,  1035,  1038,    -1,
     349,   997,    -1,   998,   253,   998,    -1,    -1,   997,  1038,
    1039,    -1,   997,  1039,  1038,    -1,   997,  1038,    -1,   997,
    1039,    -1,  1026,    -1,    -1,   232,   997,    -1,   227,   997,
      -1,   997,   232,  1026,    -1,   232,  1026,    -1,  1026,    -1,
     921,    -1,   512,  1026,   513,    -1,   131,  1046,  1043,  1045,
     208,    -1,  1044,    -1,  1043,  1044,    -1,   474,   997,   436,
     997,    -1,   204,   997,    -1,    -1,   997,    -1,    -1,  1188,
      -1,  1188,  1049,    -1,   514,  1063,    -1,   514,   505,    -1,
     510,   997,   511,    -1,   510,   997,   517,   997,   511,    -1,
    1048,    -1,  1049,  1048,    -1,    -1,  1050,  1048,    -1,   112,
      -1,    -1,   997,    -1,   183,    -1,  1052,    -1,  1053,   515,
    1052,    -1,   512,  1053,   513,    -1,  1056,    -1,  1055,   515,
    1056,    -1,   997,   108,  1190,    -1,   997,  1210,    -1,   997,
      -1,   505,    -1,  1058,    -1,  1057,   515,  1058,    -1,  1188,
      -1,  1188,  1049,    -1,  1060,    -1,  1059,   515,  1060,    -1,
    1188,    -1,  1188,    -1,  1188,    -1,  1190,    -1,  1188,    -1,
    1208,    -1,  1189,    -1,  1188,  1049,    -1,  1068,    -1,  1207,
      -1,  1208,    -1,  1206,    -1,    84,    -1,  1066,  1208,    -1,
    1066,   512,  1027,   513,  1208,    -1,   976,  1208,    -1,   993,
    1208,   995,    -1,   993,   512,  1068,   513,  1208,   995,    -1,
     445,    -1,   221,    -1,   321,    -1,  1202,    -1,  1200,    -1,
      86,    -1,  1188,    -1,  1068,    -1,  1202,    -1,   503,  1068,
      -1,   504,  1068,    -1,    91,    -1,    92,    -1,    93,    -1,
      94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,
     100,    -1,   101,    -1,   102,    -1,   110,    -1,   111,    -1,
     113,    -1,   114,    -1,   116,    -1,   117,    -1,   118,    -1,
     119,    -1,   126,    -1,   127,    -1,   128,    -1,   129,    -1,
     130,    -1,   133,    -1,   134,    -1,   137,    -1,   139,    -1,
     140,    -1,   141,    -1,   142,    -1,   143,    -1,   146,    -1,
     148,    -1,   149,    -1,   150,    -1,   151,    -1,   153,    -1,
     156,    -1,   157,    -1,   158,    -1,   159,    -1,   160,    -1,
     161,    -1,   162,    -1,   165,    -1,   174,    -1,   175,    -1,
     176,    -1,   177,    -1,   179,    -1,   182,    -1,   184,    -1,
     186,    -1,   187,    -1,   188,    -1,   189,    -1,   190,    -1,
     192,    -1,   193,    -1,   194,    -1,   195,    -1,   197,    -1,
     199,    -1,   200,    -1,   201,    -1,   202,    -1,   203,    -1,
     205,    -1,   206,    -1,   207,    -1,   209,    -1,   210,    -1,
     212,    -1,   213,    -1,   214,    -1,   215,    -1,   217,    -1,
     218,    -1,   219,    -1,   222,    -1,   224,    -1,   226,    -1,
     228,    -1,   230,    -1,   234,    -1,   235,    -1,   236,    -1,
     238,    -1,   241,    -1,   242,    -1,   244,    -1,   245,    -1,
     247,    -1,   248,    -1,   250,    -1,   251,    -1,   252,    -1,
     254,    -1,   255,    -1,   256,    -1,   257,    -1,   258,    -1,
     259,    -1,   261,    -1,   265,    -1,   266,    -1,   267,    -1,
     273,    -1,   276,    -1,   278,    -1,   279,    -1,   280,    -1,
     281,    -1,   282,    -1,   283,    -1,   284,    -1,   288,    -1,
     291,    -1,   292,    -1,   293,    -1,   296,    -1,   297,    -1,
     298,    -1,   299,    -1,   300,    -1,   302,    -1,   303,    -1,
     304,    -1,   306,    -1,   307,    -1,   308,    -1,   312,    -1,
     313,    -1,   314,    -1,   317,    -1,   318,    -1,   320,    -1,
     323,    -1,   325,    -1,   326,    -1,   327,    -1,   329,    -1,
     332,    -1,   333,    -1,   334,    -1,   342,    -1,   343,    -1,
     344,    -1,   345,    -1,   346,    -1,   347,    -1,   348,    -1,
     350,    -1,   352,    -1,   354,    -1,   356,    -1,   357,    -1,
     355,    -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,
     363,    -1,   364,    -1,   365,    -1,   367,    -1,   368,    -1,
     369,    -1,   370,    -1,   372,    -1,   373,    -1,   374,    -1,
     375,    -1,   376,    -1,   377,    -1,   378,    -1,   379,    -1,
     380,    -1,   381,    -1,   382,    -1,   384,    -1,   385,    -1,
     387,    -1,   388,    -1,   389,    -1,   390,    -1,   392,    -1,
     393,    -1,   394,    -1,   395,    -1,   396,    -1,   397,    -1,
     399,    -1,   401,    -1,   402,    -1,   403,    -1,   404,    -1,
     405,    -1,   407,    -1,   409,    -1,   410,    -1,   412,    -1,
     415,    -1,   416,    -1,   417,    -1,   418,    -1,   419,    -1,
     420,    -1,   421,    -1,   422,    -1,   423,    -1,   424,    -1,
     427,    -1,   428,    -1,   430,    -1,   431,    -1,   432,    -1,
     433,    -1,   434,    -1,   435,    -1,   441,    -1,   443,    -1,
     446,    -1,   447,    -1,   448,    -1,   449,    -1,   450,    -1,
     451,    -1,   454,    -1,   455,    -1,   456,    -1,   457,    -1,
     458,    -1,   461,    -1,   462,    -1,   463,    -1,   464,    -1,
     465,    -1,   469,    -1,   471,    -1,   472,    -1,   473,    -1,
     476,    -1,   479,    -1,   480,    -1,   481,    -1,   482,    -1,
     483,    -1,   494,    -1,   495,    -1,   120,    -1,   121,    -1,
     123,    -1,   124,    -1,   136,    -1,   144,    -1,   180,    -1,
     181,    -1,   216,    -1,   220,    -1,   225,    -1,   239,    -1,
     263,    -1,   269,    -1,   271,    -1,   286,    -1,   309,    -1,
     311,    -1,   315,    -1,   322,    -1,   324,    -1,   337,    -1,
     341,    -1,   351,    -1,   353,    -1,   366,    -1,   391,    -1,
     408,    -1,   413,    -1,   425,    -1,   437,    -1,   438,    -1,
     442,    -1,   444,    -1,   467,    -1,   484,    -1,   485,    -1,
     486,    -1,   487,    -1,   488,    -1,   489,    -1,   490,    -1,
     491,    -1,   492,    -1,   115,    -1,   122,    -1,   152,    -1,
     164,    -1,   170,    -1,   231,    -1,   233,    -1,   249,    -1,
     262,    -1,   274,    -1,   275,    -1,   277,    -1,   287,    -1,
     289,    -1,   310,    -1,   319,    -1,   338,    -1,   339,    -1,
     340,    -1,   386,    -1,   411,    -1,   470,    -1,    99,    -1,
     103,    -1,   104,    -1,   105,    -1,   106,    -1,   107,    -1,
     108,    -1,   109,    -1,   112,    -1,   125,    -1,   131,    -1,
     132,    -1,   138,    -1,   145,    -1,   147,    -1,   155,    -1,
     163,    -1,   167,    -1,   168,    -1,   169,    -1,   171,    -1,
     172,    -1,   173,    -1,   183,    -1,   185,    -1,   191,    -1,
     196,    -1,   198,    -1,   204,    -1,   208,    -1,   211,    -1,
     221,    -1,   223,    -1,   227,    -1,   229,    -1,   232,    -1,
     237,    -1,   240,    -1,   243,    -1,   253,    -1,   260,    -1,
     270,    -1,   272,    -1,   285,    -1,   290,    -1,   294,    -1,
     295,    -1,   316,    -1,   321,    -1,   328,    -1,   330,    -1,
     331,    -1,   335,    -1,   336,    -1,   349,    -1,   358,    -1,
     371,    -1,   383,    -1,   400,    -1,   406,    -1,   414,    -1,
     426,    -1,   429,    -1,   436,    -1,   440,    -1,   445,    -1,
     453,    -1,   459,    -1,   460,    -1,   468,    -1,   474,    -1,
     475,    -1,   477,    -1,   478,    -1,    -1,  1075,  1076,    -1,
    1197,  1079,   522,   516,    -1,  1197,   522,   516,    -1,  1197,
    1099,    -1,  1104,    -1,  1216,    -1,    73,    -1,   518,    -1,
     519,    -1,    -1,   163,   594,   429,   632,   108,  1078,   920,
     636,    -1,   113,  1140,    -1,     9,   439,  1081,  1088,  1089,
      -1,     9,   439,   183,    -1,     9,  1090,    -1,   177,  1081,
      -1,  1082,  1085,  1087,    -1,  1083,   517,  1084,  1087,   506,
    1082,  1093,    -1,  1092,    -1,  1208,    -1,  1061,    -1,    -1,
    1210,  1204,    -1,    85,  1086,    -1,  1084,    -1,    -1,  1188,
      -1,  1188,   514,  1086,    -1,    74,    -1,   517,  1068,    -1,
      -1,   108,  1140,    -1,    -1,   459,  1090,    -1,    -1,  1091,
      -1,  1091,   506,  1091,    -1,  1091,    21,   126,  1091,    -1,
    1091,   460,  1091,    -1,  1069,    -1,  1208,    -1,  1202,    -1,
    1204,    -1,    85,  1094,    -1,    -1,  1188,  1095,    -1,  1188,
    1095,    85,  1094,    -1,    -1,   499,  1068,    -1,   499,  1210,
      -1,   499,  1202,    -1,  1060,    -1,  1092,    -1,   182,   917,
     918,   174,   919,   227,  1096,    -1,   215,   250,  1141,    -1,
    1100,    -1,  1111,    -1,  1113,    -1,   643,    -1,   515,   643,
      -1,    -1,   995,    -1,   493,   439,   301,    -1,   493,   439,
     398,    -1,   178,   439,   178,    -1,   305,   439,   305,    -1,
      -1,  1106,  1105,  1108,  1107,    -1,  1197,   119,   182,    34,
     516,    -1,  1197,   208,   182,    34,   516,    -1,    -1,  1109,
      -1,  1100,    -1,    73,    -1,  1109,  1100,    -1,  1109,    73,
      -1,  1113,    -1,  1110,  1113,    -1,    -1,    70,  1112,  1120,
    1136,  1192,   974,   516,    -1,    -1,  1117,  1120,  1114,  1133,
     516,    -1,    -1,  1120,  1115,  1133,   516,    -1,  1123,   516,
      -1,   517,  1068,    -1,    -1,  1118,  1119,    -1,  1118,    -1,
    1119,    -1,    56,    -1,    67,    -1,    65,    -1,    50,    -1,
      51,    -1,    69,    -1,  1129,    -1,  1125,    -1,  1121,    -1,
    1192,   512,  1101,  1102,   513,    -1,  1192,  1103,    -1,  1127,
      -1,   209,  1186,  1122,    -1,   209,  1122,    -1,   209,  1186,
      -1,   518,  1214,   519,    -1,    -1,  1127,  1124,   518,  1110,
     519,    -1,  1123,    -1,    -1,  1128,  1126,   518,  1110,   519,
      -1,    43,  1186,    -1,   452,  1186,    -1,    43,    -1,   452,
      -1,  1130,    -1,  1132,  1131,    -1,    44,    35,    -1,    44,
      35,   268,    -1,    44,    -1,    44,   268,    -1,    44,    25,
      -1,    44,    25,   268,    -1,    44,    25,    25,    -1,    44,
      25,    25,   268,    -1,    44,   135,    -1,    35,    -1,    35,
     268,    -1,   268,    -1,    25,    -1,    25,   268,    -1,    25,
      25,    -1,    25,    25,   268,    -1,     5,    -1,   135,    -1,
     201,    -1,    36,    -1,    -1,  1134,    -1,  1133,   515,  1134,
      -1,  1136,  1191,   974,  1116,  1135,    -1,    -1,   499,  1215,
      -1,    -1,   505,    -1,   505,   505,    -1,   182,   418,  1210,
      -1,    15,  1139,    -1,  1140,    -1,   166,    -1,    99,    -1,
      -1,  1061,    -1,   183,    -1,  1092,    -1,  1092,    -1,    71,
      -1,    17,   917,    -1,    17,    99,    -1,    28,   917,  1144,
      -1,    -1,  1145,    -1,   460,  1149,    -1,  1146,    -1,   460,
      37,    14,  1211,    -1,   460,    14,  1060,    -1,   272,    37,
      14,  1211,    -1,   272,    14,  1060,    -1,   272,  1060,    -1,
    1150,    -1,  1150,   515,  1149,    -1,  1151,    -1,  1202,    -1,
    1200,    -1,  1068,    -1,   503,  1068,    -1,   504,  1068,    -1,
    1207,    -1,   503,  1207,    -1,   504,  1207,    -1,  1208,    -1,
    1206,    -1,  1209,    -1,    13,   264,  1096,  1146,    -1,    13,
    1153,  1096,  1146,    -1,    13,  1153,  1096,  1147,    -1,    13,
     264,  1096,  1148,    -1,    13,  1153,  1096,  1148,    -1,    29,
      -1,    -1,     3,    14,  1211,    -1,   179,    14,  1211,    -1,
      18,    14,  1211,  1157,    -1,  1158,    -1,  1157,   515,  1158,
      -1,  1204,   499,  1163,    -1,   407,    14,  1211,  1160,    -1,
    1161,    -1,  1160,   515,  1161,    -1,  1163,   499,  1162,    -1,
    1068,    -1,  1204,    -1,    10,    -1,    18,    14,  1211,   465,
    1162,  1165,    -1,  1166,    -1,  1165,   515,  1166,    -1,  1204,
     499,  1171,    -1,   407,    14,  1211,   465,  1162,  1168,    -1,
    1169,    -1,  1168,   515,  1169,    -1,  1171,   499,  1170,    -1,
    1207,    -1,  1162,    -1,   504,  1207,    -1,   504,  1068,    -1,
    1208,    -1,     8,    -1,   176,    -1,    11,    -1,    12,    -1,
      22,    -1,    23,    -1,    24,    -1,   307,    -1,    26,    -1,
      27,    -1,   353,    -1,    31,    -1,    32,    -1,    33,    -1,
     448,    -1,   407,     4,   499,  1173,    -1,   407,     4,   439,
    1173,    -1,   330,    -1,   327,    -1,   407,   154,   439,  1140,
      -1,   407,   154,   499,  1140,    -1,   407,   154,  1140,    -1,
      -1,   448,  1176,  1192,   274,  1120,   974,  1177,    -1,    30,
      -1,    -1,    -1,    45,  1179,  1190,   274,  1120,   974,  1177,
      -1,    46,    38,  1181,    -1,    46,   316,    16,  1181,    -1,
      46,    40,  1181,    -1,   158,    -1,    39,    -1,    42,    -1,
      20,  1060,    -1,    19,   439,  1060,    -1,   198,  1060,   512,
    1198,   513,    -1,   198,     6,    -1,     7,  1060,   512,  1198,
     513,    -1,     7,  1060,    -1,  1183,    -1,  1184,    -1,     6,
      -1,     7,    -1,     8,    -1,    10,    -1,    11,    -1,    12,
      -1,    16,    -1,    19,    -1,    20,    -1,    21,    -1,    22,
      -1,    23,    -1,    24,    -1,    26,    -1,    27,    -1,    31,
      -1,    32,    -1,    33,    -1,    34,    -1,    37,    -1,    38,
      -1,    39,    -1,    40,    -1,    42,    -1,     9,    -1,    13,
      -1,    15,    -1,    28,    -1,    45,    -1,    46,    -1,     5,
      -1,    25,    -1,    29,    -1,    35,    -1,    43,    -1,    36,
      -1,    44,    -1,  1190,    -1,  1210,    -1,  1071,    -1,  1072,
      -1,  1195,    -1,  1182,    -1,  1193,    -1,   135,    -1,   466,
      -1,  1210,    -1,  1194,    -1,  1072,    -1,  1182,    -1,  1193,
      -1,   135,    -1,   466,    -1,  1210,    -1,  1194,    -1,  1073,
      -1,  1182,    -1,  1193,    -1,  1185,    -1,  1191,    -1,  1185,
      -1,   135,    -1,   166,    -1,   264,    -1,   268,    -1,   439,
      -1,   452,    -1,   466,    -1,  1193,    -1,  1195,    -1,  1192,
      -1,  1071,    -1,  1074,    -1,  1184,    -1,   154,    -1,  1210,
      -1,  1072,    -1,  1073,    -1,  1183,    -1,    50,    -1,    51,
      -1,    56,    -1,    65,    -1,    67,    -1,    70,    -1,    69,
      -1,  1071,    -1,  1195,    -1,   154,    -1,   178,    -1,   246,
      -1,   301,    -1,   305,    -1,   398,    -1,   493,    -1,  1199,
      -1,  1196,   515,  1199,    -1,    41,    -1,    -1,  1214,    -1,
    1204,  1203,    -1,  1204,    -1,  1204,  1203,    -1,  1092,    -1,
    1204,    -1,  1204,    -1,    22,  1204,    -1,    22,  1060,    -1,
      72,    -1,    87,    -1,    83,    -1,    81,    -1,    82,    -1,
      76,    -1,    77,    -1,    78,    -1,    75,    -1,    84,    -1,
      80,    -1,    71,    -1,    79,    -1,  1060,    -1,  1092,    -1,
    1217,    -1,   512,   513,    -1,   512,  1213,   513,    -1,  1212,
      -1,  1213,  1212,    -1,  1215,    -1,  1214,   515,  1215,    -1,
    1213,    -1,   518,  1214,   519,    -1,  1217,    -1,   512,    -1,
     513,    -1,   515,    -1,   516,    -1,  1210,    -1,  1068,    -1,
    1207,    -1,  1208,    -1,   505,    -1,   503,    -1,   504,    -1,
     506,    -1,   507,    -1,   321,    -1,    47,    -1,    48,    -1,
      49,    -1,    50,    -1,    51,    -1,    52,    -1,    53,    -1,
      54,    -1,    55,    -1,    56,    -1,    57,    -1,    58,    -1,
      60,    -1,    59,    -1,    61,    -1,    62,    -1,    63,    -1,
      64,    -1,    65,    -1,    66,    -1,    67,    -1,    68,    -1,
      70,    -1,    69,    -1,     5,    -1,   209,    -1,   246,    -1,
     268,    -1,    25,    -1,   301,    -1,   305,    -1,   398,    -1,
      35,    -1,    36,    -1,    43,    -1,    44,    -1,   493,    -1,
     135,    -1,   225,    -1,   439,    -1,   452,    -1,   467,    -1,
     510,    -1,   511,    -1,   499,    -1,   517,    -1,   179,  1096,
      -1,   179,   356,  1096,    -1,   179,    99,    -1,   179,   356,
      99,    -1,  1068,    -1,   512,  1219,   513,    -1,  1219,   503,
    1219,    -1,  1219,   504,  1219,    -1,  1219,   505,  1219,    -1,
    1219,   506,  1219,    -1,  1219,   507,  1219,    -1,  1208,    -1,
    1188,    -1,    -1,  1145,  1221,    -1,  1221,  1145,    -1,  1145,
      -1,  1221,    -1,   272,  1196,    -1,  1147,    -1,  1221,    -1,
    1146,    -1,    -1,  1222,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1393,  1393,  1396,  1398,  1400,  1402,  1404,  1406,  1408,
    1410,  1412,  1414,  1416,  1418,  1420,  1422,  1424,  1426,  1428,
    1430,  1432,  1434,  1436,  1438,  1440,  1442,  1444,  1446,  1448,
    1450,  1452,  1454,  1472,  1474,  1476,  1478,  1480,  1482,  1484,
    1486,  1488,  1490,  1492,  1494,  1496,  1498,  1500,  1502,  1504,
    1506,  1508,  1510,  1512,  1514,  1516,  1518,  1520,  1522,  1524,
    1526,  1528,  1530,  1532,  1536,  1538,  1540,  1542,  1544,  1546,
    1548,  1550,  1552,  1554,  1556,  1558,  1560,  1562,  1564,  1566,
    1568,  1570,  1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,
    1588,  1590,  1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,
    1608,  1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,
    1633,  1635,  1637,  1643,  1645,  1647,  1649,  1651,  1653,  1655,
    1657,  1659,  1665,  1675,  1679,  1685,  1689,  1699,  1709,  1710,
    1724,  1731,  1737,  1748,  1754,  1763,  1770,  1776,  1785,  1792,
    1800,  1805,  1813,  1818,  1824,  1829,  1835,  1840,  1846,  1850,
    1854,  1858,  1862,  1866,  1870,  1874,  1878,  1882,  1890,  1894,
    1898,  1902,  1906,  1910,  1918,  1926,  1935,  1937,  1945,  1953,
    1961,  1969,  1973,  1981,  1985,  1993,  2001,  2009,  2013,  2021,
    2025,  2033,  2037,  2045,  2050,  2056,  2061,  2067,  2071,  2075,
    2079,  2083,  2087,  2095,  2099,  2103,  2111,  2115,  2119,  2123,
    2127,  2131,  2135,  2139,  2143,  2148,  2152,  2156,  2160,  2164,
    2168,  2176,  2180,  2188,  2192,  2200,  2204,  2218,  2222,  2226,
    2230,  2238,  2242,  2246,  2250,  2258,  2262,  2266,  2270,  2274,
    2278,  2282,  2290,  2294,  2299,  2305,  2309,  2317,  2321,  2325,
    2329,  2333,  2341,  2345,  2353,  2357,  2361,  2365,  2369,  2378,
    2386,  2390,  2398,  2402,  2410,  2418,  2422,  2426,  2430,  2438,
    2442,  2446,  2450,  2458,  2462,  2470,  2474,  2478,  2482,  2486,
    2490,  2494,  2498,  2502,  2506,  2510,  2514,  2518,  2522,  2526,
    2530,  2534,  2538,  2542,  2546,  2550,  2554,  2558,  2562,  2566,
    2570,  2574,  2578,  2582,  2586,  2590,  2594,  2598,  2602,  2606,
    2610,  2614,  2618,  2622,  2626,  2630,  2638,  2642,  2650,  2654,
    2659,  2665,  2670,  2676,  2681,  2687,  2695,  2700,  2706,  2710,
    2718,  2722,  2726,  2730,  2738,  2746,  2750,  2758,  2762,  2766,
    2770,  2778,  2783,  2791,  2802,  2813,  2817,  2825,  2829,  2833,
    2841,  2845,  2853,  2858,  2864,  2868,  2872,  2876,  2880,  2884,
    2888,  2892,  2896,  2900,  2904,  2908,  2916,  2921,  2927,  2932,
    2938,  2943,  2949,  2954,  2960,  2964,  2972,  2980,  2984,  2988,
    2992,  2997,  3003,  3007,  3015,  3023,  3027,  3031,  3035,  3043,
    3047,  3051,  3055,  3059,  3063,  3067,  3072,  3078,  3083,  3089,
    3094,  3100,  3104,  3112,  3116,  3124,  3128,  3132,  3140,  3144,
    3152,  3160,  3168,  3173,  3179,  3183,  3187,  3191,  3199,  3203,
    3207,  3211,  3215,  3219,  3223,  3231,  3235,  3239,  3243,  3251,
    3259,  3263,  3268,  3274,  3278,  3282,  3286,  3290,  3294,  3302,
    3306,  3314,  3318,  3322,  3326,  3330,  3334,  3338,  3346,  3351,
    3357,  3361,  3369,  3377,  3381,  3386,  3391,  3397,  3401,  3409,
    3413,  3421,  3426,  3432,  3436,  3440,  3444,  3449,  3455,  3463,
    3471,  3475,  3479,  3483,  3487,  3495,  3500,  3506,  3510,  3514,
    3519,  3525,  3529,  3533,  3538,  3544,  3549,  3555,  3559,  3567,
    3571,  3575,  3579,  3584,  3590,  3594,  3599,  3605,  3610,  3616,
    3624,  3632,  3637,  3643,  3647,  3655,  3663,  3667,  3672,  3678,
    3686,  3694,  3699,  3705,  3709,  3717,  3721,  3725,  3729,  3733,
    3737,  3741,  3745,  3749,  3753,  3757,  3761,  3769,  3774,  3780,
    3784,  3788,  3796,  3800,  3808,  3812,  3820,  3825,  3831,  3835,
    3843,  3848,  3854,  3858,  3866,  3871,  3877,  3881,  3889,  3894,
    3900,  3908,  3913,  3919,  3923,  3931,  3935,  3943,  3948,  3954,
    3958,  3962,  3970,  3978,  3983,  3989,  3997,  4001,  4005,  4009,
    4013,  4017,  4021,  4025,  4029,  4033,  4037,  4041,  4045,  4049,
    4053,  4057,  4061,  4065,  4069,  4073,  4077,  4081,  4089,  4097,
    4101,  4105,  4109,  4117,  4121,  4129,  4134,  4140,  4144,  4152,
    4156,  4164,  4169,  4175,  4179,  4187,  4195,  4199,  4207,  4211,
    4215,  4219,  4227,  4235,  4243,  4251,  4259,  4264,  4270,  4274,
    4282,  4287,  4293,  4297,  4305,  4309,  4313,  4321,  4325,  4333,
    4337,  4345,  4349,  4357,  4365,  4373,  4381,  4385,  4389,  4397,
    4401,  4409,  4417,  4421,  4429,  4433,  4437,  4445,  4449,  4457,
    4461,  4465,  4469,  4473,  4481,  4486,  4492,  4497,  4503,  4507,
    4515,  4520,  4526,  4530,  4535,  4541,  4545,  4549,  4553,  4561,
    4566,  4573,  4575,  4583,  4587,  4591,  4595,  4599,  4607,  4611,
    4619,  4628,  4637,  4641,  4645,  4649,  4653,  4657,  4661,  4665,
    4669,  4673,  4677,  4681,  4685,  4693,  4701,  4705,  4713,  4717,
    4725,  4729,  4733,  4737,  4741,  4749,  4753,  4761,  4769,  4773,
    4781,  4789,  4794,  4800,  4804,  4812,  4816,  4820,  4828,  4836,
    4840,  4848,  4852,  4856,  4860,  4864,  4872,  4877,  4883,  4888,
    4894,  4898,  4903,  4909,  4915,  4921,  4929,  4933,  4941,  4945,
    4953,  4957,  4965,  4969,  4977,  4981,  4989,  4997,  5005,  5009,
    5017,  5021,  5025,  5029,  5033,  5037,  5041,  5045,  5049,  5053,
    5057,  5061,  5065,  5069,  5073,  5081,  5085,  5093,  5097,  5105,
    5109,  5117,  5125,  5129,  5134,  5140,  5144,  5148,  5152,  5156,
    5160,  5164,  5168,  5172,  5176,  5180,  5184,  5188,  5192,  5196,
    5200,  5204,  5212,  5216,  5220,  5224,  5228,  5232,  5236,  5240,
    5244,  5248,  5252,  5256,  5260,  5264,  5268,  5272,  5276,  5284,
    5288,  5296,  5300,  5304,  5308,  5312,  5320,  5325,  5331,  5335,
    5339,  5343,  5347,  5351,  5355,  5359,  5367,  5371,  5379,  5383,
    5387,  5391,  5397,  5403,  5409,  5415,  5421,  5427,  5433,  5443,
    5454,  5465,  5476,  5487,  5498,  5509,  5525,  5541,  5557,  5568,
    5584,  5595,  5611,  5626,  5630,  5638,  5643,  5649,  5657,  5661,
    5669,  5673,  5677,  5681,  5685,  5693,  5697,  5705,  5709,  5713,
    5717,  5725,  5729,  5733,  5737,  5741,  5745,  5749,  5753,  5757,
    5761,  5765,  5769,  5773,  5777,  5785,  5789,  5797,  5801,  5809,
    5814,  5820,  5824,  5832,  5840,  5848,  5852,  5860,  5865,  5871,
    5876,  5882,  5890,  5895,  5901,  5905,  5909,  5917,  5921,  5925,
    5933,  5937,  5941,  5949,  5957,  5962,  5968,  5973,  5979,  5984,
    5990,  5995,  6001,  6005,  6013,  6017,  6021,  6029,  6034,  6040,
    6044,  6049,  6055,  6059,  6064,  6070,  6074,  6079,  6085,  6089,
    6093,  6101,  6106,  6112,  6116,  6124,  6128,  6136,  6140,  6148,
    6152,  6160,  6164,  6168,  6172,  6176,  6184,  6188,  6192,  6196,
    6200,  6208,  6216,  6224,  6228,  6232,  6240,  6244,  6248,  6256,
    6260,  6268,  6272,  6276,  6280,  6284,  6288,  6292,  6296,  6300,
    6304,  6308,  6312,  6316,  6324,  6328,  6332,  6336,  6344,  6348,
    6356,  6361,  6367,  6375,  6379,  6387,  6395,  6399,  6407,  6412,
    6418,  6422,  6430,  6434,  6442,  6446,  6454,  6458,  6462,  6466,
    6474,  6478,  6486,  6494,  6498,  6506,  6510,  6518,  6522,  6526,
    6534,  6538,  6543,  6549,  6557,  6562,  6568,  6572,  6576,  6584,
    6588,  6596,  6601,  6607,  6611,  6615,  6619,  6623,  6627,  6631,
    6635,  6639,  6643,  6647,  6651,  6655,  6659,  6663,  6667,  6671,
    6675,  6679,  6683,  6687,  6691,  6695,  6699,  6703,  6707,  6711,
    6715,  6719,  6727,  6732,  6738,  6743,  6749,  6753,  6757,  6761,
    6765,  6769,  6773,  6777,  6781,  6785,  6789,  6793,  6797,  6801,
    6805,  6809,  6813,  6817,  6825,  6829,  6833,  6837,  6841,  6845,
    6849,  6853,  6857,  6861,  6865,  6869,  6873,  6877,  6881,  6885,
    6889,  6893,  6901,  6909,  6913,  6917,  6925,  6929,  6937,  6941,
    6945,  6949,  6953,  6961,  6966,  6972,  6976,  6980,  6984,  6992,
    6996,  7001,  7007,  7011,  7019,  7027,  7032,  7038,  7046,  7050,
    7058,  7062,  7066,  7070,  7074,  7078,  7082,  7086,  7090,  7094,
    7098,  7102,  7106,  7110,  7118,  7122,  7127,  7133,  7137,  7141,
    7145,  7149,  7157,  7161,  7165,  7173,  7178,  7184,  7188,  7196,
    7201,  7206,  7212,  7218,  7226,  7234,  7239,  7245,  7249,  7253,
    7257,  7261,  7265,  7269,  7273,  7277,  7281,  7285,  7289,  7293,
    7297,  7301,  7305,  7313,  7318,  7324,  7328,  7336,  7344,  7349,
    7355,  7363,  7367,  7375,  7383,  7387,  7391,  7395,  7399,  7407,
    7412,  7418,  7426,  7430,  7434,  7438,  7442,  7446,  7454,  7462,
    7466,  7470,  7478,  7483,  7489,  7493,  7497,  7501,  7505,  7513,
    7517,  7525,  7529,  7533,  7537,  7545,  7549,  7557,  7561,  7569,
    7574,  7580,  7585,  7591,  7596,  7602,  7607,  7613,  7621,  7626,
    7632,  7640,  7648,  7656,  7660,  7668,  7676,  7684,  7692,  7700,
    7704,  7708,  7712,  7720,  7724,  7728,  7732,  7736,  7740,  7744,
    7752,  7756,  7764,  7772,  7776,  7780,  7788,  7792,  7797,  7803,
    7811,  7819,  7823,  7827,  7835,  7839,  7844,  7850,  7854,  7859,
    7865,  7871,  7881,  7886,  7892,  7896,  7900,  7904,  7912,  7914,
    7922,  7927,  7933,  7941,  7945,  7949,  7957,  7961,  7969,  7977,
    7982,  7988,  7996,  8001,  8007,  8015,  8020,  8026,  8030,  8034,
    8038,  8042,  8046,  8050,  8054,  8062,  8067,  8073,  8081,  8085,
    8093,  8097,  8105,  8113,  8121,  8129,  8133,  8141,  8194,  8198,
    8211,  8213,  8217,  8221,  8225,  8234,  8240,  8244,  8252,  8256,
    8264,  8268,  8276,  8280,  8284,  8288,  8292,  8296,  8300,  8304,
    8312,  8316,  8324,  8328,  8332,  8336,  8340,  8344,  8352,  8356,
    8364,  8368,  8376,  8384,  8389,  8395,  8400,  8402,  8408,  8412,
    8416,  8420,  8424,  8428,  8432,  8436,  8440,  8448,  8453,  8459,
    8463,  8468,  8474,  8478,  8482,  8487,  8493,  8498,  8504,  8512,
    8516,  8524,  8528,  8536,  8540,  8544,  8548,  8556,  8561,  8567,
    8571,  8576,  8584,  8588,  8596,  8600,  8608,  8616,  8620,  8625,
    8631,  8639,  8643,  8651,  8655,  8663,  8668,  8674,  8679,  8685,
    8689,  8697,  8702,  8708,  8712,  8720,  8724,  8732,  8737,  8743,
    8747,  8755,  8760,  8766,  8770,  8778,  8782,  8786,  8790,  8794,
    8798,  8802,  8806,  8812,  8816,  8820,  8828,  8832,  8836,  8840,
    8844,  8848,  8856,  8860,  8864,  8868,  8876,  8880,  8884,  8888,
    8896,  8901,  8907,  8911,  8919,  8923,  8927,  8931,  8939,  8943,
    8951,  8955,  8959,  8967,  8975,  8980,  8986,  8990,  8996,  9002,
    9007,  9013,  9017,  9025,  9033,  9035,  9037,  9041,  9045,  9049,
    9057,  9067,  9078,  9087,  9091,  9095,  9099,  9103,  9107,  9111,
    9119,  9123,  9127,  9131,  9139,  9143,  9151,  9156,  9162,  9166,
    9170,  9174,  9178,  9182,  9186,  9190,  9194,  9198,  9202,  9210,
    9215,  9221,  9225,  9233,  9237,  9245,  9253,  9261,  9265,  9273,
    9277,  9285,  9293,  9301,  9305,  9309,  9313,  9317,  9321,  9329,
    9334,  9340,  9345,  9351,  9355,  9359,  9363,  9371,  9379,  9383,
    9388,  9394,  9398,  9402,  9406,  9410,  9414,  9418,  9422,  9426,
    9430,  9434,  9438,  9442,  9447,  9453,  9457,  9465,  9469,  9473,
    9477,  9481,  9485,  9489,  9493,  9497,  9501,  9505,  9509,  9513,
    9517,  9521,  9525,  9529,  9533,  9537,  9541,  9545,  9549,  9553,
    9557,  9561,  9565,  9569,  9573,  9577,  9581,  9585,  9589,  9593,
    9597,  9601,  9605,  9609,  9613,  9617,  9621,  9625,  9629,  9633,
    9637,  9641,  9645,  9649,  9653,  9657,  9661,  9665,  9669,  9673,
    9677,  9681,  9685,  9689,  9694,  9698,  9706,  9710,  9714,  9718,
    9722,  9726,  9730,  9734,  9738,  9742,  9746,  9750,  9754,  9758,
    9762,  9766,  9770,  9774,  9778,  9782,  9786,  9790,  9798,  9802,
    9806,  9810,  9814,  9818,  9822,  9826,  9830,  9834,  9838,  9846,
    9850,  9854,  9858,  9862,  9866,  9870,  9874,  9878,  9882,  9886,
    9890,  9894,  9898,  9902,  9906,  9910,  9914,  9918,  9922,  9926,
    9930,  9934,  9938,  9942,  9946,  9950,  9954,  9958,  9962,  9966,
    9970,  9974,  9978,  9982,  9986,  9990,  9994,  9998, 10002, 10006,
   10010, 10014, 10018, 10022, 10026, 10030, 10034, 10038, 10046, 10050,
   10058, 10062, 10066, 10071, 10077, 10085, 10089, 10097, 10101, 10109,
   10113, 10121, 10125, 10130, 10136, 10140, 10144, 10148, 10156, 10161,
   10167, 10171, 10179, 10187, 10191, 10196, 10202, 10210, 10214, 10221,
   10226, 10232, 10237, 10242, 10248, 10252, 10260, 10264, 10268, 10272,
   10276, 10284, 10288, 10292, 10300, 10304, 10308, 10316, 10320, 10328,
   10332, 10336, 10340, 10344, 10348, 10352, 10356, 10360, 10368, 10372,
   10380, 10384, 10392, 10396, 10400, 10404, 10408, 10412, 10420, 10424,
   10432, 10436, 10444, 10448, 10456, 10460, 10468, 10472, 10476, 10484,
   10488, 10496, 10501, 10507, 10511, 10515, 10519, 10523, 10527, 10531,
   10535, 10543, 10547, 10555, 10563, 10568, 10574, 10578, 10582, 10586,
   10590, 10595, 10601, 10609, 10617, 10621, 10625, 10633, 10637, 10645,
   10653, 10657, 10665, 10673, 10678, 10684, 10689, 10695, 10699, 10707,
   10711, 10715, 10719, 10727, 10731, 10740, 10742, 10750, 10755, 10761,
   10765, 10773, 10777, 10785, 10793, 10797, 10805, 10809, 10813, 10817,
   10825, 10829, 10837, 10841, 10849, 10853, 10861, 10869, 10877, 10885,
   10893, 10901, 10909, 10913, 10921, 10925, 10929, 10933, 10937, 10941,
   10945, 10949, 10953, 10957, 10961, 10965, 10969, 10973, 10974, 10979,
   10985, 10993, 10997, 10998, 11002, 11010, 11014, 11018, 11022, 11026,
   11030, 11034, 11038, 11042, 11046, 11050, 11054, 11058, 11062, 11066,
   11070, 11074, 11078, 11082, 11086, 11090, 11094, 11098, 11102, 11106,
   11110, 11114, 11118, 11122, 11126, 11130, 11134, 11138, 11142, 11146,
   11150, 11154, 11158, 11162, 11166, 11170, 11174, 11178, 11182, 11186,
   11190, 11194, 11198, 11202, 11206, 11210, 11214, 11218, 11222, 11226,
   11230, 11234, 11238, 11242, 11246, 11250, 11254, 11258, 11262, 11266,
   11270, 11274, 11278, 11282, 11286, 11290, 11294, 11298, 11302, 11306,
   11310, 11314, 11318, 11322, 11326, 11330, 11334, 11338, 11342, 11346,
   11350, 11354, 11358, 11362, 11366, 11370, 11374, 11378, 11382, 11386,
   11390, 11394, 11398, 11402, 11406, 11410, 11414, 11418, 11422, 11426,
   11430, 11434, 11438, 11442, 11446, 11450, 11454, 11458, 11462, 11466,
   11470, 11474, 11478, 11482, 11486, 11490, 11494, 11498, 11502, 11506,
   11510, 11514, 11518, 11522, 11526, 11530, 11534, 11538, 11542, 11546,
   11550, 11554, 11558, 11562, 11566, 11570, 11574, 11578, 11582, 11586,
   11590, 11594, 11598, 11602, 11606, 11610, 11614, 11618, 11622, 11626,
   11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658, 11662, 11666,
   11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698, 11702, 11706,
   11710, 11714, 11718, 11722, 11726, 11730, 11734, 11738, 11742, 11746,
   11750, 11754, 11758, 11762, 11766, 11770, 11774, 11778, 11782, 11786,
   11790, 11794, 11798, 11802, 11806, 11810, 11814, 11818, 11822, 11826,
   11830, 11834, 11838, 11842, 11846, 11850, 11854, 11858, 11862, 11866,
   11870, 11874, 11878, 11882, 11886, 11890, 11894, 11898, 11902, 11906,
   11910, 11914, 11918, 11922, 11926, 11930, 11934, 11938, 11942, 11946,
   11950, 11954, 11958, 11962, 11966, 11970, 11974, 11978, 11982, 11986,
   11990, 11994, 11998, 12002, 12006, 12010, 12018, 12022, 12026, 12030,
   12034, 12038, 12042, 12046, 12050, 12054, 12058, 12062, 12066, 12070,
   12074, 12078, 12082, 12086, 12090, 12094, 12098, 12102, 12106, 12110,
   12114, 12118, 12122, 12126, 12130, 12134, 12138, 12142, 12146, 12150,
   12154, 12158, 12162, 12166, 12170, 12174, 12178, 12182, 12186, 12190,
   12198, 12202, 12206, 12210, 12214, 12218, 12222, 12226, 12230, 12234,
   12238, 12242, 12246, 12250, 12254, 12258, 12262, 12266, 12270, 12274,
   12278, 12282, 12290, 12294, 12298, 12302, 12306, 12310, 12314, 12318,
   12322, 12326, 12330, 12334, 12338, 12342, 12346, 12350, 12354, 12358,
   12362, 12366, 12370, 12374, 12378, 12382, 12386, 12390, 12394, 12398,
   12402, 12406, 12410, 12414, 12418, 12422, 12426, 12430, 12434, 12438,
   12442, 12446, 12450, 12454, 12458, 12462, 12466, 12470, 12474, 12478,
   12482, 12486, 12490, 12494, 12498, 12502, 12506, 12510, 12514, 12518,
   12522, 12526, 12530, 12534, 12538, 12542, 12546, 12550, 12554, 12558,
   12562, 12566, 12570, 12574, 12578, 12582, 12592, 12593, 12596, 12597,
   12598, 12604, 12605, 12606, 12607, 12608, 12621, 12621, 12630, 12646,
   12648, 12651, 12653, 12657, 12669, 12685, 12689, 12700, 12701, 12704,
   12716, 12725, 12726, 12729, 12730, 12731, 12734, 12735, 12738, 12739,
   12742, 12743, 12746, 12748, 12750, 12752, 12756, 12763, 12770, 12786,
   12820, 12830, 12833, 12835, 12848, 12849, 12851, 12853, 12857, 12870,
   12877, 12938, 12947, 12949, 12950, 12953, 12955, 12956, 12959, 12960,
   12961, 12962, 12963, 12970, 12969, 12979, 12981, 12983, 12984, 12987,
   12988, 12989, 12990, 12993, 12994, 12998, 12997, 13014, 13012, 13028,
   13027, 13041, 13047, 13048, 13051, 13053, 13054, 13057, 13058, 13059,
   13060, 13063, 13064, 13067, 13075, 13092, 13100, 13123, 13229, 13263,
   13265, 13267, 13271, 13275, 13274, 13325, 13327, 13326, 13341, 13347,
   13354, 13359, 13362, 13363, 13366, 13367, 13368, 13369, 13370, 13371,
   13372, 13380, 13388, 13391, 13392, 13393, 13394, 13395, 13396, 13404,
   13412, 13413, 13414, 13417, 13418, 13421, 13423, 13427, 13515, 13516,
   13523, 13524, 13525, 13531, 13540, 13543, 13544, 13545, 13546, 13549,
   13550, 13551, 13554, 13556, 13564, 13565, 13571, 13579, 13580, 13583,
   13584, 13587, 13592, 13599, 13604, 13611, 13618, 13618, 13620, 13627,
   13628, 13631, 13632, 13633, 13634, 13635, 13636, 13637, 13638, 13639,
   13645, 13652, 13664, 13670, 13677, 13685, 13686, 13698, 13709, 13720,
   13724, 13725, 13728, 13733, 13737, 13738, 13741, 13747, 13755, 13758,
   13765, 13769, 13770, 13773, 13776, 13780, 13781, 13784, 13790, 13798,
   13799, 13808, 13817, 13829, 13830, 13831, 13832, 13833, 13834, 13835,
   13836, 13837, 13838, 13839, 13840, 13841, 13842, 13843, 13850, 13851,
   13854, 13855, 13862, 13863, 13864, 13871, 13870, 13887, 13888, 13895,
   13894, 13964, 13970, 13976, 13984, 13990, 13996, 14002, 14008, 14014,
   14020, 14026, 14032, 14043, 14044, 14047, 14048, 14049, 14050, 14051,
   14052, 14053, 14054, 14055, 14056, 14057, 14058, 14059, 14060, 14061,
   14062, 14063, 14064, 14065, 14066, 14067, 14068, 14069, 14070, 14073,
   14074, 14075, 14076, 14077, 14078, 14082, 14083, 14084, 14085, 14086,
   14087, 14088, 14091, 14094, 14095, 14096, 14097, 14098, 14099, 14100,
   14101, 14114, 14115, 14116, 14117, 14118, 14119, 14120, 14125, 14126,
   14127, 14128, 14129, 14130, 14136, 14137, 14138, 14139, 14140, 14141,
   14142, 14143, 14144, 14145, 14146, 14149, 14150, 14151, 14152, 14153,
   14156, 14157, 14158, 14159, 14162, 14163, 14164, 14165, 14166, 14167,
   14168, 14185, 14186, 14187, 14190, 14191, 14192, 14193, 14194, 14195,
   14199, 14199, 14202, 14208, 14209, 14212, 14214, 14219, 14229, 14240,
   14247, 14248, 14249, 14252, 14285, 14287, 14289, 14292, 14302, 14312,
   14322, 14323, 14326, 14328, 14329, 14330, 14333, 14335, 14343, 14344,
   14345, 14349, 14350, 14354, 14355, 14358, 14359, 14362, 14363, 14364,
   14365, 14366, 14369, 14370, 14371, 14372, 14373, 14374, 14375, 14376,
   14377, 14378, 14379, 14380, 14381, 14382, 14383, 14384, 14385, 14386,
   14387, 14388, 14389, 14390, 14391, 14392, 14393, 14394, 14395, 14396,
   14397, 14398, 14399, 14400, 14401, 14402, 14403, 14404, 14405, 14406,
   14407, 14408, 14409, 14410, 14411, 14412, 14413, 14414, 14415, 14416,
   14417, 14418, 14419, 14420, 14421, 14422, 14423, 14424, 14427, 14428,
   14429, 14430, 14433, 14434, 14435, 14436, 14437, 14438, 14439, 14440,
   14441, 14444, 14445, 14446, 14447, 14448, 14451, 14452, 14455, 14456,
   14467, 14468
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BARRIER", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLEAN", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COORDINATOR", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DIRECT", "DISABLE_P", "DISCARD", "DISTINCT", "DISTRIBUTE", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HASH", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MODULO", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NODE", "NONE",
  "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF",
  "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON",
  "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER",
  "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS",
  "POSITION", "PRECEDING", "PRECISION", "PREFERRED", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "REPLICATION", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROBIN", "ROLE",
  "ROLLBACK", "ROUND", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT",
  "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT",
  "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT",
  "XMLSERIALIZE", "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST",
  "WITH_TIME", "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','",
  "';'", "':'", "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding", "ColId_or_Sconst",
  "VariableResetStmt", "SetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "DistributeByHash", "OptDistributeBy",
  "OptSubCluster", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "BarrierStmt",
  "opt_barrier_id", "CreateNodeStmt", "pgxcnode_name", "pgxcgroup_name",
  "pgxcnode_list", "AlterNodeStmt", "DropNodeStmt", "CreateNodeGroupStmt",
  "DropNodeGroupStmt", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "ExecDirectStmt", "DirectStmt", "CleanConnStmt",
  "CleanConnDbName", "CleanConnUserName", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,    61,
      60,    62,   754,    43,    45,    42,    47,    37,    94,   755,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   520,   521,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   523,   524,   524,   525,   525,   526,   526,   527,   527,
     527,   527,   527,   527,   527,   527,   527,   527,   528,   528,
     528,   528,   528,   528,   529,   530,   531,   531,   532,   533,
     534,   535,   535,   536,   536,   537,   538,   539,   539,   540,
     540,   541,   541,   542,   542,   543,   543,   544,   544,   544,
     544,   544,   544,   545,   545,   545,   546,   546,   546,   546,
     546,   546,   546,   546,   546,   546,   546,   546,   546,   546,
     546,   547,   547,   548,   548,   549,   549,   550,   550,   550,
     550,   551,   551,   551,   551,   552,   552,   552,   552,   552,
     552,   552,   553,   553,   553,   554,   554,   555,   555,   555,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   558,
     559,   559,   560,   560,   561,   562,   562,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   565,   566,   566,   567,   567,
     567,   568,   568,   569,   569,   570,   571,   571,   572,   572,
     573,   573,   573,   573,   574,   575,   575,   576,   576,   576,
     576,   577,   577,   578,   578,   579,   579,   580,   580,   580,
     581,   581,   582,   582,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   584,   584,   585,   585,
     586,   586,   587,   587,   588,   588,   589,   590,   590,   590,
     590,   590,   591,   591,   592,   593,   593,   593,   593,   594,
     594,   594,   594,   594,   594,   594,   594,   595,   595,   596,
     596,   597,   597,   598,   598,   599,   599,   599,   600,   600,
     601,   602,   603,   603,   604,   604,   604,   604,   605,   605,
     605,   605,   605,   605,   605,   606,   606,   606,   606,   607,
     608,   608,   608,   609,   609,   609,   609,   609,   609,   610,
     610,   611,   611,   611,   611,   611,   611,   611,   612,   612,
     613,   613,   614,   615,   615,   615,   615,   616,   616,   617,
     617,   618,   618,   619,   619,   619,   619,   619,   620,   621,
     622,   622,   622,   622,   622,   623,   623,   624,   624,   624,
     624,   625,   625,   625,   625,   626,   626,   627,   627,   628,
     628,   628,   628,   628,   629,   629,   629,   630,   630,   631,
     632,   633,   633,   634,   634,   635,   636,   636,   636,   637,
     638,   639,   639,   640,   640,   641,   641,   641,   641,   641,
     641,   641,   641,   641,   641,   641,   641,   642,   642,   643,
     643,   643,   644,   644,   645,   645,   646,   646,   647,   647,
     648,   648,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     658,   658,   659,   660,   660,   661,   662,   662,   662,   662,
     662,   662,   662,   662,   662,   662,   662,   662,   662,   662,
     662,   662,   662,   662,   662,   662,   662,   662,   663,   664,
     664,   664,   664,   665,   665,   666,   666,   667,   667,   668,
     668,   669,   669,   670,   670,   671,   672,   672,   673,   673,
     673,   673,   674,   675,   676,   677,   678,   678,   679,   679,
     680,   680,   681,   681,   682,   682,   682,   683,   683,   684,
     684,   685,   685,   686,   687,   688,   689,   689,   689,   690,
     690,   691,   692,   692,   693,   693,   693,   694,   694,   695,
     695,   695,   695,   695,   696,   696,   697,   697,   698,   698,
     699,   699,   700,   700,   700,   701,   701,   701,   701,   702,
     702,   703,   703,   704,   704,   704,   704,   704,   705,   705,
     706,   707,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   708,   708,   708,   709,   710,   710,   711,   711,
     712,   712,   712,   712,   712,   713,   713,   714,   715,   715,
     716,   717,   717,   718,   718,   719,   719,   719,   720,   721,
     721,   722,   722,   722,   722,   722,   723,   723,   724,   724,
     725,   725,   725,   726,   726,   727,   728,   728,   729,   729,
     730,   730,   731,   731,   732,   732,   733,   734,   735,   735,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   737,   737,   738,   738,   739,
     739,   740,   741,   741,   741,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   744,
     744,   745,   745,   745,   745,   745,   746,   746,   747,   747,
     747,   747,   747,   747,   747,   747,   748,   748,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   751,   751,   752,   752,   753,   754,   754,
     755,   755,   755,   755,   755,   756,   756,   757,   757,   757,
     757,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   759,   759,   760,   760,   761,
     761,   762,   762,   763,   764,   765,   765,   766,   766,   767,
     767,   768,   769,   769,   770,   770,   770,   771,   771,   771,
     772,   772,   772,   773,   774,   774,   775,   775,   776,   776,
     777,   777,   778,   778,   779,   779,   779,   780,   780,   781,
     781,   781,   782,   782,   782,   783,   783,   783,   784,   784,
     784,   785,   785,   786,   786,   787,   787,   788,   788,   789,
     789,   790,   790,   790,   790,   790,   791,   791,   791,   791,
     791,   792,   793,   794,   794,   794,   795,   795,   795,   796,
     796,   797,   797,   797,   797,   797,   797,   797,   797,   797,
     797,   797,   797,   797,   798,   798,   798,   798,   799,   799,
     800,   800,   801,   802,   802,   803,   804,   804,   805,   805,
     806,   806,   807,   807,   808,   808,   809,   809,   809,   809,
     810,   810,   811,   812,   812,   813,   813,   814,   814,   814,
     815,   815,   815,   816,   817,   817,   818,   818,   818,   819,
     819,   820,   820,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   821,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   821,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   822,   822,   823,   823,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   826,   827,   827,   827,   828,   828,   829,   829,
     829,   829,   829,   830,   830,   831,   831,   831,   831,   832,
     832,   832,   833,   833,   834,   835,   835,   836,   837,   837,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   839,   839,   839,   840,   840,   840,
     840,   840,   841,   841,   841,   842,   842,   843,   843,   844,
     844,   844,   844,   845,   846,   847,   847,   848,   848,   848,
     848,   848,   848,   848,   848,   848,   848,   848,   848,   848,
     848,   848,   848,   849,   849,   850,   850,   851,   852,   852,
     853,   854,   854,   855,   856,   856,   856,   856,   856,   857,
     857,   858,   859,   859,   859,   859,   859,   859,   860,   861,
     861,   861,   862,   862,   863,   863,   863,   863,   863,   864,
     864,   865,   865,   865,   865,   866,   866,   867,   867,   868,
     868,   869,   869,   870,   870,   871,   871,   872,   873,   873,
     874,   875,   876,   877,   877,   878,   879,   880,   881,   882,
     882,   882,   882,   883,   883,   883,   883,   883,   883,   883,
     884,   884,   885,   886,   886,   886,   887,   887,   887,   888,
     889,   890,   890,   890,   891,   891,   891,   892,   892,   892,
     893,   893,   894,   894,   895,   895,   895,   895,   896,   896,
     897,   897,   898,   899,   899,   899,   900,   900,   901,   902,
     902,   903,   904,   904,   905,   906,   906,   907,   907,   907,
     907,   907,   907,   907,   907,   908,   908,   909,   910,   910,
     911,   911,   912,   913,   914,   915,   915,   916,   917,   917,
     918,   918,   918,   918,   918,   919,   919,   919,   920,   920,
     921,   921,   922,   922,   922,   922,   922,   922,   922,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   926,   927,   928,   928,   929,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   931,   931,   932,
     932,   932,   933,   933,   933,   933,   934,   934,   935,   936,
     936,   937,   937,   938,   938,   938,   938,   939,   939,   940,
     940,   940,   941,   941,   942,   942,   943,   944,   944,   944,
     945,   946,   946,   947,   947,   948,   948,   949,   949,   950,
     950,   951,   951,   952,   952,   953,   953,   954,   954,   955,
     955,   956,   956,   957,   957,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   959,   959,   959,   959,
     959,   959,   960,   960,   960,   960,   961,   961,   961,   961,
     962,   962,   963,   963,   964,   964,   964,   964,   965,   965,
     966,   966,   966,   967,   968,   968,   969,   969,   969,   970,
     970,   971,   971,   972,   973,   973,   973,   973,   973,   973,
     974,   974,   974,   975,   975,   975,   975,   975,   975,   975,
     976,   976,   976,   976,   977,   977,   978,   978,   979,   979,
     979,   979,   979,   979,   979,   979,   979,   979,   979,   980,
     980,   981,   981,   982,   982,   983,   984,   985,   985,   986,
     986,   987,   988,   989,   989,   989,   989,   989,   989,   990,
     990,   991,   991,   992,   992,   992,   992,   993,   994,   994,
     994,   995,   995,   995,   995,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   996,   996,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   997,   997,   997,   997,   997,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,
    1002,  1002,  1002,  1002,  1003,  1004,  1004,  1005,  1005,  1006,
    1006,  1007,  1007,  1007,  1008,  1008,  1008,  1008,  1009,  1009,
    1010,  1010,  1011,  1012,  1012,  1012,  1013,  1014,  1014,  1015,
    1015,  1016,  1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,
    1018,  1019,  1019,  1019,  1020,  1020,  1020,  1021,  1021,  1022,
    1022,  1022,  1022,  1022,  1022,  1022,  1022,  1022,  1023,  1023,
    1024,  1024,  1025,  1025,  1025,  1025,  1025,  1025,  1026,  1026,
    1027,  1027,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1031,
    1031,  1032,  1032,  1033,  1033,  1033,  1033,  1033,  1033,  1033,
    1033,  1034,  1034,  1035,  1036,  1036,  1037,  1037,  1037,  1037,
    1037,  1037,  1038,  1039,  1040,  1040,  1040,  1041,  1041,  1042,
    1043,  1043,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,
    1048,  1048,  1048,  1049,  1049,  1050,  1050,  1051,  1051,  1052,
    1052,  1053,  1053,  1054,  1055,  1055,  1056,  1056,  1056,  1056,
    1057,  1057,  1058,  1058,  1059,  1059,  1060,  1061,  1062,  1063,
    1064,  1065,  1066,  1066,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1068,
    1069,  1070,  1070,  1070,  1070,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1075,  1075,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1078,  1077,  1079,  1080,
    1080,  1080,  1080,  1081,  1081,  1081,  1081,  1082,  1082,  1083,
    1084,  1085,  1085,  1086,  1086,  1086,  1087,  1087,  1088,  1088,
    1089,  1089,  1090,  1090,  1090,  1090,  1091,  1091,  1091,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1095,  1095,  1096,  1096,
    1097,  1098,  1099,  1100,  1100,  1101,  1102,  1102,  1103,  1103,
    1103,  1103,  1103,  1105,  1104,  1106,  1107,  1108,  1108,  1109,
    1109,  1109,  1109,  1110,  1110,  1112,  1111,  1114,  1113,  1115,
    1113,  1113,  1116,  1116,  1117,  1117,  1117,  1118,  1118,  1118,
    1118,  1119,  1119,  1120,  1120,  1120,  1120,  1120,  1120,  1121,
    1121,  1121,  1122,  1124,  1123,  1125,  1126,  1125,  1127,  1127,
    1128,  1128,  1129,  1129,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1131,  1131,  1132,  1132,  1133,  1133,  1134,  1135,  1135,
    1136,  1136,  1136,  1137,  1138,  1139,  1139,  1139,  1139,  1140,
    1140,  1140,  1141,  1141,  1142,  1142,  1143,  1144,  1144,  1145,
    1145,  1146,  1146,  1147,  1147,  1148,  1149,  1149,  1150,  1150,
    1150,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1152,  1152,  1152,  1152,  1152,  1153,  1153,  1154,  1155,  1156,
    1157,  1157,  1158,  1159,  1160,  1160,  1161,  1162,  1162,  1163,
    1164,  1165,  1165,  1166,  1167,  1168,  1168,  1169,  1170,  1170,
    1170,  1170,  1170,  1171,  1171,  1171,  1171,  1171,  1171,  1171,
    1171,  1171,  1171,  1171,  1171,  1171,  1171,  1171,  1172,  1172,
    1173,  1173,  1174,  1174,  1174,  1176,  1175,  1177,  1177,  1179,
    1178,  1180,  1180,  1180,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1182,  1182,  1183,  1183,  1183,  1183,  1183,
    1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,
    1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1184,
    1184,  1184,  1184,  1184,  1184,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1186,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1189,  1189,
    1189,  1189,  1189,  1189,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1191,  1191,  1191,  1191,  1191,
    1192,  1192,  1192,  1192,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1194,  1194,  1194,  1195,  1195,  1195,  1195,  1195,  1195,
    1196,  1196,  1197,  1198,  1198,  1199,  1199,  1200,  1201,  1202,
    1203,  1203,  1203,  1204,  1205,  1206,  1207,  1208,  1208,  1208,
    1208,  1208,  1209,  1210,  1210,  1210,  1211,  1211,  1212,  1212,
    1212,  1213,  1213,  1214,  1214,  1215,  1215,  1216,  1216,  1216,
    1216,  1216,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1218,  1218,
    1218,  1218,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1220,  1220,  1220,  1220,  1220,  1221,  1221,  1222,  1222,
    1223,  1223
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       4,     3,     5,     3,     5,     5,     6,     1,     1,     3,
       5,     6,     4,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     5,     2,     2,     2,     2,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     3,     4,     5,     4,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     4,
       4,     4,     4,     1,     3,     2,     3,     4,     6,     6,
       6,     5,     5,     6,     6,     4,     8,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    13,    16,    12,    15,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       3,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     4,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     3,     0,
       1,     3,     1,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     2,     2,     2,
       0,     3,     4,     4,     0,     2,     0,     2,     3,     4,
       6,     3,     4,     0,     3,     3,     0,     4,     0,     3,
       7,     3,     0,     1,     3,     1,     2,     3,     0,     5,
       4,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     5,     7,     1,     0,
       6,     2,     0,     3,     5,     5,     8,     2,     0,     2,
       2,     2,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     6,     8,     8,
       8,     8,     6,     6,     7,     8,     6,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     6,     8,     7,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,     2,     0,     2,     2,
       1,     0,     4,     6,     5,     4,     4,     8,    11,     3,
       2,     1,     3,     1,     5,     8,     1,     1,     1,     7,
       9,     8,    15,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     6,     8,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     4,     5,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     1,     3,
       3,     1,     0,     1,     3,     6,     8,     8,    13,     1,
       3,     5,     6,     4,     7,     2,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     6,     8,     8,     1,     3,
       5,     5,     7,     9,     7,     9,     5,     6,     6,     4,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     1,     3,     1,     2,     2,
       3,     5,     2,     2,     0,     6,     7,     7,     7,     8,
       8,     6,     8,     9,     9,     7,    10,     7,     8,     8,
       8,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     3,     1,
       1,     8,     9,     9,     9,     9,     2,     0,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     3,
       2,     2,     5,     5,     5,     1,     3,     1,     2,     3,
       0,     1,     3,     2,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,    14,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     2,     0,     1,
       2,     0,     1,     1,     0,     1,     1,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     2,     2,     1,     2,     2,     1,     1,     1,     3,
       2,     0,     2,     1,     3,     5,     1,     2,     1,     0,
       5,     7,     5,     7,     5,     7,     3,     5,     5,     5,
       1,     3,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,     4,     4,     4,     1,
       1,     1,     0,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     6,     6,     6,     6,     7,     8,     9,
       8,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       6,     6,     7,     6,     7,     6,     6,     6,     6,     6,
       7,     7,     7,     9,     9,     6,     6,     6,     8,     8,
       8,     6,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     8,    10,     3,
       4,     4,     0,     2,     5,     2,     0,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       4,     3,     3,     1,     0,     5,     6,     4,     2,     0,
       4,     3,     5,     6,     4,     6,     6,     5,     7,     1,
       0,     6,    11,    11,    11,    13,     9,    11,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     3,     1,     0,
       4,     1,     1,     3,     1,     4,     3,     6,     4,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     1,     0,     5,
       1,     7,     7,     7,     3,     2,     0,     3,     2,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     8,
       3,     0,     6,     1,     4,     2,     1,     3,     2,     3,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     8,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     1,     2,     4,     4,     4,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     1,
       3,     1,     0,     1,     2,     4,     4,     2,     0,     2,
       3,     2,     0,     1,     3,     1,     2,     1,     2,     5,
       6,     5,     1,     2,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     1,     4,
       5,     6,     8,     6,     7,     7,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2266,     0,     2,     1,  2696,  2700,  2704,  2705,  2622,  2706,
    2707,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,
    2681,  2682,  2683,  2685,  2684,  2686,  2687,  2688,  2689,  2690,
    2691,  2692,  2693,  2695,  2694,  2644,  2273,  2641,  2638,  2639,
    2640,  2645,  2643,  2636,  2637,  1869,  2709,  2697,  2710,  2698,
    2699,  2701,  2702,  2671,  2703,  2711,  2712,  2713,  2708,  2716,
    2667,  2668,  2666,  2669,  2670,  2714,  2715,  2658,  2659,  2660,
    2661,  2717,  2274,  2275,  2663,  2267,  2271,  2333,  2404,  2664,
    2665,  2662,  2272,  2657,  2404,     0,  2525,  2526,  2527,     0,
    2528,  2529,  2530,  2456,  2418,  2531,     0,     0,  2532,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,     0,  2540,  2541,  2542,
    2543,  2403,  2544,  2545,  2546,  2547,  2548,  2380,  2386,  2509,
       0,  2360,  2361,  2357,  2359,  2358,  2362,  2345,  1136,   539,
    1218,  1217,     0,  2170,  1136,  2126,  2127,  2171,  2128,  2129,
    2130,   254,     0,     0,  1220,  2131,     0,  1136,  2172,   357,
     932,  2173,  2174,  2288,     0,  2132,  2133,     0,     0,     0,
     539,  1136,     0,     0,  2134,  1354,  2135,     0,  2136,  2175,
    2176,     0,  2137,  2177,  2178,  2138,  2139,  2140,  2179,  2180,
    2181,  2141,  2182,  2183,     0,     0,  1368,     0,  2142,  2184,
    2143,  2144,     0,  2185,  2145,  2146,  2147,  2186,  2187,  2188,
    2148,  2149,  2150,     0,  2151,     0,     0,     0,     0,     0,
    2189,  1136,  2152,     0,     0,  1375,     0,  2153,     0,  2190,
    2154,     0,  2155,     0,  2156,  2157,  2158,  2159,  1368,  2505,
    2381,     0,  1222,     0,  2160,  2191,     0,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,     0,     0,    59,    60,
      22,    21,    27,    26,    84,    85,    47,    14,    73,    54,
     118,   117,   119,    35,    30,    67,    19,    20,    32,    36,
      56,    55,    18,    53,    79,    57,    82,    42,     8,     9,
      43,    71,    10,    44,    72,    11,    45,    12,    61,    86,
      25,    58,    83,    38,    69,    65,     7,    50,    51,    52,
      76,    77,    78,   101,    81,   113,    34,   110,    91,    92,
     107,    93,   108,     5,    94,    46,    13,   104,   103,   105,
      68,    39,    70,   102,   106,    16,    17,   109,    80,    99,
      96,   114,   112,   120,    97,    62,     3,     4,    87,    41,
       6,    24,    23,    40,    33,   116,    28,  1220,    29,    49,
      15,    75,    48,    74,    90,    89,    31,   100,    88,    95,
      66,    98,   115,    64,   111,  1341,  1328,  1377,  1340,  1353,
       0,  1343,  2601,  2602,    37,  1354,   122,   123,   128,  2270,
    2322,  2323,  2324,  2404,  2355,  2356,  2349,  2365,  2375,  2364,
    2368,  2376,  2363,  2382,     0,   125,   127,   129,   132,   126,
     121,   124,   131,   136,   130,   135,   133,   134,   137,   138,
     139,  2603,  1554,  2600,    63,  2340,  2339,     0,  2404,     0,
    2549,  2550,  2551,  2552,  2553,  2554,  2604,  2605,  2606,  2607,
    2608,  2610,  2609,  2633,  1875,  1876,  1877,  1878,  1879,  1880,
    1881,  1882,  1883,  1884,  1885,  1886,  1887,  1888,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,
    2576,  1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,
    1910,  1911,  1912,  2613,  1913,  1914,  1915,  1916,  1917,  1918,
    1919,  1920,  1921,  1922,  1923,  1924,  2614,  1925,  1926,  1927,
    1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,  1937,
    1938,  1939,  1940,  1941,  1942,  1943,  1944,  1945,  1946,  1947,
    1948,  1949,  1950,  1951,  1952,  1953,  1954,  1955,  1956,  1957,
    1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,  1966,  1967,
    2615,  1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,
    1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,
    1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,  1995,  1996,
    1997,  1998,  1999,  2000,  2616,  2001,  2002,  2003,  2617,  2004,
    2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2027,  2028,  2029,  2030,  2033,  2031,  2032,  2034,
    2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2618,  2068,  2069,  2070,  2071,  2072,  2073,
    2074,  2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,
    2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2288,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2577,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2619,  2124,  2125,  2306,  2611,  2573,  2281,  2302,
    2574,  2523,  2524,  1870,  2575,  2572,  2612,  2308,  2629,  2307,
    2571,  2455,     0,     0,  2417,  2416,  2420,  2419,  2421,  2414,
    2415,  1847,  2309,  2425,  2424,  1318,  2628,  1846,  1319,     0,
    2427,  2555,  2556,  2557,  2558,  2560,  2559,  2561,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2586,  2204,  2205,  2206,  2599,  2207,  2208,  2587,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2588,  2589,  2233,  2234,  2235,  2236,  2237,  2238,
    2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,
    2249,  2250,  2251,  2252,  2253,  2254,  2255,  2590,  2256,  2257,
    2591,  2258,  2259,  2260,  2592,  2261,  2262,  2263,  2264,  2265,
    2596,  2597,  2598,  2585,  2378,  2562,  2584,  2595,  2593,  2594,
    2388,  2384,  2392,  2387,     0,     0,     0,     0,  2404,  1135,
    1134,  1120,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   538,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2278,
       0,  1146,     0,   332,   331,  1219,  1200,   539,     0,  1123,
     356,     0,     0,     0,     0,  1229,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   184,     0,     0,   380,   379,     0,     0,     0,   904,
     385,     0,     0,     0,     0,   527,  2287,  2282,  2292,     0,
    2285,  2286,  2571,     0,  2720,  2031,  2318,  2319,  2718,  2081,
    1320,   255,   258,   256,   257,     0,  1002,  1003,  1005,     0,
       0,  1015,   747,   748,     0,   746,   750,     0,     0,     0,
     743,     0,     0,     0,     0,     0,   749,   741,     0,   740,
       0,     0,     0,   745,     0,   742,     0,     0,  1124,     0,
    2370,  2371,  1934,  1970,  1281,   386,     0,     0,  1354,     0,
    1220,  1239,  1249,  1244,  1246,  1245,  1247,  1243,  1248,  1876,
     846,  1890,   846,  1959,   843,   844,   846,   846,   846,  2046,
       0,     0,   818,     0,   829,  1871,   846,  1872,  2629,   851,
     439,   439,   439,     0,   850,   855,   439,  1117,  1153,  1851,
    1367,     0,  1890,  1959,   819,  1116,  2096,  1273,     0,     0,
    1019,     0,  1020,     0,  2064,  1128,   241,  2569,  2073,  2156,
    2096,  2570,   237,  2564,  2565,  2567,   211,  2568,  2566,  2563,
    1880,     0,     0,   850,     0,  1125,  1126,   807,  1374,  1372,
       0,     0,     0,  1899,     0,  1913,  1995,   234,  2059,  2065,
    2073,  2156,  2096,  2123,   193,     0,   248,  2073,  2156,  2096,
       0,  1146,     0,  1344,  1454,  1842,     0,     0,  2379,  1119,
    1118,  1221,     0,  1224,     0,  1419,  2043,  1348,  1350,  1226,
    1341,     0,     0,  2269,  1215,  1371,  1371,     0,  1371,     0,
    1333,  1341,  1336,  1340,     0,     0,     0,     0,  1136,     0,
    2347,  2375,  2354,  2410,  2351,     0,     0,  2400,  2396,  2393,
    2401,  2402,  2395,  2383,  1543,  1544,  1545,  1542,  1555,  1541,
       0,  2328,  1546,  2367,  2334,     0,  2342,  2341,  2646,  2647,
    2457,  2280,  2299,     0,     0,     0,     0,     0,     0,     0,
    2426,  2428,  2430,  2390,  2389,  2385,     0,     0,     0,     0,
    2515,  2516,  2514,     0,  2511,  2513,     0,  2410,     0,  2580,
    2574,  2583,     0,  1852,  2575,  2572,  2571,     0,   757,     0,
     143,   893,     0,     0,     0,  1846,     0,     0,     0,     0,
       0,     0,     0,   470,  1231,  1747,  1903,  1955,  1757,  1755,
    1756,  1749,  1750,  1751,  1752,  1753,  1754,     0,  1000,  1748,
       0,   143,     0,     0,     0,     0,     0,     0,     0,     0,
    1998,   143,     0,     0,     0,  1140,     0,     0,     0,  1142,
    1145,  1121,     0,  1203,     0,  1842,     0,     0,   791,   782,
       0,   792,   783,   788,   794,     0,     0,   785,     0,     0,
     795,     0,   784,   786,   797,   787,   793,     0,     0,   789,
     790,     0,     0,  1132,   439,     0,     0,     0,  1227,  1228,
       0,     0,     0,   143,  1190,  1969,   143,     0,     0,   384,
     383,   143,   382,   381,     0,   470,  1903,  1955,     0,   931,
     143,     0,   186,   607,   542,     0,     0,   676,  1998,   143,
       0,     0,     0,     0,   907,     0,     0,   526,   539,     0,
    2291,  2297,     0,  2289,  2458,  2721,  2719,  2413,     0,  1006,
     235,   236,  1004,  1969,     0,   310,     0,     0,  1969,  1181,
       0,   744,  1969,     0,  1969,   179,  1844,     0,  1236,  1903,
    1955,  1969,     0,     0,  1969,   171,  1969,     0,  1969,   310,
    1969,   543,     0,  1969,     0,  1969,  1998,   173,     0,  1969,
     310,   755,     0,     0,  2651,  2655,     0,  2653,  2648,  2369,
       0,  2423,  2422,  2321,     0,  2731,     0,  1320,  1241,  2577,
    1255,  1254,     0,  1250,  1258,  1253,  1354,   846,   845,     0,
     846,     0,  2740,   846,     0,   846,     0,  2740,   846,     0,
       0,     0,   846,  1873,  1874,     0,     0,  2739,  2737,  2738,
     820,   830,     0,   852,     0,     0,   859,   858,   857,     0,
       0,     0,   860,  1458,  1296,     0,   827,     0,   825,     0,
    1114,  1131,     0,     0,     0,     0,  1022,  1022,  1022,  1127,
     240,   238,     0,     0,     0,     0,     0,     0,  1133,     0,
       0,     0,     0,  2635,  1858,  1758,  2634,     0,  2127,  2128,
    2129,  1816,     0,  2576,  2130,  2131,  1670,  1657,  1666,  1671,
    1658,  1660,  1667,  2132,  2133,  1940,  2134,  2135,  1865,  2136,
    2137,  1498,  2139,  2140,  2141,  1662,  1664,  2142,  2143,     0,
    1866,  2145,  2146,  2018,  2148,  2149,  2151,  2152,  1668,  2154,
    2155,  2156,  2157,  2158,  2159,  1864,     0,  1669,  2160,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,     0,     0,  1839,
       0,  1644,     0,  1490,  1491,  1513,  1514,  1492,  1519,  1520,
    1532,  1493,     0,  1838,  1557,  1643,  1648,     0,  1642,  1638,
    1357,  1834,     0,  1639,  1854,  1817,  1868,  1867,  2629,  1825,
    1857,  1855,  1856,     0,     0,     0,   204,     0,     0,  2504,
     250,     0,   251,  1840,  2073,   194,   233,   206,   232,   207,
     205,     0,  1901,   195,     0,   202,     0,     0,     0,     0,
       0,     0,     0,   244,  1122,     0,  1456,  1455,     0,     0,
    1823,  1843,   764,     0,  1213,  1214,  1212,     0,  1209,  1211,
    1223,  1220,  1830,  1829,  1831,     0,  1349,     0,     0,     0,
    1331,  1330,  1226,  1369,  1370,     0,     0,     0,     0,     0,
       0,     0,     0,  1412,  1385,  1386,  1388,  1409,  1413,     0,
    1337,     0,     0,  1460,     0,  1420,  2268,  2410,  2411,     0,
    2405,     0,  2404,  2404,  2398,  2397,  2394,     0,     0,     0,
       0,     0,     0,     0,  2325,   521,  2327,   519,     0,     0,
    2301,     0,  2305,  2303,     0,  2450,  2453,     0,  2451,  2452,
    2454,     0,  2459,  2460,     0,     0,     0,  2642,     0,     0,
    2441,  2429,  2436,  2438,  2440,  2439,  2448,  2444,  2447,  2449,
    2391,  2404,  2522,     0,  2517,  2520,     0,  2512,     0,     0,
       0,  1853,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,   142,  1179,   243,  1177,     0,     0,     0,
       0,     0,  1184,     0,   177,   178,   554,   539,     0,     0,
       0,     0,     0,   964,     0,     0,     0,     0,     0,     0,
     965,   963,   966,   973,   986,   989,     0,   883,     0,     0,
       0,  1053,     0,     0,  1053,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   260,   263,   305,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,   506,   518,     0,     0,     0,
       0,     0,   515,     0,   143,   261,   500,   503,     0,     0,
     616,   615,  1053,     0,   259,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     324,   325,     0,     0,     0,   147,   170,     0,     0,   262,
       0,  2335,     0,  1141,  1138,  1139,     0,  1144,  1022,     0,
       0,     0,  1199,     0,     0,     0,     0,     0,   796,     0,
       0,  1903,  1955,     0,     0,     0,     0,     0,     0,   359,
     338,   339,   143,   337,     0,     0,   673,     0,  1501,  1530,
    1508,  1530,  1530,  1497,  1497,  1510,  1499,  1537,     0,  1530,
    1497,  1502,     0,  1500,  1540,  1540,  1525,     0,  1482,  1483,
    1484,  1485,  1511,  1512,  1486,  1517,  1518,  1487,  1554,  2581,
    1497,  2582,  2579,  2578,     0,     0,   683,     0,  1156,  1189,
       0,     0,   548,     0,  1969,     0,   145,     0,  1232,  1230,
     717,     0,   674,     0,   145,     0,   182,     0,   611,     0,
       0,     0,     0,     0,     0,   635,   634,     0,     0,     0,
     675,     0,   145,   502,  1969,     0,   492,   439,     0,   906,
     909,     0,     0,     0,  2295,  2290,  2293,     0,  2283,  2297,
    1323,  1325,  1324,     0,  1322,     0,   310,   308,   309,   671,
    1014,     0,     0,     0,     0,   310,     0,     0,  1238,  1969,
       0,  1969,     0,     0,   310,   310,     0,     0,     0,     0,
     612,     0,   754,   752,   751,   753,     0,     0,     0,     0,
       0,  1969,   310,     0,     0,   739,  2649,     0,     0,  2652,
       0,  2372,  1234,     0,  1768,     0,  2734,  1278,  2735,     0,
       0,  1354,     0,   222,   223,   221,  1256,   224,  1257,  1252,
    1240,     0,   838,     0,  2740,  2741,   823,     0,   833,     0,
    2740,   821,     0,   834,   831,   832,     0,     0,     0,  2736,
    2620,  2626,   837,     0,     0,   440,   442,     0,     0,  1924,
       0,  1960,  1987,  1988,  2065,  2069,     0,  2091,     0,   861,
     888,   856,     0,     0,  1306,   828,   826,  1115,  1271,  1774,
       0,  1354,     0,  1021,  1018,  1017,  1016,   239,   212,     0,
       0,     0,   890,  2064,  1130,   806,   539,     0,     0,  1646,
    1647,  1529,  1516,  1815,     0,     0,  1524,  1523,     0,     0,
       0,     0,  1506,  1505,  1504,  1645,  1782,     0,  1503,     0,
       0,     0,     0,  1530,  1530,  1528,  1577,     0,  1507,     0,
       0,  1795,     0,  1801,     0,     0,     0,  1536,     0,  1534,
       0,     0,  1613,     0,     0,     0,     0,     0,     0,     0,
       0,  1561,  1562,  1644,  1768,     0,  1861,     0,     0,  1522,
       0,  1554,  1758,     0,     0,     0,     0,  1828,     0,  1766,
       0,     0,  1591,  1764,     0,  1593,     0,     0,     0,  1757,
    1755,  1756,  1749,  1750,  1751,  1752,  1753,  1754,  1762,  1574,
       0,  1837,     0,  1573,     0,     0,  1422,  1356,     0,  1859,
    1818,     0,  2627,  2630,  1640,  2501,  2500,  2499,  2498,  2469,
       0,  2463,  2464,     0,  2502,  2503,   252,   253,   249,     0,
       0,   209,   208,     0,   230,   231,   201,   229,     0,   225,
     226,  1710,  1709,   210,   200,   198,   196,   213,   215,   216,
     199,   197,   247,   245,     0,     0,     0,  1820,  1819,  1849,
    1824,     0,     0,   310,  2404,  1207,     0,  1204,  1833,     0,
    1351,     0,     0,  1216,  1347,  1346,  1378,  1379,   924,  1345,
    1403,  1404,  1399,     0,  1418,  1418,  1395,  1389,  1394,  1392,
       0,  1396,  1557,  1411,  1335,  1383,  1384,  1387,  1334,     0,
    1414,  1412,  1388,  1293,     0,     0,  1461,     0,     0,  2412,
    2410,  2350,  1482,  2404,  2343,  2404,  2399,  2331,  1548,  1549,
    1550,  1551,  1552,  1553,  2332,     0,  2329,  1547,  2330,   520,
       0,     0,     0,  2298,     0,  2279,  2304,  2435,  2544,  2467,
       0,  2468,     0,     0,  2432,     0,  2442,  2445,  2443,  2446,
       0,  1482,  2623,  2518,  2623,  1482,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,     0,     0,     0,     0,
       0,  2091,   242,  1175,     0,     0,     0,     0,   892,   891,
       0,     0,   911,     0,     0,     0,  1187,   430,     0,   307,
       0,     0,     0,     0,     0,     0,   552,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   586,  1053,     0,   624,     0,   971,     0,
       0,     0,     0,   972,   969,   970,  2065,   988,   987,   985,
     946,   948,   947,     0,   950,   934,     0,   935,     0,     0,
     945,   953,   951,     0,     0,     0,  1948,   265,   277,     0,
    1052,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   297,     0,   300,   299,     0,     0,     0,     0,   304,
       0,     0,     0,   303,     0,     0,     0,   468,   467,   469,
       0,     0,     0,     0,     0,     0,  1001,     0,     0,   165,
     168,     0,     0,   505,   517,     0,   509,   510,   507,   511,
     512,     0,     0,     0,     0,     0,     0,   504,     0,   609,
     608,   614,     0,     0,     0,     0,     0,  1045,  1044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   626,   627,     0,   628,     0,   169,     0,
       0,     0,     0,     0,     0,   220,  1137,  1143,  1266,  1266,
    1266,  1202,  1850,  1201,     0,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   343,     0,   698,  2578,   672,     0,
    1482,     0,  1478,  1474,  1543,  1542,  1541,     0,  1488,  1497,
    1494,   684,     0,   686,   689,     0,  1154,   403,     0,   545,
     586,     0,     0,     0,   175,     0,     0,     0,     0,   141,
     186,   386,     0,   185,   187,   189,   190,   191,   188,   192,
     606,   610,     0,   541,     0,     0,     0,     0,     0,   636,
     640,   639,   643,   641,     0,   637,     0,  1470,     0,   164,
     499,   501,     0,  2276,     0,   388,   470,     0,     0,     0,
     908,     0,     0,     0,     0,     0,  2296,     0,     0,     0,
       0,  1321,     0,   992,     0,  1182,  1969,   310,     0,   990,
     180,  1845,     0,     0,     0,     0,     0,   994,   736,   172,
       0,   310,   310,   544,     0,   310,   174,     0,     0,     0,
     536,   310,   756,  2650,  2656,  2654,     0,  1259,  1260,  1280,
       0,  2732,  2733,   492,  1325,  1242,  1251,   835,   842,   824,
     841,   840,   822,   839,   836,  2434,     0,     0,  2625,     0,
     853,     0,   438,     0,     0,     0,   867,     0,     0,   866,
     881,   868,     0,   870,   863,   862,   871,     0,     0,   890,
       0,  1303,     0,  1301,     0,  1459,  1305,  1294,  1272,     0,
    1270,  1275,  1277,  1276,  1274,     0,     0,     0,   850,     0,
       0,   310,  1129,     0,   808,   813,     0,     0,     0,   810,
     811,   812,   814,   815,     0,     0,     0,  1778,     0,  1779,
       0,     0,     0,  1814,  1810,     0,     0,     0,     0,     0,
    1786,  1787,  1788,  1785,  1789,  1784,     0,     0,  1790,  1783,
       0,     0,     0,     0,     0,  1527,  1526,     0,     0,     0,
       0,     0,     0,     0,  1616,  1648,     0,     0,  1742,     0,
    1768,  1800,     0,     0,  1538,     0,     0,     0,     0,     0,
       0,     0,  1768,  1806,     0,     0,     0,     0,  1708,     0,
    1705,     0,     0,     0,     0,  1825,     0,     0,     0,     0,
    1862,  1558,  1575,  1836,     0,  1827,     0,     0,  1559,  1582,
       0,  1807,  1609,     0,  1614,  1597,     0,  1590,     0,  1595,
    1599,  1578,  1828,  1767,     0,  1765,     0,     0,  1576,     0,
    1571,  1569,  1570,  1563,  1564,  1565,  1566,  1567,  1568,  1572,
    1746,  1744,  1745,     0,     0,     0,  1594,  1962,  1995,     0,
    1368,  1368,  1368,  1355,  1366,  1835,     0,  1465,     0,     0,
       0,     0,  1725,     0,  1772,     0,  1770,  1852,  2632,  2631,
    1826,     0,     0,     0,  1841,     0,     0,  1554,     0,   246,
    1457,  1821,     0,   762,   763,   761,  1482,  1226,  1210,  1206,
    1205,  1832,  1225,  1354,     0,   922,   923,     0,   927,     0,
       0,  1397,  1410,     0,  1306,  1306,     0,  1401,  1402,  1393,
    1339,  1338,     0,  1468,     0,     0,  1290,  1283,  1462,     0,
    1422,  1308,  1310,  1311,     0,  1825,  2348,  2406,  2353,  2374,
    2344,  2377,  1556,  2326,  2366,     0,  2300,  2470,  2471,     0,
    2461,  2462,  2431,  2437,  2508,     0,  2624,     0,     0,   696,
     695,     0,     0,     0,  1075,  1024,  1057,   760,  1076,  1025,
    1058,  1077,  1026,  1176,     0,  1178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     661,   310,  1185,  1078,   306,  1186,  1059,  1060,     0,   553,
       0,     0,   558,   559,   560,     0,     0,   561,  1903,  1955,
       0,   566,   572,   576,   567,     0,   577,   573,     0,     0,
       0,     0,     0,   583,   585,     0,     0,     0,     0,     0,
     967,   968,  1079,  1027,     0,  1061,   949,  1497,   933,     0,
       0,   944,     0,   943,  1497,  1497,  1028,   176,   266,   403,
    1055,   283,   296,   291,   292,   290,  1969,   310,  1969,   310,
       0,     0,     0,     0,   293,   288,   289,   285,   298,  1879,
    1941,  2074,     0,   596,   598,     0,   603,   301,  1036,     0,
     318,   321,   302,   281,   284,   282,   278,   264,     0,     0,
    1848,     0,     0,   996,     0,     0,     0,   167,  1041,     0,
       0,   152,     0,   156,     0,     0,     0,   146,   157,  1085,
    1032,   508,   513,  1034,   516,  1070,   514,  1091,  1033,     0,
    1065,  1087,  1043,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1191,     0,     0,     0,     0,     0,   310,     0,
     705,  1055,  1969,   310,  1086,     0,  1050,  1073,     0,   326,
       0,  1042,  1035,  1071,     0,     0,   218,   217,   219,     0,
    1269,  1269,  1269,     0,     0,     0,     0,     0,     0,     0,
       0,   800,   771,   799,     0,     0,     0,     0,     0,     0,
       0,   765,   358,   335,   336,     0,     0,   334,   340,   697,
       0,     0,     0,  1479,  1475,     0,     0,     0,     0,     0,
       0,  1495,   685,     0,     0,     0,     0,  1174,  1174,  1174,
    1174,  1174,  1174,  1174,  1155,  1183,   143,     0,     0,     0,
     547,   585,   592,     0,   620,   623,     0,   621,     0,     0,
       0,     0,     0,   158,   144,  1237,     0,   725,   439,   181,
       0,     0,     0,   540,   682,   680,   679,   681,     0,     0,
       0,   702,     0,  1469,  1471,     0,     0,     0,     0,   390,
       0,     0,   387,   391,   395,   396,   397,     0,   493,   495,
     474,     0,     0,     0,   938,     0,   956,   939,     0,     0,
       0,   976,   981,   977,   959,     0,   524,  2294,  2288,  1326,
    1327,     0,   310,     0,     0,   587,   310,     0,   310,     0,
     310,   310,     0,  1112,   613,     0,   668,     0,     0,   310,
     738,  1233,  1769,     0,     0,  2433,  2621,   854,   441,     0,
       0,     0,     0,   865,     0,   522,   869,     0,   880,   875,
     877,     0,   884,  1304,  1297,  1299,  1298,     0,     0,  1295,
    1775,   737,     0,     0,   310,     0,   885,     0,   809,     0,
       0,     0,     0,  1373,  1776,  1777,     0,     0,     0,     0,
    1811,     0,     0,  1683,  1659,  1661,  1496,  1673,     0,  1509,
    1684,  1685,  1663,  1665,     0,  1759,     0,     0,  1674,  1618,
    1619,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1631,  1630,  1675,  1741,     0,     0,
    1798,  1799,  1676,  1539,  1540,  1540,     0,     0,  1805,     0,
       0,     0,  1681,  1686,     0,     0,     0,     0,  1692,     0,
    1713,     0,     0,     0,  1641,  1769,  1531,  1532,     0,     0,
       0,     0,     0,     0,     0,     0,  1615,  1598,  1592,     0,
    1596,  1600,     0,     0,     0,     0,  1584,  1610,  1580,     0,
       0,  1586,     0,  1611,  1368,  1368,  1368,  1368,  1365,     0,
       0,     0,     0,  1432,  1421,  1423,  1434,  1425,  1427,  1463,
       0,  1842,     0,  1406,  1377,  1377,     0,  1725,     0,  1649,
       0,  1725,     0,     0,  2483,  2485,  2486,  2487,  2488,  2489,
    2491,  2492,  2494,  2495,  2496,  2484,  2490,  2493,  2497,  2474,
    2475,     0,  2465,  2466,   203,     0,   227,   214,     0,  2508,
    1208,     0,  1380,     0,  1760,   927,   925,   926,  1382,     0,
       0,  1417,  1416,  1415,  1390,  1292,     0,  1290,  1285,     0,
    1286,  1825,     0,  1282,  1315,     0,     0,  1468,     0,  1314,
       0,  2408,  2336,     0,     0,  2507,  2510,  2521,  2519,  2346,
    1074,  1023,  1056,  1174,   895,   896,     0,   894,     0,     0,
       0,   429,   910,     0,     0,     0,   661,     0,     0,   433,
    1188,   555,   556,     0,     0,   574,     0,     0,   563,     0,
       0,     0,     0,   562,   579,   528,   580,   582,     0,   581,
     584,   589,  1037,     0,  1072,   961,     0,  1497,   936,   941,
     942,     0,   400,     0,     0,     0,   267,     0,     0,   280,
       0,   275,   294,   286,   295,   287,   600,   601,   599,   595,
       0,   602,   604,   315,     0,     0,     0,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
    1062,     0,     0,   149,   148,     0,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   327,   312,     0,     0,     0,     0,     0,
     329,     0,     0,  1080,  1029,  1924,  1265,     0,  1263,  1261,
    1262,   766,     0,     0,   767,   775,     0,     0,   768,     0,
       0,     0,     0,     0,     0,   777,   361,     0,   364,   371,
     344,   348,  1190,     0,  1190,     0,   349,  1190,   345,  1190,
     342,   699,     0,  2018,  1749,  1750,   693,   700,   690,   692,
     691,   694,   661,     0,     0,     0,  1480,     0,  2722,  2730,
    2729,     0,  1554,   687,   688,     0,  1174,  1173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   415,
       0,     0,   409,     0,     0,   981,   402,   405,   406,   548,
     551,   549,   550,     0,   578,     0,   619,     0,   592,   160,
       0,     0,   161,   159,     0,     0,   386,     0,     0,   642,
     645,   638,     0,   701,   703,   677,     0,   592,     0,  1281,
     498,     0,   470,   422,   466,     0,   491,     0,     0,   476,
    1152,     0,   911,   937,     0,     0,     0,   974,   978,   975,
       0,     0,   952,     0,   960,   930,  1107,  1108,  1105,  1106,
       0,     0,  2311,  1317,  2320,   993,     0,   310,   991,     0,
     732,     0,   734,   995,   310,   310,   629,     0,   537,   495,
       0,     0,     0,     0,   864,   882,     0,   878,     0,     0,
     847,   887,  1302,  1300,   890,     0,   848,   889,     0,     0,
       0,     0,     0,  1780,  1515,     0,  1813,  1809,     0,  1781,
       0,  1793,  1792,  1617,  1794,     0,  1636,     0,     0,  1628,
    1626,  1627,  1620,  1621,  1622,  1623,  1624,  1625,  1629,  1803,
    1802,  1796,  1797,  1535,  1533,     0,  1678,  1679,  1680,  1804,
    1687,     0,  1894,  1714,  1691,  1707,  1706,     0,     0,     0,
    1694,     0,     0,  1703,     0,  1743,  1521,  1554,  1560,     0,
       0,  1583,  1808,  1601,     0,     0,     0,  1579,     0,     0,
       0,     0,  1588,  1759,     0,     0,     0,     0,     0,     0,
    1359,  1358,  1364,  1341,     0,  1434,     0,  1433,  1445,     0,
       0,  1451,  1449,     0,  1451,     0,  1451,     0,  1426,     0,
    1428,  1445,     0,  1843,  1464,     0,  1408,     0,     0,  1376,
       0,  1725,  1656,  1728,  1723,  1724,  1773,  1650,  1860,     0,
    1771,  1725,     0,     0,     0,  1822,  2506,  1352,     0,  1381,
    1398,  1391,     0,  1466,  1291,     0,     0,  1288,     0,     0,
       0,  1309,  1290,  1312,  2352,     0,  2407,  2472,  2473,     0,
     901,   902,   900,     0,     0,     0,   661,     0,     0,   447,
       0,   918,   918,     0,     0,   435,   489,   981,   664,     0,
       0,   662,     0,   575,     0,     0,   571,   569,   568,   570,
     529,  1090,     0,   962,     0,   954,     0,   272,  1054,     0,
       0,     0,   271,     0,   310,   310,   597,   319,   320,   323,
       0,     0,     0,     0,     0,     0,   726,   709,     0,     0,
     727,   728,     0,     0,     0,   998,   999,   997,   153,   150,
     151,   154,  1038,     0,     0,     0,     0,     0,  1089,  1049,
    1069,  1088,  1047,  1067,  1046,  1066,  1048,  1068,  1040,     0,
    1473,   707,   706,     0,   310,   310,   631,  1264,     0,  1268,
       0,   769,     0,     0,   770,   781,   779,   778,   780,   772,
     362,   143,     0,   341,     0,   369,     0,   367,   366,   368,
       0,   355,     0,     0,     0,     0,     0,   670,     0,     0,
       0,  1476,     0,     0,     0,     0,     0,     0,  1481,  1489,
     660,     0,  1165,  1164,  1163,  1167,  1166,  1169,  1168,  1160,
    1159,  1172,  1171,  1158,  1157,  1162,  1161,     0,   407,     0,
     413,   417,   418,   416,   408,   981,   439,   488,   546,     0,
       0,   622,   617,   163,   162,     0,     0,     0,     0,   647,
     651,   678,     0,  1472,   625,     0,   388,  1279,     0,  2277,
       0,   393,   398,   399,     0,   474,   419,     0,   470,   392,
     494,     0,     0,   483,     0,  1147,     0,     0,   940,   957,
     958,     0,     0,   981,   980,     0,   531,     0,  2284,   310,
     588,   310,   310,  1113,   669,     0,   874,   873,   872,   523,
       0,   876,   310,     0,     0,     0,     0,     0,   817,   801,
     816,  1812,  1672,  1682,  1791,     0,     0,  1637,     0,     0,
    1677,  2161,     0,     0,     0,     0,  1711,  1712,  1693,     0,
    2008,  1698,     0,     0,     0,  1863,  1607,  1605,  1602,     0,
    1603,     0,     0,  1585,  1581,     0,  1587,  1612,  1363,  1362,
    1361,  1360,  1436,  1443,     0,  1424,     0,  1450,  1446,     0,
    1447,     0,     0,  1448,     0,     0,  1443,     0,     0,     0,
       0,  1719,  1725,  1725,  1651,  1730,  1727,     0,  1653,  2476,
       0,  2479,  2477,  2478,  2482,  1554,     0,     0,  1284,  1287,
    1289,     0,  1316,  1307,  2409,  1180,     0,     0,     0,   431,
       0,   981,     0,     0,     0,   921,   921,     0,   981,   488,
     666,   665,   663,   667,     0,   564,   565,  1039,   955,   268,
     269,   270,   273,   312,   279,   274,     0,  1083,  1030,  1063,
       0,     0,   715,     0,     0,     0,     0,  1084,  1031,  1064,
       0,     0,     0,  1196,     0,   311,   312,   328,  1051,  1267,
       0,   773,   774,   343,     0,   365,   374,     0,   372,   346,
     351,     0,   353,   352,   347,   350,  1477,     0,  1012,  1012,
    2723,  2724,  2725,  2726,  2727,  2728,     0,   661,  1170,     0,
       0,   404,   488,   446,     0,   410,     0,   593,     0,     0,
    1152,   388,   592,   646,     0,     0,     0,   704,   390,     0,
     496,     0,   389,     0,     0,   476,     0,     0,     0,   474,
       0,   471,     0,   475,     0,     0,   486,     0,     0,     0,
       0,     0,   979,     0,   983,     0,   951,   928,  1465,     0,
     535,  2310,  2314,  1013,   733,   735,   630,   879,   886,   310,
     802,   803,   804,   805,  1632,     0,     0,     0,     0,  1688,
       0,  1689,  1716,  1715,  1695,  1699,     0,  1696,  1697,  1604,
    1608,  1606,  1589,  1435,     0,     0,  1437,     0,     0,  1439,
    1441,     0,     0,     0,     0,     0,  1846,  1725,  1405,  1407,
       0,  1342,  1654,  1655,     0,  1377,  1725,  2481,  2480,   228,
    1761,  1467,  1313,   880,     0,   310,   918,   488,   448,  2018,
     449,   917,     0,   919,   924,   924,     0,   488,   661,   557,
     314,   322,     0,     0,   722,   710,     0,     0,   729,     0,
       0,     0,     0,     0,   310,   776,   333,   360,   370,     0,
     354,  1012,     0,  1009,  1008,   659,     0,   412,   411,     0,
     457,     0,   591,     0,   592,   719,  1148,   605,   648,   649,
     644,     0,     0,   470,   466,   497,   394,   403,   483,   428,
     427,   424,   423,   425,   426,   421,   420,     0,   476,   472,
     473,   477,     0,     0,   490,     0,  1149,     0,  1198,     0,
     912,   982,     0,     0,     0,   530,     0,     0,   534,   525,
       0,  2312,   849,  1633,     0,  1634,     0,     0,     0,  1701,
    1700,     0,  1444,  1453,     0,  1440,  1438,  1429,     0,  1431,
    1718,  1720,     0,     0,  1733,  1652,   897,     0,   898,   921,
     452,     0,   920,   927,   927,   439,   661,   432,     0,   276,
       0,   713,     0,   724,   722,     0,     0,  1192,     0,  1193,
    1194,  1197,   330,   373,  1007,  1011,  1010,     0,   443,   444,
     445,     0,   414,   453,   454,     0,   594,   618,     0,     0,
       0,     0,   474,   470,   401,   486,   465,   483,   478,     0,
     481,     0,     0,     0,     0,  1150,  1151,   317,     0,   981,
     984,  1111,   533,   532,  2315,  2317,  2316,     0,  1635,  1704,
    1690,  1717,  1702,  1442,     0,  1430,     0,     0,  1729,     0,
       0,     0,     0,   924,     0,   661,     0,   915,   914,   446,
     434,   313,     0,     0,   720,   723,   711,   724,   731,   730,
       0,     0,     0,     0,     0,   455,     0,   456,   487,   718,
       0,   650,     0,   476,   474,   377,   486,     0,   482,   479,
     485,   484,     0,   476,   913,   929,  1110,  1109,  1354,  2313,
    1452,  1721,  1722,  2126,     0,  2101,     0,  1731,  1734,  1732,
    1726,   310,   927,     0,   436,   450,   457,     0,     0,   712,
    1195,   651,   462,     0,   461,     0,   459,   458,   708,   654,
     483,   476,   375,     0,   316,  1465,  1093,  1354,  1092,  1094,
    1102,  1099,  1101,  1100,  1098,     0,  1738,  1737,  1736,  1740,
    1739,   899,   916,     0,   661,   714,   721,     0,   460,   464,
     463,     0,   652,   655,   658,   656,   657,   486,   483,   480,
     903,     0,  1103,  1097,  1341,  1328,     0,   451,   437,     0,
     632,     0,   378,   486,  1095,  1354,  1735,     0,   653,   376,
    1096,     0,   654,     0,   633
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1724,  2604,  2489,  3273,  3274,   249,
     250,  1791,   251,   252,   253,   254,   255,   256,   257,  1737,
     258,   259,  1301,  1936,  2613,   260,  2372,  1075,  2246,  2247,
    2546,  2248,  2236,  1577,  2037,  1725,  1753,   262,   263,  1571,
    2228,   264,   265,   266,  1776,  1777,  1732,  1979,  4140,  4709,
    2473,  4823,  3119,  3120,   267,  1830,  1831,   268,   269,  3225,
    1872,  3227,  3228,  3750,   881,  2573,  4161,  4162,  3737,  3738,
    4168,  4437,  4438,   270,  1933,  3301,  3832,  3302,  4240,  3303,
    4241,  3304,  4242,  3255,  3796,  3797,  3798,  3305,  4246,  4645,
    3306,  2387,  1426,  2064,  2065,  4620,  4058,  4059,  4785,  4732,
    4733,  4734,  4856,  4248,  1782,  3839,  4253,  4495,  4496,  4654,
    4465,  3030,  1955,  2646,  3307,  3308,  4239,   271,   272,  2640,
    1806,  1807,  2495,  3756,  3366,   273,  1318,  3624,  4510,  4668,
    4669,   274,   868,   275,  1940,   276,   277,  2599,  3260,   278,
    2396,  3039,   279,   280,  3063,  3064,  3065,   281,   282,  3804,
    4466,  1778,  3112,  3113,  3114,  3115,  3661,   283,  1938,  1811,
    2622,   284,   285,   286,  2603,  3266,  3267,   287,   288,  2535,
     289,   290,   291,  1948,  2634,  2635,  4230,  4474,  4630,  4476,
    4891,  4892,  4457,  3609,  4071,   292,   293,   294,   295,  1916,
    2592,  2593,  3757,  1710,  1876,  2575,  2576,  3822,  3823,   296,
     297,  4106,  4107,   913,  4739,  4713,  4796,   298,   299,  4110,
    4111,   300,   301,   302,   303,   304,   967,  1370,  1371,  1716,
     305,  2263,   306,  1272,  3212,   307,  1461,  2775,  4289,   308,
    1002,  1398,  1399,   309,   310,  1013,  2758,  1015,  2078,  3368,
    3369,  3890,  2729,  1198,   311,   312,  2739,  2761,   313,  1727,
    2378,  2379,  4053,   314,   914,  1960,  2649,  3025,  4659,  4060,
    4385,  4584,  2948,  3558,   315,   915,  1757,  2436,  2652,  3315,
    3316,  2438,  2913,  3851,  2440,  3317,  3322,  3323,  3324,  3847,
    3855,  4504,  4505,   316,  1755,  2429,   317,   318,   319,  1786,
    1217,   320,   936,   937,   321,  4613,   322,  1337,   323,  1033,
    2094,   324,  2451,  3647,   325,   326,   327,  4868,  4901,  4902,
    4903,  3860,  4828,   328,  4870,  1440,   330,   331,   332,   871,
    1239,  1240,  1241,   333,  4255,   334,   335,  2596,  3254,  3778,
     336,   337,  2373,  3015,   338,   339,   340,  1920,   341,   342,
     343,   344,  1852,   345,  1607,  1608,   346,   347,   876,  1093,
    1611,  1619,   348,  1278,   349,  2022,  1927,  2023,   350,   351,
     352,   353,   354,   981,  1392,  1393,  1394,  2039,   355,  2697,
     356,  3200,  3718,   357,  1444,  2750,   982,  1385,   983,  2966,
    3569,  3570,  3573,   984,  2963,   361,  2084,  2744,  2747,   985,
    2970,  2971,  2972,  2973,  2974,  3575,   986,  1004,  1328,  2660,
     987,  1531,   366,   367,   368,  1102,  1097,  1098,   370,  2206,
    2903,  1021,  1625,  1060,  1109,  4009,  2276,  2277,  2297,  2298,
    1634,  1635,  2287,  2289,  2950,  2290,  2959,  2282,  4006,  4351,
    2293,  2294,  1637,  1638,  2954,   371,  2907,  3504,  3505,  3506,
    3987,  3997,  4338,  4549,  3507,  1434,  1644,  3508,  3513,  3567,
    3292,  3293,  3294,  2441,  2583,  1898,  1532,  1899,  2590,  1533,
    2128,  1901,  1534,  1535,  1536,  1904,  1537,  1538,  1539,  1540,
    2112,  2169,  1541,  1542,  2147,  1141,  1142,  2024,  2813,  1544,
    1545,  3953,  4313,  4302,  2839,  2840,  2243,  3949,  3456,  4561,
    4690,  4691,  4017,  4014,  4355,  4565,  4781,  4837,  4838,  1546,
    2893,  2198,  1219,  1547,  3759,  2200,  2833,  2915,  2916,  2357,
    2110,  2780,  2796,  2797,  2810,  3417,  2817,  2822,  3440,  3441,
    2834,  2862,  1548,  2783,  2784,  3401,  2114,  1549,  1600,  1601,
    2214,  2857,  1614,  1615,  1095,  1550,  1551,  2079,  1084,  4545,
    1346,   717,  3129,  2258,  1244,  1018,  1552,  1553,  1554,  3370,
    1665,   696,   697,  1179,   821,     2,    75,   988,  3298,   375,
     376,   917,   918,   919,  1320,  1321,  1965,  1968,  1670,  2335,
     698,   699,   726,  4268,  4511,  4671,   974,   377,   378,   379,
     380,  1666,  2331,  1143,    76,    84,    77,  1144,   417,   418,
    2313,   381,   838,   382,  1647,  1123,  3581,   383,   384,   385,
     386,   387,   970,   388,  1125,   389,  1126,   390,   391,   392,
     393,  1133,   394,  1649,  1650,  4046,  1651,   395,   396,   719,
     720,  1383,   397,   398,  1160,  1161,  1417,  1418,  1676,  1691,
    1692,  1693,   399,   713,   400,   401,   402,  1682,  1683,   403,
    2221,  2222,  2340,  2223,   404,  2987,  2988,   405,  3539,  3540,
    4362,  3541,   406,  2217,   407,   408,  1087,  3586,   409,   834,
     410,  1174,   700,   701,   702,  1181,   824,  1046,   727,  1183,
    3116,   826,   827,   704,   705,   706,  2059,    78,  2995,  2060,
    1556,   728,  1557,  2212,  1558,  1559,  1560,  1561,  1562,  1699,
     710,  1150,  1374,  1375,  2996,  1377,    82,  1378,   414,  3771,
    2027,  1419,  2045,  2046
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4438
static const int yypact[] =
{
   -4438,   464, 16377, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, 21817, -4438,
   -4438, -4438, -4438, -4438, 99978,   754, -4438, -4438, -4438, 61758,
   -4438, -4438, -4438,   505, 67148, -4438, 70578,   922, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, 74498, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, 54396,   814, -4438,
     481, -4438, -4438, -4438, -4438, -4438, -4438, -4438,   931,  8157,
   -4438, -4438, 71068, -4438,   181, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438,   697, 71558,   642, -4438,   911,   853, -4438,   126,
   10019, -4438, -4438, 62738, 68128, -4438, -4438, 74988,   138,  2576,
    4867,   931, 21324, 75478, -4438,  1482, -4438, 50924, -4438, -4438,
   -4438, 67638, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, 83318,  2696,   821, 51423, -4438, -4438,
   -4438, -4438, 83318, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, 75968, -4438,  1134,   883, 83808, 84298, 64698,
   -4438,  1183, -4438, 83318,  1130,   318, 53414, -4438, 84788, -4438,
   -4438,  1088, -4438, 76458, -4438, -4438, -4438, -4438,   821, -4438,
   54396, 48445,   166,  1025, -4438, -4438, 85278, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438,  1978,  1156, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438,   642, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438,   635, -4438,   706,   947,  1411,
     645,  1065, -4438, -4438, -4438, 10182, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,101439,  2063, -4438, -4438, -4438,  1338, -4438,
    1212, -4438, -4438, -4438,  1790, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438,  1375, -4438, -4438, -4438, -4438,  1832,100465, 74498,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, 62248, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,   184,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, 74498, 74498, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, 74498,
    1503, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
     431,  1730, -4438, -4438, 54396,  2384,  2384,  1998,101439, -4438,
   -4438, -4438, 55378, 83318, 83318, 83318,  1724, 83318, 83318,   213,
   55378, 83318, 83318,  1822, 83318, 43941, -4438, 83318, 83318, 83318,
   83318, 76458, 83318,  1779, 83318, 83318, 85768, 83318,  1902, -4438,
    2164,  1267,  1808, -4438, -4438, -4438, 83318,  9746,  2696, -4438,
   -4438, 83318,  1831, 55378, 83318,  2696,  1708, 83318,  1783, 83318,
   -4438, 83318, 86258,   309,  1669, 83318,  1987, 76948, 44444,  1979,
   83318, 83318, 83318, 83318, -4438, -4438,  1864, 83318, 83318, -4438,
   -4438, 86748,  1485,  2125,  2035,   975, -4438, -4438,  2260,  1842,
   -4438, -4438,  2292, 74498, -4438, 72048, -4438, -4438, -4438,  1921,
   -4438, -4438, -4438, -4438, -4438, 65188,  2576, -4438, -4438, 55869,
   83318,  2127, -4438, -4438, 87238, -4438, -4438,   371, 56360, 87728,
   -4438, 77438, 44947,  2279, 88218, 88708, -4438, -4438, 89198, -4438,
   89688,  2014, 90178, -4438, 90668, -4438,  2136, 91158, -4438,  5312,
   -4438,  1944,  2090,  1752,  1920,   845, 74498, 74498,   695, 39486,
     642, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,   145,
    1702, 51922,  1215, 52421, -4438, -4438,  1264,  1428,  1521,   145,
    2396,  2396,   651, 74498, -4438, -4438,  1702, -4438,   644,   787,
    1960,  1960,  1960,  2156,   -14, -4438,  1960, -4438, -4438, -4438,
   -4438, 76458, 51922, 52421, -4438,  1985,  2696,   165,  2367, 83318,
   -4438, 83318, -4438, 83318, 83318, -4438, -4438, -4438,  2394,  2010,
    2249, -4438,  2015, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
    2226,  2234,  2213,    61,  2696,  2131, -4438,  2349, -4438,  2254,
   26911,   489, 74498,  2696, 52920, 77928, 98018,   243, 65188,  2696,
   91648,  2085,  1267,  2288, -4438,   531, -4438,  2513,  2140,  2355,
      95,  1267, 41462, -4438,  2151,  1204, 76458,101926, -4438, -4438,
   -4438, -4438,   857,  2431, 27419, -4438, 83318,  2157, -4438,  2169,
    2205,  2214,  1411, -4438, 83318,   735,   735,  2586,   735,  1715,
    1884, -4438,  2296, -4438,  2483,  2459, 76458,  1025,   931,  2229,
   -4438, -4438, -4438,  2241, -4438,  2232,  2239, -4438,   472,  2495,
   -4438, -4438, -4438, -4438,  2328,  2329,  2336,  2337,  2270,  2346,
     283, -4438, -4438, -4438, -4438,  2582, -4438, -4438, -4438, -4438,
   -4438, -4438,  2688,  2679, 62738, 62738,   667,   694,   147,   257,
   -4438, -4438, -4438,  2531, -4438, -4438,  2532, 83318,  2376, 83318,
   -4438, -4438, -4438, 92138, -4438, -4438,  2384,  2241,  2308, -4438,
     316, -4438,  1204, -4438,   356,   414,   440,  1803,  2307,  1853,
    1691, -4438,   743,  2417,   233,    -4,  2344, 76458,  2638,  2320,
     327,  4030,   283,  1571, -4438, -4438, 83318, 83318, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438,  2335, -4438, -4438,
    2339,   999,  1486,  7799,  1300,  4374,  1862,   690,  2520,  1213,
    2633,  1681,  6261, 83318,  2353, -4438,  2594,  2690,   662, -4438,
     183, -4438,  1032,  2432,  2561,  1013, 55378,  2383, -4438, -4438,
   83318, -4438, -4438, -4438, -4438,   378, 55378, -4438,  2571, 45450,
   -4438, 83318, -4438, -4438, -4438, -4438, -4438,  2504, 83318, -4438,
   -4438,  2625, 83318, -4438,  1960,  1099,  2398,  2773, -4438, -4438,
   58815,   195, 83318,  2438,  2821,  2618,  2438,  2454, 92628, -4438,
   -4438,  2438, -4438, -4438, 83318,  1571, 83318, 83318,  2429,  1276,
    2438,  2841,  2850,  2521,  2623,   785,   290,   125,  2734,  2438,
   83318, 93118, 83318, 83318,  2840, 55378, 83318, -4438,  2641, 78418,
   -4438,  2456,  2260, -4438, -4438, -4438, -4438, -4438,  1420, -4438,
   -4438, -4438, -4438,  2770,  2308,   377,  2792,  2505,  2807, -4438,
    2546, -4438,  2812,  2320,  2818,  2539, -4438, 83318, -4438, 93608,
   94098,  2819,  2335, 83318,  2830,  2539,  2831,  2725,  2843,   377,
    2852, -4438,   948,  2853,  2732,  2858,  1781,  2539, 65678,  2865,
     149, -4438, 19077,  5312, -4438, 22866,  1815, -4438, -4438, -4438,
   83318, -4438, -4438, -4438, 30975,   738,  2655, -4438, -4438,  1025,
   -4438, -4438,  1914, -4438, 50425, -4438,   695,  1702, -4438, 74498,
    1702, 74498,   651,  1702, 74498,  1702, 74498,   651,  1702, 74498,
   74498, 74498,  1702, -4438, -4438,  1775,   893, -4438, -4438, -4438,
   -4438, -4438, 74498,  2593, 83318, 83318, -4438, -4438, -4438, 68618,
   83318, 69108, -4438, -4438,   156, 74498, -4438, 74498, -4438,  2696,
   -4438, -4438,  1752, 58815,  2984, 83318,  2868,  2868,  2868, -4438,
   -4438, -4438,  2838, 83318,  2879,  2909, 68618, 83318, -4438, 94588,
   65188,  2799,  2628, -4438, -4438, -4438, -4438,  1941,  2808,   396,
    2862, 30975,  2662,   176,   176,  2663, -4438, -4438, -4438,   520,
    2666,  2670, -4438,   727,   727,  2790,  2698,  2701, -4438,   798,
    2705, -4438,  2902,   823,  2707,  2708,  2709,  2250,   176, 30975,
   -4438,  2710,   727,  2711,  2713,  2715,  2934,  2719, -4438,  2989,
    2720,   227,   298,  2727,  2728, -4438,  2698, -4438,   553,  2731,
    2737,  2739,  2740,  2741,  2743,  2744,  2747, 30975, 30975, -4438,
   25895, -4438,  2696, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
      91, -4438,   837,  4377, -4438, -4438,  2813, 30975, -4438, -4438,
     267, -4438,   865, -4438, -4438,  1204, -4438, -4438,   393, -4438,
   -4438, -4438, -4438,  1658,  1658,   202, -4438, 71068, 71068, -4438,
   -4438,  1244,  2676, -4438,  1813, -4438, -4438, -4438, -4438, -4438,
   -4438, 63228,  3088, -4438,  2217,   183,  1490,  3034, 49427, 49926,
    2965,  2965,  2918, -4438, -4438, 83318, -4438, -4438, 30975, 47463,
   -4438,  1204,   226,  2964, -4438, -4438, -4438,  1968, -4438, -4438,
   -4438,   642, -4438, 13031, -4438,  1981,  2157, 83318, 83318,  3136,
   -4438, -4438,  2169, -4438, -4438,  1411,  1411, 30975,  1411,  1171,
     886, 27927, 30975,  3035,  2933,  1127,  1546,  3037, -4438,  1715,
    1884, 76458, 83318, 95078,  2867, -4438, -4438,  2241,  2764,  1645,
   -4438, 60778,100952,100952,  3007, -4438, -4438,  1415,  1028,  2880,
    2972,  2396,  1353,  1873, -4438, -4438,  2765, -4438,  3099, 71068,
    2823, 62738, -4438, -4438, 83318, -4438, -4438, 78908, -4438, -4438,
   -4438,  1792,  2768, -4438,  2785, 83318,  3271, -4438,  1873,  1873,
   -4438, -4438,  2772, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438,101439,  2776, 83318, -4438,  2781,  2782, -4438,101926, 47954,
    1856,  1204,  2856,  2859,  2904, 54396,  2783,  2861,  2866,  2906,
    2869,  2870, 98508, -4438, -4438, -4438, -4438,  1657,   906,  1053,
    2872,   178, -4438,  2917, -4438, -4438, -4438,  3507, 83318,  6916,
    2983,   283,  2915, -4438,  2876,  2877,  2996,   283,   913, 98998,
   -4438, -4438, -4438, -4438, -4438,  2753, 24397, -4438,  2881,  2860,
   63718,  3174,  2992,  1112,  1907,   162, 83318,  3065,  2998, 83318,
    2814,  2891,  2897,  2825,  1898,  3183,  2824, -4438, -4438,  3000,
      75,  3012, -4438,  2884,  2885, 57833,    96, 45953,  3169,  2908,
   -4438,   833,  2910,  2911,   283, -4438,  3225,   283,   283,  1787,
    3226,  2914,   338,  1771,  2438,  2824,  1462, -4438,  2916,  1732,
   -4438,  3020,   276,  1890,  2824,  2922,  2924,  2825,  2825, 83318,
   83318, 83318, 83318, 83318,   146,  3242,  3243,  2925,   160,  2970,
    2851, -4438, 72538,  2928, 98018, -4438, -4438,  2929,  2199,  2824,
    1600, -4438,  1637, -4438, -4438, -4438,  1267, -4438,  2868, 83318,
   83318, 83318, -4438, 83318,  2308, 58815,  3039,  2890, -4438,  2320,
     283, 83318, 83318,  2335,   175,   961,  3042, 83318,  3100,  2898,
   -4438, -4438,  2438, -4438, 47954,  2429, -4438,  2863, -4438,  2912,
   -4438,  2912,  2912,  2873,  2873,  2882, -4438, -4438,  2250,  2912,
    2873, -4438, 59797, -4438,  1010,  1540, -4438,  3272,  3285, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,  1477, -4438,
    2012, -4438, -4438, -4438, 83318, 54396, -4438,  3298, -4438, -4438,
   58815,  3182, -4438, 83318,  3080,  2889, -4438,  2921, -4438, -4438,
    3219,  2943, -4438,  2935, -4438, 83318,  1072,  2696,  2937, 83318,
    3109, 83318, 83318, 83318, 83318, -4438, -4438,  3083,   737,    52,
   -4438, 72538, -4438,  1462,  3094,  3303,    31,  1960,  3189, -4438,
   83318,  2905,  3310,  3142, -4438, -4438,  2919,  2396, -4438,  2456,
   -4438,  1915, -4438,  3044, -4438, 55378,   377, -4438, -4438, -4438,
   -4438, 58815, 83318, 95568, 55378,   377, 83318, 83318, -4438,  3222,
    2975,  3227,  2981, 45953,   377,   151, 83318, 83318, 83318, 83318,
   -4438, 83318, -4438, -4438, -4438, -4438, 83318, 83318, 83318, 72538,
    3229,  3231,   377, 83318, 83318, -4438, -4438, 22777,  1843, -4438,
    5312, -4438, -4438,   148, 13031,  2026,  2965, -4438,  1503, 83318,
    1493,   695, 69598, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, 74498, -4438, 74498,   651, -4438, -4438, 74498, -4438, 74498,
     651, -4438, 74498, -4438, -4438, -4438, 74498, 83318,  3434,  2936,
   -4438,   393, -4438, 83318,  2033, -4438, -4438,  2072,   739, 83318,
     366, 55378, 83318,  3125, 83318, 83318, 83318, 83318,  3013,  2676,
     311, -4438,   355, 76458,  3134, -4438, -4438, -4438, -4438, -4438,
    2083,  1978,     8, -4438, -4438, -4438, -4438, -4438, -4438, 69108,
   67638,  3224,    60, 83318, -4438, -4438,  2733, 30975, 26403, -4438,
   -4438, -4438,  2948, 13031,  2987, 30975, -4438, -4438, 30975,  2396,
    2396, 30975, -4438, -4438, -4438, -4438,  1424,  2396, -4438, 30975,
   30975,  2396,  2396,  2912,  2912, -4438,  5984, 30975, -4438, 45953,
   30975, 32499, 23888, 30975,  3026,  2969,  2396, -4438,  2396, -4438,
   30975, 25387, -4438, 30975,  3158, 33515, 30975,  1490,  3161, 30975,
    1490,  3381,  3381,  1885,  6584,  2956, -4438,  3066,  2396, -4438,
    2396,   182,   218, 58815, 30975, 54396,  3040,   224, 83318, 30975,
    2962,  1810, -4438, 30975,  1346, -4438,  2966, 30975,  3046, 30975,
   30975, 30975, 30975, 30975, 30975, 30975, 30975, 30975, -4438, 34503,
     271, -4438,   478,  1235, 70088, 26911,  3244, -4438, 23379, -4438,
     191, 74498, -4438, -4438,  1204, -4438, -4438, -4438, -4438, -4438,
    1792,  2974, -4438,  2980, -4438, -4438, -4438, -4438, -4438, 83318,
    3088, -4438, -4438,  3050, -4438, -4438, -4438, -4438,   880, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438,  2978, -4438, -4438, -4438,
   -4438,  2978, -4438, -4438,  2965,  2982,  5637, -4438, -4438, -4438,
   -4438,  3249,  3250,   377,101439, 83318,   857, 73028, -4438, 27419,
   -4438,  2095,  2986, -4438,  3232, -4438,  2991, -4438, 10681,  3232,
   -4438, -4438,   143,  3168,  3175,  3175, -4438,  2993, 13031, -4438,
    2076, 13031,  2126, -4438, -4438, -4438, -4438, -4438, -4438,  1361,
   -4438,  3035,  1546,  3047,   596, 83318, -4438, 41956,  2039, -4438,
    2241, -4438, -4438, 20642, -4438, 22304, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438,  2999, -4438, -4438, -4438, -4438,
     283,  3002,  3475, -4438, 62738, -4438, -4438, -4438,  3434, -4438,
    2292, -4438,  2292,  3503, -4438, 74498, -4438, -4438, -4438, -4438,
     971, -4438,  5312, -4438,  5312, -4438,  3003,  2112,  3078,  3082,
    3124, 83318, 83318, 83318, -4438, 54396, 83318, 83318, 83318, 83318,
   83318, 83318, -4438,  3368,   790, 67638,  3128, 66168, -4438, -4438,
    3025, 83318,  3084,  3247,  3265,   757, -4438, -4438, 83318, -4438,
    3228, 83318, 30975,  3230, 83318, 83318,  3106, 55378,  3036, 83318,
   83318, 83318,   384, 55378, 46456, 83318, 83318, 83318, 83318,  3149,
   83318, 83318,  3267,  1015,   315,  2210,  2824,  3233, -4438,  1137,
   83318, 83318,  3220, -4438, -4438, -4438, 65188, -4438, -4438, -4438,
    3215, -4438, -4438, 59797, -4438, -4438,  2121, -4438, 59306, 56851,
   -4438, -4438,  1104, 83318, 83318, 83318,  1064, -4438, -4438, 58815,
   -4438, 83318, 83318, 83318, 73518, 96058, 96548,  1260,  1309, 83318,
   74008, -4438, 83318, -4438, -4438, 54887, 83318, 83318, 54396, -4438,
   83318,  3234,   778, -4438, 83318,  4642,  3116, -4438, -4438, -4438,
   83318, 83318,  3041,  2142,  3119,  3164, -4438, 83318, 83318,  2390,
   -4438, 83318, 83318, -4438, -4438,   283, -4438, -4438, -4438, -4438,
   -4438, 83318, 83318,   283, 83318,   283,  1591, -4438, 83318, -4438,
   -4438, -4438, 83318, 83318, 83318, 83318, 83318, -4438, -4438,  1603,
    1459,  1570,  1933,  3185, 83318,  2696, 83318, 97038, 83318, 83318,
   83318, 83318,  1626, -4438, -4438,  3157, -4438, 83318,  2390, 83318,
   83318,  3123,  3126,   208,  3201, -4438, -4438, -4438,  3340,    99,
      99, -4438, -4438, -4438,  3294,  3463, 83318, -4438,  3299,  3300,
    3112,  3115,  3304,  1774, 83318, 83318, 83318, 83318, 83318, 83318,
    3307,  1774,  3248,   599,  3071,  2158, -4438,  3085, -4438, 30975,
    3478, 58815,  3079,  3086,  3151, -4438,  3154,  2396, -4438,  2172,
   -4438, -4438,  2179, -4438,  3089,   737,  2386, -4438, 83318,   722,
     620,  3379, 37990,  3194,  3577, 83318,  3372, 83318, 83318,  3577,
   -4438,  2046, 67638, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438,  3371, -4438,  2696,  2429,  2429,  2429,  2429, -4438,
   -4438, -4438, -4438,  3276,  1990, -4438,  3092, 83318,  3202,  3577,
   -4438,  1462,  3392,  3394, 83318, 64208,  1571,  3502,  2696,  3282,
   -4438, 24892,  4114,  3284, 65188, 78418, -4438,  3111,  3370,  3373,
    3395, -4438,  2308, -4438,  3513, -4438,  3407,   377,  2320, -4438,
    2539, -4438, 83318, 83318, 83318, 83318,  2335, -4438, -4438,  2539,
    3297,   377,   377, -4438,  3302,   377,  2539,  3237,  3397, 65188,
   -4438,   149, -4438, -4438, -4438, -4438, 83318, -4438, -4438, -4438,
   30975, -4438, -4438,  3117,  1915, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, 74498,  2292, -4438,  2211,
   -4438, 83318, -4438,  3375,  3377,  3380,  2539,  3153, 83318,  3120,
   -4438,  2539,   283,  2539,  2676,  2676,  2539, 79398,  3542,  3404,
     597, -4438,   750,    23,  3341, -4438, -4438, -4438, -4438, 58815,
   -4438, -4438, -4438, -4438, -4438, 83318,   105,  3313,  3130, 79398,
    3520,   377, -4438, 55378, -4438, -4438,  3218, 55378,  3324, -4438,
   -4438, -4438, -4438, -4438,  3374, 83318,  2215, -4438,  1872, -4438,
    1903, 30975, 30975,   198, -4438, 11432,  2219,  3137,  3139,  2224,
   -4438, -4438, -4438, -4438, -4438, -4438,  3146,  3428, -4438, -4438,
    3148,  2236,  2273,  3152,  3156, -4438, -4438,  5912,  3162, 12044,
    3163, 32499, 32499,  1772, -4438, -4438, 32499,  3166, -4438,  2278,
   10986,  3155,  3167,  3172, -4438,  3170,  3171, 12433, 28435, 30975,
   28435, 28435, 12331,  3155,  3173,  2282, 54396,  3327, 12642,  2303,
   -4438, 30975, 54396,  6112, 30975, -4438, 30975, 83318,  3176,  3177,
   -4438, -4438,  5984, -4438,  3187, -4438, 32499, 32499, -4438,  4096,
   25895, -4438, -4438,  3439, -4438, -4438,  2020, -4438,  3165, -4438,
   -4438,  5456,   239, 30975,  2962, 30975,  3246, 45953,  1067, 30975,
    6040,  3506,  3506,   380,   380,   168,   168,   168,  2247,  1235,
   -4438, -4438, -4438,  3179,  2719, 30975, -4438,  2401,  2404, 83318,
    8778, 12838, 13337, -4438, -4438, -4438, 36013,  3212, 30975, 30975,
   30975,  3181,  3349,  3602, 13031,   949, -4438,  3603, -4438, -4438,
   -4438,   264,  3503,  1792, -4438,  1267,  2396,   182, 50425, -4438,
   -4438, -4438, 30975, -4438, -4438, -4438, -4438,  2169, -4438, -4438,
   -4438, -4438, -4438,  1978, 30975, -4438, -4438,   572,  2092, 30975,
    2076, -4438, -4438, 83318,  3134,  3134, 30975, -4438, -4438, -4438,
   -4438, -4438, 36013,  3221,  3236, 40968,  3312, -4438, -4438, 83318,
     154, -4438, -4438, -4438,  3198, -4438, -4438, -4438,  1582, -4438,
   -4438, -4438, -4438, -4438, -4438,  3184, -4438,  3188, -4438,  3199,
   -4438, -4438, -4438, -4438,   177,  3186,  3190,  3191,   -55, -4438,
   -4438, 83318, 83318, 83318, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438,  3418, -4438, 83318, 83318,  3382, 83318,
    3376,  3383, 30975,  1128, 83318,  3203,  3204,  1214,  3454, 83318,
   -4438,   377, -4438, -4438, 13031, -4438, -4438, -4438, 65188, -4438,
    2308, 58815, -4438, -4438, -4438,  3238, 83318, -4438, 83318, 83318,
    2335, -4438, -4438, -4438, -4438,  1144, -4438, -4438, 83318, 83318,
     308,  3275, 83318, -4438,   652,  3020, 83318, 83318, 83318,  3447,
   -4438, -4438, -4438, -4438,  3396, -4438, -4438,  2012, -4438, 56851,
   59306, -4438, 59306, -4438,  2012,  1793, -4438,  2539, -4438, -4438,
     621, -4438, -4438, -4438, -4438, -4438,  3504,   377,  3505,   377,
   83318, 83318, 83318, 83318, -4438, -4438, -4438, -4438, -4438, 54396,
   54396, 54396,  2330, -4438, -4438,  2696, -4438, -4438, -4438,  2333,
   -4438,  1366, -4438, -4438, -4438, -4438, -4438, -4438, 83318,  1963,
   -4438,   839, 58815, -4438, 58324, 83318, 83318, -4438, -4438,  3432,
    3378, -4438,  2176, -4438,  3384, 83318,  3261, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,  3288,
   -4438, -4438, -4438,  3425,  3426,  3430,  3290,  3291,  3338,  3295,
    3296,  3342, -4438,  3301,  3343,  3306,  3344,  3308,   377, 58815,
    1967,  3336,  3530,   377, -4438,  3314, -4438, -4438,  3635, -4438,
   83318, -4438, -4438, -4438, 83318, 83318, -4438, -4438, -4438, 97528,
    3315,  3315,  3315,  1774, 58815,  3477,  1774,  1774, 83318, 83318,
    1774, -4438, -4438, -4438,  3482,  3483,  3486,  3488,  3491,  3492,
    1774, -4438, -4438, -4438, -4438,  1099, 54396, -4438,  2362, -4438,
    1921, 43438,  6917,  3258,  3086,  3239,  2396, 38992,  1358,  3464,
    3257, -4438, -4438, 54396, 43438,  2019,  3481,  3273,  3273,  3273,
    3273,  3273,  3273,  3273, -4438,  2887,  2438, 65188, 83318, 65188,
   -4438,   620,  3440, 83318, -4438, -4438,  2351, -4438, 83318, 83318,
     220, 83318,  2396, -4438, -4438,  3260,  3325, -4438,  1960,  1072,
    3399,  1539,  3601, -4438, -4438, -4438, -4438, -4438, 83318, 83318,
     737,  2696,  3269,  3263, -4438, 83318, 83318, 74498,  1978,  3277,
   83318,  3274,  3270, -4438, -4438, -4438, -4438,  2352, -4438, 58815,
    3460,  1978,  3352, 83318, -4438,  2357,    80, -4438,  2696, 65188,
   57342, -4438,  4809, -4438, -4438,   868,  3551, -4438, 83318, -4438,
   -4438, 40474,   377, 58815, 83318, -4438,   377,  3333,   377,  3334,
     377,   377, 83318, -4438, -4438, 83318, -4438, 83318, 72538,   377,
   -4438, -4438, 13031, 83318,  3569, -4438, -4438, -4438, -4438,  3405,
    3406,  3408, 83318,  2539, 55378, -4438,  3287, 83318,  1133, -4438,
   -4438,  3466, -4438, -4438, -4438, -4438, -4438,  3591,  3592, -4438,
   -4438, -4438, 83318, 68618,   155, 83318, -4438,  2308, -4438,  2320,
     283, 83318,  3534, -4438, -4438, -4438,  3309,  2387, 11516, 30975,
   -4438,  3605, 58815, -4438, -4438, -4438, -4438, -4438, 30975, -4438,
   -4438, -4438, -4438, -4438, 30975, -4438, 30975,  3578, -4438,  3723,
    3723, 58815, 32499,  1472,  2711, 32499, 32499, 32499, 32499, 32499,
   32499, 32499, 32499, 32499, 35011,   718, -4438, -4438, 30975, 30975,
    3589,  3578, -4438, -4438,  1286,  1286, 58815,  3305,  3155,  3311,
    3316, 30975, -4438, -4438,  2412, 34009,  3318, 54396, -4438, 30975,
   10952,  2442,  3350, 12907,  1204,  7214, -4438,  3686,  2696, 30975,
    2057,  2160, 30975,  2461, 30975,  3594, -4438, -4438, -4438,  3320,
   -4438, -4438, 58815, 30975, 32499, 32499,  6485, -4438,  6950, 30975,
    3321,  7068, 25895, -4438,   821,   821,   821,   821, -4438, 83318,
   83318, 83318, 35519, 79888,  3326,  1946, -4438, 79888, 80378, -4438,
    3328,  1204, 30975,  3583,   852,   852,  3323,  3349, 42450, -4438,
   30975,  1530, 28943,  3332, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,  3331,
   -4438,  3329, -4438, -4438,   183,  3335, -4438, -4438,  7571,   177,
   -4438,  3337, -4438,  3345, -4438,  2092, -4438, -4438, -4438,  7791,
    3496,  2676, -4438, -4438, -4438,  3326, 29451,  3312, -4438,  2472,
   -4438, -4438, 26911, -4438, -4438,  2488, 41956,  3221, 27419,  1204,
    2396,  3348, -4438,  2292,   264, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  3273,  2539,  2539,  1063,  2539,  3606,  1063,
    8168, -4438, -4438, 36507, 83318, 83318, -4438, 83318,  2492,  1611,
   -4438, -4438, -4438,  3741, 83318, -4438,  3398,  3400, -4438, 83318,
   83318, 83318, 83318, -4438, -4438,  2307, -4438, -4438, 83318, -4438,
   -4438, -4438, -4438,  3415, -4438, -4438,  3595,  1812, -4438, -4438,
   -4438,  3414,  2887,   237,  2825,   196, -4438,  3416, 83318, -4438,
   83318, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   54887, -4438, -4438, -4438, 54396, 43438, 54396, -4438,  3417,  3427,
    3474,   915,   970,  3433,  3435,  3476,  3360,  3362,  3364, -4438,
   -4438,   145,  2696, -4438, -4438,  2696,  2539,  2696, 83318,  3651,
     639,  1849, 83318, 83318, 83318, 83318, 83318, 83318, 83318, 83318,
   83318, 83318, 83318, -4438,  3734,  2696,  2696,  3704,  3436, 83318,
   -4438, 83318,  3020, -4438, -4438, 83318, -4438, 80868, -4438, -4438,
   -4438, -4438,  3369,  1774, -4438, -4438,  3607,  3611, -4438,  1774,
    1774,  1774,  1774,  1774,  1774, -4438,   253,  2518, -4438, 38485,
   -4438, -4438,  2821,  2696,  2821,   137, -4438,  2821, -4438,  2821,
   -4438, -4438,  3085,  3345,  2396,  1873, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  2396,  2138,  3385, -4438, 39980, -4438, -4438,
   -4438,  1935,   182, -4438, -4438, 83318,  3273, -4438,  2846,  1997,
    2678,  2726, 81358, 81848, 82338,  3389, 83318, 83318, 32499, -4438,
    1372,   203, -4438,  3610, 83318,  3413, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  3393, -4438,  2889, -4438, 83318,  3440,  2539,
   83318, 83318,  2539, -4438, 58815,  3784,   845, 93118,  3412,  3391,
    3667, -4438,  3401,  3403, -4438, -4438, 83318,  3440,   653,  1920,
    3429, 66658,  1571, -4438,  3636, 64208, -4438, 83318,  3754,  3485,
    3441,  2696,  3084, -4438, 56851, 30975, 30975, -4438,  3409, -4438,
    3410,  5023, -4438,  2429, -4438, -4438, -4438, -4438, -4438, -4438,
    3473, 83318,  3836, -4438, -4438, -4438,  3422,   377, -4438, 83318,
   -4438, 83318, -4438, -4438,   377,   377, -4438,  3519, -4438, -4438,
    1978, 83318, 83318, 83318,  2539, -4438,   283, -4438,  3689, 79398,
   -4438, -4438, -4438, -4438,    60,  3695, -4438, -4438,  3655,  3656,
    3657,  3666,  2382, -4438, -4438, 30975, 13031, -4438,  3431, 13031,
    8320, 13031,  3589, -4438,  2139,  3709, -4438,  1155,  3442,  2139,
    2445,  2445,   228,   228,   133,   133,   133,  3723,   718, 13031,
   13031, -4438, -4438, -4438, -4438,  3446, -4438, -4438, -4438,  3155,
   -4438, 31483,  3573,  3819, -4438, -4438, -4438,  3470,  3471,  3448,
   -4438, 30975, 31991,  3438, 59797, -4438, -4438,   182,  1577, 32499,
   32499,  2202, -4438,  1044, 30975, 58815,  2525,  2202,  2490,  2883,
   30975, 30975,  7289,   330, 30975,  8389, 83318, 83318, 83318, 83318,
   -4438, -4438, -4438, 37495,  1946,  3451, 83318, -4438,  3455, 36013,
    3671,  3622, -4438, 36013,  3622,  1770,  3622,  3694, -4438, 42944,
   -4438,  3461, 23379,  1697, 13031,  3840,  3732, 30975,  3465, -4438,
    3467,  3349, -4438, 99488, -4438, -4438, 13031, -4438, -4438, 30975,
   -4438,  3349,   264,   272,  2696, -4438, -4438, -4438, 45953, -4438,
   -4438, -4438,  3650, 13031, -4438,  1978, 83318,  1204,   278,  3487,
   83318, -4438,  3312, -4438, -4438,  5312, -4438, -4438, -4438,   145,
   -4438, -4438, -4438,  3538, 67638,  3753, -4438, 30975,  2528, -4438,
    3510,  3844,   200,  2537,  2560,  1611, -4438,  3413, -4438,  1455,
     281, -4438, 58815, -4438, 83318, 83318, -4438, -4438, -4438, -4438,
    2783, -4438, 83318, -4438,  3544, -4438,  3669, -4438, -4438,  3672,
     145, 83318, -4438, 58815,   377,   377, -4438, -4438, -4438,  3495,
   83318, 83318, 83318,  2396,  2396, 58815,  3480, -4438,  2396,  2396,
    3484, -4438, 83318, 83318, 83318, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, 83318, 83318, 83318, 83318,  3780, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, 83318,
   -4438, -4438, -4438, 58815,   377,   377, -4438, -4438, 83318, -4438,
    3724, -4438,  1774,  1774, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438,  2438,  3807, -4438, 54396, -4438, 61268, -4438, -4438, -4438,
    2696, -4438,  2696,  3680, 48936,  2696,  2696,  1611,  3497,  1379,
    3768, -4438,  2009, 39980, 39980, 39980, 39980, 39980, -4438, -4438,
    3771,   145, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, 30975, -4438,   932,
    2139, -4438, -4438, -4438, -4438,  3413,  1960,  3556,   722, 54396,
    3614, -4438, -4438,  2539,  2539,  3559,  1978,   673, 83318,  3817,
    3547, -4438,  2696, -4438, -4438, 83318, 64208, -4438,   668, -4438,
    2574, -4438, -4438, -4438,  3545,  3460,  1563,  3515,  1571, -4438,
   -4438,  1561, 83318,  3825,  1107, -4438,  3793,  3517, -4438, 13031,
   13031,  2696, 60288,  4809, -4438, 83318,  3769, 83318, -4438,   377,
   -4438,   377,   377, -4438, -4438, 83318,  2539,  2539,  2539, -4438,
    3698, -4438,   377, 79398,  2382,  2382,  2382,  2382, -4438, -4438,
   -4438, 13031, -4438, -4438, -4438, 32499,  3801, -4438,  3522, 58815,
   -4438,  3523,  2575,  2580, 33515,  3668, -4438, -4438, -4438,  8684,
    3572, 13031,  3624,  3528,  3529, -4438,  1057,  1057,  1044,  2584,
   -4438, 32499, 32499,  2202,  2202, 30975,  2202, -4438, -4438, -4438,
   -4438, -4438, 79888,  3532, 83318,  1946, 36013, -4438, -4438,  1674,
   -4438, 36013,  3770, -4438, 36013, 83318,  3533, 83318,  1175, 30975,
   30975,  3574,  3349,  3349, -4438,  3700, -4438,  3536, -4438, -4438,
    1873, -4438, -4438, -4438, -4438,   182,  3537, 74498, -4438, -4438,
   -4438,  1025, -4438, -4438, -4438, -4438, 79398,  3726, 79398,  1611,
    9192,  3413, 36507, 46959, 83318, 82828, 82828,  3682,  3413,  3556,
   -4438, -4438, -4438, -4438,  3546, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  3734, -4438, -4438, 43438, -4438, -4438, -4438,
   37001, 45953, -4438,   915,  3552,  3553,   970, -4438, -4438, -4438,
    1434,   728,  3579,  2539,  3839, -4438,  3734, -4438, -4438, -4438,
    1774, -4438, -4438,  3071,  2696, -4438, -4438,  2587, -4438, -4438,
   -4438, 83318, -4438,  3391, -4438, -4438, -4438, 55378,  3955,  3955,
   -4438,  1121,  1121, -4438, -4438, -4438, 83318, -4438, -4438,  9299,
    3746, -4438,  3556,  3772,  3812, -4438,  2588, -4438, 83318, 83318,
    3441, 64208,  3440, -4438,  1467,  3557,  3857, -4438,  3277,  3560,
   -4438,  3898, -4438, 66658,  3742,  3485,   910,   910, 83318,  3460,
    3683, -4438,  3685, -4438,  3953,  3570,  3642,  3945,  3752,  3948,
   83318, 36507, -4438, 59306, -4438,  2600, -4438, -4438,  3212, 83318,
     756, -4438,  3588, -4438, -4438, -4438, -4438, -4438, -4438,   155,
   -4438, -4438, -4438, -4438,   726, 32499, 58815,  2605, 30975, -4438,
   30975, -4438,  3962, -4438, -4438, -4438,    14, -4438, -4438, -4438,
    1057,  1057,  2202, -4438, 83318,  2608, -4438, 30975,  3580, -4438,
   -4438, 36013,  1674,  2609, 83318,  2612, 58815,  3349,  3155, 13031,
   83318, -4438, -4438, -4438,  3964,  3761,  3349, -4438, -4438, -4438,
   -4438, -4438, -4438,  1133,  1063,   155,  3844,  3556, -4438,  3587,
   -4438, -4438, 83318, -4438,   860,   860, 83318,  3556, -4438, -4438,
    3641, -4438, 58815,  2320,    55, -4438, 58815, 58815, -4438, 83318,
   83318, 83318, 83318, 83318,   377, -4438, -4438, -4438, -4438, 61268,
    3391,  3955,   307, -4438, -4438, -4438,  1714, -4438, -4438,  1234,
    3774,  3674, -4438, 54396,  3440,  3880, -4438, -4438, -4438, -4438,
   -4438, 30975,  3744,  1571,  3636, -4438, -4438, -4438,  3825, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438,  2626,  3485, -4438,
   -4438,  1451, 83318,  1046, -4438,  3775, -4438,  3776, -4438,  2631,
   -4438, -4438,  5023, 60288,  3909, -4438,  3646, 83318, -4438, -4438,
    2540,  4027, -4438,   726,  2635, -4438,  2636,  2643,  3743,  3649,
   -4438,  2648, -4438, 13031, 83318, -4438, -4438, -4438,  2651, -4438,
    3600, -4438,  4008, 30975,    88, -4438, -4438,  3885, -4438, 82828,
    3643, 45953, -4438,  2092,  2092,  1960, -4438,  1611, 30975, -4438,
    2656, -4438,   858,  3751,  3893,  2657,  2673,  3608,  3644,  3608,
   -4438,  2539, -4438, -4438, -4438, -4438, -4438,  3921, -4438, -4438,
   -4438,   270, -4438,  3796,  3797, 83318, -4438, -4438, 83318,  4020,
    9455, 55378,  3460,  1571,  2887,  3642, -4438,  3825, -4438,  3617,
   -4438,  3745,  3620, 83318, 83318, -4438, -4438,  3652, 36507,  4809,
   -4438,   242, -4438, -4438, -4438, -4438, -4438, 83318, -4438, -4438,
   -4438, -4438, -4438, -4438,  2674, -4438, 83318,  3623,  3155, 29959,
   29959,  3621, 79398,   860,  3625, -4438,  3626, -4438, -4438,  3772,
    1611, 13031, 55378,  4010, -4438, -4438, -4438,  3751, -4438, -4438,
   83318,  3747,   622,   622,  3952, -4438,  3684, -4438, -4438, -4438,
     915, -4438,  3632,  3485,  3460, -4438,  3642, 83318, -4438, -4438,
   -4438,  3260,  2825,  3485, -4438, -4438, -4438, -4438,  2025, -4438,
   -4438, -4438, -4438, 33007,  3755,  1036, 11821, -4438, -4438, -4438,
   -4438,   155,  2092, 30975,  1611, -4438,  3774,  2320, 83318, -4438,
   -4438,  3547, -4438,  4051, -4438,   199, -4438, -4438,  3480, 53905,
    3825,  3485, -4438,  3637, -4438,  3212, -4438,  2570, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438,  4043, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  9492, -4438, -4438, -4438,  3934, -4438, -4438,
   -4438,  2684, -4438, -4438, -4438, -4438, -4438,  3642,  3825, -4438,
   -4438,  1607, -4438, -4438,  1719,  2214, 30467, -4438,  1611,  3789,
   -4438, 53905, -4438,  3642, -4438,  2570, -4438, 55378, -4438, -4438,
   -4438,  3640, 53905,  2694, -4438
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4438, -4438,  3778, -4438, -1179,   352,  2319,  -712, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,  2955,
   -4438, -4438, -4438,  1547, -4438, -4438,   -68,  1729,  2567,  1231,
   -4438, -1374, -4438, -4438,  -886,   211,  -999, -4438, -4438, -4438,
   -4438, -4438, -4438, -4438, -1012,  1685,  1073,  3180, -2367, -4438,
   -1743, -4438, -4438,   500, -4438, -4438,  1633, -4438, -4438, -4438,
     942,  -265, -4438, -4438, -4438, -4438, -4438, -4438, -4438,     5,
   -4438, -4438,  -438, -1859,  -116,   -62,  -306, -4438, -4438,   340,
    -307, -1713, -4438, -3004, -4438,   -32, -4438, -4438, -4438,  -309,
   -1702,  1159, -1004, -1390,  1458,  -606, -4438,  -196, -4438,  -657,
    -544,  -542,  -611,  -439, -1285, -4048, -4235, -4438, -3545, -2901,
   -2977,  1169, -4438, -4438, -4438,   360, -4438, -1855, -4438, -4438,
    2246, -1652, -4438, -1023, -4438, -4438, -4438, -2952, -4438, -4438,
   -4438, -4438,   -99, -4438, -4438, -4438, -4438,   401, -4438, -4438,
   -4438, -4438, -4438, -4438, -2733,  1604,  1608, -4438, -4438, -3637,
   -4438, -1184, -4438,   543, -3022,  1100, -4438, -4438, -4438,  2274,
   -4438, -4438, -4438, -4438,   406, -4438,   408, -4438, -4438, -1850,
   -4438, -4438, -1834, -4438,  1618,   928, -4438, -4438, -4438,  -632,
    -702,  -690, -4438, -3479, -4438, -4438, -4438, -4438, -4438, -1262,
   -4438,   980, -3113, -1220, -4438, -4438,   995, -4438, -4438, -4438,
   -4438,  -584,  -186,  2298, -4438,  -485,  -567, -4438, -4438, -4438,
    -183, -4438, -4438, -4438, -4438, -4438, -4438, -1986,  8121, -1788,
   -4438, -4438, -4438, -4438, -2458, -4438, -4438, -4438, -1585, -4438,
    4047,   -11,  -275, -1830, -4438,  -191,  -104,  2805, -1386, -2699,
     348,  -333, -4438, -2025, -4438, -4438, -4438, -2603, -4438, -4438,
   -4438, -4438, -3455, -1825, -4438, -4438, -4438,   402, -4438, -4200,
   -3860, -4109, -3421, -3423, -4438, -4438, -1321, -4438, -4438, -4438,
   -1661,  1804, -1727, -4438, -2281,   403, -3687, -1000, -3226, -4438,
   -3623,  -418, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -1331,
    -897, -4438, -4438,  3317, -4438, -4049, -4438, -4438, -4438, -4438,
   -1212, -4438, -1594,  1068, -4438, -4438, -4438, -4438, -4438,  -578,
    -664, -4438, -4438, -4438,   214, -4438, -4438, -4438, -4438,  1939,
   -1178,  -993,  3178, -1820,  -218, -4438, -4438, -4438, -4438, -3009,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -1579, -4438, -4438,
   -4438, -4438, -4438, -4438, -4438,  1988,  1989,  -108,  -224, -4438,
   -4438, -1514, -4438, -4438, -4438,  -757, -1332, -1811, -4438, -4438,
   -4438, -4438, -4438,  -828, -4438,  2223, -4438, -4438, -4438, -4438,
   -4438,    50,  -526, -4438, -4438,  1314,   244,   432,   -69, -4438,
   -4438,   230, -3345,   -67, -4438, -4438, -4438, -4438,  -214,   -64,
   -4438,   686, -4438, -4438, -2824, -4438,   287,    -8,  2886,  1559,
     -65,   305,  -242,  -182,  -170,   -75,  3196,  2650, -4438, -4438,
   -4438,  -205,  1811, -4438, -1106,  -365, -4438,  1324,  -913,  1969,
    2637,  2640, -4438,  1319, -4438, -4438,  1320, -4438, -4438, -4438,
    -909,  1976, -4438,  2649,  1995, -4438,  1317,  1328, -3350,   793,
   -3324,   301,  -778,  -253,  -157,  3214,  2660, -4438, -4249,   731,
   -4438, -3518, -2405,  -659, -2117, -1833, -4438, -4438, -1433, 11159,
   -4438, -4438, -4438, 12176, 16028, -4438, -4438, 16035, 16290, -4438,
   -1288,   838, 16816,  7774, -1458, -1864, -1565, 14457,  1382,   102,
   -2823, -4438, -4438, -4438,  -219,   851,   157, -4438, -4438, -4438,
   -4438,  -472, -2821,  -466, -4438, -4438, -4438,  -468, -4437, -1994,
   -4438,  -814, -4438, 15485,  1367, -4438, -1251, -2742, -2737, -1412,
   -1988, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -1599, -3231,
    -257,  1439, -4438, -4438,  1533, -4438, -4438, -4438, -1558, -1150,
   -2676,  1445, -2128, -4438, -1098,   746,  2116, -1049,  7170,  2834,
   10732,  -136, -2418, -1540, -1780, -4438,  -527, -4438,    98,  2149,
    -139,   -53,   268,    84, -3102, -4438, -4438,   317, -4438, -4438,
   -4438,  3660,   996, -4438,  3004, -4438,  1670,  2358, -4438, -4438,
    1994,  -951,   -29, -4438,  -437, -4438,  -130, -4438, -4438, -4438,
     163, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,
    2682, -4438, -4438, -1460, -4438, -4438, -4438, -4438, -4438,  3947,
    -311, -4438,  3358,  -297, -4438, -4438, -4438, -4438, -4438, -4438,
   -4438, -4438, -4438,  2685,  2027, -4438,  3159, -4438, -4438, -4438,
     -33,  2896, -4438, -4438, -4438, -1204,  -612,  3193,  3195,  1991,
   -4438, -4438, -4438, -4438, -4438, -4438, -4438, -4438,  2002, -4438,
   -4438,  1429, -2140,  2011, -4438, -4438,   770, -4438, -4438,   333,
   -4438,   773, -4438,  2794, -4438, -4438, -4438,   811, -4438, -4438,
   -4438,  -591, 11320,   429,   249,   394,  1029, -4438,  4739,  9381,
     -84,  2716,    59,  7901, 14150,   789, -4438,  3944,  2008,  1649,
   -1033, -4438,  4091,  2311, 13472, -4438, -1031,     3,  1744, -4438,
      -2,  -661, -1187,  2997,  -720, -1967, -4438,  4372, -4438, -3163,
   -4438, -1055,  3386, -1229
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2583
static const yytype_int16 yytable[] =
{
      81,  1298,  1110,   369,  1101,    79,  1639,  1427,  1428,   359,
    1929,   360,  1432,   364,   362,  1988,  1572,   916,  1052,  1645,
    2036,  1994,  1985,  1086,   928,  1593,  2386,  2691,  1006,  2439,
    2469,  2090,  1711,   825,   912,  2067,  1932,  2478,  2549,  2550,
    1810,  1218,  1790,  2260,  2588,  1950,  2730,  2447,  1006,  1329,
    2122,  2123,  1835,  2695,  2149,  1352,  1875,   980,  2448,  2580,
    3384,   966,  1847,  3131,   820,   718,  1083,  1014,  1158,  2138,
    2101,  2551,  1120,  1027,  2517,  2518,   413,  2614,   825,  1585,
    2921,  2615,   413,  3509,  1218,  3642,  1121,  3656,   724,  3658,
     369,  3519,  2320,  2322,  2323,  2437,  3854,  1203,   730,   869,
      74,  2638,  2616,   718,  1918,  1053,  2617,  1922,  2273,   820,
    3629,  2618,  1926,  3221,  1976,   413,  2619,  1664,  1162,  3178,
    2779,  1934,  2589,  1104,   920,   927,  1694,  4065,  1696,  3760,
    1952,  3774,  4029,  2025,   927,   874,  3372,   412,  1218,  3509,
    1295,  2941,  3760,   412,  4055,  3574,   825,  2815,  1074,   930,
    1388,   922,  3984,  2260,  2507,  1043,  1003,  3081,  3083,  2687,
     413,  2815,   373,  1043,  4263,  1043,  3514,  3515,   373,  3464,
    2456,  4222,  4217,  3516,   927,  2364,  1003,   820,  2051,  1779,
    2650,  2026,  1579,  3998,  4000,  2116,  2117,  1112,  2019,  3277,
    4234,  1726,  2314,  2314,  1348,  2978,  1633,  4485,  1754,  1113,
    1636,   373,  4386,  1672,  1673,  1153,  1049,  3585,  2896,  3931,
    2135,  1805,  2219,  1814,  1049,   433,  1049,   433,  2513,   433,
    1839,  3421,  4034,    37,    38,    39,    40,  2167,   413,    45,
      44,    45,  1836,  1949,  2994,  2095,  2096,   931,  2998,  3779,
    3780,  3781,  3782,  3783,  3784,  1175,   373,   416,   880,  1376,
    4638, -1530, -1530, -1530, -1530,  3338,  2173,  3340, -1530,  4664,
    2524,  2636,  1324,  3845,  2457,  1005, -1853, -1853, -1853, -1853,
    1869,  1685,  3524, -1853,  2529,  3525,  3526,  4585,  1977,  2165,
    1977,  2176,  4712,  4177,  1977,  1005,  3527,  3528,  3529,   261,
    3530,  3531,   329,  1457,  1686,  3532,  3533,  3534,  2760,  3579,
     369,  4660, -1540, -1540, -1540, -1540,   359,  2850,   360, -1540,
     364,   362, -1530,  2178,   373,  1178,  3421, -1747,    37,    38,
      39,    40,   358,  1199, -1747,    44,  3199,  4679,  1734,   433,
    2028,  3630,    37,    38,    39,    40,  2855,  3382,    43,    44,
    1463,  1687,  4826,    45,   433,  4384,   372,    37,    38,    39,
      40,  2855,   372,    43,    44,   433,  1276,  2644,    45,  3196,
    2584,  2392,  1863,   870,    43,   363,   822,  1415,  1235,    45,
    2890,  2038,  4088, -1540, -1540, -1540, -1540,  2891,  3047,  2392,
   -1540,   413,  4889,   365,  2261,   372,  2906,  1945,  4213,  1196,
    1149, -2581, -2581, -2581, -2581,   374,  4875,  1442, -2581,  1091,
    4614,  1565,  3399,  -757,  2477,  2210, -2581,  1847,  1946,  2082,
    -143,   822,  1334,  4747,  3377,  2211,   413,  1058,  4725,  -143,
    2389,  1343,  1734,  2450,  -143,  1430,  1576,  1914,  1135, -1763,
     372, -2582, -2582, -2582, -2582,  1735, -1763,  2149, -2582,  2484,
    3535,  4648,   412,  -363,  4389,  1218, -2582,  2755,  2740,  2563,
    2122,  2123,  4779,  4173,   882,  3237,  1163,  2138,  4802,  1236,
    3810,  3589,  2450,  3234,     3,   433,  4392,   373,  2173,  4916,
     365, -1530, -1530, -1530, -1530, -2006,  1044,   412, -1530,   822,
    4780,  3378,  2012,  1136,  1044,  1287,  1044,  2585,   932, -2579,
   -2579, -2579, -2579,  2176,  2393,  2207, -2579,  1654,   372,  1237,
    4174,  1431,   373,  2485, -2579,  2564,  1977,   411,  4680,  4827,
    1715,   823,  4089,   411,  1059, -2578, -2578, -2578, -2578,   835,
    4890,   836, -2578,  1987,  4214,  2178,   916,  1177,  3630,  1735,
   -2578,  1978,  2562,  1978,   711,  2252,  2253,  1978,  2558,  2204,
    2458,  1121,  2727,  2645,  1675,  1678,   411,  1340,  1238,  3626,
    1415,  1100,  4098,  4086,  1857,  2459,   823,  1947,  4824,  4726,
    3045,  2237,  4724,  3760,  2637,  2249,  2249,  1785,  2040,  2741,
     933,  3536,   934,  2394,  2105,  1987,  1431,  4379,  4860,  3846,
    1138,  1147,  1156,  1157,  4049,  1707,   261,  2468,  4865,   329,
    4783,   411,  4462,  2116,  2117, -2174, -2174, -2174, -2174,  2530,
    2580,  2135, -2174,  2168,  4182,  2460,  3602,  2262,  3811,  1453,
   -2174,  2525,  1681,  2578,  2696,  4090,  4900,  3537,  4091,   358,
    1431,  1897,   839,  2503,   823,  2505,  4898,  2511, -1525, -1525,
   -1525, -1525, -1747,   920,  2554, -1525,  2548,  1915,   246,  4335,
    4507,  3433,  1197,  4339,  1154,  2111,  1000,  1001,  1000,  1001,
    2856,   372,  2260,  2018,  3085,  2949,  2920,  1205,  3197,   411,
     922,   840,   363,  2696,  2014,  3484,  1987,  2220,  2547,  3576,
    3889,  2083,  2782,  2719,  1111,  2586,  2197,  1443,  1092,  3509,
     365,  4294, -2006,   927,   927,  2892,   372,  3237, -1530, -1525,
    1155,  1736,   374,  2574,  4813,  2232,  4012,  4373,  1846,  1164,
    1149,  1598,  1758, -1853,  1225,  1599,  2144,  1915,  2468,  1190,
    1598,  3080,  3538,  4160,  1599,  2512,  4699,  1404,  2418,  1854,
    2336,  1409,  1410,  1411,  2423,  2145,  2301,  2416,  4803,  1859,
    2302,  1422,  3088,  3430,  3431,  3432,  3433,  1101,  1288,  2146,
    1655,  2083, -2006,  4393, -1763,  3721,  2742,  1640,  3724,  3725,
    1166,  4852,  3728,  1283,  3066,  2428,  1396, -2006,  4577,  1978,
    1688,  1689,  3735,  1587,  2743,  4587,  4861,  4191,   419,   712,
    2728,  2493,  3627,  1162,  2496,  2497,  4360,  2144,  1271,  2964,
    4061,   820,  2205,  3543,  2089,  4020,  1000,  1663,  1961,  2738,
    3726,  3727,  2490,  2205,  3275,  1326,  2145,   837, -1329,  3639,
    1341,  3640, -1497, -1497, -1497, -1497,  3421,  1858,  1339, -1497,
    2148,  3373,   411,  3046,  3421,  2709,  1723,  2815,  2815,  3549,
    3067,  2712,  2815,  3643,  2702,  3007,  1987,  4553, -2581,  4555,
    2019,  3223,   413,  1114,  1623,  4627,   413,  2559,  1728,   830,
    1186,  -143,  -143,  1819,  4480,  2805,  2806,   411,  1186,   831,
    1397,   872,  1403,  2980,  1408,  2980,  2776,  2778,   975,  1386,
    1412,  3059,  2815,  2815,  1433,  2111,  4124,  2786, -2582,  2894,
    2789,  1391, -1329, -1510, -1510, -1510, -1510,   976,  2801,  2802,
   -1510,  1186,  1820,  1403,  1408,  2194,  2195,  2196,  2197,  3265,
    2486,  2819,  2821,  3059,  1149,  4037,   927,   412, -1537, -1537,
   -1537, -1537,  2835,   369,  3553, -1537,   829,  1685, -1530,  4266,
     977,  1115,    37,    38,    39,    40, -2309,  1105,   373,    44,
    1112,  3124,   373,  1415,  2439,  2630, -2579,  1327,  1563,  1433,
    1686,  1624,  1113,  3060,  3671,  4853,   729,  1186,  1941,  1674,
      37,    38,    39,    40,  1382,  1729,  1186,    44,   927,   832,
    3758,   829, -2578,  2647,  3257,    37,    38,    39,    40,  1643,
     130,   131,    44,  3758,  3375,  3060,  1677,    81,  1387,  2945,
    1588,  2701,    79,  1218,  2723,  4759,  1106,  1942,  4616,  4235,
    1401,  4481,  1406,  1402,  1609,  1407,  4546,  4737,  1564,  2507,
    2895,  4550,  3423,  1844,  4552,  1421,   215,  1048,  1575,  2644,
   -2583,  3644,  1583,  2631,  4854,  1048,  3374,  1048,  4543,  4639,
    1415,  1435,  1437,  1043,  1436,  1438,  4125,  1043, -1329,   829,
    4451,  4452,  4453,  4454,  4455,   223,  2734,  2735,  3645,  4855,
    1589,  1569, -2174,  1149,  1821,   718,  4688,  3854,  3224,  3852,
    1739,  3672,  1107,   433,  2380,  1453,    37,    38,    39,    40,
    2089,  2946,    43,    44,  1463,  1687,  3856,    45,  1186,  4640,
    1029,  2381,   233,  3546,  1049, -1525,  4641,    74,  1049,  4666,
    3785,  1208,  1209,  1210,   236,  1211,  1212,  1213,  1214,  1215,
    1216,   894,   833,   822,  3062,   413,  1730,  1005,  1604,  1005,
    1605,  1005,  1186,  4745,  4642,   215,  2676,  1005,  1413,  1414,
    2424,  2002,   372,  1116, -2309,  4600,   372,  3125,  2965,  4707,
   -1332,  1416,   875, -1329,  2565,  3788,  3062,  3258,  2382,  4697,
    1005,  1005,  2041,  1822,   223,  2043,  2483,  1416,  2047,  1943,
    2049,  1848,  2173,  2052,  3857,  2383,  4825,  2056,   896,  1030,
    2003,  2724,  1465,  1667,  1845,  3421,  1603,  1423, -1329,  4103,
    1731, -1329,  2172,  2566,  1416,  2173,  3241,  2176,  1108,  3376,
   -2309,   233,  1697,  4703,  4704,  4236,  3509,  4643,  -590,  2725,
    3509,   373,  2174,   236,    37,    38,    39,    40,  3016,  1218,
    2176,    44,  3673,  2632, -1332,  4471,  2425,  2177,  1107,  2178,
    4354,   971,  1849,  3259,  4793,  2633,  2555,  4467,  1159,  2929,
    4358,  4685,  4816,  2705,  4108,  1667,  4601,   246,  2388,  1315,
     878, -1497,  2178,   208,  3674,  2089,  4372,  3028,  1944,  1963,
    4667,  3428,  3429,  3430,  3431,  3432,  3433,  4790,   823,  3428,
    3429,  3430,  3431,  3432,  3433,  2611,  2389,  4497,  1005,  2121,
    1834,   877,  2808,  1987,  1186,  4498,  3675,  4104,  4460,  3017,
    1020,  2283,  1788,  3792,  1186,  4794,  3059,  1690,  3172,  1088,
    4348,  2597,  4877,   411,  2384,  4151,  2380,   411,  3858,  3029,
    4020,  4154,  4155,  4156,  4157,  4158,  4159,   904,  1913,   905,
    4787,  4788,  4357,   365,  1100,  1107,  4753, -1497,  1101,  3637,
    3793,  4282,  2004,  4591,   839,  2284,  3085,  3619,  4050,  1424,
    1005,   910,  4109,  3794,  3760,  2567,  4844,  2983,  1824,  2612,
    2127,  1031,  1032,  1186,  1825,  4897,  2179,  1694, -2583,  1696,
    2180,   369,  2664,  2173,  3070,  1218,  3859,  1606,  3060,  2321,
   -1332,  3423,  4644,   840,  1044, -1537,  3620,  4105,  1044,  3885,
    2382,  2181,  2182, -1850,  2285,  3341,  1850,  3336,  2176,  2170,
    1629,  4296,  2439,  4913,  4297,   372,  2183,  2383,  3061,  2385,
    4754,  3310,  4842,  3284,  3285,  3286,  3287,  4007,  1316,  2390,
      81,    81,   839,    81,  1789,    79,    79,  2208,    79,  -166,
    2178,  2005,  1186,  2184,  3758,  3795,  2185,  2267,  4878,  3424,
    2351,  2042,  2926,  2044,  2568,  2280,  2048,  1667,  2050,  2186,
    4499,  2053,  2054,  2055,  1121,  4908,  -166,  1111,  3903,  1057,
    3071,   840,  4588,  1382,  2062,  1826,  1162,  1631,  3638,  4882,
    2614,  4233,  1317,  3550,  2615, -1332,  1138,  2085,  2815,  2086,
    2226,  2815,  2815,  2815,  2815,  2815,  2815,  2815,  2815,  2815,
    2815,  1913,  3332,  2274,  2275,  2616,  2279,   994,  2662,  2617,
    4043,  4271,  1235,  4272,  2618,  1113,  1113,  2668,  1113,  2619,
   -1332,  2815,  3521, -1332,  3522,  4051,  2872,  4728,   995,  1186,
      74,    74,  3151,    74,  1688,  1689,  1028,  1723,  2188,  3062,
    3154,  4298,  3156,  2281,  1643,  4618,  2384, -1956,  3621,  2144,
    2815,  2815,  1005,  4052,  2227,    35,   994,  1186,  3877,    37,
      38,    39,    40,    41,    42,  2453,    44,  3050,  2145,  2181,
    2182,  1107,   894,  3509,  2851,  2259,   411,   995,  3509,  1870,
    1871,  3509,  2146,  1598,  3024,  1186,  1186,  1599,  1186,  1081,
    3397,  4562,  4563,  3854,  2224,  2225, -1989,  1094,   718,   718,
    1054,  2201,  1970,  1236,  1199,  1186,   820,  2192,  2193,  2194,
    2195,  2196,  2197,  1134,  2185,  2454,  1827,  4665,  4211,  4061,
    3428,  3429,  3430,  3431,  3432,  3433,  2189,  2190,  2191,   896,
    2192,  2193,  2194,  2195,  2196,  2197,  -911,  3622,  3448,  4729,
    1117,  2385,  2240,  1237,  4519,   130,   131,  1667,  1828,  1794,
    1218,  1667,  1667,  2317,  1971,  2873,  1186,   413,   820,  2874,
    4700,  4736,  2790, -1497,  2318,    37,    38,    39,    40,  3473,
    4706,  3888,    44,  4447, -1497,  1970,  2121, -1497,  1715, -1497,
    1829,  1135,  4212,   829,   839,  1186,  4185,  4186,  4187,  1186,
    1186,  2259,  1238,  4744,  1770,  2875,  2333,  1795,  2412,  3608,
     718,  4390,  4448,  1808,  2165,   975,  4730,  2241,  3889,   413,
     413,   413,  3241,  3100,  2326,  2584,  4395,  4396,  2327,  2319,
     994,  2318,   820,   840,   976,  2173,  2329,  2704,  3915,  1043,
    2791,  3916,  1103,  2320,  3028, -1956,  1136,  4573,  4061,  4575,
    1137,   995,  1005,   373,  2992,  1972,  1005,  1005,  4557,  2242,
    3522,  2347,  2349,  4748,  4431,  4432,  1043,   977,  3163,   413,
   -2007,   365,  3102,  3101,  3164,  4391,   413,  1913,   904,  3365,
     905,   412,   412,   413,  1598,  4763,  2319,  1796,  1599,  3618,
    1049,  3188,  2178,  1135, -1989,  2792,  3605,  1825,  3509,  2793,
   -2373, -1956,   910,  1973,  2292,   373,   373,   373,  2192,  2193,
    2194,  2195,  2196,  2197,  1667,  4695,    80,  1049,  -386,  4490,
    1667,  2328,  3103,   994,  1913,  4749,  1138,  2876,  1972,  2325,
     412,  1414,  1797,  4491,  1798,  2144,  2498,  2355,  3326,  1629,
    2284,  1809,  2109,  1138,   995,  2506,  4486,  3147,  1136,  2339,
   -1989,  1043,  2585,  1913,  2145,   373,  2346,  2348,  3917,  2057,
    3089,  2125,   373, -2034,  2815,  1127,  4068,  1667,  3918,   373,
    1667,  1667,  3169,  3349,  1800,  3165,  1973,    37,    38,    39,
      40,   215,  2058,  1138,    44,  1128,  1974,  4487,  3912,  2285,
    3612,  2152,  2794,  1381,   433,  1129,  3147,  4066,  1826,  1792,
    4750,  2594,  1049,   709,  3170,  2163,  1631,  4080,  3990,  1005,
     223,  4751,  3932,  1802,  4815,  1005,  2665,   433,   822,    37,
      38,    39,    40,  1913,  1124,  1048,    44,  1465,  4628,  1048,
    3421,  1793,   820,  1667,   433,  3665,  3171,   372,  1139,  3518,
    3040,  4069,  2577,     8,  1632,  1138,  1199,   233,    45,  1804,
    3666,  3631,   215,  4361,  2374,  4629,  1310,  1140, -2007,  1974,
    1913,  2499,  1005,  2500,  2375,  1005,  1005,   921,  3819,  4068,
     822,  4087,  4092,   938,  3561,  2249,  2920,  3991,  4189,  2757,
    2376,   223,  4599,   413,  1311,  4862,  4492,  2795,  1913,   372,
     372,   372,  3235,   246,  1391,  1130,  2745,  4070,  1581,  1019,
    1111,  1111,  3544,  1111,   994,  4061,  3992,  1042,  1629,  3351,
    1310,  4727,  1630,  2541, -2007,  3173,  3166,  1080,   233,  1987,
    2230,  3993,   978,  2936,    43,   995,   369,  1312,  1005,    45,
     236,  3994,  2498,  1159,   822,  2815,  2815,  1121,  3817,   372,
    2586,  1915,  4605,  1186,  4069,  2542,   372,  3174,  3167,  1913,
    3490, -2034,  1186,   372,  3995,  2215,  3933,  3934,  2216,  2587,
    1044,  1131,    35,   823,   979,  2756,  4912,  3895,  1165,   373,
      41,    42,  2543,  3991,  4547,  1631,  2863,  2774,  2009,  2864,
    3168,  1312,  4919,  2544,  1176,    81,   369,  1044,    81,  2144,
      79,  2920,  2751,    79,  2752,  3422,  2754,  2753,   411,  2010,
    4070,  2865,  3992,  2707,  1720,  2708,  4590, -2034,  2145,  2710,
    2545,  2711,  2377,  1632,  2713,  2462,  3423,  4341,  2714,  1780,
    1781,  4625,  2148,  2509,  2450,  3355,  1833,  3994,  1132,  4604,
    3996,   208,  2455,  1218,  3705,  2656,  1721,   841,  3899,  1186,
    3966,   208,    37,    38,    39,    40,  4126,  3799,  4374,    44,
     411,   411,   411,  4841,  1191,  3706,   879,  2499,  1834,  2500,
    3380,  2853,  3237,  4315,  3265,  3211, -1341,  4127,  1722,  3580,
     968,  1289,  1044,  1290,  3424,  1186,  1186, -1376, -1341,   823,
    3990, -1376, -1341,  1186,   122,    74,  1186,  2439,    74,  1186,
    4914,  4314,   820,  4915,  2799,  3758,  2866,  1186,  1186,  4243,
     411,  2867,   126,  3554,  4548,  1186,  2868,   411,  1186,  1186,
    1186,  1186,  1465,  2951,   411,  3421,  1712,  1202,  1186,  1186,
    1055,  1186,  3611,  1186,  1186, -1341,  3996,  1186,  1609,  1723,
    2310,  2311,  3959,  4170,   822,  4172,  2504,  3898,  4175,  1723,
    4176,  1913,  1186,   413, -1376, -1341,  1227,  1186,  1713,  3991,
    4195,  1186,  1233,   372,  3018,  1186,  3021,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1717,  1186,  1234,  2358,
    3939,   888,  2470,  1186,  3241,  1815,  1186,  1598,  3992, -1853,
    1714,  1599, -1376, -1341,  4063,  4064,  3475,  2787,  2788,  3476,
    1280, -1341,  4661,  3993,  1465,  2800,  1282,  3421,  1718,  2803,
    2804,  2359,  1620,  3994,  3012, -1329,  3387,  1816,   695,  2967,
    3389,  3477,  1817,  2814,  2825,  1465,  2826,  1242,  3421,  2471,
    2472,    37,    38,    39,    40,  2869,  3995,  2837,    44,   373,
    1719,  1305,   413,  2360,  2870,  3960,  2848,  1186,  2849,  1818,
    1275,  3425,  3426,  3427,  3815,  3428,  3429,  3430,  3431,  3432,
    3433,  2259,   894,  2468,  1313,  2514,  2609,  2172,    35,   433,
    2173,  1314,    37,    38,    39,    40,    41,    42,    43,    44,
    3641,  2815,  -905,    45,  2639,  2121,  3668,  2365,  3175,   823,
    2815,   413,   820,   413,  2841,  2176,  1149,  2844,  2339,  4084,
    3289,  2470,  2177,   412,  2121,  3290,  2365,  2815,  2815,  2470,
    2020,  3423,  3996,  1667,  2021,  2173,   365, -1341,  3669,   896,
    3176,  3478,  4866,   192,   411,  1319,  3479,  2178,   373,  3775,
      81,  3137,    81,  1697,  3290,    79,  1299,    79,  2020,  1322,
    2176,  4003,  2694,   413,   433,  4167,  1847,  3900,  2471,  2472,
    3670,  3800,   412,  3802,   412,  1336,  2471,  2472,   215,  3510,
    1005,  3280,  3613,  3394,  3121,  2133,  2134,  2700,   829,  3424,
    1186,  1167,  2178,  2658,  2659,  1186,   365,   373,  1620,   373,
    2234,  1186,  2468,  1168,  1169,  1353,   921,   223,  4008,  4010,
    2468,  1362,   820,  3423,  3395,   820,  1368,  3554,  3396,  1292,
    1380,  1293,  4611,  1170,   822,   215,  1171,  2031,  1005,  2032,
    3554,  1913,  1384,  3849,  3423,  3510,  1913,  1913,  4183,  4184,
    4185,  4186,  4187,   372,   233,  2260,  4188,  1913,  1690,   373,
      74,  2108,    74,   246,   223,  2180,   236,    37,    38,    39,
      40,    35,   969,   413,    44,  3480,   413,  2957,  2958,    41,
      42,  3424,  1425,  3676,  3481,  3678,  2181,  2182,   904,  2920,
     905,  2265,    45,  2266,  3740,  2861,  1429,  3148,  1887,   907,
     246,   233,  3424,  1445,  2268,  3281,  2269,  3683,  1667,   909,
    1439,  4569,   910,   236,   829,  1451,  1667,  1105,  1667,  1450,
    2235,  1048,  4183,  4184,  4185,  4186,  4187, -1400, -1400, -1377,
    3704,  2185,  4450, -1377,  2121,  1452,  1715,  3741,  4146,  1453,
    1465,  2815,   372,  3421,  2186,  4503,  3148,  4867,  1048,  2699,
    3246,  2700,  1172,  1456,  3139,  3722,  2720,  4245,  2721,   373,
    3523,  3742,   373,  4319,  2310,  2976,  3425,  3426,  3427,  1454,
    3428,  3429,  3430,  3431,  3432,  3433,  1106,  1455,  3743,   823,
    1459,  3447,  3744,  3449,  3450,  1465,  1460,  1186,  3421,  1913,
    1584,   372,  1173,   372,  1462,  2722, -1377,  2721,  3556,  3557,
    3745,  4264,  3247,  1005,  2540,  4321,  2748,  3140,  2749,  3201,
    3202,  1005,  3148,  1005,   411,  3068,  3746,  3148,  2942,   365,
    1987,    35,   433,  4717,   822,  4719,  4179,  4180,  1101,    41,
      42,  1586,  1273,  1048, -1377,  3000,    45,  2749,  1590,  1279,
    2470,  1592,  1107,   372,  3078,  1591,  3079,  3148,  3425,  3426,
    3427,  2470,  3428,  3429,  3430,  3431,  3432,  3433,  3141,  1913,
    3089,    37,    38,    39,    40,  3133,  1597,  3134,    44,  3425,
    3426,  3427,  1610,  3428,  3429,  3430,  3431,  3432,  3433,  3248,
    3249,  3229,  1617,  3230,  3866,  3719,  3720,  2471,  2472,  1331,
     938,  1618,  3250,  3747,  2121,  3240,  2365,  1149,  2471,  2472,
    4303,  3748,  3242,   411,  3243,  3499,  3500,  3501,  1186,  4520,
    4521,  4522,  4523,  4288,   829,  2192,  2193,  2194,  2195,  2196,
    2197,  2468,  1627,    80,   822,  1641,  4169,   822,  1620,  3423,
    1000,  1663,  2468,  1101,  3357,  3749,  2721,  1621,  3393,  3251,
    2700,  1642,  3403,   372,  2700,  1667,   372,  3406,  3142,  2700,
    3562,  3563,   411,  3908,   411,  1646,  1648,  1913,  1108,  3410,
    1652,  2700,  3454,    37,    38,    39,    40,  1653,  3461,   823,
      44,  1186,  3913,  1656,  3423,  1186,  1740,  1657,  1658,  3143,
    1441,    37,    38,    39,    40,  1659,  1660,  3424,    44,  1186,
    1186,  4243,  1661,   820,  4443,  1662,  3411,  3935,  2700,   820,
    1668,  3437,  4436,  2700,   411,  3453,  1669,  2700,  1458,  1700,
    1741,    37,    38,    39,    40,  1671,  1701,  1566,    44,  1186,
    1186,  1578,  1331,  1580,  1186,  1703,  3458,  3252,  3459,  3253,
    1709,  1715,  3424,  2089,  1733,  1738,  1186,  1186,  1186,  1186,
    1005,  2763,  1756,  3494,   413,  3495,  3496,  1199,  3497,  1186,
     413,  3144,  1186,  3659,  1186,  3660,  3663,  1785,  3664,  3145,
    1823,  3554,  3146,  1787,  1186,  1186,   935,  1742,  1186,   823,
    1832,  4197,   823,  4279,  3806,  3836,  3807,  3837,   369,  1841,
    3843,  1186,  3844,  1186,  2751,  1843,  2752,  1186,  2754,  2753,
    2764,  1740,  1842, -1501, -1501, -1501, -1501,  4527,   192,  1743,
   -1501,  1853,  1851,  1186,   411,  1855,  1860,   411,   709,   709,
    3904,  1865,  2700,  1698,  1186,  1867,  1186,  1186,  1186,  4199,
    1874,  1877,  1711,  2814,  2814,  1741,  1723,  1626,  2814,  1628,
     373,    37,    38,    39,    40,  3940,   373,  3941,    44,  1919,
    1186,  1667,    45,  2765,  1921,  1923,  4503, -1508, -1508, -1508,
   -1508,  1915,  1186,  4821, -1508, -2583, -2583,  1186,  3428,  3429,
    3430,  3431,  3432,  3433,  1186,  3950,  1935,  3951,  2814,  2814,
    1186,  1951,  2766,  4489,   829,  -183,  1939,  2767,  1465,  1937,
     215,  3421,  1742,  1967,  3962,  3510,  2700, -1499, -1499, -1499,
   -1499,  1744,  4433,  4370, -1499,  4035,  1975,  4036,  4322,  3425,
    3426,  3427,  1959,  3428,  3429,  3430,  3431,  3432,  3433,   223,
    1200,  4039,   856,  4040,  1743,  4067,  1221,  2721,  1980, -1502,
   -1502, -1502, -1502,  1745,  2768,  1231, -1502,  1981,   208,  1873,
    1186,  2339,  1746,  1982,  3545,  3785,  1005,  1983,  1984,  4192,
    1747,  4163,  3786,  4164,  1986,  1993,   233,  1748,  4320,  1913,
    2749,  4381,  3787,  4382,  1291,  1749,  1996,  1997,   236,  1300,
    4387,  4610,  2721,  1750,  1987,  1998,   820,   820,   820,  1999,
    1309,  1751,  2007,  3716, -1500, -1500, -1500, -1500,  2001,  2006,
    3788, -1500,  3789,  4388,  2008,  2721,  3510,  1913,  1913,  4864,
    1913,  2013,   246, -1104,  2029,   822, -1104,  4482,  4529,  4483,
    4530,   822,  2091,  4531,   856,  2700,  2093,  4539,  4558,  2749,
    4608,  4622,  4609,  4623,   372,  2063,  2099,   413,   413,   413,
     372,  1752,  1331,  4662,  4674,  4663,    80,    80,  4675,    80,
    2749,  4682,  4687,  1987,  3826,  4689,  2097,  3826,  2769,  2106,
    1913,  4366,  1913,   208,  2770,  2427,  2100,  1746,  1331,  4746,
    2107,  2229,  3739,  2124,  4757,  1747,  4758,  3790,  4768,  4769,
    2749,  3459,  1748,  2202,   829,  4225,  4770,  3423,  2700,  2594,
    1834,  4773,  2771,  1987,  4775,  2163,  3826,  3829,  1750,  4792,
    4798,  2749,  2749,   820,  2115,  2118,  1751,  1913,  2119,  2861,
    4710,  2772,  2120,  2087,  4715,  4716,  4799,  4830,  2749,  1987,
     820,  2229,   916,   373,   373,   373,  2233,  4910,  3493,  4911,
    2244,  3864,  1913,  3791,  1331,  2773,  2254,  4924,  3792,  4911,
     246,  3503,  4463,  2126,  1218,  3424,  4340,  2129,  4343,  2130,
    2131,  2132,  2137,  2139,   413,  2140,  1752,  2141,  3752,  1913,
     823,  2142,  2143,  3830,  1667,  4436,   823,  1415,  2264,  2150,
    2151,   413,  1913,  2153,  2272,  3793,  3840,  1667,   365,  2154,
    1101,  2155,  2156,  2157,   829,  2158,  2159,   829,  3794,  2160,
    1101,  1632,  1630,  4714,  2299,   411,  3863,  3503,   927,  2309,
    1100,   411,  4711,  4572,  2307,  2316,  2166,  2324,  1138,  4677,
    2330,  2332,  2334,  2342,  2343,  2345,  2171,  2350,  2352,  3976,
    3977,  3978,  3979, -2525,  2354,  2361,  2209,  2365,  2362,  2363,
    2366,  2368,   927,   695,   695,  2367,  2089,  1913,  2369,  2370,
     373,  2391,  2395,  2417,  2419,  2420,  2421,  2422,  1913,  2444,
    2443,  2450,  2452,  2462,  2463,  1331,  2465,   373,  2239,  1005,
    2466,  1913,  1331,  1331,  3765,  3768,  2467,  2468,  2474,  2475,
    3795,  2479,  1005,  2476,  2480,  2481,  2487,  2488,  4742,  2491,
    2492,  2494,  2501,  2502,  1770,  2508,  2526,  2527,   822,   822,
     822,  2515,  1186,  2516,  2528,  2531,  2532,  2537,  2539,  2556,
    3813,  2557,  2569,  3945,  2571,  2579,  2572,   372,   372,   372,
    2581,  2111,  3425,  3426,  3427,  2121,  3428,  3429,  3430,  3431,
    3432,  3433,  2582,  1667,  2127,  2595,  2601,  1186,  2598,  2605,
    1913,  2602,   890,  2607,   820,  2624,  1186,  2608,  1809,  2629,
    2642,  2643,  1186,  4394,  1186,   709,  2648,  2651,  2653,  1913,
    1186,  4820,  2654,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  2655,  4403,  2673,  1186,  1186,  2672,  4647,
    2661,  2675,  4778,  2674,  1913,  2688,  4412,  2689,  2716,  1186,
    2732,  2717,  2737,  1186,  2746,   413,  2759,  1186,  4814,  4694,
    2781,  2782,  3510,  2823,  2824,  2836,  3510,  1186,  2842,  2173,
    1186,  2846,  1186,  2847,  2860,   822,  2906,  2854,  2877,  2923,
    1913,  1186,  1186,  1186,  4426,  2879,  4580,  1186,  1005,  2922,
    1186,  2925,   822,  2928,   372,  2930,  2933,  2934,  2943,  2952,
    1186,  2953,  1106,   823,   823,   823,  2944,  2962,  2956,  2985,
    1186,   372,  2982,  2219,  4594,  2984,  2999,  3001,  1186,  3003,
    1186,  3002,  3014,  3019,  2814,  3026,  4885,  2814,  2814,  2814,
    2814,  2814,  2814,  2814,  2814,  2814,  2814,  3022,   411,   411,
     411,   373,  4118,  3027,  3024,  3038,  3055,  3058,  3041,  3032,
    3074,  3035,  3076,  2510,  3069,  3128,  3132,  3943,  3135,  3136,
    3177,  3190,  3194,  3123,  1186,  3195,  3198,  3199,  3203,  1218,
    1186,  3204,  3208,  3206,  3207,  3209,  1186,  3222,  3210,  4147,
    3121,  3220,  4099,  3226,  3231,  3233,  2814,  2814,  3244,  3236,
    3238,  2172,  3554,  3239,  2173,  3263,  3237,  1218,  3268,  3276,
    3282,  1186,  3288,   365,  3291,  2397,  3295,   820,  3296,  3297,
    3311,   820,  3313,   820,  3325,  3329,   365,  3328,  3330,  2176,
     823,  3333,  3331,  3334,  3348,   829,  2177,  3342,  3359,  3353,
    3360,   829,  3345,  3361,  3362,  3364,   365,   823,  3371,  2398,
    2089,  3347,  2760,  3383,  3379,  1431,  3385,  3388,    35,  3390,
    3404,  2178,  3405,  2399,  3391,   411,    41,    42,   413,  3407,
    3408,  3409,   413,  1913,   413,  3412,  2400,  3443,  1667,  3413,
    2700,  3474,   411,  3269,  3455,  3415,  3418,  3482,  4044,  3436,
    3442,  2620,  3469,  3444,  3445,  3489,  3452,  3512,  3518,  3467,
    3468,  3492,  3520,  -951,  3517,  3572,  3566,  3578,  3584,  3587,
    3582,  4789,  3568,  3583,  3588,  2020,   822,  2401,  3593,  3598,
    3607,  3635,  3596,  3599,  3628,  3603,  3604,  3636,  3687,  3614,
    3648,  3650,  3681,  3689,  3690,   372,  3682,  3688,  3691,  3692,
    3693,  3139,  3685,  3694,  3695,  3696,  2402,  3697,  3699,  3701,
    3698,  2403,  1667,  3707,   373,  3700,  3709,  3702,   373,  2524,
     373,  3723,  3764,  3711,  3717,  2179,  3729,  3730,  2329,  2180,
    3731,    80,  3732,  1005,    80,  3733,  3734,  2698,  3763,  2327,
    3772,  3776,  3777,  3814,  3803,  2696,  3816,  3818,  3826,  1005,
    2181,  2182,  3825,  1345,  3140,  3835,  1186,  3834,  1355,  3831,
    3838,  3841,  3861,  3869,  3871,  2183,  3880,  2163,  1367,  3891,
    3881,  3882,  3886,  3883,  4786,  3892,  3893,  3983,  3902,  3510,
    3439,  3421,  1913,  3907,  3510,  3863,  3438,  3510,  3936,  2108,
     695,  3952,  2167,  4005,  3937,  2185,  3964,  4031,  4023,  3938,
    3270,  3944,  3965,  4054,  3973,  3141,  4011,  1005,  2186,  2404,
    4002,  3989,  1913,  1186,  1186,  4021,  4022,  4045,  4024,  4072,
    4027,   823,  1413,  1414,  4082,  3510,  4100,  4028,  4074,  4083,
    4075,  4178,  4085,  4377,  4093,  3768,  4101,  2089,   856,  4102,
    2798,  4114,  4112,  4115,  4113,  4116,  4193,  4117,  4123,  4139,
    4088,  4152,  4150,  4593,  4143,  4153,   411,  1218,  4215,  1667,
    2814,  3853,  4226,  4228,  4229,  4247,  4181,  3704,   829,   829,
     829,  4207,  2405,  1186,  4251,  4219,  2721,  4238,  2406,   822,
    4375,  2407,  4265,   822,  4231,   822,  4252,  2188,  4232,  4254,
    1199,  4267,  4262,  4275,  4261,  3142,  4280,  4283,   372,  4284,
    4285,  4286,   372,  2089,   372,  4269,  2408,  2089,  2089,  1186,
    4287,  4295,  2409,  4304,  4292,  4305,  4306,  4307,  4336,  1186,
    1186,  4401,  1913,  4312,  4299,  2410,  3143,  1186,  1186,  4300,
    4337,  4308,  1186,  1913,  4332,  3271,  4349,  4334,  1186,  1186,
    4368,  4344,  1186,  4347,  3510,  4350,  4367,  4376,  4352,  2411,
    4353,  2536,  2927,  3523,  1005,  4378,  4371,  1186,  4383,  4384,
    4399,  1186,  4398,  4400,  4406,  4413,  4424,  4434,  4430,  4416,
    1186,  4441,  4449,  4456,  3272,  1186, -2583, -2583,  4446,  2192,
    2193,  2194,  2195,  2196,  2197,   829,  4464,  1186,  4468,  4469,
    4473,  4475,  4494,  4484,  3510,  4500,  4363,  4488,  3144,  4501,
    4509,  4517,   829,  4525,  4526,  4528,  3145,  4535,  4533,  3146,
    4536,  4537,  4538,    81,  4544,  4554,  4564,  4551,    79,  4566,
    4570,  4560,  4458,  4586,   823,  1186,  4574,  4602,   823,  4589,
     823,  2814,  2814,  4612,  4596,  4597,  4603,  4214,  4621,  4631,
    1913,  4619,  4632,  4634,  4635,  4649,  4637,  4650,   709,  4651,
    3739,  4653,  4652,  4655,  2610,  4656,  4657,  4670,  4678,   411,
    4693,  1913,  4684,   411,  1698,   411,    80,  1107,    80,  4701,
    2536,  4708,  4738,  1913,  4731,  4735,  4741,  4761,  4755,  4756,
    4762,   820,  4767,  4771,  4772,  4776,  4777,  4782,  4784,  4795,
    4712,  2339,  4800,  2014,  4801,  1760,  4804,  4806,  4810,  4817,
    4822,  1761,  4818,  4819,  4840,  4013,  4848,  4843,  4851,  4845,
    4802,  1913,  4803,    74,  4859,  4888,  4876,  1005,  4906,  4909,
    4899,  4917,  4922,  1119,  2538,  1759,  2251,  3279,  2536,  3547,
    3127,  4470,   413,  3646,  4097,  3189,   820,  3736,  4606,  4435,
    1580,  4723,  4633,  1762,  4479,  4249,  4636,  4461,  4646,  3358,
     707,  2172,  3601,  4846,  2173,   365,  4578,  1995,  1005,  4884,
    4807,  4805,  4857,  3419,  3420,  4743,  3606,  4250,  3435,  2641,
    4218,  4410,  4411,  4096,  3261,  1186,  4414,  4415,  3262,  2176,
    3657,  4220,  2621,  3245,  4812,  4221,  2177,   413,  3821,  4887,
    4923,  4918,  3318,  3773,  1763,  3751,  4858,  4595,  2606,  4797,
    4849,  3510,  1764,  4598,  1024,  1765,  2081,  4281,  3470,  3471,
    4696,  2178,  1740,  3082,  4257,  4760,   829,  4258,   373,  3708,
    4869,  4920,  4626,  1332,  2938,  2706,  2939,  3551,  1007,  1594,
    1913,  4237,  4041,  3354,  2080,  4847,  4369,  2270,  3552,  3180,
    3560,  2961,  2296,  2030,  2295,  3564,  1741,  2960,  1007,  2092,
    2955,  3768,  3768,  3768,  3768,  3768,  2300,  3577,  1766,  1005,
    3565,  2102,  1616,  1186,  3503,  3985,  4342,  1913,  3503,  4686,
    1602,  2303,  1186,   373,  4831,  3956,  3472,  3213,  4042,  4676,
    3946,  4832,  4839,  3487,  3555,  3213,  3400,  3485,  4038,  1186,
    1186,  2905,  1152,  1186,  3862,  3327,  1969,  2657,  2986,  1379,
    4829,  1122,  2308,  1742,  1186,  2315,  1708,  2977,  2088,  1186,
     365,  2993,  1186,  1767,  2990, -2583,  1768,  1186,  1186,  2180,
    1679,  3542,  1680,  4047,  2991,  4359,  1769,  4048,  2218,  4571,
    4026,  1145,  2997,  4568,  1770,  1743,  3356,  2312,  3283,  2017,
    2181,  2182,  2718,  1771,    83,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0, -2583,     0,     0,  1420,     0,
    4921,     0,  3312,     0,  3319,     0,     0,  2814,  1331,     0,
       0,     0,     0,     0,  1913,  1772,  4532,     0,  1186,  1667,
    1773,     0,     0,   822,     0,  2185,     0,     0,     0,     0,
       0,     0,     0,  2814,  2814,     0,     0,     0,  2186,     0,
       0,     0,   372,  1331,     0,     0,     0,  1774,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,    35,   829,
       0,     0,  2271,   829,     0,   829,    41,    42,  4567,     0,
       0,     0,  2172,     0,     0,  2173,     0,     0,   822,  1760,
       0,     0,     0,     0,     0,  1761,     0,     0,     0,     0,
       0,     0,  2174,   695,     0,  2175,     0,   372,     0,     0,
    2176,     0,     0,  1775,   208,     0,     0,  2177,  3320,  1186,
       0,  1913,     0,     0,  1005,     0,  1747, -2583,     0,     0,
    3004,     0,     0,  1748,     0,  3008,     0,  1762,  3011,     0,
       0,  1834,  2178,  1186,  1913,     0,  1186,     0,  1186,  1750,
       0,   365,     0,     0,     0,     0,     0,  1751,     0,  2000,
    3033,     0,     0,     0,     0,  1186,     0,     0,     0,  1186,
    2015,     0,     0,     0,  1913,     0,     0,     0,   823,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1763,  3072,
     820,     0,     0,     0,     0,     0,  1764,     0,     0,  1765,
       0,     0,     0,     0,     0,     0,     0,  1752,     0,     0,
    1913,  3321,  3086,   411,  1913,  1913,     0,     0,     0,  2192,
    2193,  2194,  2195,  2196,  2197,     0,     0,     0,     0,     0,
       0,     0,     0,   823,     0,  3117,     0,     0,     0,     0,
       0,   413,     0,     0,     0,  4905,  2179,  2814,     0,  1186,
    2180,     0,  1766,     0,     0,     0,     0,  3138,     0,     0,
    3149,  3503,     0,     0,     0,     0,  3503,     0,   411,  3503,
       0,  2181,  2182,     0,     0,     0,     0,  3157,     0,     0,
       0,  1913,     0,     0,  3161,     0,  2183,     0,  4766,     0,
       0,     0,  1331,     0,     0,     0,     0,  3184,     0,     0,
       0,     0,     0,     0,     0,     0,  3191,  1767,     0,     0,
    1768,  1186,     0,  2184,     0,     0,  2185,     0,     0,     0,
    1769,     0,     0,     0,     0,     0,  1186,   373,  1770,  2186,
       0,     0,  2187,     0,     0,     0,     0,  1771,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1760,     0,  1186,
       0,     0,     0,  1761,     0,     0,     0,     0,     0,  1812,
       0,     0,     0,   369,  1773,     0,  1186,     0,     0,  4871,
       0,  4872,     0,  4874,  4873,     0,     0,     0,  4764,     0,
       0,     0,     0,     0,     0,  4894,     0,  1186,  1186,     0,
       0,  1813,  1331,     0,     0,  1762,     0,     0,  2188,     0,
    1186,     0,   369,     0,     0,     0,     0,     0,  4871,     0,
    4872,     0,  4874,  4873,  3914,     0,   820,  3919,  3920,  3921,
    3922,  3923,  3924,  3925,  3926,  3927,  3928,     0,     0,     0,
    2670,     0,     0,     0,     0,     0,     0,  4894,   703,     0,
    2679,  1186,     0,   721,     0,     0,  1763,  1775,  4894,     0,
     369,  1186,  2686,     0,  1764,     0,  4871,  1765,  4872,     0,
    4874,  4873,     0,     0,     0,     0,  3503,   413,   820,  3662,
       0,     0,  4895,     0,     0,     0,  3968,  3969,     0,   820,
       0,   721,   822,     0,     0,     0,  2189,  2190,  2191,     0,
    2192,  2193,  2194,  2195,  2196,  2197,  3684,     0,     0,     0,
       0,   372,   721,     0,     0,     0,     0,     0,     0,     0,
    1766,     0,     0,  2726,  1186,     0,  2731,     0,  2733,   413,
    1016,  2736,     0,     0,  4895,  1186,     0,  3318,     0,     0,
     413,     0,     0,  1017,     0,  4895,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,  1740,     0,     0,
       0,     0,     0,   373,     0,     0,  1035,  3213,  1016,     0,
    3213,  3213,  1056,   829,  3213,  1767,     0,  4893,  1768,     0,
       0,     0,  1085,     0,  3213,   939,     0,     0,  1769,  1873,
    1090,  1741,     0,     0,     0,  3761,  1770,   940,     0,     0,
       0,  3770,     0,     0,     0,  1771,     0,     0,  3761,     0,
       0,     0,     0,     0,     0,   373,     0,     0,     0,   941,
       0,  1331,     0,  1331,     0,     0,   373,     0,   829,  4893,
       0,     0,     0,   942,     0,     0,     0,   823,     0,     0,
    4893,     0,  1773,     0,     0,     0,   943,     0,  1742,     0,
       0,     0,     0,     0,     0,  3824,     0,     0,     0,     0,
       0,     0,     0,     0,   944,     0,     0,     0,     0,  1774,
       0,     0,   411,     0,     0,     0,     0,     0,     0,     0,
    1743,     0,  3848,  1331,     0,     0,     0,   945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,     0,  1007,     0,  1007,   946,     0,     0,     0,  3319,
    1007,     0,     0,     0,     0,     0,   947,     0,     0,     0,
       0,   948,     0,     0,     0,  1775,     0,   949,   822,     0,
       0,     0,     0,  1007,  1007,     0,     0,     0,     0,     0,
       0,     0,     0,   950,     0,     0,     0,   372,     0,     0,
       0,  3318,     0,   365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3590,  1740,     0,     0,     0,     0,  2663,     0,     0,     0,
     822,     0,     0,     0,     0,  2669,     0,     0,     0,     0,
    4210,   822,  4904,     0,  2677,  2678,     0,     0,     0,   372,
       0,   951,     0,     0,     0,  1741,     0,     0,     0,   208,
     372,     0,  2690,  1746,     0,     0,     0,     0,     0,   952,
       0,  1747,     0,     0,     0,     0,     0,     0,  1748,   953,
       0,     0,  3957,     0,     0,     0,  1834,     0,     0,     0,
     365,     0,     0,     0,  1750,     0,     0,     0,   856,     0,
       0,  1007,  1751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1742,     0,     0,   707,   707,     0,     0,     0,
    1695,     0,     0,   823,     0,   954,     0,     0,     0,     0,
     955,     0,   956,     0,     0,  4018,     0,     0,   957,     0,
       0,   958,     0,     0,  1743,     0,     0,  3667,  3087,     0,
       0,     0,  1752,     0,  3679,     0,  3321,  3853,   411,     0,
       0,     0,     0,  1007,     0,     0,   959,     0,   960,     0,
       0,     0,   961,  3319,     0,   823,     0,     0,     0,     0,
     962,     0,     0,     0,     0,   963,   823,     4,     0,     0,
       0,     0,     0,     0,     0,     0,   964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,   965,
     411,  4316,  4317,  3713,     0,     0,     0,     6,     7,     0,
       0,   411,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,   721,     0,   208,     0,     0,     0,  1746,     0,  3761,
       0,     0,   829,     0,     0,  1747,     0,     0,     0,     0,
       0,     0,  1748,     0,     0,     0,  4119,     0,     0,  4120,
    1834,  4121,     0,     0,     0,     0,     0,     0,  1750,     0,
       0,     0,     0,  2935,     0,     0,  1751,    46,     0,  4141,
    4142,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3213,     0,     0,
       0,     0,     0,  3213,  3213,  3213,  3213,  3213,  3213,     0,
       0,     0,     0,  1331,     0,  1007,     0,  4171,     0,     0,
       0,     0,     0,     0,     0,     0,  1752,  2536,     0,     0,
    3321,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3770,     0,     0,     0,     0,  3887,     0,     0,     0,
       0,    47,  4194,  4196,  4198,  4200,     0,     0,     0,     0,
       0,     0,     0,     0,  3897,     0,     0,    48,     0,     0,
       0,  2172,     0,     0,  2173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,  3363,     0,     0,     0,     0,     0,     0,  2176,
       0,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
      50,  1182,  1188,  1188,   721,  4256,  1188,  1195,     0,  1182,
     703,  1085,     0,  1204,  1220,     0,   703,     0,  1085,     0,
    1085,  2178,     0,     0,  1188,   703,  1085,     0,     0,     0,
       0,     0,     0,    51,     0,  1245,     0,    52,     0,     0,
    1085,     0,  1182,     0,     0,     0,  1188,     0,   721,     0,
    1188,     0,     0,    53,   703,     0,  1204,  1220,     0,   703,
    1302,     0,     0,     0,     0,     0,  4290,  1188,   829,     0,
     703,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3483,     0,     0,     0,
       0,     0,     0,     0,  1330,  1007,     0,  4524,  1182,  1007,
    1007,     0,     0,   721,     0,     0,     0,  1182,     0,     0,
    1204,  1220,     0,     0,     0,     0,     0,     0,     0,     0,
     829,     0,     0,  4540,  4541, -2583,  1188,     0,     0,  2180,
      54,   829,     0,     0,     0,     0,     0,     0,  1395,     0,
       0,     0,  2172,     0,     0,  2173,     0,     0,     0,     0,
    2181,  2182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2174,     0,     0, -2583,     0,     0,     0,     0,
    2176,    55,     0,     0,     0,     0,     0,  2177,     0,     0,
    1085,     0,   707,     0,    56,     0,     0,  4364,  4365,     0,
       0,     0,  1085,  1449,     0,  2185,     0,  4081,     0,    57,
       0,     0,  2178,     0,     0,     0,     0,     0,  2186,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1555,
       0,     0,     0,   721,  1085,    58,     0,  1330,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,  1085,    65,    66,  1372,  1085,     0,     0,     0,    71,
    1373,     0,  1007,  1555,     0,     0,     0,     0,  1007,     0,
       0,  4128,     0,  1085,  4131,     0,     0,  3335,     0,     0,
    3594,  3595,     0,  3597,     0,  1085,     0,     0,     0,     0,
       0,  3343,  3344,     0,     0,  3346,  4149, -2583,     0,     0,
       0,  3350,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1007,  2179,     0,  1007,  1007,
    2180,     0,     0,   703,   703,     0,  3213,  3213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4673,     0,     0,
    1331,  2181,  2182,     0,  4439,     0,  4440,     0,     0,  4444,
    4445,     0,     0,     0,     0,     0,  2183,  3770,  3770,  3770,
    3770,  3770,     0,     0,     0,     0,  1085,     0,     0,     0,
       0,  3386,     0,     0,     0,  1188,  1188,     0,     0,     0,
       0,  1007,     0,  2184,     0,     0,  2185,     0,     0,  2192,
    2193,  2194,  2195,  2196,  2197,     0,     0,     0,     0,  2186,
       0,     0,  2187,     0,     0,     0,  4477,     0,     0,  3686,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,  2172,  1220,     0,
    2173,     0,     0,     0,     0,  4502,     0,     0,     0,     0,
       0,  1188,     0,     0,     0,     0,     0,  2174,     0,     0,
       0,     0,     0,     0,     0,  2176,     0,  1085,  4290,  4290,
    4290,  4290,  2177,  1928,     0,  1188,  1188,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2188,  1085,
    1085,  1085,  1188,     0,  1182,     0,     0,  2178,  1966,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2172,
       0,     0,  2173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,  1188,  1188,
       0,     0,     0,     0,     0,     0,     0,  2176,     0,     0,
       0,     0,     0,  3809,  2177,  3812,     0,  1330,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1204,
       0,     0,     0,  1555,     0,  2172,     0,     0,  2173,  2178,
       0,     0,     0,  1330,     0,     0,  2189,  2190,  2191,     0,
    2192,  2193,  2194,  2195,  2196,  2197,     0,     0,  2931,     0,
    3761,     0,     0,  2176,  2932,     0,     0,     0,     0,     0,
    2177,  2179,     0,  2066,  2066,  2180,     0,     0,  1085,     0,
    1016,     0,     0,     0,  3213,     0,     0,     0,  4607,     0,
       0,     0,     0,     0,     0,  2178,  2181,  2182,     0,     0,
       0,     0,  2098,     0,     0,  1085,  3884,  2172,  2104,  1330,
    2173,  2183,     0,     0,     0,     0,     0,     0,     0,     0,
    1555,  3610,     0,     0,     0,     0,  3894,  2174,     0,     0,
       0,     0,     0,     0,     0,  2176,     0,     0,  2184,     0,
       0,  2185,  2177,  2179,     0,     0,     0,  2180,  1555,     0,
       0,     0,     0,     0,  2186,     0,     0,  2187,     0,  4407,
       0,     0,     0,     0,     0,     0,     0,  2178,  2181,  2182,
       0,  4417,     0,     0,     0,     0,  1555,  1555,     0,  1555,
       0,     0,     0,  2183,     0,     0,     0,  3649,     0,  3651,
       0,     0,     0,     0,     0,     0,  1555,     0,     0,  2179,
       0,     0,     0,  2180,     0,     0,     0,  4429,     0,     0,
    2184,     0,     0,  2185,     0,     0,   721,   721,     0,     0,
       0,     0,     0,     0,  2181,  2182,  2186,     0,     0,     0,
    1330,     0,     0,  2188,     0,     0,     0,  1330,  1330,  2183,
       0,     0,     0,     0,  1085,     0,     0,  1555,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1331,     0,     0,  1760,     0,  3703,  2185,
       0,  2179,  1761,  3710,     0,  2180,  1555,     0,     0,     0,
    1555,  1555,  2186,  1007,     0,     0,     0,     0,     0,     0,
    1085,  1085,  2306,     0,     0,     0,  2181,  2182,     0,     0,
       0,     0,     0,     0,     0,  2188,     0,     0,     0,     0,
       0,  2183,     0,     0,  1762,     0,     0,     0,   721,     0,
     703,  2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,
    2197,  1007,     0,     0,     0,   707,     0,  3414,  2184,     0,
       0,  2185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1695,     0,     0,  2186,     0,     0,  2187,     0,     0,
       0,  2188,     0,     0,     0,  1763,     0,     0,     0,     0,
       0,     0,     0,  1764,     0,     0,  1765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2189,  2190,  2191,     0,  2192,  2193,  2194,
    2195,  2196,  2197,     0,     0,     0,     0,     0,     0,  2449,
       0,     0,     0,     0,     0,  1085,     0,     0,  1188,     0,
       0,     0,  3865,     0,     0,     0,  3868,     0,  3870,  1766,
    3872,  3873,     0,  2188,     0,     0,  1220,     0,     0,  3878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2189,
    2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1188,  1188,
    1188,  1188,  1085,     0,  3896,     0,     0,     0,     0,     0,
    2172,   703,     0,  2173,  1767,     0,     0,  1768,     0,     0,
       0,     0,     0,     0,     0,     0,  1007,  1769,  1204,  1204,
    2552,     0,  1085,     0,  1007,  1770,  1007,     0,  2176,     0,
    1188,  1188,     0,  4896,  1771,  2177,  1188,     0,     0,     0,
       0,  2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,
    2197,     0,     0,     0,     0,     0,     0,  3462,     0,     0,
    2178,     0,     0,     0,     0,     0,  1837,     0,     0,     0,
       0,  1773,     0,     0,  4223,  4224,     0,     0,     0,     0,
       0,     0,     0,  1188,     0,  4896,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4896,     0,  1838,  2172,
       0,     0,  2173,     0,   703,     0,     0,     0,     0,     0,
    1188,  1188,  1188,  1188,     0,     0,     0,     0,     0,  2174,
     703,     0,     0,     0,     0,  3970,     0,  2176,     0,  2552,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1182,  4276,  4277,  4278,     0,     0,
       0,   721,     0,  1182,  1775,     0,     0,     0,     0,  2178,
       0,     0,  1220,     0, -2583,     0,     0,  1085,  2180,     0,
       0,     0,     0,     0,     0,     0,  1085,     0,   703,     0,
       0,     0,  1188,  1188,     0,     0,     0,     0,     0,  2181,
    2182,     0,     0,     0,     0,     0,     0,     0,  1085,     0,
       0,  1395,     0,     0, -2583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,     0,  2185,     0,     0,     0,     0,     0,
    1182,     0,     0,     0,  1085,  1085,     0,  2186,     0,     0,
       0,     0,  1085,  1007,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2179,     0,     0,     0,  2180,  1016,  1016,
       0,     0,  2762,     0,     0,     0,  1555,  1555,     0,     0,
       0,     0,     0,     0,  1555,     0,     0,  1555,  2181,  2182,
    1555,     0,     0,     0,     0,     0,     0,     0,  1555,  1555,
       0,     0,     0,  2183,     0,     0,  1555,     0,  1220,  1555,
    1555,  1555,  1555,     0,     0,     0,     0,     0,     0,  1555,
    1555,     0,  1555,     0,  1555,  1555, -2583,     0,  1555,     0,
    2184,     0,     0,  2185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1555,     0,     0,  2186,  1188,  1555,  2187,
       0,     0,  1555,     0,     0,     0,  1555,     0,  1555,  1555,
    1555,  1555,  1555,  1555,  1555,  1555,  1555,     0,  1555,     0,
       0,     0,     0,  1085,  1555,     0,     0,  1555,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4420,  4421,     0,
    4423,     0,     0,     0,     0,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2192,  2193,
    2194,  2195,  2196,  2197,     0,  2188,     0,     0,     0,     0,
       0,     0,  2172,     0,  1085,  2173,  1085,     0,  1555,     0,
       0,  1760,     0,     0,     0,     0,     0,  1761,     0,  1007,
       0,     0,  2174,     0,     0,     0,     0,     0,     0,     0,
    2176,     0,     0,     0,     0,  2172,     0,  2177,  2173,     0,
       0,     0,     0,     0,  2968,     0,  2975,  4270,     0,     0,
       0,     0,     0,     0,  4273,  4274,     0,     0,     0,  1762,
       0,     0,  2178,  2176,     0,     0,     0,     0,     0,     0,
    2177,     0,     0,   703,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2189,  2190,  2191,     0,  2192,  2193,  2194,
    2195,  2196,  2197,     0,     0,  2178,     0,  2845,     0,     0,
     703,     0,     0,     0,     0,   703,     0,     0,   703,   721,
    1763,     0,     0,     0,  1016,     0,  1016,     0,  1764,     0,
       0,  1765,     0,     0,     0,     0,     0,     0,     0,     0,
     703,  1555,     0,     0,     0,     0,  1182,     0,  1188,  1188,
    1188,     0,  1182,  1220,     0,  1188,     0,  1188,     0,  1188,
    1188,     0,     0,  2172,     0,     0,  2173,     0,     0,   703,
    3971,     0,     0,     0,     0,     0,  2179,     0,     0,     0,
    2180,     0,     0,     0,  1766,     0,     0,     0,     0,     0,
       0,  2176,   703,     0,  2449,     0,     0,     0,  2177,     0,
    3090,  2181,  2182,     0,     0,  3099,     0,     0,     0, -2583,
       0,  1085,     0,  2180,     0,   703,  2183,     0,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,     0,     0,  3130,
    3130,     0,     0,     0,  2181,  2182,   721,   703,     0,  1767,
     703,     0,  1768,  2184,     0,     0,  2185,     0,     0, -2583,
    1188,     0,  1769,     0,     0,     0,     0,   703,     0,  2186,
    1770,     0,  2187,     0,   703,     0,     0,     0,     0,  1771,
       0,     0,     0,  3179,     0,  3181,  3183,   703,     0,  2185,
       0,     0,     0,     0,  4404,  4405,   703,     0,  3974,     0,
       0,     0,  2186,     0,     0,     0,     0,     0,     0,     0,
       0,  2414,     0,     0,     0,  1188,  1773,     0,     0,  2172,
       0,     0,  2173,  1188,  1188,  1188,  1188,  1188,  1188,     0,
       0,     0,     0,     0,     0,     0,     0, -2583,  1555,  2174,
       0,  2180,  1007,  2415,  4427,  4428,     0,  2176,  2188,     0,
       0,     0,     0,     0,  2177,  1007,     0,     0,     0,     0,
       0,  2449,  2181,  2182,  1204,     0,  3130,  1085,     0,     0,
       0,  1016,     0,     0,     0,     0,     0, -2583,     0,  2178,
       0, -2583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2172,     0,  3179,  2173,  4681,  1775,
       0,     0,     0,  1188,  3309,     0,     0,  2185,  4681,     0,
       0,     0,     0,  1330,  1966,     0,     0,     0,     0,     0,
    2186,     0,  2176,     0,     0,     0,     0,     0,     0,  2177,
       0,  1188,  3130,  1188,  3130,     0,  2189,  2190,  2191,     0,
    2192,  2193,  2194,  2195,  2196,  2197,     0,     0,  1330,     0,
    3762,     0,     0,     0,  2178,  1204,     0,  4721,     0,  1555,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4513,
       0,  4514,  4515,  2192,  2193,  2194,  2195,  2196,  2197,     0,
    2066,     0,  4518,  2179,     0,     0,     0,  2180,     0,     0,
       0,     0,     0,     0,     0,     0,   703,     0,     0, -2583,
       0,  1007,     0,     0,     0,     0,     0,     0,  2181,  2182,
       0,     0,     0,     0,     0,     0,     0,     0,   703,  4325,
       0,     0,  1182,  2183,     0,     0,  1182,     0,     0,     0,
       0,     0,     0,     0,  1188,     0,     0,     0,  4774,     0,
    1555,  1555,     0,     0,     0,     0,     0,     0,     0,     0,
    2184,     0,     0,  2185,     0,     0,     0,     0, -2583,     0,
       0,     0,  2180,     0,     0,     0,  2186,     0,     0,  2187,
    1555,  1555,     0,     0,     0,  1555,     0,     0,     0,     0,
       0,     0,     0,  2181,  2182,     0,     0,  1555,  1555,  1555,
    1555,  2192,  2193,  2194,  2195,  2196,  2197,     0, -2583,     0,
    1555,     0,     0,  1555,     0,  1555,  3466,     0,     0,     0,
       0,     0,     0,     0,     0,  1555,  1555,     0,     0,  1555,
       0,     0,     0,     0,     0,     0,     0,     0,  2185,     0,
       0,     0,  1555,     0,  1555,     0,  1220,     0,  1555,     0,
       0,  2186,     0,     0,     0,  2188,     0,     0,     0,     0,
       0,     0,     0,     0,  1555,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,  3511,     0,  1555,  1555,  1555,
       0,     0,     0,     0,     0,     0,  2172,     0,     0,  2173,
       0,     0,     0,     0,     0,     0,     0,  1330,     0,     0,
       0,  1555,     0,     0,     0,     0,  2174,     0,     0,     0,
       0,     0,     0,  1555,  2176,     0,     0,     0,  1555,     0,
       0,  2177,  1085,     0,     0,  1555,     0,     0,     0,  4672,
   -2583,  3511,     0,     0,  3571,     0,     0,     0,  2975,     0,
       0,     0,     0,  2189,  2190,  2191,  2178,  2192,  2193,  2194,
    2195,  2196,  2197,     0,     0,     0,     0,  3955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     703,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4698,  1007,     0,     0,     0,
       0,  1555,     0,  3130,     0,     0,     0,     0,  2066,     0,
       0,     0,  1007,     0,     0,     0,     0,  1330,     0,     0,
       0,     0,     0,     0,  4722,  1188,     0,  1188,  1188,     0,
       0,     0,  2192,  2193,  2194,  2195,  2196,  2197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2179,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
    1007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,  2182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2183,     0,     0,     0,     0,     0,     0,   703,     0,     0,
       0,     0,     0,     0,   703,     0,  2172,     0,     0,  2173,
       0,     0,     0,     0,     0,     0,     0,  2184,     0,     0,
    2185,     0,     0,     0,  1760,     0,  2174,     0,     0,     0,
    1761,     0,     0,  2186,  2176,     0,  2187,     0,     0,     0,
       0,  2177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1794,     0,     0,     0,
       0,     0,     0,   703,     0,     0,  2178,     0,   721,     0,
       0,     0,  1762,     0,     0,     0,     0,  3130,  3130,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1795,     0,  3769,  1007,     0,     0,
       0,     0,  2188,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1763,     0,     0,  1330,     0,  1330,     0,
       0,  1764,  1085,     0,  1765,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,     0,
       0,  4881,  1201,     0,     0,     0,     0,  2066,  1085,  1223,
       0,     0,     0,     0,     0,  1085,     0,  1232,     0,  1085,
    2179,     0,     0,     0,  2180,     0,  1243,     0,     0,     0,
       0,  1274,  1085,     0,  1796,     0,     0,  1766,  1330,     0,
       0,     0,     0,   828,     0,  2181,  2182,   721,     0,     0,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
    2183,  1085,  4025,     0,  1085,     0,     0,   703,     0,     0,
       0,     0,  3879,     0,     0,     0,     0,     0,     0,  1797,
       0,  1798,     0,  1182,     0,     0,   703,  2184,     0,  1047,
    2185,     0,  1799,     0,     0,  1768,     0,  1047,     0,  1047,
       0,     0,  1085,  2186,   703,  1769,  2187,     0,     0,     0,
    1188,   828,     0,  1770,     0,     0,     0,     0,  1555,     0,
    1007,  1800,  1771,     0,     0,     0,     0,  1555,     0,     0,
       0,     0,     0,  1555,     0,  1555,     0,     0,     0,     0,
       0,  1555,     0,     0,  1555,  1555,  1555,  1555,  1555,  1555,
    1555,  1555,  1555,  1555,  1801,     0,     0,  1555,  1555,  1773,
    1802,  1007,     0,     0,     0,     0,     0,     0,     0,     0,
    1555,     0,     0,     0,  1555,     0,     0,     0,  1555,     0,
       0,     0,  2188,  1448,     0,     0,  1803,     0,  1555,     0,
       0,  1555,     0,  1555,     0,     0,  1804,     0,     0,     0,
       0,     0,  1555,  1555,  1555,     0,     0,     0,  1555,     0,
       0,  1555,     0,     0,     0,  1573,     0,     0,  1085,  1085,
    1085,  3511,  3988,     0,     0,     0,  3988,  4001,     0,     0,
       0,  1555,  1596,  2172,     0,   842,  2173,  4015,     0,  1555,
       0,  1555,  1775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2174,  1622,     0,     0,     0,     0,     0,
       0,  2176,  1007,     0,     0,     0,     0,     0,  2177,     0,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
       0,     0,     0,   843,  4030,  1555,     0,     0,     0,     0,
       0,  1555,     0,  2178,     0,  2975,   844,  1555,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   845,     0,     0,     0,     0,     0,
     846,     0,  4062,  2066,  2066,     0,  2552,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   847,  1188,  1188,
    1188,  1188,     0,     0,     0,     0,     0,   703,     0,     0,
       0,     0,     0,     0,     0,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   849,     0,     0,  4095,
       0,   850,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,  2172,     0,     0,  2173,     0,
       0,     0,     0,   852,     0,     0,     0,  2179,     0,     0,
       0,  2180,     0,     0,     0,  2174,     0,     0,     0,     0,
       0,   703,     0,  2176,   703,     0,     0,     0,   853,     0,
    2177,     0,  2181,  2182,     0,     0,     0,     0,  4144,     0,
       0,     0,     0,     0,   721,     0,   703,  2183,  1925,     0,
       0,     0,     0,     0,     0,  2178,     0,     0,     0,     0,
       0,   854,     0,     0,  2172,     0,     0,  2173,  1330,     0,
    1953,  1956,  1957,     0,  2184,     0,     0,  2185,     0,   855,
       0,     0,     0,     0,  2174,     0,     0,  1007,     0,     0,
    2186,     0,  2176,  2187,     0,     0,  3769,     0,     0,  2177,
       0,     0,     0,     0,  1085,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,  1188,     0,  1555,     0,     0,
       0,     0,     0,  1085,  2178,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,  2449,     0,     0,     0,
       0,     0,   858,     0,     0,     0,  1085,     0,   859,     0,
       0,   860,     0,     0,     0,  3179,     0,     0,     0,  2179,
    4244,     0,     0,  2180,  2449,     0,  3879,     0,     0,  2188,
       0,     0,     0,     0,  1555,  1555,   861,     0,   862,     0,
       0,     0,   863,     0,  2181,  2182,     0,     0,     0,  1573,
     864,     0,     0,     0,     0,   865,     0,     0,  3130,  2183,
    3130,     0,     0,     0,     0,     0,   866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1573,     0,   703,   867,
       0,     0,     0,     0,     0,     0,  2184,     0,  2179,  2185,
       0,     0,  2180,     0,  1555,     0,     0,     0,     0,     0,
       0,     0,  2186,     0,     0,  2187,     0,     0,     0,     0,
       0,     0,     0,  2181,  2182,     0,     0,  2189,  2190,  2191,
       0,  2192,  2193,  2194,  2195,  2196,  2197,     0,  2183,     0,
    1555,  4056,     0,     0,     0,     0,     0,     0,     0,     0,
    1555,  1555,     0,     0,     0,     0,     0,     0,  1555,  1555,
       0,     0,     0,  1555,     0,  2184,     0,     0,  2185,  1555,
    1555,     0,     0,  1555,     0,  1085,  1085,  1085,  1085,     0,
       0,  2186,  3988,     0,  2187,  4333,     0,     0,  3511,     0,
       0,  2188,  3511,     0,     0,   828,     0,     0,  4346,     0,
       0,  1555,     0,  1184,     0,     0,  1555,     0,     0,     0,
       0,  1184,  4356,     0,     0,     0,     0,     0,  1555,     0,
       0,  4765,     0,     0,     0,  2255,     0,  1220,     0,  2172,
       0,     0,  2173,     0,     0,  3571,     0,     0,     0,  2975,
       0,     0,     0,     0,  1184,     0,     0,     0,     0,  2174,
       0,     0,     0,  1016,     0,     0,  1555,  2176,     0,     0,
    2188,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,  2304,  3130,  3130,     0,     0,     0,     0,  2189,
    2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,  2178,
    4402,     0,     0,  4293,     0,     0,     0,     0,     0,   703,
    1184,     0,     0,     0,     0,     0,     0,     0,     0,  1184,
       0,   703,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1188,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1188,     0,
       0,     0,     0,     0,     0,     0,     0,   703,  2189,  2190,
    2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,     0,     0,
       0,     0,  4327,     0,     0,  1330,     0,     0,     0,     0,
       0,     0,     0,  2066,     0,     0,     0,     0,     0,     0,
       0,     0,  3769,  3769,  3769,  3769,  3769,     0,     0,     0,
       0,     0,     0,  2179,     0,     0,  2461,  2180,     0,     0,
       0, -2092,     0,     0,     0,     0,  1555,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,  2182,
       0,  1184,     0,     0,  1187,  1189,     0,  1047,  1192,  1193,
       0,  1047,     0,  2183,  1188,  2449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1229,     0,     0, -2092,
       0,     0,     0,  2523,     0,  1184,     0,     0,     0,     0,
    2184, -2092,     0,  2185,  1085, -2092,  4512,     0,  1281,     0,
   -2092,     0,  1284,     0,     0, -2092,  2186,     0, -2092,  2187,
       0, -2092,   703,  2553,     0,     0,     0,     0,     0,  1307,
       0,     0,     0,     0,  1555,     0,     0,     0,     0,     0,
       0,     0,     0,  1555,     0,     0,     0,     0, -2092,     0,
       0,     0,     0,     0,  1908,     0,     0,     0,     0,     0,
    1555,  1555,     0,     0,  1555,     0,     0,     0, -2092,     0,
       0,  3988,     0,     0,     0,  3511,     0,     0,     0,     0,
    3511,     0,     0,  3511,  3179,     0,  4556,     0,  1555,  1555,
       0,     0,     0,     0,     0,  2188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2092,     0,     0,     0,
       0,     0,     0,     0, -2092,   703,     0,   703,     0,     0,
       0,  4062,  1220,  1188,  1188,  1188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1184,     0,  1182,
    1220,     0,     0,     0,     0,     0,     0,  1184,     0,     0,
       0, -2092,     0,     0,     0,     0,     0,     0,  2681,     0,
       0,     0,     0,     0,     0,     0,     0,  2685,     0,     0,
    2066,  1911,     0,  2189,  2190,  2191,  1182,  2192,  2193,  2194,
    2195,  2196,  2197,     0,     0,  1085,     0,  4534,     0,  2703,
       0,     0,     0,     0,     0,     0,     0,  1020,  3130,     0,
    2449,     0,     0,     0,     0,     0,  1184,  1908,     0,     0,
       0,     0,  4244,     0,     0,     0,     0,  1085,     0,     0,
   -2092,     0,     0,     0,     0,     0,     0,     0,     0,  1188,
    4062,     0,     0,     0,     0,  1573,  1573,     0,     0,     0,
       0,     0,     0, -2092,     0, -2092, -2092,     0,     0,     0,
       0,     0,     0,     0,  1555,     0,     0,  1555,     0,  1555,
       0,     0,     0,     0,     0,     0,     0,  2172,     0,     0,
    2173,     0,     0,     0,     0,  1184,  1555,     0, -2092,     0,
    3511, -2092, -2092,  4556, -2092,     0,     0,  2174,     0,  4692,
       0,     0,     0,     0,     0,  2176,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,     0,     0,     0,     0,
       0,  1188,     0,     0,     0,  1085,     0,  1783,  1784,     0,
       0,     0,     0,     0,     0,     0,     0,  2178,  1188,  1188,
    1188,  1188,     0,     0,  1911,     0,     0,     0,  1330,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2238,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1555,     0,  1184,     0,  2904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2172,     0,     0,  2173,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,  2924,
    1184,     0,     0,     0,  2174,     0,     0,     0,     0,     0,
       0,     0,  2176,     0,     0,     0,     0,  1930,  1931,  2177,
       0,     0,     0,     0,     0,     0,     0,     0,  1184,  1184,
       0,  1184,  1555,     0,  1958,  2937,     0,  2940,  1188,     0,
    1220,  2179,     0,     0,  2178,  2180,     0,  1555,  1184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2181,  2182,     0,     0,
    1990,  1992,     0,     0,     0,     0,     0,  1188,     0,     0,
    1182,  2183,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,  1204,     0,     0,     0,  4062,     0,  1184,
     828,     0,     0,     0,     0,     0,  4512,     0,  2184,     0,
       0,  2185,     0,     0,     0,  4692,     0,     0,  1555,  1555,
       0,   703,     0,     0,  2186,     0,     0,  2187,  1184,     0,
    1908,  1182,  1184,  1184,     0,     0,     0,     0,     0,  1188,
    2172,     0,     0,  2173,     0,     0,     0,     0,  2179,     0,
       0,     0,  2180,     0,     0,     0,     0,     0,     0,  1908,
    2174,     0,     0,     0,     0,     0,     0,     0,  2176,     0,
       0,     0,  1555,  2181,  2182,  2177,     0,  2172,     0,     0,
    2173,     0,  1555,     0,     0,     0,     0,  1188,  2183,     0,
       0,     0,     0,     0,     0,     0,     0,  2174,     0,     0,
    2178,     0,     0,  2188,     0,  2176,     0,     0,     0,     0,
    1911,     0,  2177,     0,     0,  2184,   828,     0,  2185,     0,
       0,     0,     0,  1047,     0,     0,     0,     0,     0,  1908,
       0,  2186,  3108,     0,  2187,     0,     0,  2178,     0,     0,
       0,     0,     0,     0,     0,  1555,     0,     0,  1908,     0,
    1047,     0,     0,     0,     0,     0,  1182,  1911,     0,     0,
       0,     0,     0,     0,     0,     0,  1908,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1911,     0,     0,     0,
       0,  2189,  2190,  2191,  1908,  2192,  2193,  2194,  2195,  2196,
    2197,     0,     0,     0,  2179,  4576,     0,     0,  2180,     0,
    2188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2181,
    2182,     0,     0,     0,     0,  1047,     0,     0,     0,     0,
       0,  2179,     0,     0,  2183,  2180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1908,  1911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2181,  2182,     0,     0,
       0,  2184,     0,     0,  2185,  1911,     0,     0,  3278,     0,
       0,  2183,     0,     0,     0,     0,     0,  2186,     0,     0,
    2187,     0,     0,  1911,     0,     0,     0,     0,  2189,  2190,
    2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,  2184,     0,
       0,  2185,  4617,     0,     0,     0,   828,     0,     0,     0,
       0,  1911,     0,     0,  2186,     0,     0,  2187,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2188,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1184,     0,  1247,     0,
       0,     0,  1911,     0,     0,  1184,     0,     0,     0,     0,
    2464,     0,  1248,  1249,     0,     0,     0,     0,     0,     0,
       0,  1250,     0,  2188,     0,  1251,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1252,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2519,  2520,  2521,  2522,     0,     0,  1253,  1908,     0,     0,
       0,     0,     0,     0,  2189,  2190,  2191,     0,  2192,  2193,
    2194,  2195,  2196,  2197,  1254,     0,     0,     0,  4811,     0,
       0,     0,  1184,     0,     0,  1255,     0,     0,     0,     0,
    1256,     0,  2560,  2561,     0,     0,     0,     0,  2570,     0,
       0,  2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,
    2197,     0,  1257,     0,     0,  4907,     0,     0,  1184,  1184,
       0,     0,     0,     0,     0,     0,  1184,     0,     0,  1184,
       0,     0,  1184,     0,     0,     0,     0,  1258,     0,     0,
    1184,  1184,     0,     0,     0,  2591,     0,     0,  1184,     0,
       0,  1184,  1184,  1184,  1184,     0,     0,     0,     0,     0,
       0,  1184,  1184,     0,  1184,     0,  1184,  1184,     0,     0,
    1184,     0,  2625,  2626,  2627,  2628,     0,     0,     0,  3498,
       0,     0,     0,     0,  1911,  1184,   828,     0,  1259,     0,
    1184,     0,     0,     0,  1184,     0,     0,     0,  1184,     0,
    1184,  1184,  1184,  1184,  1184,  1184,  1184,  1184,  1184,     0,
    1184,     0,     0,     0,     0,     0,  1184,   856,     0,  1184,
       0,     0,     0,     0,     0,     0,     0,   883,     0,     0,
       0,     0,     0,  1573,     0,     0,     0,     0,     0,   884,
       0,     0,     0,     0,  1260,  2692,   885,     0,     0,  1261,
       0,  1262,     0,     0,     0,     0,     0,  1263,     0,     0,
    1264,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
    1184,     0,     0,     0,   888,  1265,     0,  1266,  -717,     0,
       0,  1267,     0,     0,     0,    85,     0,     0,     0,  1268,
       0,    89,     0,     0,  1269,    93,   889,    94,     0,    96,
      97,     0,   890,     0,     0,     0,     0,  1908,     0,     0,
     106,     0,  1908,  1908,     0,     0,     0,     0,  1270,   891,
       0,     0,     0,  1908,     0,     0,     0,   119,   120,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   893,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,   828,     0,     0,     0,
       0,     0,     0,   128,     0,  -905,     0,     0,     0,     0,
       0,     0,     0,   129,     0,   130,   131,     0,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,  1184,  2858,
       0,  1118,     0,     0,  1184,     0,     0,     0,     0,     0,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,   141,     0,   142,   143,   144,     0,     0,     0,     0,
     146,     0,   147,   897,  1911,     0,     0,     0,     0,  1911,
    1911,     0,     0,   149,     0,   150,     0,     0,     0,     0,
    1911,   898,     0,     0,   899,  1908,     0,     0,     0,   153,
       0,   154,     0,     0,   157,     0,   828,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
     159,     0,     0,     0,   160,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,   165,
       0,     0,     0,     0,     0,   167,     0,   900,     0,     0,
       0,     0,     0,     0,   901,     0,     0,     0,     0,   171,
    -386,     0,     0,   902,     0,  1908,     0,     0,     0,     0,
       0,     0,     0,  3805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -386,     0,
     903,   904,     0,   905,   906,     0,     0,     0,     0,  3820,
       0,     0,   907,     0,     0,     0,  3828,   908,     0,     0,
    3833,     0,   909,   184,   185,   910,     0,     0,   911,   186,
    1184,     0,  1911,  3842,     0,     0,     0,     0,   187,     0,
       0,  -386,     0,     0,     0,     0,     0,     0,     0,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3874,     0,     0,  3875,     0,     0,     0,     0,
    3042,  3043,  3044,  1908,     0,     0,     0,  3052,     0,  3054,
       0,  3056,  3057,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
       0,     0,  1911,  1573,   206,     0,   207,     0,     0,     0,
       0,     0,   208,     0,     0,     0,     0,   209,     0,     0,
       0,   211,     0,     0,     0,     0,   213,     0,     0,     0,
       0,   214,   215,     0,     0,     0,     0,     0,     0,   216,
       0,     0,   218,     0,     0,     0,     0,     0,     0,   221,
       0,  1184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3152,     0,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,   231,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,   233,     0,
    1911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,  1910,     0,     0,  1184,     0,     0,     0,  1184,  3980,
    3981,  3982,     0,     0,     0,     0,     0,  3205,     0,     0,
       0,     0,  1184,  1184,     0,  3214,  3215,  3216,  3217,  3218,
    3219,     0,     0,     0,   246,     0,     0,     0,  -140,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1184,  1184,     0,     0,     0,  1184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1184,
    1184,  1184,  1184,     0,     0,     0,     0,   828,     0,     0,
       0,     0,  1184,   828,     0,  1184,     0,  1184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1184,  1184,     0,
       0,  1184,     0,     0,     0,  3299,  2172,     0,     0,  2173,
       0,     0,     0,     0,  1184,     0,  1184,     0,     0,     0,
    1184,     0,     0,     0,     0,     0,  2174,     0,     0,     0,
    2945,     0,     0,  3337,  2176,  3339,  1184,     0,     0,     0,
       0,  2177,     0,     0,     0,     0,     0,  1184,     0,  1184,
    1184,  1184,     0,     0,     0,  1908,     0,     0,     0,     0,
       0,     0,     0,     0,  1910,     0,  2178,     0,   725,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,     0,  1184,     0,     0,     0,     0,
    1184,     0,     0,  1908,  1908,     0,  1908,  1184,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,     0,
       0,     0,  2946,     0,     0,   725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   926,     0,     0,   725,
       0,     0,     0,     0,     0,   926,  3392,     0,     0,   725,
       0,     0,     0,     0,     0,     0,  1908,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   725,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,     0,
    2179,     0,     0,     0,  2180,   926,     0,     0,     0,     0,
       0,     0,  1911,     0,     0,  4190,     0,     0,     0,     0,
       0,     0,     0,  1908,     0,  2181,  2182,     0,     0,     0,
       0,     0,     0,     0,  4216,     0,     0,     0,  1099,     0,
    2183,     0,     0,     0,     0,     0,     0,     0,  1908,     0,
    1911,  1911,     0,  1911,     0,     0,     0,  4227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2184,     0,     0,
    2185,     0,     0,     0,     0,  1908,     0,     0,     0,     0,
     828,   828,   828,  2186,     0,     0,  2187,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1911,     0,  1911,     0,  2172,     0,     0,
    2173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2174,     0,     0,
       0,     0,     0,     0,     0,  2176,     0,     0,     0,     0,
       0,  2172,  2177,     0,  2173,     0,     0,     0,     0,     0,
    1911,     0,     0,  1908,     0,     0,     0,     0,     0,     0,
    1910,  2174,  2188,     0,  1908,     0,     0,  2178,     0,  2176,
       0,     0,     0,     0,     0,  1911,  2177,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,  2178,  1911,     0,     0,     0,     0,  2442,     0,     0,
       0,  2947,     0,     0,   828,  1911,  4328,  4329,  4330,  4331,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1910,  3615,     0,  3616,
    3617,     0,     0,     0,     0,     0,  1908,     0,     0,     0,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
       0,     0,     0,     0,     0,  1908,     0,     0,     0,     0,
       0,  2179,     0,     0,     0,  2180,     0,     0,     0,     0,
    1911,     0,     0,  3438,     0,     0,     0,     0,  3439,     0,
    1908,  1911,     0,     0,     0,     0,  2181,  2182,     0,     0,
       0,     0,     0,     0,  1911,  2179,  1910,     0,     0,  2180,
       0,  2183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1910,  1908,     0,     0,     0,
    2181,  2182,     0,     0,     0,  1184,     0,     0,  2184,     0,
       0,  2185,     0,  1910,     0,  2183,     0,     0,     0,     0,
       0,     0,     0,     0,  2186,     0,     0,  2187,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1184,  1910,  2184,  1911,     0,  2185,     0,  3947,     0,  1184,
       0,     0,     0,     0,     0,  1184,     0,  1184,  2186,     0,
       0,  2187,  1911,  1184,     0,     0,  1184,  1184,  1184,  1184,
    1184,  1184,  1184,  1184,  1184,  1184,     0,     0,     0,  1184,
    1184,     0,     0,     0,     0,     0,     0,  1911,     0,     0,
       0,     0,  1184,     0,     0,     0,  1184,     0,   828,     0,
    1184,     0,  1910,  2188,     0,     0,     0,     0,     0,     0,
    1184,     0,     0,  1184,     0,  1184,  3948,     0,     0,     0,
       0,     0,     0,  1911,  1184,  1184,  1184,     0,     0,     0,
    1184,     0,     0,  1184,     0,     0,     0,  2188,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,     0,
       0,  1184,     0,  1184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4508,     0,     0,     0,  1908,
       0,     0,     0,     0,   926,   926,     0,     0,     0,     0,
       0,  2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,
    2197,  1148,     0,     0,     0,     0,     0,  1184,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,  1184,
       0,     0,     0,     0,     0,  2189,  2190,  2191,     0,  2192,
    2193,  2194,  2195,  2196,  2197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1184,     0,     0,     0,     0,     0,
       0,     0,  3901,     0,     0,     0,     0,  2172,     0,     0,
    2173,     0,     0,     0,     0,     0,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,  1045,  2174,  1045,     0,
    3402,     0,     0,     0,     0,  2176,     0,     0,     0,     0,
       0,     0,  2177,     0,  1910,     0,     0,     0,     0,     0,
       0,   828,     0,     0,     0,   828,  1911,   828,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2178,     0,     0,
    1194,     0,     0,     0,     0,     0,     0,     0,  1908,  2917,
    1222,     0,  1224,     0,  1226,     0,  1228,     0,     0,     0,
       0,  2172,     0,     0,  2173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,  1908,     0,
       0,  2174,     0,     0,  1286,     0,  4615,     0,     0,  2176,
       0,     0,     0,     0,  1303,  1304,  2177,     0,     0,  1306,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1148,     0,   926,  1573,     0,
       0,  2178,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1335,     0,     0,     0,     0,     0,     0,     0,
       0,  2179,     0,     0,     0,  2180,     0,  1357,     0,  1184,
    1359,     0,  1361,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2181,  2182,   725,   926,
       0,     0,     0,     0,     0,  1911,     0,     0,     0,     0,
       0,  2183,     0,   725,     0,   725,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,   725,     0,     0,     0,  1908,
    4076,  4077,  4078,  4079,     0,  1911,  1184,  1184,  2184,     0,
       0,  2185,     0,     0,   725,   725,  4705,     0,     0,     0,
       0,  1446,     0,  1447,  2186,  2179,     0,  2187,     0,  2180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2181,  2182,     0,     0,  1148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2183,  1184,     0,     0,     0,
       0,     0,     0,     0,  3077,     0,     0,     0,     0,  2442,
    3084,     0,     0,     0,     0,     0,     0,     0,  1099,     0,
    1910,     0,  2184,     0,     0,  2185,     0,     0,     0,     0,
       0,     0,  1184,  2188,     0,     0,  1908,     0,  2186,     0,
       0,  2187,  1184,  1184,     0,  1911,     0,     0,     0,     0,
    1184,  1184,     0,     0,     0,  1184,  1911,  1908,     0,     0,
       0,  1184,  1184,     0,     0,  1184,     0,     0,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1184,     0,     0,     0,  1184,     0,     0,     0,     0,  1702,
       0,  1704,     0,  1184,     0,  1706,  2172,  4208,  1184,  2173,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
    1184,     0,     0,     0,     0,     0,  2174,  2188,     0,     0,
       0,  2189,  2190,  2191,  2176,  2192,  2193,  2194,  2195,  2196,
    2197,  2177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3905,     0,     0,     0,     0,     0,  1184,     0,
       0,     0,  1910,     0,     0,  1840,  2178,     0,     0,     0,
       0,     0,     0,  1911,     0,     0,     0,     0,     0,     0,
       0,     0,  1856,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1864,  1911,     0,     0,     0,     0,     0,
    1866,     0,     0,     0,     0,     0,  1911,     0,     0,     0,
       0,     0,     0,     0,  1917,  2189,  2190,  2191,     0,  2192,
    2193,  2194,  2195,  2196,  2197,     0,     0,     0,     0,     0,
       0,     0,  2442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1911,     0,     0,  4879,  1962,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
    2179,     0,     0,  1908,  2180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,  2182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1184,     0,
    2183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,  2172,
    1910,   725,  2173,   725,     0,     0,   725,  2184,   725,     0,
    2185,   725,   725,   725,     0,     0,     0,     0,     0,  2174,
       0,     0,     0,  2186,   725,     0,  2187,  2176,     0,     0,
       0,     0,  1180,  1911,  2177,     0,     0,   725,     0,   725,
    1180,     0,     0,  4880,     0,     0,     0,     0,     0,     0,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,  2178,
       0,     0,     0,     0,     0,     0,  1184,     0,     0,     0,
    1911,     0,     0,  1180,     0,  1184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1184,  1184,     0,     0,  1184,     0,     0,     0,
       0,     0,  2188,     0,     0,     0,     0,  1184,     0,     0,
       0,     0,  1184,     0,     0,  1184,  4422,     0,     0,     0,
    1184,  1184,     0,     0,     0,     0,     0,     0,     0,  1180,
    4425,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,  1184,     0,     0,     0,     0,     0,  2917,
    2917,  2917,     0,  2179,     0,     0,     0,  2180,     0,     0,
    1908,     0,     0,     0,     0,     0,     0,  1911,     0,     0,
       0,  1184,     0,     0,     0,     0,     0,     0,  2181,  2182,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
    1908,     0,     0,  2183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1184,  1099,
       0,     0,     0,     0,     0,     0,  4478,     0,     0,     0,
    2184,     0,     0,  2185,     0,     0,  1908,     0,     0,     0,
    1908,  1908,     0,     0,     0,     0,  2186,     0,     0,  2187,
    1180,     0,     0,     0,     0,     0,  1045,     0,     0,     0,
    1045,     0,     0,  3416,     0,     0,     0,     0,     0,     0,
       0,     0,  1184,     0,  1911,     0,  2337,     0,     0,  2337,
       0,     0,     0,     0,  1180,     0,  2172,  2344,     0,  2173,
       0,     0,  1910,     0,     0,     0,  1184,  1911,     0,  1184,
       0,  1184,     0,     0,     0,  2353,  2174,     0,     0,  1900,
       0,     0,     0,     0,  2176,     0,     0,     0,  1184,     0,
       0,  2177,  1184,     0,     0,  2188,     0,  1911,     0,     0,
    2442,  3084,     0,  3084,     0,     0,     0,     0,     0,     0,
    2413,     0,     0,     0,     0,     0,  2178,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1911,     0,     0,     0,  1911,  1911,     0,
       0,     0,     0,     0,     0,  4581,  4583,  4583,     0,     0,
       0,     0,     0,  1910,     0,  1910,     0,     0,  2172,     0,
       0,  2173,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,  1184,     0,     0,     0,     0,     0,  2174,     0,
       0,  3446,     0,  2189,  2190,  2191,  2176,  2192,  2193,  2194,
    2195,  2196,  2197,  2177,     0,     0,     0,     0,     0,     0,
    1910,     0,     0,  3451,  1911,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,  2178,     0,
    2179,     0,     0,     0,  2180,  1910,     0,     0,     0,     0,
       0,     0,     0,     0,  1184,     0,     0,     0,     0,     0,
    1909,     0,  1900,     0,     0,  2181,  2182,     0,     0,  1184,
       0,     0,  3084,     0,     0,     0,     0,     0,     0,     0,
    2183,  4658,     0,     0,     0,  3084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,  1184,     0,     0,     0,     0,  2184,     0,     0,
    2185,     0,     0,     0,     0,  2600,     0,     0,     0,  1184,
       0,     0,     0,  2186,     0,     0,  2187,     0,     0,     0,
       0,  2623,     0,     0,     0,     0,     0,     0,     0,     0,
    1184,  1184,  2179,     0,     0,     0,  2180,     0,     0,     0,
    1910,     0,     0,  1184,     0,     0,     0,     0,     0,     0,
       0,  3084,     0,  4702,  1180,     0,     0,  2181,  2182,     0,
       0,     0,     0,     0,  1910,  2667,     0,     0,     0,  2671,
       0,  4718,  2183,  4720,     0,     0,     0,  2172,     0,  2680,
    2173,  2682,     0,  2683,  1184,     0,     0,     0,  2684,     0,
       0,     0,  2188,     0,  1184,     0,     0,  2174,     0,  2184,
    3457,     0,  2185,     0,     0,  2176,     0,     0,     0,     0,
     828,     0,  2177,  1909,     0,  2186,     0,     0,  2187,     0,
       0,     0,     0,   725,     0,   725,     0,     0,     0,   725,
       0,   725,     0,  1910,   725,     0,     0,  2178,   725,  2715,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1910,     0,     0,     0,     0,  1184,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,  1184,  1180,
    4583,     0,     0,   828,     0,     0,     0,  1910,     0,     0,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
       0,     0,     0,     0,  2188,     0,     0,  1180,  1180,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,  4809,
       0,     0,     0,  1910,     0,     0,     0,  1180,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2179,     0,     0,     0,  2180,     0,     0,     0,     0,
       0,     0,     0,  2917,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1900,  2181,  2182,  1180,     0,
       0,  4850,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2183,  2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,
    2196,  2197,     0,  2918,  1900,     0,     0,  1180,     0,     0,
       0,  1180,  1180,     0,     0,     0,     0,     0,  2184,     0,
       0,  2185,     0,     0,     0,     0,     0,     0,     0,  4886,
       0,     0,     0,     0,  2186,     0,     0,  2187,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2172,     0,     0,  2173,     0,     0,     0,     0,
       0, -2094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2174,     0,  1900,  3954,     0,     0,     0,     0,
    2176,     0,     0,     0,     0,     0,     0,  2177,     0,  1909,
       0,     0,     0,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,     0,  3084,     0,     0, -2094,
       0,  1900,  2178,  2188,     0,     0,     0,     0,     0,     0,
       0, -2094,     0,     0,     0, -2094,     0,     0,     0,  1045,
   -2094,     0,     0,     0,     0, -2094,  1909,  1148, -2094,  1900,
       0, -2094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3005,  3006,     0,     0,     0,  3009,
    3010,     0,     0,  3013,     0,  1909,     0,     0, -2094,     0,
       0,     0,     0,  3023,     0,     0,  2172,     0,     0,  2173,
    3031,     0,     0,     0,     0,     0,  3036,  3037, -2094,     0,
       0,     0,     0,     0,     0,     0,  2174,  3051,     0,  3053,
    1900,  2189,  2190,  2191,  2176,  2192,  2193,  2194,  2195,  2196,
    2197,  2177,     0,  3073,  1045,     0,  2179,     0,  3075,     0,
    2180,     0,     0,     0,     0,     0, -2094,     0,     0,     0,
       0,     0,     0,     0, -2094,  1909,  2178,     0,     0,     0,
       0,  2181,  2182,     0,  3091,  3092,  3095,  3097,     0,     0,
       0,  3104,  3107,     0,  1909,  1910,  2183,     0,     0,  3118,
       0,     0,  3122,     0,     0,     0,  3126,     0,     0,     0,
       0,     0,  1909,     0,     0,     0,     0,     0,     0,     0,
       0, -2094,     0,  2184,  3150,  2442,  2185,     0,     0,     0,
       0,     0,     0,     0,  3153,     0,  3155,     0,     0,  2186,
    1909,     0,  2187,     0,  3158,  3159,  3160,     0,  3162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3185,  3186,  3187,     0,     0,     0,  1020,     0,     0,
       0,  3192,  3193,     0,     0,     0,     0,     0,     0,     0,
    2179,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
   -2094,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,  1909,     0,     0,  1180,  2181,  2182,     0,     0,     0,
       0,     0,     0, -2094,     0, -2094, -2094,     0,  2188,     0,
    2183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3256,     0,  1900,     0,     0,  1910,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1910,  2184, -2094,     0,
    2185, -2094, -2094,     0, -2094,     0,     0,     0,     0,     0,
       0,     0,     0,  2186,     0,     0,  2187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2917,     0,     0,     0,     0,  2917,     0,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
    2917,     0,     0,     0,     0,     0,  2189,  2190,  2191,     0,
    2192,  2193,  2194,  2195,  2196,  2197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,  1180,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,  1180,     0,
       0,  1180,  2188,     0,     0,     0,     0,     0,  1148,  1180,
    1180,     0,     0,  1910,     0,     0,  1902,  1180,     0,     0,
    1180,  1180,  1180,  1180,     0,     0,     0,     0,     0,     0,
    1180,  1180,     0,  1180,  1910,  1180,  1180,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,  1910,  3381,     0,     0,
       0,     0,     0,  1909,  1180,     0,     0,     0,     0,  1180,
   -2106,     0,     0,  1180,     0,     0,     0,  1180,     0,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,     0,  1180,
       0,     0,     0,     0,  1910,  1180,     0,     0,  1180,     0,
    2189,  2190,  2191,     0,  2192,  2193,  2194,  2195,  2196,  2197,
       0,     0,     0,     0,     0,     0,     0,     0, -2106,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2106,   708,     0,     0, -2106,     0,   722,     0,   722, -2106,
       0,     0,     0,     0, -2106,     0,     0, -2106,   722,     0,
   -2106,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,  1900,     0,     0,     0,     0,  1900,  1900,     0,
       0,     0,     0,     0,   722,     0,     0, -2106,  1900,     0,
       0,     0,     0,     0,     0,   722,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,   722,   722, -2106,     0,   722,
       0,     0,     0,     0,     0,   722,     0,     0,     0,  1008,
       0,     0,     0,  4506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1008,
       0,     0,     0,     0,     0, -2106,     0,     0,     0,     0,
       0,     0,     0, -2106,     0,   722,     0,     0,     0,     0,
    1910,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,  1180,     0,     0,
   -2106,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3591,  3592,     0,     0,     0,     0,
    1900,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1909,     0,     0,     0,     0,  1909,  1909,
       0,     0,     0,     0,     0,     0,  1020,     0,     0,  1909,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3084,     0, -2106,
    3623,  3625,     0,     0,  3625,     0,     0,     0,  3632,  3633,
    3634,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1900,     0, -2106,     0, -2106, -2106,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3652,  3653,  3654,  3655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2106,     0,     0,
   -2106, -2106,     0, -2106,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3680,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3084,  1902,     0,     0,     0,     0,
       0,   722,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,  1909,     0,     0,     0,     0,     0,  1910,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3712,     0,     0,     0,     0,  3714,     0,     0,
       0,     0,  1902,     0,     0,     0,     0,  1910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1909,     0,  1910,     0,     0,     0,  1910,  1910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3801,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,  3827,     0,   926,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4506,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   926,     0,     0,  3867,     0,  1902,  1909,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3876,
       0,     0,     0,  1180,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,  1180,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1180,  1180,     0,   722,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,  1180,
    1180,  1180,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,  1180,     0,     0,  1180,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,  1180,     0,     0,
    1180,     0,     0,     0,   722,   722,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,  1180,     0,     0,     0,  1180,
    1900,   722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,  1180,  1180,
    1180,     0,     0,     0,     0,     0,     0,     0,  1900,  1900,
       0,  1900,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,  1900,     0,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1900,     0,
       0,     0,  1180,     0,     0,     0,  4073,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1909,     0,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1900,     0,     0,     0,  1323,   722,     0,   722,     0,  1909,
    1909,     0,  1909,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4122,     0,     0,     0,     0,  4129,  4130,     0,  4132,  4133,
    4134,  4135,  4136,  4137,  4138,     0,     0,     0,     0,     0,
       0,     0,     0,  4145,     0,   722,     0,     0,   722,   722,
       0,     0,  1909,     0,  1909,     0,     0,     0,     0,     0,
       0,   708,     0,  1008,     0,  1008,     0,     0,  1900,     0,
       0,   708,     0,     0,     0,   722,     0,     0,     0,  1900,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1900,     0,  1008,  1008,     0,     0,     0,  1909,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4202,  4204,  4206,     0,     0,  4209,
       0,     0,     0,     0,  1909,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   722,     0,   722,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1909,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1900,     0,     0,  1909,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1900,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1900,     0,     0,     0,  1902,
       0,     0,   708,     0,  1902,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,   708,   708,     0,  1909,
    1684,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1909,  1900,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1909,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,  1909,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,  1180,     0,  1180,     0,     0,     0,
       0,  1909,  1180,     0,     0,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,     0,     0,  1902,  1180,  1180,
       0,     0,     0,     0,     0,     0,  1909,     0,     0,     0,
       0,  1180,     0,     0,     0,  1180,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,  1180,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,  1909,  1180,  1180,  1180,     0,     0,     0,  1180,
       0,     0,  1180,     0,  4397,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,  1900,     0,     0,  1902,     0,     0,
       0,     0,  1180,  4408,  4409,     0,     0,     0,     0,     0,
    1180,     0,  1180,     0,     0,  4418,  4419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,     0,     0,     0,
       0,   722,     0,   722,     0,     0,   722,     0,   722,     0,
       0,   722,   722,   722,     0,     0,  1180,  2061,     0,     0,
       0,     0,  1180,     0,   722,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,     0,     0,     0,   722,     0,   722,
       0,     0,     0,     0,   722,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4472,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4493,  1909,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,  1900,     0,     0,     0,  4516,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2213,     0,     0,  1185,     0,     0,     0,     0,     0,   722,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,     0,     0,     0,
     708,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,   725,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,  1900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1900,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1909,     0,     0,     0,     0,     0,
       0,   722,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1909,  1180,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4624,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,   708,     0,     0,     0,  1902,     0,   708,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,  1900,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3625,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  1900,     0,     0,  1902,  1902,     0,  1902,     0,
       0,  1180,     0,     0,  1900,     0,   708,     0,     0,   708,
     708,  1180,  1180,     0,  1909,     0,     0,     0,     0,  1180,
    1180,     0,     0,     0,  1180,  1909,     0,     0,     0,     0,
    1180,  1180,     0,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,  1900,     0,     0,     0,     0,     0,  1902,  1180,
    1902,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,   708,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
    1902,     0,     0,     0,  4752,     0,     0,     0,     0,     0,
       0,     0,  1909,     0,     0,     0,  1185,     0,     0,  3625,
       0,     0,     0,     0,     0,     0,  1185,  1902,     0,     0,
       0,     0,     0,  1909,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,  1909,     0,     0,     0,     0,
    1912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1900,     0,
       0,     0,     0,  1909,     0,  1185,     0,  4808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,   722,     0,   722,     0,  1543,     0,   722,
       0,   722,     0,     0,   722,     0,     0,  1180,   722,     0,
       0,     0,     0,  2213,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4863,
       0,  1613,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1900,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,  1909,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1912,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,  1909,
       0,  1185,  1902,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1180,  1180,     0,     0,  1180,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,  1180,     0,  1902,     0,
       0,  1180,  1900,     0,  1180,     0,     0,     0,     0,  1180,
    1180,     0,     0,     0,     0,     0,  2061,  1185,  1185,     0,
    1185,     0,     0,  2919,     0,  1900,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1900,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1909,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,  1900,     0,     0,   708,  1900,  1900,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,  1185,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,     0,     0,     0,   708,     0,     0,     0,
       0,     0,  2989,     0,  1684,     0,     0,   722,     0,     0,
       0,  1180,     0,  1909,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,  1180,  1909,     0,  1180,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,  1912,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,  1180,     0,     0,     0,     0,  1909,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1912,     0,     0,     0,
       0,     0,  1909,     0,     0,     0,  1909,  1909,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2113,     0,
       0,     0,     0,     0,     0,  1912,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1180,     0,     0,     0,     0,  2136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,     0,     0,
       0,     0,     0,     0,     0,   708,     0,   708,     0,     0,
       0,     0,     0,  1909,  2161,  2162,     0,  2164,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2203,  1912,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,  1912,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2256,     0,     0,     0,     0,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
    1912,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,  2278,     0,     0,     0,  2288,  2291,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
    1902,  1912,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,  1185,  1902,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,  1185,
    1185,  1902,     0,     0,     0,     0,     0,  1185,     0,     0,
    1185,  1185,  1185,  1185,     0,     0,     0,     0,     0,     0,
    1185,  1185,     0,  1185,     0,  1185,  1185,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,  1912,  1185,     0,     0,     0,     0,  1185,
       0,     0,     0,  1185,     0,     0,     0,  1185,     0,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,     0,  1185,
       0,     0,     0,     0,     0,  1185,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,     0,     0,
     708,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     8,  1185,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      36,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2785,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1902,  1912,     0,     0,    47,     0,  1912,  1912,
       0,     0,     0,     0,  2807,     0,     0,  2809,     0,  1912,
    2820,     0,    48,     0,     0,     0,     0,  2827,  2832,     0,
       0,     0,     0,  2838,     0,     0,  2843,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,  2852,     0,     0,     0,     0,  2859,     0,     0,     0,
    2871,     0,     0,     0,  2878,    50,  2880,  2881,  2882,  2883,
    2884,  2885,  2886,  2887,  2888,     0,  2889,     0,     0,     0,
       0,     0,  1543,     0,     0,  2914,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    51,  1902,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,  1902,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1613,     0,     0,  1185,
       0,  1912,  1902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,   722,
       0,     0,  1902,  1902,     0,    54,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1912,     0,   722,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,  3034,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,    67,
      68,     0,    69,    70,    71,    72,    73,     0,     0,  1912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1185,
    1185,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,  1185,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1185,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1185,     0,     0,  2199,  1185,
       0,     0,     0,     0,     0,     0,  3232,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2989,  1185,     0,  1185,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,  2199,  1185,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,     0,     0,     0,  3352,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1912,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1912,
    1912,     0,  1912,     0,     0,     0,     0,     0,     0,  3398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1912,     0,  1912,  2832,     0,  2832,  2832,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3460,     0,
       0,  3463,     0,  3465,     0,     0,     0,     0,  1903,     0,
       0,     0,     0,     0,     0,  1905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1912,
    3486,     0,  3488,     0,     0,     0,  3491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1912,     0,     0,     0,   708,     0,
       0,     0,     0,     0,     0,  2914,  2914,  2914,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1912,     0,     0,     0,     0,     0,     0,     0,  3548,
       0,     0,     0,     0,  1912,     0,     0,     0,     0,     0,
       0,  2278,     0,     0,     0,     0,  3559,     0,     0,     0,
       0,     0,     0,  2291,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1912,  1903,     0,     0,     0,     0,     0,     0,  1905,  3600,
       0,     0,     0,  1912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2199,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,  1912,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,   708,     0,  1185,     0,  1185,     0,     0,     0,
    1906,  1912,  1185,     0,     0,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,     0,     0,     0,  1185,  1185,
       0,     0,     0,     0,     0,     0,  1912,     0,  2199,     0,
       0,  1185,     0,     0,     0,  1185,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  2199,  1185,     0,  1185,     0,  2816,     0,     0,     0,
       0,     0,  1912,  1185,  1185,  1185,     0,     0,     0,  1185,
       0,     0,  1185,     0,     0,     0,  2199,  2199,     0,  2199,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,   708,     0,     0,     0,     0,     0,     0,
    1185,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,  1906,     0,     0,     0,  1903,     0,     0,
       0,  2199,     0,     0,  1905,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,  2199,     0,     0,     0,
       0,     0,     0,     0,  1903,     0,     0,     0,     0,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1903,     0,  1912,     0,     0,     0,     0,
    1905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3906,     0,     0,     0,
       0,     0,     0,     0,     0,  3909,     0,     0,     0,     0,
       0,  3910,     0,  3911,     0,     0,     0,     0,   708,     0,
       0,     0,     0,  1903,     0,     0,     0,     0,     0,     0,
    1905,     0,     0,     0,     0,  3929,  3930,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,  2838,     0,     0,     0,
    1903,     0,     0,     0,     0,     0,  3958,  1905,     0,  3961,
       0,  3963,     0,     0,     0,     0,     0,     0,  1185,     0,
    3967,     0,     0,     0,     0,     0,  3972,     0,  1903,  3975,
       0,     0,     0,     0,     0,  1905,     0,     0,     0,     0,
       0,     0,     0,     0,  1912,     0,     0,     0,     0,  4004,
       0,     0,     0,     0,     0,     0,     0,  4016,     0,  2914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1912,  1185,  1185,     0,     0,  1906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1903,
       0,     0,     0,     0,     0,     0,  1905,     0,     0,     0,
       0,     0,     0,  4033,     0,     0,     0,     0,     0,  1543,
       0,     0,     0,     0,     0,  1613,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1906,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1906,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,  1907,     0,     0,     0,
       0,  1185,  1185,     0,  1912,     0,     0,     0,     0,  1185,
    1185,     0,     0,     0,  1185,  1912,     0,     0,     0,     0,
    1185,  1185,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,   708,  1185,     0,  1906,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,  1906,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1903,     0,     0,     0,     0,     0,  1185,  1905,     0,
    1906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1912,     0,     0,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2199,  1906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2199,  1912,  2199,     0,  2816,  2816,  3434,     0,
       0,  2816,  4259,  4260,     0,  2199,     0,     0,     0,     0,
       0,     0,  2199,     0,     0,     0,     0,  2199,     0,     0,
       0,     0,     0,  2199,     0,     0,     0,     0,  2199,     0,
       0,     0,     0,     0,     0,     0,     0,  2199,     0,     0,
       0,  2816,  2816,     0,  2199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2199,  1185,     0,     0,
       0,     0,  4291,  2199,     0,  2199,  2199,  2199,  2199,  2199,
    2199,  2199,  2199,  2199,  2199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2199,
       0,     0,     0,     0,     0,     0,     0,     0,  4309,  4311,
       0,     0,  1912,     0,     0,     0,     0,     0,     0,     0,
       0,  4318,     0,     0,     0,     0,     0,  4323,  4324,     0,
       0,  4326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,  1912,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,  2914,
       0,  1903,     0,  1906,  2914,     0,  1903,  1903,  1905,     0,
       0,  1185,  1185,  1905,  1905,  1185,  2914,  1903,     0,     0,
       0,     0,     0,     0,  1905,     0,  1185,     0,     0,     0,
       0,  1185,     0,     0,  1185,     0,     0,     0,     0,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4380,     0,     0,     0,     0,  2199,
       0,     0,     0,     0,     0,  1907,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1912,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1907,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,  1907,     0,     0,     0,     0,     0,     0,     0,  1903,
       0,     0,     0,     0,     0,     0,  1905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,  1912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4459,     0,     0,     0,     0,     0,
       0,  1907,     0,     0,     0,  1185,  1912,     0,  1185,  1903,
    1185,     0,     0,     0,     0,     0,  1905,     0,     0,     0,
    1907,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,  1185,     0,     0,     0,     0,  1912,     0,  1907,     0,
       0,     0,     0,     0,     0,     0,     0,  2199,     0,     0,
       0,     0,     0,  1906,     0,     0,     0,     0,  1906,  1906,
       0,     0,     0,     0,     0,     0,  1907,     0,     0,  1906,
       0,     0,  1912,     0,     0,     0,  1912,  1912,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,  1185,  4542,     0,  1905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4559,     0,     0,
       0,     0,     0,  1912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2199,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3434,  3434,     0,  2816,  1185,     0,
    2816,  2816,  2816,  2816,  2816,  2816,  2816,  2816,  2816,  2816,
    3434,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1906,  1185,     0,     0,  2199,     0,     0,  2199,     0,
    2199,     0,     0,     0,     0,  3434,  3434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2816,
    2816,  2199,     0,  2199,     0,     0,  2199,     0,     0,     0,
       0,     0,     0,  1185,     0,  2838,     0,     0,     0,  1907,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4683,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2199,     0,     0,     0,     0,     0,  1906,
       0,     0,     0,     0,  2199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,  1903,
       0,     0,     0,     0,     0,     0,  1905,     0,     0,     0,
       0,     0,     4,     0,     0,  2199,     0,     0,  4740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,  1903,  1903,     0,
    1903,     0,     6,     7,  1905,  1905,     0,  1905,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1903,     0,  1903,    45,     0,  4791,     0,  1905,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,     0,    46,     0,  1905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,  4836,  4836,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1907,
       0,     0,     0,     0,  1907,  1907,     0,     0,     0,  1903,
       0,     0,     0,     0,     0,  1907,  1905,     0,     0,     0,
       0,     0,  1903,  2816,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
    4836,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4883,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,  1906,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,     0,     0,     0,  1905,    50,     0,     0,  1903,     0,
       0,     0,     0,     0,     0,  1905,     0,     0,     0,     0,
       0,  1903,     0,  4836,     0,     0,     0,     0,  1905,  1906,
    1906,     0,  1906,     0,     0,     0,     0,     0,    51,     0,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,  2199,     0,     0,  2199,  2199,  2199,  1907,    53,  3434,
       0,     0,     0,     0,  3434,  3434,  3434,  3434,  3434,  3434,
    3434,  3434,  3434,  3434,  2199,  2199,     0,     0,     0,     0,
       0,     0,  1906,     0,  1906,     0,     0,     0,     0,     0,
    1903,     0,     0,     0,     0,     0,     0,  1905,     0,     0,
       0,     0,     0,  2199,  2816,  2816,  2199,     0,  2199,  1903,
       0,     0,  2199,  3434,  3434,     0,  1905,  2199,     0,     0,
    2199,     0,     0,     0,     0,     0,     0,  1907,     0,  1906,
       0,     0,     0,     0,  1903,    54,     0,     0,     0,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,  2199,
       0,     0,     0,     0,  1906,     0,     0,     0,     0,     0,
       0,  2199,     0,     0,     0,     0,     0,     0,     0,     0,
    1903,     0,     0,     0,     0,     0,    55,  1905,  2199,     0,
       0,  1906,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,  1906,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1907,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1372,
    2016,     0,     0,     0,    71,     0,     0,     0,     0,  1906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1906,  1903,     0,  3434,     0,     0,     0,     0,
    1905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1906,     0,     0,     0,
       0,     0,     0,     0,  2199,  2199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1906,     0,     0,     0,  2199,     0,     0,     0,
    2816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2199,     0,  2199,     0,     0,     0,
       0,  3434,  3434,  2199,     0,     0,  2816,  2816,  2199,  2199,
       0,  2199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,     0,  2199,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1907,  1907,     0,  1907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2199,     0,     0,     0,  1907,     0,
    1907,     0,     0,     0,     0,  1906,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,  1903,     0,  1907,     0,     0,     0,     0,
    1905,     0,     0,     0,     0,     0,     0,     0,     0,  3434,
    2816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1907,     0,     0,     0,     0,  3434,  3434,  2199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2199,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1903,     0,     0,     0,  1906,     0,     0,  1905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1903,     0,     0,     0,  1907,     0,     0,  1905,     0,
       0,     0,     0,  1903,  1906,     0,  1907,     0,     0,     0,
    1905,     0,     0,     0,     0,     0,     0,     0,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,  3434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2199,     0,
       0,  1903,     0,     0,     0,     0,     0,     0,  1905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1907,     0,
       0,     0,     0,     0,     0,  2199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,  1906,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1906,     0,     0,     0,     0,
       0,     0,  1907,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2199,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,     0,     0,     0,  1905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1906,     0,     0,     0,     0,     0,  2199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1906,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1906,  1903,     0,     0,     0,     0,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1907,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1903,     0,     0,     0,     0,     0,     0,  1905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1903,     0,     0,     0,     0,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1903,     0,     0,     0,     0,  1906,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1903,     0,     0,     0,  1903,  1903,     0,  1905,     0,     0,
    1907,  1905,  1905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
    1907,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,  1906,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
    1907,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,  1907,     0,     0,     0,     0,   145,     0,     0,     0,
       0,     0,     0,  1906,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,  1906,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1906,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,  1906,     0,     0,     0,  1906,  1906,  1907,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,  1907,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,  1907,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,     0,   191,     0,  1907,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,  1907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2979,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1907,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   731,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,  1907,    98,    99,   100,   101,   102,   103,   732,
     104,   105,   423,   733,     0,   107,   108,   109,   110,   734,
     735,   112,   113,   114,   115,     0,   116,   736,   737,   424,
     425,     0,  1907,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,  1907,     0,
       0,     0,  1907,  1907,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   738,   442,   443,   444,   739,   740,   741,
     742,   743,   744,   745,   445,   446,   746,   447,   448,   133,
     449,   450,   451,   452,   135,   136,   137,   138,   139,   747,
     453,   454,   455,   456,   457,   748,   749,   458,   459,   750,
     140,   461,   751,   462,   463,   464,   465,   466,   145,   752,
     467,   753,   468,   469,   470,   471,   148,   472,   754,   755,
     474,   475,   476,   477,   478,   479,   480,   756,   151,   481,
     757,   758,   759,   760,   152,   761,   762,   763,   482,   483,
     484,   485,   486,   487,   155,   156,   488,   764,   489,   765,
     490,   491,   492,   493,   494,   766,   495,   496,   497,   498,
     767,   499,   768,   500,   501,   502,   503,   504,   769,   505,
     506,   507,   770,   508,   509,   771,   510,   511,   512,   513,
     164,   514,   515,   516,   166,   772,   517,   773,   518,   168,
     519,   774,   520,   775,   521,   169,   776,   170,   522,   523,
     524,   777,   525,   172,   778,   526,   527,   779,   528,   529,
     530,   531,   532,   173,   533,   534,   535,   780,   536,   537,
     538,   539,   540,   541,   781,   542,   174,   175,   782,   543,
     544,   545,   783,   176,   784,   177,   785,   546,   178,   179,
     547,   180,   548,   549,   550,   551,   552,   553,   554,   786,
     181,   182,   555,   183,   787,   556,   557,   558,   788,   789,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   188,   189,   190,   572,   573,   574,   191,
     790,   575,   576,   193,   577,   791,   194,   578,   195,   579,
     580,   581,   792,   582,   793,   794,   583,   584,   585,   795,
     796,   196,   197,   198,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   797,   593,   201,   594,   202,   595,   596,
     597,   598,   798,   599,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,   799,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   800,   621,   622,
     210,   623,   624,   625,   626,   212,   627,   628,   629,   630,
     631,   632,   633,   634,   801,   635,   636,   637,   638,   639,
     802,   640,   217,   641,   642,   219,   643,   220,   803,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
     804,   654,   655,   805,   656,   657,   658,   659,   660,   661,
     806,   224,   225,   807,   808,   663,   226,   664,   227,   809,
     665,   666,   667,   668,   669,   670,   810,   811,   671,   672,
     673,   674,   675,   812,   813,   676,   677,   678,   679,   680,
     814,   234,   815,   682,   235,   683,   684,   685,   816,   817,
     686,   818,   819,   687,   688,   689,   690,   691,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
      85,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   969,   104,   105,   106,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,   119,   120,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,   133,     0,     0,     0,   134,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,   141,     0,   142,   143,
     144,   145,     0,     0,     0,   146,     0,   147,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,   149,     0,
     150,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,   153,     0,   154,   155,   156,   157,
       0,     0,     0,     0,     0, -1354,     0,     0,     0,     0,
       0,     0,   158,     0,     0,   159,     0,     0,     0,   160,
       0,     0,     0,     0,     0,   161,   162,     0,     0,     0,
       0,     0,   163,   164,   165,     0,     0,   166,     0,     0,
     167,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0, -1354,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,   184,   185,
       0,     0,     0,     0,   186,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,     0,   188,   189,   190,     0,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,   205,     0,     0,     0,     0,   206,
       0,   207,     0,     0,     0,     0,     0,   208,     0,     0,
       0,     0,   209,   210,     0,     0,   211,     0,   212,     0,
       0,   213,     0,     0,     0,     0,   214,   215,     0,     0,
       0,     0,     0,     0,   216,   217,     0,   218,   219,     0,
     220,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,   228,     0,   229,     0,     0,     0,   230,
       0,     0,   231,     0,     0, -1354,     0,     0,   232,     0,
       0,     0,     0,   233,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   246,
     104,   105,     0,  -140,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,     0,   145,     0,
       0,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,   198,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,     0,  2981,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,    46,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,    51,     0,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
       0,    52,     0,     0,     0,    54,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1372,
    2693,     0,     0,     0,    71,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1372,     0,
       0,     0,     0,    71,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,   433,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1463,  1464,  1465,    45,  1466,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,  2908,   442,
     443,   444,     0,     0,     0,     0,  1467,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
    1468,   137,  1469,  1470,     0,   453,   454,   455,   456,   457,
    1471,  1472,   458,   459,  1473,  1474,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,  1483,
    1484,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,  2909,   499,     0,   500,   501,
    1485,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,  1486,   514,   515,   516,  1487,
    1488,   517,     0,   518,  1489,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,  1491,  1492,     0,
    1493,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,  1497,   189,
    1498,   572,   573,   574,   191,  1499,   575,   576,   193,   577,
    1500,  1501,   578,  1502,   579,   580,   581,     0,   582,     0,
       0,  1503,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,  1506,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
    1507,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,  1509,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,  1511,  1512,     0,     0,
     663,  1513,   664,  1514,  1515,   665,   666,   667,   668,   669,
     670,     0,  1516,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,   681,  1518,  2910,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,     0,     0,
       0,     0,  1527,  1528,  2911,     0,     0,     0,     0,     0,
       0,  1530,  2912,   731,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   732,   104,   105,   423,   733,     0,   107,
     108,   109,   110,   734,   735,   112,   113,   114,   115,     0,
     116,   736,   737,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1463,  1464,  1465,    45,  1466,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,  1467,     0,     0,   445,   446,
       0,   447,   448,   133,   449,   450,   451,   452,   135,  1468,
     137,  1469,  1470,     0,   453,   454,   455,   456,   457,  1471,
    1472,   458,   459,  1473,  1474,   461,     0,   462,   463,   464,
     465,   466,  1475,     0,   467,     0,   468,   469,   470,   471,
     148,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,  1480,
    1481,  1482,   482,   483,   484,   485,   486,   487,  1483,  1484,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,  1485,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,  1486,   514,   515,   516,  1487,  1488,
     517,     0,   518,  1489,   519,     0,   520,     0,   521,   169,
       0,   170,   522,   523,   524,     0,   525,  1490,     0,   526,
     527,     0,   528,   529,   530,   531,   532,   173,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     174,   175,     0,   543,   544,   545,  1491,  1492,     0,  1493,
       0,   546,   178,   179,   547,   180,   548,   549,   550,   551,
     552,   553,   554,     0,  1494,   182,   555,   183,     0,   556,
     557,   558,  1495,  1496,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,  1497,   189,  1498,
     572,   573,   574,   191,  1499,   575,   576,   193,   577,  1500,
    1501,   578,  1502,   579,   580,   581,     0,   582,     0,     0,
    1503,   584,   585,     0,     0,   196,   197,   198,   199,  1504,
     586,   587,   588,   589,   590,   591,   592,     0,   593,  1505,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,  1506,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   210,   623,   624,   625,   626,  1507,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,  1508,   640,   217,   641,   642,   219,
     643,  1509,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,  1510,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1511,  1512,     0,     0,   663,
    1513,   664,  1514,  1515,   665,   666,   667,   668,   669,   670,
       0,  1516,   671,   672,   673,   674,   675,  1517,     0,   676,
     677,   678,   679,   680,   681,  1518,     0,   682,   235,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,
    1526,   692,   693,   694,     0,     0,     0,     0,     0,     0,
       0,  1527,  1528,     0,     0,     0,     0,     0,     0,     0,
    1530,  2818,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,     0,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,     0,  1878,   137,
    1879,  1880,     0,   453,   454,   455,   456,   457,     0,     0,
     458,   459,  1881,  1882,   461,     0,   462,   463,   464,   465,
     466,     0,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,     0,     0,     0,     0,   152,     0,     0,
       0,   482,   483,   484,   485,   486,   487,  1883,  1884,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,  1885,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,     0,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
    2430,   536,   537,   538,   539,   540,   541,     0,   542,   174,
    2431,     0,   543,   544,   545,  1491,  1886,     0,  1887,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   182,   555,   183,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1888,   189,  1889,   572,
     573,   574,     0,     0,   575,   576,   193,   577,     0,     0,
     578,  1890,   579,   580,   581,     0,   582,     0,     0,   583,
     584,   585,     0,     0,  2432,   197,   198,   199,     0,   586,
     587,   588,   589,   590,   591,   592,     0,   593,     0,   594,
       0,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1891,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,     0,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,     0,   640,  2433,   641,   642,   219,   643,
    1893,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,     0,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1894,  1895,     0,     0,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,     0,   676,   677,
     678,   679,   680,     0,  1896,  2434,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     692,   693,   694,     0,     0,     0,     0,   731,    86,    87,
      88,   420,    90,    91,    92,   421,     0,   422,    95,     0,
    2435,    98,    99,   100,   101,   102,   103,   732,   104,   105,
     423,   733,     0,   107,   108,   109,   110,   734,   735,   112,
     113,   114,   115,     0,   116,   736,   737,   424,   425,     0,
       0,     0,   426,   427,     0,     0,     0,     0,   428,     0,
       0,     0,     0,     0,     0,     0,     0,   429,     0,   430,
       0,   431,   432,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,   444,     0,     0,     0,     0,     0,
       0,     0,   445,   446,     0,   447,   448,   133,   449,   450,
     451,   452,     0,  1878,   137,  1879,  1880,     0,   453,   454,
     455,   456,   457,     0,     0,   458,   459,  1881,  1882,   461,
       0,   462,   463,   464,   465,   466,     0,     0,   467,     0,
     468,   469,   470,   471,   148,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,     0,   151,   481,     0,     0,
       0,     0,   152,     0,     0,     0,   482,   483,   484,   485,
     486,   487,  1883,  1884,   488,     0,   489,     0,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,   499,
       0,   500,   501,  1485,   503,   504,     0,   505,   506,   507,
       0,   508,   509,     0,   510,   511,   512,   513,     0,   514,
     515,   516,     0,     0,   517,     0,   518,  1885,   519,     0,
     520,     0,   521,   169,     0,   170,   522,   523,   524,     0,
     525,     0,     0,   526,   527,     0,   528,   529,   530,   531,
     532,   173,   533,   534,   535,  2430,   536,   537,   538,   539,
     540,   541,     0,   542,   174,  2431,     0,   543,   544,   545,
    1491,  1886,     0,  1887,     0,   546,   178,   179,   547,   180,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   182,
     555,   183,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,  1888,   189,  1889,   572,   573,   574,     0,     0,   575,
     576,   193,   577,     0,     0,   578,  1890,   579,   580,   581,
       0,   582,     0,     0,   583,   584,   585,     0,     0,  2432,
     197,   198,   199,     0,   586,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,     0,   595,   596,   597,   598,
       0,   599,   600,   601,   602,   603,   604,   605,  1891,   606,
     607,   608,   609,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   210,   623,
     624,   625,   626,     0,   627,   628,   629,   630,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,     0,   640,
    2433,   641,   642,   219,   643,  1893,     0,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,     0,     0,   654,
     655,     0,   656,   657,   658,   659,   660,   661,     0,  1894,
    1895,     0,     0,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,     0,   676,   677,   678,   679,   680,     0,  1896,
    2434,   682,   235,   683,   684,   685,     0,     0,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   692,   693,   694,     0,     0,
       0,     0,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,  3314,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,   433,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1463,  1464,  1465,    45,  1466,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,  1467,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,   135,  1468,   137,
    1469,  1470,  2828,   453,   454,   455,   456,   457,  1471,  1472,
     458,   459,  1473,  1474,   461,     0,   462,   463,   464,   465,
     466,  1475,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,     0,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,   482,   483,   484,   485,   486,   487,  1483,  1484,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,  1486,   514,   515,   516,  1487,  1488,   517,
       0,   518,  1489,   519,     0,   520,     0,   521,   169,  2829,
     170,   522,   523,   524,     0,   525,  1490,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
     175,     0,   543,   544,   545,  1491,  1492,     0,  1493,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,  2830,  1494,   182,   555,   183,     0,   556,   557,
     558,  1495,  1496,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1497,   189,  1498,   572,
     573,   574,   191,  1499,   575,   576,   193,   577,  1500,  1501,
     578,  1502,   579,   580,   581,     0,   582,     0,     0,  1503,
     584,   585,     0,     0,   196,   197,   198,   199,  1504,   586,
     587,   588,   589,   590,   591,   592,     0,   593,  1505,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1506,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,  1507,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,  1508,   640,   217,   641,   642,   219,   643,
    1509,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,  1510,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1511,  1512,     0,  2831,   663,  1513,
     664,  1514,  1515,   665,   666,   667,   668,   669,   670,     0,
    1516,   671,   672,   673,   674,   675,  1517,     0,   676,   677,
     678,   679,   680,   681,  1518,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,
     692,   693,   694,     0,     0,     0,     0,     0,     0,     0,
    1527,  1528,     0,     0,     0,     0,     0,     0,     0,  1530,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1463,  1464,
    1465,    45,  1466,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,  1467,     0,     0,   445,   446,     0,   447,   448,
     133,   449,   450,   451,   452,   135,  1468,   137,  1469,  1470,
       0,   453,   454,   455,   456,   457,  1471,  1472,   458,   459,
    1473,  1474,   461,     0,   462,   463,   464,   465,   466,  1475,
       0,   467,     0,   468,   469,   470,   471,   148,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,   151,
     481,     0,  1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,
     483,   484,   485,   486,   487,  1483,  1484,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,  1485,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,  1486,   514,   515,   516,  1487,  1488,   517,     0,   518,
    1489,   519,     0,   520,     0,   521,   169,     0,   170,   522,
     523,   524,     0,   525,  1490,     0,   526,   527,     0,   528,
     529,   530,   531,   532,   173,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   174,   175,     0,
     543,   544,   545,  1491,  1492,     0,  1493,     0,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
       0,  1494,   182,   555,   183,     0,   556,   557,   558,  1495,
    1496,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,  1497,   189,  1498,   572,   573,   574,
     191,  1499,   575,   576,   193,   577,  1500,  1501,   578,  1502,
     579,   580,   581,     0,   582,     0,     0,  1503,   584,   585,
       0,     0,   196,   197,   198,   199,  1504,   586,   587,   588,
     589,   590,   591,   592,     0,   593,  1505,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,  1506,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   210,   623,   624,   625,   626,  1507,   627,   628,   629,
     630,   631,   632,   633,   634,   215,   635,   636,   637,   638,
     639,  1508,   640,   217,   641,   642,   219,   643,  1509,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
    1510,     0,   654,   655,   223,   656,   657,   658,   659,   660,
     661,     0,  1511,  1512,     0,     0,   663,  1513,   664,  1514,
    1515,   665,   666,   667,   668,   669,   670,     0,  1516,   671,
     672,   673,   674,   675,  1517,     0,   676,   677,   678,   679,
     680,  1389,  1518,     0,   682,   235,   683,   684,   685,     0,
       0,   686,     0,   236,   687,   688,   689,   690,   691,   237,
    1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,   692,   693,
     694,     0,     0,     0,     0,     0,     0,     0,  1527,  1528,
       0,     0,     0,     0,     0,     0,     0,  1530,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,   433,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1463,  1464,  1465,    45,
    1466,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
    1467,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,   135,  1468,   137,  1469,  1470,     0,   453,
     454,   455,   456,   457,  1471,  1472,   458,   459,  1473,  1474,
     461,     0,   462,   463,   464,   465,   466,  1475,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,   483,   484,
     485,   486,   487,  1483,  1484,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,  1485,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,  1486,
     514,   515,   516,  1487,  1488,   517,     0,   518,  1489,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,  1490,     0,   526,   527,     0,   528,   529,   530,
     531,   532,   173,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,   175,     0,   543,   544,
     545,  1491,  1492,     0,  1493,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,  1494,
     182,   555,   183,     0,   556,   557,   558,  1495,  1496,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,  1497,   189,  1498,   572,   573,   574,   191,  1499,
     575,   576,   193,   577,  1500,  1501,   578,  1502,   579,   580,
     581,     0,   582,     0,     0,  1503,   584,   585,     0,     0,
     196,   197,   198,   199,  1504,   586,   587,   588,   589,   590,
     591,   592,     0,   593,  1505,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,  1506,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,  1507,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,  1508,
     640,   217,   641,   642,   219,   643,  1509,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,  1510,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
    1511,  1512,     0,     0,   663,  1513,   664,  1514,  1515,   665,
     666,   667,   668,   669,   670,     0,  1516,   671,   672,   673,
     674,   675,  1517,     0,   676,   677,   678,   679,   680,   681,
    1518,     0,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,   692,   693,   694,     0,
       0,     0,     0,     0,     0,     0,  1527,  1528,     0,     0,
       0,     0,     0,  2108,  2777,  1530,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,   433,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1463,  1464,  1465,    45,  1466,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,  1467,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,   135,  1468,   137,  1469,  1470,     0,   453,   454,   455,
     456,   457,  1471,  1472,   458,   459,  1473,  1474,   461,     0,
     462,   463,   464,   465,   466,  1475,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,     0,  1476,  1477,
    1478,  1479,  1480,  1481,  1482,   482,   483,   484,   485,   486,
     487,  1483,  1484,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,  1485,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,  1486,   514,   515,
     516,  1487,  1488,   517,     0,   518,  1489,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
    1490,     0,   526,   527,     0,   528,   529,   530,   531,   532,
     173,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   174,   175,     0,   543,   544,   545,  1491,
    1492,     0,  1493,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,  1494,   182,   555,
     183,     0,   556,   557,   558,  1495,  1496,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
    1497,   189,  1498,   572,   573,   574,   191,  1499,   575,   576,
     193,   577,  1500,  1501,   578,  1502,   579,   580,   581,     0,
     582,     0,     0,  1503,   584,   585,     0,     0,   196,   197,
     198,   199,  1504,   586,   587,   588,   589,   590,   591,   592,
       0,   593,  1505,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,  1506,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,  1507,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,  1508,   640,   217,
     641,   642,   219,   643,  1509,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,  1510,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,  1511,  1512,
       0,     0,   663,  1513,   664,  1514,  1515,   665,   666,   667,
     668,   669,   670,     0,  1516,   671,   672,   673,   674,   675,
    1517,     0,   676,   677,   678,   679,   680,   681,  1518,     0,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,  1519,  1520,  1521,  1522,
    1523,  1524,  1525,  1526,   692,   693,   694,     0,     0,     0,
       0,     0,     0,     0,  1527,  1528,  1529,     0,     0,     0,
       0,     0,     0,  1530,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,   433,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1463,  1464,  1465,    45,  1466,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,  1467,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
    1468,   137,  1469,  1470,     0,   453,   454,   455,   456,   457,
    1471,  1472,   458,   459,  1473,  1474,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,  1483,
    1484,   488,  1612,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
    1485,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,  1486,   514,   515,   516,  1487,
    1488,   517,     0,   518,  1489,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,  1491,  1492,     0,
    1493,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,  1497,   189,
    1498,   572,   573,   574,   191,  1499,   575,   576,   193,   577,
    1500,  1501,   578,  1502,   579,   580,   581,     0,   582,     0,
       0,  1503,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,  1506,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
    1507,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,  1509,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,  1511,  1512,     0,     0,
     663,  1513,   664,  1514,  1515,   665,   666,   667,   668,   669,
     670,     0,  1516,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,   681,  1518,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,     0,     0,
       0,     0,  1527,  1528,     0,     0,     0,     0,     0,     0,
       0,  1530,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,   433,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1463,  1464,  1465,    45,  1466,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,  2286,   442,   443,   444,
       0,     0,     0,     0,  1467,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,   135,  1468,   137,
    1469,  1470,     0,   453,   454,   455,   456,   457,  1471,  1472,
     458,   459,  1473,  1474,   461,     0,   462,   463,   464,   465,
     466,  1475,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,     0,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,   482,   483,   484,   485,   486,   487,  1483,  1484,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,  1486,   514,   515,   516,  1487,  1488,   517,
       0,   518,  1489,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,  1490,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
     175,     0,   543,   544,   545,  1491,  1492,     0,  1493,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,  1494,   182,   555,   183,     0,   556,   557,
     558,  1495,  1496,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1497,   189,  1498,   572,
     573,   574,   191,  1499,   575,   576,   193,   577,  1500,  1501,
     578,  1502,   579,   580,   581,     0,   582,     0,     0,  1503,
     584,   585,     0,     0,   196,   197,   198,   199,  1504,   586,
     587,   588,   589,   590,   591,   592,     0,   593,  1505,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1506,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,  1507,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,  1508,   640,   217,   641,   642,   219,   643,
    1509,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,  1510,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1511,  1512,     0,     0,   663,  1513,
     664,  1514,  1515,   665,   666,   667,   668,   669,   670,     0,
    1516,   671,   672,   673,   674,   675,  1517,     0,   676,   677,
     678,   679,   680,   681,  1518,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,
     692,   693,   694,     0,     0,     0,     0,     0,     0,     0,
    1527,  1528,     0,     0,     0,     0,     0,     0,     0,  1530,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1463,  1464,
    1465,    45,  1466,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,  1467,     0,     0,   445,   446,     0,   447,   448,
     133,   449,   450,   451,   452,   135,  1468,   137,  1469,  1470,
       0,   453,   454,   455,   456,   457,  1471,  1472,   458,   459,
    1473,  1474,   461,     0,   462,   463,   464,   465,   466,  1475,
       0,   467,     0,   468,   469,   470,   471,   148,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,   151,
     481,     0,  1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,
     483,   484,   485,   486,   487,  1483,  1484,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,  1485,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,  1486,   514,   515,   516,  1487,  1488,   517,     0,   518,
    1489,   519,     0,   520,     0,   521,   169,  2829,   170,   522,
     523,   524,     0,   525,  1490,     0,   526,   527,     0,   528,
     529,   530,   531,   532,   173,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   174,   175,     0,
     543,   544,   545,  1491,  1492,     0,  1493,     0,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
       0,  1494,   182,   555,   183,     0,   556,   557,   558,  1495,
    1496,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,  1497,   189,  1498,   572,   573,   574,
     191,  1499,   575,   576,   193,   577,  1500,  1501,   578,  1502,
     579,   580,   581,     0,   582,     0,     0,  1503,   584,   585,
       0,     0,   196,   197,   198,   199,  1504,   586,   587,   588,
     589,   590,   591,   592,     0,   593,  1505,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,  1506,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   210,   623,   624,   625,   626,  1507,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,  1508,   640,   217,   641,   642,   219,   643,  1509,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
    1510,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,  1511,  1512,     0,     0,   663,  1513,   664,  1514,
    1515,   665,   666,   667,   668,   669,   670,     0,  1516,   671,
     672,   673,   674,   675,  1517,     0,   676,   677,   678,   679,
     680,   681,  1518,     0,   682,   235,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
    1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,   692,   693,
     694,     0,     0,     0,     0,     0,     0,     0,  1527,  1528,
       0,     0,     0,     0,     0,     0,     0,  1530,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,   433,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1463,  1464,  1465,    45,
    1466,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
    1467,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,   135,  1468,   137,  1469,  1470,     0,   453,
     454,   455,   456,   457,  1471,  1472,   458,   459,  1473,  1474,
     461,     0,   462,   463,   464,   465,   466,  1475,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,   483,   484,
     485,   486,   487,  1483,  1484,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,  1485,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,  1486,
     514,   515,   516,  1487,  1488,   517,     0,   518,  1489,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,  1490,     0,   526,   527,     0,   528,   529,   530,
     531,   532,   173,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,   175,     0,   543,   544,
     545,  1491,  1492,     0,  1493,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,  1494,
     182,   555,   183,     0,   556,   557,   558,  1495,  1496,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,  1497,   189,  1498,   572,   573,   574,   191,  1499,
     575,   576,   193,   577,  1500,  1501,   578,  1502,   579,   580,
     581,     0,   582,     0,     0,  1503,   584,   585,     0,     0,
     196,   197,   198,   199,  1504,   586,   587,   588,   589,   590,
     591,   592,     0,   593,  1505,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,  1506,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,  1507,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,  1508,
     640,   217,   641,   642,   219,   643,  1509,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,  1510,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
    1511,  1512,     0,     0,   663,  1513,   664,  1514,  1515,   665,
     666,   667,   668,   669,   670,     0,  1516,   671,   672,   673,
     674,   675,  1517,     0,   676,   677,   678,   679,   680,   681,
    1518,  4019,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,   692,   693,   694,     0,
       0,     0,     0,     0,     0,     0,  1527,  1528,     0,     0,
       0,     0,     0,     0,     0,  1530,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,   433,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1463,  1464,  1465,    45,  1466,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,  1467,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,   135,  1468,   137,  1469,  1470,     0,   453,   454,   455,
     456,   457,  1471,  1472,   458,   459,  1473,  1474,   461,     0,
     462,   463,   464,   465,   466,  1475,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,  4032,  1476,  1477,
    1478,  1479,  1480,  1481,  1482,   482,   483,   484,   485,   486,
     487,  1483,  1484,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,  1485,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,  1486,   514,   515,
     516,  1487,  1488,   517,     0,   518,  1489,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
    1490,     0,   526,   527,     0,   528,   529,   530,   531,   532,
     173,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   174,   175,     0,   543,   544,   545,  1491,
    1492,     0,  1493,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,  1494,   182,   555,
     183,     0,   556,   557,   558,  1495,  1496,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
    1497,   189,  1498,   572,   573,   574,   191,  1499,   575,   576,
     193,   577,  1500,  1501,   578,  1502,   579,   580,   581,     0,
     582,     0,     0,  1503,   584,   585,     0,     0,   196,   197,
     198,   199,  1504,   586,   587,   588,   589,   590,   591,   592,
       0,   593,  1505,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,  1506,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,  1507,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,  1508,   640,   217,
     641,   642,   219,   643,  1509,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,  1510,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,  1511,  1512,
       0,     0,   663,  1513,   664,  1514,  1515,   665,   666,   667,
     668,   669,   670,     0,  1516,   671,   672,   673,   674,   675,
    1517,     0,   676,   677,   678,   679,   680,   681,  1518,     0,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,  1519,  1520,  1521,  1522,
    1523,  1524,  1525,  1526,   692,   693,   694,     0,     0,     0,
       0,     0,     0,     0,  1527,  1528,     0,     0,     0,     0,
       0,     0,     0,  1530,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,   433,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1463,  1464,  1465,    45,  1466,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,  1467,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,  4833,
    1468,   137,  1469,  1470,     0,   453,   454,   455,   456,   457,
    1471,  1472,   458,   459,  1473,  1474,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,  4834,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,  1483,
    1484,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
    1485,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,  1486,   514,   515,   516,  1487,
    1488,   517,     0,   518,  1489,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,  1491,  1492,     0,
    1493,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,  1497,   189,
    1498,   572,   573,   574,   191,  1499,   575,   576,   193,   577,
    1500,  1501,   578,  1502,   579,   580,   581,     0,   582,     0,
       0,  1503,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,  1506,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
    1507,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,  1509,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,  1511,  1512,     0,     0,
     663,  1513,   664,  1514,  1515,   665,   666,   667,  4835,   669,
     670,     0,  1516,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,   681,  1518,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,     0,     0,
       0,     0,  1527,  1528,     0,     0,     0,     0,     0,     0,
       0,  1530,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,   433,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1463,  1464,  1465,    45,  1466,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,  1467,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,   135,  1468,   137,
    1469,  1470,     0,   453,   454,   455,   456,   457,  1471,  1472,
     458,   459,  1473,  1474,   461,     0,   462,   463,   464,   465,
     466,  1475,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,  4834,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,   482,   483,   484,   485,   486,   487,  1483,  1484,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,  1486,   514,   515,   516,  1487,  1488,   517,
       0,   518,  1489,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,  1490,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
     175,     0,   543,   544,   545,  1491,  1492,     0,  1493,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,  1494,   182,   555,   183,     0,   556,   557,
     558,  1495,  1496,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1497,   189,  1498,   572,
     573,   574,   191,  1499,   575,   576,   193,   577,  1500,  1501,
     578,  1502,   579,   580,   581,     0,   582,     0,     0,  1503,
     584,   585,     0,     0,   196,   197,   198,   199,  1504,   586,
     587,   588,   589,   590,   591,   592,     0,   593,  1505,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1506,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,  1507,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,  1508,   640,   217,   641,   642,   219,   643,
    1509,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,  1510,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1511,  1512,     0,     0,   663,  1513,
     664,  1514,  1515,   665,   666,   667,  4835,   669,   670,     0,
    1516,   671,   672,   673,   674,   675,  1517,     0,   676,   677,
     678,   679,   680,   681,  1518,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,
     692,   693,   694,     0,     0,     0,     0,     0,     0,     0,
    1527,  1528,     0,     0,     0,     0,     0,     0,     0,  1530,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1463,  1464,
    1465,    45,  1466,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,  1467,     0,     0,   445,   446,     0,   447,   448,
     133,   449,   450,   451,   452,   135,  1468,   137,  1469,  1470,
       0,   453,   454,   455,   456,   457,  1471,  1472,   458,   459,
    1473,  1474,   461,     0,   462,   463,   464,   465,   466,  1475,
       0,   467,     0,   468,   469,   470,   471,   148,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,   151,
     481,     0,  1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,
     483,   484,   485,   486,   487,  1483,  1484,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,  1485,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,  1486,   514,   515,   516,  1487,  1488,   517,     0,   518,
    1489,   519,     0,   520,     0,   521,   169,     0,   170,   522,
     523,   524,     0,   525,  1490,     0,   526,   527,     0,   528,
     529,   530,   531,   532,   173,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   174,   175,     0,
     543,   544,   545,  1491,  1492,     0,  1493,     0,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
       0,  1494,   182,   555,   183,     0,   556,   557,   558,  1495,
    1496,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,  1497,   189,  1498,   572,   573,   574,
     191,  1499,   575,   576,   193,   577,  1500,  1501,   578,  1502,
     579,   580,   581,     0,   582,     0,     0,  1503,   584,   585,
       0,     0,   196,   197,   198,   199,  1504,   586,   587,   588,
     589,   590,   591,   592,     0,   593,  1505,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,  1506,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   210,   623,   624,   625,   626,  1507,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,  1508,   640,   217,   641,   642,   219,   643,  1509,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
    1510,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,  1511,  1512,     0,     0,   663,  1513,   664,  1514,
    1515,   665,   666,   667,   668,   669,   670,     0,  1516,   671,
     672,   673,   674,   675,  1517,     0,   676,   677,   678,   679,
     680,   681,  1518,     0,   682,   235,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
    1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,   692,   693,
     694,     0,     0,     0,     0,     0,     0,     0,  1527,  1528,
       0,     0,     0,     0,     0,     0,     0,  1530,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,   433,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1463,  1464,  1465,    45,
    1466,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
    1467,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,   135,  1468,   137,  1469,  1470,     0,   453,
     454,   455,   456,   457,  1471,  1472,   458,   459,  1473,  1474,
     461,     0,   462,   463,   464,   465,   466,  1475,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,   483,   484,
     485,   486,   487,  1483,  1484,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,  1485,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,  1486,
     514,   515,   516,  1487,  1488,   517,     0,   518,  1489,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,  1490,     0,   526,   527,     0,   528,   529,   530,
     531,   532,   173,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,   175,     0,   543,   544,
     545,  1491,  1492,     0,  1493,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,  1494,
     182,   555,   183,     0,   556,   557,   558,  1495,  1496,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,  1497,   189,  1498,   572,   573,   574,   191,  1499,
     575,   576,   193,   577,  1500,  1501,   578,  1502,   579,   580,
     581,     0,   582,     0,     0,  1503,   584,   585,     0,     0,
     196,   197,   198,   199,  1504,   586,   587,   588,   589,   590,
     591,   592,     0,   593,  1505,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,  1506,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,  1507,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,  1508,
     640,   217,   641,   642,   219,   643,  1509,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,  1510,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
    1511,  1512,     0,     0,   663,  1513,   664,  1514,  1515,   665,
     666,   667,   668,   669,   670,     0,  1516,   671,   672,   673,
     674,   675,  1517,     0,   676,   677,   678,   679,   680,   681,
    1518,     0,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,  4301,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,   692,   693,   694,     0,
       0,     0,     0,     0,     0,     0,  1527,  1528,     0,     0,
       0,     0,     0,     0,     0,  1530,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,   433,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1463,  1464,  1465,    45,  1466,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,  1467,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,   135,  1468,   137,  1469,  1470,     0,   453,   454,   455,
     456,   457,  1471,  1472,   458,   459,  1473,  1474,   461,     0,
     462,   463,   464,   465,   466,  1475,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,     0,  1476,  1477,
    1478,  1479,  1480,  1481,  1482,   482,   483,   484,   485,   486,
     487,  1483,  1484,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,  1485,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,  1486,   514,   515,
     516,  1487,  1488,   517,     0,   518,  1489,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
    1490,     0,   526,   527,     0,   528,   529,   530,   531,   532,
     173,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   174,   175,     0,   543,   544,   545,  1491,
    1492,     0,  1493,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,  1494,   182,   555,
     183,     0,   556,   557,   558,  1495,  1496,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
    1497,   189,  1498,   572,  4310,   574,   191,  1499,   575,   576,
     193,   577,  1500,  1501,   578,  1502,   579,   580,   581,     0,
     582,     0,     0,  1503,   584,   585,     0,     0,   196,   197,
     198,   199,  1504,   586,   587,   588,   589,   590,   591,   592,
       0,   593,  1505,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,  1506,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,  1507,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,  1508,   640,   217,
     641,   642,   219,   643,  1509,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,  1510,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,  1511,  1512,
       0,     0,   663,  1513,   664,  1514,  1515,   665,   666,   667,
     668,   669,   670,     0,  1516,   671,   672,   673,   674,   675,
    1517,     0,   676,   677,   678,   679,   680,   681,  1518,     0,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,  1519,  1520,  1521,  1522,
    1523,  1524,  1525,  1526,   692,   693,   694,     0,     0,     0,
       0,     0,     0,     0,  1527,  1528,     0,     0,     0,     0,
       0,     0,     0,  1530,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,   433,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1463,  1464,  1465,    45,  1466,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,  1467,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
    1468,   137,  1469,  1470,     0,   453,   454,   455,   456,   457,
    1471,  1472,   458,   459,  1473,  1474,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,  1483,
    1484,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
    1485,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,  1486,   514,   515,   516,  1487,
    1488,   517,     0,   518,  1489,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,  1491,  1492,     0,
    1493,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,  1497,   189,
    1498,   572,   573,   574,   191,     0,   575,   576,   193,   577,
    1500,  1501,   578,  1502,   579,   580,   581,     0,   582,     0,
       0,  1503,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,  1506,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
    1507,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,  1509,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,  1511,  1512,     0,     0,
     663,  1513,   664,  1514,  1515,   665,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,   681,  1518,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,     0,     0,
       0,     0,  2811,  2812,     0,     0,     0,     0,     0,     0,
       0,  1530,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,   433,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1463,  1464,  1465,    45,  1466,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,  1467,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452, -2583,  1468,   137,
    1469,  1470,     0,   453,   454,   455,   456,   457,  1471,  1472,
     458,   459,  1473,  1474,   461,     0,   462,   463,   464,   465,
     466,  1475,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,  4834,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,   482,   483,   484,   485,   486,   487,  1483,  1484,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,  1486,   514,   515,   516,  1487,  1488,   517,
       0,   518,  1489,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,  1490,     0,   526,   527,
       0,   528,   529,   530,   531,   532,     0,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
     175,     0,   543,   544,   545,  1491,  1492,     0,  1493,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,  1494,   182,   555,     0,     0,   556,   557,
     558,  1495,  1496,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1497,   189,  1498,   572,
     573,   574,   191,     0,   575,   576,   193,   577,  1500,  1501,
     578,  1502,   579,   580,   581,     0,   582,     0,     0,  1503,
     584,   585,     0,     0,   196,   197,   198,   199,  1504,   586,
     587,   588,   589,   590,   591,   592,     0,   593,  1505,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1506,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,  1507,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,  1508,   640,   217,   641,   642,     0,   643,
    1509,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,  1510,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1511,  1512,     0,     0,   663,  1513,
     664,  1514,  1515,   665,   666,   667,  4835,   669,   670,     0,
    1516,   671,   672,   673,   674,   675,  1517,     0,   676,   677,
     678,   679,   680,   681,  1518,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,
     692,   693,   694,     0,     0,     0,     0,     0,     0,     0,
    1527,  1528,     0,     0,     0,     0,     0,     0,     0,  1530,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1463,  1464,
       0,    45,  1466,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,  1467,     0,     0,   445,   446,     0,   447,   448,
     133,   449,   450,   451,   452,   135,  1468,   137,  1469,  1470,
       0,   453,   454,   455,   456,   457,  1471,  1472,   458,   459,
    1473,  1474,   461,     0,   462,   463,   464,   465,   466,  1475,
       0,   467,     0,   468,   469,   470,   471,   148,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,   151,
     481,     0,  1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,
     483,   484,   485,   486,   487,  1483,  1484,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,  1485,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,  1486,   514,   515,   516,  1487,  1488,   517,     0,   518,
    1489,   519,     0,   520,     0,   521,   169,     0,   170,   522,
     523,   524,     0,   525,  1490,     0,   526,   527,     0,   528,
     529,   530,   531,   532,   173,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   174,   175,     0,
     543,   544,   545,  1491,  1492,     0,  1493,     0,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
       0,  1494,   182,   555,   183,     0,   556,   557,   558,  1495,
    1496,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,  1497,   189,  1498,   572,   573,   574,
     191,     0,   575,   576,   193,   577,  1500,  1501,   578,  1502,
     579,   580,   581,     0,   582,     0,     0,   583,   584,   585,
       0,     0,   196,   197,   198,   199,  1504,   586,   587,   588,
     589,   590,   591,   592,     0,   593,  1505,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,  1506,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   210,   623,   624,   625,   626,  1507,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,  1508,   640,   217,   641,   642,   219,   643,  1509,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
    1510,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,  1511,  1512,     0,     0,   663,  1513,   664,  1514,
    1515,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,  1517,     0,   676,   677,   678,   679,
     680,   681,  1518,     0,   682,   235,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
    1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,   692,   693,
     694,     0,     0,     0,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,  1530,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,   433,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1463,  1464,     0,    45,  1466,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,  1467,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
    1468,   137,  1469,  1470,     0,  3942,   454,   455,   456,   457,
    1471,  1472,   458,   459,  1473,  1474,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,  1483,
    1484,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
    1485,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,  1486,   514,   515,   516,  1487,
    1488,   517,     0,   518,  1489,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,  1491,  1492,     0,
    1493,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,  1497,   189,
    1498,   572,   573,   574,   191,     0,   575,   576,   193,   577,
    1500,  1501,   578,  1502,   579,   580,   581,     0,   582,     0,
       0,   583,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,  1506,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
    1507,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,  1509,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,  1511,  1512,     0,     0,
     663,  1513,   664,  1514,  1515,   665,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,   681,  1518,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,  1530,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,   433,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1463,  1464,  1465,    45,
    1466,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
    1467,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,     0,  1468,   137,  1469,  1470,     0,   453,
     454,   455,   456,   457,  1471,  1472,   458,   459,  1473,  1474,
     461,     0,   462,   463,   464,   465,   466,  1475,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,   483,   484,
     485,   486,   487,  1483,  1484,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,  1485,   503,   504,     0,   505,   506,
     507,     0,   508,     0,     0,   510,   511,   512,   513,  1486,
     514,   515,   516,  1487,  1488,   517,     0,   518,  1489,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,  1490,     0,   526,   527,     0,   528,   529,   530,
     531,   532,     0,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,   175,     0,   543,   544,
     545,  1491,  1492,     0,  1493,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,  1494,
     182,   555,     0,     0,   556,   557,   558,  1495,  1496,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,  1497,   189,  1498,   572,   573,   574,   191,     0,
     575,   576,   193,   577,  1500,  1501,   578,  1502,   579,   580,
     581,     0,   582,     0,     0,  1503,   584,   585,     0,     0,
     196,   197,   198,   199,  1504,   586,   587,   588,   589,   590,
     591,   592,     0,   593,  1505,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,  1506,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,  1507,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,  1508,
     640,   217,   641,   642,     0,   643,  1509,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,  1510,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
    1511,  1512,     0,     0,   663,  1513,   664,  1514,  1515,   665,
     666,   667,   668,   669,   670,     0,  1516,   671,   672,   673,
     674,   675,  1517,     0,   676,   677,   678,   679,   680,   681,
    1518,     0,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,   692,   693,   694,     0,
       0,     0,     0,     0,     0,     0,  1527,  1528,     0,     0,
       0,     0,     0,     0,     0,  1530,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,   433,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1463,  1464,  1465,    45,  1466,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,  1467,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,     0,  1468,   137,  1469,  1470,     0,   453,   454,   455,
     456,   457,  1471,  1472,   458,   459,  1473,  1474,   461,     0,
     462,   463,   464,   465,   466,  1475,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,     0,  1476,  1477,
    1478,  1479,  1480,  1481,  1482,   482,   483,   484,   485,   486,
     487,  1483,  1484,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,  1485,   503,   504,     0,   505,   506,   507,     0,
     508,     0,     0,   510,   511,   512,   513,  1486,   514,   515,
     516,  1487,  1488,   517,     0,   518,  1489,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
    1490,     0,   526,   527,     0,   528,   529,   530,   531,   532,
       0,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   174,   175,     0,   543,   544,   545,  1491,
    1492,     0,  1493,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,  1494,   182,   555,
       0,     0,   556,   557,   558,  1495,  1496,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
    1497,   189,  1498,   572,   573,   574,   191,     0,   575,   576,
     193,   577,  1500,  1501,   578,  1502,   579,   580,   581,     0,
     582,     0,     0,  1503,   584,   585,     0,     0,   196,   197,
     198,   199,  1504,   586,   587,   588,   589,   590,   591,   592,
       0,   593,  1505,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,  1506,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,  1507,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,  1508,   640,   217,
     641,   642,     0,   643,  1509,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,  1510,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,  1511,  1512,
       0,     0,   663,  1513,   664,  1514,  1515,   665,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    1517,     0,   676,   677,   678,   679,   680,   681,  1518,     0,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,  1519,  1520,  1521,  1522,
    1523,  1524,  1525,  1526,   692,   693,   694,     0,     0,     0,
       0,     0,     0,     0,  2811,  2812,     0,     0,     0,     0,
       0,     0,     0,  1530,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,     0,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
     136,   137,   138,   139,     0,   453,   454,   455,   456,   457,
       0,  1472,   458,   459,   460,   140,   461,     0,   462,   463,
     464,   465,   466,  1475,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,  1476,  1477,  1478,  1479,
    1480,  1481,  1482,   482,   483,   484,   485,   486,   487,   155,
     156,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,   164,   514,   515,   516,  1487,
       0,   517,     0,   518,   168,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,  1490,     0,
     526,   527,     0,   528,   529,   530,   531,   532,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,     0,   176,     0,
     177,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,  1494,   182,   555,   183,     0,
     556,   557,   558,  1495,  1496,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   188,   189,
     190,   572,   573,   574,   191,     0,   575,   576,   193,   577,
       0,  1501,   578,   195,   579,   580,   581,     0,   582,     0,
    1082,   583,   584,   585,     0,     0,   196,   197,   198,   199,
    1504,   586,   587,   588,   589,   590,   591,   592,     0,   593,
    1505,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,   204,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
     212,   627,   628,   629,   630,   631,   632,   633,   634,   215,
     635,   636,   637,   638,   639,  1508,   640,   217,   641,   642,
     219,   643,   220,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,  1510,     0,   654,   655,   223,   656,
     657,   658,   659,   660,   661,     0,   224,   225,     0,     0,
     663,  1513,   664,  1514,     0,   665,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,  1517,     0,
     676,   677,   678,   679,   680,  1389,   234,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,   236,   687,   688,
     689,   690,   691,   237,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,  1526,   692,   693,   694,     0,     0,     0,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,  3502,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
       0,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,   135,   136,   137,   138,   139,     0,   453,
     454,   455,   456,   457,     0,  1472,   458,   459,   460,   140,
     461,     0,   462,   463,   464,   465,   466,  1475,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,   482,   483,   484,
     485,   486,   487,   155,   156,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,   164,
     514,   515,   516,  1487,     0,   517,     0,   518,   168,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,  1490,     0,   526,   527,     0,   528,   529,   530,
     531,   532,   173,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,   175,     0,   543,   544,
     545,     0,   176,     0,   177,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,  1494,
     182,   555,   183,     0,   556,   557,   558,  1495,  1496,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   188,   189,   190,   572,   573,   574,   191,     0,
     575,   576,   193,   577,     0,  1501,   578,   195,   579,   580,
     581,     0,   582,     0,  1082,   583,   584,   585,     0,     0,
     196,   197,   198,   199,  1504,   586,   587,   588,   589,   590,
     591,   592,     0,   593,  1505,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,   204,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,   212,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,  1508,
     640,   217,   641,   642,   219,   643,   220,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,  1510,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
     224,   225,     0,     0,   663,  1513,   664,  1514,     0,   665,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,  1517,     0,   676,   677,   678,   679,   680,   681,
     234,     0,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,  1519,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,   692,   693,   694,     0,
       0,     0,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,  3502,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,     0,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,   135,   136,   137,
     138,   139,     0,   453,   454,   455,   456,   457,     0,  1472,
     458,   459,   460,   140,   461,     0,   462,   463,   464,   465,
     466,  1475,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,     0,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,   482,   483,   484,   485,   486,   487,   155,   156,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,   164,   514,   515,   516,  1487,     0,   517,
       0,   518,   168,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,  1490,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
     175,     0,   543,   544,   545,     0,   176,     0,   177,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,  1494,   182,   555,   183,     0,   556,   557,
     558,  1495,  1496,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   188,   189,   190,   572,
     573,   574,   191,     0,   575,   576,   193,   577,     0,  1501,
     578,   195,   579,   580,   581,     0,   582,     0,     0,   583,
     584,   585,     0,     0,   196,   197,   198,   199,  1504,   586,
     587,   588,   589,   590,   591,   592,     0,   593,  1505,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,   204,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,   212,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,  1508,   640,   217,   641,   642,   219,   643,
     220,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,  1510,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,   224,   225,     0,     0,   663,  1513,
     664,  1514,     0,   665,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,  1517,     0,   676,   677,
     678,   679,   680,   681,   234,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,
     692,   693,   694,     0,     0,     0,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,  4057,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,     0,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,   135,   136,   137,   138,   139,     0,   453,   454,   455,
     456,   457,     0,     0,   458,   459,   460,   140,   461,     0,
     462,   463,   464,   465,   466,   145,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,     0,     0,     0,
       0,   152,     0,     0,     0,   482,   483,   484,   485,   486,
     487,   155,   156,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,   164,   514,   515,
     516,   166,     0,   517,     0,   518,   168,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
     172,     0,   526,   527,     0,   528,   529,   530,   531,   532,
     173,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   174,   175,     0,   543,   544,   545,     0,
     176,     0,   177,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,   181,   182,   555,
     183,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     188,   189,   190,   572,   573,   574,   191,     0,   575,   576,
     193,   577,     0,   194,   578,   195,   579,   580,   581,     0,
     582,     0,     0,   583,   584,   585,     0,     0,   196,   197,
     198,   199,   200,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   201,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,   204,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,   212,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,     0,   640,   217,
     641,   642,   219,   643,   220,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,   222,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,   224,   225,
       0,     0,   663,   226,   664,   227,     0,   665,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   234,     0,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   692,   693,   694,     0,     0,     0,
       0,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,  4592,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   423,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,     0,  3986,     0,   445,   446,     0,   447,   448,
       0,   449,   450,   451,   452,   135,   136,     0,   138,   139,
       0,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   140,   461,     0,   462,   463,   464,   465,   466,   145,
       0,   467,     0,   468,   469,   470,   471,     0,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0, -1432,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   486,   487,   155,   156,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,   164,   514,   515,   516,   166,     0,   517,     0,   518,
     168,   519,     0,   520,     0,   521,     0,     0, -1432,   522,
     523,   524,     0,   525,   172,     0,   526,   527,     0,   528,
     529,   530,   531,   532,     0,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542, -1432,   175,     0,
     543,   544,   545,     0,   176,     0,   177,     0,   546,     0,
       0,   547, -1432,   548,   549,   550,   551,   552,   553,   554,
       0,   181, -1432,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   188, -1432,   190,   572,   573,   574,
     191,     0,   575,   576,     0,   577,     0,   194,   578,   195,
     579,   580,   581,     0,   582,     0,     0,   583,   584,   585,
       0,     0,   196,     0,     0,     0,   200,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   201,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,   204,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622, -1432,   623,   624,   625,   626,   212,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,     0,   640,   217,   641,   642,     0,   643,   220,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     222,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,   224,   225,     0,     0,   663,   226,   664,   227,
       0,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   234,     0,   682,     0,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   692,   693,
     694,     0,     0,     0,     0,     0,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,  1620,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   423,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,     0,   449,   450,   451,   452,
     135,   136,     0,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
     463,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,     0,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,     0,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,     0,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,   517,     0,   518,   168,   519,     0,   520,     0,
     521,     0,     0,     0,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,   532,     0,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,     0,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,     0,     0,   547,     0,   548,   549,
     550,   551,   552,   553,   554,     0,   181,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
       0,   190,   572,   573,   574,   191,     0,   575,   576,     0,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,     0,     0,
       0,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,     0,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,     0,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,     0,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
       0,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,     0,     0,     0,     0,
       0,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,  3264,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   423,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,     0,     0,     0,   445,   446,     0,   447,   448,
       0,   449,   450,   451,   452,   135,   136,     0,   138,   139,
       0,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   140,   461,     0,   462,   463,   464,   465,   466,   145,
       0,   467,     0,   468,   469,   470,   471,     0,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,     0,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   486,   487,   155,   156,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,   164,   514,   515,   516,   166,  2033,   517,     0,   518,
     168,   519,     0,   520,     0,   521,     0,     0,     0,   522,
     523,   524,     0,   525,   172,     0,   526,   527,     0,   528,
     529,   530,   531,   532,     0,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,     0,   175,     0,
     543,   544,   545,     0,   176,     0,   177,     0,   546,     0,
       0,   547,     0,   548,   549,   550,   551,   552,   553,   554,
       0,   181,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   188,     0,   190,   572,   573,   574,
     191,     0,   575,   576,     0,   577,     0,   194,   578,   195,
     579,   580,   581,     0,   582,  2034,     0,   583,   584,   585,
       0,     0,   196,     0,     0,     0,   200,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   201,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,   204,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,     0,   623,   624,   625,   626,   212,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,     0,   640,   217,   641,   642,     0,   643,   220,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     222,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,   224,   225,     0,     0,   663,   226,   664,   227,
    2035,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   234,     0,   682,     0,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   692,   693,
     694,     0,     0,     0,     0,     0,     0,     0,  1000,  1663,
    4165,     0,     0,     0,     0,     0,     0,  4166,    86,    87,
      88,   420,    90,    91,    92,   421,     0,   422,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     423,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   424,   425,     0,
       0,     0,   426,   427,     0,     0,     0,     0,   428,     0,
       0,     0,     0,     0,     0,     0,     0,   429,     0,   430,
       0,   431,   432,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,   444,     0,     0,     0,     0,     0,
       0,     0,   445,   446,     0,   447,   448,     0,   449,   450,
     451,   452,   135,   136,     0,   138,   139,     0,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   140,   461,
       0,   462,   463,   464,   465,   466,   145,     0,   467,     0,
     468,   469,   470,   471,     0,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,     0,     0,   481,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     486,   487,   155,   156,   488,     0,   489,     0,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,     0,   510,   511,   512,   513,   164,   514,
     515,   516,   166,     0,   517,     0,   518,   168,   519,     0,
     520,     0,   521,     0,     0,     0,   522,   523,   524,     0,
     525,   172,     0,   526,   527,     0,   528,   529,   530,   531,
     532,     0,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,     0,   542,     0,   175,     0,   543,   544,   545,
       0,   176,     0,   177,     0,   546,     0,     0,   547,     0,
     548,   549,   550,   551,   552,   553,   554,     0,   181,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   188,     0,   190,   572,   573,   574,   191,     0,   575,
     576,     0,   577,     0,   194,   578,   195,   579,   580,   581,
       0,   582,     0,     0,   583,   584,   585,     0,     0,   196,
       0,     0,     0,   200,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   201,   594,   202,   595,   596,   597,   598,
       0,   599,   600,   601,   602,   603,   604,   605,   204,   606,
     607,   608,   609,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,     0,   623,
     624,   625,   626,   212,   627,   628,   629,   630,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,     0,   640,
     217,   641,   642,     0,   643,   220,     0,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   222,     0,   654,
     655,     0,   656,   657,   658,   659,   660,   661,     0,   224,
     225,     0,     0,   663,   226,   664,   227,     0,   665,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   234,
       0,   682,     0,   683,   684,   685,     0,     0,   686,     0,
       0,   687,   688,   689,   690,   691,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   692,   693,   694,     0,     0,
       0,     0,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,  3766,  3767,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   423,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,   130,
     131,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,     0,   449,   450,   451,   452,   135,   136,     0,   138,
     139,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   140,   461,     0,   462,   463,   464,   465,   466,
     145,     0,   467,     0,   468,   469,   470,   471,     0,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
       0,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   486,   487,   155,   156,   488,     0,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,   164,   514,   515,   516,   166,     0,   517,     0,
     518,   168,   519,     0,   520,     0,   521,     0,     0,     0,
     522,   523,   524,     0,   525,   172,     0,   526,   527,     0,
     528,   529,   530,   531,   532,     0,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,     0,   175,
       0,   543,   544,   545,     0,   176,     0,   177,     0,   546,
       0,     0,   547,     0,   548,   549,   550,   551,   552,   553,
     554,     0,   181,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,     0,   190,   572,   573,
     574,   191,     0,   575,   576,     0,   577,     0,   194,   578,
     195,   579,   580,   581,     0,   582,     0,     0,   583,   584,
     585,     0,     0,   196,     0,     0,     0,   200,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   201,   594,   202,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,     0,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,   215,   635,   636,   637,
     638,   639,     0,   640,   217,   641,   642,     0,   643,   220,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,     0,   654,   655,   223,   656,   657,   658,   659,
     660,   661,     0,   224,   225,     0,     0,   663,   226,   664,
     227,     0,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,  1389,   234,     0,   682,  1390,   683,   684,   685,
       0,     0,   686,     0,   236,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,     0,     0,     0,     0,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,   246,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   423,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,     0,   449,   450,   451,   452,
     135,   136,     0,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
     463,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,     0,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,     0,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,     0,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,   517,     0,   518,   168,   519,     0,   520,     0,
     521,     0,     0,     0,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,   532,     0,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,     0,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,     0,     0,   547,     0,   548,   549,
     550,   551,   552,   553,   554,     0,   181,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
       0,   190,   572,   573,   574,   191,     0,   575,   576,     0,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,     0,     0,
       0,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,     0,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,     0,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,     0,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
       0,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,     0,     0,     0,     0,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,  3767,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   423,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,   433,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,     0,
     449,   450,   451,   452,   135,   136,     0,   138,   139,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     140,   461,     0,   462,   463,   464,   465,   466,   145,     0,
     467,     0,   468,   469,   470,   471,     0,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,     0,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   486,   487,   155,   156,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
     164,   514,   515,   516,   166,     0,   517,     0,   518,   168,
     519,     0,   520,     0,   521,     0,     0,     0,   522,   523,
     524,     0,   525,   172,     0,   526,   527,     0,   528,   529,
     530,   531,   532,     0,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,     0,   175,     0,   543,
     544,   545,     0,   176,     0,   177,     0,   546,     0,     0,
     547,     0,   548,   549,   550,   551,   552,   553,   554,     0,
     181,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   188,     0,   190,   572,   573,   574,   191,
       0,   575,   576,     0,   577,     0,   194,   578,   195,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,   196,     0,     0,     0,   200,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   201,   594,   202,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
       0,   623,   624,   625,   626,   212,   627,   628,   629,   630,
     631,   632,   633,   634,   215,   635,   636,   637,   638,   639,
       0,   640,   217,   641,   642,     0,   643,   220,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
       0,   654,   655,   223,   656,   657,   658,   659,   660,   661,
       0,   224,   225,     0,     0,   663,   226,   664,   227,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
    1389,   234,     0,   682,     0,   683,   684,   685,     0,     0,
     686,     0,   236,   687,   688,   689,   690,   691,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
       0,     0,     0,     0,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,   215,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,   223,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1389,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,   236,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,     0,     0,     0,     0,    86,    87,
      88,   420,    90,    91,    92,   421,     0,   422,    95,     0,
     246,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     423,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   424,   425,     0,
       0,     0,   426,   427,     0,     0,     0,     0,   428,     0,
       0,     0,     0,     0,     0,     0,     0,   429,     0,   430,
       0,   431,   432,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,   444,     0,     0,     0,     0,     0,
       0,     0,   445,   446,     0,   447,   448,     0,   449,   450,
     451,   452,   135,   136,     0,   138,   139,     0,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   140,   461,
       0,   462,   463,   464,   465,   466,   145,     0,   467,     0,
     468,   469,   470,   471,     0,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,     0,     0,   481,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     486,   487,   155,   156,   488,     0,   489,     0,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,     0,   510,   511,   512,   513,   164,   514,
     515,   516,   166,     0,   517,     0,   518,   168,   519,     0,
     520,     0,   521,     0,     0,     0,   522,   523,   524,     0,
     525,   172,     0,   526,   527,     0,   528,   529,   530,   531,
     532,     0,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,     0,   542,     0,   175,     0,   543,   544,   545,
       0,   176,     0,   177,     0,   546,     0,     0,   547,     0,
     548,   549,   550,   551,   552,   553,   554,     0,   181,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   188,     0,   190,   572,   573,   574,   191,     0,   575,
     576,     0,   577,     0,   194,   578,   195,   579,   580,   581,
       0,   582,     0,     0,   583,   584,   585,     0,     0,   196,
       0,     0,     0,   200,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   201,   594,   202,   595,   596,   597,   598,
       0,   599,   600,   601,   602,   603,   604,   605,   204,   606,
     607,   608,   609,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,     0,   623,
     624,   625,   626,   212,   627,   628,   629,   630,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,     0,   640,
     217,   641,   642,     0,   643,   220,     0,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   222,     0,   654,
     655,     0,   656,   657,   658,   659,   660,   661,     0,   224,
     225,     0,     0,   663,   226,   664,   227,     0,   665,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   234,
       0,   682,     0,   683,   684,   685,     0,     0,   686,     0,
       0,   687,   688,   689,   690,   691,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   692,   693,   694,     0,     0,
       0,     0,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,     0,  1595,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   423,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,     0,
       0,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,     0,   449,   450,   451,   452,   135,   136,     0,   138,
     139,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   140,   461,     0,   462,   463,   464,   465,   466,
     145,     0,   467,     0,   468,   469,   470,   471,     0,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
       0,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   486,   487,   155,   156,   488,     0,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,   164,   514,   515,   516,   166,     0,   517,     0,
     518,   168,   519,     0,   520,     0,   521,     0,     0,     0,
     522,   523,   524,     0,   525,   172,     0,   526,   527,     0,
     528,   529,   530,   531,   532,     0,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,     0,   175,
       0,   543,   544,   545,     0,   176,     0,   177,     0,   546,
       0,     0,   547,     0,   548,   549,   550,   551,   552,   553,
     554,     0,   181,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,     0,   190,   572,   573,
     574,   191,     0,   575,   576,     0,   577,     0,   194,   578,
     195,   579,   580,   581,     0,   582,     0,     0,   583,   584,
     585,     0,     0,   196,     0,     0,     0,   200,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   201,   594,   202,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,     0,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,     0,   640,   217,   641,   642,     0,   643,   220,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,     0,   654,   655,     0,   656,   657,   658,   659,
     660,   661,     0,   224,   225,     0,     0,   663,   226,   664,
     227,     0,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   234,     0,   682,     0,   683,   684,   685,
       0,     0,   686,     0,     0,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,     0,     0,     0,     0,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,  2969,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   423,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,     0,   449,   450,   451,   452,
     135,   136,     0,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
     463,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,     0,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,     0,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,     0,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,   517,     0,   518,   168,   519,     0,   520,     0,
     521,     0,     0,     0,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,   532,     0,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,     0,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,     0,     0,   547,     0,   548,   549,
     550,   551,   552,   553,   554,     0,   181,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
       0,   190,   572,   573,   574,   191,     0,   575,   576,     0,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,     0,     0,
       0,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,     0,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,     0,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,     0,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
       0,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,     0,     0,     0,     0,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,  4013,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   423,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,     0,
     449,   450,   451,   452,   135,   136,     0,   138,   139,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     140,   461,     0,   462,   463,   464,   465,   466,   145,     0,
     467,     0,   468,   469,   470,   471,     0,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,     0,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   486,   487,   155,   156,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
     164,   514,   515,   516,   166,     0,   517,     0,   518,   168,
     519,     0,   520,     0,   521,     0,     0,     0,   522,   523,
     524,     0,   525,   172,     0,   526,   527,     0,   528,   529,
     530,   531,   532,     0,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,     0,   175,     0,   543,
     544,   545,     0,   176,     0,   177,     0,   546,     0,     0,
     547,     0,   548,   549,   550,   551,   552,   553,   554,     0,
     181,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   188,     0,   190,   572,   573,   574,   191,
       0,   575,   576,     0,   577,     0,   194,   578,   195,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,   196,     0,     0,     0,   200,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   201,   594,   202,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
       0,   623,   624,   625,   626,   212,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
       0,   640,   217,   641,   642,     0,   643,   220,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,   224,   225,     0,     0,   663,   226,   664,   227,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   234,     0,   682,     0,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,   691,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
       0,     0,     0,   731,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,  4345,    98,    99,   100,
     101,   102,   103,   732,   104,   105,   423,   733,     0,   107,
     108,   109,   110,   734,   735,   112,   113,   114,   115,     0,
     116,   736,   737,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1205,    45,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   738,   442,   443,
     444,   739,   740,   741,   742,   743,   744,   745,   445,   446,
     746,   447,   448,   133,   449,   450,   451,   452,     0,  1878,
     137,  1879,  1880,   747,   453,   454,   455,   456,   457,   748,
     749,   458,   459,  1881,  1882,   461,   751,   462,   463,   464,
     465,   466,     0,   752,   467,   753,   468,   469,   470,   471,
     148,   472,   473,   755,   474,   475,   476,   477,   478,   479,
     480,   756,   151,   481,     0,   758,   759,   760,   152,   761,
     762,   763,   482,   483,   484,   485,   486,   487,  1883,  1884,
     488,   764,   489,   765,   490,   491,   492,   493,   494,   766,
     495,   496,   497,   498,   767,   499,   768,   500,   501,  1485,
     503,   504,   769,   505,   506,   507,   770,   508,   509,   771,
     510,   511,   512,   513,     0,   514,   515,   516,     0,   772,
     517,   773,   518,  1885,   519,   774,   520,   775,   521,   169,
     776,   170,   522,   523,   524,   777,   525,     0,   778,   526,
     527,   779,   528,   529,   530,   531,   532,   173,   533,   534,
     535,   780,   536,   537,   538,   539,   540,   541,   781,   542,
     174,     0,     0,   543,   544,   545,  1491,  1886,   784,  1887,
     785,   546,   178,   179,   547,   180,   548,   549,   550,   551,
     552,   553,   554,   786,     0,   182,   555,   183,   787,   556,
     557,   558,   788,   789,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,  1888,   189,  1889,
     572,   573,   574,     0,   790,   575,   576,   193,   577,   791,
       0,   578,  1890,   579,   580,   581,   792,   582,   793,   794,
    3753,   584,   585,   795,   796,     0,   197,   198,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   797,   593,     0,
     594,     0,   595,   596,   597,   598,   798,   599,   600,   601,
     602,   603,   604,   605,  1891,   606,   607,   608,   609,   799,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   800,   621,   622,   210,   623,   624,   625,   626,     0,
     627,   628,   629,   630,   631,   632,   633,   634,   801,   635,
     636,   637,   638,   639,   802,   640,  2433,   641,   642,   219,
     643,  1893,   803,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,     0,   804,   654,   655,   805,   656,   657,
     658,   659,   660,   661,   806,  1894,  1895,     0,   808,   663,
       0,   664,     0,   809,   665,   666,   667,   668,   669,   670,
       0,   811,   671,   672,   673,   674,   675,   812,   813,   676,
     677,   678,   679,   680,     0,  1896,   815,   682,   235,   683,
     684,   685,   816,   817,   686,   818,   819,   687,   688,   689,
     690,   691,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   692,   693,   694,     0,     0,     0,  1208,  1209,  1210,
       0,  3754,  3755,  1213,  1214,  1215,  1216,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   423,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1205,     0,     0,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,     0,     0,
       0,   445,   446,     0,   447,   448,     0,   449,   450,   451,
     452,   135,   136,     0,   138,   139,     0,   453,   454,   455,
     456,   457,     0,     0,   458,   459,   460,   140,   461,     0,
     462,  1206,   464,   465,   466,   145,     0,   467,     0,   468,
     469,   470,   471,     0,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,     0,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   486,
     487,   155,   156,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,   164,   514,   515,
     516,   166,     0,  1207,     0,   518,   168,   519,     0,   520,
       0,   521,     0,     0,     0,   522,   523,   524,     0,   525,
     172,     0,   526,   527,     0,   528,   529,   530,   531,   532,
       0,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,     0,   542,     0,   175,     0,   543,   544,   545,     0,
     176,     0,   177,     0,   546,     0,     0,   547,     0,   548,
     549,   550,   551,   552,   553,   554,     0,   181,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     188,     0,   190,   572,   573,   574,   191,     0,   575,   576,
       0,   577,     0,   194,   578,   195,   579,   580,   581,     0,
     582,     0,     0,   583,   584,   585,     0,     0,   196,     0,
       0,     0,   200,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   201,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,   204,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,     0,   623,   624,
     625,   626,   212,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,     0,   640,   217,
     641,   642,     0,   643,   220,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,   222,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,   224,   225,
       0,     0,   663,   226,   664,   227,     0,   665,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   234,     0,
     682,     0,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   692,   693,   694,     0,     0,     0,
    1208,  1209,  1210,     0,  1211,  1212,  1213,  1214,  1215,  1216,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   423,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1205,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,     0,
     449,   450,   451,   452,   135,   136,     0,   138,   139,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     140,   461,     0,   462,  1296,   464,   465,   466,   145,     0,
     467,     0,   468,   469,   470,   471,     0,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,     0,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   486,   487,   155,   156,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
     164,   514,   515,   516,   166,     0,  1297,     0,   518,   168,
     519,     0,   520,     0,   521,     0,     0,     0,   522,   523,
     524,     0,   525,   172,     0,   526,   527,     0,   528,   529,
     530,   531,   532,     0,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,     0,   175,     0,   543,
     544,   545,     0,   176,     0,   177,     0,   546,     0,     0,
     547,     0,   548,   549,   550,   551,   552,   553,   554,     0,
     181,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   188,     0,   190,   572,   573,   574,   191,
       0,   575,   576,     0,   577,     0,   194,   578,   195,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,   196,     0,     0,     0,   200,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   201,   594,   202,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
       0,   623,   624,   625,   626,   212,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
       0,   640,   217,   641,   642,     0,   643,   220,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,   224,   225,     0,     0,   663,   226,   664,   227,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   234,     0,   682,     0,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,   691,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
       0,     0,     0,  1208,  1209,  1210,     0,  1211,  1212,  1213,
    1214,  1215,  1216,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   423,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1205,     0,     0,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,     0,     0,     0,   445,   446,     0,
     447,   448,     0,   449,   450,   451,   452,   135,   136,     0,
     138,   139,     0,   453,   454,   455,   456,   457,     0,     0,
     458,   459,   460,   140,   461,     0,   462,  1349,   464,   465,
     466,   145,     0,   467,     0,   468,   469,   470,   471,     0,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,     0,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,   486,   487,   155,   156,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,   164,   514,   515,   516,   166,     0,  1350,
       0,   518,   168,   519,     0,   520,     0,   521,     0,     0,
       0,   522,   523,   524,     0,   525,   172,     0,   526,   527,
       0,   528,   529,   530,   531,  1351,     0,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,     0,
     175,     0,   543,   544,   545,     0,   176,     0,   177,     0,
     546,     0,     0,   547,     0,   548,   549,   550,   551,   552,
     553,   554,     0,   181,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   188,     0,   190,   572,
     573,   574,   191,     0,   575,   576,     0,   577,     0,   194,
     578,   195,   579,   580,   581,     0,   582,     0,     0,   583,
     584,   585,     0,     0,   196,     0,     0,     0,   200,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   201,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,   204,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,     0,   623,   624,   625,   626,   212,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,     0,   640,   217,   641,   642,     0,   643,
     220,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,   222,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,   224,   225,     0,     0,   663,   226,
     664,   227,     0,   665,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   234,     0,   682,     0,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     692,   693,   694,     0,     0,     0,  1208,  1209,  1210,     0,
    1211,  1212,  1213,  1214,  1215,  1216,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   423,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1205,     0,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,     0,   449,   450,   451,   452,
     135,   136,     0,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
    1861,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,     0,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,     0,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,     0,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,  1862,     0,   518,   168,   519,     0,   520,     0,
     521,     0,     0,     0,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,   532,     0,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,     0,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,     0,     0,   547,     0,   548,   549,
     550,   551,   552,   553,   554,     0,   181,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
       0,   190,   572,   573,   574,   191,     0,   575,   576,     0,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,     0,     0,
       0,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,     0,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,     0,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,     0,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
       0,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,     0,     0,     0,  1208,
    1209,  1210,     0,  1211,  1212,  1213,  1214,  1215,  1216,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   423,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1205,     0,
       0,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
       0,     0,     0,   445,   446,     0,   447,   448,     0,   449,
     450,   451,   452,   135,   136,     0,   138,   139,     0,   453,
     454,   455,   456,   457,     0,     0,   458,   459,   460,   140,
     461,     0,   462,   463,   464,   465,   466,   145,     0,   467,
       0,   468,   469,   470,   471,     0,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,     0,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   486,   487,   155,   156,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,   164,
     514,   515,   516,   166,     0,   517,     0,   518,   168,   519,
       0,   520,     0,   521,     0,     0,     0,   522,   523,   524,
       0,   525,   172,     0,   526,   527,     0,   528,   529,   530,
     531,   532,     0,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,     0,   175,     0,   543,   544,
     545,     0,   176,     0,   177,     0,   546,     0,     0,   547,
       0,   548,   549,   550,   551,   552,   553,   554,     0,   181,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   188,     0,   190,   572,   573,   574,   191,     0,
     575,   576,     0,   577,     0,   194,   578,   195,   579,   580,
     581,     0,   582,     0,     0,   583,   584,   585,     0,     0,
     196,     0,     0,     0,   200,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   201,   594,   202,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,   204,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,     0,
     623,   624,   625,   626,   212,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,     0,
     640,   217,   641,   642,     0,   643,   220,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   222,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
     224,   225,     0,     0,   663,   226,   664,   227,     0,   665,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     234,     0,   682,     0,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   692,   693,   694,     0,
       0,     0,  1208,  1209,  1210,     0,  1211,  1212,  1213,  1214,
    1215,  1216,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   423,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1205,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,     0,
       0,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,     0,   449,   450,   451,   452,   135,   136,     0,   138,
     139,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   140,   461,     0,   462,  3048,   464,   465,   466,
     145,     0,   467,     0,   468,   469,   470,   471,     0,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
       0,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   486,   487,   155,   156,   488,     0,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,   164,   514,   515,   516,   166,     0,  3049,     0,
     518,   168,   519,     0,   520,     0,   521,     0,     0,     0,
     522,   523,   524,     0,   525,   172,     0,   526,   527,     0,
     528,   529,   530,   531,   532,     0,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,     0,   175,
       0,   543,   544,   545,     0,   176,     0,   177,     0,   546,
       0,     0,   547,     0,   548,   549,   550,   551,   552,   553,
     554,     0,   181,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,     0,   190,   572,   573,
     574,   191,     0,   575,   576,     0,   577,     0,   194,   578,
     195,   579,   580,   581,     0,   582,     0,     0,   583,   584,
     585,     0,     0,   196,     0,     0,     0,   200,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   201,   594,   202,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,     0,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,     0,   640,   217,   641,   642,     0,   643,   220,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,     0,   654,   655,     0,   656,   657,   658,   659,
     660,   661,     0,   224,   225,     0,     0,   663,   226,   664,
     227,     0,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   234,     0,   682,     0,   683,   684,   685,
       0,     0,   686,     0,     0,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,     0,     0,     0,  1208,  1209,  1210,     0,  1211,
    1212,  1213,  1214,  1215,  1216,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   423,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1205,     0,     0,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,     0,     0,     0,   445,
     446,     0,   447,   448,     0,   449,   450,   451,   452,   135,
     136,     0,   138,   139,     0,   453,   454,   455,   456,   457,
       0,     0,   458,   459,   460,   140,   461,     0,   462,   463,
     464,   465,   466,   145,     0,   467,     0,   468,   469,   470,
     471,     0,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,     0,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   486,   487,   155,
     156,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,   164,   514,   515,   516,   166,
       0,   517,     0,   518,   168,   519,     0,   520,     0,   521,
       0,     0,     0,   522,   523,   524,     0,   525,   172,     0,
     526,   527,     0,   528,   529,   530,   531,   532,     0,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,     0,   175,     0,   543,   544,   545,     0,   176,     0,
     177,     0,   546,     0,     0,   547,     0,   548,   549,   550,
     551,   552,   553,   554,     0,   181,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   188,     0,
     190,   572,   573,   574,   191,     0,   575,   576,     0,   577,
       0,   194,   578,   195,   579,   580,   581,     0,   582,     0,
       0,  4579,   584,   585,     0,     0,   196,     0,     0,     0,
     200,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     201,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,   204,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,     0,   623,   624,   625,   626,
     212,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,     0,   640,   217,   641,   642,
       0,   643,   220,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   222,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,   224,   225,     0,     0,
     663,   226,   664,   227,     0,   665,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   234,     0,   682,     0,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   692,   693,   694,     0,     0,     0,  1208,  1209,
    1210,     0,  1211,  1212,  1213,  1214,  1215,  1216,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   738,   442,   443,   444,   739,   740,   741,   742,
     743,   744,   745,   445,   446,   746,   447,   448,   133,   449,
     450,   451,   452,   135,   136,   137,   138,   139,   747,   453,
     454,   455,   456,   457,   748,   749,   458,   459,   750,   140,
     461,   751,   462,   463,   464,   465,   466,   145,   752,   467,
     753,   468,   469,   470,   471,   148,   472,   754,   755,   474,
     475,   476,   477,   478,   479,   480,   756,   151,   481,   757,
     758,   759,   760,   152,   761,   762,   763,   482,   483,   484,
     485,   486,   487,   155,   156,   488,   764,   489,   765,   490,
     491,   492,   493,   494,   766,   495,   496,   497,   498,   767,
     499,   768,   500,   501,   502,   503,   504,   769,   505,   506,
     507,   770,   508,   509,   771,   510,   511,   512,   513,   164,
     514,   515,   516,   166,   772,   517,   773,   518,   168,   519,
     774,   520,   775,   521,   169,   776,   170,   522,   523,   524,
     777,   525,   172,   778,   526,   527,   779,   528,   529,   530,
     531,   532,   173,   533,   534,   535,   780,   536,   537,   538,
     539,   540,   541,   781,   542,   174,   175,   782,   543,   544,
     545,   783,   176,   784,   177,   785,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,   786,   181,
     182,   555,   183,   787,   556,   557,   558,   788,   789,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   188,   189,   190,   572,   573,   574,   191,   790,
     575,   576,   193,   577,   791,   194,   578,   195,   579,   580,
     581,   792,   582,   793,   794,   583,   584,   585,   795,   796,
     196,   197,   198,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   797,   593,   201,   594,   202,   595,   596,   597,
     598,   798,   599,   600,   601,   602,   603,   604,   605,   204,
     606,   607,   608,   609,   799,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   800,   621,   622,   210,
     623,   624,   625,   626,   212,   627,   628,   629,   630,   631,
     632,   633,   634,   801,   635,   636,   637,   638,   639,   802,
     640,   217,   641,   642,   219,   643,   220,   803,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   222,   804,
     654,   655,   805,   656,   657,   658,   659,   660,   661,   806,
     224,   225,   807,   808,   663,   226,   664,   227,   809,   665,
     666,   667,   668,   669,   670,   810,   811,   671,   672,   673,
     674,   675,   812,   813,   676,   677,   678,   679,   680,   814,
     234,   815,   682,   235,   683,   684,   685,   816,   817,   686,
     818,   819,   687,   688,   689,   690,   691,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   692,   693,   694,   731,
      86,    87,    88,   420,    90,    91,    92,   421,  2257,   422,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   732,
     104,   105,   423,   733,     0,   107,   108,   109,   110,   734,
     735,   112,   113,   114,   115,     0,   116,   736,   737,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,   133,
     449,   450,   451,   452,     0,  1878,   137,  1879,  1880,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,  1881,
    1882,   461,     0,   462,   463,   464,   465,   466,     0,     0,
     467,     0,   468,   469,   470,   471,   148,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,   151,   481,
       0,     0,     0,     0,   152,     0,     0,     0,   482,   483,
     484,   485,   486,   487,  1883,  1884,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,  1485,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
       0,   514,   515,   516,     0,     0,   517,     0,   518,  1885,
     519,     0,   520,     0,   521,   169,     0,   170,   522,   523,
     524,     0,   525,     0,     0,   526,   527,     0,   528,   529,
     530,   531,   532,   173,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   174,     0,     0,   543,
     544,   545,  1491,  1886,     0,  1887,     0,   546,   178,   179,
     547,   180,   548,   549,   550,   551,   552,   553,   554,     0,
       0,   182,   555,   183,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,  1888,   189,  1889,   572,   573,   574,     0,
       0,   575,   576,   193,   577,     0,     0,   578,  1890,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,     0,   197,   198,   199,     0,   586,   587,   588,   589,
     590,   591,   592,     0,   593,     0,   594,     0,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
    1891,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     210,   623,   624,   625,   626,     0,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
       0,   640,  1892,   641,   642,   219,   643,  1893,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,     0,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,  1894,  1895,     0,     0,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
       0,  1896,     0,   682,   235,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   692,   693,   694,
       0,    86,    87,    88,   420,    90,    91,    92,   421,  2356,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   423,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,     0,     0,     0,   445,   446,     0,   447,   448,
       0,   449,   450,   451,   452,   135,   136,     0,   138,   139,
       0,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   140,   461,     0,   462,   463,   464,   465,   466,   145,
       0,   467,     0,   468,   469,   470,   471,     0,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,     0,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   486,   487,   155,   156,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,   164,   514,   515,   516,   166,     0,   517,     0,   518,
     168,   519,     0,   520,     0,   521,     0,     0,     0,   522,
     523,   524,     0,   525,   172,     0,   526,   527,     0,   528,
     529,   530,   531,   532,     0,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,     0,   175,     0,
     543,   544,   545,     0,   176,     0,   177,     0,   546,     0,
       0,   547,     0,   548,   549,   550,   551,   552,   553,   554,
       0,   181,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   188,     0,   190,   572,   573,   574,
     191,     0,   575,   576,     0,   577,     0,   194,   578,   195,
     579,   580,   581,     0,   582,     0,     0,   583,   584,   585,
       0,     0,   196,     0,     0,     0,   200,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   201,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,   204,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,     0,   623,   624,   625,   626,   212,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,     0,   640,   217,   641,   642,     0,   643,   220,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     222,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,   224,   225,     0,     0,   663,   226,   664,   227,
       0,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   234,     0,   682,     0,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   692,   693,
     694,     0,    86,    87,    88,   420,    90,    91,    92,   421,
    1089,   422,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   423,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,     0,
       0,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,     0,   449,   450,   451,   452,   135,   136,     0,   138,
     139,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   140,   461,     0,   462,   463,   464,   465,   466,
     145,     0,   467,     0,   468,   469,   470,   471,     0,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
       0,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   486,   487,   155,   156,   488,     0,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,   164,   514,   515,   516,   166,     0,   517,     0,
     518,   168,   519,     0,   520,     0,   521,     0,     0,     0,
     522,   523,   524,     0,   525,   172,     0,   526,   527,     0,
     528,   529,   530,   531,   532,     0,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,     0,   175,
       0,   543,   544,   545,     0,   176,     0,   177,     0,   546,
       0,     0,   547,     0,   548,   549,   550,   551,   552,   553,
     554,     0,   181,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,     0,   190,   572,   573,
     574,   191,     0,   575,   576,     0,   577,     0,   194,   578,
     195,   579,   580,   581,     0,   582,     0,     0,   583,   584,
     585,     0,     0,   196,     0,     0,     0,   200,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   201,   594,   202,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,     0,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,     0,   640,   217,   641,   642,     0,   643,   220,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,     0,   654,   655,     0,   656,   657,   658,   659,
     660,   661,     0,   224,   225,     0,     0,   663,   226,   664,
     227,     0,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   234,     0,   682,     0,   683,   684,   685,
       0,     0,   686,     0,     0,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,     0,    86,    87,    88,   420,    90,    91,    92,
     421,  4442,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   423,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,   433,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,     0,     0,     0,   445,   446,     0,
     447,   448,     0,   449,   450,   451,   452,   135,   136,     0,
     138,   139,     0,   453,   454,   455,   456,   457,     0,     0,
     458,   459,   460,   140,   461,     0,   462,   463,   464,   465,
     466,   145,     0,   467,     0,   468,   469,   470,   471,     0,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,     0,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,   486,   487,   155,   156,   488,
    2245,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,   164,   514,   515,   516,   166,  2033,   517,
       0,   518,   168,   519,     0,   520,     0,   521,     0,     0,
       0,   522,   523,   524,     0,   525,   172,     0,   526,   527,
       0,   528,   529,   530,   531,   532,     0,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,     0,
     175,     0,   543,   544,   545,     0,   176,     0,   177,     0,
     546,     0,     0,   547,     0,   548,   549,   550,   551,   552,
     553,   554,     0,   181,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   188,     0,   190,   572,
     573,   574,   191,     0,   575,   576,     0,   577,     0,   194,
     578,   195,   579,   580,   581,     0,   582,  2034,     0,   583,
     584,   585,     0,     0,   196,     0,     0,     0,   200,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   201,   594,
     202,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,   204,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,     0,   623,   624,   625,   626,   212,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,     0,   640,   217,   641,   642,     0,   643,
     220,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,   222,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,   224,   225,     0,     0,   663,   226,
     664,   227,  2035,   665,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   234,     0,   682,     0,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     692,   693,   694,     0,     0,     0,     0,     0,     0,     0,
    1000,  1663,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   423,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,   433,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,     0,
       0,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,     0,   449,   450,   451,   452,   135,   136,     0,   138,
     139,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   140,   461,     0,   462,   463,   464,   465,   466,
     145,     0,   467,     0,   468,   469,   470,   471,     0,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
       0,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   486,   487,   155,   156,   488,  2250,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,   164,   514,   515,   516,   166,  2033,   517,     0,
     518,   168,   519,     0,   520,     0,   521,     0,     0,     0,
     522,   523,   524,     0,   525,   172,     0,   526,   527,     0,
     528,   529,   530,   531,   532,     0,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,     0,   175,
       0,   543,   544,   545,     0,   176,     0,   177,     0,   546,
       0,     0,   547,     0,   548,   549,   550,   551,   552,   553,
     554,     0,   181,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,     0,   190,   572,   573,
     574,   191,     0,   575,   576,     0,   577,     0,   194,   578,
     195,   579,   580,   581,     0,   582,  2034,     0,   583,   584,
     585,     0,     0,   196,     0,     0,     0,   200,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   201,   594,   202,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,     0,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,     0,   640,   217,   641,   642,     0,   643,   220,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,     0,   654,   655,     0,   656,   657,   658,   659,
     660,   661,     0,   224,   225,     0,     0,   663,   226,   664,
     227,  2035,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   234,     0,   682,     0,   683,   684,   685,
       0,     0,   686,     0,     0,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,     0,     0,     0,     0,     0,     0,     0,  1000,
    1663,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   423,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,   433,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,     0,     0,     0,   445,   446,     0,   447,   448,
       0,   449,   450,   451,   452,   135,   136,     0,   138,   139,
       0,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   140,   461,     0,   462,   463,   464,   465,   466,   145,
       0,   467,     0,   468,   469,   470,   471,     0,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,     0,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   486,   487,   155,   156,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,   164,   514,   515,   516,   166,  2033,   517,     0,   518,
     168,   519,     0,   520,     0,   521,     0,     0,     0,   522,
     523,   524,     0,   525,   172,     0,   526,   527,     0,   528,
     529,   530,   531,   532,     0,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,     0,   175,     0,
     543,   544,   545,     0,   176,     0,   177,     0,   546,     0,
       0,   547,     0,   548,   549,   550,   551,   552,   553,   554,
       0,   181,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   188,     0,   190,   572,   573,   574,
     191,     0,   575,   576,     0,   577,     0,   194,   578,   195,
     579,   580,   581,     0,   582,  2034,     0,   583,   584,   585,
       0,     0,   196,     0,     0,     0,   200,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   201,   594,   202,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,   204,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,     0,   623,   624,   625,   626,   212,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,     0,   640,   217,   641,   642,     0,   643,   220,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     222,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,   224,   225,     0,     0,   663,   226,   664,   227,
    2035,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   234,     0,   682,     0,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   692,   693,
     694,     0,     0,     0,     0,     0,     0,     0,  1000,  1663,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   423,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,   433,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   434,   989,   436,   437,   438,
     439,   440,   441,   990,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,     0,
     991,   450,   451,   452,   135,   136,     0,   138,   139,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     140,   461,     0,   462,   463,   464,   465,   466,   145,     0,
     467,     0,   468,   469,   470,   471,     0,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,     0,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   486,   487,   155,   156,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
     164,   514,   515,   516,   166,     0,   517,     0,   992,   168,
     519,     0,   520,     0,   993,     0,   994,     0,   522,   523,
     524,     0,   525,   172,     0,   526,   527,     0,   528,   529,
     530,   531,   532,     0,   533,   534,   535,   995,   536,   537,
     538,   539,   540,   541,     0,   542,     0,   175,     0,   543,
     544,   545,     0,   176,     0,   177,     0,   546,     0,     0,
     547,     0,   548,   549,   550,   551,   996,   553,   554,     0,
     181,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   188,     0,   190,   997,   573,   574,   191,
       0,   575,   576,     0,   577,     0,   194,   578,   195,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,   196,     0,     0,     0,   200,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   201,   594,   202,   595,   596,
     597,   598,     0,   998,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,     0,   610,   999,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
       0,   623,   624,   625,   626,   212,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
       0,   640,   217,   641,   642,     0,   643,   220,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,   224,   225,     0,     0,   663,   226,   664,   227,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   234,     0,   682,     0,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,   691,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
       0,     0,     0,     0,     0,     0,     0,  1000,  1001,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   423,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,   433,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   434,   989,   436,   437,   438,   439,
     440,   441,   990,   442,   443,   444,     0,     0,     0,     0,
       0,     0,     0,   445,   446,     0,   447,   448,     0,  1022,
     450,   451,   452,   135,   136,     0,   138,   139,     0,   453,
     454,   455,   456,   457,     0,     0,   458,   459,   460,   140,
     461,     0,   462,   463,   464,   465,   466,   145,     0,   467,
       0,   468,   469,   470,   471,     0,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,     0,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   486,   487,   155,   156,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,   164,
     514,   515,   516,   166,     0,   517,     0,   992,   168,   519,
       0,   520,     0,  1023,     0,   994,     0,   522,   523,   524,
       0,   525,   172,     0,   526,   527,     0,   528,   529,   530,
     531,   532,     0,   533,   534,   535,   995,   536,   537,   538,
     539,   540,   541,     0,   542,     0,   175,     0,   543,   544,
     545,     0,   176,     0,   177,     0,   546,     0,     0,   547,
       0,   548,   549,   550,   551,   996,   553,   554,     0,   181,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   188,     0,   190,   997,   573,   574,   191,     0,
     575,   576,     0,   577,     0,   194,   578,   195,   579,   580,
     581,     0,   582,     0,     0,   583,   584,   585,     0,     0,
     196,     0,     0,     0,   200,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   201,   594,   202,   595,   596,   597,
     598,     0,   998,   600,   601,   602,   603,   604,   605,   204,
     606,   607,   608,   609,     0,   610,   999,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,     0,
     623,   624,   625,   626,   212,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,     0,
     640,   217,   641,   642,     0,   643,   220,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   222,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
     224,   225,     0,     0,   663,   226,   664,   227,     0,   665,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     234,     0,   682,     0,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   692,   693,   694,     0,
       0,     0,     0,     0,     0,     0,  1000,  1001,    86,    87,
      88,   420,    90,    91,    92,   421,     0,   422,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     423,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   424,   425,     0,
       0,     0,   426,   427,     0,     0,     0,     0,   428,     0,
       0,     0,     0,     0,     0,     0,     0,   429,     0,   430,
       0,   431,   432,    35,   433,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,   434,   435,   436,   437,   438,   439,   440,
     441,  1400,   442,   443,   444,     0,     0,     0,     0,     0,
       0,     0,   445,   446,     0,   447,   448,     0,   449,   450,
     451,   452,   135,   136,     0,   138,   139,     0,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   140,   461,
       0,   462,   463,   464,   465,   466,   145,     0,   467,     0,
     468,   469,   470,   471,     0,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,     0,     0,   481,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     486,   487,   155,   156,   488,     0,   489,     0,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,     0,   510,   511,   512,   513,   164,   514,
     515,   516,   166,     0,   517,     0,   518,   168,   519,     0,
     520,     0,   521,     0,   994,     0,   522,   523,   524,     0,
     525,   172,     0,   526,   527,     0,   528,   529,   530,   531,
     532,     0,   533,   534,   535,   995,   536,   537,   538,   539,
     540,   541,     0,   542,     0,   175,     0,   543,   544,   545,
       0,   176,     0,   177,     0,   546,     0,     0,   547,     0,
     548,   549,   550,   551,   552,   553,   554,     0,   181,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   188,     0,   190,   572,   573,   574,   191,     0,   575,
     576,     0,   577,     0,   194,   578,   195,   579,   580,   581,
       0,   582,     0,     0,   583,   584,   585,     0,     0,   196,
       0,     0,     0,   200,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   201,   594,   202,   595,   596,   597,   598,
       0,   599,   600,   601,   602,   603,   604,   605,   204,   606,
     607,   608,   609,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,     0,   623,
     624,   625,   626,   212,   627,   628,   629,   630,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,     0,   640,
     217,   641,   642,     0,   643,   220,     0,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   222,     0,   654,
     655,     0,   656,   657,   658,   659,   660,   661,     0,   224,
     225,     0,     0,   663,   226,   664,   227,     0,   665,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   234,
       0,   682,     0,   683,   684,   685,     0,     0,   686,     0,
       0,   687,   688,   689,   690,   691,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   692,   693,   694,     0,     0,
       0,     0,     0,     0,     0,  1000,  1001,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   423,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,   433,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
    1405,   442,   443,   444,     0,     0,     0,     0,     0,     0,
       0,   445,   446,     0,   447,   448,     0,   449,   450,   451,
     452,   135,   136,     0,   138,   139,     0,   453,   454,   455,
     456,   457,     0,     0,   458,   459,   460,   140,   461,     0,
     462,   463,   464,   465,   466,   145,     0,   467,     0,   468,
     469,   470,   471,     0,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,     0,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   486,
     487,   155,   156,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,   164,   514,   515,
     516,   166,     0,   517,     0,   518,   168,   519,     0,   520,
       0,   521,     0,   994,     0,   522,   523,   524,     0,   525,
     172,     0,   526,   527,     0,   528,   529,   530,   531,   532,
       0,   533,   534,   535,   995,   536,   537,   538,   539,   540,
     541,     0,   542,     0,   175,     0,   543,   544,   545,     0,
     176,     0,   177,     0,   546,     0,     0,   547,     0,   548,
     549,   550,   551,   552,   553,   554,     0,   181,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     188,     0,   190,   572,   573,   574,   191,     0,   575,   576,
       0,   577,     0,   194,   578,   195,   579,   580,   581,     0,
     582,     0,     0,   583,   584,   585,     0,     0,   196,     0,
       0,     0,   200,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   201,   594,   202,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,   204,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,     0,   623,   624,
     625,   626,   212,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,     0,   640,   217,
     641,   642,     0,   643,   220,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,   222,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,   224,   225,
       0,     0,   663,   226,   664,   227,     0,   665,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   234,     0,
     682,     0,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   692,   693,   694,     0,     0,     0,
       0,     0,     0,     0,  1000,  1001,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   423,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,   433,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,     0,   449,   450,   451,   452,
     135,   136,     0,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
     463,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,     0,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,     0,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,   716,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,   517,     0,   518,   168,   519,     0,   520,     0,
     521,     0,     0,     0,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,   532,     0,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,     0,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,     0,     0,   547,     0,   548,   549,
     550,   551,   552,   553,   554,     0,   181,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
       0,   190,   572,   573,   574,   191,     0,   575,   576,     0,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,     0,     0,
       0,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,     0,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,     0,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,  1567,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
       0,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,     0,     0,  1061,  1568,
      86,    87,    88,   420,    90,    91,    92,   421,  1062,   422,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   423,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,     0,
     449,   450,   451,   452,   135,   136,     0,   138,   139,     0,
     453,   454,   455,   456,   457,     0,     0,  1063,   459,  1037,
     140,   461,     0,   462,   463,   464,   465,   466,   145,     0,
     467,     0,   468,   469,   470,   471,     0,   472,  1064,     0,
    1065,   475,   476,   477,   478,   479,   480,     0,     0,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   486,   487,   155,   156,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
     164,   514,   515,   516,   166,     0,   517,     0,   518,   168,
     519,     0,   520,     0,   521,     0,     0,     0,   522,   523,
     524,     0,   525,   172,     0,   526,   527,     0,   528,   529,
     530,   531,   532,     0,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,     0,   175,     0,   543,
     544,   545,     0,   176,     0,   177,     0,   546,     0,     0,
     547,     0,   548,   549,   550,   551,   552,   553,   554,     0,
     181,     0,   555,     0,     0,   556,   557,  1066,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,  1067,   188,     0,   190,   572,   573,   574,   191,
       0,   575,   576,     0,   577,     0,   194,   578,   195,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,   196,     0,     0,     0,   200,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   201,   594,   202,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
     204,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
       0,   623,  1068,   625,   626,   212,   627,   628,   629,  1069,
     631,   632,   633,   634,     0,   635,   636,   637,   638,  1070,
       0,   640,   217,   641,   642,     0,   643,   220,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   222,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,  1071,   225,     0,     0,  1072,   226,   664,   227,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
    1041,   234,     0,   682,     0,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,  1073,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   692,   693,   694,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   738,   442,   443,   444,   739,   740,
     741,   742,   743,   744,   745,   445,   446,   746,   447,   448,
     133,   449,   450,   451,   452,   135,   136,   137,   138,   139,
     747,   453,   454,   455,   456,   457,   748,   749,   458,   459,
     750,   140,   461,   751,   462,   463,   464,   465,   466,   145,
     752,   467,   753,   468,   469,   470,   471,   148,   472,   754,
     755,   474,   475,   476,   477,   478,   479,   480,   756,   151,
     481,   757,   758,   759,   760,   152,   761,   762,   763,   482,
     483,   484,   485,   486,   487,   155,   156,   488,   764,   489,
     765,   490,   491,   492,   493,   494,   766,   495,   496,   497,
     498,   767,   499,   768,   500,   501,   502,   503,   504,   769,
     505,   506,   507,   770,   508,   509,   771,   510,   511,   512,
     513,   164,   514,   515,   516,   166,   772,   517,   773,   518,
     168,   519,   774,   520,   775,   521,   169,   776,   170,   522,
     523,   524,   777,   525,   172,   778,   526,   527,   779,   528,
     529,   530,   531,   532,   173,   533,   534,   535,   780,   536,
     537,   538,   539,   540,   541,   781,   542,   174,   175,   782,
     543,   544,   545,   783,   176,   784,   177,   785,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
     786,   181,   182,   555,   183,   787,   556,   557,   558,   788,
     789,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   188,   189,   190,   572,   573,   574,
     191,   790,   575,   576,   193,   577,   791,   194,   578,   195,
     579,   580,   581,   792,   582,   793,   794,   583,   584,   585,
     795,   796,   196,   197,   198,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   797,   593,   201,   594,   202,   595,
     596,   597,   598,   798,   599,   600,   601,   602,   603,   604,
     605,   204,   606,   607,   608,   609,   799,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   800,   621,
     622,   210,   623,   624,   625,   626,   212,   627,   628,   629,
     630,   631,   632,   633,   634,   801,   635,   636,   637,   638,
     639,   802,   640,   217,   641,   642,   219,   643,   220,   803,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     222,   804,   654,   655,   805,   656,   657,   658,   659,   660,
     661,   806,   224,   225,   807,   808,   663,   226,   664,   227,
     809,   665,   666,   667,   668,   669,   670,   810,   811,   671,
     672,   673,   674,   675,   812,   813,   676,   677,   678,   679,
     680,   814,   234,   815,   682,   235,   683,   684,   685,   816,
     817,   686,   818,   819,   687,   688,   689,   690,   691,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   692,   693,
     694,   731,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   732,   104,   105,   423,   733,     0,   107,   108,   109,
     110,   734,   735,   112,   113,   114,   115,     0,   116,   736,
     737,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   738,   442,   443,   444,   739,
     740,   741,   742,   743,   744,   745,   445,   446,   746,   447,
     448,   133,   449,   450,   451,   452,   135,   136,   137,   138,
     139,   747,   453,   454,   455,   456,   457,   748,   749,   458,
     459,   750,   140,   461,   751,   462,   463,   464,   465,   466,
     145,   752,   467,   753,   468,   469,   470,   471,   148,   472,
     754,   755,   474,   475,   476,   477,   478,   479,   480,   756,
     151,   481,   757,   758,   759,   760,   152,   761,   762,   763,
     482,   483,   484,   485,   486,   487,   155,   156,   488,   764,
     489,   765,   490,   491,   492,   493,   494,   766,   495,   496,
     497,   498,   767,   499,   768,   500,   501,   502,   503,   504,
     769,   505,   506,   507,   770,   508,   509,   771,   510,   511,
     512,   513,   164,   514,   515,   516,   166,   772,   517,   773,
     518,   168,   519,   774,   520,   775,   521,   169,   776,   170,
     522,   523,   524,   777,   525,   172,   778,   526,   527,   779,
     528,   529,   530,   531,   532,   173,   533,   534,   535,   780,
     536,   537,   538,   539,   540,   541,   781,   542,   174,   175,
     782,   543,   544,   545,   783,   176,   784,   177,   785,   546,
     178,   179,   547,   180,   548,   549,   550,   551,   552,   553,
     554,   786,   181,   182,   555,   183,   787,   556,   557,   558,
     788,   789,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   188,   189,   190,   572,   573,
     574,   191,   790,   575,   576,   193,   577,   791,   194,   578,
     195,   579,   580,   581,   792,   582,   793,   794,   583,   584,
     585,   795,   796,   196,   197,   198,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   797,   593,   201,   594,   202,
     595,   596,   597,   598,   798,   599,   600,   601,   602,   603,
     604,   605,   204,   606,   607,   608,   609,   799,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   800,
     621,   622,   210,   623,   624,   625,   626,   212,   627,   628,
     629,   630,   631,   632,   633,   634,   801,   635,   636,   637,
     638,   639,   802,   640,   217,   641,   642,   219,   643,   220,
     803,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,   222,   804,   654,   655,   805,   656,   657,   658,   659,
     660,   661,   806,   224,   225,   807,   808,   663,   226,   664,
     227,   809,   665,   666,   667,   668,   669,   670,   810,   811,
     671,   672,   673,   674,   675,   812,   813,   676,   677,   678,
     679,   680,   814,   234,   815,   682,   235,   683,   684,   685,
     816,   817,   686,   818,   819,   687,   688,   689,   690,   691,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   692,
     693,   694,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,   435,
     436,   437,  3109,   439,   440,   441,   738,   442,   443,   444,
     739,   740,   741,   742,   743,   744,   745,   445,   446,   746,
     447,   448,   133,   449,   450,   451,   452,   135,   136,   137,
     138,   139,   747,   453,   454,   455,   456,   457,   748,   749,
     458,   459,   750,   140,   461,   751,   462,   463,   464,   465,
     466,   145,   752,   467,   753,   468,   469,   470,   471,   148,
     472,   754,   755,   474,   475,   476,   477,   478,   479,   480,
     756,   151,   481,   757,   758,   759,   760,   152,   761,   762,
     763,   482,   483,   484,   485,   486,   487,   155,   156,   488,
     764,   489,   765,   490,   491,   492,   493,   494,   766,   495,
     496,   497,   498,   767,   499,   768,   500,   501,   502,  3110,
     504,   769,   505,   506,   507,   770,   508,   509,   771,   510,
     511,   512,   513,   164,   514,   515,   516,   166,   772,   517,
     773,   518,   168,   519,   774,   520,   775,   521,   169,   776,
     170,   522,   523,   524,   777,   525,   172,   778,   526,   527,
     779,   528,   529,   530,   531,   532,   173,   533,   534,   535,
     780,   536,   537,   538,   539,   540,   541,   781,   542,   174,
     175,   782,   543,   544,   545,   783,   176,   784,   177,   785,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,   786,   181,   182,   555,   183,   787,   556,   557,
     558,   788,   789,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   188,   189,   190,   572,
     573,   574,   191,   790,   575,   576,   193,   577,   791,   194,
     578,   195,   579,   580,   581,   792,   582,   793,   794,   583,
     584,   585,   795,   796,   196,   197,   198,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   797,   593,   201,   594,
     202,   595,   596,   597,   598,   798,   599,   600,   601,   602,
     603,   604,   605,   204,   606,   607,   608,   609,   799,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     800,   621,   622,   210,   623,   624,   625,   626,   212,   627,
     628,   629,   630,   631,   632,   633,   634,   801,   635,   636,
     637,   638,   639,   802,  3111,   217,   641,   642,   219,   643,
     220,   803,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,   222,   804,   654,   655,   805,   656,   657,   658,
     659,   660,   661,   806,   224,   225,   807,   808,   663,   226,
     664,   227,   809,   665,   666,   667,   668,   669,   670,   810,
     811,   671,   672,   673,   674,   675,   812,   813,   676,   677,
     678,   679,   680,   814,   234,   815,   682,   235,   683,   684,
     685,   816,   817,   686,   818,   819,   687,   688,   689,   690,
     691,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     692,   693,   694,   731,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   732,   104,   105,   423,   733,     0,   107,
     108,   109,   110,   734,   735,   112,   113,   114,   115,     0,
     116,   736,   737,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,   133,   449,   450,   451,   452,   135,   136,
     137,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
     148,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,   151,   481,     0,     0,     0,     0,   152,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,   169,
       0,   170,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,   173,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     174,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,   178,   179,   547,   180,   548,   549,   550,   551,
     552,   553,   554,     0,   181,   182,   555,   183,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,   189,   190,
     572,   573,   574,   191,     0,   575,   576,   193,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,   197,   198,   199,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   210,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,   219,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,   235,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,   731,    86,    87,    88,   420,    90,
      91,    92,   421,     0,   422,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   732,   104,   105,   423,   733,     0,
     107,   108,   109,   110,   734,   735,   112,   113,   114,   115,
       0,   116,   736,   737,   424,   425,     0,     0,     0,   426,
     427,     0,     0,     0,     0,   428,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,   430,     0,   431,   432,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,   444,     0,     0,     0,     0,     0,     0,     0,   445,
     446,     0,   447,   448,   133,   449,   450,   451,   452,   135,
     136,   137,   138,   139,     0,   453,   454,   455,   456,   457,
       0,     0,   458,   459,   460,   140,   461,     0,   462,   463,
     464,   465,   466,   145,     0,   467,     0,   468,   469,   470,
     471,   148,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,     0,   151,   481,     0,     0,     0,     0,   152,
       0,     0,     0,   482,   483,   484,   485,   486,   487,   155,
     156,   488,     0,   489,     0,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
       0,   510,   511,   512,   513,   164,   514,   515,   516,   166,
       0,   517,     0,   518,   168,   519,     0,   520,     0,   521,
     169,     0,   170,   522,   523,   524,     0,   525,   172,     0,
     526,   527,     0,   528,   529,   530,   531,  1333,   173,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   174,   175,     0,   543,   544,   545,     0,   176,     0,
     177,     0,   546,   178,   179,   547,   180,   548,   549,   550,
     551,   552,   553,   554,     0,   181,   182,   555,   183,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   188,   189,
     190,   572,   573,   574,   191,     0,   575,   576,   193,   577,
       0,   194,   578,   195,   579,   580,   581,     0,   582,     0,
       0,   583,   584,   585,     0,     0,   196,   197,   198,   199,
     200,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     201,   594,   202,   595,   596,   597,   598,     0,   599,   600,
     601,   602,   603,   604,   605,   204,   606,   607,   608,   609,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   210,   623,   624,   625,   626,
     212,   627,   628,   629,   630,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,     0,   640,   217,   641,   642,
     219,   643,   220,     0,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   222,     0,   654,   655,     0,   656,
     657,   658,   659,   660,   661,     0,   224,   225,     0,     0,
     663,   226,   664,   227,     0,   665,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   234,     0,   682,   235,
     683,   684,   685,     0,     0,   686,     0,     0,   687,   688,
     689,   690,   691,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   692,   693,   694,   731,    86,    87,    88,   420,
      90,    91,    92,   421,     0,   422,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   732,   104,   105,   423,   733,
       0,   107,   108,   109,   110,   734,   735,   112,   113,   114,
     115,     0,   116,   736,   737,   424,   425,     0,     0,     0,
     426,   427,     0,     0,     0,     0,   428,     0,     0,     0,
       0,     0,     0,     0,     0,   429,     0,   430,     0,   431,
     432,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,   444,     0,     0,     0,     0,     0,     0,     0,
     445,   446,     0,   447,   448,   133,   449,   450,   451,   452,
     135,   136,   137,   138,   139,     0,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   140,   461,     0,   462,
     463,   464,   465,   466,   145,     0,   467,     0,   468,   469,
     470,   471,   148,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,     0,   151,   481,     0,     0,     0,     0,
     152,     0,     0,     0,   482,   483,   484,   485,   486,   487,
     155,   156,   488,     0,   489,     0,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,     0,   510,   511,   512,   513,   164,   514,   515,   516,
     166,     0,   517,     0,   518,   168,   519,     0,   520,     0,
     521,   169,     0,   170,   522,   523,   524,     0,   525,   172,
       0,   526,   527,     0,   528,   529,   530,   531,  1342,   173,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   174,   175,     0,   543,   544,   545,     0,   176,
       0,   177,     0,   546,   178,   179,   547,   180,   548,   549,
     550,   551,   552,   553,   554,     0,   181,   182,   555,   183,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   188,
     189,   190,   572,   573,   574,   191,     0,   575,   576,   193,
     577,     0,   194,   578,   195,   579,   580,   581,     0,   582,
       0,     0,   583,   584,   585,     0,     0,   196,   197,   198,
     199,   200,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   201,   594,   202,   595,   596,   597,   598,     0,   599,
     600,   601,   602,   603,   604,   605,   204,   606,   607,   608,
     609,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   210,   623,   624,   625,
     626,   212,   627,   628,   629,   630,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,     0,   640,   217,   641,
     642,   219,   643,   220,     0,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   222,     0,   654,   655,     0,
     656,   657,   658,   659,   660,   661,     0,   224,   225,     0,
       0,   663,   226,   664,   227,     0,   665,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   234,     0,   682,
     235,   683,   684,   685,     0,     0,   686,     0,     0,   687,
     688,   689,   690,   691,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   692,   693,   694,   731,    86,    87,    88,
     420,    90,    91,    92,   421,     0,   422,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   732,   104,   105,   423,
     733,     0,   107,   108,   109,   110,   734,   735,   112,   113,
     114,   115,     0,   116,   736,   737,   424,   425,     0,     0,
       0,   426,   427,     0,     0,     0,     0,   428,     0,     0,
       0,     0,     0,     0,     0,     0,   429,     0,   430,     0,
     431,   432,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,   444,     0,     0,     0,     0,     0,     0,
       0,   445,   446,     0,   447,   448,   133,   449,   450,   451,
     452,     0,  1878,   137,  1879,  1880,     0,   453,   454,   455,
     456,   457,     0,     0,   458,   459,  1881,  1882,   461,     0,
     462,   463,   464,   465,   466,     0,     0,   467,     0,   468,
     469,   470,   471,   148,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,     0,   151,   481,     0,     0,     0,
       0,   152,     0,     0,     0,   482,   483,   484,   485,   486,
     487,  1883,  1884,   488,     0,   489,     0,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,   499,     0,
     500,   501,  1485,   503,   504,     0,   505,   506,   507,     0,
     508,   509,     0,   510,   511,   512,   513,     0,   514,   515,
     516,     0,     0,   517,     0,   518,  1885,   519,     0,   520,
       0,   521,   169,     0,   170,   522,   523,   524,     0,   525,
       0,     0,   526,   527,     0,   528,   529,   530,   531,   532,
     173,   533,   534,   535,  2430,   536,   537,   538,   539,   540,
     541,     0,   542,   174,  2431,     0,   543,   544,   545,  1491,
    1886,     0,  1887,     0,   546,   178,   179,   547,   180,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   182,   555,
     183,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
    1888,   189,  1889,   572,   573,   574,     0,     0,   575,   576,
     193,   577,     0,     0,   578,  1890,   579,   580,   581,     0,
     582,     0,     0,   583,   584,   585,     0,     0,  2432,   197,
     198,   199,     0,   586,   587,   588,   589,   590,   591,   592,
       0,   593,     0,   594,     0,   595,   596,   597,   598,     0,
     599,   600,   601,   602,   603,   604,   605,  1891,   606,   607,
     608,   609,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   210,   623,   624,
     625,   626,     0,   627,   628,   629,   630,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,     0,   640,  2433,
     641,   642,   219,   643,  1893,     0,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,     0,     0,   654,   655,
       0,   656,   657,   658,   659,   660,   661,     0,  1894,  1895,
       0,     0,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,     0,   676,   677,   678,   679,   680,     0,  1896,  2434,
     682,   235,   683,   684,   685,     0,     0,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   692,   693,   694,   731,    86,    87,
      88,   420,    90,    91,    92,   421,     0,   422,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   732,   104,   105,
     423,   733,     0,   107,   108,   109,   110,   734,   735,   112,
     113,   114,   115,     0,   116,   736,   737,   424,   425,     0,
       0,     0,   426,   427,     0,     0,     0,     0,   428,     0,
       0,     0,     0,     0,     0,     0,     0,   429,     0,   430,
       0,   431,   432,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,   444,     0,     0,     0,     0,     0,
       0,     0,   445,   446,     0,   447,   448,   133,   449,   450,
     451,   452,     0,  1878,   137,  1879,  1880,     0,   453,   454,
     455,   456,   457,     0,     0,   458,   459,  1881,  1882,   461,
       0,   462,   463,   464,   465,   466,     0,     0,   467,     0,
     468,   469,   470,   471,   148,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,     0,   151,   481,     0,     0,
       0,     0,   152,     0,     0,     0,   482,   483,   484,   485,
     486,   487,  1883,  1884,   488,     0,   489,     0,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,   499,
       0,   500,   501,  1485,   503,   504,     0,   505,   506,   507,
       0,   508,   509,     0,   510,   511,   512,   513,     0,   514,
     515,   516,     0,     0,   517,     0,   518,  1885,   519,     0,
     520,     0,   521,   169,     0,   170,   522,   523,   524,     0,
     525,     0,     0,   526,   527,     0,   528,   529,   530,   531,
     532,   173,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   174,     0,     0,   543,   544,   545,
    1491,  1886,     0,  1887,     0,   546,   178,   179,   547,   180,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   182,
     555,   183,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,  1888,   189,  1889,   572,   573,   574,     0,     0,   575,
     576,   193,   577,  2422,     0,   578,  1890,   579,   580,   581,
       0,   582,     0,     0,   583,   584,   585,     0,     0,     0,
     197,   198,   199,     0,   586,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,     0,   595,   596,   597,   598,
       0,   599,   600,   601,   602,   603,   604,   605,  1891,   606,
     607,   608,   609,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   210,   623,
     624,   625,   626,     0,   627,   628,   629,   630,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,     0,   640,
    2433,   641,   642,   219,   643,  1893,     0,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,     0,     0,   654,
     655,  3850,   656,   657,   658,   659,   660,   661,     0,  1894,
    1895,     0,     0,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,     0,   676,   677,   678,   679,   680,     0,  1896,
       0,   682,   235,   683,   684,   685,     0,     0,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   692,   693,   694,   731,    86,
      87,    88,   420,    90,    91,    92,   421,     0,   422,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   732,   104,
     105,   423,   733,     0,   107,   108,   109,   110,   734,   735,
     112,   113,   114,   115,     0,   116,   736,   737,   424,   425,
       0,     0,     0,   426,   427,     0,     0,     0,     0,   428,
       0,     0,     0,     0,     0,     0,     0,     0,   429,     0,
     430,     0,   431,   432,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,   444,     0,     0,     0,     0,
       0,     0,     0,   445,   446,     0,   447,   448,   133,   449,
     450,   451,   452,     0,  1878,   137,  1879,  1880,     0,   453,
     454,   455,   456,   457,     0,     0,   458,   459,  1881,  1882,
     461,     0,   462,   463,   464,   465,   466,     0,     0,   467,
       0,   468,   469,   470,   471,   148,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,     0,   151,   481,     0,
       0,     0,     0,   152,     0,     0,     0,   482,   483,   484,
     485,   486,   487,  1883,  1884,   488,     0,   489,     0,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
     499,     0,   500,   501,  1485,   503,   504,     0,   505,   506,
     507,     0,   508,   509,     0,   510,   511,   512,   513,     0,
     514,   515,   516,     0,     0,   517,     0,   518,  1885,   519,
       0,   520,     0,   521,   169,     0,   170,   522,   523,   524,
       0,   525,     0,     0,   526,   527,     0,   528,   529,   530,
     531,   532,   173,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   174,     0,     0,   543,   544,
     545,  1491,  1886,     0,  1887,     0,   546,   178,   179,   547,
     180,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     182,   555,   183,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,  1888,   189,  1889,   572,   573,   574,  2482,     0,
     575,   576,   193,   577,     0,     0,   578,  1890,   579,   580,
     581,     0,   582,     0,     0,   583,   584,   585,     0,     0,
       0,   197,   198,   199,     0,   586,   587,   588,   589,   590,
     591,   592,     0,   593,     0,   594,     0,   595,   596,   597,
     598,     0,   599,   600,   601,   602,   603,   604,   605,  1891,
     606,   607,   608,   609,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   210,
     623,   624,   625,   626,     0,   627,   628,   629,   630,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,     0,
     640,  1892,   641,   642,   219,   643,  1893,     0,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,     0,     0,
     654,   655,     0,   656,   657,   658,   659,   660,   661,     0,
    1894,  1895,     0,     0,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,     0,   676,   677,   678,   679,   680,     0,
    1896,     0,   682,   235,   683,   684,   685,     0,     0,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   692,   693,   694,   731,
      86,    87,    88,   420,    90,    91,    92,   421,     0,   422,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   732,
     104,   105,   423,   733,     0,   107,   108,   109,   110,   734,
     735,   112,   113,   114,   115,     0,   116,   736,   737,   424,
     425,     0,     0,     0,   426,   427,     0,     0,     0,     0,
     428,     0,     0,     0,     0,     0,     0,     0,     0,   429,
       0,   430,     0,   431,   432,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,   444,     0,     0,     0,
       0,     0,     0,     0,   445,   446,     0,   447,   448,   133,
     449,   450,   451,   452,     0,  1878,   137,  1879,  1880,     0,
     453,   454,   455,   456,   457,     0,     0,   458,   459,  1881,
    1882,   461,     0,   462,   463,   464,   465,   466,     0,     0,
     467,     0,   468,   469,   470,   471,   148,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,     0,   151,   481,
       0,     0,     0,     0,   152,     0,     0,     0,   482,   483,
     484,   485,   486,   487,  1883,  1884,   488,     0,   489,     0,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,   499,     0,   500,   501,  1485,   503,   504,     0,   505,
     506,   507,     0,   508,   509,     0,   510,   511,   512,   513,
       0,   514,   515,   516,     0,     0,   517,     0,   518,  1885,
     519,     0,   520,     0,   521,   169,     0,   170,   522,   523,
     524,     0,   525,     0,     0,   526,   527,     0,   528,   529,
     530,   531,   532,   173,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   174,     0,     0,   543,
     544,   545,  1491,  1886,     0,  1887,     0,   546,   178,   179,
     547,   180,   548,   549,   550,   551,   552,   553,   554,     0,
       0,   182,   555,   183,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,  1888,   189,  1889,   572,   573,   574,  3677,
       0,   575,   576,   193,   577,     0,     0,   578,  1890,   579,
     580,   581,     0,   582,     0,     0,   583,   584,   585,     0,
       0,     0,   197,   198,   199,     0,   586,   587,   588,   589,
     590,   591,   592,     0,   593,     0,   594,     0,   595,   596,
     597,   598,     0,   599,   600,   601,   602,   603,   604,   605,
    1891,   606,   607,   608,   609,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     210,   623,   624,   625,   626,     0,   627,   628,   629,   630,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
       0,   640,  1892,   641,   642,   219,   643,  1893,     0,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,     0,
       0,   654,   655,     0,   656,   657,   658,   659,   660,   661,
       0,  1894,  1895,     0,     0,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,   679,   680,
       0,  1896,     0,   682,   235,   683,   684,   685,     0,     0,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   692,   693,   694,
     731,    86,    87,    88,   420,    90,    91,    92,   421,     0,
     422,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     732,   104,   105,   423,   733,     0,   107,   108,   109,   110,
     734,   735,   112,   113,   114,   115,     0,   116,   736,   737,
     424,   425,     0,     0,     0,   426,   427,     0,     0,     0,
       0,   428,     0,     0,     0,     0,     0,     0,     0,     0,
     429,     0,   430,     0,   431,   432,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,   444,     0,     0,
       0,     0,     0,     0,     0,   445,   446,     0,   447,   448,
     133,   449,   450,   451,   452,     0,  1878,   137,  1879,  1880,
       0,   453,   454,   455,   456,   457,     0,     0,   458,   459,
    1881,  1882,   461,     0,   462,   463,   464,   465,   466,     0,
       0,   467,     0,   468,   469,   470,   471,   148,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,     0,   151,
     481,     0,     0,     0,     0,   152,     0,     0,     0,   482,
     483,   484,   485,   486,   487,  1883,  1884,   488,     0,   489,
       0,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,   499,     0,   500,   501,  1485,   503,   504,     0,
     505,   506,   507,     0,   508,   509,     0,   510,   511,   512,
     513,     0,   514,   515,   516,     0,     0,   517,     0,   518,
    1885,   519,     0,   520,     0,   521,   169,     0,   170,   522,
     523,   524,     0,   525,     0,     0,   526,   527,     0,   528,
     529,   530,   531,   532,   173,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   174,     0,     0,
     543,   544,   545,  1491,  1886,     0,  1887,     0,   546,   178,
     179,   547,   180,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   182,   555,   183,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,  1888,   189,  1889,   572,   573,   574,
       0,     0,   575,   576,   193,   577,     0,     0,   578,  1890,
     579,   580,   581,     0,   582,     0,     0,   583,   584,   585,
       0,     0,     0,   197,   198,   199,     0,   586,   587,   588,
     589,   590,   591,   592,     0,   593,     0,   594,     0,   595,
     596,   597,   598,     0,   599,   600,   601,   602,   603,   604,
     605,  1891,   606,   607,   608,   609,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   210,   623,   624,   625,   626,     0,   627,   628,   629,
     630,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,     0,   640,  1892,   641,   642,   219,   643,  1893,     0,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
       0,     0,   654,   655,     0,   656,   657,   658,   659,   660,
     661,     0,  1894,  1895,     0,     0,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,     0,   676,   677,   678,   679,
     680,     0,  1896,     0,   682,   235,   683,   684,   685,     0,
       0,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   692,   693,
     694,   731,    86,    87,    88,   420,    90,    91,    92,   421,
       0,   422,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   732,   104,   105,   423,   733,     0,   107,   108,   109,
     110,   734,   735,   112,   113,   114,   115,     0,   116,   736,
     737,   424,   425,     0,     0,     0,   426,   427,     0,     0,
       0,     0,   428,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,   430,     0,   431,   432,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,   444,     0,
       0,     0,     0,     0,     0,     0,   445,   446,     0,   447,
     448,   133,   449,   450,   451,   452,     0,  1878,   137,  1879,
    1880,     0,   453,   454,   455,   456,   457,     0,     0,   458,
     459,  1881,  1882,   461,     0,   462,   463,   464,   465,   466,
       0,     0,   467,     0,   468,   469,   470,   471,   148,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,     0,
     151,   481,     0,     0,     0,     0,   152,     0,     0,     0,
     482,   483,   484,   485,   486,   487,  1883,  1884,   488,     0,
     489,     0,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,   499,     0,   500,   501,  1485,   503,   504,
       0,   505,   506,   507,     0,   508,   509,     0,   510,   511,
     512,   513,     0,   514,   515,   516,     0,     0,   517,     0,
     518,  1885,   519,     0,   520,     0,   521,   169,     0,   170,
     522,   523,   524,     0,   525,     0,     0,   526,   527,     0,
     528,   529,   530,   531,   532,   173,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   174,     0,
       0,   543,   544,   545,  1491,  1886,     0,  1887,     0,   546,
     178,   179,   547,   180,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   182,   555,   183,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,  1888,   189,  1889,   572,   573,
     574,     0,     0,   575,   576,   193,   577,     0,     0,   578,
    1890,   579,   580,   581,     0,   582,     0,     0,   583,   584,
     585,     0,     0,     0,   197,   198,   199,     0,   586,   587,
     588,   589,   590,   591,   592,     0,   593,     0,   594,     0,
     595,   596,   597,   598,     0,   599,   600,   601,   602,   603,
     604,   605,  1891,   606,   607,   608,   609,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   210,   623,   624,   625,   626,     0,   627,   628,
     629,   630,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,     0,   640,  2433,   641,   642,   219,   643,  1893,
       0,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     653,     0,     0,   654,   655,     0,   656,   657,   658,   659,
     660,   661,     0,  1894,  1895,     0,     0,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,   676,   677,   678,
     679,   680,     0,  1896,     0,   682,   235,   683,   684,   685,
       0,     0,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   692,
     693,   694,   731,    86,    87,    88,   420,    90,    91,    92,
     421,     0,   422,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   732,   104,   105,   423,   733,     0,   107,   108,
     109,   110,   734,   735,   112,   113,   114,   115,     0,   116,
     736,   737,   424,   425,     0,     0,     0,   426,   427,     0,
       0,     0,     0,   428,     0,     0,     0,     0,     0,     0,
       0,     0,   429,     0,   430,     0,   431,   432,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,   444,
       0,     0,     0,     0,     0,     0,     0,   445,   446,     0,
     447,   448,   133,   449,   450,   451,   452,     0,  1878,   137,
    1879,  1880,     0,   453,   454,   455,   456,   457,     0,     0,
     458,   459,  1881,  1882,   461,     0,   462,   463,   464,   465,
     466,     0,     0,   467,     0,   468,   469,   470,   471,   148,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
       0,   151,   481,     0,     0,     0,     0,   152,     0,     0,
       0,   482,   483,   484,   485,   486,   487,  1883,  1884,   488,
       0,   489,     0,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,   499,     0,   500,   501,  1485,   503,
     504,     0,   505,   506,   507,     0,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,  1885,   519,     0,   520,     0,   521,   169,     0,
     170,   522,   523,   524,     0,   525,     0,     0,   526,   527,
       0,   528,   529,   530,   531,   532,   173,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   174,
       0,     0,   543,   544,   545,  1491,  1886,     0,  1887,     0,
     546,   178,   179,   547,   180,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   182,   555,   183,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,  1888,   189,  1889,   572,
     573,   574,     0,     0,   575,   576,   193,   577,     0,     0,
     578,  1890,   579,   580,   581,     0,   582,     0,     0,   583,
     584,   585,     0,     0,     0,   197,   198,   199,     0,   586,
     587,   588,   589,   590,   591,   592,     0,   593,     0,   594,
       0,   595,   596,   597,   598,     0,   599,   600,   601,   602,
     603,   604,   605,  1891,   606,   607,   608,   609,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   210,   623,   624,   625,   626,     0,   627,
     628,   629,   630,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,     0,   640,     0,   641,   642,   219,   643,
    1893,     0,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,     0,     0,   654,   655,     0,   656,   657,   658,
     659,   660,   661,     0,  1894,  1895,     0,     0,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,     0,   676,   677,
     678,   679,   680,     0,  1896,     0,   682,   235,   683,   684,
     685,     0,     0,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     692,   693,   694,   731,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   732,   104,   105,   423,   733,     0,   107,
     108,   109,   110,   734,   735,   112,   113,   114,   115,     0,
     116,   736,   737,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,   133,   449,   450,   451,   452,     0,     0,
     137,     0,     0,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,     0,     0,   461,     0,   462,   463,   464,
     465,   466,     0,     0,   467,     0,   468,   469,   470,   471,
     148,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,   151,   481,     0,     0,     0,     0,   152,     0,
       0,     0,   482,   483,   484,   485,   486,   487,     0,     0,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,     0,   514,   515,   516,     0,     0,
     517,     0,   518,     0,   519,     0,   520,     0,   521,   169,
       0,   170,   522,   523,   524,     0,   525,     0,     0,   526,
     527,     0,   528,   529,   530,   531,   532,   173,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     174,     0,     0,   543,   544,   545,     0,     0,     0,     0,
       0,   546,   178,   179,   547,   180,   548,   549,   550,   551,
     552,   553,   554,     0,     0,   182,   555,   183,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,     0,   189,     0,
     572,   573,   574,     0,     0,   575,   576,   193,   577,     0,
       0,   578,     0,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,     0,   197,   198,   199,     0,
     586,   587,   588,   589,   590,   591,   592,     0,   593,     0,
     594,     0,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,     0,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   210,   623,   624,   625,   626,     0,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,     0,   641,   642,   219,
     643,     0,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,     0,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,     0,     0,     0,   682,   235,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   738,   442,   443,
     444,   739,   740,   741,   742,   743,   744,   745,   445,   446,
     746,   447,   448,   133,   449,   450,   451,   452,   135,   136,
     137,   138,   139,   747,   453,   454,   455,   456,   457,   748,
     749,   458,   459,     0,   140,   461,   751,   462,   463,   464,
     465,   466,   145,   752,   467,   753,   468,   469,   470,   471,
     148,   472,   754,   755,   474,   475,   476,   477,   478,   479,
     480,   756,   151,   481,     0,   758,   759,   760,   152,   761,
     762,   763,   482,   483,   484,   485,     0,   487,   155,   156,
     488,   764,   489,   765,   490,   491,   492,   493,   494,   766,
     495,   496,   497,   498,   767,   499,   768,   500,   501,   502,
     503,   504,   769,   505,   506,   507,   770,   508,   509,   771,
     510,   511,   512,   513,   164,   514,   515,   516,   166,   772,
     517,   773,   518,   168,   519,   774,   520,   775,   521,   169,
     776,   170,   522,   523,   524,   777,   525,   172,   778,   526,
     527,   779,   528,   529,     0,   531,   532,   173,   533,   534,
     535,   780,   536,   537,   538,   539,   540,   541,   781,   542,
     174,   175,     0,   543,   544,   545,     0,   176,   784,   177,
     785,   546,   178,   179,   547,   180,   548,   549,   550,   551,
     552,   553,   554,   786,   181,   182,   555,   183,   787,   556,
     557,   558,   788,   789,   559,   560,   561,   562,   563,     0,
     565,   566,   567,     0,   569,   570,   571,   188,   189,   190,
     572,   573,   574,   191,   790,   575,   576,   193,   577,   791,
     194,   578,   195,   579,   580,   581,   792,   582,   793,   794,
     583,   584,   585,   795,   796,   196,   197,   198,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   797,   593,   201,
     594,   202,   595,   596,   597,   598,   798,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,   799,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   800,   621,   622,   210,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,     0,   634,   801,   635,
     636,   637,   638,   639,   802,   640,   217,   641,   642,   219,
     643,   220,   803,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,   804,   654,   655,   805,   656,   657,
     658,   659,   660,   661,   806,   224,   225,     0,   808,   663,
     226,   664,   227,   809,   665,   666,   667,   668,   669,   670,
       0,   811,   671,   672,   673,   674,   675,   812,   813,   676,
     677,   678,   679,   680,     0,   234,   815,   682,   235,   683,
     684,   685,   816,   817,   686,   818,   819,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,  2033,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,  2034,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,  2035,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,   662,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,  1151,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,  2231,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,  2380,   462,   463,   464,
     465,   466,   145,     0,   467,  2445,   468,   469,   470,   471,
       0,   472,   473,  2381,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
    2446,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,  2383,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,  2384,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,  2385,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,  2380,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,  2381,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
    2446,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,  2383,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,  3300,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,  2384,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,  2385,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,  1050,   440,   441,  1009,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,  1010,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,  1051,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,  1011,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,  1012,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  2011,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1009,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,  1010,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,  3020,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,  1011,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,  1012,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,  2380,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,  2381,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
    2446,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,  2383,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,  2384,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,  2385,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   714,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,   715,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,   716,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1009,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,  1010,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,  1011,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,  1012,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,   923,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   924,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   925,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  2068,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,  2069,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,  2070,   521,     0,
       0,     0,  2071,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,  2072,  2073,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,  2074,   631,   632,   633,   634,     0,  2075,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,  2076,   656,  2077,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,  1010,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,  1011,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,  1012,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,   130,   131,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,  1390,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,  2057,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,  2338,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,  2897,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,  2898,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,  2899,   656,   657,
    2900,   659,  2901,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,  2902,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   723,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,   716,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   873,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1325,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,  2533,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  2534,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,   130,   131,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  3093,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  3094,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  3105,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  3106,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   929,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   972,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   973,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
     433,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,  1026,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,  1082,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,  1294,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,  1347,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1570,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,  1964,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,  2057,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,  2338,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,  3367,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,  3986,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,  3999,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  4148,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,  4201,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,  4203,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,  4205,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  4582,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,  1034,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1036,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,  1037,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1038,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1039,   225,     0,     0,  1040,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,  1076,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,  1037,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1077,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1078,   225,     0,     0,  1079,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,  1096,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,  1230,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1285,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,  1308,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1338,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1344,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1354,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1356,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1358,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1360,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1363,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1365,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,  1366,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1369,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,  1581,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,  1063,   459,  1037,   140,  1582,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,  1067,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,  1068,   625,   626,   212,
     627,   628,   629,  1069,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1574,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1071,   225,     0,     0,  1072,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,  1073,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,  1705,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1924,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1954,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1989,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  1991,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,  2103,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,  2305,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,     0,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  2666,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  3096,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  3098,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,  3182,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,  3715,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,  1063,   459,  1037,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,  1067,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,  1068,   625,   626,   212,
     627,   628,   629,  1069,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1574,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1071,   225,     0,     0,  1072,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,  1073,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,  1063,   459,  1037,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,  1067,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,  1068,   625,   626,   212,
     627,   628,   629,  1069,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1574,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,  2371,
     658,   659,   660,   661,     0,  1071,   225,     0,     0,  1072,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,  1073,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,  1063,   459,  1037,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,     0,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,  1067,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,   604,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,  1068,   625,   626,   212,
     627,   628,   629,  2426,   631,   632,   633,   634,     0,   635,
     636,   637,   638,  1574,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,  1071,   225,     0,     0,  1072,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,  1041,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,  1073,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,   420,    90,    91,
      92,   421,     0,   422,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   423,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   424,   425,     0,     0,     0,   426,   427,
       0,     0,     0,     0,   428,     0,     0,     0,     0,     0,
       0,     0,     0,   429,     0,   430,     0,   431,   432,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
     444,     0,     0,     0,     0,     0,     0,     0,   445,   446,
       0,   447,   448,     0,   449,   450,   451,   452,   135,   136,
       0,   138,   139,     0,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   140,   461,     0,   462,   463,   464,
     465,   466,   145,     0,   467,     0,   468,   469,   470,   471,
       0,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,     0,     0,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   486,   487,   155,   156,
     488,     0,   489,     0,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,     0,
     510,   511,   512,   513,   164,   514,   515,   516,   166,     0,
     517,     0,   518,   168,   519,     0,   520,     0,   521,     0,
       0,     0,   522,   523,   524,     0,   525,   172,     0,   526,
     527,     0,   528,   529,   530,   531,   532,     0,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,     0,   542,
       0,   175,     0,   543,   544,   545,     0,   176,     0,   177,
       0,   546,     0,     0,   547,     0,   548,   549,   550,   551,
     552,   553,   554,     0,   181,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   188,     0,   190,
     572,   573,   574,   191,     0,   575,   576,     0,   577,     0,
     194,   578,   195,   579,   580,   581,     0,   582,     0,     0,
     583,   584,   585,     0,     0,   196,     0,     0,     0,   200,
     586,   587,   588,   589,     0,   591,   592,     0,   593,   201,
     594,   202,   595,   596,   597,   598,     0,   599,   600,   601,
     602,   603,     0,   605,   204,   606,   607,   608,   609,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,     0,   623,   624,   625,   626,   212,
       0,   628,   629,   630,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,     0,   640,   217,   641,   642,     0,
     643,   220,     0,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   222,     0,   654,   655,     0,   656,   657,
     658,   659,   660,   661,     0,   224,   225,     0,     0,   663,
     226,   664,   227,     0,   665,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   234,     0,   682,     0,   683,
     684,   685,     0,     0,   686,     0,     0,   687,   688,   689,
     690,   691,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   692,   693,   694,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115, -2337,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,   127,    35,
       0,   415,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,     0,   145,     0,     0,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,   198,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115, -2338,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,  1146,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,     0,   145,     0,     0,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,     0,   145,     0,     0,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,     0,
     145,     0,     0,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245
};

static const yytype_int16 yycheck[] =
{
       2,   898,   367,    78,   246,     2,  1112,  1011,  1012,    78,
    1295,    78,  1016,    78,    78,  1347,  1065,   153,   209,  1117,
    1394,  1352,  1343,   228,   154,  1080,  1728,  2013,   167,  1756,
    1773,  1443,  1182,   117,   150,  1425,  1298,  1780,  1849,  1850,
    1224,   855,  1221,  1601,  1908,  1307,  2071,  1760,   187,   935,
    1483,  1484,  1231,  2020,  1512,   952,  1276,   165,  1760,  1892,
    2759,   160,  1240,  2481,   117,    94,   223,   171,   729,  1502,
    1456,  1851,   383,   203,  1817,  1818,    78,  1936,   162,  1072,
    2220,  1936,    84,  2906,   898,  3089,   383,  3109,    96,  3111,
     165,  2912,  1657,  1658,  1659,  1756,  3322,   854,   106,   132,
       2,  1951,  1936,   132,  1283,   209,  1936,  1286,  1622,   162,
    3062,  1936,  1291,  2571,  1334,   117,  1936,  1140,   730,  2524,
    2108,  1300,  1910,   347,   153,   154,  1159,  3606,  1159,  3231,
    1309,  3244,  3555,  1384,   163,   143,  2739,    78,   952,  2962,
     897,  2269,  3244,    84,  3599,  2969,   230,  2141,   216,   157,
     978,   153,  3502,  1711,  1806,   208,   167,  2438,  2439,  2009,
     162,  2155,    78,   216,  3851,   218,  2908,  2909,    84,  2845,
    1764,  3808,  3795,  2910,   203,  1715,   187,   230,  1407,  1202,
    1960,  1385,  1068,  3507,  3508,  1473,  1474,   369,  1375,  2607,
    3827,  1190,  1652,  1653,   951,  2312,  1109,  4245,  1198,   369,
    1109,   117,  4062,  1154,  1155,    21,   208,    30,  2202,  3440,
    1498,  1223,    10,  1225,   216,    72,   218,    72,  1812,    72,
    1232,    88,  3567,    75,    76,    77,    78,   136,   230,    86,
      82,    86,  1231,   108,  2351,  1447,  1448,    99,  2355,  3248,
    3249,  3250,  3251,  3252,  3253,   836,   162,    84,   122,   969,
    4485,    75,    76,    77,    78,  2673,    88,  2675,    82,  4508,
     114,   209,   923,   183,   102,   167,    75,    76,    77,    78,
    1274,    14,     8,    82,   114,    11,    12,  4386,   129,  1530,
     129,   113,   227,  3762,   129,   187,    22,    23,    24,    78,
      26,    27,    78,   232,    37,    31,    32,    33,   238,  2975,
     375,  4501,    75,    76,    77,    78,   375,  2171,   375,    82,
     375,   375,   136,   145,   230,   842,    88,    99,    75,    76,
      77,    78,    78,   850,   106,    82,   227,   313,    95,    72,
    1385,  3064,    75,    76,    77,    78,   112,   232,    81,    82,
      83,    84,   100,    86,    72,   145,    78,    75,    76,    77,
      78,   112,    84,    81,    82,    72,   883,   326,    86,   151,
     178,   183,  1259,   182,    81,    78,   117,   272,   185,    86,
      99,  1394,   176,    75,    76,    77,    78,   106,  2403,   183,
      82,   383,   183,    78,   158,   117,   232,    97,   185,   176,
     419,    75,    76,    77,    78,    78,  4833,   232,    82,   233,
    4449,  1062,   204,   407,   329,  1555,    90,  1585,   118,   253,
      72,   162,   939,  4648,   391,    22,   418,    99,   111,    81,
     183,   948,    95,   147,    86,   439,   183,   232,   246,    99,
     162,    75,    76,    77,    78,   202,   106,  1895,    82,   343,
     176,  4489,   383,   190,  4067,  1259,    90,   439,    93,   274,
    1883,  1884,   364,   316,   149,   510,    25,  1890,   188,   276,
     240,   516,   147,  2580,     0,    72,   185,   383,    88,  4906,
     165,    75,    76,    77,    78,   232,   208,   418,    82,   230,
     392,   458,  1368,   301,   216,   176,   218,   305,   350,    75,
      76,    77,    78,   113,   316,  1550,    82,    25,   230,   316,
     363,   515,   418,   407,    90,   330,   129,    78,   494,   267,
     514,   117,   316,    84,   196,    75,    76,    77,    78,    38,
     321,    40,    82,   515,   321,   145,   662,   838,  3261,   202,
      90,   382,  1863,   382,    29,  1590,  1591,   382,  1859,   272,
     378,   838,   176,   512,  1156,  1157,   117,   176,   365,   241,
     272,   246,  3665,   316,   176,   393,   162,   267,  4758,   252,
     176,  1584,  4611,  3665,   512,  1588,  1589,   512,  1396,   214,
     432,   307,   434,   395,  1460,   515,   515,  4056,  4813,   499,
     398,   418,   712,   713,  3593,  1176,   375,   512,  4823,   375,
    4699,   162,  4215,  1881,  1882,    75,    76,    77,    78,   439,
    2433,  1889,    82,   512,  3767,   443,  3024,   381,   388,   514,
      90,   465,   465,  1875,   515,   419,  4865,   353,   422,   375,
     515,  1280,   441,  1802,   230,  1804,  4861,  1811,    75,    76,
      77,    78,   414,   662,  1854,    82,  1848,   512,   512,  3989,
    4263,   508,   429,  3993,   460,   469,   503,   504,   503,   504,
     426,   383,  2210,  1373,  2442,   512,  2214,    85,   450,   230,
     662,   480,   375,   515,   515,   426,   515,   465,  1846,   515,
     515,   515,   474,  2063,   369,   493,   508,   512,   512,  3502,
     375,  3912,   439,   712,   713,   414,   418,   510,   512,   136,
     506,   458,   375,  1872,  4742,  1581,  3517,  4042,   515,   268,
     729,   510,   375,   512,   861,   514,   479,   512,   512,   845,
     510,  2438,   448,   460,   514,   439,  4576,   992,  1741,  1246,
    1671,   996,   997,   998,  1747,   498,  1639,  1739,   458,  1256,
    1639,  1006,  2445,   505,   506,   507,   508,   979,   429,   512,
     268,   515,   499,   462,   414,  3203,   391,  1112,  3206,  3207,
     834,   129,  3210,   889,   439,  1755,   980,   514,  4381,   382,
     503,   504,  3220,   232,   409,  4388,  4814,  3776,    14,   264,
     404,  1794,   464,  1385,  1797,  1798,   504,   479,   877,   183,
    3603,   834,   515,  2923,  1443,  3522,   503,   504,  1315,   478,
    3208,  3209,  1791,   515,  2605,   925,   498,   316,   163,  3080,
     429,  3082,    75,    76,    77,    78,    88,   429,   944,    82,
     512,   214,   383,   429,    88,  2044,   478,  2811,  2812,  2936,
    2414,  2050,  2816,   202,  2028,  2365,   515,  4345,   512,  4347,
    2017,   232,   834,   188,    99,  4472,   838,  1860,    95,    25,
     842,   503,   504,   153,   176,  2133,  2134,   418,   850,    35,
     989,   154,   991,  2313,   993,  2315,  2107,  2108,   163,   975,
     999,   241,  2856,  2857,  1021,   469,   227,  2118,   512,   391,
    2121,   979,   237,    75,    76,    77,    78,   182,  2129,  2130,
      82,   883,   192,  1022,  1023,   505,   506,   507,   508,  2602,
    1787,  2142,  2143,   241,   923,  3571,   925,   838,    75,    76,
      77,    78,  2153,   978,   332,    82,   117,    14,   512,  3861,
     215,   266,    75,    76,    77,    78,   272,   211,   834,    82,
    1102,   143,   838,   272,  2651,   188,   512,   929,   439,  1086,
      37,   196,  1102,   313,    95,   313,    14,   939,   153,   272,
      75,    76,    77,    78,   973,   202,   948,    82,   977,   135,
    3231,   162,   512,  1957,   232,    75,    76,    77,    78,  1116,
     103,   104,    82,  3244,   214,   313,   272,   969,   976,   109,
     439,  2026,   969,  1787,   235,  4662,   270,   192,  4457,   326,
     991,   313,   993,   991,  1092,   993,  4336,  4624,   499,  2641,
     512,  4341,   274,   331,  4344,  1003,   400,   208,  1066,   326,
     274,   380,  1070,   266,   382,   216,   409,   218,  4332,    99,
     272,  1022,  1023,  1066,  1022,  1023,   377,  1070,   383,   230,
    4183,  4184,  4185,  4186,  4187,   429,  2075,  2076,   407,   407,
     499,  1064,   512,  1062,   344,  1064,  4554,  4263,   439,  3320,
    1197,   202,   336,    72,   138,   514,    75,    76,    77,    78,
    1709,   191,    81,    82,    83,    84,   188,    86,  1060,   149,
     177,   155,   466,  2927,  1066,   512,   156,   969,  1070,   313,
     138,   499,   500,   501,   478,   503,   504,   505,   506,   507,
     508,   236,   268,   834,   464,  1087,   343,   989,   231,   991,
     233,   993,  1094,  4638,   184,   400,  1993,   999,  1000,  1001,
     187,   153,   834,   458,   460,   377,   838,   329,   512,  4588,
     163,   460,   470,   478,   153,   183,   464,   395,   212,  4574,
    1022,  1023,  1397,   433,   429,  1400,  1785,   460,  1403,   344,
    1405,    99,    88,  1408,   266,   229,  4759,  1412,   293,   256,
     192,   402,    85,  1140,   482,    88,  1087,   360,   513,   234,
     407,   516,    85,   192,   460,    88,  2589,   113,   452,   409,
     516,   466,  1159,  4584,  4585,   512,  3989,   257,   516,   430,
    3993,  1087,   105,   478,    75,    76,    77,    78,   388,  1993,
     113,    82,   343,   446,   237,   512,   273,   120,   336,   145,
    4011,   162,   160,   471,   336,   458,  1855,  4219,   460,  2254,
    4021,  4551,  4747,  2031,   234,  1202,   478,   512,   155,   234,
     357,   107,   145,   380,   375,  1874,  4040,   460,   433,  1318,
     464,   503,   504,   505,   506,   507,   508,  4706,   834,   503,
     504,   505,   506,   507,   508,   163,   183,   130,  1140,   512,
     407,   330,  2139,   515,  1246,   138,   407,   332,   316,   459,
     429,   365,   253,   321,  1256,   397,   241,  1159,  2520,   230,
    4002,  1920,   226,   834,   358,  3723,   138,   838,   400,   512,
    4007,  3729,  3730,  3731,  3732,  3733,  3734,   432,  1280,   434,
    4703,  4704,  4019,   978,   979,   336,   240,   183,  1530,  3077,
     358,  3894,   344,  4406,   441,   409,  3084,   153,   235,   512,
    1202,   456,   332,   371,  4406,   344,  4785,  2330,    95,   237,
     512,   428,   429,  1315,   101,  4860,   249,  2350,   274,  2350,
     253,  1396,  1981,    88,   187,  2139,   458,   470,   313,   301,
     383,   274,   422,   480,  1066,   512,   192,   422,  1070,  3364,
     212,   274,   275,   330,   458,  2676,   314,  2668,   113,   512,
     223,   196,  3079,  4898,   199,  1087,   289,   229,   343,   453,
     314,  2646,  4783,  2625,  2626,  2627,  2628,   515,   393,   316,
    1372,  1373,   441,  1375,   375,  1372,  1373,   512,  1375,   380,
     145,   433,  1384,   316,  3665,   453,   319,  1611,   352,   332,
    1701,  1399,   512,  1401,   433,   224,  1404,  1394,  1406,   332,
     293,  1409,  1410,  1411,  1701,  4884,   407,  1102,  3396,   279,
     273,   480,  4389,  1442,  1422,   202,  2028,   290,  3079,  4842,
    3279,  3826,   447,  2937,  3279,   478,   398,  1435,  3422,  1437,
     186,  3425,  3426,  3427,  3428,  3429,  3430,  3431,  3432,  3433,
    3434,  1443,  2662,  1625,  1626,  3279,  1628,   232,  1975,  3279,
    3578,  3869,   185,  3871,  3279,  1625,  1626,  1984,  1628,  3279,
     513,  3455,   513,   516,   515,   402,   120,   233,   253,  1471,
    1372,  1373,  2495,  1375,   503,   504,   342,   478,   411,   464,
    2503,   326,  2505,   312,  1641,  4462,   358,   272,   344,   479,
    3484,  3485,  1394,   430,   250,    71,   232,  1499,  3348,    75,
      76,    77,    78,    79,    80,   393,    82,  2404,   498,   274,
     275,   336,   236,  4336,  2173,  1599,  1087,   253,  4341,   420,
     421,  4344,   512,   510,   460,  1527,  1528,   514,  1530,   441,
    2781,  4352,  4353,  4759,  1567,  1568,   272,   512,  1567,  1568,
     357,  1543,   122,   276,  2071,  1547,  1599,   503,   504,   505,
     506,   507,   508,   178,   319,   443,   343,  4509,   186,  4382,
     503,   504,   505,   506,   507,   508,   499,   500,   501,   293,
     503,   504,   505,   506,   507,   508,   512,   433,  2829,   345,
     515,   453,  1584,   316,  4283,   103,   104,  1584,   375,   127,
    2404,  1588,  1589,   178,   174,   249,  1598,  1599,  1651,   253,
    4577,  4623,   178,   499,   246,    75,    76,    77,    78,  2860,
    4587,   478,    82,   234,   510,   122,   512,   513,   514,   515,
     407,   246,   250,   834,   441,  1627,   505,   506,   507,  1631,
    1632,  1715,   365,  4637,   334,   289,  1669,   175,  1737,  3029,
    1669,   186,   263,   343,  2895,   163,   412,   157,   515,  1651,
    1652,  1653,  3085,   393,   301,   178,  4074,  4075,   305,   301,
     232,   246,  1715,   480,   182,    88,  1663,   174,   196,  1722,
     246,   199,   516,  3238,   460,   460,   301,  4376,  4501,  4378,
     305,   253,  1584,  1599,  2345,   265,  1588,  1589,   513,   199,
     515,  1688,  1689,   242,  4152,  4153,  1749,   215,    95,  1701,
     272,  1396,   393,   443,   101,   250,  1708,  1709,   432,  2732,
     434,  1652,  1653,  1715,   510,  4667,   301,   255,   514,  3050,
    1722,    95,   145,   246,   460,   301,   512,   101,  4551,   305,
     518,   516,   456,   313,  1632,  1651,  1652,  1653,   503,   504,
     505,   506,   507,   508,  1741,  4566,     2,  1749,   472,   188,
    1747,   398,   443,   232,  1756,   304,   398,   411,   265,  1661,
    1701,  1663,   300,   202,   302,   479,   175,  1708,  2654,   223,
     409,   471,  1467,   398,   253,   313,   213,  2489,   301,  1681,
     516,  1834,   305,  1785,   498,  1701,  1688,  1689,   316,    14,
    2449,  1486,  1708,   272,  3788,     5,   185,  1794,   326,  1715,
    1797,  1798,   343,  2689,   342,   202,   313,    75,    76,    77,
      78,   400,    37,   398,    82,    25,   396,   254,  3417,   458,
    3040,  1516,   398,    71,    72,    35,  2538,  3607,   202,   343,
     379,  1915,  1834,    89,   375,  1530,   290,  3625,   164,  1741,
     429,   390,  3441,   381,  4745,  1747,  1982,    72,  1599,    75,
      76,    77,    78,  1855,   516,  1066,    82,    85,   391,  1070,
      88,   375,  1915,  1860,    72,   499,   407,  1599,   493,   339,
    2397,   260,  1874,    41,   328,   398,  2403,   466,    86,   417,
     514,  3065,   400,  4023,   227,   418,   401,   512,   460,   396,
    1892,   300,  1794,   302,   237,  1797,  1798,   153,  3288,   185,
    1651,  3644,  3645,   159,  2953,  2928,  3464,   233,  3772,  2100,
     253,   429,   478,  1915,   429,  4816,   355,   493,  1920,  1651,
    1652,  1653,  2581,   512,  2032,   135,  2083,   316,   115,   185,
    1625,  1626,  2925,  1628,   232,  4758,   262,   208,   223,  2696,
     401,   227,   227,   343,   516,   375,   343,   218,   466,   515,
     137,   277,   470,  2264,    81,   253,  2031,   472,  1860,    86,
     478,   287,   175,   460,  1715,  3959,  3960,  2264,   429,  1701,
     493,   512,  4430,  1975,   260,   375,  1708,   407,   375,  1981,
    2877,   460,  1984,  1715,   310,   327,  3444,  3445,   330,   512,
    1722,   201,    71,  1599,   512,  2099,  4897,  3383,   268,  1915,
      79,    80,   365,   233,   330,   290,   196,  2106,   227,   199,
     407,   472,  4913,   376,    16,  2017,  2091,  1749,  2020,   479,
    2017,  3579,  2091,  2020,  2091,   253,  2091,  2091,  1599,   248,
     316,   221,   262,  2041,   343,  2043,  4403,   516,   498,  2047,
     403,  2049,   385,   328,  2052,   258,   274,   277,  2056,   478,
     479,  4469,   512,   321,   147,  2716,   375,   287,   268,  4426,
     386,   380,   155,  2877,    97,  1967,   375,   128,  3389,  2071,
    3482,   380,    75,    76,    77,    78,   227,  3256,  4045,    82,
    1651,  1652,  1653,  4782,   360,   118,   147,   300,   407,   302,
    2749,  2175,   510,  3957,  3807,   321,   211,   248,   407,   517,
     161,   432,  1834,   434,   332,  2107,  2108,   223,   223,  1715,
     164,   227,   227,  2115,    51,  2017,  2118,  3844,  2020,  2121,
     513,  3954,  2175,   516,  2126,  4406,   316,  2129,  2130,  3831,
    1701,   321,    69,  2947,   460,  2137,   326,  1708,  2140,  2141,
    2142,  2143,    85,  2282,  1715,    88,   343,   325,  2150,  2151,
     211,  2153,  3038,  2155,  2156,   270,   386,  2159,  2266,   478,
     515,   516,   105,  3742,  1915,  3744,   395,  3387,  3747,   478,
    3749,  2173,  2174,  2175,   290,   290,   397,  2179,   375,   233,
     183,  2183,   280,  1915,  2375,  2187,  2377,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,   343,  2199,    34,   343,
    3451,   155,   431,  2205,  3637,   343,  2208,   510,   262,   512,
     407,   514,   328,   328,  3604,  3605,   196,  2119,  2120,   199,
     512,   336,  4503,   277,    85,  2127,   443,    88,   375,  2131,
    2132,   375,   513,   287,  2370,   516,  2763,   375,    89,  2304,
    2767,   221,   380,  2141,  2146,    85,  2148,   439,    88,   478,
     479,    75,    76,    77,    78,   445,   310,  2155,    82,  2175,
     407,   397,  2264,   407,   454,   105,  2168,  2269,  2170,   407,
     439,   499,   500,   501,  3278,   503,   504,   505,   506,   507,
     508,  2365,   236,   512,   159,   395,  1934,    85,    71,    72,
      88,   256,    75,    76,    77,    78,    79,    80,    81,    82,
     507,  4295,   256,    86,  1952,   512,   343,   514,   375,  1915,
    4304,  2313,  2365,  2315,  2157,   113,  2345,  2160,  2220,   507,
     330,   431,   120,  2264,   512,   335,   514,  4321,  4322,   431,
     515,   274,   386,  2330,   519,    88,  2031,   452,   375,   293,
     407,   321,   317,   318,  1915,    85,   326,   145,  2264,   330,
    2352,  2487,  2354,  2350,   335,  2352,   377,  2354,   515,   517,
     113,  3511,   519,  2365,    72,  3739,  3544,  3390,   478,   479,
     407,  3257,  2313,  3259,  2315,   248,   478,   479,   400,  2906,
    2282,   335,  3041,   511,  2468,   135,   136,   515,  1599,   332,
    2392,     7,   145,   478,   479,  2397,  2091,  2313,   513,  2315,
     183,  2403,   512,    19,    20,   126,   662,   429,  3514,  3515,
     512,   397,  2465,   274,   511,  2468,   280,  3231,   515,   432,
     330,   434,  4447,    39,  2175,   400,    42,   513,  2330,   515,
    3244,  2433,   512,  3319,   274,  2962,  2438,  2439,   503,   504,
     505,   506,   507,  2175,   466,  4003,   511,  2449,  2350,  2365,
    2352,   510,  2354,   512,   429,   253,   478,    75,    76,    77,
      78,    71,   518,  2465,    82,   445,  2468,   391,   392,    79,
      80,   332,   512,  3132,   454,  3134,   274,   275,   432,  4037,
     434,   513,    86,   515,   122,  2180,   330,  2489,   271,   443,
     512,   466,   332,   126,   513,  2611,   515,   321,  2495,   453,
     515,  4365,   456,   478,  1715,   495,  2503,   211,  2505,   115,
     293,  1722,   503,   504,   505,   506,   507,   391,   392,   223,
    3179,   319,   513,   227,   512,   276,   514,   165,  3712,   514,
      85,  4525,  2264,    88,   332,  4262,  2538,   512,  1749,   513,
     154,   515,   158,   330,   154,  3204,   513,  3832,   515,  2465,
    2915,   189,  2468,  3965,   515,   516,   499,   500,   501,   333,
     503,   504,   505,   506,   507,   508,   270,   333,   206,  2175,
     439,  2828,   210,  2830,  2831,    85,   227,  2579,    88,  2581,
     495,  2313,   198,  2315,   330,   513,   290,   515,   496,   497,
     228,  3853,   206,  2495,   395,   105,   513,   207,   515,  2549,
    2550,  2503,  2604,  2505,  2175,   395,   244,  2609,   513,  2304,
     515,    71,    72,  4599,  2365,  4601,   478,   479,  2860,    79,
      80,   333,   878,  1834,   328,   513,    86,   515,   115,   885,
     431,   276,   336,  2365,   513,   495,   515,  2639,   499,   500,
     501,   431,   503,   504,   505,   506,   507,   508,   258,  2651,
    3309,    75,    76,    77,    78,   513,   505,   515,    82,   499,
     500,   501,   231,   503,   504,   505,   506,   507,   508,   283,
     284,   513,   515,   515,  3333,  3201,  3202,   478,   479,   935,
     936,   512,   296,   321,   512,  2587,   514,  2716,   478,   479,
    3941,   329,   513,  2264,   515,  2900,  2901,  2902,  2700,  4284,
    4285,  4286,  4287,   321,  1915,   503,   504,   505,   506,   507,
     508,   512,   126,   969,  2465,   232,  3739,  2468,   513,   274,
     503,   504,   512,  2965,   513,   363,   515,   513,   513,   343,
     515,   272,   513,  2465,   515,  2732,  2468,   513,   348,   515,
    2954,  2955,  2313,  3402,  2315,   516,   505,  2749,   452,   513,
     518,   515,  2836,    75,    76,    77,    78,   518,  2842,  2365,
      82,  2763,  3421,   268,   274,  2767,   128,   439,   439,   379,
    1026,    75,    76,    77,    78,   439,   439,   332,    82,  2781,
    2782,  4483,   512,  2836,  4174,   439,   513,  3446,   515,  2842,
     208,   513,  4166,   515,  2365,   513,   108,   515,  1054,   268,
     162,    75,    76,    77,    78,   126,   274,  1063,    82,  2811,
    2812,  1067,  1068,  1069,  2816,   439,   513,   431,   515,   433,
     512,   514,   332,  3482,   407,   481,  2828,  2829,  2830,  2831,
    2732,    98,   512,   432,  2836,   434,   432,  3364,   434,  2841,
    2842,   451,  2844,   513,  2846,   515,   513,   512,   515,   459,
     330,  3665,   462,   514,  2856,  2857,   280,   219,  2860,  2465,
     227,   183,  2468,  3886,   513,   513,   515,   515,  2943,   516,
     513,  2873,   515,  2875,  2943,   185,  2943,  2879,  2943,  2943,
     147,   128,   288,    75,    76,    77,    78,  4299,   318,   251,
      82,   330,   460,  2895,  2465,   512,   325,  2468,  1154,  1155,
     513,   397,   515,  1159,  2906,   280,  2908,  2909,  2910,   183,
     512,   138,  4062,  2811,  2812,   162,   478,  1106,  2816,  1108,
    2836,    75,    76,    77,    78,   513,  2842,   515,    82,   108,
    2932,  2928,    86,   200,   316,   481,  4663,    75,    76,    77,
      78,   512,  2944,  4754,    82,   500,   501,  2949,   503,   504,
     505,   506,   507,   508,  2956,   513,   115,   515,  2856,  2857,
    2962,   227,   229,  4248,  2175,   115,   343,   234,    85,   448,
     400,    88,   219,   517,   513,  3502,   515,    75,    76,    77,
      78,   343,  4161,  4038,    82,   513,   216,   515,   105,   499,
     500,   501,   152,   503,   504,   505,   506,   507,   508,   429,
     851,   513,   361,   515,   251,   513,   857,   515,   216,    75,
      76,    77,    78,   375,   281,   866,    82,   512,   380,  1275,
    3022,  2923,   384,   216,  2926,   138,  2928,   481,   216,   183,
     392,   513,   145,   515,   216,   216,   466,   399,   513,  3041,
     515,   513,   155,   515,   895,   407,   216,   216,   478,   900,
     513,  4441,   515,   415,   515,   330,  3109,  3110,  3111,   216,
     911,   423,   330,  3199,    75,    76,    77,    78,   216,   216,
     183,    82,   185,   513,   216,   515,  3603,  3079,  3080,  4822,
    3082,   216,   512,   513,   429,  2836,   516,   513,   513,   515,
     515,  2842,   108,   513,   361,   515,   228,   513,  4349,   515,
     513,   513,   515,   515,  2836,   512,   227,  3109,  3110,  3111,
    2842,   473,  1368,   513,  4526,   515,  1372,  1373,   513,  1375,
     515,   513,   513,   515,   515,   513,   288,   515,   395,   330,
    3132,  4028,  3134,   380,   401,   382,   227,   384,  1394,   513,
     512,   515,  3226,   353,   513,   392,   515,   260,   513,   513,
     515,   515,   399,   340,  2365,  3814,   513,   274,   515,  3243,
     407,   513,   429,   515,   513,  2860,   515,  3297,   415,   513,
     513,   515,   515,  3226,   512,   512,   423,  3179,   512,  2874,
    4592,   448,   512,  1439,  4596,  4597,   513,   513,   515,   515,
    3243,   515,  3328,  3109,  3110,  3111,   108,   513,  2893,   515,
     166,  3331,  3204,   316,  1460,   472,   288,   513,   321,   515,
     512,  2906,  4216,   512,  4028,   332,  3994,   512,  3996,   512,
     512,   512,   512,   512,  3226,   512,   473,   512,  3230,  3231,
    2836,   512,   512,  3298,  3231,  4609,  2842,   272,   274,   512,
     512,  3243,  3244,   512,   108,   358,  3311,  3244,  2943,   512,
    3492,   512,   512,   512,  2465,   512,   512,  2468,   371,   512,
    3502,   328,   227,  4594,   227,  2836,  3331,  2962,  3297,   505,
    2965,  2842,  4593,  4371,   407,   268,  1532,   305,   398,  4530,
     515,   182,   459,   515,   499,    14,  1542,   515,   512,  3494,
    3495,  3496,  3497,   512,   512,   439,  1552,   514,   439,   395,
     439,   395,  3331,  1154,  1155,   439,  3965,  3309,   439,   439,
    3226,   439,   395,   330,   399,   439,   439,   321,  3320,   459,
     439,   147,   330,   258,   326,  1581,   512,  3243,  1584,  3231,
     439,  3333,  1588,  1589,  3236,  3237,   439,   512,   155,   515,
     453,   329,  3244,   343,   460,   460,   177,   439,  4633,   439,
     439,   126,   126,   439,   334,   439,   114,   114,  3109,  3110,
    3111,   439,  3364,   439,   439,   395,   515,   439,   439,   330,
    3272,   481,   330,  3457,   274,   512,   478,  3109,  3110,  3111,
     108,   469,   499,   500,   501,   512,   503,   504,   505,   506,
     507,   508,   107,  3390,   512,    97,   316,  3399,   216,   478,
    3402,   512,   183,   460,  3457,   296,  3408,   472,   471,   326,
     316,   108,  3414,  4072,  3416,  1671,   227,   512,   108,  3421,
    3422,  4753,   280,  3425,  3426,  3427,  3428,  3429,  3430,  3431,
    3432,  3433,  3434,   514,  4093,   460,  3438,  3439,   216,  4488,
     396,   460,  4693,   216,  3446,   216,  4105,   216,    14,  3451,
     325,   515,   439,  3455,   320,  3457,   232,  3459,  4743,  4565,
     512,   474,  3989,   437,   495,   307,  3993,  3469,   307,    88,
    3472,   515,  3474,   407,   512,  3226,   232,   437,   512,   499,
    3482,  3483,  3484,  3485,  4143,   439,  4383,  3489,  3390,   515,
    3492,   441,  3243,   515,  3226,   513,   247,   247,   512,   331,
    3502,   326,   270,  3109,  3110,  3111,   515,   460,   515,    34,
    3512,  3243,   513,    10,  4411,   513,   513,   439,  3520,   395,
    3522,   439,   154,   395,  3422,   278,  4847,  3425,  3426,  3427,
    3428,  3429,  3430,  3431,  3432,  3433,  3434,   512,  3109,  3110,
    3111,  3457,  3681,   278,   460,   439,   397,   280,   512,   321,
     330,   321,   337,  1809,   321,   439,   515,  3455,   439,   395,
     375,   404,   439,   329,  3566,   439,   365,   227,   274,  4383,
    3572,   108,   460,   274,   274,   460,  3578,   329,   274,  3715,
    3664,   274,  3666,   512,   499,   107,  3484,  3485,   499,   510,
     439,    85,  4406,   439,    88,   216,   510,  4411,   404,   227,
     229,  3603,   326,  3298,   512,    98,   404,  3660,   216,   215,
     108,  3664,   330,  3666,   330,   245,  3311,   506,   245,   113,
    3226,   108,   227,   216,   227,  2836,   120,   330,   253,   512,
     253,  2842,   330,   253,   481,   515,  3331,  3243,    96,   132,
    4299,   404,   238,   330,   303,   515,   126,   429,    71,   325,
     513,   145,   513,   146,   280,  3226,    79,    80,  3660,   513,
     232,   513,  3664,  3665,  3666,   513,   159,   495,  3665,   513,
     515,   232,  3243,    96,   347,   513,   513,   512,  3580,   513,
     513,  1937,   495,   513,   513,   439,   513,   475,   339,   513,
     513,   512,    90,    90,   513,   383,   475,   499,   499,   513,
     516,  4705,   466,   515,   513,   515,  3457,   200,   290,   333,
     256,   264,   330,   330,   439,   512,   512,   321,   457,   481,
     216,   216,   290,   298,   298,  3457,   348,   439,   298,   439,
     439,   154,   348,   395,   439,   439,   229,   395,   395,   395,
     439,   234,  3739,   407,  3660,   439,   216,   439,  3664,   114,
    3666,   274,   513,   439,   439,   249,   274,   274,  3755,   253,
     274,  2017,   274,  3665,  2020,   274,   274,  2023,   510,   305,
     513,   290,   499,   448,   334,   515,   377,   176,   515,  3681,
     274,   275,   513,   949,   207,   515,  3788,   513,   954,   512,
     330,   439,   241,   460,   460,   289,   227,  3492,   964,   333,
     395,   395,   515,   395,  4701,   214,   214,  3502,   274,  4336,
     232,    88,  3814,   208,  4341,  3880,   227,  4344,   513,   510,
    1671,   471,   136,   240,   513,   319,   232,   331,   499,   513,
     253,   513,   512,   227,   513,   258,   513,  3739,   332,   332,
     512,   515,  3844,  3845,  3846,   513,   515,   499,   513,   108,
     513,  3457,  3754,  3755,   439,  4382,   439,   512,   460,   264,
     460,  3763,   448,  4054,   448,  3767,   439,  4526,   361,   395,
    2126,   395,   439,   513,   439,   513,  3778,   513,   227,   145,
     176,   274,   513,  4410,   448,   274,  3457,  4701,   278,  3886,
    3788,   478,   108,   481,   227,   259,   511,  4556,  3109,  3110,
    3111,   512,   395,  3905,   150,   512,   515,   478,   401,  3660,
    4049,   404,   439,  3664,   513,  3666,   431,   411,   515,   478,
    4447,    85,   512,   404,   515,   348,   237,   232,  3660,   274,
     274,   274,  3664,  4592,  3666,   513,   429,  4596,  4597,  3941,
     274,   232,   435,   370,   513,   126,   476,   476,   277,  3951,
    3952,  4090,  3954,   515,   512,   448,   379,  3959,  3960,   513,
     338,   513,  3964,  3965,   513,   388,   126,   512,  3970,  3971,
    4035,   277,  3974,   512,  4501,   243,   326,   439,   513,   472,
     513,  1832,  2238,  4348,  3886,   232,   499,  3989,   478,   145,
     321,  3993,   448,   321,   499,   515,   216,   190,   274,   515,
    4002,   321,   234,   232,   427,  4007,   500,   501,   511,   503,
     504,   505,   506,   507,   508,  3226,   460,  4019,   404,   460,
     203,   474,   197,   478,  4551,   232,  4023,   512,   451,   512,
     261,   333,  3243,   232,   512,   512,   459,   465,   370,   462,
     416,   513,   513,  4045,   512,   512,   346,   277,  4045,   513,
     513,   477,  4191,   371,  3660,  4057,   330,   478,  3664,   513,
    3666,  3959,  3960,   108,   512,   512,   227,   321,   256,   512,
    4072,   299,   215,   513,   176,   392,   334,   392,  2334,   126,
    4164,   439,   512,   138,  1935,   333,   138,   499,   126,  3660,
     126,  4093,   512,  3664,  2350,  3666,  2352,   336,  2354,   512,
    1951,   460,   222,  4105,   330,   431,   362,   198,   333,   333,
     464,  4164,    85,   370,   465,   515,   108,   232,   475,   368,
     227,  4023,   478,   515,   203,    95,   330,   330,   108,   512,
     478,   101,   387,   513,   513,   512,   126,   512,   391,   513,
     188,  4143,   458,  4045,   512,    94,   391,  4049,   105,   215,
     513,   362,   512,   375,  1835,  1200,  1589,  2610,  2009,  2928,
    2475,  4226,  4164,  3090,  3664,  2532,  4219,  3225,  4433,  4164,
    2426,  4609,  4478,   143,  4236,  3835,  4483,  4209,  4487,  2721,
      89,    85,  3023,  4789,    88,  3880,  4382,  1353,  4090,  4846,
    4734,  4733,  4803,  2811,  2812,  4634,  3027,  3837,  2816,  1953,
    3799,  4103,  4104,  3660,  2600,  4207,  4108,  4109,  2600,   113,
    3110,  3805,  1938,  2595,  4741,  3807,   120,  4219,  3290,  4851,
    4922,  4911,   108,  3243,   194,  3230,  4810,  4413,  1930,  4714,
    4797,  4758,   202,  4416,   187,   205,  1431,  3889,  2856,  2857,
    4573,   145,   128,  2439,  3842,  4663,  3457,  3844,  4164,  3181,
    4828,  4915,  4470,   936,  2266,  2032,  2267,  2943,   167,  1081,
    4262,  3829,  3576,  2704,  1430,  4792,  4036,  1617,  2944,  2525,
    2950,  2302,  1635,  1387,  1634,  2956,   162,  2301,   187,  1445,
    2285,  4183,  4184,  4185,  4186,  4187,  1637,  2970,   258,  4191,
    2962,  1457,  1096,  4295,  3989,  3502,  3995,  4299,  3993,  4552,
    1086,  1641,  4304,  4219,  4776,  3467,   210,  2563,  3577,  4528,
    3459,  4777,  4780,  2874,  2947,  2571,  2783,  2872,  3572,  4321,
    4322,  2205,   662,  4325,  3328,  2655,  1322,  1969,  2334,   971,
    4767,   384,  1647,   219,  4336,  1653,  1177,  2310,  1442,  4341,
    4035,  2350,  4344,   313,  2342,   249,   316,  4349,  4350,   253,
    1157,  2922,  1157,  3583,  2343,  4022,   326,  3584,  1564,  4367,
    3549,   417,  2354,  4360,   334,   251,  2717,  1651,  2624,  1372,
     274,   275,  2061,   343,     2,    -1,    -1,    -1,    -1,    -1,
    4382,    -1,    -1,    -1,    -1,   289,    -1,    -1,  1002,    -1,
    4917,    -1,  2648,    -1,   280,    -1,    -1,  4295,  2654,    -1,
      -1,    -1,    -1,    -1,  4406,   375,  4304,    -1,  4410,  4406,
     380,    -1,    -1,  4164,    -1,   319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4321,  4322,    -1,    -1,    -1,   332,    -1,
      -1,    -1,  4164,  2689,    -1,    -1,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4447,    -1,    -1,    71,  3660,
      -1,    -1,  1618,  3664,    -1,  3666,    79,    80,  4360,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  4219,    95,
      -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,   105,  2334,    -1,   108,    -1,  4219,    -1,    -1,
     113,    -1,    -1,   463,   380,    -1,    -1,   120,   384,  4501,
      -1,  4503,    -1,    -1,  4406,    -1,   392,   411,    -1,    -1,
    2361,    -1,    -1,   399,    -1,  2366,    -1,   143,  2369,    -1,
      -1,   407,   145,  4525,  4526,    -1,  4528,    -1,  4530,   415,
      -1,  4226,    -1,    -1,    -1,    -1,    -1,   423,    -1,  1359,
    2391,    -1,    -1,    -1,    -1,  4547,    -1,    -1,    -1,  4551,
    1370,    -1,    -1,    -1,  4556,    -1,    -1,    -1,  4164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,  2420,
    4623,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   473,    -1,    -1,
    4592,   477,  2443,  4164,  4596,  4597,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4219,    -1,  2466,    -1,    -1,    -1,    -1,
      -1,  4623,    -1,    -1,    -1,  4867,   249,  4525,    -1,  4631,
     253,    -1,   258,    -1,    -1,    -1,    -1,  2488,    -1,    -1,
    2491,  4336,    -1,    -1,    -1,    -1,  4341,    -1,  4219,  4344,
      -1,   274,   275,    -1,    -1,    -1,    -1,  2508,    -1,    -1,
      -1,  4663,    -1,    -1,  2515,    -1,   289,    -1,  4670,    -1,
      -1,    -1,  2928,    -1,    -1,    -1,    -1,  2528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2537,   313,    -1,    -1,
     316,  4693,    -1,   316,    -1,    -1,   319,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,    -1,  4708,  4623,   334,   332,
      -1,    -1,   335,    -1,    -1,    -1,    -1,   343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,  4741,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,   375,
      -1,    -1,    -1,  4828,   380,    -1,  4758,    -1,    -1,  4828,
      -1,  4828,    -1,  4828,  4828,    -1,    -1,    -1,  4670,    -1,
      -1,    -1,    -1,    -1,    -1,  4859,    -1,  4779,  4780,    -1,
      -1,   407,  3038,    -1,    -1,   143,    -1,    -1,   411,    -1,
    4792,    -1,  4867,    -1,    -1,    -1,    -1,    -1,  4867,    -1,
    4867,    -1,  4867,  4867,  3422,    -1,  4859,  3425,  3426,  3427,
    3428,  3429,  3430,  3431,  3432,  3433,  3434,    -1,    -1,    -1,
    1986,    -1,    -1,    -1,    -1,    -1,    -1,  4911,    89,    -1,
    1996,  4833,    -1,    94,    -1,    -1,   194,   463,  4922,    -1,
    4915,  4843,  2008,    -1,   202,    -1,  4915,   205,  4915,    -1,
    4915,  4915,    -1,    -1,    -1,    -1,  4551,  4859,  4911,  3115,
      -1,    -1,  4859,    -1,    -1,    -1,  3484,  3485,    -1,  4922,
      -1,   132,  4623,    -1,    -1,    -1,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,  3142,    -1,    -1,    -1,
      -1,  4623,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,    -1,    -1,  2069,  4906,    -1,  2072,    -1,  2074,  4911,
     171,  2077,    -1,    -1,  4911,  4917,    -1,   108,    -1,    -1,
    4922,    -1,    -1,   184,    -1,  4922,    -1,    -1,    -1,    -1,
      -1,   192,    -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,
      -1,    -1,    -1,  4859,    -1,    -1,   207,  3203,   209,    -1,
    3206,  3207,   213,  4164,  3210,   313,    -1,  4859,   316,    -1,
      -1,    -1,   223,    -1,  3220,    98,    -1,    -1,   326,  3225,
     231,   162,    -1,    -1,    -1,  3231,   334,   110,    -1,    -1,
      -1,  3237,    -1,    -1,    -1,   343,    -1,    -1,  3244,    -1,
      -1,    -1,    -1,    -1,    -1,  4911,    -1,    -1,    -1,   132,
      -1,  3257,    -1,  3259,    -1,    -1,  4922,    -1,  4219,  4911,
      -1,    -1,    -1,   146,    -1,    -1,    -1,  4623,    -1,    -1,
    4922,    -1,   380,    -1,    -1,    -1,   159,    -1,   219,    -1,
      -1,    -1,    -1,    -1,    -1,  3291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,   407,
      -1,    -1,  4623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,  3318,  3319,    -1,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     989,    -1,   991,    -1,   993,   218,    -1,    -1,    -1,   280,
     999,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,   463,    -1,   240,  4859,    -1,
      -1,    -1,    -1,  1022,  1023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,  4859,    -1,    -1,
      -1,   108,    -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,   128,    -1,    -1,    -1,    -1,  1976,    -1,    -1,    -1,
    4911,    -1,    -1,    -1,    -1,  1985,    -1,    -1,    -1,    -1,
    3788,  4922,  4867,    -1,  1994,  1995,    -1,    -1,    -1,  4911,
      -1,   314,    -1,    -1,    -1,   162,    -1,    -1,    -1,   380,
    4922,    -1,  2012,   384,    -1,    -1,    -1,    -1,    -1,   332,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,   399,   342,
      -1,    -1,  3468,    -1,    -1,    -1,   407,    -1,    -1,    -1,
    4915,    -1,    -1,    -1,   415,    -1,    -1,    -1,   361,    -1,
      -1,  1140,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   219,    -1,    -1,  1154,  1155,    -1,    -1,    -1,
    1159,    -1,    -1,  4859,    -1,   388,    -1,    -1,    -1,    -1,
     393,    -1,   395,    -1,    -1,  3521,    -1,    -1,   401,    -1,
      -1,   404,    -1,    -1,   251,    -1,    -1,  3128,  2444,    -1,
      -1,    -1,   473,    -1,  3135,    -1,   477,   478,  4859,    -1,
      -1,    -1,    -1,  1202,    -1,    -1,   429,    -1,   431,    -1,
      -1,    -1,   435,   280,    -1,  4911,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,   448,  4922,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,   472,
    4911,  3959,  3960,  3194,    -1,    -1,    -1,    35,    36,    -1,
      -1,  4922,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,   662,    -1,   380,    -1,    -1,    -1,   384,    -1,  3665,
      -1,    -1,  4623,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,   399,    -1,    -1,    -1,  3682,    -1,    -1,  3685,
     407,  3687,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,  2263,    -1,    -1,   423,   135,    -1,  3705,
    3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3723,    -1,    -1,
      -1,    -1,    -1,  3729,  3730,  3731,  3732,  3733,  3734,    -1,
      -1,    -1,    -1,  3739,    -1,  1394,    -1,  3743,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   473,  3348,    -1,    -1,
     477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3767,    -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,
      -1,   209,  3778,  3779,  3780,  3781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3385,    -1,    -1,   225,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,  2728,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     268,   842,   843,   844,   845,  3841,   847,   848,    -1,   850,
     851,   852,    -1,   854,   855,    -1,   857,    -1,   859,    -1,
     861,   145,    -1,    -1,   865,   866,   867,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,   876,    -1,   305,    -1,    -1,
     881,    -1,   883,    -1,    -1,    -1,   887,    -1,   889,    -1,
     891,    -1,    -1,   321,   895,    -1,   897,   898,    -1,   900,
     901,    -1,    -1,    -1,    -1,    -1,  3902,   908,  4859,    -1,
     911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   935,  1584,    -1,  4295,   939,  1588,
    1589,    -1,    -1,   944,    -1,    -1,    -1,   948,    -1,    -1,
     951,   952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4911,    -1,    -1,  4321,  4322,   249,   967,    -1,    -1,   253,
     398,  4922,    -1,    -1,    -1,    -1,    -1,    -1,   979,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
     274,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   289,    -1,    -1,    -1,    -1,
     113,   439,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
    1021,    -1,  1671,    -1,   452,    -1,    -1,  4023,  4024,    -1,
      -1,    -1,  1033,  1034,    -1,   319,    -1,  3628,    -1,   467,
      -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,   332,  4045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1060,
      -1,    -1,    -1,  1064,  1065,   493,    -1,  1068,    -1,    -1,
      -1,   499,    -1,    -1,    -1,   503,   504,   505,   506,   507,
      -1,  1082,   510,   511,   512,  1086,    -1,    -1,    -1,   517,
     518,    -1,  1741,  1094,    -1,    -1,    -1,    -1,  1747,    -1,
      -1,  3692,    -1,  1104,  3695,    -1,    -1,  2667,    -1,    -1,
    3016,  3017,    -1,  3019,    -1,  1116,    -1,    -1,    -1,    -1,
      -1,  2681,  2682,    -1,    -1,  2685,  3717,   411,    -1,    -1,
      -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1794,   249,    -1,  1797,  1798,
     253,    -1,    -1,  1154,  1155,    -1,  4152,  4153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4525,    -1,    -1,
    4166,   274,   275,    -1,  4170,    -1,  4172,    -1,    -1,  4175,
    4176,    -1,    -1,    -1,    -1,    -1,   289,  4183,  4184,  4185,
    4186,  4187,    -1,    -1,    -1,    -1,  1197,    -1,    -1,    -1,
      -1,  2761,    -1,    -1,    -1,  1206,  1207,    -1,    -1,    -1,
      -1,  1860,    -1,   316,    -1,    -1,   319,    -1,    -1,   503,
     504,   505,   506,   507,   508,    -1,    -1,    -1,    -1,   332,
      -1,    -1,   335,    -1,    -1,    -1,  4232,    -1,    -1,  3145,
      -1,    -1,    -1,    -1,    -1,  1246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1256,    -1,    85,  1259,    -1,
      88,    -1,    -1,    -1,    -1,  4261,    -1,    -1,    -1,    -1,
      -1,  1272,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,  1288,  4284,  4285,
    4286,  4287,   120,  1294,    -1,  1296,  1297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   411,  1310,
    1311,  1312,  1313,    -1,  1315,    -1,    -1,   145,  1319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1347,    -1,  1349,  1350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,  3269,   120,  3271,    -1,  1368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1380,
      -1,    -1,    -1,  1384,    -1,    85,    -1,    -1,    88,   145,
      -1,    -1,    -1,  1394,    -1,    -1,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,    -1,    -1,   511,    -1,
    4406,    -1,    -1,   113,   517,    -1,    -1,    -1,    -1,    -1,
     120,   249,    -1,  1424,  1425,   253,    -1,    -1,  1429,    -1,
    1431,    -1,    -1,    -1,  4430,    -1,    -1,    -1,  4434,    -1,
      -1,    -1,    -1,    -1,    -1,   145,   274,   275,    -1,    -1,
      -1,    -1,  1453,    -1,    -1,  1456,  3362,    85,  1459,  1460,
      88,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1471,  3031,    -1,    -1,    -1,    -1,  3382,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   316,    -1,
      -1,   319,   120,   249,    -1,    -1,    -1,   253,  1499,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,  4100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,   274,   275,
      -1,  4112,    -1,    -1,    -1,    -1,  1527,  1528,    -1,  1530,
      -1,    -1,    -1,   289,    -1,    -1,    -1,  3097,    -1,  3099,
      -1,    -1,    -1,    -1,    -1,    -1,  1547,    -1,    -1,   249,
      -1,    -1,    -1,   253,    -1,    -1,    -1,  4148,    -1,    -1,
     316,    -1,    -1,   319,    -1,    -1,  1567,  1568,    -1,    -1,
      -1,    -1,    -1,    -1,   274,   275,   332,    -1,    -1,    -1,
    1581,    -1,    -1,   411,    -1,    -1,    -1,  1588,  1589,   289,
      -1,    -1,    -1,    -1,  1595,    -1,    -1,  1598,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4609,    -1,    -1,    95,    -1,  3178,   319,
      -1,   249,   101,  3183,    -1,   253,  1627,    -1,    -1,    -1,
    1631,  1632,   332,  2282,    -1,    -1,    -1,    -1,    -1,    -1,
    1641,  1642,  1643,    -1,    -1,    -1,   274,   275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,
      -1,   289,    -1,    -1,   143,    -1,    -1,    -1,  1669,    -1,
    1671,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,  2330,    -1,    -1,    -1,  2334,    -1,   515,   316,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2350,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,
      -1,   411,    -1,    -1,    -1,   194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   202,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,  1760,
      -1,    -1,    -1,    -1,    -1,  1766,    -1,    -1,  1769,    -1,
      -1,    -1,  3332,    -1,    -1,    -1,  3336,    -1,  3338,   258,
    3340,  3341,    -1,   411,    -1,    -1,  1787,    -1,    -1,  3349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,   501,    -1,   503,   504,   505,   506,   507,   508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1819,  1820,
    1821,  1822,  1823,    -1,  3384,    -1,    -1,    -1,    -1,    -1,
      85,  1832,    -1,    88,   313,    -1,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2495,   326,  1849,  1850,
    1851,    -1,  1853,    -1,  2503,   334,  2505,    -1,   113,    -1,
    1861,  1862,    -1,  4859,   343,   120,  1867,    -1,    -1,    -1,
      -1,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,    -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,    -1,
     145,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,
      -1,   380,    -1,    -1,  3810,  3811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1914,    -1,  4911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4922,    -1,   407,    85,
      -1,    -1,    88,    -1,  1935,    -1,    -1,    -1,    -1,    -1,
    1941,  1942,  1943,  1944,    -1,    -1,    -1,    -1,    -1,   105,
    1951,    -1,    -1,    -1,    -1,   210,    -1,   113,    -1,  1960,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1975,  3881,  3882,  3883,    -1,    -1,
      -1,  1982,    -1,  1984,   463,    -1,    -1,    -1,    -1,   145,
      -1,    -1,  1993,    -1,   249,    -1,    -1,  1998,   253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,  2009,    -1,
      -1,    -1,  2013,  2014,    -1,    -1,    -1,    -1,    -1,   274,
     275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2029,    -1,
      -1,  2032,    -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2063,    -1,   319,    -1,    -1,    -1,    -1,    -1,
    2071,    -1,    -1,    -1,  2075,  2076,    -1,   332,    -1,    -1,
      -1,    -1,  2083,  2732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,   253,  2099,  2100,
      -1,    -1,  2103,    -1,    -1,    -1,  2107,  2108,    -1,    -1,
      -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,   274,   275,
    2121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2129,  2130,
      -1,    -1,    -1,   289,    -1,    -1,  2137,    -1,  2139,  2140,
    2141,  2142,  2143,    -1,    -1,    -1,    -1,    -1,    -1,  2150,
    2151,    -1,  2153,    -1,  2155,  2156,   411,    -1,  2159,    -1,
     316,    -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,   332,  2178,  2179,   335,
      -1,    -1,  2183,    -1,    -1,    -1,  2187,    -1,  2189,  2190,
    2191,  2192,  2193,  2194,  2195,  2196,  2197,    -1,  2199,    -1,
      -1,    -1,    -1,  2204,  2205,    -1,    -1,  2208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,  4124,    -1,
    4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,    -1,   411,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,  2265,    88,  2267,    -1,  2269,    -1,
      -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,  2928,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    85,    -1,   120,    88,    -1,
      -1,    -1,    -1,    -1,  2305,    -1,  2307,  3867,    -1,    -1,
      -1,    -1,    -1,    -1,  3874,  3875,    -1,    -1,    -1,   143,
      -1,    -1,   145,   113,    -1,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,    -1,    -1,   145,    -1,   513,    -1,    -1,
    2361,    -1,    -1,    -1,    -1,  2366,    -1,    -1,  2369,  2370,
     194,    -1,    -1,    -1,  2375,    -1,  2377,    -1,   202,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2391,  2392,    -1,    -1,    -1,    -1,  2397,    -1,  2399,  2400,
    2401,    -1,  2403,  2404,    -1,  2406,    -1,  2408,    -1,  2410,
    2411,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  2420,
     210,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
     253,    -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
      -1,   113,  2443,    -1,  2445,    -1,    -1,    -1,   120,    -1,
    2451,   274,   275,    -1,    -1,  2456,    -1,    -1,    -1,   249,
      -1,  2462,    -1,   253,    -1,  2466,   289,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,  2480,
    2481,    -1,    -1,    -1,   274,   275,  2487,  2488,    -1,   313,
    2491,    -1,   316,   316,    -1,    -1,   319,    -1,    -1,   289,
    2501,    -1,   326,    -1,    -1,    -1,    -1,  2508,    -1,   332,
     334,    -1,   335,    -1,  2515,    -1,    -1,    -1,    -1,   343,
      -1,    -1,    -1,  2524,    -1,  2526,  2527,  2528,    -1,   319,
      -1,    -1,    -1,    -1,  4094,  4095,  2537,    -1,   210,    -1,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,  2556,   380,    -1,    -1,    85,
      -1,    -1,    88,  2564,  2565,  2566,  2567,  2568,  2569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,  2579,   105,
      -1,   253,  3231,   407,  4144,  4145,    -1,   113,   411,    -1,
      -1,    -1,    -1,    -1,   120,  3244,    -1,    -1,    -1,    -1,
      -1,  2602,   274,   275,  2605,    -1,  2607,  2608,    -1,    -1,
      -1,  2612,    -1,    -1,    -1,    -1,    -1,   289,    -1,   145,
      -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,  2637,    88,  4544,   463,
      -1,    -1,    -1,  2644,  2645,    -1,    -1,   319,  4554,    -1,
      -1,    -1,    -1,  2654,  2655,    -1,    -1,    -1,    -1,    -1,
     332,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,
      -1,  2672,  2673,  2674,  2675,    -1,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,    -1,    -1,  2689,    -1,
     513,    -1,    -1,    -1,   145,  2696,    -1,  4603,    -1,  2700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4269,
      -1,  4271,  4272,   503,   504,   505,   506,   507,   508,    -1,
    2721,    -1,  4282,   249,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2737,    -1,    -1,   411,
      -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,   274,   275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2759,   210,
      -1,    -1,  2763,   289,    -1,    -1,  2767,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2775,    -1,    -1,    -1,  4684,    -1,
    2781,  2782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,   253,    -1,    -1,    -1,   332,    -1,    -1,   335,
    2811,  2812,    -1,    -1,    -1,  2816,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   274,   275,    -1,    -1,  2828,  2829,  2830,
    2831,   503,   504,   505,   506,   507,   508,    -1,   289,    -1,
    2841,    -1,    -1,  2844,    -1,  2846,  2847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2856,  2857,    -1,    -1,  2860,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,    -1,  2873,    -1,  2875,    -1,  2877,    -1,  2879,    -1,
      -1,   332,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,  2899,    -1,
      -1,    -1,    -1,    -1,    -1,  2906,    -1,  2908,  2909,  2910,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2928,    -1,    -1,
      -1,  2932,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,  2944,   113,    -1,    -1,    -1,  2949,    -1,
      -1,   120,  2953,    -1,    -1,  2956,    -1,    -1,    -1,  4519,
     411,  2962,    -1,    -1,  2965,    -1,    -1,    -1,  2969,    -1,
      -1,    -1,    -1,   499,   500,   501,   145,   503,   504,   505,
     506,   507,   508,    -1,    -1,    -1,    -1,   513,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,  3665,    -1,    -1,    -1,
      -1,  3022,    -1,  3024,    -1,    -1,    -1,    -1,  3029,    -1,
      -1,    -1,  3681,    -1,    -1,    -1,    -1,  3038,    -1,    -1,
      -1,    -1,    -1,    -1,  4604,  3046,    -1,  3048,  3049,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
    3739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,   275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,  3128,    -1,    -1,
      -1,    -1,    -1,    -1,  3135,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,    -1,    -1,    95,    -1,   105,    -1,    -1,    -1,
     101,    -1,    -1,   332,   113,    -1,   335,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   127,    -1,    -1,    -1,
      -1,    -1,    -1,  3194,    -1,    -1,   145,    -1,  3199,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,  3208,  3209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   175,    -1,  3237,  3886,    -1,    -1,
      -1,    -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   194,    -1,    -1,  3257,    -1,  3259,    -1,
      -1,   202,  3263,    -1,   205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,  4841,   852,    -1,    -1,    -1,    -1,  3288,  3289,   859,
      -1,    -1,    -1,    -1,    -1,  3296,    -1,   867,    -1,  3300,
     249,    -1,    -1,    -1,   253,    -1,   876,    -1,    -1,    -1,
      -1,   881,  3313,    -1,   255,    -1,    -1,   258,  3319,    -1,
      -1,    -1,    -1,   162,    -1,   274,   275,  3328,    -1,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     289,  3342,   511,    -1,  3345,    -1,    -1,  3348,    -1,    -1,
      -1,    -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,   300,
      -1,   302,    -1,  3364,    -1,    -1,  3367,   316,    -1,   208,
     319,    -1,   313,    -1,    -1,   316,    -1,   216,    -1,   218,
      -1,    -1,  3383,   332,  3385,   326,   335,    -1,    -1,    -1,
    3391,   230,    -1,   334,    -1,    -1,    -1,    -1,  3399,    -1,
    4049,   342,   343,    -1,    -1,    -1,    -1,  3408,    -1,    -1,
      -1,    -1,    -1,  3414,    -1,  3416,    -1,    -1,    -1,    -1,
      -1,  3422,    -1,    -1,  3425,  3426,  3427,  3428,  3429,  3430,
    3431,  3432,  3433,  3434,   375,    -1,    -1,  3438,  3439,   380,
     381,  4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3451,    -1,    -1,    -1,  3455,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,   411,  1033,    -1,    -1,   407,    -1,  3469,    -1,
      -1,  3472,    -1,  3474,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,  3483,  3484,  3485,    -1,    -1,    -1,  3489,    -1,
      -1,  3492,    -1,    -1,    -1,  1065,    -1,    -1,  3499,  3500,
    3501,  3502,  3503,    -1,    -1,    -1,  3507,  3508,    -1,    -1,
      -1,  3512,  1082,    85,    -1,    98,    88,  3518,    -1,  3520,
      -1,  3522,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,   113,  4191,    -1,    -1,    -1,    -1,    -1,   120,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
      -1,    -1,    -1,   146,   513,  3566,    -1,    -1,    -1,    -1,
      -1,  3572,    -1,   145,    -1,  3576,   159,  3578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,
     183,    -1,  3603,  3604,  3605,    -1,  3607,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,  3619,  3620,
    3621,  3622,    -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,  3650,
      -1,   234,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,   249,    -1,    -1,
      -1,   253,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,  3692,    -1,   113,  3695,    -1,    -1,    -1,   281,    -1,
     120,    -1,   274,   275,    -1,    -1,    -1,    -1,  3709,    -1,
      -1,    -1,    -1,    -1,  3715,    -1,  3717,   289,  1288,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,
      -1,   314,    -1,    -1,    85,    -1,    -1,    88,  3739,    -1,
    1310,  1311,  1312,    -1,   316,    -1,    -1,   319,    -1,   332,
      -1,    -1,    -1,    -1,   105,    -1,    -1,  4406,    -1,    -1,
     332,    -1,   113,   335,    -1,    -1,  3767,    -1,    -1,   120,
      -1,    -1,    -1,    -1,  3775,    -1,    -1,    -1,   361,    -1,
      -1,    -1,    -1,    -1,    -1,  3786,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,  3794,   145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   388,  3807,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,    -1,  3817,    -1,   401,    -1,
      -1,   404,    -1,    -1,    -1,  3826,    -1,    -1,    -1,   249,
    3831,    -1,    -1,   253,  3835,    -1,  3837,    -1,    -1,   411,
      -1,    -1,    -1,    -1,  3845,  3846,   429,    -1,   431,    -1,
      -1,    -1,   435,    -1,   274,   275,    -1,    -1,    -1,  1429,
     443,    -1,    -1,    -1,    -1,   448,    -1,    -1,  3869,   289,
    3871,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1456,    -1,  3889,   472,
      -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,   249,   319,
      -1,    -1,   253,    -1,  3905,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   332,    -1,    -1,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   274,   275,    -1,    -1,   499,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,    -1,   289,    -1,
    3941,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3951,  3952,    -1,    -1,    -1,    -1,    -1,    -1,  3959,  3960,
      -1,    -1,    -1,  3964,    -1,   316,    -1,    -1,   319,  3970,
    3971,    -1,    -1,  3974,    -1,  3976,  3977,  3978,  3979,    -1,
      -1,   332,  3983,    -1,   335,  3986,    -1,    -1,  3989,    -1,
      -1,   411,  3993,    -1,    -1,   834,    -1,    -1,  3999,    -1,
      -1,  4002,    -1,   842,    -1,    -1,  4007,    -1,    -1,    -1,
      -1,   850,  4013,    -1,    -1,    -1,    -1,    -1,  4019,    -1,
      -1,  4670,    -1,    -1,    -1,  1595,    -1,  4028,    -1,    85,
      -1,    -1,    88,    -1,    -1,  4036,    -1,    -1,    -1,  4040,
      -1,    -1,    -1,    -1,   883,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,  4054,    -1,    -1,  4057,   113,    -1,    -1,
     411,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1642,  4074,  4075,    -1,    -1,    -1,    -1,   499,
     500,   501,    -1,   503,   504,   505,   506,   507,   508,   145,
    4091,    -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,  4100,
     939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   948,
      -1,  4112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,    -1,    -1,
      -1,    -1,   513,    -1,    -1,  4166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,  4184,  4185,  4186,  4187,    -1,    -1,    -1,
      -1,    -1,    -1,   249,    -1,    -1,  1766,   253,    -1,    -1,
      -1,   163,    -1,    -1,    -1,    -1,  4207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,   275,
      -1,  1060,    -1,    -1,   843,   844,    -1,  1066,   847,   848,
      -1,  1070,    -1,   289,  4235,  4236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   865,    -1,    -1,   211,
      -1,    -1,    -1,  1823,    -1,  1094,    -1,    -1,    -1,    -1,
     316,   223,    -1,   319,  4265,   227,  4267,    -1,   887,    -1,
     232,    -1,   891,    -1,    -1,   237,   332,    -1,   240,   335,
      -1,   243,  4283,  1853,    -1,    -1,    -1,    -1,    -1,   908,
      -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4304,    -1,    -1,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,  1280,    -1,    -1,    -1,    -1,    -1,
    4321,  4322,    -1,    -1,  4325,    -1,    -1,    -1,   290,    -1,
      -1,  4332,    -1,    -1,    -1,  4336,    -1,    -1,    -1,    -1,
    4341,    -1,    -1,  4344,  4345,    -1,  4347,    -1,  4349,  4350,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,  4376,    -1,  4378,    -1,    -1,
      -1,  4382,  4383,  4384,  4385,  4386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1246,    -1,  4410,
    4411,    -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,  1998,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,
    4441,  1280,    -1,   499,   500,   501,  4447,   503,   504,   505,
     506,   507,   508,    -1,    -1,  4456,    -1,   513,    -1,  2029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,  4469,    -1,
    4471,    -1,    -1,    -1,    -1,    -1,  1315,  1443,    -1,    -1,
      -1,    -1,  4483,    -1,    -1,    -1,    -1,  4488,    -1,    -1,
     452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,
    4501,    -1,    -1,    -1,    -1,  2075,  2076,    -1,    -1,    -1,
      -1,    -1,    -1,   475,    -1,   477,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4525,    -1,    -1,  4528,    -1,  4530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,  1384,  4547,    -1,   510,    -1,
    4551,   513,   514,  4554,   516,    -1,    -1,   105,    -1,  4560,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4582,    -1,    -1,    -1,  4586,    -1,  1206,  1207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,  4599,  4600,
    4601,  4602,    -1,    -1,  1443,    -1,    -1,    -1,  4609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4631,    -1,  1471,    -1,  2204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,  1272,    -1,    -1,    -1,    -1,    -1,  2229,
    1499,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,  1296,  1297,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1527,  1528,
      -1,  1530,  4693,    -1,  1313,  2265,    -1,  2267,  4699,    -1,
    4701,   249,    -1,    -1,   145,   253,    -1,  4708,  1547,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,   275,    -1,    -1,
    1349,  1350,    -1,    -1,    -1,    -1,    -1,  4738,    -1,    -1,
    4741,   289,    -1,  1709,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4753,  4754,    -1,    -1,    -1,  4758,    -1,  1598,
    1599,    -1,    -1,    -1,    -1,    -1,  4767,    -1,   316,    -1,
      -1,   319,    -1,    -1,    -1,  4776,    -1,    -1,  4779,  4780,
      -1,  4782,    -1,    -1,   332,    -1,    -1,   335,  1627,    -1,
    1756,  4792,  1631,  1632,    -1,    -1,    -1,    -1,    -1,  4800,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,  1785,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,  4833,   274,   275,   120,    -1,    85,    -1,    -1,
      88,    -1,  4843,    -1,    -1,    -1,    -1,  4848,   289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
     145,    -1,    -1,   411,    -1,   113,    -1,    -1,    -1,    -1,
    1709,    -1,   120,    -1,    -1,   316,  1715,    -1,   319,    -1,
      -1,    -1,    -1,  1722,    -1,    -1,    -1,    -1,    -1,  1855,
      -1,   332,  2462,    -1,   335,    -1,    -1,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4906,    -1,    -1,  1874,    -1,
    1749,    -1,    -1,    -1,    -1,    -1,  4917,  1756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1785,    -1,    -1,    -1,
      -1,   499,   500,   501,  1920,   503,   504,   505,   506,   507,
     508,    -1,    -1,    -1,   249,   513,    -1,    -1,   253,    -1,
     411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,
     275,    -1,    -1,    -1,    -1,  1834,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,   289,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1981,  1855,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,   275,    -1,    -1,
      -1,   316,    -1,    -1,   319,  1874,    -1,    -1,  2608,    -1,
      -1,   289,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,
     335,    -1,    -1,  1892,    -1,    -1,    -1,    -1,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   316,    -1,
      -1,   319,   513,    -1,    -1,    -1,  1915,    -1,    -1,    -1,
      -1,  1920,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1975,    -1,   132,    -1,
      -1,    -1,  1981,    -1,    -1,  1984,    -1,    -1,    -1,    -1,
    1769,    -1,   146,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,   411,    -1,   159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1819,  1820,  1821,  1822,    -1,    -1,   200,  2173,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   218,    -1,    -1,    -1,   513,    -1,
      -1,    -1,  2071,    -1,    -1,   229,    -1,    -1,    -1,    -1,
     234,    -1,  1861,  1862,    -1,    -1,    -1,    -1,  1867,    -1,
      -1,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,    -1,   256,    -1,    -1,   513,    -1,    -1,  2107,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,
      -1,    -1,  2121,    -1,    -1,    -1,    -1,   281,    -1,    -1,
    2129,  2130,    -1,    -1,    -1,  1914,    -1,    -1,  2137,    -1,
      -1,  2140,  2141,  2142,  2143,    -1,    -1,    -1,    -1,    -1,
      -1,  2150,  2151,    -1,  2153,    -1,  2155,  2156,    -1,    -1,
    2159,    -1,  1941,  1942,  1943,  1944,    -1,    -1,    -1,  2899,
      -1,    -1,    -1,    -1,  2173,  2174,  2175,    -1,   332,    -1,
    2179,    -1,    -1,    -1,  2183,    -1,    -1,    -1,  2187,    -1,
    2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,    -1,
    2199,    -1,    -1,    -1,    -1,    -1,  2205,   361,    -1,  2208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,
      -1,    -1,    -1,  2953,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,   388,  2014,   117,    -1,    -1,   393,
      -1,   395,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
     404,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
    2269,    -1,    -1,    -1,   155,   429,    -1,   431,   159,    -1,
      -1,   435,    -1,    -1,    -1,     3,    -1,    -1,    -1,   443,
      -1,     9,    -1,    -1,   448,    13,   177,    15,    -1,    17,
      18,    -1,   183,    -1,    -1,    -1,    -1,  2433,    -1,    -1,
      28,    -1,  2438,  2439,    -1,    -1,    -1,    -1,   472,   200,
      -1,    -1,    -1,  2449,    -1,    -1,    -1,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,   240,
      -1,    -1,    -1,    -1,    -1,    -1,  2365,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,  2392,    -1,    -1,    -1,    -1,  2397,  2178,
      -1,   119,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,   141,   142,   143,    -1,    -1,    -1,    -1,
     148,    -1,   150,   314,  2433,    -1,    -1,    -1,    -1,  2438,
    2439,    -1,    -1,   161,    -1,   163,    -1,    -1,    -1,    -1,
    2449,   332,    -1,    -1,   335,  2581,    -1,    -1,    -1,   177,
      -1,   179,    -1,    -1,   182,    -1,  2465,    -1,    -1,  2468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,
     198,    -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,   217,
      -1,    -1,    -1,    -1,    -1,   223,    -1,   388,    -1,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,   237,
     401,    -1,    -1,   404,    -1,  2651,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,
     431,   432,    -1,   434,   435,    -1,    -1,    -1,    -1,  3289,
      -1,    -1,   443,    -1,    -1,    -1,  3296,   448,    -1,    -1,
    3300,    -1,   453,   291,   292,   456,    -1,    -1,   459,   297,
    2579,    -1,  2581,  3313,    -1,    -1,    -1,    -1,   306,    -1,
      -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3342,    -1,    -1,  3345,    -1,    -1,    -1,    -1,
    2399,  2400,  2401,  2749,    -1,    -1,    -1,  2406,    -1,  2408,
      -1,  2410,  2411,    -1,    -1,    -1,    -1,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,  2651,  3383,   372,    -1,   374,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,    -1,   385,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,
      -1,   399,   400,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,  2700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2501,    -1,    -1,    -1,    -1,    -1,   446,    -1,
     448,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,
      -1,    -1,    -1,   461,    -1,    -1,    -1,    -1,   466,    -1,
    2749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,  1280,    -1,    -1,  2763,    -1,    -1,    -1,  2767,  3499,
    3500,  3501,    -1,    -1,    -1,    -1,    -1,  2556,    -1,    -1,
      -1,    -1,  2781,  2782,    -1,  2564,  2565,  2566,  2567,  2568,
    2569,    -1,    -1,    -1,   512,    -1,    -1,    -1,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2811,  2812,    -1,    -1,    -1,  2816,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,
    2829,  2830,  2831,    -1,    -1,    -1,    -1,  2836,    -1,    -1,
      -1,    -1,  2841,  2842,    -1,  2844,    -1,  2846,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2856,  2857,    -1,
      -1,  2860,    -1,    -1,    -1,  2644,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,  2873,    -1,  2875,    -1,    -1,    -1,
    2879,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
     109,    -1,    -1,  2672,   113,  2674,  2895,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,  2906,    -1,  2908,
    2909,  2910,    -1,    -1,    -1,  3041,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1443,    -1,   145,    -1,    96,    -1,
      -1,    -1,    -1,  2932,    -1,    -1,    -1,    -1,   106,    -1,
      -1,    -1,    -1,    -1,    -1,  2944,    -1,    -1,    -1,    -1,
    2949,    -1,    -1,  3079,  3080,    -1,  3082,  2956,    -1,    -1,
      -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,
      -1,    -1,    -1,    -1,    -1,   163,  2775,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,  3132,    -1,  3134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,
      -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,   253,   203,    -1,    -1,    -1,    -1,
      -1,    -1,  3041,    -1,    -1,  3775,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3179,    -1,   274,   275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,   236,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,    -1,
    3079,  3080,    -1,  3082,    -1,    -1,    -1,  3817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,    -1,
    3109,  3110,  3111,   332,    -1,    -1,   335,    -1,  3244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3132,    -1,  3134,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,    85,   120,    -1,    88,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,    -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,
    1709,   105,   411,    -1,  3320,    -1,    -1,   145,    -1,   113,
      -1,    -1,    -1,    -1,    -1,  3204,   120,  3333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,    -1,    -1,
      -1,   145,  3231,    -1,    -1,    -1,    -1,  1756,    -1,    -1,
      -1,   460,    -1,    -1,  3243,  3244,  3976,  3977,  3978,  3979,
      -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1785,  3046,    -1,  3048,
    3049,    -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
      -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
    3309,    -1,    -1,   227,    -1,    -1,    -1,    -1,   232,    -1,
    3446,  3320,    -1,    -1,    -1,    -1,   274,   275,    -1,    -1,
      -1,    -1,    -1,    -1,  3333,   249,  1855,    -1,    -1,   253,
      -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1874,  3482,    -1,    -1,    -1,
     274,   275,    -1,    -1,    -1,  3364,    -1,    -1,   316,    -1,
      -1,   319,    -1,  1892,    -1,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3399,  1920,   316,  3402,    -1,   319,    -1,   355,    -1,  3408,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,  3416,   332,    -1,
      -1,   335,  3421,  3422,    -1,    -1,  3425,  3426,  3427,  3428,
    3429,  3430,  3431,  3432,  3433,  3434,    -1,    -1,    -1,  3438,
    3439,    -1,    -1,    -1,    -1,    -1,    -1,  3446,    -1,    -1,
      -1,    -1,  3451,    -1,    -1,    -1,  3455,    -1,  3457,    -1,
    3459,    -1,  1981,   411,    -1,    -1,    -1,    -1,    -1,    -1,
    3469,    -1,    -1,  3472,    -1,  3474,   424,    -1,    -1,    -1,
      -1,    -1,    -1,  3482,  3483,  3484,  3485,    -1,    -1,    -1,
    3489,    -1,    -1,  3492,    -1,    -1,    -1,   411,    -1,    -1,
      -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3520,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4265,    -1,    -1,    -1,  3665,
      -1,    -1,    -1,    -1,   712,   713,    -1,    -1,    -1,    -1,
      -1,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,   729,    -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,
      -1,    -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,  3578,
      -1,    -1,    -1,    -1,    -1,   499,   500,   501,    -1,   503,
     504,   505,   506,   507,   508,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3391,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   216,   105,   218,    -1,
     108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,  2173,    -1,    -1,    -1,    -1,    -1,
      -1,  3660,    -1,    -1,    -1,  3664,  3665,  3666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,
     848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,  2208,
     858,    -1,   860,    -1,   862,    -1,   864,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   884,    -1,  3844,    -1,
      -1,   105,    -1,    -1,   892,    -1,  4456,    -1,    -1,   113,
      -1,    -1,    -1,    -1,   902,   903,   120,    -1,    -1,   907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   923,    -1,   925,  4488,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,   253,    -1,   955,    -1,  3788,
     958,    -1,   960,    -1,   962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,   275,   976,   977,
      -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,   289,    -1,   991,    -1,   993,    -1,    -1,  3954,    -1,
      -1,    -1,    -1,    -1,    -1,  1003,    -1,    -1,    -1,  3965,
    3619,  3620,  3621,  3622,    -1,  3844,  3845,  3846,   316,    -1,
      -1,   319,    -1,    -1,  1022,  1023,  4586,    -1,    -1,    -1,
      -1,  1029,    -1,  1031,   332,   249,    -1,   335,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     274,   275,    -1,    -1,  1062,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   289,  3905,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2433,    -1,    -1,    -1,    -1,  2438,
    2439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1096,    -1,
    2449,    -1,   316,    -1,    -1,   319,    -1,    -1,    -1,    -1,
      -1,    -1,  3941,   411,    -1,    -1,  4072,    -1,   332,    -1,
      -1,   335,  3951,  3952,    -1,  3954,    -1,    -1,    -1,    -1,
    3959,  3960,    -1,    -1,    -1,  3964,  3965,  4093,    -1,    -1,
      -1,  3970,  3971,    -1,    -1,  3974,    -1,    -1,    -1,  4105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3989,    -1,    -1,    -1,  3993,    -1,    -1,    -1,    -1,  1167,
      -1,  1169,    -1,  4002,    -1,  1173,    85,  3786,  4007,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,
    4019,    -1,    -1,    -1,    -1,    -1,   105,   411,    -1,    -1,
      -1,   499,   500,   501,   113,   503,   504,   505,   506,   507,
     508,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,  4057,    -1,
      -1,    -1,  2581,    -1,    -1,  1233,   145,    -1,    -1,    -1,
      -1,    -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1261,  4093,    -1,    -1,    -1,    -1,    -1,
    1268,    -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1282,   499,   500,   501,    -1,   503,
     504,   505,   506,   507,   508,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4143,    -1,    -1,   226,  1316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4164,    -1,    -1,    -1,    -1,
     249,    -1,    -1,  4299,   253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,   275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
    2749,  1399,    88,  1401,    -1,    -1,  1404,   316,  1406,    -1,
     319,  1409,  1410,  1411,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   332,  1422,    -1,   335,   113,    -1,    -1,
      -1,    -1,   842,  4262,   120,    -1,    -1,  1435,    -1,  1437,
     850,    -1,    -1,   352,    -1,    -1,    -1,    -1,    -1,    -1,
    4406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,    -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,
    4299,    -1,    -1,   883,    -1,  4304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4321,  4322,    -1,    -1,  4325,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,    -1,    -1,  4336,    -1,    -1,
      -1,    -1,  4341,    -1,    -1,  4344,  4125,    -1,    -1,    -1,
    4349,  4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   939,
    4139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   948,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4503,    -1,    -1,
      -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,    -1,  2908,
    2909,  2910,    -1,   249,    -1,    -1,    -1,   253,    -1,    -1,
    4526,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,
      -1,  4410,    -1,    -1,    -1,    -1,    -1,    -1,   274,   275,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
    4556,    -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4447,  1617,
      -1,    -1,    -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,    -1,  4592,    -1,    -1,    -1,
    4596,  4597,    -1,    -1,    -1,    -1,   332,    -1,    -1,   335,
    1060,    -1,    -1,    -1,    -1,    -1,  1066,    -1,    -1,    -1,
    1070,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4501,    -1,  4503,    -1,  1674,    -1,    -1,  1677,
      -1,    -1,    -1,    -1,  1094,    -1,    85,  1685,    -1,    88,
      -1,    -1,  3041,    -1,    -1,    -1,  4525,  4526,    -1,  4528,
      -1,  4530,    -1,    -1,    -1,  1703,   105,    -1,    -1,  1280,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,  4547,    -1,
      -1,   120,  4551,    -1,    -1,   411,    -1,  4556,    -1,    -1,
    3079,  3080,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,
    1738,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4592,    -1,    -1,    -1,  4596,  4597,    -1,
      -1,    -1,    -1,    -1,    -1,  4384,  4385,  4386,    -1,    -1,
      -1,    -1,    -1,  3132,    -1,  3134,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  4623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4631,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,   499,   500,   501,   113,   503,   504,   505,
     506,   507,   508,   120,    -1,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,    -1,   232,  4663,    -1,  1246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,   145,    -1,
     249,    -1,    -1,    -1,   253,  3204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4693,    -1,    -1,    -1,    -1,    -1,
    1280,    -1,  1443,    -1,    -1,   274,   275,    -1,    -1,  4708,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,  4500,    -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1315,    -1,    -1,    -1,    -1,
      -1,    -1,  4741,    -1,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,    -1,    -1,    -1,  1923,    -1,    -1,    -1,  4758,
      -1,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,    -1,
      -1,  1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4779,  4780,   249,    -1,    -1,    -1,   253,    -1,    -1,    -1,
    3309,    -1,    -1,  4792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3320,    -1,  4582,  1384,    -1,    -1,   274,   275,    -1,
      -1,    -1,    -1,    -1,  3333,  1983,    -1,    -1,    -1,  1987,
      -1,  4600,   289,  4602,    -1,    -1,    -1,    85,    -1,  1997,
      88,  1999,    -1,  2001,  4833,    -1,    -1,    -1,  2006,    -1,
      -1,    -1,   411,    -1,  4843,    -1,    -1,   105,    -1,   316,
     108,    -1,   319,    -1,    -1,   113,    -1,    -1,    -1,    -1,
    4859,    -1,   120,  1443,    -1,   332,    -1,    -1,   335,    -1,
      -1,    -1,    -1,  2041,    -1,  2043,    -1,    -1,    -1,  2047,
      -1,  2049,    -1,  3402,  2052,    -1,    -1,   145,  2056,  2057,
      -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3421,    -1,    -1,    -1,    -1,  4906,    -1,    -1,
      -1,    -1,  4911,    -1,    -1,    -1,    -1,    -1,  4917,  1499,
    4699,    -1,    -1,  4922,    -1,    -1,    -1,  3446,    -1,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
      -1,    -1,    -1,    -1,   411,    -1,    -1,  1527,  1528,    -1,
    1530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4738,
      -1,    -1,    -1,  3482,    -1,    -1,    -1,  1547,  1709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1756,   274,   275,  1598,    -1,
      -1,  4800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,    -1,  2211,  1785,    -1,    -1,  1627,    -1,    -1,
      -1,  1631,  1632,    -1,    -1,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4848,
      -1,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,  1855,   108,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,  1709,
      -1,    -1,    -1,  1874,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1722,    -1,    -1,    -1,  3665,    -1,    -1,   211,
      -1,  1892,   145,   411,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   223,    -1,    -1,    -1,   227,    -1,    -1,    -1,  1749,
     232,    -1,    -1,    -1,    -1,   237,  1756,  2345,   240,  1920,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2362,  2363,    -1,    -1,    -1,  2367,
    2368,    -1,    -1,  2371,    -1,  1785,    -1,    -1,   270,    -1,
      -1,    -1,    -1,  2381,    -1,    -1,    85,    -1,    -1,    88,
    2388,    -1,    -1,    -1,    -1,    -1,  2394,  2395,   290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,  2405,    -1,  2407,
    1981,   499,   500,   501,   113,   503,   504,   505,   506,   507,
     508,   120,    -1,  2421,  1834,    -1,   249,    -1,  2426,    -1,
     253,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,  1855,   145,    -1,    -1,    -1,
      -1,   274,   275,    -1,  2452,  2453,  2454,  2455,    -1,    -1,
      -1,  2459,  2460,    -1,  1874,  3814,   289,    -1,    -1,  2467,
      -1,    -1,  2470,    -1,    -1,    -1,  2474,    -1,    -1,    -1,
      -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,   316,  2492,  3844,   319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2502,    -1,  2504,    -1,    -1,   332,
    1920,    -1,   335,    -1,  2512,  2513,  2514,    -1,  2516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2529,  2530,  2531,    -1,    -1,    -1,   429,    -1,    -1,
      -1,  2539,  2540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
     452,    -1,    -1,    -1,    -1,  1975,    -1,    -1,    -1,    -1,
      -1,  1981,    -1,    -1,  1984,   274,   275,    -1,    -1,    -1,
      -1,    -1,    -1,   475,    -1,   477,   478,    -1,   411,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2598,    -1,  2173,    -1,    -1,  3954,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3965,   316,   510,    -1,
     319,   513,   514,    -1,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   332,    -1,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4002,    -1,    -1,    -1,    -1,  4007,    -1,
      -1,  2071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4019,    -1,    -1,    -1,    -1,    -1,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,  2108,    -1,
      -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,    -1,
      -1,  2121,   411,    -1,    -1,    -1,    -1,    -1,  2716,  2129,
    2130,    -1,    -1,  4072,    -1,    -1,  1280,  2137,    -1,    -1,
    2140,  2141,  2142,  2143,    -1,    -1,    -1,    -1,    -1,    -1,
    2150,  2151,    -1,  2153,  4093,  2155,  2156,    -1,    -1,  2159,
      -1,    -1,    -1,    -1,    -1,    -1,  4105,  2755,    -1,    -1,
      -1,    -1,    -1,  2173,  2174,    -1,    -1,    -1,    -1,  2179,
     163,    -1,    -1,  2183,    -1,    -1,    -1,  2187,    -1,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,    -1,  2199,
      -1,    -1,    -1,    -1,  4143,  2205,    -1,    -1,  2208,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    89,    -1,    -1,   227,    -1,    94,    -1,    96,   232,
      -1,    -1,    -1,    -1,   237,    -1,    -1,   240,   106,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2269,
      -1,    -1,  2433,    -1,    -1,    -1,    -1,  2438,  2439,    -1,
      -1,    -1,    -1,    -1,   132,    -1,    -1,   270,  2449,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,  1443,
      -1,    -1,    -1,    -1,    -1,   153,   154,   290,    -1,   157,
      -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,    -1,   167,
      -1,    -1,    -1,  4262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   336,    -1,   203,    -1,    -1,    -1,    -1,
    4299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,    -1,    -1,    -1,    -1,  2397,    -1,    -1,
     383,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3002,  3003,    -1,    -1,    -1,    -1,
    2581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2433,    -1,    -1,    -1,    -1,  2438,  2439,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,  2449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,   452,
    3058,  3059,    -1,    -1,  3062,    -1,    -1,    -1,  3066,  3067,
    3068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2651,    -1,   475,    -1,   477,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3100,  3101,  3102,  3103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     513,   514,    -1,   516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4503,  1709,    -1,    -1,    -1,    -1,
      -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2579,
      -1,  2581,    -1,    -1,    -1,    -1,    -1,  4526,  2749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3190,    -1,    -1,    -1,    -1,  3195,    -1,    -1,
      -1,    -1,  1756,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2651,    -1,  4592,    -1,    -1,    -1,  4596,  4597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2700,    -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,  3297,
      -1,  1855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,    -1,
    1874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3331,    -1,    -1,  3334,    -1,  1892,  2749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,
      -1,    -1,    -1,  2763,    -1,    -1,    -1,  2767,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,    -1,
      -1,  2781,  2782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2811,  2812,    -1,   662,    -1,  2816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,  2829,
    2830,  2831,    -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,
      -1,  2841,    -1,    -1,  2844,    -1,  2846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2856,  2857,    -1,    -1,
    2860,    -1,    -1,    -1,   712,   713,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2873,    -1,  2875,    -1,    -1,    -1,  2879,
    3041,   729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2906,    -1,  2908,  2909,
    2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,
      -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2944,    -1,    -1,    -1,    -1,  2949,
      -1,    -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3132,    -1,  3134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3179,    -1,
      -1,    -1,  3022,    -1,    -1,    -1,  3614,    -1,    -1,  2173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3041,    -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,   922,   923,    -1,   925,    -1,  3079,
    3080,    -1,  3082,  3244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3688,    -1,    -1,    -1,    -1,  3693,  3694,    -1,  3696,  3697,
    3698,  3699,  3700,  3701,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3711,    -1,   973,    -1,    -1,   976,   977,
      -1,    -1,  3132,    -1,  3134,    -1,    -1,    -1,    -1,    -1,
      -1,   989,    -1,   991,    -1,   993,    -1,    -1,  3309,    -1,
      -1,   999,    -1,    -1,    -1,  1003,    -1,    -1,    -1,  3320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3333,    -1,  1022,  1023,    -1,    -1,    -1,  3179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3782,  3783,  3784,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1062,    -1,  1064,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3402,    -1,    -1,  3244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3446,    -1,    -1,    -1,  2433,
      -1,    -1,  1140,    -1,  2438,  2439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2449,  1154,  1155,    -1,  3309,
    1158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3320,  3482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,
      -1,    -1,  3402,    -1,    -1,    -1,    -1,    -1,  3408,    -1,
      -1,    -1,    -1,    -1,  3414,    -1,  3416,    -1,    -1,    -1,
      -1,  3421,  3422,    -1,    -1,  3425,  3426,  3427,  3428,  3429,
    3430,  3431,  3432,  3433,  3434,    -1,    -1,  2581,  3438,  3439,
      -1,    -1,    -1,    -1,    -1,    -1,  3446,    -1,    -1,    -1,
      -1,  3451,    -1,    -1,    -1,  3455,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,
      -1,    -1,  3472,    -1,  3474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3482,  3483,  3484,  3485,    -1,    -1,    -1,  3489,
      -1,    -1,  3492,    -1,  4082,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3502,    -1,  3665,    -1,    -1,  2651,    -1,    -1,
      -1,    -1,  3512,  4101,  4102,    -1,    -1,    -1,    -1,    -1,
    3520,    -1,  3522,    -1,    -1,  4113,  4114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1394,    -1,    -1,    -1,
      -1,  1399,    -1,  1401,    -1,    -1,  1404,    -1,  1406,    -1,
      -1,  1409,  1410,  1411,    -1,    -1,  3566,  1415,    -1,    -1,
      -1,    -1,  3572,    -1,  1422,    -1,    -1,    -1,  3578,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1435,    -1,  1437,
      -1,    -1,    -1,    -1,  1442,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3603,    -1,  2749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4252,  3665,    -1,    -1,    -1,    -1,
      -1,    -1,   842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     850,    -1,    -1,  3844,    -1,    -1,    -1,  4275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1558,    -1,    -1,   883,    -1,    -1,    -1,    -1,    -1,  1567,
    1568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1584,    -1,    -1,    -1,
    1588,  1589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   939,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   948,  4367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
      -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3965,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,
      -1,  1669,    -1,  1671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1681,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3844,  3845,  3846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1060,    -1,    -1,  1741,    -1,    -1,    -1,  3041,    -1,  1747,
      -1,    -1,    -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,
      -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4509,    -1,    -1,  1094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4093,    -1,    -1,  3079,  3080,    -1,  3082,    -1,
      -1,  3941,    -1,    -1,  4105,    -1,  1794,    -1,    -1,  1797,
    1798,  3951,  3952,    -1,  3954,    -1,    -1,    -1,    -1,  3959,
    3960,    -1,    -1,    -1,  3964,  3965,    -1,    -1,    -1,    -1,
    3970,  3971,    -1,    -1,  3974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4143,    -1,    -1,    -1,    -1,    -1,  3132,  3989,
    3134,    -1,    -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4002,    -1,    -1,    -1,    -1,  4007,    -1,    -1,
      -1,    -1,  1860,    -1,    -1,    -1,    -1,    -1,    -1,  4019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4057,    -1,    -1,
    3204,    -1,    -1,    -1,  4652,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4072,    -1,    -1,    -1,  1246,    -1,    -1,  4667,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,  3231,    -1,    -1,
      -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,    -1,
    3244,    -1,    -1,    -1,    -1,  4105,    -1,    -1,    -1,    -1,
    1280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4299,    -1,
      -1,    -1,    -1,  4143,    -1,  1315,    -1,  4735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,
      -1,    -1,    -1,  2041,    -1,  2043,    -1,  1060,    -1,  2047,
      -1,  2049,    -1,    -1,  2052,    -1,    -1,  4207,  2056,    -1,
      -1,    -1,    -1,  2061,  1384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4817,
      -1,  1094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,
      -1,    -1,  4262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1443,    -1,    -1,    -1,  3421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,  4299,
      -1,  1471,  3446,    -1,  4304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4321,  4322,    -1,    -1,  4325,    -1,    -1,    -1,  1499,
      -1,    -1,    -1,    -1,    -1,    -1,  4336,    -1,  3482,    -1,
      -1,  4341,  4503,    -1,  4344,    -1,    -1,    -1,    -1,  4349,
    4350,    -1,    -1,    -1,    -1,    -1,  2204,  1527,  1528,    -1,
    1530,    -1,    -1,  2211,    -1,  4526,    -1,    -1,    -1,    -1,
      -1,    -1,  2220,    -1,    -1,    -1,    -1,  1547,    -1,    -1,
      -1,    -1,  4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,    -1,
    4410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1598,    -1,
      -1,  4592,    -1,    -1,  2282,  4596,  4597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1627,    -1,    -1,
      -1,  1631,  1632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2330,    -1,    -1,    -1,  2334,    -1,    -1,    -1,
      -1,    -1,  2340,    -1,  2342,    -1,    -1,  2345,    -1,    -1,
      -1,  4501,    -1,  4503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3665,    -1,    -1,    -1,  4525,  4526,    -1,  4528,    -1,
    4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4547,    -1,    -1,
      -1,  4551,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1756,    -1,    -1,    -1,
      -1,    -1,  4592,    -1,    -1,    -1,  4596,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,    -1,
      -1,    -1,    -1,    -1,    -1,  1785,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4631,    -1,    -1,    -1,    -1,  1499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2503,    -1,  2505,    -1,    -1,
      -1,    -1,    -1,  4663,  1527,  1528,    -1,  1530,    -1,    -1,
    3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1547,  1855,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4693,    -1,    -1,    -1,    -1,    -1,    -1,
    3844,    -1,    -1,    -1,  1874,    -1,    -1,    -1,  4708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,    -1,
      -1,  4741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4758,    -1,
      -1,    -1,    -1,    -1,  1627,    -1,    -1,    -1,  1631,  1632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,
    4780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1975,    -1,    -1,    -1,    -1,
    3954,  1981,    -1,    -1,  1984,    -1,    -1,    -1,    -1,    -1,
      -1,  3965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,  2717,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2071,    -1,    -1,    -1,    -1,  4906,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,  2108,    -1,
      -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,  2118,  4093,
      -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2129,
    2130,  4105,    -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,
    2140,  2141,  2142,  2143,    -1,    -1,    -1,    -1,    -1,    -1,
    2150,  2151,    -1,  2153,    -1,  2155,  2156,    -1,    -1,  2159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4143,
      -1,    -1,    -1,  2173,  2174,    -1,    -1,    -1,    -1,  2179,
      -1,    -1,    -1,  2183,    -1,    -1,    -1,  2187,    -1,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,    -1,  2199,
      -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,  2208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2923,    -1,    -1,    -1,    -1,
    2928,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    41,  2269,
      43,    44,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,    -1,    -1,    -1,    -1,  2397,    -1,    -1,
      -1,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4406,  2433,    -1,    -1,   209,    -1,  2438,  2439,
      -1,    -1,    -1,    -1,  2137,    -1,    -1,  2140,    -1,  2449,
    2143,    -1,   225,    -1,    -1,    -1,    -1,  2150,  2151,    -1,
      -1,    -1,    -1,  2156,    -1,    -1,  2159,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2174,    -1,    -1,    -1,    -1,  2179,    -1,    -1,    -1,
    2183,    -1,    -1,    -1,  2187,   268,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,    -1,  2199,    -1,    -1,    -1,
      -1,    -1,  2205,    -1,    -1,  2208,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   301,  4503,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   321,    -1,
      -1,    -1,  4526,  3231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,  2579,
      -1,  2581,  4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4592,  3297,
      -1,    -1,  4596,  4597,    -1,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2651,    -1,  3331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,  2392,
    2700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,   499,    -1,    -1,    -1,
     503,   504,   505,   506,   507,    -1,    -1,   510,   511,   512,
     513,    -1,   515,   516,   517,   518,   519,    -1,    -1,  2749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2763,    -1,    -1,    -1,  2767,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2781,  2782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2811,  2812,    -1,    -1,    -1,  2816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,  2829,
    2830,  2831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,  2844,    -1,  2846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2856,  2857,    -1,    -1,
    2860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2873,    -1,  2875,    -1,    -1,  1543,  2879,
      -1,    -1,    -1,    -1,    -1,    -1,  2579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3583,  2906,    -1,  2908,  2909,
    2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2944,    -1,    -1,    -1,  1613,  2949,
      -1,    -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3665,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3681,    -1,    -1,    -1,  2700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,
    3080,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,  2782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3132,    -1,  3134,  2828,    -1,  2830,  2831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
      -1,  2844,    -1,  2846,    -1,    -1,    -1,    -1,  1280,    -1,
      -1,    -1,    -1,    -1,    -1,  1280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3179,
    2873,    -1,  2875,    -1,    -1,    -1,  2879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,  3886,    -1,
      -1,    -1,    -1,    -1,    -1,  2908,  2909,  2910,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2932,
      -1,    -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,    -1,
      -1,  2944,    -1,    -1,    -1,    -1,  2949,    -1,    -1,    -1,
      -1,    -1,    -1,  2956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3320,  1443,    -1,    -1,    -1,    -1,    -1,    -1,  1443,  3022,
      -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,
      -1,    -1,    -1,    -1,  3364,    -1,    -1,    -1,    -1,    -1,
      -1,  4049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,
      -1,    -1,  3402,    -1,    -1,    -1,    -1,    -1,  3408,    -1,
      -1,    -1,  4090,    -1,  3414,    -1,  3416,    -1,    -1,    -1,
    1280,  3421,  3422,    -1,    -1,  3425,  3426,  3427,  3428,  3429,
    3430,  3431,  3432,  3433,  3434,    -1,    -1,    -1,  3438,  3439,
      -1,    -1,    -1,    -1,    -1,    -1,  3446,    -1,  2113,    -1,
      -1,  3451,    -1,    -1,    -1,  3455,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,
      -1,  2136,  3472,    -1,  3474,    -1,  2141,    -1,    -1,    -1,
      -1,    -1,  3482,  3483,  3484,  3485,    -1,    -1,    -1,  3489,
      -1,    -1,  3492,    -1,    -1,    -1,  2161,  2162,    -1,  2164,
      -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3512,  4191,    -1,    -1,    -1,    -1,    -1,    -1,
    3520,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,
      -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,  3578,    -1,
      -1,    -1,    -1,  1443,    -1,    -1,    -1,  1709,    -1,    -1,
      -1,  2256,    -1,    -1,  1709,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2288,    -1,    -1,  2291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1756,    -1,    -1,    -1,    -1,    -1,
      -1,  1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1785,    -1,  3665,    -1,    -1,    -1,    -1,
    1785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3408,    -1,    -1,    -1,    -1,
      -1,  3414,    -1,  3416,    -1,    -1,    -1,    -1,  4406,    -1,
      -1,    -1,    -1,  1855,    -1,    -1,    -1,    -1,    -1,    -1,
    1855,    -1,    -1,    -1,    -1,  3438,  3439,    -1,    -1,    -1,
      -1,    -1,  1874,    -1,    -1,    -1,    -1,    -1,    -1,  1874,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,
    1892,    -1,    -1,    -1,    -1,    -1,  3469,  1892,    -1,  3472,
      -1,  3474,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
    3483,    -1,    -1,    -1,    -1,    -1,  3489,    -1,  1920,  3492,
      -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,  3512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,    -1,  3522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3844,  3845,  3846,    -1,    -1,  1709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1981,
      -1,    -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,    -1,
      -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,    -1,  3572,
      -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1756,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1785,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3941,    -1,    -1,    -1,    -1,  1280,    -1,    -1,    -1,
      -1,  3951,  3952,    -1,  3954,    -1,    -1,    -1,    -1,  3959,
    3960,    -1,    -1,    -1,  3964,  3965,    -1,    -1,    -1,    -1,
    3970,  3971,    -1,    -1,  3974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,
      -1,    -1,  4670,  3993,    -1,  1855,    -1,    -1,    -1,    -1,
      -1,    -1,  4002,    -1,    -1,    -1,    -1,  4007,    -1,    -1,
      -1,    -1,    -1,    -1,  1874,    -1,    -1,    -1,    -1,  4019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2173,    -1,    -1,    -1,    -1,    -1,  4057,  2173,    -1,
    1920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,    -1,  1443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2785,  1981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2807,  4143,  2809,    -1,  2811,  2812,  2813,    -1,
      -1,  2816,  3845,  3846,    -1,  2820,    -1,    -1,    -1,    -1,
      -1,    -1,  2827,    -1,    -1,    -1,    -1,  2832,    -1,    -1,
      -1,    -1,    -1,  2838,    -1,    -1,    -1,    -1,  2843,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,
      -1,  2856,  2857,    -1,  2859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2871,  4207,    -1,    -1,
      -1,    -1,  3905,  2878,    -1,  2880,  2881,  2882,  2883,  2884,
    2885,  2886,  2887,  2888,  2889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3951,  3952,
      -1,    -1,  4262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3964,    -1,    -1,    -1,    -1,    -1,  3970,  3971,    -1,
      -1,  3974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,  4299,
      -1,    -1,    -1,    -1,  4304,    -1,    -1,    -1,    -1,  4002,
      -1,  2433,    -1,  2173,  4007,    -1,  2438,  2439,  2433,    -1,
      -1,  4321,  4322,  2438,  2439,  4325,  4019,  2449,    -1,    -1,
      -1,    -1,    -1,    -1,  2449,    -1,  4336,    -1,    -1,    -1,
      -1,  4341,    -1,    -1,  4344,    -1,    -1,    -1,    -1,  4349,
    4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4057,    -1,    -1,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,  1709,    -1,    -1,    -1,    -1,
      -1,    -1,  4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,    -1,
    4410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4447,    -1,    -1,
      -1,  1785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2581,
      -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4501,    -1,  4503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4207,    -1,    -1,    -1,    -1,    -1,
      -1,  1855,    -1,    -1,    -1,  4525,  4526,    -1,  4528,  2651,
    4530,    -1,    -1,    -1,    -1,    -1,  2651,    -1,    -1,    -1,
    1874,    -1,    -1,    -1,    -1,    -1,    -1,  4547,    -1,    -1,
      -1,  4551,    -1,    -1,    -1,    -1,  4556,    -1,  1892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,    -1,
      -1,    -1,    -1,  2433,    -1,    -1,    -1,    -1,  2438,  2439,
      -1,    -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,  2449,
      -1,    -1,  4592,    -1,    -1,    -1,  4596,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2749,    -1,    -1,
      -1,  4631,  4325,    -1,  2749,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4350,    -1,    -1,
      -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,
      -1,    -1,    -1,  4693,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3419,  3420,    -1,  3422,  4758,    -1,
    3425,  3426,  3427,  3428,  3429,  3430,  3431,  3432,  3433,  3434,
    3435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,
    4780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2651,  4792,    -1,    -1,  3460,    -1,    -1,  3463,    -1,
    3465,    -1,    -1,    -1,    -1,  3470,  3471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,
    3485,  3486,    -1,  3488,    -1,    -1,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,  4833,    -1,  4528,    -1,    -1,    -1,  2173,
      -1,    -1,    -1,  4843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3548,    -1,    -1,    -1,    -1,    -1,  2749,
      -1,    -1,    -1,    -1,  3559,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4906,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,  3041,
      -1,    -1,    -1,    -1,    -1,    -1,  3041,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,  3600,    -1,    -1,  4631,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,  3079,  3080,    -1,
    3082,    -1,    35,    36,  3079,  3080,    -1,  3082,    -1,    -1,
      43,    44,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
    3132,    -1,  3134,    86,    -1,  4708,    -1,  3132,    -1,  3134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3179,    -1,    -1,
      -1,    -1,   135,    -1,  3179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3204,    -1,    -1,    -1,  4779,  4780,    -1,  3204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2433,
      -1,    -1,    -1,    -1,  2438,  2439,    -1,    -1,    -1,  3231,
      -1,    -1,    -1,    -1,    -1,  2449,  3231,    -1,    -1,    -1,
      -1,    -1,  3244,  3788,    -1,    -1,    -1,    -1,    -1,  3244,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
    4833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4843,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3041,    -1,    -1,    -1,    -1,    -1,  3309,    -1,    -1,
      -1,    -1,    -1,    -1,  3309,   268,    -1,    -1,  3320,    -1,
      -1,    -1,    -1,    -1,    -1,  3320,    -1,    -1,    -1,    -1,
      -1,  3333,    -1,  4906,    -1,    -1,    -1,    -1,  3333,  3079,
    3080,    -1,  3082,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3906,    -1,    -1,  3909,  3910,  3911,  2581,   321,  3914,
      -1,    -1,    -1,    -1,  3919,  3920,  3921,  3922,  3923,  3924,
    3925,  3926,  3927,  3928,  3929,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,  3132,    -1,  3134,    -1,    -1,    -1,    -1,    -1,
    3402,    -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,
      -1,    -1,    -1,  3958,  3959,  3960,  3961,    -1,  3963,  3421,
      -1,    -1,  3967,  3968,  3969,    -1,  3421,  3972,    -1,    -1,
    3975,    -1,    -1,    -1,    -1,    -1,    -1,  2651,    -1,  3179,
      -1,    -1,    -1,    -1,  3446,   398,    -1,    -1,    -1,    -1,
      -1,  3446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4004,
      -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,  4016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3482,    -1,    -1,    -1,    -1,    -1,   439,  3482,  4033,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2749,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,   499,    -1,    -1,    -1,
     503,   504,   505,   506,   507,    -1,    -1,   510,   511,   512,
     513,    -1,    -1,    -1,   517,    -1,    -1,    -1,    -1,  3309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3402,  3665,    -1,  4210,    -1,    -1,    -1,    -1,
    3665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3446,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4259,  4260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3482,    -1,    -1,    -1,  4291,    -1,    -1,    -1,
    4295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4309,    -1,  4311,    -1,    -1,    -1,
      -1,  4316,  4317,  4318,    -1,    -1,  4321,  4322,  4323,  4324,
      -1,  4326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,
      -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,    -1,  3844,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3079,  3080,    -1,  3082,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,  3132,    -1,
    3134,    -1,    -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,  3954,
      -1,    -1,    -1,  3965,    -1,  3179,    -1,    -1,    -1,    -1,
    3965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4524,
    4525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,    -1,    -1,    -1,    -1,  4540,  4541,  4542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4559,    -1,    -1,  3231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4072,    -1,    -1,    -1,  3814,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,    -1,  3309,    -1,    -1,  4093,    -1,
      -1,    -1,    -1,  4105,  3844,    -1,  3320,    -1,    -1,    -1,
    4105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4683,    -1,
      -1,  4143,    -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,
      -1,    -1,    -1,    -1,    -1,  4740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,
      -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3965,    -1,    -1,    -1,    -1,
      -1,    -1,  3446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4836,    -1,    -1,    -1,    -1,    -1,  4299,    -1,    -1,
      -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,  4883,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4143,  4406,    -1,    -1,    -1,    -1,    -1,
      -1,  4406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4503,    -1,    -1,    -1,    -1,    -1,    -1,  4503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4526,    -1,    -1,    -1,    -1,    -1,
      -1,  4526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,  4299,
      -1,  4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4592,    -1,    -1,    -1,  4596,  4597,    -1,  4592,    -1,    -1,
    3814,  4596,  4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
    3844,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,  4406,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,   120,   121,   122,   123,   124,    -1,    -1,    -1,
    3954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,  3965,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,  4503,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,   170,    -1,    -1,    -1,  4526,    -1,    -1,    -1,
      -1,    -1,   180,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,   233,    -1,    -1,    -1,    -1,
      -1,   239,  4592,    -1,    -1,    -1,  4596,  4597,  4072,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,   263,    -1,    -1,    -1,  4093,
      -1,   269,    -1,   271,    -1,    -1,   274,   275,    -1,   277,
      -1,  4105,    -1,    -1,    -1,    -1,    -1,    -1,   286,   287,
      -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,    -1,    -1,    -1,   315,    -1,  4143,
      -1,   319,    -1,    -1,   322,    -1,   324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
     338,   339,   340,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,
      -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,   411,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
     438,    -1,    -1,    -1,   442,    -1,   444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,   470,    -1,    -1,  4299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,  4526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,  4556,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,  4592,    -1,
      -1,    -1,  4596,  4597,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       3,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,   518,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,   139,    -1,   141,   142,
     143,   144,    -1,    -1,    -1,   148,    -1,   150,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
     163,   164,    -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,   177,    -1,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,
      -1,    -1,   195,    -1,    -1,   198,    -1,    -1,    -1,   202,
      -1,    -1,    -1,    -1,    -1,   208,   209,    -1,    -1,    -1,
      -1,    -1,   215,   216,   217,    -1,    -1,   220,    -1,    -1,
     223,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
     263,    -1,    -1,   266,    -1,    -1,   269,    -1,   271,    -1,
      -1,   274,   275,    -1,   277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,   287,    -1,   289,    -1,   291,   292,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,    -1,    -1,   309,   310,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,   319,    -1,    -1,   322,
      -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   337,   338,   339,   340,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
     353,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   366,   367,    -1,    -1,    -1,    -1,   372,
      -1,   374,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    -1,   385,   386,    -1,    -1,   389,    -1,   391,    -1,
      -1,   394,    -1,    -1,    -1,    -1,   399,   400,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,    -1,   410,   411,    -1,
     413,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,   438,    -1,    -1,    -1,   442,
      -1,   444,    -1,   446,    -1,   448,    -1,    -1,    -1,   452,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,   466,   467,    -1,    -1,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,   512,
      26,    27,    -1,   516,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,   120,   121,   122,   123,   124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   180,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
     216,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,   233,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,   263,    -1,    -1,
      -1,    -1,    -1,   269,    -1,   271,    -1,    -1,   274,   275,
      -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,   287,    -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,   310,   311,    -1,    -1,    -1,   315,
      -1,    -1,    -1,   319,    -1,    -1,   322,    -1,   324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,   338,   339,   340,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   408,    -1,    -1,   411,    -1,   413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,   438,    -1,    -1,    -1,   442,    -1,   444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,    -1,   519,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,   135,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,   301,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,   305,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,   499,    -1,    -1,    -1,
     503,   504,   505,   506,   507,    -1,    -1,   510,   511,   512,
     513,    -1,    -1,    -1,   517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,    -1,   499,    -1,    -1,    -1,   503,
     504,   505,   506,   507,    -1,    -1,   510,   511,   512,    -1,
      -1,    -1,    -1,   517,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,    -1,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,    -1,    -1,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,    -1,   217,   218,   219,    -1,    -1,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,    -1,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,    -1,   291,   292,
     293,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,    -1,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,    -1,   352,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,    -1,
     443,    -1,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,   146,    -1,
     148,   149,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,    -1,    -1,
      -1,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,    -1,   212,   213,   214,   215,    -1,   217,
     218,   219,    -1,    -1,   222,    -1,   224,   225,   226,    -1,
     228,    -1,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,    -1,    -1,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,    -1,   291,   292,   293,    -1,    -1,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,    -1,   317,
     318,   319,   320,    -1,    -1,   323,   324,   325,   326,   327,
      -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,    -1,   352,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,    -1,   441,    -1,   443,    -1,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,    -1,   476,    -1,
      -1,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   512,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   512,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
      -1,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
     331,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   512,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,    -1,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,   331,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   512,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,    -1,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   512,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,    -1,   291,   292,   293,    -1,    -1,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   512,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
      -1,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,    -1,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,    -1,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,    -1,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   513,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,    -1,   288,    -1,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,    -1,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
      -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
      -1,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,    -1,   263,    -1,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,    -1,   322,   323,   324,
     325,   326,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,    -1,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,    -1,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,   144,    -1,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,    -1,   224,   225,   226,    -1,
     228,    -1,   230,    -1,    -1,    -1,   234,   235,   236,    -1,
     238,   239,    -1,   241,   242,    -1,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,    -1,   261,    -1,   263,    -1,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,    -1,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,    -1,
     288,    -1,    -1,   291,   292,   293,    -1,    -1,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,    -1,   322,   323,   324,   325,   326,   327,
      -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,    -1,   461,   462,   463,   464,   465,   466,   467,
      -1,   469,    -1,   471,   472,   473,    -1,    -1,   476,    -1,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   511,   512,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,
     234,   235,   236,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,    -1,   263,
      -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
      -1,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,    -1,   322,   323,
     324,   325,   326,   327,    -1,   329,    -1,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,   466,   467,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   512,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,    -1,   288,    -1,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,    -1,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
      -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   512,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,    -1,   263,    -1,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   512,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     512,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,    -1,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,   144,    -1,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,    -1,   224,   225,   226,    -1,
     228,    -1,   230,    -1,    -1,    -1,   234,   235,   236,    -1,
     238,   239,    -1,   241,   242,    -1,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,    -1,   261,    -1,   263,    -1,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,    -1,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,    -1,
     288,    -1,    -1,   291,   292,   293,    -1,    -1,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,    -1,   322,   323,   324,   325,   326,   327,
      -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,    -1,   461,   462,   463,   464,   465,   466,   467,
      -1,   469,    -1,   471,   472,   473,    -1,    -1,   476,    -1,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   512,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,
     234,   235,   236,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,    -1,   263,
      -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
      -1,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,    -1,   322,   323,
     324,   325,   326,   327,    -1,   329,    -1,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,   466,   467,    -1,   469,    -1,   471,   472,   473,
      -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   512,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,    -1,   288,    -1,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,    -1,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
      -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   512,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,    -1,   263,    -1,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   512,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,   218,   219,    -1,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,    -1,   440,   441,
      -1,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,    -1,    -1,    -1,   499,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,    -1,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,    -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,    -1,   288,
      -1,    -1,   291,   292,   293,    -1,    -1,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,    -1,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,    -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,    -1,   263,    -1,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,   499,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,    -1,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,
      -1,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,    -1,
     263,    -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,    -1,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,
     293,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,    -1,   322,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,    -1,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,    -1,   288,    -1,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,    -1,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
      -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,   499,
     500,   501,    -1,   503,   504,   505,   506,   507,   508,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,    -1,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,    -1,    -1,    -1,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,    -1,   263,    -1,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
      -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,    -1,
     317,   318,    -1,   320,    -1,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,
     234,   235,   236,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,    -1,   263,
      -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
      -1,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,    -1,   322,   323,
     324,   325,   326,   327,    -1,   329,    -1,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,   466,   467,    -1,   469,    -1,   471,   472,   473,
      -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,   499,   500,   501,    -1,   503,
     504,   505,   506,   507,   508,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,    -1,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
      -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,    -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,
     291,   292,   293,    -1,    -1,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,    -1,   317,   318,    -1,   320,
      -1,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,    -1,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   505,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
      -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
      -1,   217,   218,   219,    -1,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,    -1,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
      -1,   287,   288,   289,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
      -1,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,    -1,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,    -1,   352,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,    -1,   443,    -1,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   505,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
      -1,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,    -1,   263,    -1,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,    -1,   322,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,    -1,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     505,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,
     234,   235,   236,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,    -1,   263,
      -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
      -1,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,    -1,   322,   323,
     324,   325,   326,   327,    -1,   329,    -1,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,   466,   467,    -1,   469,    -1,   471,   472,   473,
      -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   505,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,    -1,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,
      -1,   234,   235,   236,    -1,   238,   239,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,    -1,
     263,    -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,    -1,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,
     293,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,    -1,   322,
     323,   324,   325,   326,   327,    -1,   329,   330,    -1,   332,
     333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,    -1,   461,   462,
     463,   464,   465,   466,   467,    -1,   469,    -1,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,
     234,   235,   236,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,    -1,   263,
      -1,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
      -1,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,    -1,   322,   323,
     324,   325,   326,   327,    -1,   329,   330,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,   466,   467,    -1,   469,    -1,   471,   472,   473,
      -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
      -1,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,    -1,   263,    -1,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,    -1,   322,   323,   324,
     325,   326,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,   461,   462,   463,   464,
     465,   466,   467,    -1,   469,    -1,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,    -1,   232,    -1,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,    -1,   263,    -1,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,    -1,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,    -1,   232,    -1,   234,   235,   236,
      -1,   238,   239,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,    -1,   263,    -1,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
      -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,    -1,
     317,   318,    -1,   320,    -1,   322,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,    -1,   461,   462,   463,   464,   465,   466,
     467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,    -1,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,   144,    -1,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,   222,    -1,   224,   225,   226,    -1,
     228,    -1,   230,    -1,   232,    -1,   234,   235,   236,    -1,
     238,   239,    -1,   241,   242,    -1,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,    -1,   263,    -1,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,    -1,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,    -1,
     288,    -1,    -1,   291,   292,   293,    -1,    -1,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,    -1,   322,   323,   324,   325,   326,   327,
      -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,    -1,   461,   462,   463,   464,   465,   466,   467,
      -1,   469,    -1,   471,   472,   473,    -1,    -1,   476,    -1,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,    -1,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,    -1,   232,    -1,   234,   235,   236,    -1,   238,
     239,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,    -1,   288,
      -1,    -1,   291,   292,   293,    -1,    -1,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,    -1,   322,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,    -1,   461,   462,   463,   464,   465,   466,   467,    -1,
     469,    -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,    -1,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,    -1,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,    -1,   288,    -1,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
      -1,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,     4,   499,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,   235,
     236,    -1,   238,   239,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,    -1,   263,    -1,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,    -1,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,    -1,   288,    -1,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,    -1,    -1,    -1,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,    -1,
     291,   292,   293,    -1,    -1,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,    -1,   329,    -1,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,    -1,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,
     461,   462,   463,   464,   465,   466,   467,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,    -1,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,    -1,   224,   225,   226,    -1,   228,    -1,
     230,   231,    -1,   233,   234,   235,   236,    -1,   238,   239,
      -1,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
      -1,   291,   292,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,    -1,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
      -1,   461,   462,   463,   464,   465,   466,   467,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,    -1,   212,   213,   214,   215,    -1,   217,   218,
     219,    -1,    -1,   222,    -1,   224,   225,   226,    -1,   228,
      -1,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
      -1,    -1,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,    -1,   287,   288,
     289,    -1,   291,   292,   293,    -1,    -1,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,    -1,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,   327,    -1,
     329,    -1,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,    -1,   352,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
      -1,    -1,   441,    -1,   443,    -1,    -1,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,    -1,   476,    -1,    -1,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,   146,    -1,
     148,   149,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,    -1,    -1,
      -1,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,    -1,   212,   213,   214,   215,    -1,   217,
     218,   219,    -1,    -1,   222,    -1,   224,   225,   226,    -1,
     228,    -1,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,    -1,    -1,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,    -1,    -1,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,    -1,   291,   292,   293,    -1,    -1,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,    -1,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
      -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,    -1,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,    -1,   352,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,    -1,   441,    -1,   443,    -1,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,    -1,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,    -1,
      -1,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,    -1,
      -1,    -1,    -1,   170,    -1,    -1,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,    -1,   192,   193,   194,   195,    -1,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,    -1,   212,   213,   214,   215,    -1,
     217,   218,   219,    -1,    -1,   222,    -1,   224,   225,   226,
      -1,   228,    -1,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,    -1,    -1,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,    -1,
     287,   288,   289,    -1,   291,   292,   293,    -1,    -1,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
     327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,    -1,
      -1,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,    -1,   352,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,    -1,   441,    -1,   443,    -1,    -1,   446,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,    -1,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
      -1,    -1,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
      -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,   215,
      -1,   217,   218,   219,    -1,    -1,   222,    -1,   224,   225,
     226,    -1,   228,    -1,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,    -1,    -1,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
      -1,   287,   288,   289,    -1,   291,   292,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,   327,    -1,   329,    -1,    -1,   332,   333,   334,    -1,
      -1,    -1,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,    -1,   352,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,    -1,    -1,   441,    -1,   443,    -1,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,    -1,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,    -1,    -1,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,    -1,   192,   193,   194,
     195,    -1,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,    -1,   212,   213,   214,
     215,    -1,   217,   218,   219,    -1,    -1,   222,    -1,   224,
     225,   226,    -1,   228,    -1,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,    -1,    -1,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,    -1,   287,   288,   289,    -1,   291,   292,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,    -1,   317,   318,   319,   320,    -1,    -1,   323,   324,
     325,   326,   327,    -1,   329,    -1,    -1,   332,   333,   334,
      -1,    -1,    -1,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,    -1,   352,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,    -1,   441,    -1,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,    -1,    -1,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,   146,    -1,   148,   149,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,    -1,   212,   213,
     214,   215,    -1,   217,   218,   219,    -1,    -1,   222,    -1,
     224,   225,   226,    -1,   228,    -1,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,    -1,    -1,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,    -1,
      -1,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,    -1,   287,   288,   289,    -1,   291,   292,   293,
      -1,    -1,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,    -1,   317,   318,   319,   320,    -1,    -1,   323,
     324,   325,   326,   327,    -1,   329,    -1,    -1,   332,   333,
     334,    -1,    -1,    -1,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,    -1,   352,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,    -1,    -1,   441,    -1,   443,
      -1,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,    -1,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,    -1,    -1,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,   215,    -1,   217,   218,   219,    -1,    -1,   222,
      -1,   224,   225,   226,    -1,   228,    -1,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,    -1,    -1,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,    -1,   291,   292,
     293,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,    -1,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,   327,    -1,   329,    -1,    -1,   332,
     333,   334,    -1,    -1,    -1,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,    -1,   352,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,    -1,   441,    -1,
     443,    -1,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,    -1,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,    -1,    -1,
     122,    -1,    -1,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,    -1,    -1,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,   146,    -1,   148,   149,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,    -1,    -1,    -1,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,    -1,    -1,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,    -1,   217,   218,   219,    -1,    -1,
     222,    -1,   224,    -1,   226,    -1,   228,    -1,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,    -1,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,    -1,    -1,   265,   266,   267,    -1,    -1,    -1,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,    -1,   287,   288,   289,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,    -1,
     312,   313,   314,    -1,    -1,   317,   318,   319,   320,    -1,
      -1,   323,    -1,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,    -1,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,    -1,
     352,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,   441,
      -1,   443,    -1,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,    -1,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,    -1,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,   229,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,   229,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,   289,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,   229,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,   229,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,   331,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    74,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,    -1,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,    -1,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,    -1,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,    -1,   224,   225,   226,    -1,   228,    -1,   230,    -1,
      -1,    -1,   234,   235,   236,    -1,   238,   239,    -1,   241,
     242,    -1,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
      -1,   263,    -1,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,    -1,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,    -1,    -1,   291,
     292,   293,    -1,    -1,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,    -1,
     322,   323,   324,   325,   326,   327,    -1,   329,    -1,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,    -1,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,   461,
     462,   463,   464,   465,   466,   467,    -1,   469,    -1,   471,
     472,   473,    -1,    -1,   476,    -1,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,   121,
     122,   123,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,   181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,   233,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     262,   263,    -1,    -1,    -1,    -1,    -1,   269,    -1,   271,
      -1,    -1,   274,   275,    -1,   277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,   287,    -1,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
      -1,    -1,    -1,   315,    -1,    -1,    -1,   319,    -1,    -1,
     322,    -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   337,   338,   339,   340,   341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,   391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,   411,
      -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,   438,    -1,    -1,    -1,
     442,    -1,   444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,   470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,   120,   121,   122,   123,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,   181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,   216,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,   233,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,   263,    -1,
      -1,    -1,    -1,    -1,   269,    -1,   271,    -1,    -1,   274,
     275,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   286,   287,    -1,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,    -1,    -1,    -1,
     315,    -1,    -1,    -1,   319,    -1,    -1,   322,    -1,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,   338,   339,   340,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,   353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   386,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,   411,    -1,   413,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,   438,    -1,    -1,    -1,   442,    -1,   444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,    -1,    -1,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,   120,   121,   122,   123,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,   233,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,   263,    -1,    -1,    -1,    -1,
      -1,   269,    -1,   271,    -1,    -1,   274,   275,    -1,   277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,   287,
      -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,    -1,    -1,    -1,   315,    -1,    -1,
      -1,   319,    -1,    -1,   322,    -1,   324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
     338,   339,   340,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,
      -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,   411,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
     438,    -1,    -1,    -1,   442,    -1,   444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,
     121,   122,   123,   124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
     181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,   233,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,   263,    -1,    -1,    -1,    -1,    -1,   269,    -1,
     271,    -1,    -1,   274,   275,    -1,   277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,   287,    -1,   289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,    -1,    -1,    -1,   315,    -1,    -1,    -1,   319,    -1,
      -1,   322,    -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   337,   338,   339,   340,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     351,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,
     411,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,   438,    -1,    -1,
      -1,   442,    -1,   444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,   470,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,   120,   121,   122,   123,
     124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,   233,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,   263,
      -1,    -1,    -1,    -1,    -1,   269,    -1,   271,    -1,    -1,
     274,   275,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,   287,    -1,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   310,   311,    -1,    -1,
      -1,   315,    -1,    -1,    -1,   319,    -1,    -1,   322,    -1,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   337,   338,   339,   340,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,   391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   408,    -1,    -1,   411,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,   438,    -1,    -1,    -1,   442,    -1,
     444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,   470,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   521,  1075,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   135,   209,   225,   246,
     268,   301,   305,   321,   398,   439,   452,   467,   493,   499,
     503,   504,   505,   506,   507,   510,   511,   512,   513,   515,
     516,   517,   518,   519,  1068,  1076,  1104,  1106,  1197,  1207,
    1208,  1210,  1216,  1217,  1105,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   119,   120,   121,   122,   123,   124,
     136,   139,   141,   142,   143,   144,   148,   150,   152,   161,
     163,   164,   170,   177,   179,   180,   181,   182,   195,   198,
     202,   208,   209,   215,   216,   217,   220,   223,   225,   231,
     233,   237,   239,   249,   262,   263,   269,   271,   274,   275,
     277,   286,   287,   289,   291,   292,   297,   306,   309,   310,
     311,   315,   318,   319,   322,   324,   337,   338,   339,   340,
     341,   351,   353,   356,   366,   367,   372,   374,   380,   385,
     386,   389,   391,   394,   399,   400,   407,   408,   410,   411,
     413,   417,   425,   429,   437,   438,   442,   444,   446,   448,
     452,   455,   461,   466,   467,   470,   478,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   512,   522,   523,   529,
     530,   532,   533,   534,   535,   536,   537,   538,   540,   541,
     545,   555,   557,   558,   561,   562,   563,   574,   577,   578,
     593,   637,   638,   645,   651,   653,   655,   656,   659,   662,
     663,   667,   668,   677,   681,   682,   683,   687,   688,   690,
     691,   692,   705,   706,   707,   708,   719,   720,   727,   728,
     731,   732,   733,   734,   735,   740,   742,   745,   749,   753,
     754,   764,   765,   768,   773,   784,   803,   806,   807,   808,
     811,   814,   816,   818,   821,   824,   825,   826,   833,   834,
     836,   837,   838,   843,   845,   846,   850,   851,   854,   855,
     856,   858,   859,   860,   861,   863,   866,   867,   872,   874,
     878,   879,   880,   881,   882,   888,   890,   893,   896,   898,
     903,   905,   909,   916,   920,   921,   922,   923,   924,   925,
     928,   955,  1072,  1073,  1077,  1079,  1080,  1097,  1098,  1099,
    1100,  1111,  1113,  1117,  1118,  1119,  1120,  1121,  1123,  1125,
    1127,  1128,  1129,  1130,  1132,  1137,  1138,  1142,  1143,  1152,
    1154,  1155,  1156,  1159,  1164,  1167,  1172,  1174,  1175,  1178,
    1180,  1183,  1192,  1210,  1218,    73,  1100,  1108,  1109,    14,
       9,    13,    15,    28,    45,    46,    50,    51,    56,    65,
      67,    69,    70,    72,    91,    92,    93,    94,    95,    96,
      97,    98,   100,   101,   102,   110,   111,   113,   114,   116,
     117,   118,   119,   126,   127,   128,   129,   130,   133,   134,
     135,   137,   139,   140,   141,   142,   143,   146,   148,   149,
     150,   151,   153,   154,   156,   157,   158,   159,   160,   161,
     162,   165,   174,   175,   176,   177,   178,   179,   182,   184,
     186,   187,   188,   189,   190,   192,   193,   194,   195,   197,
     199,   200,   201,   202,   203,   205,   206,   207,   209,   210,
     212,   213,   214,   215,   217,   218,   219,   222,   224,   226,
     228,   230,   234,   235,   236,   238,   241,   242,   244,   245,
     246,   247,   248,   250,   251,   252,   254,   255,   256,   257,
     258,   259,   261,   265,   266,   267,   273,   276,   278,   279,
     280,   281,   282,   283,   284,   288,   291,   292,   293,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   312,   313,   314,   317,   318,   320,   323,   325,
     326,   327,   329,   332,   333,   334,   342,   343,   344,   345,
     346,   347,   348,   350,   352,   354,   355,   356,   357,   359,
     360,   361,   362,   363,   364,   365,   367,   368,   369,   370,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   384,   385,   387,   388,   389,   390,   392,   393,   394,
     395,   396,   397,   398,   399,   401,   402,   403,   404,   405,
     407,   409,   410,   412,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   427,   428,   430,   431,   432,   433,
     434,   435,   439,   441,   443,   446,   447,   448,   449,   450,
     451,   454,   455,   456,   457,   458,   461,   462,   463,   464,
     465,   466,   469,   471,   472,   473,   476,   479,   480,   481,
     482,   483,   493,   494,   495,  1069,  1071,  1072,  1090,  1091,
    1182,  1183,  1184,  1188,  1193,  1194,  1195,  1202,  1204,  1208,
    1210,    29,   264,  1153,    99,   166,   183,  1061,  1092,  1139,
    1140,  1188,  1204,    99,   917,  1060,  1092,  1188,  1201,    14,
     917,     5,    25,    29,    35,    36,    43,    44,    99,   103,
     104,   105,   106,   107,   108,   109,   112,   125,   131,   132,
     135,   138,   145,   147,   154,   155,   163,   166,   167,   168,
     169,   171,   172,   173,   183,   185,   191,   196,   198,   204,
     208,   211,   221,   223,   227,   229,   232,   237,   240,   243,
     253,   260,   264,   268,   270,   272,   285,   290,   294,   295,
     316,   321,   328,   330,   331,   335,   336,   349,   358,   371,
     383,   400,   406,   414,   426,   429,   436,   439,   440,   445,
     452,   453,   459,   460,   466,   468,   474,   475,   477,   478,
    1071,  1074,  1184,  1185,  1186,  1190,  1191,  1192,  1193,  1195,
      25,    35,   135,   268,  1179,    38,    40,   316,  1112,   441,
     480,   839,    98,   146,   159,   177,   183,   200,   218,   229,
     234,   240,   256,   281,   314,   332,   361,   388,   395,   401,
     404,   429,   431,   435,   443,   448,   459,   472,   652,  1140,
     182,   839,   154,    99,   917,   470,   868,   330,   357,   839,
     122,   584,   921,    98,   110,   117,   132,   146,   155,   177,
     183,   200,   218,   229,   236,   240,   293,   314,   332,   335,
     388,   395,   404,   431,   432,   434,   435,   443,   448,   453,
     456,   459,   594,   723,   774,   785,  1061,  1081,  1082,  1083,
    1092,  1208,  1210,    14,    99,   356,  1060,  1092,  1096,   418,
     917,    99,   350,   432,   434,   280,   812,   813,  1208,    98,
     110,   132,   146,   159,   177,   200,   218,   229,   234,   240,
     256,   314,   332,   342,   388,   393,   395,   401,   404,   429,
     431,   435,   443,   448,   459,   472,   652,   736,   839,   518,
    1122,  1186,   193,   250,  1096,   163,   182,   215,   470,   512,
     867,   883,   896,   898,   903,   909,   916,   920,  1077,    92,
      99,   116,   224,   230,   232,   253,   282,   312,   359,   373,
     503,   504,   750,   751,   917,  1068,  1070,  1202,  1204,    99,
     163,   371,   400,   755,   756,   757,  1188,  1188,  1065,  1208,
     429,   931,   116,   230,   750,  1188,   441,  1096,   342,   177,
     256,   428,   429,   819,   394,  1188,    99,   135,   405,   437,
     441,   466,   547,  1071,  1072,  1182,  1187,  1193,  1195,  1210,
      96,   237,   755,   756,   357,   839,  1188,   279,    99,   196,
     933,     4,    14,   133,   154,   156,   293,   308,   388,   395,
     405,   437,   441,   483,   546,   547,    99,   405,   437,   441,
     547,   441,   331,   964,  1058,  1188,   931,  1176,  1186,   505,
    1188,   233,   512,   869,   512,  1054,   369,   926,   927,  1060,
     921,   922,   925,   516,   868,   211,   270,   336,   452,   934,
     935,   921,   923,   924,   188,   266,   458,   515,   119,   522,
    1120,  1123,  1119,  1115,   516,  1124,  1126,     5,    25,    35,
     135,   201,   268,  1131,   178,   246,   301,   305,   398,   493,
     512,   995,   996,  1103,  1107,  1197,    73,  1100,  1060,  1092,
    1211,   183,  1081,    21,   460,   506,  1096,  1096,  1211,   460,
    1144,  1145,  1146,    25,   268,   268,  1190,     7,    19,    20,
      39,    42,   158,   198,  1181,  1181,    16,  1120,  1066,  1073,
    1182,  1185,  1188,  1189,  1193,  1194,  1210,   738,  1188,   738,
    1061,   360,   738,   738,  1060,  1188,   176,   429,   763,  1066,
    1069,  1058,   325,   875,  1188,    85,   140,   222,   499,   500,
     501,   503,   504,   505,   506,   507,   508,   810,  1021,  1022,
    1188,  1069,  1060,  1058,  1060,   964,  1060,   397,  1060,   738,
     298,  1069,  1058,   280,    34,   185,   276,   316,   365,   840,
     841,   842,   439,  1058,  1064,  1188,    98,   132,   146,   147,
     155,   159,   177,   200,   218,   229,   234,   256,   281,   332,
     388,   393,   395,   401,   404,   429,   431,   435,   443,   448,
     472,   652,   743,  1208,  1058,   439,  1066,  1060,   873,  1208,
     512,   738,   443,  1061,   738,   248,  1060,   176,   429,   432,
     434,  1069,   432,   434,   240,   875,   140,   222,   810,   377,
    1069,   542,  1188,  1060,  1060,   397,  1060,   738,   298,  1069,
     401,   429,   472,   159,   256,   234,   393,   447,   646,    85,
    1084,  1085,   517,  1204,  1211,    99,  1096,  1210,   918,   554,
    1188,  1208,   813,   248,  1066,  1060,   248,   817,   248,  1061,
     176,   429,   248,  1066,   248,  1059,  1060,   240,   875,   140,
     222,   248,   810,   126,   248,  1059,   248,  1060,   248,  1060,
     248,  1060,   397,   248,  1060,   248,   298,  1059,   280,   248,
     737,   738,   512,   518,  1212,  1213,  1214,  1215,  1217,  1122,
     330,    71,  1092,  1141,   512,   897,   594,   917,   883,   466,
     470,   867,   884,   885,   886,  1188,   868,  1070,   751,   752,
      99,   751,   917,  1070,   752,    99,   751,   917,  1070,   752,
     752,   752,  1070,  1068,  1068,   272,   460,  1146,  1147,  1221,
    1222,   917,   752,   360,   512,   512,   612,   612,   612,   330,
     439,   515,   612,   964,   965,   751,   917,   751,   917,   515,
     835,  1208,   232,   512,   894,   126,  1060,  1060,  1058,  1188,
     115,   495,   276,   514,   333,   333,   330,   232,  1208,   439,
     227,   746,   330,    83,    84,    85,    87,   107,   121,   123,
     124,   131,   132,   135,   136,   144,   167,   168,   169,   170,
     171,   172,   173,   180,   181,   201,   216,   220,   221,   225,
     239,   268,   269,   271,   286,   294,   295,   309,   311,   316,
     321,   322,   324,   332,   341,   351,   366,   391,   406,   413,
     425,   437,   438,   442,   444,   445,   453,   459,   467,   485,
     486,   487,   488,   489,   490,   491,   492,   503,   504,   505,
     512,   921,   976,   979,   982,   983,   984,   986,   987,   988,
     989,   992,   993,   997,   999,  1000,  1019,  1023,  1042,  1047,
    1055,  1056,  1066,  1067,  1068,  1188,  1200,  1202,  1204,  1205,
    1206,  1207,  1208,   439,   499,  1211,  1208,   439,   499,  1140,
      99,   559,  1057,  1058,   405,   546,   183,   553,  1208,   554,
    1208,   115,   137,   546,   495,   841,   333,   232,   439,   499,
     115,   495,   276,  1221,   842,   512,  1058,   505,   510,   514,
    1048,  1049,   965,  1192,   231,   233,   470,   864,   865,   867,
     231,   870,   183,   997,  1052,  1053,   926,   515,   512,   871,
     513,   513,  1058,    99,   196,   932,   932,   126,   932,   223,
     227,   290,   328,   938,   940,   941,   950,   952,   953,   934,
     935,   232,   272,   964,   966,  1054,   516,  1114,   505,  1133,
    1134,  1136,   518,   518,    25,   268,   268,   439,   439,   439,
     439,   512,   439,   504,   643,  1070,  1101,  1207,   208,   108,
    1088,   126,  1091,  1091,   272,  1146,  1148,   272,  1146,  1147,
    1148,   465,  1157,  1158,  1204,    14,    37,    84,   503,   504,
    1068,  1149,  1150,  1151,  1200,  1202,  1206,  1207,  1208,  1209,
     268,   274,  1060,   439,  1060,     6,  1060,  1181,  1136,   512,
     713,  1049,   343,   375,   407,   514,   739,   343,   375,   407,
     343,   375,   407,   478,   524,   555,   556,   769,    95,   202,
     343,   407,   566,   407,    95,   202,   458,   539,   481,   964,
     128,   162,   219,   251,   343,   375,   384,   392,   399,   407,
     415,   423,   473,   556,   797,   804,   512,   786,   375,   539,
      95,   101,   143,   194,   202,   205,   258,   313,   316,   326,
     334,   343,   375,   380,   407,   463,   564,   565,   671,   643,
     478,   479,   624,   738,   738,   512,   809,   514,   253,   375,
     524,   531,   343,   375,   127,   175,   255,   300,   302,   313,
     342,   375,   381,   407,   417,   564,   640,   641,   343,   471,
     671,   679,   375,   407,   564,   343,   375,   380,   407,   153,
     192,   344,   433,   330,    95,   101,   202,   343,   375,   407,
     575,   576,   227,   375,   407,   524,   556,   375,   407,   564,
    1060,   516,   288,   185,   331,   482,   515,   840,    99,   160,
     314,   460,   862,   330,  1066,   512,  1060,   176,   429,  1066,
     325,   140,   222,   810,  1060,   397,  1060,   280,   738,   612,
     420,   421,   580,  1208,   512,   713,   714,   138,   121,   123,
     124,   135,   136,   180,   181,   225,   269,   271,   309,   311,
     324,   366,   408,   413,   437,   438,   467,   973,   975,   977,
     979,   981,   983,   984,   985,   987,   988,   992,   993,  1182,
    1189,  1193,  1194,  1210,   232,   512,   709,  1060,   524,   108,
     857,   316,   524,   481,   248,  1058,   524,   876,  1188,   624,
     738,   738,   709,   594,   524,   115,   543,   448,   678,   343,
     654,   153,   192,   344,   433,    97,   118,   267,   693,   108,
     709,   227,   524,  1058,   248,   632,  1058,  1058,   738,   152,
     775,  1066,  1060,   652,    74,  1086,  1188,   517,  1087,  1084,
     122,   174,   265,   313,   396,   216,   713,   129,   382,   567,
     216,   512,   216,   481,   216,   786,   216,   515,   876,   248,
     738,   248,   738,   216,   809,  1059,   216,   216,   330,   216,
     567,   216,   153,   192,   344,   433,   216,   330,   216,   227,
     248,   248,   554,   216,   515,   567,   513,  1213,  1214,  1212,
     515,   519,   875,   877,   997,  1026,  1145,  1220,  1221,   429,
     918,   513,   515,   221,   330,   445,   551,   554,   643,   887,
     883,   752,   917,   752,   917,  1222,  1223,   752,   917,   752,
     917,  1223,   752,   917,   917,   917,   752,    14,    37,  1196,
    1199,  1204,   917,   512,   613,   614,  1188,   613,    99,   177,
     229,   234,   280,   281,   395,   401,   429,   431,   758,  1057,
    1059,   757,   253,   515,   906,   917,   917,  1208,  1141,   973,
    1029,   108,  1059,   228,   820,   820,   820,   288,  1188,   227,
     227,   758,  1059,   394,  1188,   554,   330,   512,   510,   921,
    1030,   469,   990,   997,  1046,   512,   990,   990,   512,   512,
     512,   512,   978,   978,   353,   921,   512,   512,   980,   512,
     512,   512,   512,   135,   136,   990,   997,   512,   978,   512,
     512,   512,   512,   512,   479,   498,   512,   994,   512,   994,
     512,   512,   921,   512,   512,   512,   512,   512,   512,   512,
     512,   997,   997,   921,   997,  1026,  1208,   136,   512,   991,
     512,  1208,    85,    88,   105,   108,   113,   120,   145,   249,
     253,   274,   275,   289,   316,   319,   332,   335,   411,   499,
     500,   501,   503,   504,   505,   506,   507,   508,  1021,  1023,
    1025,  1210,   340,   997,   272,   515,   929,  1221,   512,  1208,
    1049,    22,  1203,  1204,  1050,   327,   330,  1173,  1173,    10,
     465,  1160,  1161,  1163,  1140,  1140,   186,   250,   560,   515,
     137,   183,   554,   108,   183,   293,   552,   643,   993,  1208,
    1210,   157,   199,  1006,   166,   183,   548,   549,   551,   643,
     183,   548,  1221,  1221,   288,  1058,   997,   505,  1063,  1190,
    1048,   158,   381,   741,   274,   513,   515,   868,   513,   515,
     927,  1059,   108,   871,   923,   923,   936,   937,   997,   923,
     224,   312,   947,   365,   409,   458,    99,   942,   997,   943,
     945,   997,   999,   950,   951,   941,   940,   938,   939,   227,
     953,   938,   950,   966,  1058,   108,  1188,   407,  1133,   505,
     515,   516,  1191,  1110,  1113,  1110,   268,   178,   246,   301,
     996,   301,   996,   996,   305,  1068,   301,   305,   398,  1207,
     515,  1102,   182,  1140,   459,  1089,  1091,  1060,    37,  1068,
    1162,  1204,   515,   499,  1060,    14,  1068,  1207,  1068,  1207,
     515,  1120,   512,  1060,   512,  1192,   505,  1029,   343,   375,
     407,   439,   439,   395,  1063,   514,   439,   439,   395,   439,
     439,   431,   546,   852,   227,   237,   253,   385,   770,   771,
     138,   155,   212,   229,   358,   453,   610,   611,   155,   183,
     316,   439,   183,   316,   395,   395,   660,    98,   132,   146,
     159,   200,   229,   234,   332,   395,   401,   404,   429,   435,
     448,   472,   652,  1060,   375,   407,   564,   330,   643,   399,
     439,   439,   321,   643,   187,   273,   395,   382,   797,   805,
     253,   263,   337,   408,   468,   513,   787,   790,   791,   792,
     794,   973,  1189,   439,   459,   147,   212,   601,   610,  1188,
     147,   822,   330,   393,   443,   155,   822,   102,   378,   393,
     443,  1058,   258,   326,   738,   512,   439,   439,   512,   570,
     431,   478,   479,   570,   155,   515,   343,   329,   570,   329,
     460,   460,   315,   973,   343,   407,   810,   177,   439,   526,
     556,   439,   439,   643,   126,   642,   643,   643,   175,   300,
     302,   126,   439,   524,   395,   524,   313,   641,   439,   321,
    1208,   671,   439,   822,   395,   439,   439,   570,   570,   738,
     738,   738,   738,  1058,   114,   465,   114,   114,   439,   114,
     439,   395,   515,   173,   459,   689,  1069,   439,   526,   439,
     395,   343,   375,   365,   376,   403,   550,   840,   820,   877,
     877,  1064,  1188,  1058,   713,   973,   330,   481,   786,   643,
     738,   738,   809,   274,   330,   153,   192,   344,   433,   330,
     738,   274,   478,   585,   524,   715,   716,  1210,   709,   512,
     975,   108,   107,   974,   178,   305,   493,   512,   995,   739,
     978,   738,   710,   711,  1190,    97,   847,   973,   216,   657,
    1060,   316,   512,   684,   525,   478,   723,   460,   472,   525,
    1069,   163,   237,   544,   593,   637,   692,   753,   773,   843,
    1208,   679,   680,  1060,   296,   738,   738,   738,   738,   326,
     188,   266,   446,   458,   694,   695,   209,   512,   689,   525,
     639,   640,   316,   108,   326,   512,   633,   612,   227,   776,
    1064,   512,   788,   108,   280,   514,  1068,  1087,   478,   479,
     919,   396,  1066,   567,   973,  1061,   248,  1060,  1066,   567,
    1059,  1060,   216,   460,   216,   460,   810,   567,   567,  1059,
    1060,  1058,  1060,  1060,  1060,  1058,  1059,   689,   216,   216,
     567,   737,   738,   513,   519,  1215,   515,   889,  1208,   513,
     515,  1221,  1145,  1058,   174,   883,   885,   917,   917,  1223,
     917,   917,  1223,   917,   917,  1060,    14,   515,  1203,   613,
     513,   515,   513,   235,   402,   430,  1059,   176,   404,   762,
     763,  1059,   325,  1059,  1057,  1057,  1059,   439,   478,   766,
      93,   214,   391,   409,   907,   964,   320,   908,   513,   515,
     895,   898,   903,   909,   920,   439,   756,   755,   756,   232,
     238,   767,  1188,    98,   147,   200,   229,   234,   281,   395,
     401,   429,   448,   472,   652,   747,  1026,   511,  1026,  1030,
    1031,   512,   474,  1043,  1044,   997,  1026,  1068,  1068,  1026,
     178,   246,   301,   305,   398,   493,  1032,  1033,  1208,  1210,
    1068,  1026,  1026,  1068,  1068,   990,   990,   997,   810,   997,
    1034,   503,   504,   998,   999,  1019,  1023,  1036,   513,  1026,
     997,  1026,  1037,   437,   495,  1068,  1068,   997,   125,   232,
     285,   440,   997,  1026,  1040,  1026,   307,   999,   997,  1004,
    1005,  1006,   307,   997,  1006,   513,   515,   407,  1068,  1068,
     995,   973,   997,  1190,   437,   112,   426,  1051,   738,   997,
     512,   921,  1041,   196,   199,   221,   316,   321,   326,   445,
     454,   997,   120,   249,   253,   289,   411,   512,   997,   439,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
      99,   106,   414,  1020,   391,   512,  1019,   236,   293,   429,
     432,   434,   456,   930,  1058,  1056,   232,   956,    99,   196,
     468,   505,   513,   792,   997,  1027,  1028,  1189,  1060,  1204,
    1048,  1162,   515,   499,  1058,   441,   512,  1208,   515,  1221,
     513,   511,   517,   247,   247,   567,  1120,  1058,   865,   866,
    1058,  1052,   513,   512,   515,   109,   191,   460,   782,   512,
     944,  1070,   331,   326,   954,   954,   515,   391,   392,   946,
     951,   939,   460,   904,   183,   512,   899,   920,  1188,   512,
     910,   911,   912,   913,   914,  1188,   516,  1134,   974,   519,
    1113,   519,   513,   643,   513,    34,  1090,  1165,  1166,  1204,
    1158,  1163,  1211,  1149,   974,  1198,  1214,  1198,   974,   513,
     513,   439,   439,   395,  1069,  1060,  1060,  1063,  1069,  1060,
    1060,  1069,  1061,  1060,   154,   853,   388,   459,   755,   395,
     237,   755,   512,  1060,   460,   777,   278,   278,   460,   512,
     631,  1060,   321,  1069,   997,   321,  1060,  1060,   439,   661,
    1066,   512,   738,   738,   738,   176,   429,   763,   140,   222,
     810,  1060,   738,  1060,   738,   397,   738,   738,   280,   241,
     313,   343,   464,   664,   665,   666,   439,   822,   395,   321,
     187,   273,  1069,  1060,   330,  1060,   337,  1189,   513,   515,
     792,   794,   791,   794,  1189,   739,  1069,  1059,   601,   973,
    1188,  1060,  1060,    99,   459,  1060,   248,  1060,   248,  1188,
     393,   443,   393,   443,  1060,    99,   459,  1060,  1058,    95,
     202,   407,   672,   673,   674,   675,  1190,  1069,  1060,   572,
     573,  1190,  1060,   329,   143,   329,  1060,   565,   439,  1062,
    1188,  1062,   515,   513,   515,   439,   395,  1061,  1069,   154,
     207,   258,   348,   379,   451,   459,   462,   527,  1210,  1069,
    1060,   643,   738,  1060,   643,  1060,   643,  1069,  1060,  1060,
    1060,  1069,  1060,    95,   101,   202,   343,   375,   407,   343,
     375,   407,   709,   375,   407,   375,   407,   375,   972,  1188,
    1208,  1188,   248,  1188,  1069,  1060,  1060,  1060,    95,   576,
     404,  1069,  1060,  1060,   439,   439,   151,   450,   365,   227,
     891,   891,   891,   274,   108,   738,   274,   274,   460,   460,
     274,   321,   744,  1208,   738,   738,   738,   738,   738,   738,
     274,   744,   329,   232,   439,   579,   512,   581,   582,   513,
     515,   499,   997,   107,   974,   973,   510,   510,   439,   439,
    1068,   978,   513,   515,   499,   694,   154,   206,   283,   284,
     296,   343,   431,   433,   848,   603,  1060,   232,   395,   471,
     658,   665,   666,   216,   513,   601,   685,   686,   404,    96,
     253,   388,   427,   527,   528,   877,   227,  1062,  1058,   543,
     335,   594,   229,  1208,   709,   709,   709,   709,   326,   330,
     335,   512,   970,   971,   972,   404,   216,   215,  1078,   738,
     289,   595,   597,   599,   601,   607,   610,   634,   635,  1188,
     624,   108,  1208,   330,   513,   789,   790,   795,   108,   280,
     384,   477,   796,   797,   798,   330,   554,  1086,   506,   245,
     245,   227,   713,   108,   216,   567,   786,   738,  1062,   738,
    1062,   809,   330,   567,   567,   330,   567,   404,   227,   554,
     567,   875,   997,   512,   919,  1211,  1199,   513,   614,   253,
     253,   253,   481,  1059,   515,   643,   644,   240,   759,   760,
    1069,    96,   767,   214,   409,   214,   409,   391,   458,   303,
     973,  1060,   232,   330,   759,   126,   567,  1066,   429,  1066,
     325,   280,   738,   513,   511,   511,   515,  1026,   997,   204,
    1044,  1045,   108,   513,   513,   513,   513,   513,   232,   513,
     513,   513,   513,   513,   515,   513,   349,  1035,   513,   998,
     998,    88,   253,   274,   332,   499,   500,   501,   503,   504,
     505,   506,   507,   508,  1023,   998,   513,   513,   227,   232,
    1038,  1039,   513,   495,   513,   513,   108,  1040,  1026,  1040,
    1040,   232,   513,   513,  1190,   347,  1008,   108,   513,   515,
     997,  1190,   515,   997,  1050,   997,  1188,   513,   513,   495,
     998,   998,   210,  1026,   232,   196,   199,   221,   321,   326,
     445,   454,   512,   210,   426,  1051,   997,  1041,   997,   439,
     810,   997,   512,   921,   432,   434,   432,   434,  1058,   931,
     931,   931,   512,   921,   957,   958,   959,   964,   967,  1000,
    1066,  1188,   475,   968,  1027,  1027,  1028,   513,   339,  1012,
      90,   513,   515,   935,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   176,   307,   353,   448,  1168,
    1169,  1171,  1161,  1162,   841,  1068,   995,   549,   997,   974,
     871,   895,   937,   332,  1021,  1024,   496,   497,   783,   997,
     946,  1057,   908,   908,   943,   957,   475,   969,   466,   900,
     901,  1188,   383,   902,   914,   915,   515,   956,   499,  1050,
     517,  1116,   516,   515,   499,    30,  1177,   513,   513,   516,
    1069,  1060,  1060,   290,  1059,  1059,   330,  1059,   333,   330,
     997,   611,  1062,   512,   512,   512,   631,   256,   613,   703,
     567,   554,   713,   973,   481,   738,   738,   738,   809,   153,
     192,   344,   433,  1060,   647,  1060,   241,   464,   439,   647,
     664,   671,  1060,  1060,  1060,   264,   321,   739,   790,   794,
     794,   507,   603,   202,   380,   407,   566,   823,   216,   567,
     216,   567,  1060,  1060,  1060,  1060,   674,   675,   674,   513,
     515,   676,  1208,   513,   515,   499,   514,  1069,   343,   375,
     407,    95,   202,   343,   375,   407,   973,   315,   973,  1069,
    1060,   290,   348,   321,  1208,   348,  1059,   457,   439,   298,
     298,   298,   439,   439,   395,   439,   439,   395,   439,   395,
     439,   395,   439,   567,   973,    97,   118,   407,   823,   216,
     567,   439,  1060,  1069,  1060,   177,  1061,   439,   892,   892,
     892,   744,   973,   274,   744,   744,  1062,  1062,   744,   274,
     274,   274,   274,   274,   274,   744,   580,   588,   589,  1190,
     122,   165,   189,   206,   210,   228,   244,   321,   329,   363,
     583,   716,  1210,   332,   503,   504,   643,   712,   794,  1024,
    1074,  1208,   513,   510,   513,  1068,   511,   512,  1068,  1188,
    1208,  1219,   513,   711,   712,   330,   290,   499,   849,   849,
     849,   849,   849,   849,   849,   138,   145,   155,   183,   185,
     260,   316,   321,   358,   371,   453,   604,   605,   606,   524,
     554,  1060,   554,   334,   669,  1058,   513,   515,  1060,  1059,
     240,   388,  1059,  1068,   448,   612,   377,   429,   176,   613,
    1058,   695,   717,   718,  1208,   513,   515,  1060,  1058,  1096,
     920,   512,   596,  1058,   513,   515,   513,   515,   330,   625,
     920,   439,  1058,   513,   515,   183,   499,   799,  1208,   554,
     429,   793,   794,   478,   798,   800,   188,   266,   400,   458,
     831,   241,  1082,   920,  1096,   567,   973,  1060,   567,   460,
     567,   460,   567,   567,  1058,  1058,  1060,   689,   567,  1188,
     227,   395,   395,   395,  1059,   763,   515,  1069,   478,   515,
     761,   333,   214,   214,  1059,   758,   567,  1069,   713,   786,
     643,   738,   274,  1030,   513,   436,   997,   208,   973,   997,
     997,   997,  1038,   973,   998,   196,   199,   316,   326,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   997,
     997,  1039,  1038,   994,   994,   973,   513,   513,   513,  1026,
     513,   515,   126,   999,   513,  1190,  1005,   355,   424,  1007,
     513,   515,   471,  1001,   108,   513,   991,  1208,   997,   105,
     105,   997,   513,   997,   232,   512,  1029,   997,   998,   998,
     210,   210,   997,   513,   210,   997,   931,   931,   931,   931,
    1058,  1058,  1058,   921,   958,   959,   108,   960,  1188,   515,
     164,   233,   262,   277,   287,   310,   386,   961,   960,   108,
     960,  1188,   512,  1049,   997,   240,   948,   515,   934,   935,
     934,   513,  1012,   512,  1013,  1188,   997,  1012,  1208,   468,
    1028,   513,   515,   499,   513,   511,  1177,   513,   512,   783,
     513,   331,   166,   997,   902,   513,   515,  1050,  1055,   513,
     515,   911,   969,  1052,  1068,   499,  1135,  1166,  1171,   849,
     235,   402,   430,   772,   227,   772,   513,   512,   616,   617,
     779,  1000,  1188,   613,   613,   703,  1064,   513,   185,   260,
     316,   704,   108,  1060,   460,   460,   738,   738,   738,   738,
     739,  1069,   439,   264,   507,   448,   316,   570,   176,   316,
     419,   422,   570,   448,  1060,  1188,   673,   573,   712,  1190,
     439,   439,   395,   234,   332,   422,   721,   722,   234,   332,
     729,   730,   439,   439,   395,   513,   513,   513,  1070,  1208,
    1208,  1208,  1060,   227,   227,   377,   227,   248,  1069,  1060,
    1060,  1069,  1060,  1060,  1060,  1060,  1060,  1060,  1060,   145,
     568,  1208,  1208,   448,  1188,  1060,   671,  1061,   459,  1069,
     513,   744,   274,   274,   744,   744,   744,   744,   744,   744,
     460,   586,   587,   513,   515,   505,   512,   551,   590,   643,
     857,  1208,   857,   316,   363,   857,   857,   703,  1068,   478,
     479,   511,  1219,   503,   504,   505,   506,   507,   511,   995,
    1058,   849,   183,  1068,  1208,   183,  1208,   183,  1208,   183,
    1208,   183,  1060,   183,  1060,   183,  1060,   512,   738,  1060,
     998,   186,   250,   185,   321,   278,  1058,   800,   657,   512,
     684,   686,   669,  1059,  1059,   973,   108,  1058,   481,   227,
     696,   513,   515,   972,   669,   326,   512,   897,   478,   636,
     598,   600,   602,   610,  1188,   624,   608,   259,   623,   599,
     635,   150,   431,   626,   478,   844,  1208,   777,   795,   997,
     997,   515,   512,   796,   709,   439,   647,    85,  1093,   513,
     567,  1062,  1062,   567,   567,   404,  1059,  1059,  1059,   643,
     237,   760,   767,   232,   274,   274,   274,   274,   321,   748,
    1208,   997,   513,   513,  1039,   232,   196,   199,   326,   512,
     513,   484,  1003,  1026,   370,   126,   476,   476,   513,   997,
     313,   997,   515,  1002,   975,   995,   998,   998,   997,  1029,
     513,   105,   105,   997,   997,   210,   997,   513,  1058,  1058,
    1058,  1058,   513,  1188,   512,   958,   277,   338,   962,   958,
     962,   277,   961,   962,   277,   512,  1188,   512,  1027,   126,
     243,   949,   513,   513,  1012,  1014,  1188,  1028,  1012,  1169,
     504,  1162,  1170,  1207,  1208,  1208,   810,   326,   920,   901,
    1221,   499,   914,   902,  1215,  1070,   439,   755,   232,   703,
     997,   513,   515,   478,   145,   780,   780,   513,   513,   800,
     186,   250,   185,   462,   973,  1062,  1062,  1060,   448,   321,
     321,  1070,  1188,   973,   567,   567,   499,  1069,  1060,  1060,
    1068,  1068,   973,   515,  1068,  1068,   515,  1069,  1060,  1060,
    1059,  1059,   738,  1059,   216,   738,   973,   567,   567,  1069,
     274,   744,   744,   524,   190,   589,   551,   591,   592,  1208,
    1208,   321,   505,   613,  1208,  1208,   511,   234,   263,   234,
     513,  1219,  1219,  1219,  1219,  1219,   232,   702,  1070,   997,
     316,   605,   800,   612,   460,   630,   670,   674,   404,   460,
     920,   512,  1060,   203,   697,   474,   699,  1208,   738,   595,
     176,   313,   513,   515,   478,   625,   213,   254,   512,   624,
     188,   202,   355,  1060,   197,   627,   628,   130,   138,   293,
     232,   512,  1208,   792,   801,   802,  1189,   800,  1058,   261,
     648,  1094,  1188,   567,   567,   567,  1060,   333,   567,   759,
     748,   748,   748,   748,   998,   232,   512,  1029,   512,   513,
     515,   513,   999,   370,   513,   465,   416,   513,   513,   513,
     998,   998,   997,   960,   512,  1059,   958,   330,   460,   963,
     958,   277,   958,   971,   512,   971,  1188,   513,  1026,   997,
     477,  1009,  1012,  1012,   346,  1015,   513,  1068,  1207,   995,
     513,   917,  1054,   759,   330,   759,   513,   800,   617,   332,
     810,   738,   460,   738,   781,   781,   371,   800,   630,   513,
     568,   712,   512,  1066,   810,   722,   512,   512,   730,   478,
     377,   478,   478,   227,   568,   744,   581,  1208,   513,   515,
     613,   763,   108,   815,   815,  1058,   703,   513,   630,   299,
     615,   256,   513,   515,  1060,  1062,   844,   669,   391,   418,
     698,   512,   215,   596,   513,   176,   600,   334,   626,    99,
     149,   156,   184,   257,   422,   609,   609,  1057,   625,   392,
     392,   126,   512,   439,   629,   138,   333,   138,   738,   778,
     779,   794,   513,   515,   968,   647,   313,   464,   649,   650,
     499,  1095,   567,   998,  1029,   513,  1004,  1026,   126,   313,
     494,  1059,   513,   997,   512,   958,   963,   513,   971,   513,
    1010,  1011,  1188,   126,   934,  1012,   761,   772,   567,   780,
     630,   512,   738,   782,   782,  1058,   630,   703,   460,   569,
    1029,   786,   227,   725,   809,  1029,  1029,   737,   738,   737,
     738,  1059,   567,   592,   815,   111,   252,   227,   233,   345,
     412,   330,   619,   620,   621,   431,   674,   669,   222,   724,
     997,   362,   624,   623,   603,   628,   513,   626,   242,   304,
     379,   390,  1060,   240,   314,   333,   333,   513,   515,   796,
     801,   198,   464,   647,  1068,  1202,  1210,    85,   513,   513,
     513,   370,   465,   513,  1059,   513,   515,   108,  1026,   364,
     392,  1016,   232,   781,   475,   618,   810,   783,   783,   612,
     703,   997,   513,   336,   397,   368,   726,   725,   513,   513,
     478,   203,   188,   458,   330,   621,   330,   620,  1060,   738,
     108,   513,  1066,   625,   624,   629,   628,   512,   387,   513,
     876,   877,   478,   571,   779,   800,   100,   267,   832,  1094,
     513,  1011,  1013,   120,   166,   449,   997,  1017,  1018,  1017,
     513,   759,   782,   512,   703,   513,   615,  1066,   126,   726,
     738,   391,   129,   313,   382,   407,   622,   622,   721,   512,
     626,   625,   629,  1060,   570,   626,   317,   512,   827,   829,
     834,   898,   903,   909,   920,  1018,   391,   226,   352,   226,
     352,   567,   783,   997,   619,   786,   738,   699,    94,   183,
     321,   700,   701,  1068,  1190,  1207,  1208,   628,   626,   513,
     968,   828,   829,   830,   921,   922,   105,   513,   703,   215,
     513,   515,   629,   628,   513,   516,  1018,   362,   701,   629,
     830,  1066,   512,   700,   513
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1397 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1399 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1401 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1403 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1405 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1407 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1409 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1411 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1413 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1415 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1417 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1419 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1421 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1423 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1425 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1427 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1429 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1431 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1433 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1435 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1437 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1439 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1441 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1443 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1445 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1447 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1449 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1451 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1453 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1455 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1473 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1475 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1477 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1479 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1481 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1483 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1485 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1487 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1489 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1491 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1493 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1495 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1497 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1499 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1501 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1503 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1505 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1507 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1509 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1511 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1527 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1529 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1531 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1533 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1537 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1577 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1579 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1581 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1583 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1585 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1587 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1595 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1597 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1609 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1622 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1638 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1666 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1676 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1680 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1686 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1690 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1700 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1711 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1725 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1732 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1738 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1749 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1755 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1764 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1771 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1777 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1786 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1793 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1800 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1806 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1818 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1829 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1840 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1859 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1867 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1875 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replication");
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1883 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1891 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1895 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1899 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1907 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 1919 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 1927 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1935 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1986 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1994 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2002 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2034 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2038 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2050 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2068 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2072 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2084 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2096 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2116 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2124 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2132 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2136 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2144 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2177 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2181 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2189 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2193 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2201 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2205 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2251 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2271 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2299 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2310 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2370 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2391 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2439 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2451 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2459 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2463 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2471 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2475 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2479 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2483 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2487 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2491 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2495 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2499 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2503 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2507 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2511 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2515 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2523 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2527 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2543 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2559 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2571 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2583 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2591 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2603 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2607 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2615 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2623 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2631 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2659 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2677 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2681 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2688 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2696 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2700 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2707 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2723 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2727 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2747 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2767 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2771 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2779 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2792 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2803 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2858 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2873 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2885 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2893 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2905 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2932 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2939 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2943 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2954 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2961 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2965 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2981 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2993 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2997 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3008 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3024 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table"),(yyvsp[(4) - (13)].str),mm_strdup("("),(yyvsp[(6) - (13)].str),mm_strdup(")"),(yyvsp[(8) - (13)].str),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3028 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[(2) - (16)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (16)].str),mm_strdup("("),(yyvsp[(9) - (16)].str),mm_strdup(")"),(yyvsp[(11) - (16)].str),(yyvsp[(12) - (16)].str),(yyvsp[(13) - (16)].str),(yyvsp[(14) - (16)].str),(yyvsp[(15) - (16)].str),(yyvsp[(16) - (16)].str));
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3032 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("table"),(yyvsp[(4) - (12)].str),mm_strdup("of"),(yyvsp[(6) - (12)].str),(yyvsp[(7) - (12)].str),(yyvsp[(8) - (12)].str),(yyvsp[(9) - (12)].str),(yyvsp[(10) - (12)].str),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3036 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (15)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (15)].str),mm_strdup("of"),(yyvsp[(9) - (15)].str),(yyvsp[(10) - (15)].str),(yyvsp[(11) - (15)].str),(yyvsp[(12) - (15)].str),(yyvsp[(13) - (15)].str),(yyvsp[(14) - (15)].str),(yyvsp[(15) - (15)].str));
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3044 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3052 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3072 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3079 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3083 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3094 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3101 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3105 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3113 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3129 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3145 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3161 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3173 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3184 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3188 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3204 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3216 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("check ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3252 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3260 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3351 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3358 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3382 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3402 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3445 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3449 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3456 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3496 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3500 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3519 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3538 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3549 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3556 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distribute by");
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3560 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distribute by hash");
;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3568 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3572 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distribute by modulo ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3576 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distribute by replication");
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3580 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distribute by round robin");
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3584 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3591 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to node"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3610 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3617 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (7)].str),(yyvsp[(2) - (7)].str),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3637 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3644 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3648 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3656 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3664 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3672 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3679 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3687 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3695 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3699 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3706 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3730 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3750 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3774 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3781 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3785 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3789 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3797 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3801 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3809 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3813 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3825 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3832 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3844 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3848 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3867 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3871 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3878 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3882 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3894 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3901 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3909 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3913 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3920 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3932 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3936 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3944 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3948 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3955 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3963 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3971 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3983 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3990 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 4002 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 4006 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 4014 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4018 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4022 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4026 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4030 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4034 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4038 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4042 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4050 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4054 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4058 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4062 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4066 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4070 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4074 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4078 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4082 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4090 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4122 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4134 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4141 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4153 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4157 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4165 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4169 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4176 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4188 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4252 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4260 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4264 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4271 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4287 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4294 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4306 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4310 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4314 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4322 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4326 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4334 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4350 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4358 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4366 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4374 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4390 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4398 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4402 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4410 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4418 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4422 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4450 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4470 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4486 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4504 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4508 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4520 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4527 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4535 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4542 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4546 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4566 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4573 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4596 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4608 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4612 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4620 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4629 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4638 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4654 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4658 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4662 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4666 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4670 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4694 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4702 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4718 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4730 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4734 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4738 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4742 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4770 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4790 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4794 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4801 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4805 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4813 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4817 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4821 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4829 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4837 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4841 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4849 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4853 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4857 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4861 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4877 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4888 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4903 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4910 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4915 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4922 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4930 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4934 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4946 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4954 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4958 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4966 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4970 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4978 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4982 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4998 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5006 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5010 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5118 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5134 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5141 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5145 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5149 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5157 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5161 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5165 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5169 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5173 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5177 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5181 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5185 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5189 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5193 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5197 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5201 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5205 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5213 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5217 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5221 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5253 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5257 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5285 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5289 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5297 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5301 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5305 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5309 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5313 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5321 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5325 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5352 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5356 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5368 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5380 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5384 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5388 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5392 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5398 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5404 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5410 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5416 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5422 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5428 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5434 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5444 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5455 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5466 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5477 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5488 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5499 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5510 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5526 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5542 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5558 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5569 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5585 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5596 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5612 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5639 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5643 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5650 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5658 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5662 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5670 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5686 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5694 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5698 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5706 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5730 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5742 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5746 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5750 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5758 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5770 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5774 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5778 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5786 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5798 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5802 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5814 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5821 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5825 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5833 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5841 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5849 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5853 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5865 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5872 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5876 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5895 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5910 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5926 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5950 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5962 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5969 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5973 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5980 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5984 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5995 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6006 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6014 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6018 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6022 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6034 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6049 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6079 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6086 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6090 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6094 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6106 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6113 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6137 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6149 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6161 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6165 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6173 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6177 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6193 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6201 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6209 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6217 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6233 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6245 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6261 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6281 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6285 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6289 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6293 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6297 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6301 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6305 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6309 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6313 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6325 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6333 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6337 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6349 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6361 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6376 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6388 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6396 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6400 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6412 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6419 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6423 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6447 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6455 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6459 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6463 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6467 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6487 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6499 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6507 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6511 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6519 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6523 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6527 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6543 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6550 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6562 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6569 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6585 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6589 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6601 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6608 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6624 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6628 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6632 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6636 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6640 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6644 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6648 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6652 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6656 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6660 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6664 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6668 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6672 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6676 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6680 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6684 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6688 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6692 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6696 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6700 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6708 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6712 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6716 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6720 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6728 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6732 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6743 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6750 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6754 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6758 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6762 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6766 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6770 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6774 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6778 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6782 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6786 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6790 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6794 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6798 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6802 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6806 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6810 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6814 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6818 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6834 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6846 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6854 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6858 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6866 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6870 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6874 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6878 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6882 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6886 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6890 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6894 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6902 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 6942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 6946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 6950 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 6954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 6962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 6966 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 6973 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 6977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 6981 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 6985 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 6993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 6997 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7001 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7008 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7028 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7032 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7047 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7067 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7079 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7083 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7087 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7091 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7127 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7162 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7178 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7185 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7189 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create or replace"),(yyvsp[(4) - (10)].str),mm_strdup("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7197 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7202 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7207 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7219 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7227 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7235 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7239 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7254 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7258 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7274 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7278 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7282 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7286 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7294 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7302 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7306 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7318 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7325 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7329 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7337 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7349 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7356 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7376 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7384 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7388 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7392 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7396 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7400 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7412 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7455 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7467 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7479 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7483 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7490 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7494 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7498 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7506 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7514 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7550 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7574 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7581 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7585 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7607 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create barrier"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7622 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7626 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create node"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7641 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7657 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7661 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter node"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7677 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop node"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7685 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create node group"),(yyvsp[(4) - (6)].str),mm_strdup("with"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7693 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop node group"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7701 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7705 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7721 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7729 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7733 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7737 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7741 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7753 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7765 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7773 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7777 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7789 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7793 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7797 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("execute direct on"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7812 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7820 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("clean connection to coordinator"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7824 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("clean connection to node"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7828 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("clean connection to all"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7844 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7859 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7866 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7872 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7886 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7913 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7915 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("table"),(yyvsp[(4) - (8)].str),mm_strdup("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7934 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7958 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 7978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 7982 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 7997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8008 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8067 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8074 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8114 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8122 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8134 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8142 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8195 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8199 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8211 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8214 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8234 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8265 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8277 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8297 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8325 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8329 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8353 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8365 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8369 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8377 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8385 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8396 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8400 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8402 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8409 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8437 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8449 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8468 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8498 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8505 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8513 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8517 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8525 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8537 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8549 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8561 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8572 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
        ;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8577 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8597 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8609 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8632 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8664 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8675 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8679 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8686 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8702 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8760 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8795 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8803 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8807 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8813 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8817 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8837 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8841 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8849 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8857 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8861 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8877 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8901 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8908 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8920 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8928 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8932 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8940 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8944 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8952 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8956 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8960 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8968 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 8976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 8980 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 8987 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 8991 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 8996 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9003 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9014 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9018 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9026 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9034 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9036 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9038 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9058 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9068 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9078 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9120 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9144 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9156 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9234 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9246 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9302 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9314 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9341 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9352 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9360 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9586 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9598 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9851 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9867 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9903 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9911 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10137 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10141 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10161 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10168 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10172 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10188 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10196 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10203 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10211 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10226 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10233 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10238 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10242 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10249 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10253 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10273 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10277 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10285 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10289 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10293 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10301 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10305 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10329 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10333 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10385 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10437 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10449 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10485 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10489 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10497 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10501 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10508 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10512 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10516 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10564 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10568 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10575 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10579 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10618 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10626 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10654 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10658 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10674 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10678 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10689 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10696 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10700 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10708 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10712 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10728 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10732 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10740 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10743 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10762 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10794 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10910 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10973 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 10974 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 10980 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 10986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 10997 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 10999 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 11015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("barrier");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("clean");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coordinator");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("direct");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distribute");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hash");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("modulo");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("node");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preferred");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replication");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("robin");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("round");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2254:

/* Line 1455 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2255:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2256:

/* Line 1455 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2258:

/* Line 1455 of yacc.c  */
#line 12555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12596 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12599 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                ;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12605 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12606 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12607 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12609 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12621 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12622 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12631 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                ;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12647 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12649 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12652 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12654 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12658 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12670 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12686 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12690 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12700 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12701 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12705 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12717 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12725 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12726 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12729 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12730 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12731 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12734 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12735 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12738 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12739 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12742 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12743 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12747 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12749 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12751 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12753 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12757 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12764 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12771 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12787 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12821 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12830 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12834 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12836 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12848 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12850 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12852 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12854 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12857 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                size_t i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
                                        }
                                ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12870 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12878 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12939 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12949 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12950 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12953 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12955 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12956 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12959 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12960 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12961 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12962 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12963 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12970 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12972 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 12979 "preproc.y"
    {;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 12981 "preproc.y"
    {;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 12983 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 12984 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 12987 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 12988 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 12989 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 12990 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 12993 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 12994 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 12998 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 13004 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 13014 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 13024 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13028 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 13038 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 13042 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13047 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13048 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13052 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13053 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13054 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13057 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13058 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13059 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13060 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13063 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13064 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13068 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13076 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13093 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13101 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13124 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13230 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 13264 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13266 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13268 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13275 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13282 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13325 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13327 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13333 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13342 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13348 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13355 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13359 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13362 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 13363 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 13366 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13367 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13368 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13369 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13370 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13371 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 13373 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2391:

/* Line 1455 of yacc.c  */
#line 13381 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2392:

/* Line 1455 of yacc.c  */
#line 13388 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 13391 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13392 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13393 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13394 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13395 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13397 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13405 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13412 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13413 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13414 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13422 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13424 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 13428 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 13515 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13517 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13532 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13545 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 13549 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13550 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13551 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 13555 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2423:

/* Line 1455 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2424:

/* Line 1455 of yacc.c  */
#line 13564 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2425:

/* Line 1455 of yacc.c  */
#line 13565 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 13572 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13579 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13580 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13583 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13584 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13588 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13593 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13600 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13605 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13612 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13621 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13627 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13628 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13631 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13632 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13633 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13634 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13635 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13636 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 13637 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2448:

/* Line 1455 of yacc.c  */
#line 13638 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2449:

/* Line 1455 of yacc.c  */
#line 13639 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2450:

/* Line 1455 of yacc.c  */
#line 13646 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2451:

/* Line 1455 of yacc.c  */
#line 13653 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2452:

/* Line 1455 of yacc.c  */
#line 13665 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2453:

/* Line 1455 of yacc.c  */
#line 13671 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2454:

/* Line 1455 of yacc.c  */
#line 13678 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13685 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13686 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13699 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2458:

/* Line 1455 of yacc.c  */
#line 13710 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2459:

/* Line 1455 of yacc.c  */
#line 13721 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2462:

/* Line 1455 of yacc.c  */
#line 13729 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2463:

/* Line 1455 of yacc.c  */
#line 13734 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13742 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13748 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13755 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13758 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13766 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13773 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13777 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13785 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13791 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13798 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13800 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13809 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13818 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2483:

/* Line 1455 of yacc.c  */
#line 13829 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2484:

/* Line 1455 of yacc.c  */
#line 13830 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13831 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13832 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13833 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13834 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13835 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13836 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13838 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13839 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13840 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13841 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13843 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13850 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13851 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13854 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13855 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13862 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13863 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13864 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13871 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13877 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2507:

/* Line 1455 of yacc.c  */
#line 13887 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2508:

/* Line 1455 of yacc.c  */
#line 13888 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 13895 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 13901 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2511:

/* Line 1455 of yacc.c  */
#line 13965 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2512:

/* Line 1455 of yacc.c  */
#line 13971 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 13977 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 13985 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 13991 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 13997 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 14003 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2518:

/* Line 1455 of yacc.c  */
#line 14009 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2519:

/* Line 1455 of yacc.c  */
#line 14015 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 14021 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 14027 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2522:

/* Line 1455 of yacc.c  */
#line 14033 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2523:

/* Line 1455 of yacc.c  */
#line 14043 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 14044 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 14047 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 14048 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 14049 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 14050 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 14054 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 14059 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 14060 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 14062 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 14063 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 14064 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 14066 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 14067 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 14068 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 14070 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 14074 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 14075 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 14076 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 14077 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 14085 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 14086 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 14088 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 14091 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 14094 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 14095 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 14096 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 14097 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2567:

/* Line 1455 of yacc.c  */
#line 14098 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2568:

/* Line 1455 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 14100 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 14114 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14139 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14156 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14159 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14162 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14163 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14164 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2607:

/* Line 1455 of yacc.c  */
#line 14165 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2608:

/* Line 1455 of yacc.c  */
#line 14166 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2609:

/* Line 1455 of yacc.c  */
#line 14167 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2610:

/* Line 1455 of yacc.c  */
#line 14168 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14185 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14186 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14187 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14190 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14191 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14192 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14193 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14194 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14195 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14202 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14208 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14209 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14213 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14215 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14220 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14230 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14241 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14247 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14248 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14249 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14253 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14285 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14287 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14289 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14293 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14303 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14313 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14322 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14323 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14326 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14328 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14329 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14330 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14336 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14343 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14344 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14349 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14351 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14355 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14358 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14359 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2667:

/* Line 1455 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2668:

/* Line 1455 of yacc.c  */
#line 14375 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14376 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14377 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14379 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14380 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14391 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14392 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14393 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14394 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2689:

/* Line 1455 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2690:

/* Line 1455 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2691:

/* Line 1455 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2692:

/* Line 1455 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2693:

/* Line 1455 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2694:

/* Line 1455 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2695:

/* Line 1455 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2696:

/* Line 1455 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2697:

/* Line 1455 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2698:

/* Line 1455 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2699:

/* Line 1455 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2700:

/* Line 1455 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2701:

/* Line 1455 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2702:

/* Line 1455 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2703:

/* Line 1455 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2704:

/* Line 1455 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2705:

/* Line 1455 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2706:

/* Line 1455 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2707:

/* Line 1455 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2708:

/* Line 1455 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2709:

/* Line 1455 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2710:

/* Line 1455 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2711:

/* Line 1455 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2712:

/* Line 1455 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2713:

/* Line 1455 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2714:

/* Line 1455 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2715:

/* Line 1455 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2716:

/* Line 1455 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2717:

/* Line 1455 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2718:

/* Line 1455 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2719:

/* Line 1455 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2720:

/* Line 1455 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2721:

/* Line 1455 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2722:

/* Line 1455 of yacc.c  */
#line 14433 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2723:

/* Line 1455 of yacc.c  */
#line 14434 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2724:

/* Line 1455 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2725:

/* Line 1455 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2726:

/* Line 1455 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2727:

/* Line 1455 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2728:

/* Line 1455 of yacc.c  */
#line 14439 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2729:

/* Line 1455 of yacc.c  */
#line 14440 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2730:

/* Line 1455 of yacc.c  */
#line 14441 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2731:

/* Line 1455 of yacc.c  */
#line 14444 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2732:

/* Line 1455 of yacc.c  */
#line 14445 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2733:

/* Line 1455 of yacc.c  */
#line 14446 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2734:

/* Line 1455 of yacc.c  */
#line 14447 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2735:

/* Line 1455 of yacc.c  */
#line 14448 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2736:

/* Line 1455 of yacc.c  */
#line 14451 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2737:

/* Line 1455 of yacc.c  */
#line 14452 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2738:

/* Line 1455 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2739:

/* Line 1455 of yacc.c  */
#line 14457 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2740:

/* Line 1455 of yacc.c  */
#line 14467 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2741:

/* Line 1455 of yacc.c  */
#line 14468 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 51206 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14471 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

